#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2021
#define LARGE_STATE_COUNT 496
#define SYMBOL_COUNT 348
#define ALIAS_COUNT 3
#define TOKEN_COUNT 155
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 39
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 132

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym_COLON_COLON = 47,
  anon_sym_LBRACK_LBRACK = 48,
  anon_sym_RBRACK_RBRACK = 49,
  anon_sym___declspec = 50,
  anon_sym___based = 51,
  anon_sym___cdecl = 52,
  anon_sym___clrcall = 53,
  anon_sym___stdcall = 54,
  anon_sym___fastcall = 55,
  anon_sym___thiscall = 56,
  anon_sym___vectorcall = 57,
  sym_ms_restrict_modifier = 58,
  sym_ms_unsigned_ptr_modifier = 59,
  sym_ms_signed_ptr_modifier = 60,
  anon_sym__unaligned = 61,
  anon_sym___unaligned = 62,
  anon_sym_LBRACE = 63,
  anon_sym_RBRACE = 64,
  anon_sym_signed = 65,
  anon_sym_unsigned = 66,
  anon_sym_long = 67,
  anon_sym_short = 68,
  anon_sym_LBRACK = 69,
  anon_sym_RBRACK = 70,
  anon_sym_EQ = 71,
  anon_sym_static = 72,
  anon_sym_auto = 73,
  anon_sym_register = 74,
  anon_sym_inline = 75,
  anon_sym___inline = 76,
  anon_sym___inline__ = 77,
  anon_sym___forceinline = 78,
  anon_sym_thread_local = 79,
  anon_sym___thread = 80,
  anon_sym_const = 81,
  anon_sym_constexpr = 82,
  anon_sym_volatile = 83,
  anon_sym_restrict = 84,
  anon_sym___restrict__ = 85,
  anon_sym__Atomic = 86,
  anon_sym__Noreturn = 87,
  anon_sym_noreturn = 88,
  sym_primitive_type = 89,
  anon_sym_enum = 90,
  anon_sym_COLON = 91,
  anon_sym_struct = 92,
  anon_sym_union = 93,
  anon_sym_if = 94,
  anon_sym_else = 95,
  anon_sym_switch = 96,
  anon_sym_case = 97,
  anon_sym_default = 98,
  anon_sym_while = 99,
  anon_sym_do = 100,
  anon_sym_for = 101,
  anon_sym_return = 102,
  anon_sym_break = 103,
  anon_sym_continue = 104,
  anon_sym_goto = 105,
  anon_sym___try = 106,
  anon_sym___except = 107,
  anon_sym___finally = 108,
  anon_sym___leave = 109,
  anon_sym_QMARK = 110,
  anon_sym_STAR_EQ = 111,
  anon_sym_SLASH_EQ = 112,
  anon_sym_PERCENT_EQ = 113,
  anon_sym_PLUS_EQ = 114,
  anon_sym_DASH_EQ = 115,
  anon_sym_LT_LT_EQ = 116,
  anon_sym_GT_GT_EQ = 117,
  anon_sym_AMP_EQ = 118,
  anon_sym_CARET_EQ = 119,
  anon_sym_PIPE_EQ = 120,
  anon_sym_DASH_DASH = 121,
  anon_sym_PLUS_PLUS = 122,
  anon_sym_sizeof = 123,
  anon_sym___alignof__ = 124,
  anon_sym___alignof = 125,
  anon_sym__alignof = 126,
  anon_sym_alignof = 127,
  anon_sym__Alignof = 128,
  anon_sym_offsetof = 129,
  anon_sym__Generic = 130,
  anon_sym_asm = 131,
  anon_sym___asm__ = 132,
  anon_sym_DOT = 133,
  anon_sym_DASH_GT = 134,
  sym_number_literal = 135,
  anon_sym_L_SQUOTE = 136,
  anon_sym_u_SQUOTE = 137,
  anon_sym_U_SQUOTE = 138,
  anon_sym_u8_SQUOTE = 139,
  anon_sym_SQUOTE = 140,
  aux_sym_char_literal_token1 = 141,
  anon_sym_L_DQUOTE = 142,
  anon_sym_u_DQUOTE = 143,
  anon_sym_U_DQUOTE = 144,
  anon_sym_u8_DQUOTE = 145,
  anon_sym_DQUOTE = 146,
  aux_sym_string_literal_token1 = 147,
  sym_escape_sequence = 148,
  sym_system_lib_string = 149,
  sym_true = 150,
  sym_false = 151,
  anon_sym_NULL = 152,
  anon_sym_nullptr = 153,
  sym_comment = 154,
  sym_translation_unit = 155,
  sym_preproc_include = 156,
  sym_preproc_def = 157,
  sym_preproc_function_def = 158,
  sym_preproc_params = 159,
  sym_preproc_call = 160,
  sym_preproc_if = 161,
  sym_preproc_ifdef = 162,
  sym_preproc_else = 163,
  sym_preproc_elif = 164,
  sym_preproc_elifdef = 165,
  sym_preproc_if_in_field_declaration_list = 166,
  sym_preproc_ifdef_in_field_declaration_list = 167,
  sym_preproc_else_in_field_declaration_list = 168,
  sym_preproc_elif_in_field_declaration_list = 169,
  sym_preproc_elifdef_in_field_declaration_list = 170,
  sym_preproc_if_in_enumerator_list = 171,
  sym_preproc_ifdef_in_enumerator_list = 172,
  sym_preproc_else_in_enumerator_list = 173,
  sym_preproc_elif_in_enumerator_list = 174,
  sym_preproc_elifdef_in_enumerator_list = 175,
  sym_preproc_if_in_enumerator_list_no_comma = 176,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 177,
  sym_preproc_else_in_enumerator_list_no_comma = 178,
  sym_preproc_elif_in_enumerator_list_no_comma = 179,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 180,
  sym__preproc_expression = 181,
  sym_preproc_parenthesized_expression = 182,
  sym_preproc_defined = 183,
  sym_preproc_unary_expression = 184,
  sym_preproc_call_expression = 185,
  sym_preproc_argument_list = 186,
  sym_preproc_binary_expression = 187,
  sym_function_definition = 188,
  sym__old_style_function_definition = 189,
  sym_declaration = 190,
  sym_type_definition = 191,
  sym__type_definition_type = 192,
  sym__type_definition_declarators = 193,
  sym__declaration_modifiers = 194,
  sym__declaration_specifiers = 195,
  sym_linkage_specification = 196,
  sym_attribute_specifier = 197,
  sym_attribute = 198,
  sym_attribute_declaration = 199,
  sym_ms_declspec_modifier = 200,
  sym_ms_based_modifier = 201,
  sym_ms_call_modifier = 202,
  sym_ms_unaligned_ptr_modifier = 203,
  sym_ms_pointer_modifier = 204,
  sym_declaration_list = 205,
  sym__declarator = 206,
  sym__declaration_declarator = 207,
  sym__field_declarator = 208,
  sym__type_declarator = 209,
  sym__abstract_declarator = 210,
  sym_parenthesized_declarator = 211,
  sym_parenthesized_field_declarator = 212,
  sym_parenthesized_type_declarator = 213,
  sym_abstract_parenthesized_declarator = 214,
  sym_attributed_declarator = 215,
  sym_attributed_field_declarator = 216,
  sym_attributed_type_declarator = 217,
  sym_pointer_declarator = 218,
  sym_pointer_field_declarator = 219,
  sym_pointer_type_declarator = 220,
  sym_abstract_pointer_declarator = 221,
  sym_function_declarator = 222,
  sym__function_declaration_declarator = 223,
  sym_function_field_declarator = 224,
  sym_function_type_declarator = 225,
  sym_abstract_function_declarator = 226,
  sym__old_style_function_declarator = 227,
  sym_array_declarator = 228,
  sym_array_field_declarator = 229,
  sym_array_type_declarator = 230,
  sym_abstract_array_declarator = 231,
  sym_init_declarator = 232,
  sym_compound_statement = 233,
  sym_storage_class_specifier = 234,
  sym_type_qualifier = 235,
  sym__type_specifier = 236,
  sym_sized_type_specifier = 237,
  sym_enum_specifier = 238,
  sym_enumerator_list = 239,
  sym_struct_specifier = 240,
  sym_union_specifier = 241,
  sym_field_declaration_list = 242,
  sym__field_declaration_list_item = 243,
  sym_field_declaration = 244,
  sym__field_declaration_declarator = 245,
  sym_bitfield_clause = 246,
  sym_enumerator = 247,
  sym_variadic_parameter = 248,
  sym_parameter_list = 249,
  sym__old_style_parameter_list = 250,
  sym_parameter_declaration = 251,
  sym_attributed_statement = 252,
  sym_labeled_statement = 253,
  sym__top_level_expression_statement = 254,
  sym_expression_statement = 255,
  sym_if_statement = 256,
  sym_else_clause = 257,
  sym_switch_statement = 258,
  sym_case_statement = 259,
  sym_while_statement = 260,
  sym_do_statement = 261,
  sym_for_statement = 262,
  sym__for_statement_body = 263,
  sym_return_statement = 264,
  sym_break_statement = 265,
  sym_continue_statement = 266,
  sym_goto_statement = 267,
  sym_seh_try_statement = 268,
  sym_seh_except_clause = 269,
  sym_seh_finally_clause = 270,
  sym_seh_leave_statement = 271,
  sym__expression = 272,
  sym__expression_not_binary = 273,
  sym__string = 274,
  sym_comma_expression = 275,
  sym_conditional_expression = 276,
  sym_assignment_expression = 277,
  sym_pointer_expression = 278,
  sym_unary_expression = 279,
  sym_binary_expression = 280,
  sym_update_expression = 281,
  sym_cast_expression = 282,
  sym_type_descriptor = 283,
  sym_sizeof_expression = 284,
  sym_alignof_expression = 285,
  sym_offsetof_expression = 286,
  sym_generic_expression = 287,
  sym_subscript_expression = 288,
  sym_call_expression = 289,
  sym_gnu_asm_expression = 290,
  sym_gnu_asm_qualifier = 291,
  sym_gnu_asm_output_operand_list = 292,
  sym_gnu_asm_output_operand = 293,
  sym_gnu_asm_input_operand_list = 294,
  sym_gnu_asm_input_operand = 295,
  sym_gnu_asm_clobber_list = 296,
  sym_gnu_asm_goto_list = 297,
  sym_argument_list = 298,
  sym_field_expression = 299,
  sym_compound_literal_expression = 300,
  sym_parenthesized_expression = 301,
  sym_initializer_list = 302,
  sym_initializer_pair = 303,
  sym_subscript_designator = 304,
  sym_subscript_range_designator = 305,
  sym_field_designator = 306,
  sym_char_literal = 307,
  sym_concatenated_string = 308,
  sym_string_literal = 309,
  sym_null = 310,
  sym__empty_declaration = 311,
  sym_macro_type_specifier = 312,
  aux_sym_translation_unit_repeat1 = 313,
  aux_sym_preproc_params_repeat1 = 314,
  aux_sym_preproc_if_repeat1 = 315,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 316,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 317,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 318,
  aux_sym_preproc_argument_list_repeat1 = 319,
  aux_sym__old_style_function_definition_repeat1 = 320,
  aux_sym_declaration_repeat1 = 321,
  aux_sym_type_definition_repeat1 = 322,
  aux_sym__type_definition_type_repeat1 = 323,
  aux_sym__type_definition_declarators_repeat1 = 324,
  aux_sym__declaration_specifiers_repeat1 = 325,
  aux_sym_attribute_declaration_repeat1 = 326,
  aux_sym_attributed_declarator_repeat1 = 327,
  aux_sym_pointer_declarator_repeat1 = 328,
  aux_sym_function_declarator_repeat1 = 329,
  aux_sym_sized_type_specifier_repeat1 = 330,
  aux_sym_enumerator_list_repeat1 = 331,
  aux_sym__field_declaration_declarator_repeat1 = 332,
  aux_sym_parameter_list_repeat1 = 333,
  aux_sym__old_style_parameter_list_repeat1 = 334,
  aux_sym_case_statement_repeat1 = 335,
  aux_sym_generic_expression_repeat1 = 336,
  aux_sym_gnu_asm_expression_repeat1 = 337,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 338,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 339,
  aux_sym_gnu_asm_clobber_list_repeat1 = 340,
  aux_sym_gnu_asm_goto_list_repeat1 = 341,
  aux_sym_argument_list_repeat1 = 342,
  aux_sym_initializer_list_repeat1 = 343,
  aux_sym_initializer_pair_repeat1 = 344,
  aux_sym_char_literal_repeat1 = 345,
  aux_sym_concatenated_string_repeat1 = 346,
  aux_sym_string_literal_repeat1 = 347,
  alias_sym_field_identifier = 348,
  alias_sym_statement_identifier = 349,
  alias_sym_type_identifier = 350,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_auto] = "auto",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym__old_style_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__declaration_declarator] = "_declaration_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym__function_declaration_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym__old_style_function_declarator] = "function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__type_specifier] = "_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym__field_declaration_declarator] = "_field_declaration_declarator",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_parameter_list] = "parameter_list",
  [sym__old_style_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym__expression] = "_expression",
  [sym__expression_not_binary] = "_expression_not_binary",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_macro_type_specifier] = "macro_type_specifier",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym__old_style_function_definition_repeat1] = "_old_style_function_definition_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_function_declarator_repeat1] = "function_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym__field_declaration_declarator_repeat1] = "_field_declaration_declarator_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym__old_style_parameter_list_repeat1] = "_old_style_parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_auto] = anon_sym_auto,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym__old_style_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__declaration_declarator] = sym__declaration_declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym__function_declaration_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym__old_style_function_declarator] = sym_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym__type_specifier] = sym__type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym__field_declaration_declarator] = sym__field_declaration_declarator,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_parameter_list] = sym_parameter_list,
  [sym__old_style_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym__expression] = sym__expression,
  [sym__expression_not_binary] = sym__expression_not_binary,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_macro_type_specifier] = sym_macro_type_specifier,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym__old_style_function_definition_repeat1] = aux_sym__old_style_function_definition_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_function_declarator_repeat1] = aux_sym_function_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym__field_declaration_declarator_repeat1] = aux_sym__field_declaration_declarator_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym__old_style_parameter_list_repeat1] = aux_sym__old_style_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declaration_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_not_binary] = {
    .visible = false,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__field_declaration_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_body = 5,
  field_clobbers = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constraint = 9,
  field_declarator = 10,
  field_designator = 11,
  field_directive = 12,
  field_end = 13,
  field_field = 14,
  field_filter = 15,
  field_function = 16,
  field_goto_labels = 17,
  field_index = 18,
  field_initializer = 19,
  field_input_operands = 20,
  field_label = 21,
  field_left = 22,
  field_member = 23,
  field_name = 24,
  field_operand = 25,
  field_operator = 26,
  field_output_operands = 27,
  field_parameters = 28,
  field_path = 29,
  field_prefix = 30,
  field_register = 31,
  field_right = 32,
  field_size = 33,
  field_start = 34,
  field_symbol = 35,
  field_type = 36,
  field_underlying_type = 37,
  field_update = 38,
  field_value = 39,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_body] = "body",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_right] = "right",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_type] = "type",
  [field_underlying_type] = "underlying_type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 3},
  [3] = {.index = 3, .length = 1},
  [4] = {.index = 4, .length = 1},
  [5] = {.index = 5, .length = 2},
  [6] = {.index = 7, .length = 1},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 3, .length = 1},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 17, .length = 1},
  [16] = {.index = 18, .length = 1},
  [17] = {.index = 8, .length = 1},
  [18] = {.index = 19, .length = 2},
  [19] = {.index = 21, .length = 2},
  [20] = {.index = 23, .length = 1},
  [22] = {.index = 24, .length = 1},
  [23] = {.index = 25, .length = 2},
  [24] = {.index = 27, .length = 2},
  [25] = {.index = 29, .length = 1},
  [26] = {.index = 30, .length = 1},
  [27] = {.index = 31, .length = 2},
  [28] = {.index = 33, .length = 2},
  [29] = {.index = 35, .length = 1},
  [30] = {.index = 36, .length = 3},
  [31] = {.index = 39, .length = 1},
  [32] = {.index = 40, .length = 1},
  [33] = {.index = 41, .length = 3},
  [34] = {.index = 44, .length = 2},
  [35] = {.index = 46, .length = 2},
  [36] = {.index = 48, .length = 5},
  [37] = {.index = 53, .length = 3},
  [38] = {.index = 56, .length = 2},
  [39] = {.index = 58, .length = 2},
  [40] = {.index = 60, .length = 1},
  [41] = {.index = 61, .length = 2},
  [42] = {.index = 63, .length = 1},
  [43] = {.index = 64, .length = 2},
  [44] = {.index = 66, .length = 2},
  [45] = {.index = 68, .length = 2},
  [46] = {.index = 70, .length = 2},
  [47] = {.index = 72, .length = 2},
  [48] = {.index = 74, .length = 2},
  [49] = {.index = 76, .length = 2},
  [50] = {.index = 78, .length = 2},
  [52] = {.index = 80, .length = 2},
  [53] = {.index = 82, .length = 1},
  [54] = {.index = 83, .length = 1},
  [55] = {.index = 84, .length = 3},
  [56] = {.index = 87, .length = 1},
  [57] = {.index = 88, .length = 1},
  [58] = {.index = 89, .length = 1},
  [59] = {.index = 90, .length = 2},
  [60] = {.index = 92, .length = 1},
  [61] = {.index = 93, .length = 3},
  [62] = {.index = 96, .length = 3},
  [63] = {.index = 99, .length = 2},
  [64] = {.index = 101, .length = 3},
  [65] = {.index = 104, .length = 2},
  [66] = {.index = 106, .length = 5},
  [67] = {.index = 111, .length = 3},
  [68] = {.index = 114, .length = 5},
  [69] = {.index = 119, .length = 2},
  [70] = {.index = 121, .length = 2},
  [71] = {.index = 123, .length = 3},
  [72] = {.index = 126, .length = 2},
  [73] = {.index = 128, .length = 2},
  [74] = {.index = 130, .length = 1},
  [75] = {.index = 131, .length = 2},
  [76] = {.index = 133, .length = 2},
  [77] = {.index = 135, .length = 2},
  [78] = {.index = 137, .length = 3},
  [79] = {.index = 140, .length = 2},
  [80] = {.index = 142, .length = 2},
  [81] = {.index = 144, .length = 2},
  [82] = {.index = 146, .length = 1},
  [83] = {.index = 147, .length = 2},
  [84] = {.index = 149, .length = 2},
  [85] = {.index = 151, .length = 4},
  [86] = {.index = 155, .length = 1},
  [87] = {.index = 156, .length = 2},
  [88] = {.index = 158, .length = 1},
  [89] = {.index = 159, .length = 1},
  [90] = {.index = 160, .length = 4},
  [91] = {.index = 164, .length = 4},
  [92] = {.index = 168, .length = 2},
  [93] = {.index = 170, .length = 2},
  [94] = {.index = 172, .length = 3},
  [95] = {.index = 175, .length = 5},
  [96] = {.index = 180, .length = 3},
  [97] = {.index = 183, .length = 2},
  [98] = {.index = 185, .length = 1},
  [100] = {.index = 186, .length = 2},
  [101] = {.index = 188, .length = 2},
  [102] = {.index = 190, .length = 2},
  [103] = {.index = 192, .length = 3},
  [104] = {.index = 195, .length = 2},
  [105] = {.index = 197, .length = 2},
  [106] = {.index = 199, .length = 2},
  [107] = {.index = 201, .length = 2},
  [108] = {.index = 203, .length = 3},
  [109] = {.index = 206, .length = 2},
  [110] = {.index = 208, .length = 1},
  [111] = {.index = 209, .length = 5},
  [112] = {.index = 214, .length = 2},
  [113] = {.index = 216, .length = 3},
  [114] = {.index = 219, .length = 2},
  [115] = {.index = 219, .length = 2},
  [116] = {.index = 221, .length = 3},
  [117] = {.index = 224, .length = 2},
  [118] = {.index = 226, .length = 1},
  [119] = {.index = 227, .length = 4},
  [120] = {.index = 231, .length = 3},
  [121] = {.index = 234, .length = 2},
  [122] = {.index = 236, .length = 2},
  [123] = {.index = 35, .length = 1},
  [124] = {.index = 238, .length = 5},
  [125] = {.index = 243, .length = 4},
  [126] = {.index = 247, .length = 2},
  [127] = {.index = 249, .length = 2},
  [128] = {.index = 251, .length = 2},
  [129] = {.index = 253, .length = 5},
  [130] = {.index = 258, .length = 2},
  [131] = {.index = 260, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_body, 0, .inherited = true},
    {field_declarator, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [3] =
    {field_type, 0},
  [4] =
    {field_directive, 0},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_name, 0},
  [8] =
    {field_name, 1},
  [9] =
    {field_body, 1},
  [10] =
    {field_value, 1},
  [11] =
    {field_declarator, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
  [13] =
    {field_argument, 0},
    {field_operator, 1},
  [15] =
    {field_arguments, 1},
    {field_function, 0},
  [17] =
    {field_type, 1},
  [18] =
    {field_path, 1},
  [19] =
    {field_argument, 1},
    {field_directive, 0},
  [21] =
    {field_declarator, 1},
    {field_type, 0},
  [23] =
    {field_parameters, 0},
  [24] =
    {field_declarator, 0},
  [25] =
    {field_body, 2},
    {field_value, 1},
  [27] =
    {field_body, 2},
    {field_name, 1},
  [29] =
    {field_name, 2},
  [30] =
    {field_body, 2},
  [31] =
    {field_condition, 1},
    {field_consequence, 2},
  [33] =
    {field_body, 2},
    {field_condition, 1},
  [35] =
    {field_label, 1},
  [36] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [39] =
    {field_label, 0},
  [40] =
    {field_declarator, 1},
  [41] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [44] =
    {field_declarator, 0},
    {field_parameters, 1},
  [46] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [48] =
    {field_body, 2},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [53] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [56] =
    {field_name, 1},
    {field_value, 2},
  [58] =
    {field_name, 1},
    {field_parameters, 2},
  [60] =
    {field_condition, 1},
  [61] =
    {field_alternative, 2},
    {field_name, 1},
  [63] =
    {field_type, 0, .inherited = true},
  [64] =
    {field_declarator, 2},
    {field_type, 0},
  [66] =
    {field_left, 0},
    {field_right, 2},
  [68] =
    {field_type, 1},
    {field_value, 3},
  [70] =
    {field_declarator, 2},
    {field_type, 1},
  [72] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [74] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [76] =
    {field_name, 2},
    {field_prefix, 0},
  [78] =
    {field_name, 1},
    {field_underlying_type, 3},
  [80] =
    {field_body, 3},
    {field_name, 2},
  [82] =
    {field_name, 3},
  [83] =
    {field_body, 3},
  [84] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [87] =
    {field_initializer, 0},
  [88] =
    {field_type, 2},
  [89] =
    {field_assembly_code, 2},
  [90] =
    {field_name, 0},
    {field_type, 2},
  [92] =
    {field_declarator, 2},
  [93] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [96] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [99] =
    {field_declarator, 0},
    {field_value, 2},
  [101] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [104] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [106] =
    {field_body, 3},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [111] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [114] =
    {field_body, 3},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [119] =
    {field_argument, 0},
    {field_index, 2},
  [121] =
    {field_alternative, 3},
    {field_condition, 0},
  [123] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [126] =
    {field_alternative, 3},
    {field_condition, 1},
  [128] =
    {field_alternative, 3},
    {field_name, 1},
  [130] =
    {field_size, 1},
  [131] =
    {field_declarator, 3},
    {field_type, 1},
  [133] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [135] =
    {field_name, 0},
    {field_value, 2},
  [137] =
    {field_body, 4},
    {field_name, 1},
    {field_underlying_type, 3},
  [140] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [142] =
    {field_body, 4},
    {field_name, 3},
  [144] =
    {field_body, 1},
    {field_condition, 3},
  [146] =
    {field_update, 2},
  [147] =
    {field_initializer, 0},
    {field_update, 2},
  [149] =
    {field_condition, 1},
    {field_initializer, 0},
  [151] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [155] =
    {field_operand, 1},
  [156] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [158] =
    {field_assembly_code, 3},
  [159] =
    {field_declarator, 3},
  [160] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_type, 0, .inherited = true},
  [164] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_size, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2},
  [172] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [175] =
    {field_body, 4},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [180] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [183] =
    {field_alternative, 4},
    {field_condition, 1},
  [185] =
    {field_size, 2},
  [186] =
    {field_body, 2},
    {field_filter, 1},
  [188] =
    {field_declarator, 0},
    {field_declarator, 2, .inherited = true},
  [190] =
    {field_condition, 1},
    {field_update, 3},
  [192] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [195] =
    {field_initializer, 0},
    {field_update, 3},
  [197] =
    {field_condition, 2},
    {field_initializer, 0},
  [199] =
    {field_member, 4},
    {field_type, 2},
  [201] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [203] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [206] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [208] =
    {field_declarator, 4},
  [209] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [214] =
    {field_declarator, 0},
    {field_size, 3},
  [216] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
  [219] =
    {field_designator, 0},
    {field_value, 2},
  [221] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [224] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [226] =
    {field_register, 1},
  [227] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [231] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [234] =
    {field_constraint, 0},
    {field_value, 2},
  [236] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [238] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [243] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [247] =
    {field_end, 3},
    {field_start, 1},
  [249] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [251] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [253] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [258] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [260] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [7] = {
    [1] = alias_sym_type_identifier,
  },
  [10] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [1] = alias_sym_type_identifier,
  },
  [21] = {
    [0] = sym_primitive_type,
  },
  [24] = {
    [1] = alias_sym_type_identifier,
  },
  [25] = {
    [2] = alias_sym_type_identifier,
  },
  [29] = {
    [1] = alias_sym_statement_identifier,
  },
  [31] = {
    [0] = alias_sym_statement_identifier,
  },
  [37] = {
    [2] = alias_sym_field_identifier,
  },
  [50] = {
    [1] = alias_sym_type_identifier,
  },
  [51] = {
    [0] = alias_sym_field_identifier,
  },
  [52] = {
    [2] = alias_sym_type_identifier,
  },
  [53] = {
    [3] = alias_sym_type_identifier,
  },
  [78] = {
    [1] = alias_sym_type_identifier,
  },
  [80] = {
    [3] = alias_sym_type_identifier,
  },
  [99] = {
    [1] = alias_sym_field_identifier,
  },
  [106] = {
    [4] = alias_sym_field_identifier,
  },
  [114] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 2,
  [11] = 4,
  [12] = 3,
  [13] = 5,
  [14] = 2,
  [15] = 4,
  [16] = 3,
  [17] = 5,
  [18] = 2,
  [19] = 4,
  [20] = 3,
  [21] = 5,
  [22] = 22,
  [23] = 23,
  [24] = 22,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 23,
  [29] = 22,
  [30] = 27,
  [31] = 31,
  [32] = 26,
  [33] = 27,
  [34] = 23,
  [35] = 31,
  [36] = 26,
  [37] = 27,
  [38] = 23,
  [39] = 31,
  [40] = 40,
  [41] = 26,
  [42] = 31,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 47,
  [51] = 48,
  [52] = 49,
  [53] = 45,
  [54] = 46,
  [55] = 46,
  [56] = 47,
  [57] = 48,
  [58] = 49,
  [59] = 48,
  [60] = 49,
  [61] = 47,
  [62] = 45,
  [63] = 46,
  [64] = 45,
  [65] = 47,
  [66] = 48,
  [67] = 46,
  [68] = 45,
  [69] = 49,
  [70] = 70,
  [71] = 70,
  [72] = 70,
  [73] = 70,
  [74] = 70,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 80,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 121,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 75,
  [157] = 157,
  [158] = 75,
  [159] = 75,
  [160] = 157,
  [161] = 85,
  [162] = 100,
  [163] = 101,
  [164] = 102,
  [165] = 103,
  [166] = 76,
  [167] = 105,
  [168] = 106,
  [169] = 107,
  [170] = 108,
  [171] = 109,
  [172] = 110,
  [173] = 111,
  [174] = 78,
  [175] = 79,
  [176] = 119,
  [177] = 81,
  [178] = 82,
  [179] = 83,
  [180] = 84,
  [181] = 124,
  [182] = 125,
  [183] = 86,
  [184] = 87,
  [185] = 88,
  [186] = 89,
  [187] = 90,
  [188] = 91,
  [189] = 92,
  [190] = 93,
  [191] = 94,
  [192] = 95,
  [193] = 96,
  [194] = 97,
  [195] = 98,
  [196] = 99,
  [197] = 100,
  [198] = 101,
  [199] = 102,
  [200] = 103,
  [201] = 76,
  [202] = 105,
  [203] = 106,
  [204] = 107,
  [205] = 108,
  [206] = 126,
  [207] = 109,
  [208] = 110,
  [209] = 111,
  [210] = 112,
  [211] = 80,
  [212] = 104,
  [213] = 117,
  [214] = 114,
  [215] = 115,
  [216] = 116,
  [217] = 118,
  [218] = 119,
  [219] = 120,
  [220] = 121,
  [221] = 77,
  [222] = 123,
  [223] = 120,
  [224] = 124,
  [225] = 125,
  [226] = 126,
  [227] = 104,
  [228] = 117,
  [229] = 77,
  [230] = 127,
  [231] = 78,
  [232] = 112,
  [233] = 80,
  [234] = 79,
  [235] = 114,
  [236] = 115,
  [237] = 116,
  [238] = 118,
  [239] = 119,
  [240] = 120,
  [241] = 99,
  [242] = 112,
  [243] = 123,
  [244] = 127,
  [245] = 124,
  [246] = 125,
  [247] = 126,
  [248] = 104,
  [249] = 127,
  [250] = 78,
  [251] = 79,
  [252] = 123,
  [253] = 85,
  [254] = 86,
  [255] = 87,
  [256] = 88,
  [257] = 89,
  [258] = 90,
  [259] = 91,
  [260] = 92,
  [261] = 93,
  [262] = 94,
  [263] = 95,
  [264] = 96,
  [265] = 97,
  [266] = 98,
  [267] = 99,
  [268] = 100,
  [269] = 101,
  [270] = 102,
  [271] = 103,
  [272] = 76,
  [273] = 105,
  [274] = 109,
  [275] = 110,
  [276] = 117,
  [277] = 77,
  [278] = 81,
  [279] = 82,
  [280] = 83,
  [281] = 84,
  [282] = 106,
  [283] = 107,
  [284] = 108,
  [285] = 111,
  [286] = 81,
  [287] = 82,
  [288] = 83,
  [289] = 114,
  [290] = 84,
  [291] = 85,
  [292] = 115,
  [293] = 86,
  [294] = 116,
  [295] = 87,
  [296] = 88,
  [297] = 89,
  [298] = 118,
  [299] = 90,
  [300] = 91,
  [301] = 92,
  [302] = 93,
  [303] = 94,
  [304] = 95,
  [305] = 96,
  [306] = 97,
  [307] = 98,
  [308] = 121,
  [309] = 309,
  [310] = 132,
  [311] = 311,
  [312] = 312,
  [313] = 137,
  [314] = 139,
  [315] = 140,
  [316] = 128,
  [317] = 142,
  [318] = 130,
  [319] = 138,
  [320] = 143,
  [321] = 137,
  [322] = 140,
  [323] = 142,
  [324] = 151,
  [325] = 149,
  [326] = 143,
  [327] = 150,
  [328] = 328,
  [329] = 329,
  [330] = 130,
  [331] = 139,
  [332] = 128,
  [333] = 154,
  [334] = 155,
  [335] = 147,
  [336] = 328,
  [337] = 151,
  [338] = 338,
  [339] = 339,
  [340] = 150,
  [341] = 338,
  [342] = 149,
  [343] = 144,
  [344] = 148,
  [345] = 141,
  [346] = 346,
  [347] = 136,
  [348] = 329,
  [349] = 328,
  [350] = 339,
  [351] = 309,
  [352] = 311,
  [353] = 339,
  [354] = 131,
  [355] = 134,
  [356] = 144,
  [357] = 132,
  [358] = 312,
  [359] = 338,
  [360] = 312,
  [361] = 145,
  [362] = 339,
  [363] = 309,
  [364] = 311,
  [365] = 146,
  [366] = 147,
  [367] = 312,
  [368] = 152,
  [369] = 153,
  [370] = 338,
  [371] = 129,
  [372] = 309,
  [373] = 346,
  [374] = 148,
  [375] = 138,
  [376] = 328,
  [377] = 339,
  [378] = 309,
  [379] = 311,
  [380] = 133,
  [381] = 135,
  [382] = 133,
  [383] = 134,
  [384] = 312,
  [385] = 338,
  [386] = 145,
  [387] = 346,
  [388] = 146,
  [389] = 152,
  [390] = 311,
  [391] = 153,
  [392] = 129,
  [393] = 154,
  [394] = 155,
  [395] = 346,
  [396] = 135,
  [397] = 141,
  [398] = 136,
  [399] = 346,
  [400] = 131,
  [401] = 329,
  [402] = 329,
  [403] = 328,
  [404] = 128,
  [405] = 130,
  [406] = 157,
  [407] = 142,
  [408] = 140,
  [409] = 149,
  [410] = 143,
  [411] = 150,
  [412] = 412,
  [413] = 144,
  [414] = 148,
  [415] = 154,
  [416] = 155,
  [417] = 141,
  [418] = 136,
  [419] = 131,
  [420] = 132,
  [421] = 138,
  [422] = 133,
  [423] = 134,
  [424] = 145,
  [425] = 146,
  [426] = 147,
  [427] = 152,
  [428] = 153,
  [429] = 129,
  [430] = 135,
  [431] = 431,
  [432] = 137,
  [433] = 139,
  [434] = 434,
  [435] = 435,
  [436] = 434,
  [437] = 435,
  [438] = 434,
  [439] = 435,
  [440] = 434,
  [441] = 435,
  [442] = 435,
  [443] = 434,
  [444] = 435,
  [445] = 434,
  [446] = 446,
  [447] = 157,
  [448] = 157,
  [449] = 449,
  [450] = 75,
  [451] = 157,
  [452] = 452,
  [453] = 453,
  [454] = 452,
  [455] = 452,
  [456] = 452,
  [457] = 452,
  [458] = 452,
  [459] = 452,
  [460] = 452,
  [461] = 452,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 480,
  [484] = 478,
  [485] = 481,
  [486] = 479,
  [487] = 481,
  [488] = 479,
  [489] = 478,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 480,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 496,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 502,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 505,
  [508] = 505,
  [509] = 502,
  [510] = 505,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 502,
  [516] = 505,
  [517] = 502,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 501,
  [522] = 501,
  [523] = 523,
  [524] = 505,
  [525] = 502,
  [526] = 501,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 495,
  [532] = 495,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 538,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 547,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 546,
  [553] = 549,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 554,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 562,
  [567] = 563,
  [568] = 556,
  [569] = 557,
  [570] = 570,
  [571] = 564,
  [572] = 558,
  [573] = 573,
  [574] = 559,
  [575] = 560,
  [576] = 554,
  [577] = 577,
  [578] = 562,
  [579] = 563,
  [580] = 564,
  [581] = 565,
  [582] = 577,
  [583] = 556,
  [584] = 557,
  [585] = 558,
  [586] = 559,
  [587] = 560,
  [588] = 554,
  [589] = 562,
  [590] = 563,
  [591] = 564,
  [592] = 565,
  [593] = 593,
  [594] = 570,
  [595] = 565,
  [596] = 596,
  [597] = 597,
  [598] = 577,
  [599] = 547,
  [600] = 551,
  [601] = 546,
  [602] = 602,
  [603] = 603,
  [604] = 570,
  [605] = 605,
  [606] = 560,
  [607] = 555,
  [608] = 557,
  [609] = 570,
  [610] = 547,
  [611] = 611,
  [612] = 551,
  [613] = 546,
  [614] = 550,
  [615] = 555,
  [616] = 556,
  [617] = 557,
  [618] = 558,
  [619] = 559,
  [620] = 560,
  [621] = 554,
  [622] = 562,
  [623] = 563,
  [624] = 564,
  [625] = 565,
  [626] = 603,
  [627] = 570,
  [628] = 577,
  [629] = 556,
  [630] = 558,
  [631] = 559,
  [632] = 560,
  [633] = 554,
  [634] = 562,
  [635] = 563,
  [636] = 564,
  [637] = 565,
  [638] = 570,
  [639] = 577,
  [640] = 547,
  [641] = 551,
  [642] = 546,
  [643] = 643,
  [644] = 550,
  [645] = 645,
  [646] = 573,
  [647] = 550,
  [648] = 550,
  [649] = 556,
  [650] = 547,
  [651] = 549,
  [652] = 551,
  [653] = 557,
  [654] = 558,
  [655] = 559,
  [656] = 551,
  [657] = 546,
  [658] = 658,
  [659] = 577,
  [660] = 660,
  [661] = 462,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 664,
  [666] = 664,
  [667] = 667,
  [668] = 664,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 449,
  [683] = 446,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 684,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 688,
  [697] = 697,
  [698] = 688,
  [699] = 699,
  [700] = 699,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 702,
  [705] = 705,
  [706] = 688,
  [707] = 699,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 712,
  [714] = 714,
  [715] = 715,
  [716] = 712,
  [717] = 702,
  [718] = 718,
  [719] = 712,
  [720] = 702,
  [721] = 699,
  [722] = 722,
  [723] = 686,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 669,
  [738] = 669,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 740,
  [743] = 741,
  [744] = 740,
  [745] = 741,
  [746] = 741,
  [747] = 740,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 752,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 749,
  [760] = 752,
  [761] = 752,
  [762] = 752,
  [763] = 763,
  [764] = 449,
  [765] = 446,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 669,
  [779] = 779,
  [780] = 777,
  [781] = 781,
  [782] = 782,
  [783] = 767,
  [784] = 784,
  [785] = 775,
  [786] = 786,
  [787] = 787,
  [788] = 768,
  [789] = 776,
  [790] = 769,
  [791] = 770,
  [792] = 771,
  [793] = 793,
  [794] = 772,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 773,
  [802] = 802,
  [803] = 774,
  [804] = 804,
  [805] = 766,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 800,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 154,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 130,
  [853] = 139,
  [854] = 128,
  [855] = 155,
  [856] = 147,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 863,
  [865] = 865,
  [866] = 863,
  [867] = 863,
  [868] = 768,
  [869] = 769,
  [870] = 767,
  [871] = 771,
  [872] = 772,
  [873] = 873,
  [874] = 773,
  [875] = 774,
  [876] = 770,
  [877] = 877,
  [878] = 777,
  [879] = 730,
  [880] = 734,
  [881] = 766,
  [882] = 724,
  [883] = 729,
  [884] = 884,
  [885] = 775,
  [886] = 776,
  [887] = 722,
  [888] = 888,
  [889] = 889,
  [890] = 725,
  [891] = 735,
  [892] = 800,
  [893] = 728,
  [894] = 671,
  [895] = 670,
  [896] = 736,
  [897] = 726,
  [898] = 154,
  [899] = 899,
  [900] = 130,
  [901] = 139,
  [902] = 128,
  [903] = 154,
  [904] = 155,
  [905] = 147,
  [906] = 861,
  [907] = 851,
  [908] = 857,
  [909] = 849,
  [910] = 850,
  [911] = 911,
  [912] = 851,
  [913] = 858,
  [914] = 859,
  [915] = 860,
  [916] = 916,
  [917] = 861,
  [918] = 858,
  [919] = 862,
  [920] = 849,
  [921] = 846,
  [922] = 850,
  [923] = 847,
  [924] = 848,
  [925] = 130,
  [926] = 859,
  [927] = 862,
  [928] = 846,
  [929] = 847,
  [930] = 139,
  [931] = 128,
  [932] = 155,
  [933] = 860,
  [934] = 911,
  [935] = 147,
  [936] = 911,
  [937] = 911,
  [938] = 938,
  [939] = 848,
  [940] = 857,
  [941] = 84,
  [942] = 108,
  [943] = 111,
  [944] = 117,
  [945] = 82,
  [946] = 83,
  [947] = 81,
  [948] = 77,
  [949] = 106,
  [950] = 107,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 777,
  [961] = 766,
  [962] = 767,
  [963] = 768,
  [964] = 769,
  [965] = 770,
  [966] = 771,
  [967] = 772,
  [968] = 773,
  [969] = 774,
  [970] = 776,
  [971] = 775,
  [972] = 81,
  [973] = 777,
  [974] = 771,
  [975] = 772,
  [976] = 773,
  [977] = 774,
  [978] = 108,
  [979] = 82,
  [980] = 980,
  [981] = 981,
  [982] = 768,
  [983] = 775,
  [984] = 83,
  [985] = 981,
  [986] = 84,
  [987] = 766,
  [988] = 106,
  [989] = 981,
  [990] = 990,
  [991] = 117,
  [992] = 776,
  [993] = 767,
  [994] = 111,
  [995] = 769,
  [996] = 77,
  [997] = 770,
  [998] = 107,
  [999] = 999,
  [1000] = 981,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1023,
  [1025] = 1020,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 776,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 959,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1033,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1036,
  [1045] = 1033,
  [1046] = 1046,
  [1047] = 1036,
  [1048] = 1040,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 777,
  [1054] = 1054,
  [1055] = 1026,
  [1056] = 766,
  [1057] = 1057,
  [1058] = 767,
  [1059] = 1027,
  [1060] = 1036,
  [1061] = 1027,
  [1062] = 768,
  [1063] = 1063,
  [1064] = 769,
  [1065] = 770,
  [1066] = 1029,
  [1067] = 771,
  [1068] = 772,
  [1069] = 773,
  [1070] = 1026,
  [1071] = 774,
  [1072] = 1027,
  [1073] = 1027,
  [1074] = 1029,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1027,
  [1079] = 1029,
  [1080] = 1080,
  [1081] = 1026,
  [1082] = 775,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1033,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1087,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1087,
  [1106] = 1106,
  [1107] = 1087,
  [1108] = 1087,
  [1109] = 1109,
  [1110] = 1109,
  [1111] = 1111,
  [1112] = 739,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 873,
  [1118] = 865,
  [1119] = 916,
  [1120] = 938,
  [1121] = 899,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1129,
  [1131] = 1131,
  [1132] = 823,
  [1133] = 813,
  [1134] = 1129,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1129,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1143,
  [1145] = 1143,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1143,
  [1150] = 1147,
  [1151] = 1147,
  [1152] = 1148,
  [1153] = 1147,
  [1154] = 1136,
  [1155] = 1148,
  [1156] = 1147,
  [1157] = 1146,
  [1158] = 1147,
  [1159] = 1146,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 718,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1166,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1160,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1173,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1174,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1189,
  [1202] = 1175,
  [1203] = 1203,
  [1204] = 1176,
  [1205] = 1205,
  [1206] = 1178,
  [1207] = 1179,
  [1208] = 1180,
  [1209] = 1171,
  [1210] = 1181,
  [1211] = 1189,
  [1212] = 1183,
  [1213] = 1184,
  [1214] = 1171,
  [1215] = 1189,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 718,
  [1222] = 1222,
  [1223] = 826,
  [1224] = 815,
  [1225] = 838,
  [1226] = 1008,
  [1227] = 1227,
  [1228] = 1015,
  [1229] = 1220,
  [1230] = 1230,
  [1231] = 1193,
  [1232] = 1195,
  [1233] = 1196,
  [1234] = 1234,
  [1235] = 1197,
  [1236] = 1167,
  [1237] = 841,
  [1238] = 1230,
  [1239] = 1014,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1017,
  [1243] = 1220,
  [1244] = 1244,
  [1245] = 1234,
  [1246] = 1230,
  [1247] = 813,
  [1248] = 1200,
  [1249] = 1203,
  [1250] = 1219,
  [1251] = 1220,
  [1252] = 1234,
  [1253] = 1191,
  [1254] = 828,
  [1255] = 834,
  [1256] = 1256,
  [1257] = 1217,
  [1258] = 1258,
  [1259] = 810,
  [1260] = 1234,
  [1261] = 1188,
  [1262] = 823,
  [1263] = 1161,
  [1264] = 1264,
  [1265] = 812,
  [1266] = 1162,
  [1267] = 1227,
  [1268] = 1199,
  [1269] = 1269,
  [1270] = 1269,
  [1271] = 1269,
  [1272] = 1269,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 865,
  [1278] = 1276,
  [1279] = 1279,
  [1280] = 1276,
  [1281] = 1279,
  [1282] = 1279,
  [1283] = 1279,
  [1284] = 1276,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1293,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1293,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1302,
  [1307] = 1307,
  [1308] = 1302,
  [1309] = 1303,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1302,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1303,
  [1316] = 1316,
  [1317] = 1303,
  [1318] = 1302,
  [1319] = 1319,
  [1320] = 1302,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1325,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1325,
  [1352] = 1352,
  [1353] = 1325,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1358,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1358,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1358,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1373,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1376,
  [1379] = 1379,
  [1380] = 1376,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1379,
  [1384] = 1376,
  [1385] = 1379,
  [1386] = 1379,
  [1387] = 1373,
  [1388] = 1373,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1392,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1396,
  [1401] = 1401,
  [1402] = 1394,
  [1403] = 1392,
  [1404] = 1404,
  [1405] = 1394,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1394,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1392,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1396,
  [1417] = 1417,
  [1418] = 1396,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1444,
  [1450] = 1446,
  [1451] = 1444,
  [1452] = 1446,
  [1453] = 1444,
  [1454] = 1446,
  [1455] = 1446,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1446,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1444,
  [1474] = 1474,
  [1475] = 1444,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1503,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1509,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1511,
  [1516] = 1506,
  [1517] = 1517,
  [1518] = 1501,
  [1519] = 1519,
  [1520] = 1511,
  [1521] = 1521,
  [1522] = 1502,
  [1523] = 1523,
  [1524] = 1503,
  [1525] = 1521,
  [1526] = 1526,
  [1527] = 1509,
  [1528] = 1502,
  [1529] = 1521,
  [1530] = 1513,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1511,
  [1535] = 1512,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1506,
  [1541] = 1501,
  [1542] = 1513,
  [1543] = 1521,
  [1544] = 1502,
  [1545] = 1503,
  [1546] = 1511,
  [1547] = 1511,
  [1548] = 1511,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1506,
  [1554] = 1501,
  [1555] = 1555,
  [1556] = 1501,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1512,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1566,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1571,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1568,
  [1589] = 1589,
  [1590] = 1575,
  [1591] = 1566,
  [1592] = 1580,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1582,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1605,
  [1608] = 1608,
  [1609] = 1600,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1572,
  [1614] = 1571,
  [1615] = 1615,
  [1616] = 1575,
  [1617] = 1617,
  [1618] = 1586,
  [1619] = 1587,
  [1620] = 1568,
  [1621] = 1621,
  [1622] = 1600,
  [1623] = 1580,
  [1624] = 1605,
  [1625] = 1572,
  [1626] = 1571,
  [1627] = 1575,
  [1628] = 1586,
  [1629] = 1587,
  [1630] = 1568,
  [1631] = 1580,
  [1632] = 1605,
  [1633] = 1572,
  [1634] = 1571,
  [1635] = 1575,
  [1636] = 1586,
  [1637] = 1587,
  [1638] = 1568,
  [1639] = 1580,
  [1640] = 1586,
  [1641] = 1585,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1601,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1587,
  [1649] = 1580,
  [1650] = 1601,
  [1651] = 1579,
  [1652] = 1569,
  [1653] = 1653,
  [1654] = 1582,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1579,
  [1658] = 1658,
  [1659] = 1568,
  [1660] = 1581,
  [1661] = 1585,
  [1662] = 1662,
  [1663] = 1587,
  [1664] = 1664,
  [1665] = 1572,
  [1666] = 1571,
  [1667] = 1667,
  [1668] = 1569,
  [1669] = 1669,
  [1670] = 1575,
  [1671] = 1586,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1621,
  [1676] = 1605,
  [1677] = 1572,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1605,
  [1682] = 1408,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1684,
  [1686] = 1601,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1697,
  [1699] = 1694,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1688,
  [1703] = 1695,
  [1704] = 1704,
  [1705] = 1691,
  [1706] = 1687,
  [1707] = 1694,
  [1708] = 1697,
  [1709] = 1700,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1688,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1695,
  [1716] = 1690,
  [1717] = 1701,
  [1718] = 1692,
  [1719] = 1719,
  [1720] = 1696,
  [1721] = 1721,
  [1722] = 1695,
  [1723] = 1723,
  [1724] = 1696,
  [1725] = 1692,
  [1726] = 1726,
  [1727] = 1723,
  [1728] = 1690,
  [1729] = 1691,
  [1730] = 1730,
  [1731] = 1697,
  [1732] = 1732,
  [1733] = 1701,
  [1734] = 1734,
  [1735] = 1688,
  [1736] = 1696,
  [1737] = 1692,
  [1738] = 1723,
  [1739] = 1691,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1690,
  [1743] = 1743,
  [1744] = 1687,
  [1745] = 1701,
  [1746] = 1692,
  [1747] = 1687,
  [1748] = 1748,
  [1749] = 1688,
  [1750] = 1750,
  [1751] = 1687,
  [1752] = 1752,
  [1753] = 1688,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1690,
  [1759] = 1688,
  [1760] = 1691,
  [1761] = 1761,
  [1762] = 1691,
  [1763] = 1763,
  [1764] = 1694,
  [1765] = 1721,
  [1766] = 1695,
  [1767] = 1767,
  [1768] = 1723,
  [1769] = 1696,
  [1770] = 1770,
  [1771] = 1721,
  [1772] = 1772,
  [1773] = 1691,
  [1774] = 1694,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1775,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1787,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1794,
  [1801] = 1782,
  [1802] = 1802,
  [1803] = 1785,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1793,
  [1810] = 1014,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1777,
  [1814] = 1814,
  [1815] = 1787,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1799,
  [1819] = 1806,
  [1820] = 670,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1806,
  [1825] = 1823,
  [1826] = 1821,
  [1827] = 1797,
  [1828] = 1799,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1787,
  [1832] = 1799,
  [1833] = 1833,
  [1834] = 1806,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1779,
  [1841] = 1780,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1792,
  [1845] = 1783,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1790,
  [1850] = 1850,
  [1851] = 1777,
  [1852] = 1793,
  [1853] = 1817,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1799,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1786,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1837,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1786,
  [1870] = 1008,
  [1871] = 1790,
  [1872] = 1872,
  [1873] = 1833,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1794,
  [1878] = 1878,
  [1879] = 1862,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1797,
  [1885] = 1781,
  [1886] = 1782,
  [1887] = 1883,
  [1888] = 1779,
  [1889] = 1842,
  [1890] = 1890,
  [1891] = 1814,
  [1892] = 1892,
  [1893] = 1787,
  [1894] = 671,
  [1895] = 1895,
  [1896] = 1842,
  [1897] = 1897,
  [1898] = 1838,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1787,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1793,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1782,
  [1909] = 1909,
  [1910] = 1792,
  [1911] = 1015,
  [1912] = 1822,
  [1913] = 1814,
  [1914] = 1822,
  [1915] = 1811,
  [1916] = 1836,
  [1917] = 1837,
  [1918] = 1833,
  [1919] = 1850,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1792,
  [1923] = 1781,
  [1924] = 1909,
  [1925] = 1783,
  [1926] = 1777,
  [1927] = 1817,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1850,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1862,
  [1936] = 1823,
  [1937] = 1883,
  [1938] = 1938,
  [1939] = 1781,
  [1940] = 1940,
  [1941] = 1782,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 1787,
  [1945] = 1945,
  [1946] = 1793,
  [1947] = 1836,
  [1948] = 1837,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 1822,
  [1952] = 1806,
  [1953] = 1783,
  [1954] = 1850,
  [1955] = 1909,
  [1956] = 1780,
  [1957] = 1811,
  [1958] = 1017,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1909,
  [1964] = 1964,
  [1965] = 1811,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1836,
  [1969] = 1862,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1836,
  [1973] = 1836,
  [1974] = 1974,
  [1975] = 1799,
  [1976] = 1878,
  [1977] = 1806,
  [1978] = 1978,
  [1979] = 1940,
  [1980] = 1980,
  [1981] = 1872,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1793,
  [1985] = 1985,
  [1986] = 1799,
  [1987] = 1786,
  [1988] = 1776,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1872,
  [1992] = 1782,
  [1993] = 1836,
  [1994] = 1780,
  [1995] = 1814,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1940,
  [1999] = 1999,
  [2000] = 2000,
  [2001] = 1775,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 1821,
  [2005] = 2005,
  [2006] = 1814,
  [2007] = 1817,
  [2008] = 2008,
  [2009] = 1775,
  [2010] = 1806,
  [2011] = 1821,
  [2012] = 2012,
  [2013] = 1872,
  [2014] = 1940,
  [2015] = 1823,
  [2016] = 2016,
  [2017] = 1940,
  [2018] = 1814,
  [2019] = 1792,
  [2020] = 1781,
};

static TSCharacterRange sym_number_literal_character_set_13[] = {
  {'0', '9'}, {'B', 'B'}, {'D', 'D'}, {'F', 'F'}, {'L', 'L'}, {'U', 'U'}, {'W', 'W'}, {'b', 'b'},
  {'d', 'd'}, {'f', 'f'}, {'l', 'l'}, {'u', 'u'}, {'w', 'w'},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x11280, 0x11286}, {0x11288, 0x11288},
  {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330},
  {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461},
  {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa},
  {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913},
  {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3},
  {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08},
  {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65},
  {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342e}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f},
  {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1},
  {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122},
  {0x1b150, 0x1b152}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b738}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf2}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xecd}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x203f, 0x2040}, {0x2054, 0x2054},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107},
  {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f},
  {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d},
  {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6},
  {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c},
  {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x1123e}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342e}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36},
  {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f},
  {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb},
  {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b150, 0x1b152}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88},
  {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b},
  {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac},
  {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539},
  {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa},
  {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb},
  {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27},
  {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b},
  {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f},
  {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89},
  {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b738}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(120);
      ADVANCE_MAP(
        '!', 187,
        '"', 286,
        '#', 75,
        '%', 204,
        '&', 213,
        '\'', 277,
        '(', 124,
        ')', 127,
        '*', 200,
        '+', 195,
        ',', 126,
        '-', 190,
        '.', 253,
        '/', 202,
        '0', 259,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 2,
        ']', 234,
        '^', 210,
        'u', 302,
        '{', 230,
        '|', 207,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(43);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(43);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(46);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(46);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(45);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(45);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(47);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(47);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(49);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(49);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(53);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(53);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(52);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(52);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(57);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(57);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(50);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(50);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(51);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(51);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(48);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(48);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(25);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(25);
      if (lookahead == '\r') SKIP(23);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '\n', 129,
        '!', 68,
        '%', 203,
        '&', 212,
        '(', 185,
        '*', 199,
        '+', 194,
        '-', 189,
        '/', 201,
        '<', 221,
        '=', 69,
        '>', 217,
      );
      if (lookahead == '\\') SKIP(24);
      if (lookahead == '^') ADVANCE(209);
      if (lookahead == '|') ADVANCE(208);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(56);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(56);
      if (lookahead == '\r') SKIP(26);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(54);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(54);
      if (lookahead == '\r') SKIP(28);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(55);
      if (lookahead == '"') ADVANCE(286);
      if (lookahead == '/') ADVANCE(287);
      if (lookahead == '\\') ADVANCE(31);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(290);
      if (lookahead != 0) ADVANCE(291);
      END_STATE();
    case 31:
      if (lookahead == '\n') ADVANCE(293);
      if (lookahead == '\r') ADVANCE(292);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      if (lookahead == 'x') ADVANCE(104);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(295);
      if (lookahead != 0) ADVANCE(292);
      END_STATE();
    case 32:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '\r') ADVANCE(36);
      if (lookahead == '(') ADVANCE(124);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(145);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 33:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '\r') ADVANCE(36);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(145);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 34:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '\r') ADVANCE(35);
      if (lookahead == '(') ADVANCE(185);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(59);
      END_STATE();
    case 35:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '(') ADVANCE(185);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      END_STATE();
    case 36:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(145);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(58);
      if (lookahead == '\'') ADVANCE(277);
      if (lookahead == '/') ADVANCE(280);
      if (lookahead == '\\') ADVANCE(279);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(281);
      if (lookahead != 0) ADVANCE(278);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(59);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(59);
      if (lookahead == '\r') SKIP(38);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(44);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(44);
      if (lookahead == '\r') SKIP(40);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 42:
      if (lookahead == '\r') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(313);
      if (lookahead != 0) ADVANCE(318);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 187,
        '"', 286,
        '#', 75,
        '%', 204,
        '&', 213,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 195,
        ',', 126,
        '-', 190,
        '.', 253,
        '/', 202,
        '0', 259,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 2,
        ']', 234,
        '^', 210,
        'u', 302,
        '{', 230,
        '|', 207,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 187,
        '"', 286,
        '#', 83,
        '%', 204,
        '&', 213,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 195,
        ',', 126,
        '-', 190,
        '.', 253,
        '/', 202,
        '0', 259,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 298,
        'U', 300,
        '[', 232,
        '\\', 41,
        ']', 234,
        '^', 210,
        'u', 302,
        '{', 230,
        '|', 207,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 186,
        '"', 286,
        '#', 75,
        '&', 211,
        '\'', 277,
        '(', 185,
        '*', 199,
        '+', 196,
        ',', 126,
        '-', 191,
        '.', 96,
        '/', 60,
        '0', 259,
        ':', 67,
        ';', 226,
        'L', 298,
        'U', 300,
        '[', 73,
        '\\', 6,
        ']', 74,
        'u', 302,
        '{', 230,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 186,
        '"', 286,
        '#', 79,
        '&', 211,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 199,
        '+', 196,
        ',', 126,
        '-', 191,
        '.', 254,
        '/', 60,
        '0', 259,
        ':', 237,
        ';', 226,
        '=', 235,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 4,
        ']', 234,
        'u', 302,
        '{', 230,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 186,
        '"', 286,
        '#', 77,
        '&', 211,
        '\'', 277,
        '(', 185,
        '*', 199,
        '+', 196,
        '-', 191,
        '.', 96,
        '/', 60,
        '0', 259,
        ';', 226,
        'L', 298,
        'U', 300,
        '[', 73,
        '\\', 8,
        'u', 302,
        '{', 230,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 186,
        '\'', 277,
        '(', 185,
        ')', 127,
        '+', 198,
        '-', 193,
        '.', 96,
        '/', 60,
        '0', 259,
        'L', 306,
        'U', 307,
        '\\', 22,
        'u', 308,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 68,
        '"', 286,
        '#', 83,
        '%', 204,
        '&', 213,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 197,
        ',', 126,
        '-', 192,
        '.', 252,
        '/', 202,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 299,
        'U', 301,
        '[', 233,
        '\\', 10,
        ']', 234,
        '^', 210,
        'u', 303,
        '|', 207,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 68,
        '#', 83,
        '%', 204,
        '&', 213,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 197,
        ',', 126,
        '-', 192,
        '.', 252,
        '/', 202,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        '[', 233,
        '\\', 18,
        ']', 234,
        '^', 210,
        '{', 230,
        '|', 207,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 68,
        '#', 83,
        '%', 204,
        '&', 213,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 197,
        ',', 126,
        '-', 192,
        '.', 251,
        '/', 202,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        '[', 232,
        '\\', 20,
        ']', 74,
        '^', 210,
        '|', 207,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 68,
        '#', 80,
        '%', 203,
        '&', 212,
        '(', 185,
        ')', 127,
        '*', 199,
        '+', 194,
        ',', 126,
        '-', 189,
        '/', 201,
        ';', 226,
        '<', 221,
        '=', 236,
        '>', 217,
        '[', 233,
        '\\', 14,
        '^', 209,
        '{', 230,
        '|', 208,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 68,
        '#', 76,
        '%', 204,
        '&', 213,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 197,
        ',', 126,
        '-', 192,
        '.', 252,
        '/', 202,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        '[', 233,
        '\\', 12,
        '^', 210,
        '{', 230,
        '|', 207,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 54:
      if (lookahead == '"') ADVANCE(286);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '<') ADVANCE(70);
      if (lookahead == 'L') ADVANCE(299);
      if (lookahead == 'U') ADVANCE(301);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == 'u') ADVANCE(303);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 55:
      if (lookahead == '"') ADVANCE(286);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(31);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      END_STATE();
    case 56:
      if (lookahead == '#') ADVANCE(93);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '}') ADVANCE(231);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 57:
      if (lookahead == '#') ADVANCE(78);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(16);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 58:
      if (lookahead == '\'') ADVANCE(277);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(31);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      END_STATE();
    case 59:
      if (lookahead == '(') ADVANCE(185);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      END_STATE();
    case 60:
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(318);
      END_STATE();
    case 61:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '/') ADVANCE(311);
      if (lookahead != 0) ADVANCE(62);
      END_STATE();
    case 62:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead != 0) ADVANCE(62);
      END_STATE();
    case 63:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 64:
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(257);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(258);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(267);
      END_STATE();
    case 65:
      if (lookahead == '.') ADVANCE(125);
      END_STATE();
    case 66:
      if (lookahead == '/') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(145);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 67:
      if (lookahead == ':') ADVANCE(227);
      END_STATE();
    case 68:
      if (lookahead == '=') ADVANCE(215);
      END_STATE();
    case 69:
      if (lookahead == '=') ADVANCE(214);
      END_STATE();
    case 70:
      if (lookahead == '>') ADVANCE(296);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(70);
      END_STATE();
    case 71:
      if (lookahead == '>') ADVANCE(297);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 73:
      if (lookahead == '[') ADVANCE(228);
      END_STATE();
    case 74:
      if (lookahead == ']') ADVANCE(229);
      END_STATE();
    case 75:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'e') ADVANCE(179);
      if (lookahead == 'i') ADVANCE(167);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 76:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'e') ADVANCE(179);
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 77:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'e') ADVANCE(181);
      if (lookahead == 'i') ADVANCE(167);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 78:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'e') ADVANCE(181);
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 79:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'i') ADVANCE(167);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 80:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 81:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 82:
      if (lookahead == 'd') ADVANCE(86);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(94);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(83);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 87:
      if (lookahead == 'f') ADVANCE(136);
      END_STATE();
    case 88:
      if (lookahead == 'f') ADVANCE(130);
      END_STATE();
    case 89:
      if (lookahead == 'f') ADVANCE(138);
      END_STATE();
    case 90:
      if (lookahead == 'f') ADVANCE(140);
      END_STATE();
    case 91:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 's') ADVANCE(84);
      END_STATE();
    case 92:
      if (lookahead == 'i') ADVANCE(88);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(81);
      END_STATE();
    case 95:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 96:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(256);
      END_STATE();
    case 97:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(258);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(267);
      END_STATE();
    case 98:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(310);
      END_STATE();
    case 99:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(264);
      END_STATE();
    case 100:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(267);
      END_STATE();
    case 101:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(262);
      END_STATE();
    case 102:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(292);
      END_STATE();
    case 103:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(98);
      END_STATE();
    case 104:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 105:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(103);
      END_STATE();
    case 106:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 107:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(105);
      END_STATE();
    case 108:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      END_STATE();
    case 109:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 110:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(108);
      END_STATE();
    case 111:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(109);
      END_STATE();
    case 112:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 113:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 114:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 115:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 116:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      END_STATE();
    case 117:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(152);
      END_STATE();
    case 118:
      if (eof) ADVANCE(120);
      ADVANCE_MAP(
        '!', 187,
        '"', 286,
        '#', 75,
        '%', 204,
        '&', 213,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 195,
        ',', 126,
        '-', 190,
        '.', 253,
        '/', 202,
        '0', 259,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 2,
        ']', 234,
        '^', 210,
        'u', 302,
        '{', 230,
        '|', 207,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 119:
      if (eof) ADVANCE(120);
      ADVANCE_MAP(
        '!', 186,
        '"', 286,
        '#', 79,
        '&', 211,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 199,
        '+', 196,
        ',', 126,
        '-', 191,
        '.', 254,
        '/', 60,
        '0', 259,
        ':', 237,
        ';', 226,
        '=', 235,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 4,
        ']', 234,
        'u', 302,
        '{', 230,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 658, lookahead)) ADVANCE(310);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(163);
      if (lookahead == 'n') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(129);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(85);
      if (lookahead == 'n') ADVANCE(82);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(165);
      if (lookahead == 'n') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(62);
      if (lookahead == '*') ADVANCE(142);
      if (lookahead == '/') ADVANCE(311);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(62);
      if (lookahead == '*') ADVANCE(142);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(318);
      if (lookahead == '\r') ADVANCE(312);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(314);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(66);
      if (lookahead == '\r') ADVANCE(146);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(66);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(153);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(151);
      if (lookahead == '*') ADVANCE(142);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(317);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(314);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(143);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(152);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(142);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(180);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(175);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(128);
      if (lookahead == 'n') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(132);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(170);
      if (lookahead == 's') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(177);
      if (lookahead == 'n') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(215);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(249);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(255);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(249);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(249);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(255);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(250);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (lookahead == '=') ADVANCE(242);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(250);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(250);
      if (lookahead == '=') ADVANCE(242);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(239);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(318);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(318);
      if (lookahead == '=') ADVANCE(240);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(241);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(248);
      if (lookahead == '|') ADVANCE(205);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(205);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(247);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(206);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(206);
      if (lookahead == '=') ADVANCE(246);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(225);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(224);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(223);
      if (lookahead == '=') ADVANCE(219);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(222);
      if (lookahead == '=') ADVANCE(219);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(244);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(245);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(228);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(214);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(65);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(256);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(256);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(96);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(256);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(272);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 97,
        '.', 270,
        'B', 266,
        'b', 266,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'X', 100,
        'x', 100,
        'A', 267,
        'C', 267,
        'a', 267,
        'c', 267,
        'D', 267,
        'F', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(258);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 97,
        '.', 270,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'A', 267,
        'C', 267,
        'a', 267,
        'c', 267,
        'B', 267,
        'D', 267,
        'F', 267,
        'b', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(258);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 95,
        '.', 270,
        'B', 268,
        'b', 268,
        'X', 64,
        'x', 64,
        'E', 269,
        'P', 269,
        'e', 269,
        'p', 269,
        'D', 272,
        'F', 272,
        'L', 272,
        'U', 272,
        'W', 272,
        'd', 272,
        'f', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 95,
        '.', 270,
        'B', 271,
        'b', 271,
        'X', 100,
        'x', 100,
        'E', 269,
        'P', 269,
        'e', 269,
        'p', 269,
        'D', 272,
        'F', 272,
        'L', 272,
        'U', 272,
        'W', 272,
        'd', 272,
        'f', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(95);
      if (lookahead == '.') ADVANCE(270);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(272);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 101,
        'B', 262,
        'D', 262,
        'F', 262,
        'b', 262,
        'd', 262,
        'f', 262,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(262);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 99,
        '+', 101,
        '-', 101,
        'E', 263,
        'e', 263,
        'P', 269,
        'p', 269,
        'B', 264,
        'D', 264,
        'F', 264,
        'b', 264,
        'd', 264,
        'f', 264,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(264);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 99,
        'E', 263,
        'e', 263,
        'P', 269,
        'p', 269,
        'B', 264,
        'D', 264,
        'F', 264,
        'b', 264,
        'd', 264,
        'f', 264,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(264);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 100,
        '.', 270,
        '+', 101,
        '-', 101,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'B', 267,
        'D', 267,
        'F', 267,
        'b', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(267);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 100,
        '.', 270,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'A', 267,
        'C', 267,
        'a', 267,
        'c', 267,
        'B', 267,
        'D', 267,
        'F', 267,
        'b', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(258);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 100,
        '.', 270,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'B', 267,
        'D', 267,
        'F', 267,
        'b', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(267);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(260);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(272);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '+', 101,
        '-', 101,
        'B', 262,
        'D', 262,
        'F', 262,
        'b', 262,
        'd', 262,
        'f', 262,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(262);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'E', 263,
        'e', 263,
        'P', 269,
        'p', 269,
        'B', 264,
        'D', 264,
        'F', 264,
        'b', 264,
        'd', 264,
        'f', 264,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(264);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(272);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'B', 272,
        'D', 272,
        'F', 272,
        'L', 272,
        'U', 272,
        'W', 272,
        'b', 272,
        'd', 272,
        'f', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(293);
      if (lookahead == '\r') ADVANCE(292);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      if (lookahead == 'x') ADVANCE(104);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(295);
      if (lookahead != 0) ADVANCE(292);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(318);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(31);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(289);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(291);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(288);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(289);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(288);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(289);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(287);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(290);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(291);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(291);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(31);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(292);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(294);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(296);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(70);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(282);
      if (lookahead == '\'') ADVANCE(273);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(282);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(284);
      if (lookahead == '\'') ADVANCE(275);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(284);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(283);
      if (lookahead == '\'') ADVANCE(274);
      if (lookahead == '8') ADVANCE(304);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(283);
      if (lookahead == '8') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(285);
      if (lookahead == '\'') ADVANCE(276);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(285);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(273);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(275);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(274);
      if (lookahead == '8') ADVANCE(309);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(276);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 765, lookahead)) ADVANCE(310);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(318);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(313);
      if (lookahead != 0) ADVANCE(318);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(317);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(314);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(318);
      if (lookahead == '\\') ADVANCE(144);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(316);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(316);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(318);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead != 0) ADVANCE(318);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4);
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'm') ADVANCE(15);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'p') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      if (lookahead == 's') ADVANCE(20);
      if (lookahead == 't') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      if (lookahead == 'v') ADVANCE(23);
      if (lookahead == 'w') ADVANCE(24);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'A') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'U') ADVANCE(26);
      END_STATE();
    case 3:
      if (lookahead == 'R') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(28);
      END_STATE();
    case 5:
      if (lookahead == 'A') ADVANCE(29);
      if (lookahead == 'G') ADVANCE(30);
      if (lookahead == 'N') ADVANCE(31);
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == 'a') ADVANCE(33);
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(35);
      if (lookahead == 's') ADVANCE(36);
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(40);
      if (lookahead == 'h') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 'o') ADVANCE(44);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(47);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'l') ADVANCE(49);
      if (lookahead == 'o') ADVANCE(50);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(51);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(52);
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'o') ADVANCE(54);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 17:
      if (lookahead == 'f') ADVANCE(58);
      END_STATE();
    case 18:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(62);
      if (lookahead == 's') ADVANCE(63);
      if (lookahead == 't') ADVANCE(64);
      if (lookahead == 'w') ADVANCE(65);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(66);
      if (lookahead == 'r') ADVANCE(67);
      if (lookahead == 'y') ADVANCE(68);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 24:
      if (lookahead == 'h') ADVANCE(72);
      END_STATE();
    case 25:
      if (lookahead == 'L') ADVANCE(73);
      END_STATE();
    case 26:
      if (lookahead == 'L') ADVANCE(74);
      END_STATE();
    case 27:
      if (lookahead == 'U') ADVANCE(75);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 31:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        'a', 80,
        'b', 81,
        'c', 82,
        'd', 83,
        'e', 84,
        'f', 85,
        'i', 86,
        'l', 87,
        'r', 88,
        's', 89,
        't', 90,
        'u', 91,
        'v', 92,
      );
      END_STATE();
    case 33:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 36:
      if (lookahead == 'm') ADVANCE(96);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 40:
      if (lookahead == 's') ADVANCE(100);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 42:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(104);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(105);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(110);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(112);
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 55:
      if (lookahead == 'x') ADVANCE(115);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(116);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(118);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(120);
      if (lookahead == 's') ADVANCE(121);
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 61:
      if (lookahead == 'o') ADVANCE(123);
      END_STATE();
    case 62:
      if (lookahead == 'g') ADVANCE(124);
      if (lookahead == 'z') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'a') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(129);
      END_STATE();
    case 66:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(131);
      END_STATE();
    case 68:
      if (lookahead == 'p') ADVANCE(132);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(134);
      if (lookahead == 's') ADVANCE(135);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(136);
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(138);
      END_STATE();
    case 73:
      if (lookahead == 'S') ADVANCE(139);
      END_STATE();
    case 74:
      if (lookahead == 'L') ADVANCE(140);
      END_STATE();
    case 75:
      if (lookahead == 'E') ADVANCE(141);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 77:
      if (lookahead == 'o') ADVANCE(143);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 79:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(146);
      if (lookahead == 's') ADVANCE(147);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 82:
      if (lookahead == 'd') ADVANCE(150);
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 84:
      if (lookahead == 'x') ADVANCE(153);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(154);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 86:
      if (lookahead == 'n') ADVANCE(157);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 89:
      if (lookahead == 'p') ADVANCE(160);
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 90:
      if (lookahead == 'h') ADVANCE(162);
      if (lookahead == 'r') ADVANCE(163);
      END_STATE();
    case 91:
      if (lookahead == 'n') ADVANCE(164);
      if (lookahead == 'p') ADVANCE(165);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 95:
      if (lookahead == 'g') ADVANCE(169);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 97:
      if (lookahead == 'o') ADVANCE(170);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(171);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(172);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 102:
      if (lookahead == 's') ADVANCE(175);
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(177);
      if (lookahead == 'i') ADVANCE(178);
      END_STATE();
    case 104:
      if (lookahead == 'b') ADVANCE(179);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 106:
      if (lookahead == 'm') ADVANCE(181);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 108:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(184);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 111:
      if (lookahead == 'o') ADVANCE(185);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(187);
      if (lookahead == '3') ADVANCE(188);
      if (lookahead == '6') ADVANCE(189);
      if (lookahead == '8') ADVANCE(190);
      if (lookahead == 'p') ADVANCE(191);
      END_STATE();
    case 114:
      if (lookahead == 'g') ADVANCE(192);
      END_STATE();
    case 115:
      if (lookahead == '_') ADVANCE(193);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 118:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(197);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(198);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(199);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(200);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(201);
      END_STATE();
    case 124:
      if (lookahead == 'n') ADVANCE(202);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 126:
      if (lookahead == 'z') ADVANCE(204);
      END_STATE();
    case 127:
      if (lookahead == 't') ADVANCE(205);
      END_STATE();
    case 128:
      if (lookahead == 'u') ADVANCE(206);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(207);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(210);
      END_STATE();
    case 134:
      if (lookahead == 'o') ADVANCE(211);
      END_STATE();
    case 135:
      if (lookahead == 'i') ADVANCE(212);
      END_STATE();
    case 136:
      if (lookahead == 'd') ADVANCE(171);
      END_STATE();
    case 137:
      if (lookahead == 'a') ADVANCE(213);
      END_STATE();
    case 138:
      if (lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 139:
      if (lookahead == 'E') ADVANCE(215);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 142:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 143:
      if (lookahead == 'm') ADVANCE(217);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(219);
      END_STATE();
    case 146:
      if (lookahead == 'i') ADVANCE(220);
      END_STATE();
    case 147:
      if (lookahead == 'm') ADVANCE(221);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(222);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(223);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(224);
      END_STATE();
    case 151:
      if (lookahead == 'r') ADVANCE(225);
      END_STATE();
    case 152:
      if (lookahead == 'c') ADVANCE(226);
      END_STATE();
    case 153:
      if (lookahead == 'c') ADVANCE(227);
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 154:
      if (lookahead == 's') ADVANCE(229);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(230);
      END_STATE();
    case 156:
      if (lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 157:
      if (lookahead == 'l') ADVANCE(232);
      END_STATE();
    case 158:
      if (lookahead == 'a') ADVANCE(233);
      END_STATE();
    case 159:
      if (lookahead == 's') ADVANCE(234);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 161:
      if (lookahead == 'd') ADVANCE(236);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(237);
      if (lookahead == 'r') ADVANCE(238);
      END_STATE();
    case 163:
      if (lookahead == 'y') ADVANCE(239);
      END_STATE();
    case 164:
      if (lookahead == 'a') ADVANCE(240);
      END_STATE();
    case 165:
      if (lookahead == 't') ADVANCE(241);
      END_STATE();
    case 166:
      if (lookahead == 'c') ADVANCE(242);
      END_STATE();
    case 167:
      if (lookahead == 'g') ADVANCE(243);
      END_STATE();
    case 168:
      if (lookahead == 'l') ADVANCE(244);
      END_STATE();
    case 169:
      if (lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_auto);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_primitive_type);
      END_STATE();
    case 172:
      if (lookahead == 'k') ADVANCE(246);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(247);
      if (lookahead == '3') ADVANCE(248);
      if (lookahead == '6') ADVANCE(249);
      if (lookahead == '8') ADVANCE(250);
      if (lookahead == 'p') ADVANCE(251);
      END_STATE();
    case 175:
      if (lookahead == 't') ADVANCE(252);
      END_STATE();
    case 176:
      if (lookahead == 'i') ADVANCE(253);
      END_STATE();
    case 177:
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 178:
      if (lookahead == 'n') ADVANCE(255);
      END_STATE();
    case 179:
      if (lookahead == 'l') ADVANCE(256);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 182:
      if (lookahead == 'r') ADVANCE(257);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 186:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 187:
      if (lookahead == '6') ADVANCE(259);
      END_STATE();
    case 188:
      if (lookahead == '2') ADVANCE(260);
      END_STATE();
    case 189:
      if (lookahead == '4') ADVANCE(261);
      END_STATE();
    case 190:
      if (lookahead == '_') ADVANCE(262);
      END_STATE();
    case 191:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 193:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(265);
      END_STATE();
    case 195:
      if (lookahead == 'p') ADVANCE(266);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 197:
      if (lookahead == 'i') ADVANCE(268);
      END_STATE();
    case 198:
      if (lookahead == 's') ADVANCE(269);
      END_STATE();
    case 199:
      if (lookahead == 'r') ADVANCE(270);
      END_STATE();
    case 200:
      if (lookahead == 'r') ADVANCE(271);
      END_STATE();
    case 201:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 203:
      if (lookahead == '_') ADVANCE(274);
      if (lookahead == 'o') ADVANCE(275);
      END_STATE();
    case 204:
      if (lookahead == 'e') ADVANCE(276);
      END_STATE();
    case 205:
      if (lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 206:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 207:
      if (lookahead == 'c') ADVANCE(279);
      END_STATE();
    case 208:
      if (lookahead == 'a') ADVANCE(280);
      END_STATE();
    case 209:
      if (lookahead == 'd') ADVANCE(281);
      END_STATE();
    case 210:
      if (lookahead == '1') ADVANCE(282);
      if (lookahead == '3') ADVANCE(283);
      if (lookahead == '6') ADVANCE(284);
      if (lookahead == '8') ADVANCE(285);
      if (lookahead == 'p') ADVANCE(286);
      END_STATE();
    case 211:
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 212:
      if (lookahead == 'g') ADVANCE(288);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(289);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(290);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 218:
      if (lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 219:
      if (lookahead == 't') ADVANCE(294);
      END_STATE();
    case 220:
      if (lookahead == 'g') ADVANCE(295);
      END_STATE();
    case 221:
      if (lookahead == '_') ADVANCE(296);
      END_STATE();
    case 222:
      if (lookahead == 'r') ADVANCE(297);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(298);
      END_STATE();
    case 224:
      if (lookahead == 'c') ADVANCE(299);
      END_STATE();
    case 225:
      if (lookahead == 'c') ADVANCE(300);
      END_STATE();
    case 226:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 227:
      if (lookahead == 'e') ADVANCE(302);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 229:
      if (lookahead == 't') ADVANCE(304);
      END_STATE();
    case 230:
      if (lookahead == 'a') ADVANCE(305);
      END_STATE();
    case 231:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 232:
      if (lookahead == 'i') ADVANCE(307);
      END_STATE();
    case 233:
      if (lookahead == 'v') ADVANCE(308);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 235:
      if (lookahead == 'r') ADVANCE(310);
      END_STATE();
    case 236:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 237:
      if (lookahead == 's') ADVANCE(312);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(314);
      END_STATE();
    case 241:
      if (lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 242:
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 243:
      if (lookahead == 'n') ADVANCE(317);
      END_STATE();
    case 244:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 245:
      if (lookahead == 'o') ADVANCE(319);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 247:
      if (lookahead == '6') ADVANCE(320);
      END_STATE();
    case 248:
      if (lookahead == '2') ADVANCE(321);
      END_STATE();
    case 249:
      if (lookahead == '4') ADVANCE(322);
      END_STATE();
    case 250:
      if (lookahead == '_') ADVANCE(323);
      END_STATE();
    case 251:
      if (lookahead == 't') ADVANCE(324);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(325);
      END_STATE();
    case 253:
      if (lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 254:
      if (lookahead == 'l') ADVANCE(327);
      END_STATE();
    case 255:
      if (lookahead == 'e') ADVANCE(328);
      END_STATE();
    case 256:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 257:
      if (lookahead == 'n') ADVANCE(329);
      END_STATE();
    case 258:
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 259:
      if (lookahead == '_') ADVANCE(331);
      END_STATE();
    case 260:
      if (lookahead == '_') ADVANCE(332);
      END_STATE();
    case 261:
      if (lookahead == '_') ADVANCE(333);
      END_STATE();
    case 262:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 263:
      if (lookahead == 'r') ADVANCE(334);
      END_STATE();
    case 264:
      if (lookahead == 'l') ADVANCE(335);
      END_STATE();
    case 265:
      if (lookahead == 'u') ADVANCE(336);
      END_STATE();
    case 266:
      if (lookahead == 't') ADVANCE(337);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(338);
      END_STATE();
    case 268:
      if (lookahead == 'f') ADVANCE(339);
      END_STATE();
    case 269:
      if (lookahead == 't') ADVANCE(340);
      END_STATE();
    case 270:
      if (lookahead == 'i') ADVANCE(341);
      END_STATE();
    case 271:
      if (lookahead == 'n') ADVANCE(342);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 273:
      if (lookahead == 'd') ADVANCE(343);
      END_STATE();
    case 274:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 275:
      if (lookahead == 'f') ADVANCE(344);
      END_STATE();
    case 276:
      if (lookahead == '_') ADVANCE(345);
      END_STATE();
    case 277:
      if (lookahead == 'c') ADVANCE(346);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(347);
      END_STATE();
    case 279:
      if (lookahead == 'h') ADVANCE(348);
      END_STATE();
    case 280:
      if (lookahead == 'd') ADVANCE(349);
      END_STATE();
    case 281:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 282:
      if (lookahead == '6') ADVANCE(351);
      END_STATE();
    case 283:
      if (lookahead == '2') ADVANCE(352);
      END_STATE();
    case 284:
      if (lookahead == '4') ADVANCE(353);
      END_STATE();
    case 285:
      if (lookahead == '_') ADVANCE(354);
      END_STATE();
    case 286:
      if (lookahead == 't') ADVANCE(355);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 288:
      if (lookahead == 'n') ADVANCE(356);
      END_STATE();
    case 289:
      if (lookahead == 'i') ADVANCE(357);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 291:
      if (lookahead == 'o') ADVANCE(358);
      END_STATE();
    case 292:
      if (lookahead == 'c') ADVANCE(359);
      END_STATE();
    case 293:
      if (lookahead == 'i') ADVANCE(360);
      END_STATE();
    case 294:
      if (lookahead == 'u') ADVANCE(361);
      END_STATE();
    case 295:
      if (lookahead == 'n') ADVANCE(362);
      END_STATE();
    case 296:
      if (lookahead == '_') ADVANCE(363);
      END_STATE();
    case 297:
      if (lookahead == 'i') ADVANCE(364);
      END_STATE();
    case 298:
      if (lookahead == 'd') ADVANCE(365);
      END_STATE();
    case 299:
      if (lookahead == 'l') ADVANCE(366);
      END_STATE();
    case 300:
      if (lookahead == 'a') ADVANCE(367);
      END_STATE();
    case 301:
      if (lookahead == 's') ADVANCE(368);
      END_STATE();
    case 302:
      if (lookahead == 'p') ADVANCE(369);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(370);
      END_STATE();
    case 304:
      if (lookahead == 'c') ADVANCE(371);
      END_STATE();
    case 305:
      if (lookahead == 'l') ADVANCE(372);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(374);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 309:
      if (lookahead == 'r') ADVANCE(376);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 311:
      if (lookahead == 'a') ADVANCE(377);
      END_STATE();
    case 312:
      if (lookahead == 'c') ADVANCE(378);
      END_STATE();
    case 313:
      if (lookahead == 'a') ADVANCE(379);
      END_STATE();
    case 314:
      if (lookahead == 'i') ADVANCE(380);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 316:
      if (lookahead == 'o') ADVANCE(381);
      END_STATE();
    case 317:
      if (lookahead == 'o') ADVANCE(382);
      END_STATE();
    case 318:
      if (lookahead == 'g') ADVANCE(383);
      END_STATE();
    case 319:
      if (lookahead == 'f') ADVANCE(384);
      END_STATE();
    case 320:
      if (lookahead == '_') ADVANCE(385);
      END_STATE();
    case 321:
      if (lookahead == '_') ADVANCE(386);
      END_STATE();
    case 322:
      if (lookahead == '_') ADVANCE(387);
      END_STATE();
    case 323:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 324:
      if (lookahead == 'r') ADVANCE(388);
      END_STATE();
    case 325:
      if (lookahead == 'x') ADVANCE(389);
      END_STATE();
    case 326:
      if (lookahead == 'u') ADVANCE(390);
      END_STATE();
    case 327:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(392);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 331:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 332:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 333:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 334:
      if (lookahead == '_') ADVANCE(393);
      END_STATE();
    case 335:
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 336:
      if (lookahead == 'r') ADVANCE(395);
      END_STATE();
    case 337:
      if (lookahead == 'r') ADVANCE(396);
      END_STATE();
    case 338:
      if (lookahead == 'o') ADVANCE(397);
      END_STATE();
    case 339:
      if (lookahead == 'f') ADVANCE(398);
      END_STATE();
    case 340:
      if (lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 341:
      if (lookahead == 'c') ADVANCE(400);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 345:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 349:
      if (lookahead == '_') ADVANCE(401);
      END_STATE();
    case 350:
      if (lookahead == 'f') ADVANCE(402);
      END_STATE();
    case 351:
      if (lookahead == '_') ADVANCE(403);
      END_STATE();
    case 352:
      if (lookahead == '_') ADVANCE(404);
      END_STATE();
    case 353:
      if (lookahead == '_') ADVANCE(405);
      END_STATE();
    case 354:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 355:
      if (lookahead == 'r') ADVANCE(406);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(407);
      END_STATE();
    case 357:
      if (lookahead == 'l') ADVANCE(408);
      END_STATE();
    case 358:
      if (lookahead == 'f') ADVANCE(409);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 360:
      if (lookahead == 'c') ADVANCE(410);
      END_STATE();
    case 361:
      if (lookahead == 'r') ADVANCE(411);
      END_STATE();
    case 362:
      if (lookahead == 'o') ADVANCE(412);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 364:
      if (lookahead == 'b') ADVANCE(413);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 367:
      if (lookahead == 'l') ADVANCE(414);
      END_STATE();
    case 368:
      if (lookahead == 'p') ADVANCE(415);
      END_STATE();
    case 369:
      if (lookahead == 't') ADVANCE(416);
      END_STATE();
    case 370:
      if (lookahead == 's') ADVANCE(417);
      END_STATE();
    case 371:
      if (lookahead == 'a') ADVANCE(418);
      END_STATE();
    case 372:
      if (lookahead == 'l') ADVANCE(419);
      END_STATE();
    case 373:
      if (lookahead == 'i') ADVANCE(420);
      END_STATE();
    case 374:
      if (lookahead == 'e') ADVANCE(421);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 376:
      if (lookahead == 'i') ADVANCE(422);
      END_STATE();
    case 377:
      if (lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 378:
      if (lookahead == 'a') ADVANCE(424);
      END_STATE();
    case 379:
      if (lookahead == 'd') ADVANCE(425);
      END_STATE();
    case 380:
      if (lookahead == 'g') ADVANCE(426);
      END_STATE();
    case 381:
      if (lookahead == 'r') ADVANCE(427);
      END_STATE();
    case 382:
      if (lookahead == 'f') ADVANCE(428);
      END_STATE();
    case 383:
      if (lookahead == 'n') ADVANCE(429);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 385:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 386:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 387:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 388:
      if (lookahead == '_') ADVANCE(430);
      END_STATE();
    case 389:
      if (lookahead == 'p') ADVANCE(431);
      END_STATE();
    case 390:
      if (lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 393:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 394:
      if (lookahead == 'g') ADVANCE(433);
      END_STATE();
    case 395:
      if (lookahead == 'n') ADVANCE(434);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_nullptr);
      if (lookahead == '_') ADVANCE(435);
      END_STATE();
    case 397:
      if (lookahead == 'f') ADVANCE(436);
      END_STATE();
    case 398:
      if (lookahead == '_') ADVANCE(437);
      END_STATE();
    case 399:
      if (lookahead == 'r') ADVANCE(438);
      END_STATE();
    case 400:
      if (lookahead == 't') ADVANCE(439);
      END_STATE();
    case 401:
      if (lookahead == 'l') ADVANCE(440);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 403:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 404:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 405:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 406:
      if (lookahead == '_') ADVANCE(441);
      END_STATE();
    case 407:
      if (lookahead == 'd') ADVANCE(442);
      END_STATE();
    case 408:
      if (lookahead == 'e') ADVANCE(443);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 411:
      if (lookahead == 'n') ADVANCE(444);
      END_STATE();
    case 412:
      if (lookahead == 'f') ADVANCE(445);
      END_STATE();
    case 413:
      if (lookahead == 'u') ADVANCE(446);
      END_STATE();
    case 414:
      if (lookahead == 'l') ADVANCE(447);
      END_STATE();
    case 415:
      if (lookahead == 'e') ADVANCE(448);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 417:
      if (lookahead == 'i') ADVANCE(449);
      END_STATE();
    case 418:
      if (lookahead == 'l') ADVANCE(450);
      END_STATE();
    case 419:
      if (lookahead == 'y') ADVANCE(451);
      END_STATE();
    case 420:
      if (lookahead == 'n') ADVANCE(452);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(453);
      END_STATE();
    case 422:
      if (lookahead == 'c') ADVANCE(454);
      END_STATE();
    case 423:
      if (lookahead == 'l') ADVANCE(455);
      END_STATE();
    case 424:
      if (lookahead == 'l') ADVANCE(456);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 426:
      if (lookahead == 'n') ADVANCE(457);
      END_STATE();
    case 427:
      if (lookahead == 'c') ADVANCE(458);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 429:
      if (lookahead == 'e') ADVANCE(459);
      END_STATE();
    case 430:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 431:
      if (lookahead == 'r') ADVANCE(460);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 433:
      if (lookahead == 'n') ADVANCE(461);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 435:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 437:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 440:
      if (lookahead == 'o') ADVANCE(462);
      END_STATE();
    case 441:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(463);
      END_STATE();
    case 446:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 448:
      if (lookahead == 'c') ADVANCE(465);
      END_STATE();
    case 449:
      if (lookahead == 'o') ADVANCE(466);
      END_STATE();
    case 450:
      if (lookahead == 'l') ADVANCE(467);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 452:
      if (lookahead == 'l') ADVANCE(468);
      END_STATE();
    case 453:
      if (lookahead == '_') ADVANCE(469);
      END_STATE();
    case 454:
      if (lookahead == 't') ADVANCE(470);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 456:
      if (lookahead == 'l') ADVANCE(471);
      END_STATE();
    case 457:
      if (lookahead == 'e') ADVANCE(472);
      END_STATE();
    case 458:
      if (lookahead == 'a') ADVANCE(473);
      END_STATE();
    case 459:
      if (lookahead == 'd') ADVANCE(474);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 461:
      if (lookahead == '_') ADVANCE(475);
      END_STATE();
    case 462:
      if (lookahead == 'c') ADVANCE(476);
      END_STATE();
    case 463:
      if (lookahead == '_') ADVANCE(477);
      END_STATE();
    case 464:
      if (lookahead == 'e') ADVANCE(478);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 466:
      if (lookahead == 'n') ADVANCE(479);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 468:
      if (lookahead == 'i') ADVANCE(480);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(481);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 472:
      if (lookahead == 'd') ADVANCE(482);
      END_STATE();
    case 473:
      if (lookahead == 'l') ADVANCE(483);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 475:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 476:
      if (lookahead == 'a') ADVANCE(484);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 478:
      if (lookahead == '_') ADVANCE(485);
      END_STATE();
    case 479:
      if (lookahead == '_') ADVANCE(486);
      END_STATE();
    case 480:
      if (lookahead == 'n') ADVANCE(487);
      END_STATE();
    case 481:
      if (lookahead == '_') ADVANCE(488);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 483:
      if (lookahead == 'l') ADVANCE(489);
      END_STATE();
    case 484:
      if (lookahead == 'l') ADVANCE(490);
      END_STATE();
    case 485:
      if (lookahead == '_') ADVANCE(491);
      END_STATE();
    case 486:
      if (lookahead == '_') ADVANCE(492);
      END_STATE();
    case 487:
      if (lookahead == 'e') ADVANCE(493);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 119},
  [2] = {.lex_state = 45},
  [3] = {.lex_state = 45},
  [4] = {.lex_state = 45},
  [5] = {.lex_state = 45},
  [6] = {.lex_state = 45},
  [7] = {.lex_state = 45},
  [8] = {.lex_state = 45},
  [9] = {.lex_state = 45},
  [10] = {.lex_state = 45},
  [11] = {.lex_state = 45},
  [12] = {.lex_state = 45},
  [13] = {.lex_state = 45},
  [14] = {.lex_state = 45},
  [15] = {.lex_state = 45},
  [16] = {.lex_state = 45},
  [17] = {.lex_state = 45},
  [18] = {.lex_state = 45},
  [19] = {.lex_state = 45},
  [20] = {.lex_state = 45},
  [21] = {.lex_state = 45},
  [22] = {.lex_state = 45},
  [23] = {.lex_state = 119},
  [24] = {.lex_state = 119},
  [25] = {.lex_state = 47},
  [26] = {.lex_state = 119},
  [27] = {.lex_state = 119},
  [28] = {.lex_state = 119},
  [29] = {.lex_state = 47},
  [30] = {.lex_state = 119},
  [31] = {.lex_state = 119},
  [32] = {.lex_state = 119},
  [33] = {.lex_state = 119},
  [34] = {.lex_state = 119},
  [35] = {.lex_state = 119},
  [36] = {.lex_state = 119},
  [37] = {.lex_state = 119},
  [38] = {.lex_state = 119},
  [39] = {.lex_state = 119},
  [40] = {.lex_state = 47},
  [41] = {.lex_state = 119},
  [42] = {.lex_state = 119},
  [43] = {.lex_state = 119},
  [44] = {.lex_state = 119},
  [45] = {.lex_state = 45},
  [46] = {.lex_state = 45},
  [47] = {.lex_state = 45},
  [48] = {.lex_state = 45},
  [49] = {.lex_state = 45},
  [50] = {.lex_state = 47},
  [51] = {.lex_state = 47},
  [52] = {.lex_state = 47},
  [53] = {.lex_state = 47},
  [54] = {.lex_state = 47},
  [55] = {.lex_state = 119},
  [56] = {.lex_state = 119},
  [57] = {.lex_state = 119},
  [58] = {.lex_state = 119},
  [59] = {.lex_state = 119},
  [60] = {.lex_state = 119},
  [61] = {.lex_state = 119},
  [62] = {.lex_state = 119},
  [63] = {.lex_state = 119},
  [64] = {.lex_state = 119},
  [65] = {.lex_state = 119},
  [66] = {.lex_state = 119},
  [67] = {.lex_state = 119},
  [68] = {.lex_state = 119},
  [69] = {.lex_state = 119},
  [70] = {.lex_state = 119},
  [71] = {.lex_state = 119},
  [72] = {.lex_state = 119},
  [73] = {.lex_state = 119},
  [74] = {.lex_state = 119},
  [75] = {.lex_state = 45},
  [76] = {.lex_state = 45},
  [77] = {.lex_state = 45},
  [78] = {.lex_state = 45},
  [79] = {.lex_state = 45},
  [80] = {.lex_state = 119},
  [81] = {.lex_state = 45},
  [82] = {.lex_state = 45},
  [83] = {.lex_state = 45},
  [84] = {.lex_state = 45},
  [85] = {.lex_state = 45},
  [86] = {.lex_state = 45},
  [87] = {.lex_state = 45},
  [88] = {.lex_state = 45},
  [89] = {.lex_state = 45},
  [90] = {.lex_state = 45},
  [91] = {.lex_state = 45},
  [92] = {.lex_state = 45},
  [93] = {.lex_state = 45},
  [94] = {.lex_state = 45},
  [95] = {.lex_state = 45},
  [96] = {.lex_state = 45},
  [97] = {.lex_state = 45},
  [98] = {.lex_state = 45},
  [99] = {.lex_state = 45},
  [100] = {.lex_state = 45},
  [101] = {.lex_state = 45},
  [102] = {.lex_state = 45},
  [103] = {.lex_state = 45},
  [104] = {.lex_state = 45},
  [105] = {.lex_state = 45},
  [106] = {.lex_state = 45},
  [107] = {.lex_state = 45},
  [108] = {.lex_state = 45},
  [109] = {.lex_state = 45},
  [110] = {.lex_state = 45},
  [111] = {.lex_state = 45},
  [112] = {.lex_state = 45},
  [113] = {.lex_state = 45},
  [114] = {.lex_state = 45},
  [115] = {.lex_state = 45},
  [116] = {.lex_state = 45},
  [117] = {.lex_state = 45},
  [118] = {.lex_state = 45},
  [119] = {.lex_state = 45},
  [120] = {.lex_state = 45},
  [121] = {.lex_state = 45},
  [122] = {.lex_state = 119},
  [123] = {.lex_state = 45},
  [124] = {.lex_state = 45},
  [125] = {.lex_state = 45},
  [126] = {.lex_state = 45},
  [127] = {.lex_state = 45},
  [128] = {.lex_state = 45},
  [129] = {.lex_state = 45},
  [130] = {.lex_state = 45},
  [131] = {.lex_state = 45},
  [132] = {.lex_state = 45},
  [133] = {.lex_state = 45},
  [134] = {.lex_state = 45},
  [135] = {.lex_state = 45},
  [136] = {.lex_state = 45},
  [137] = {.lex_state = 45},
  [138] = {.lex_state = 45},
  [139] = {.lex_state = 45},
  [140] = {.lex_state = 45},
  [141] = {.lex_state = 45},
  [142] = {.lex_state = 45},
  [143] = {.lex_state = 45},
  [144] = {.lex_state = 45},
  [145] = {.lex_state = 45},
  [146] = {.lex_state = 45},
  [147] = {.lex_state = 45},
  [148] = {.lex_state = 45},
  [149] = {.lex_state = 45},
  [150] = {.lex_state = 45},
  [151] = {.lex_state = 45},
  [152] = {.lex_state = 45},
  [153] = {.lex_state = 45},
  [154] = {.lex_state = 45},
  [155] = {.lex_state = 45},
  [156] = {.lex_state = 47},
  [157] = {.lex_state = 44},
  [158] = {.lex_state = 119},
  [159] = {.lex_state = 119},
  [160] = {.lex_state = 44},
  [161] = {.lex_state = 119},
  [162] = {.lex_state = 119},
  [163] = {.lex_state = 119},
  [164] = {.lex_state = 119},
  [165] = {.lex_state = 119},
  [166] = {.lex_state = 119},
  [167] = {.lex_state = 119},
  [168] = {.lex_state = 119},
  [169] = {.lex_state = 119},
  [170] = {.lex_state = 119},
  [171] = {.lex_state = 119},
  [172] = {.lex_state = 119},
  [173] = {.lex_state = 119},
  [174] = {.lex_state = 119},
  [175] = {.lex_state = 119},
  [176] = {.lex_state = 119},
  [177] = {.lex_state = 119},
  [178] = {.lex_state = 119},
  [179] = {.lex_state = 119},
  [180] = {.lex_state = 119},
  [181] = {.lex_state = 119},
  [182] = {.lex_state = 119},
  [183] = {.lex_state = 119},
  [184] = {.lex_state = 119},
  [185] = {.lex_state = 119},
  [186] = {.lex_state = 119},
  [187] = {.lex_state = 119},
  [188] = {.lex_state = 119},
  [189] = {.lex_state = 119},
  [190] = {.lex_state = 119},
  [191] = {.lex_state = 119},
  [192] = {.lex_state = 119},
  [193] = {.lex_state = 119},
  [194] = {.lex_state = 119},
  [195] = {.lex_state = 119},
  [196] = {.lex_state = 119},
  [197] = {.lex_state = 119},
  [198] = {.lex_state = 119},
  [199] = {.lex_state = 119},
  [200] = {.lex_state = 119},
  [201] = {.lex_state = 119},
  [202] = {.lex_state = 119},
  [203] = {.lex_state = 119},
  [204] = {.lex_state = 119},
  [205] = {.lex_state = 119},
  [206] = {.lex_state = 119},
  [207] = {.lex_state = 119},
  [208] = {.lex_state = 119},
  [209] = {.lex_state = 119},
  [210] = {.lex_state = 119},
  [211] = {.lex_state = 119},
  [212] = {.lex_state = 119},
  [213] = {.lex_state = 119},
  [214] = {.lex_state = 119},
  [215] = {.lex_state = 119},
  [216] = {.lex_state = 119},
  [217] = {.lex_state = 119},
  [218] = {.lex_state = 119},
  [219] = {.lex_state = 119},
  [220] = {.lex_state = 119},
  [221] = {.lex_state = 119},
  [222] = {.lex_state = 119},
  [223] = {.lex_state = 119},
  [224] = {.lex_state = 119},
  [225] = {.lex_state = 119},
  [226] = {.lex_state = 119},
  [227] = {.lex_state = 119},
  [228] = {.lex_state = 119},
  [229] = {.lex_state = 119},
  [230] = {.lex_state = 119},
  [231] = {.lex_state = 119},
  [232] = {.lex_state = 47},
  [233] = {.lex_state = 47},
  [234] = {.lex_state = 119},
  [235] = {.lex_state = 47},
  [236] = {.lex_state = 47},
  [237] = {.lex_state = 47},
  [238] = {.lex_state = 47},
  [239] = {.lex_state = 47},
  [240] = {.lex_state = 47},
  [241] = {.lex_state = 119},
  [242] = {.lex_state = 119},
  [243] = {.lex_state = 47},
  [244] = {.lex_state = 119},
  [245] = {.lex_state = 47},
  [246] = {.lex_state = 47},
  [247] = {.lex_state = 47},
  [248] = {.lex_state = 47},
  [249] = {.lex_state = 47},
  [250] = {.lex_state = 47},
  [251] = {.lex_state = 47},
  [252] = {.lex_state = 119},
  [253] = {.lex_state = 47},
  [254] = {.lex_state = 47},
  [255] = {.lex_state = 47},
  [256] = {.lex_state = 47},
  [257] = {.lex_state = 47},
  [258] = {.lex_state = 47},
  [259] = {.lex_state = 47},
  [260] = {.lex_state = 47},
  [261] = {.lex_state = 47},
  [262] = {.lex_state = 47},
  [263] = {.lex_state = 47},
  [264] = {.lex_state = 47},
  [265] = {.lex_state = 47},
  [266] = {.lex_state = 47},
  [267] = {.lex_state = 47},
  [268] = {.lex_state = 47},
  [269] = {.lex_state = 47},
  [270] = {.lex_state = 47},
  [271] = {.lex_state = 47},
  [272] = {.lex_state = 47},
  [273] = {.lex_state = 47},
  [274] = {.lex_state = 47},
  [275] = {.lex_state = 47},
  [276] = {.lex_state = 47},
  [277] = {.lex_state = 47},
  [278] = {.lex_state = 47},
  [279] = {.lex_state = 47},
  [280] = {.lex_state = 47},
  [281] = {.lex_state = 47},
  [282] = {.lex_state = 47},
  [283] = {.lex_state = 47},
  [284] = {.lex_state = 47},
  [285] = {.lex_state = 47},
  [286] = {.lex_state = 119},
  [287] = {.lex_state = 119},
  [288] = {.lex_state = 119},
  [289] = {.lex_state = 119},
  [290] = {.lex_state = 119},
  [291] = {.lex_state = 119},
  [292] = {.lex_state = 119},
  [293] = {.lex_state = 119},
  [294] = {.lex_state = 119},
  [295] = {.lex_state = 119},
  [296] = {.lex_state = 119},
  [297] = {.lex_state = 119},
  [298] = {.lex_state = 119},
  [299] = {.lex_state = 119},
  [300] = {.lex_state = 119},
  [301] = {.lex_state = 119},
  [302] = {.lex_state = 119},
  [303] = {.lex_state = 119},
  [304] = {.lex_state = 119},
  [305] = {.lex_state = 119},
  [306] = {.lex_state = 119},
  [307] = {.lex_state = 119},
  [308] = {.lex_state = 47},
  [309] = {.lex_state = 119},
  [310] = {.lex_state = 119},
  [311] = {.lex_state = 119},
  [312] = {.lex_state = 119},
  [313] = {.lex_state = 119},
  [314] = {.lex_state = 119},
  [315] = {.lex_state = 119},
  [316] = {.lex_state = 119},
  [317] = {.lex_state = 119},
  [318] = {.lex_state = 119},
  [319] = {.lex_state = 47},
  [320] = {.lex_state = 119},
  [321] = {.lex_state = 47},
  [322] = {.lex_state = 47},
  [323] = {.lex_state = 47},
  [324] = {.lex_state = 47},
  [325] = {.lex_state = 47},
  [326] = {.lex_state = 47},
  [327] = {.lex_state = 47},
  [328] = {.lex_state = 119},
  [329] = {.lex_state = 119},
  [330] = {.lex_state = 47},
  [331] = {.lex_state = 47},
  [332] = {.lex_state = 47},
  [333] = {.lex_state = 47},
  [334] = {.lex_state = 47},
  [335] = {.lex_state = 47},
  [336] = {.lex_state = 119},
  [337] = {.lex_state = 119},
  [338] = {.lex_state = 119},
  [339] = {.lex_state = 119},
  [340] = {.lex_state = 119},
  [341] = {.lex_state = 119},
  [342] = {.lex_state = 119},
  [343] = {.lex_state = 47},
  [344] = {.lex_state = 47},
  [345] = {.lex_state = 47},
  [346] = {.lex_state = 119},
  [347] = {.lex_state = 47},
  [348] = {.lex_state = 119},
  [349] = {.lex_state = 119},
  [350] = {.lex_state = 119},
  [351] = {.lex_state = 119},
  [352] = {.lex_state = 119},
  [353] = {.lex_state = 119},
  [354] = {.lex_state = 47},
  [355] = {.lex_state = 119},
  [356] = {.lex_state = 119},
  [357] = {.lex_state = 47},
  [358] = {.lex_state = 119},
  [359] = {.lex_state = 119},
  [360] = {.lex_state = 119},
  [361] = {.lex_state = 119},
  [362] = {.lex_state = 119},
  [363] = {.lex_state = 119},
  [364] = {.lex_state = 119},
  [365] = {.lex_state = 119},
  [366] = {.lex_state = 119},
  [367] = {.lex_state = 119},
  [368] = {.lex_state = 119},
  [369] = {.lex_state = 119},
  [370] = {.lex_state = 119},
  [371] = {.lex_state = 119},
  [372] = {.lex_state = 119},
  [373] = {.lex_state = 119},
  [374] = {.lex_state = 119},
  [375] = {.lex_state = 119},
  [376] = {.lex_state = 119},
  [377] = {.lex_state = 119},
  [378] = {.lex_state = 119},
  [379] = {.lex_state = 119},
  [380] = {.lex_state = 119},
  [381] = {.lex_state = 119},
  [382] = {.lex_state = 47},
  [383] = {.lex_state = 47},
  [384] = {.lex_state = 119},
  [385] = {.lex_state = 119},
  [386] = {.lex_state = 47},
  [387] = {.lex_state = 119},
  [388] = {.lex_state = 47},
  [389] = {.lex_state = 47},
  [390] = {.lex_state = 119},
  [391] = {.lex_state = 47},
  [392] = {.lex_state = 47},
  [393] = {.lex_state = 119},
  [394] = {.lex_state = 119},
  [395] = {.lex_state = 119},
  [396] = {.lex_state = 47},
  [397] = {.lex_state = 119},
  [398] = {.lex_state = 119},
  [399] = {.lex_state = 119},
  [400] = {.lex_state = 119},
  [401] = {.lex_state = 119},
  [402] = {.lex_state = 119},
  [403] = {.lex_state = 119},
  [404] = {.lex_state = 119},
  [405] = {.lex_state = 119},
  [406] = {.lex_state = 44},
  [407] = {.lex_state = 119},
  [408] = {.lex_state = 119},
  [409] = {.lex_state = 119},
  [410] = {.lex_state = 119},
  [411] = {.lex_state = 119},
  [412] = {.lex_state = 119},
  [413] = {.lex_state = 119},
  [414] = {.lex_state = 119},
  [415] = {.lex_state = 119},
  [416] = {.lex_state = 119},
  [417] = {.lex_state = 119},
  [418] = {.lex_state = 119},
  [419] = {.lex_state = 119},
  [420] = {.lex_state = 119},
  [421] = {.lex_state = 119},
  [422] = {.lex_state = 119},
  [423] = {.lex_state = 119},
  [424] = {.lex_state = 119},
  [425] = {.lex_state = 119},
  [426] = {.lex_state = 119},
  [427] = {.lex_state = 119},
  [428] = {.lex_state = 119},
  [429] = {.lex_state = 119},
  [430] = {.lex_state = 119},
  [431] = {.lex_state = 119},
  [432] = {.lex_state = 119},
  [433] = {.lex_state = 119},
  [434] = {.lex_state = 119},
  [435] = {.lex_state = 119},
  [436] = {.lex_state = 119},
  [437] = {.lex_state = 119},
  [438] = {.lex_state = 119},
  [439] = {.lex_state = 119},
  [440] = {.lex_state = 119},
  [441] = {.lex_state = 119},
  [442] = {.lex_state = 119},
  [443] = {.lex_state = 119},
  [444] = {.lex_state = 119},
  [445] = {.lex_state = 119},
  [446] = {.lex_state = 119},
  [447] = {.lex_state = 44},
  [448] = {.lex_state = 44},
  [449] = {.lex_state = 119},
  [450] = {.lex_state = 119},
  [451] = {.lex_state = 44},
  [452] = {.lex_state = 49},
  [453] = {.lex_state = 119},
  [454] = {.lex_state = 49},
  [455] = {.lex_state = 49},
  [456] = {.lex_state = 49},
  [457] = {.lex_state = 49},
  [458] = {.lex_state = 49},
  [459] = {.lex_state = 49},
  [460] = {.lex_state = 49},
  [461] = {.lex_state = 49},
  [462] = {.lex_state = 49},
  [463] = {.lex_state = 53},
  [464] = {.lex_state = 119},
  [465] = {.lex_state = 119},
  [466] = {.lex_state = 119},
  [467] = {.lex_state = 119},
  [468] = {.lex_state = 119},
  [469] = {.lex_state = 119},
  [470] = {.lex_state = 119},
  [471] = {.lex_state = 119},
  [472] = {.lex_state = 119},
  [473] = {.lex_state = 119},
  [474] = {.lex_state = 119},
  [475] = {.lex_state = 119},
  [476] = {.lex_state = 119},
  [477] = {.lex_state = 119},
  [478] = {.lex_state = 53},
  [479] = {.lex_state = 53},
  [480] = {.lex_state = 53},
  [481] = {.lex_state = 53},
  [482] = {.lex_state = 53},
  [483] = {.lex_state = 53},
  [484] = {.lex_state = 53},
  [485] = {.lex_state = 53},
  [486] = {.lex_state = 53},
  [487] = {.lex_state = 53},
  [488] = {.lex_state = 53},
  [489] = {.lex_state = 53},
  [490] = {.lex_state = 53},
  [491] = {.lex_state = 53},
  [492] = {.lex_state = 53},
  [493] = {.lex_state = 53},
  [494] = {.lex_state = 53},
  [495] = {.lex_state = 53},
  [496] = {.lex_state = 119},
  [497] = {.lex_state = 119},
  [498] = {.lex_state = 119},
  [499] = {.lex_state = 119},
  [500] = {.lex_state = 119},
  [501] = {.lex_state = 119},
  [502] = {.lex_state = 119},
  [503] = {.lex_state = 119},
  [504] = {.lex_state = 119},
  [505] = {.lex_state = 119},
  [506] = {.lex_state = 119},
  [507] = {.lex_state = 119},
  [508] = {.lex_state = 119},
  [509] = {.lex_state = 119},
  [510] = {.lex_state = 119},
  [511] = {.lex_state = 119},
  [512] = {.lex_state = 119},
  [513] = {.lex_state = 119},
  [514] = {.lex_state = 119},
  [515] = {.lex_state = 119},
  [516] = {.lex_state = 119},
  [517] = {.lex_state = 119},
  [518] = {.lex_state = 119},
  [519] = {.lex_state = 119},
  [520] = {.lex_state = 119},
  [521] = {.lex_state = 119},
  [522] = {.lex_state = 119},
  [523] = {.lex_state = 119},
  [524] = {.lex_state = 119},
  [525] = {.lex_state = 119},
  [526] = {.lex_state = 119},
  [527] = {.lex_state = 119},
  [528] = {.lex_state = 119},
  [529] = {.lex_state = 52},
  [530] = {.lex_state = 119},
  [531] = {.lex_state = 57},
  [532] = {.lex_state = 52},
  [533] = {.lex_state = 52},
  [534] = {.lex_state = 119},
  [535] = {.lex_state = 57},
  [536] = {.lex_state = 119},
  [537] = {.lex_state = 119},
  [538] = {.lex_state = 119},
  [539] = {.lex_state = 119},
  [540] = {.lex_state = 119},
  [541] = {.lex_state = 119},
  [542] = {.lex_state = 119},
  [543] = {.lex_state = 57},
  [544] = {.lex_state = 119},
  [545] = {.lex_state = 119},
  [546] = {.lex_state = 119},
  [547] = {.lex_state = 119},
  [548] = {.lex_state = 119},
  [549] = {.lex_state = 119},
  [550] = {.lex_state = 119},
  [551] = {.lex_state = 119},
  [552] = {.lex_state = 119},
  [553] = {.lex_state = 119},
  [554] = {.lex_state = 119},
  [555] = {.lex_state = 119},
  [556] = {.lex_state = 119},
  [557] = {.lex_state = 119},
  [558] = {.lex_state = 119},
  [559] = {.lex_state = 119},
  [560] = {.lex_state = 119},
  [561] = {.lex_state = 119},
  [562] = {.lex_state = 119},
  [563] = {.lex_state = 119},
  [564] = {.lex_state = 119},
  [565] = {.lex_state = 119},
  [566] = {.lex_state = 119},
  [567] = {.lex_state = 119},
  [568] = {.lex_state = 119},
  [569] = {.lex_state = 119},
  [570] = {.lex_state = 119},
  [571] = {.lex_state = 119},
  [572] = {.lex_state = 119},
  [573] = {.lex_state = 119},
  [574] = {.lex_state = 119},
  [575] = {.lex_state = 119},
  [576] = {.lex_state = 119},
  [577] = {.lex_state = 119},
  [578] = {.lex_state = 119},
  [579] = {.lex_state = 119},
  [580] = {.lex_state = 119},
  [581] = {.lex_state = 119},
  [582] = {.lex_state = 119},
  [583] = {.lex_state = 119},
  [584] = {.lex_state = 119},
  [585] = {.lex_state = 119},
  [586] = {.lex_state = 119},
  [587] = {.lex_state = 119},
  [588] = {.lex_state = 119},
  [589] = {.lex_state = 119},
  [590] = {.lex_state = 119},
  [591] = {.lex_state = 119},
  [592] = {.lex_state = 119},
  [593] = {.lex_state = 119},
  [594] = {.lex_state = 119},
  [595] = {.lex_state = 119},
  [596] = {.lex_state = 119},
  [597] = {.lex_state = 119},
  [598] = {.lex_state = 119},
  [599] = {.lex_state = 119},
  [600] = {.lex_state = 119},
  [601] = {.lex_state = 119},
  [602] = {.lex_state = 119},
  [603] = {.lex_state = 119},
  [604] = {.lex_state = 119},
  [605] = {.lex_state = 119},
  [606] = {.lex_state = 119},
  [607] = {.lex_state = 119},
  [608] = {.lex_state = 119},
  [609] = {.lex_state = 119},
  [610] = {.lex_state = 119},
  [611] = {.lex_state = 119},
  [612] = {.lex_state = 119},
  [613] = {.lex_state = 119},
  [614] = {.lex_state = 119},
  [615] = {.lex_state = 119},
  [616] = {.lex_state = 119},
  [617] = {.lex_state = 119},
  [618] = {.lex_state = 119},
  [619] = {.lex_state = 119},
  [620] = {.lex_state = 119},
  [621] = {.lex_state = 119},
  [622] = {.lex_state = 119},
  [623] = {.lex_state = 119},
  [624] = {.lex_state = 119},
  [625] = {.lex_state = 119},
  [626] = {.lex_state = 119},
  [627] = {.lex_state = 119},
  [628] = {.lex_state = 119},
  [629] = {.lex_state = 119},
  [630] = {.lex_state = 119},
  [631] = {.lex_state = 119},
  [632] = {.lex_state = 119},
  [633] = {.lex_state = 119},
  [634] = {.lex_state = 119},
  [635] = {.lex_state = 119},
  [636] = {.lex_state = 119},
  [637] = {.lex_state = 119},
  [638] = {.lex_state = 119},
  [639] = {.lex_state = 119},
  [640] = {.lex_state = 119},
  [641] = {.lex_state = 119},
  [642] = {.lex_state = 119},
  [643] = {.lex_state = 119},
  [644] = {.lex_state = 119},
  [645] = {.lex_state = 119},
  [646] = {.lex_state = 119},
  [647] = {.lex_state = 119},
  [648] = {.lex_state = 119},
  [649] = {.lex_state = 119},
  [650] = {.lex_state = 119},
  [651] = {.lex_state = 119},
  [652] = {.lex_state = 119},
  [653] = {.lex_state = 119},
  [654] = {.lex_state = 119},
  [655] = {.lex_state = 119},
  [656] = {.lex_state = 119},
  [657] = {.lex_state = 119},
  [658] = {.lex_state = 119},
  [659] = {.lex_state = 119},
  [660] = {.lex_state = 119},
  [661] = {.lex_state = 49},
  [662] = {.lex_state = 49},
  [663] = {.lex_state = 49},
  [664] = {.lex_state = 53},
  [665] = {.lex_state = 53},
  [666] = {.lex_state = 53},
  [667] = {.lex_state = 49},
  [668] = {.lex_state = 53},
  [669] = {.lex_state = 49},
  [670] = {.lex_state = 49},
  [671] = {.lex_state = 49},
  [672] = {.lex_state = 50},
  [673] = {.lex_state = 50},
  [674] = {.lex_state = 50},
  [675] = {.lex_state = 50},
  [676] = {.lex_state = 50},
  [677] = {.lex_state = 50},
  [678] = {.lex_state = 50},
  [679] = {.lex_state = 50},
  [680] = {.lex_state = 50},
  [681] = {.lex_state = 50},
  [682] = {.lex_state = 119},
  [683] = {.lex_state = 119},
  [684] = {.lex_state = 119},
  [685] = {.lex_state = 53},
  [686] = {.lex_state = 49},
  [687] = {.lex_state = 50},
  [688] = {.lex_state = 53},
  [689] = {.lex_state = 50},
  [690] = {.lex_state = 50},
  [691] = {.lex_state = 50},
  [692] = {.lex_state = 50},
  [693] = {.lex_state = 50},
  [694] = {.lex_state = 53},
  [695] = {.lex_state = 50},
  [696] = {.lex_state = 53},
  [697] = {.lex_state = 50},
  [698] = {.lex_state = 53},
  [699] = {.lex_state = 53},
  [700] = {.lex_state = 53},
  [701] = {.lex_state = 50},
  [702] = {.lex_state = 53},
  [703] = {.lex_state = 53},
  [704] = {.lex_state = 53},
  [705] = {.lex_state = 50},
  [706] = {.lex_state = 53},
  [707] = {.lex_state = 53},
  [708] = {.lex_state = 50},
  [709] = {.lex_state = 50},
  [710] = {.lex_state = 50},
  [711] = {.lex_state = 50},
  [712] = {.lex_state = 53},
  [713] = {.lex_state = 53},
  [714] = {.lex_state = 50},
  [715] = {.lex_state = 50},
  [716] = {.lex_state = 53},
  [717] = {.lex_state = 53},
  [718] = {.lex_state = 50},
  [719] = {.lex_state = 53},
  [720] = {.lex_state = 53},
  [721] = {.lex_state = 53},
  [722] = {.lex_state = 50},
  [723] = {.lex_state = 49},
  [724] = {.lex_state = 50},
  [725] = {.lex_state = 50},
  [726] = {.lex_state = 51},
  [727] = {.lex_state = 53},
  [728] = {.lex_state = 51},
  [729] = {.lex_state = 50},
  [730] = {.lex_state = 50},
  [731] = {.lex_state = 53},
  [732] = {.lex_state = 53},
  [733] = {.lex_state = 53},
  [734] = {.lex_state = 50},
  [735] = {.lex_state = 51},
  [736] = {.lex_state = 51},
  [737] = {.lex_state = 49},
  [738] = {.lex_state = 49},
  [739] = {.lex_state = 119},
  [740] = {.lex_state = 53},
  [741] = {.lex_state = 53},
  [742] = {.lex_state = 53},
  [743] = {.lex_state = 53},
  [744] = {.lex_state = 53},
  [745] = {.lex_state = 53},
  [746] = {.lex_state = 53},
  [747] = {.lex_state = 53},
  [748] = {.lex_state = 53},
  [749] = {.lex_state = 119},
  [750] = {.lex_state = 53},
  [751] = {.lex_state = 53},
  [752] = {.lex_state = 49},
  [753] = {.lex_state = 53},
  [754] = {.lex_state = 49},
  [755] = {.lex_state = 49},
  [756] = {.lex_state = 53},
  [757] = {.lex_state = 53},
  [758] = {.lex_state = 53},
  [759] = {.lex_state = 53},
  [760] = {.lex_state = 49},
  [761] = {.lex_state = 49},
  [762] = {.lex_state = 49},
  [763] = {.lex_state = 53},
  [764] = {.lex_state = 53},
  [765] = {.lex_state = 53},
  [766] = {.lex_state = 50},
  [767] = {.lex_state = 50},
  [768] = {.lex_state = 50},
  [769] = {.lex_state = 50},
  [770] = {.lex_state = 50},
  [771] = {.lex_state = 50},
  [772] = {.lex_state = 50},
  [773] = {.lex_state = 50},
  [774] = {.lex_state = 50},
  [775] = {.lex_state = 50},
  [776] = {.lex_state = 50},
  [777] = {.lex_state = 50},
  [778] = {.lex_state = 49},
  [779] = {.lex_state = 53},
  [780] = {.lex_state = 53},
  [781] = {.lex_state = 53},
  [782] = {.lex_state = 53},
  [783] = {.lex_state = 53},
  [784] = {.lex_state = 53},
  [785] = {.lex_state = 53},
  [786] = {.lex_state = 53},
  [787] = {.lex_state = 53},
  [788] = {.lex_state = 53},
  [789] = {.lex_state = 53},
  [790] = {.lex_state = 53},
  [791] = {.lex_state = 53},
  [792] = {.lex_state = 53},
  [793] = {.lex_state = 53},
  [794] = {.lex_state = 53},
  [795] = {.lex_state = 53},
  [796] = {.lex_state = 53},
  [797] = {.lex_state = 53},
  [798] = {.lex_state = 53},
  [799] = {.lex_state = 53},
  [800] = {.lex_state = 50},
  [801] = {.lex_state = 53},
  [802] = {.lex_state = 53},
  [803] = {.lex_state = 53},
  [804] = {.lex_state = 53},
  [805] = {.lex_state = 53},
  [806] = {.lex_state = 53},
  [807] = {.lex_state = 53},
  [808] = {.lex_state = 53},
  [809] = {.lex_state = 53},
  [810] = {.lex_state = 53},
  [811] = {.lex_state = 53},
  [812] = {.lex_state = 53},
  [813] = {.lex_state = 53},
  [814] = {.lex_state = 53},
  [815] = {.lex_state = 53},
  [816] = {.lex_state = 53},
  [817] = {.lex_state = 53},
  [818] = {.lex_state = 53},
  [819] = {.lex_state = 53},
  [820] = {.lex_state = 53},
  [821] = {.lex_state = 53},
  [822] = {.lex_state = 53},
  [823] = {.lex_state = 53},
  [824] = {.lex_state = 53},
  [825] = {.lex_state = 53},
  [826] = {.lex_state = 53},
  [827] = {.lex_state = 53},
  [828] = {.lex_state = 53},
  [829] = {.lex_state = 53},
  [830] = {.lex_state = 53},
  [831] = {.lex_state = 53},
  [832] = {.lex_state = 53},
  [833] = {.lex_state = 53},
  [834] = {.lex_state = 53},
  [835] = {.lex_state = 53},
  [836] = {.lex_state = 53},
  [837] = {.lex_state = 53},
  [838] = {.lex_state = 53},
  [839] = {.lex_state = 53},
  [840] = {.lex_state = 53},
  [841] = {.lex_state = 53},
  [842] = {.lex_state = 53},
  [843] = {.lex_state = 53},
  [844] = {.lex_state = 53},
  [845] = {.lex_state = 53},
  [846] = {.lex_state = 53},
  [847] = {.lex_state = 53},
  [848] = {.lex_state = 53},
  [849] = {.lex_state = 53},
  [850] = {.lex_state = 53},
  [851] = {.lex_state = 53},
  [852] = {.lex_state = 53},
  [853] = {.lex_state = 53},
  [854] = {.lex_state = 53},
  [855] = {.lex_state = 53},
  [856] = {.lex_state = 53},
  [857] = {.lex_state = 53},
  [858] = {.lex_state = 53},
  [859] = {.lex_state = 53},
  [860] = {.lex_state = 53},
  [861] = {.lex_state = 53},
  [862] = {.lex_state = 53},
  [863] = {.lex_state = 53},
  [864] = {.lex_state = 53},
  [865] = {.lex_state = 53},
  [866] = {.lex_state = 53},
  [867] = {.lex_state = 53},
  [868] = {.lex_state = 49},
  [869] = {.lex_state = 49},
  [870] = {.lex_state = 49},
  [871] = {.lex_state = 49},
  [872] = {.lex_state = 49},
  [873] = {.lex_state = 53},
  [874] = {.lex_state = 49},
  [875] = {.lex_state = 49},
  [876] = {.lex_state = 49},
  [877] = {.lex_state = 53},
  [878] = {.lex_state = 49},
  [879] = {.lex_state = 49},
  [880] = {.lex_state = 49},
  [881] = {.lex_state = 49},
  [882] = {.lex_state = 49},
  [883] = {.lex_state = 49},
  [884] = {.lex_state = 53},
  [885] = {.lex_state = 49},
  [886] = {.lex_state = 49},
  [887] = {.lex_state = 49},
  [888] = {.lex_state = 53},
  [889] = {.lex_state = 53},
  [890] = {.lex_state = 49},
  [891] = {.lex_state = 49},
  [892] = {.lex_state = 49},
  [893] = {.lex_state = 49},
  [894] = {.lex_state = 53},
  [895] = {.lex_state = 53},
  [896] = {.lex_state = 49},
  [897] = {.lex_state = 49},
  [898] = {.lex_state = 52},
  [899] = {.lex_state = 53},
  [900] = {.lex_state = 57},
  [901] = {.lex_state = 57},
  [902] = {.lex_state = 57},
  [903] = {.lex_state = 57},
  [904] = {.lex_state = 57},
  [905] = {.lex_state = 57},
  [906] = {.lex_state = 52},
  [907] = {.lex_state = 57},
  [908] = {.lex_state = 57},
  [909] = {.lex_state = 57},
  [910] = {.lex_state = 57},
  [911] = {.lex_state = 49},
  [912] = {.lex_state = 52},
  [913] = {.lex_state = 57},
  [914] = {.lex_state = 57},
  [915] = {.lex_state = 57},
  [916] = {.lex_state = 53},
  [917] = {.lex_state = 57},
  [918] = {.lex_state = 52},
  [919] = {.lex_state = 57},
  [920] = {.lex_state = 52},
  [921] = {.lex_state = 57},
  [922] = {.lex_state = 52},
  [923] = {.lex_state = 57},
  [924] = {.lex_state = 57},
  [925] = {.lex_state = 52},
  [926] = {.lex_state = 52},
  [927] = {.lex_state = 52},
  [928] = {.lex_state = 52},
  [929] = {.lex_state = 52},
  [930] = {.lex_state = 52},
  [931] = {.lex_state = 52},
  [932] = {.lex_state = 52},
  [933] = {.lex_state = 52},
  [934] = {.lex_state = 49},
  [935] = {.lex_state = 52},
  [936] = {.lex_state = 49},
  [937] = {.lex_state = 49},
  [938] = {.lex_state = 53},
  [939] = {.lex_state = 52},
  [940] = {.lex_state = 52},
  [941] = {.lex_state = 119},
  [942] = {.lex_state = 119},
  [943] = {.lex_state = 119},
  [944] = {.lex_state = 119},
  [945] = {.lex_state = 119},
  [946] = {.lex_state = 119},
  [947] = {.lex_state = 119},
  [948] = {.lex_state = 119},
  [949] = {.lex_state = 119},
  [950] = {.lex_state = 119},
  [951] = {.lex_state = 53},
  [952] = {.lex_state = 53},
  [953] = {.lex_state = 53},
  [954] = {.lex_state = 53},
  [955] = {.lex_state = 53},
  [956] = {.lex_state = 53},
  [957] = {.lex_state = 53},
  [958] = {.lex_state = 53},
  [959] = {.lex_state = 50},
  [960] = {.lex_state = 50},
  [961] = {.lex_state = 50},
  [962] = {.lex_state = 50},
  [963] = {.lex_state = 50},
  [964] = {.lex_state = 50},
  [965] = {.lex_state = 50},
  [966] = {.lex_state = 50},
  [967] = {.lex_state = 50},
  [968] = {.lex_state = 50},
  [969] = {.lex_state = 50},
  [970] = {.lex_state = 50},
  [971] = {.lex_state = 50},
  [972] = {.lex_state = 53},
  [973] = {.lex_state = 53},
  [974] = {.lex_state = 53},
  [975] = {.lex_state = 53},
  [976] = {.lex_state = 53},
  [977] = {.lex_state = 53},
  [978] = {.lex_state = 53},
  [979] = {.lex_state = 53},
  [980] = {.lex_state = 53},
  [981] = {.lex_state = 53},
  [982] = {.lex_state = 53},
  [983] = {.lex_state = 53},
  [984] = {.lex_state = 53},
  [985] = {.lex_state = 53},
  [986] = {.lex_state = 53},
  [987] = {.lex_state = 53},
  [988] = {.lex_state = 53},
  [989] = {.lex_state = 53},
  [990] = {.lex_state = 53},
  [991] = {.lex_state = 53},
  [992] = {.lex_state = 53},
  [993] = {.lex_state = 53},
  [994] = {.lex_state = 53},
  [995] = {.lex_state = 53},
  [996] = {.lex_state = 53},
  [997] = {.lex_state = 53},
  [998] = {.lex_state = 53},
  [999] = {.lex_state = 53},
  [1000] = {.lex_state = 53},
  [1001] = {.lex_state = 53},
  [1002] = {.lex_state = 53},
  [1003] = {.lex_state = 53},
  [1004] = {.lex_state = 53},
  [1005] = {.lex_state = 53},
  [1006] = {.lex_state = 53},
  [1007] = {.lex_state = 53},
  [1008] = {.lex_state = 52},
  [1009] = {.lex_state = 53},
  [1010] = {.lex_state = 53},
  [1011] = {.lex_state = 53},
  [1012] = {.lex_state = 53},
  [1013] = {.lex_state = 49},
  [1014] = {.lex_state = 52},
  [1015] = {.lex_state = 52},
  [1016] = {.lex_state = 53},
  [1017] = {.lex_state = 52},
  [1018] = {.lex_state = 53},
  [1019] = {.lex_state = 49},
  [1020] = {.lex_state = 49},
  [1021] = {.lex_state = 49},
  [1022] = {.lex_state = 53},
  [1023] = {.lex_state = 49},
  [1024] = {.lex_state = 49},
  [1025] = {.lex_state = 49},
  [1026] = {.lex_state = 53},
  [1027] = {.lex_state = 49},
  [1028] = {.lex_state = 49},
  [1029] = {.lex_state = 53},
  [1030] = {.lex_state = 49},
  [1031] = {.lex_state = 49},
  [1032] = {.lex_state = 49},
  [1033] = {.lex_state = 49},
  [1034] = {.lex_state = 49},
  [1035] = {.lex_state = 53},
  [1036] = {.lex_state = 49},
  [1037] = {.lex_state = 49},
  [1038] = {.lex_state = 53},
  [1039] = {.lex_state = 49},
  [1040] = {.lex_state = 49},
  [1041] = {.lex_state = 49},
  [1042] = {.lex_state = 49},
  [1043] = {.lex_state = 53},
  [1044] = {.lex_state = 49},
  [1045] = {.lex_state = 49},
  [1046] = {.lex_state = 49},
  [1047] = {.lex_state = 49},
  [1048] = {.lex_state = 49},
  [1049] = {.lex_state = 49},
  [1050] = {.lex_state = 49},
  [1051] = {.lex_state = 53},
  [1052] = {.lex_state = 53},
  [1053] = {.lex_state = 49},
  [1054] = {.lex_state = 49},
  [1055] = {.lex_state = 53},
  [1056] = {.lex_state = 49},
  [1057] = {.lex_state = 49},
  [1058] = {.lex_state = 49},
  [1059] = {.lex_state = 49},
  [1060] = {.lex_state = 49},
  [1061] = {.lex_state = 49},
  [1062] = {.lex_state = 49},
  [1063] = {.lex_state = 49},
  [1064] = {.lex_state = 49},
  [1065] = {.lex_state = 49},
  [1066] = {.lex_state = 53},
  [1067] = {.lex_state = 49},
  [1068] = {.lex_state = 49},
  [1069] = {.lex_state = 49},
  [1070] = {.lex_state = 53},
  [1071] = {.lex_state = 49},
  [1072] = {.lex_state = 49},
  [1073] = {.lex_state = 49},
  [1074] = {.lex_state = 53},
  [1075] = {.lex_state = 49},
  [1076] = {.lex_state = 49},
  [1077] = {.lex_state = 49},
  [1078] = {.lex_state = 49},
  [1079] = {.lex_state = 53},
  [1080] = {.lex_state = 49},
  [1081] = {.lex_state = 53},
  [1082] = {.lex_state = 49},
  [1083] = {.lex_state = 49},
  [1084] = {.lex_state = 49},
  [1085] = {.lex_state = 49},
  [1086] = {.lex_state = 53},
  [1087] = {.lex_state = 49},
  [1088] = {.lex_state = 53},
  [1089] = {.lex_state = 53},
  [1090] = {.lex_state = 49},
  [1091] = {.lex_state = 49},
  [1092] = {.lex_state = 49},
  [1093] = {.lex_state = 53},
  [1094] = {.lex_state = 49},
  [1095] = {.lex_state = 53},
  [1096] = {.lex_state = 49},
  [1097] = {.lex_state = 49},
  [1098] = {.lex_state = 49},
  [1099] = {.lex_state = 53},
  [1100] = {.lex_state = 49},
  [1101] = {.lex_state = 49},
  [1102] = {.lex_state = 49},
  [1103] = {.lex_state = 49},
  [1104] = {.lex_state = 49},
  [1105] = {.lex_state = 49},
  [1106] = {.lex_state = 49},
  [1107] = {.lex_state = 49},
  [1108] = {.lex_state = 49},
  [1109] = {.lex_state = 53},
  [1110] = {.lex_state = 53},
  [1111] = {.lex_state = 49},
  [1112] = {.lex_state = 53},
  [1113] = {.lex_state = 49},
  [1114] = {.lex_state = 49},
  [1115] = {.lex_state = 49},
  [1116] = {.lex_state = 49},
  [1117] = {.lex_state = 53},
  [1118] = {.lex_state = 53},
  [1119] = {.lex_state = 53},
  [1120] = {.lex_state = 53},
  [1121] = {.lex_state = 53},
  [1122] = {.lex_state = 53},
  [1123] = {.lex_state = 53},
  [1124] = {.lex_state = 53},
  [1125] = {.lex_state = 53},
  [1126] = {.lex_state = 53},
  [1127] = {.lex_state = 53},
  [1128] = {.lex_state = 53},
  [1129] = {.lex_state = 53},
  [1130] = {.lex_state = 53},
  [1131] = {.lex_state = 53},
  [1132] = {.lex_state = 53},
  [1133] = {.lex_state = 53},
  [1134] = {.lex_state = 53},
  [1135] = {.lex_state = 53},
  [1136] = {.lex_state = 52},
  [1137] = {.lex_state = 53},
  [1138] = {.lex_state = 53},
  [1139] = {.lex_state = 53},
  [1140] = {.lex_state = 53},
  [1141] = {.lex_state = 53},
  [1142] = {.lex_state = 53},
  [1143] = {.lex_state = 53},
  [1144] = {.lex_state = 53},
  [1145] = {.lex_state = 53},
  [1146] = {.lex_state = 48},
  [1147] = {.lex_state = 53},
  [1148] = {.lex_state = 52},
  [1149] = {.lex_state = 53},
  [1150] = {.lex_state = 53},
  [1151] = {.lex_state = 53},
  [1152] = {.lex_state = 52},
  [1153] = {.lex_state = 53},
  [1154] = {.lex_state = 25},
  [1155] = {.lex_state = 52},
  [1156] = {.lex_state = 53},
  [1157] = {.lex_state = 48},
  [1158] = {.lex_state = 53},
  [1159] = {.lex_state = 48},
  [1160] = {.lex_state = 48},
  [1161] = {.lex_state = 52},
  [1162] = {.lex_state = 52},
  [1163] = {.lex_state = 48},
  [1164] = {.lex_state = 48},
  [1165] = {.lex_state = 52},
  [1166] = {.lex_state = 48},
  [1167] = {.lex_state = 52},
  [1168] = {.lex_state = 53},
  [1169] = {.lex_state = 48},
  [1170] = {.lex_state = 48},
  [1171] = {.lex_state = 48},
  [1172] = {.lex_state = 53},
  [1173] = {.lex_state = 48},
  [1174] = {.lex_state = 48},
  [1175] = {.lex_state = 48},
  [1176] = {.lex_state = 48},
  [1177] = {.lex_state = 48},
  [1178] = {.lex_state = 48},
  [1179] = {.lex_state = 48},
  [1180] = {.lex_state = 48},
  [1181] = {.lex_state = 48},
  [1182] = {.lex_state = 53},
  [1183] = {.lex_state = 48},
  [1184] = {.lex_state = 48},
  [1185] = {.lex_state = 48},
  [1186] = {.lex_state = 48},
  [1187] = {.lex_state = 48},
  [1188] = {.lex_state = 52},
  [1189] = {.lex_state = 48},
  [1190] = {.lex_state = 48},
  [1191] = {.lex_state = 52},
  [1192] = {.lex_state = 53},
  [1193] = {.lex_state = 52},
  [1194] = {.lex_state = 48},
  [1195] = {.lex_state = 52},
  [1196] = {.lex_state = 52},
  [1197] = {.lex_state = 52},
  [1198] = {.lex_state = 52},
  [1199] = {.lex_state = 52},
  [1200] = {.lex_state = 52},
  [1201] = {.lex_state = 48},
  [1202] = {.lex_state = 48},
  [1203] = {.lex_state = 52},
  [1204] = {.lex_state = 48},
  [1205] = {.lex_state = 48},
  [1206] = {.lex_state = 48},
  [1207] = {.lex_state = 48},
  [1208] = {.lex_state = 48},
  [1209] = {.lex_state = 48},
  [1210] = {.lex_state = 48},
  [1211] = {.lex_state = 48},
  [1212] = {.lex_state = 48},
  [1213] = {.lex_state = 48},
  [1214] = {.lex_state = 48},
  [1215] = {.lex_state = 48},
  [1216] = {.lex_state = 48},
  [1217] = {.lex_state = 52},
  [1218] = {.lex_state = 53},
  [1219] = {.lex_state = 52},
  [1220] = {.lex_state = 25},
  [1221] = {.lex_state = 25},
  [1222] = {.lex_state = 25},
  [1223] = {.lex_state = 53},
  [1224] = {.lex_state = 53},
  [1225] = {.lex_state = 53},
  [1226] = {.lex_state = 25},
  [1227] = {.lex_state = 52},
  [1228] = {.lex_state = 25},
  [1229] = {.lex_state = 25},
  [1230] = {.lex_state = 25},
  [1231] = {.lex_state = 25},
  [1232] = {.lex_state = 25},
  [1233] = {.lex_state = 25},
  [1234] = {.lex_state = 53},
  [1235] = {.lex_state = 25},
  [1236] = {.lex_state = 25},
  [1237] = {.lex_state = 53},
  [1238] = {.lex_state = 25},
  [1239] = {.lex_state = 25},
  [1240] = {.lex_state = 25},
  [1241] = {.lex_state = 25},
  [1242] = {.lex_state = 25},
  [1243] = {.lex_state = 25},
  [1244] = {.lex_state = 25},
  [1245] = {.lex_state = 53},
  [1246] = {.lex_state = 25},
  [1247] = {.lex_state = 53},
  [1248] = {.lex_state = 25},
  [1249] = {.lex_state = 25},
  [1250] = {.lex_state = 25},
  [1251] = {.lex_state = 25},
  [1252] = {.lex_state = 53},
  [1253] = {.lex_state = 25},
  [1254] = {.lex_state = 53},
  [1255] = {.lex_state = 53},
  [1256] = {.lex_state = 25},
  [1257] = {.lex_state = 25},
  [1258] = {.lex_state = 25},
  [1259] = {.lex_state = 53},
  [1260] = {.lex_state = 53},
  [1261] = {.lex_state = 25},
  [1262] = {.lex_state = 53},
  [1263] = {.lex_state = 25},
  [1264] = {.lex_state = 25},
  [1265] = {.lex_state = 53},
  [1266] = {.lex_state = 25},
  [1267] = {.lex_state = 52},
  [1268] = {.lex_state = 25},
  [1269] = {.lex_state = 53},
  [1270] = {.lex_state = 53},
  [1271] = {.lex_state = 53},
  [1272] = {.lex_state = 53},
  [1273] = {.lex_state = 53},
  [1274] = {.lex_state = 53},
  [1275] = {.lex_state = 53},
  [1276] = {.lex_state = 53},
  [1277] = {.lex_state = 53},
  [1278] = {.lex_state = 53},
  [1279] = {.lex_state = 53},
  [1280] = {.lex_state = 53},
  [1281] = {.lex_state = 53},
  [1282] = {.lex_state = 53},
  [1283] = {.lex_state = 53},
  [1284] = {.lex_state = 53},
  [1285] = {.lex_state = 53},
  [1286] = {.lex_state = 53},
  [1287] = {.lex_state = 53},
  [1288] = {.lex_state = 53},
  [1289] = {.lex_state = 53},
  [1290] = {.lex_state = 50},
  [1291] = {.lex_state = 50},
  [1292] = {.lex_state = 53},
  [1293] = {.lex_state = 53},
  [1294] = {.lex_state = 53},
  [1295] = {.lex_state = 50},
  [1296] = {.lex_state = 53},
  [1297] = {.lex_state = 50},
  [1298] = {.lex_state = 53},
  [1299] = {.lex_state = 53},
  [1300] = {.lex_state = 53},
  [1301] = {.lex_state = 53},
  [1302] = {.lex_state = 53},
  [1303] = {.lex_state = 53},
  [1304] = {.lex_state = 53},
  [1305] = {.lex_state = 53},
  [1306] = {.lex_state = 53},
  [1307] = {.lex_state = 56},
  [1308] = {.lex_state = 53},
  [1309] = {.lex_state = 53},
  [1310] = {.lex_state = 53},
  [1311] = {.lex_state = 53},
  [1312] = {.lex_state = 53},
  [1313] = {.lex_state = 53},
  [1314] = {.lex_state = 53},
  [1315] = {.lex_state = 53},
  [1316] = {.lex_state = 53},
  [1317] = {.lex_state = 53},
  [1318] = {.lex_state = 53},
  [1319] = {.lex_state = 53},
  [1320] = {.lex_state = 53},
  [1321] = {.lex_state = 56},
  [1322] = {.lex_state = 53},
  [1323] = {.lex_state = 53},
  [1324] = {.lex_state = 53},
  [1325] = {.lex_state = 53},
  [1326] = {.lex_state = 53},
  [1327] = {.lex_state = 53},
  [1328] = {.lex_state = 50},
  [1329] = {.lex_state = 50},
  [1330] = {.lex_state = 50},
  [1331] = {.lex_state = 50},
  [1332] = {.lex_state = 50},
  [1333] = {.lex_state = 53},
  [1334] = {.lex_state = 50},
  [1335] = {.lex_state = 53},
  [1336] = {.lex_state = 50},
  [1337] = {.lex_state = 50},
  [1338] = {.lex_state = 50},
  [1339] = {.lex_state = 50},
  [1340] = {.lex_state = 50},
  [1341] = {.lex_state = 50},
  [1342] = {.lex_state = 53},
  [1343] = {.lex_state = 53},
  [1344] = {.lex_state = 53},
  [1345] = {.lex_state = 53},
  [1346] = {.lex_state = 53},
  [1347] = {.lex_state = 53},
  [1348] = {.lex_state = 50},
  [1349] = {.lex_state = 50},
  [1350] = {.lex_state = 56},
  [1351] = {.lex_state = 53},
  [1352] = {.lex_state = 49},
  [1353] = {.lex_state = 53},
  [1354] = {.lex_state = 0},
  [1355] = {.lex_state = 53},
  [1356] = {.lex_state = 53},
  [1357] = {.lex_state = 53},
  [1358] = {.lex_state = 119},
  [1359] = {.lex_state = 53},
  [1360] = {.lex_state = 119},
  [1361] = {.lex_state = 53},
  [1362] = {.lex_state = 53},
  [1363] = {.lex_state = 119},
  [1364] = {.lex_state = 53},
  [1365] = {.lex_state = 53},
  [1366] = {.lex_state = 53},
  [1367] = {.lex_state = 53},
  [1368] = {.lex_state = 119},
  [1369] = {.lex_state = 53},
  [1370] = {.lex_state = 53},
  [1371] = {.lex_state = 0},
  [1372] = {.lex_state = 53},
  [1373] = {.lex_state = 54},
  [1374] = {.lex_state = 54},
  [1375] = {.lex_state = 49},
  [1376] = {.lex_state = 119},
  [1377] = {.lex_state = 119},
  [1378] = {.lex_state = 119},
  [1379] = {.lex_state = 119},
  [1380] = {.lex_state = 119},
  [1381] = {.lex_state = 49},
  [1382] = {.lex_state = 53},
  [1383] = {.lex_state = 119},
  [1384] = {.lex_state = 119},
  [1385] = {.lex_state = 119},
  [1386] = {.lex_state = 119},
  [1387] = {.lex_state = 54},
  [1388] = {.lex_state = 54},
  [1389] = {.lex_state = 53},
  [1390] = {.lex_state = 53},
  [1391] = {.lex_state = 49},
  [1392] = {.lex_state = 119},
  [1393] = {.lex_state = 53},
  [1394] = {.lex_state = 119},
  [1395] = {.lex_state = 119},
  [1396] = {.lex_state = 119},
  [1397] = {.lex_state = 53},
  [1398] = {.lex_state = 119},
  [1399] = {.lex_state = 53},
  [1400] = {.lex_state = 119},
  [1401] = {.lex_state = 53},
  [1402] = {.lex_state = 119},
  [1403] = {.lex_state = 119},
  [1404] = {.lex_state = 53},
  [1405] = {.lex_state = 119},
  [1406] = {.lex_state = 0},
  [1407] = {.lex_state = 53},
  [1408] = {.lex_state = 50},
  [1409] = {.lex_state = 119},
  [1410] = {.lex_state = 50},
  [1411] = {.lex_state = 53},
  [1412] = {.lex_state = 53},
  [1413] = {.lex_state = 119},
  [1414] = {.lex_state = 0},
  [1415] = {.lex_state = 53},
  [1416] = {.lex_state = 119},
  [1417] = {.lex_state = 50},
  [1418] = {.lex_state = 119},
  [1419] = {.lex_state = 53},
  [1420] = {.lex_state = 53},
  [1421] = {.lex_state = 0},
  [1422] = {.lex_state = 53},
  [1423] = {.lex_state = 119},
  [1424] = {.lex_state = 119},
  [1425] = {.lex_state = 53},
  [1426] = {.lex_state = 53},
  [1427] = {.lex_state = 53},
  [1428] = {.lex_state = 53},
  [1429] = {.lex_state = 0},
  [1430] = {.lex_state = 53},
  [1431] = {.lex_state = 53},
  [1432] = {.lex_state = 119},
  [1433] = {.lex_state = 119},
  [1434] = {.lex_state = 53},
  [1435] = {.lex_state = 119},
  [1436] = {.lex_state = 53},
  [1437] = {.lex_state = 50},
  [1438] = {.lex_state = 53},
  [1439] = {.lex_state = 119},
  [1440] = {.lex_state = 53},
  [1441] = {.lex_state = 53},
  [1442] = {.lex_state = 119},
  [1443] = {.lex_state = 56},
  [1444] = {.lex_state = 53},
  [1445] = {.lex_state = 56},
  [1446] = {.lex_state = 53},
  [1447] = {.lex_state = 0},
  [1448] = {.lex_state = 56},
  [1449] = {.lex_state = 53},
  [1450] = {.lex_state = 53},
  [1451] = {.lex_state = 53},
  [1452] = {.lex_state = 53},
  [1453] = {.lex_state = 53},
  [1454] = {.lex_state = 53},
  [1455] = {.lex_state = 53},
  [1456] = {.lex_state = 56},
  [1457] = {.lex_state = 56},
  [1458] = {.lex_state = 53},
  [1459] = {.lex_state = 119},
  [1460] = {.lex_state = 119},
  [1461] = {.lex_state = 53},
  [1462] = {.lex_state = 119},
  [1463] = {.lex_state = 56},
  [1464] = {.lex_state = 56},
  [1465] = {.lex_state = 119},
  [1466] = {.lex_state = 119},
  [1467] = {.lex_state = 56},
  [1468] = {.lex_state = 119},
  [1469] = {.lex_state = 56},
  [1470] = {.lex_state = 50},
  [1471] = {.lex_state = 119},
  [1472] = {.lex_state = 56},
  [1473] = {.lex_state = 53},
  [1474] = {.lex_state = 0},
  [1475] = {.lex_state = 53},
  [1476] = {.lex_state = 119},
  [1477] = {.lex_state = 53},
  [1478] = {.lex_state = 0},
  [1479] = {.lex_state = 53},
  [1480] = {.lex_state = 56},
  [1481] = {.lex_state = 53},
  [1482] = {.lex_state = 119},
  [1483] = {.lex_state = 50},
  [1484] = {.lex_state = 119},
  [1485] = {.lex_state = 119},
  [1486] = {.lex_state = 119},
  [1487] = {.lex_state = 119},
  [1488] = {.lex_state = 119},
  [1489] = {.lex_state = 119},
  [1490] = {.lex_state = 53},
  [1491] = {.lex_state = 53},
  [1492] = {.lex_state = 119},
  [1493] = {.lex_state = 53},
  [1494] = {.lex_state = 119},
  [1495] = {.lex_state = 45},
  [1496] = {.lex_state = 119},
  [1497] = {.lex_state = 119},
  [1498] = {.lex_state = 119},
  [1499] = {.lex_state = 119},
  [1500] = {.lex_state = 119},
  [1501] = {.lex_state = 53},
  [1502] = {.lex_state = 53},
  [1503] = {.lex_state = 53},
  [1504] = {.lex_state = 53},
  [1505] = {.lex_state = 53},
  [1506] = {.lex_state = 53},
  [1507] = {.lex_state = 0},
  [1508] = {.lex_state = 0},
  [1509] = {.lex_state = 30},
  [1510] = {.lex_state = 30},
  [1511] = {.lex_state = 32},
  [1512] = {.lex_state = 37},
  [1513] = {.lex_state = 30},
  [1514] = {.lex_state = 53},
  [1515] = {.lex_state = 32},
  [1516] = {.lex_state = 53},
  [1517] = {.lex_state = 53},
  [1518] = {.lex_state = 53},
  [1519] = {.lex_state = 119},
  [1520] = {.lex_state = 32},
  [1521] = {.lex_state = 53},
  [1522] = {.lex_state = 53},
  [1523] = {.lex_state = 0},
  [1524] = {.lex_state = 53},
  [1525] = {.lex_state = 53},
  [1526] = {.lex_state = 0},
  [1527] = {.lex_state = 30},
  [1528] = {.lex_state = 53},
  [1529] = {.lex_state = 53},
  [1530] = {.lex_state = 30},
  [1531] = {.lex_state = 53},
  [1532] = {.lex_state = 119},
  [1533] = {.lex_state = 53},
  [1534] = {.lex_state = 32},
  [1535] = {.lex_state = 37},
  [1536] = {.lex_state = 50},
  [1537] = {.lex_state = 45},
  [1538] = {.lex_state = 53},
  [1539] = {.lex_state = 53},
  [1540] = {.lex_state = 53},
  [1541] = {.lex_state = 53},
  [1542] = {.lex_state = 30},
  [1543] = {.lex_state = 53},
  [1544] = {.lex_state = 53},
  [1545] = {.lex_state = 53},
  [1546] = {.lex_state = 32},
  [1547] = {.lex_state = 32},
  [1548] = {.lex_state = 32},
  [1549] = {.lex_state = 50},
  [1550] = {.lex_state = 50},
  [1551] = {.lex_state = 0},
  [1552] = {.lex_state = 0},
  [1553] = {.lex_state = 53},
  [1554] = {.lex_state = 53},
  [1555] = {.lex_state = 0},
  [1556] = {.lex_state = 53},
  [1557] = {.lex_state = 0},
  [1558] = {.lex_state = 0},
  [1559] = {.lex_state = 0},
  [1560] = {.lex_state = 50},
  [1561] = {.lex_state = 53},
  [1562] = {.lex_state = 37},
  [1563] = {.lex_state = 30},
  [1564] = {.lex_state = 37},
  [1565] = {.lex_state = 0},
  [1566] = {.lex_state = 0},
  [1567] = {.lex_state = 0},
  [1568] = {.lex_state = 0},
  [1569] = {.lex_state = 45},
  [1570] = {.lex_state = 0},
  [1571] = {.lex_state = 0},
  [1572] = {.lex_state = 0},
  [1573] = {.lex_state = 0},
  [1574] = {.lex_state = 0},
  [1575] = {.lex_state = 0},
  [1576] = {.lex_state = 0},
  [1577] = {.lex_state = 0},
  [1578] = {.lex_state = 0},
  [1579] = {.lex_state = 45},
  [1580] = {.lex_state = 0},
  [1581] = {.lex_state = 0},
  [1582] = {.lex_state = 53},
  [1583] = {.lex_state = 0},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 37},
  [1586] = {.lex_state = 0},
  [1587] = {.lex_state = 0},
  [1588] = {.lex_state = 0},
  [1589] = {.lex_state = 53},
  [1590] = {.lex_state = 0},
  [1591] = {.lex_state = 0},
  [1592] = {.lex_state = 0},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 0},
  [1595] = {.lex_state = 53},
  [1596] = {.lex_state = 0},
  [1597] = {.lex_state = 0},
  [1598] = {.lex_state = 0},
  [1599] = {.lex_state = 53},
  [1600] = {.lex_state = 53},
  [1601] = {.lex_state = 34},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 53},
  [1605] = {.lex_state = 0},
  [1606] = {.lex_state = 45},
  [1607] = {.lex_state = 0},
  [1608] = {.lex_state = 0},
  [1609] = {.lex_state = 53},
  [1610] = {.lex_state = 0},
  [1611] = {.lex_state = 53},
  [1612] = {.lex_state = 0},
  [1613] = {.lex_state = 0},
  [1614] = {.lex_state = 0},
  [1615] = {.lex_state = 0},
  [1616] = {.lex_state = 0},
  [1617] = {.lex_state = 0},
  [1618] = {.lex_state = 0},
  [1619] = {.lex_state = 0},
  [1620] = {.lex_state = 0},
  [1621] = {.lex_state = 0},
  [1622] = {.lex_state = 53},
  [1623] = {.lex_state = 0},
  [1624] = {.lex_state = 0},
  [1625] = {.lex_state = 0},
  [1626] = {.lex_state = 0},
  [1627] = {.lex_state = 0},
  [1628] = {.lex_state = 0},
  [1629] = {.lex_state = 0},
  [1630] = {.lex_state = 0},
  [1631] = {.lex_state = 0},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 0},
  [1634] = {.lex_state = 0},
  [1635] = {.lex_state = 0},
  [1636] = {.lex_state = 0},
  [1637] = {.lex_state = 0},
  [1638] = {.lex_state = 0},
  [1639] = {.lex_state = 0},
  [1640] = {.lex_state = 0},
  [1641] = {.lex_state = 37},
  [1642] = {.lex_state = 53},
  [1643] = {.lex_state = 0},
  [1644] = {.lex_state = 34},
  [1645] = {.lex_state = 0},
  [1646] = {.lex_state = 0},
  [1647] = {.lex_state = 0},
  [1648] = {.lex_state = 0},
  [1649] = {.lex_state = 0},
  [1650] = {.lex_state = 34},
  [1651] = {.lex_state = 45},
  [1652] = {.lex_state = 45},
  [1653] = {.lex_state = 53},
  [1654] = {.lex_state = 53},
  [1655] = {.lex_state = 0},
  [1656] = {.lex_state = 0},
  [1657] = {.lex_state = 45},
  [1658] = {.lex_state = 0},
  [1659] = {.lex_state = 0},
  [1660] = {.lex_state = 0},
  [1661] = {.lex_state = 37},
  [1662] = {.lex_state = 0},
  [1663] = {.lex_state = 0},
  [1664] = {.lex_state = 0},
  [1665] = {.lex_state = 0},
  [1666] = {.lex_state = 0},
  [1667] = {.lex_state = 0},
  [1668] = {.lex_state = 45},
  [1669] = {.lex_state = 0},
  [1670] = {.lex_state = 0},
  [1671] = {.lex_state = 0},
  [1672] = {.lex_state = 0},
  [1673] = {.lex_state = 0},
  [1674] = {.lex_state = 0},
  [1675] = {.lex_state = 0},
  [1676] = {.lex_state = 0},
  [1677] = {.lex_state = 0},
  [1678] = {.lex_state = 0},
  [1679] = {.lex_state = 0},
  [1680] = {.lex_state = 0},
  [1681] = {.lex_state = 0},
  [1682] = {.lex_state = 0},
  [1683] = {.lex_state = 0},
  [1684] = {.lex_state = 0},
  [1685] = {.lex_state = 0},
  [1686] = {.lex_state = 34},
  [1687] = {.lex_state = 119},
  [1688] = {.lex_state = 33},
  [1689] = {.lex_state = 0},
  [1690] = {.lex_state = 0},
  [1691] = {.lex_state = 33},
  [1692] = {.lex_state = 0},
  [1693] = {.lex_state = 45},
  [1694] = {.lex_state = 0},
  [1695] = {.lex_state = 119},
  [1696] = {.lex_state = 119},
  [1697] = {.lex_state = 0},
  [1698] = {.lex_state = 0},
  [1699] = {.lex_state = 0},
  [1700] = {.lex_state = 53},
  [1701] = {.lex_state = 119},
  [1702] = {.lex_state = 33},
  [1703] = {.lex_state = 119},
  [1704] = {.lex_state = 45},
  [1705] = {.lex_state = 33},
  [1706] = {.lex_state = 119},
  [1707] = {.lex_state = 0},
  [1708] = {.lex_state = 0},
  [1709] = {.lex_state = 53},
  [1710] = {.lex_state = 0},
  [1711] = {.lex_state = 0},
  [1712] = {.lex_state = 33},
  [1713] = {.lex_state = 0},
  [1714] = {.lex_state = 0},
  [1715] = {.lex_state = 119},
  [1716] = {.lex_state = 0},
  [1717] = {.lex_state = 119},
  [1718] = {.lex_state = 0},
  [1719] = {.lex_state = 119},
  [1720] = {.lex_state = 119},
  [1721] = {.lex_state = 53},
  [1722] = {.lex_state = 119},
  [1723] = {.lex_state = 119},
  [1724] = {.lex_state = 119},
  [1725] = {.lex_state = 0},
  [1726] = {.lex_state = 0},
  [1727] = {.lex_state = 119},
  [1728] = {.lex_state = 0},
  [1729] = {.lex_state = 33},
  [1730] = {.lex_state = 53},
  [1731] = {.lex_state = 0},
  [1732] = {.lex_state = 0},
  [1733] = {.lex_state = 119},
  [1734] = {.lex_state = 0},
  [1735] = {.lex_state = 33},
  [1736] = {.lex_state = 119},
  [1737] = {.lex_state = 0},
  [1738] = {.lex_state = 119},
  [1739] = {.lex_state = 33},
  [1740] = {.lex_state = 0},
  [1741] = {.lex_state = 0},
  [1742] = {.lex_state = 0},
  [1743] = {.lex_state = 119},
  [1744] = {.lex_state = 119},
  [1745] = {.lex_state = 119},
  [1746] = {.lex_state = 0},
  [1747] = {.lex_state = 119},
  [1748] = {.lex_state = 33},
  [1749] = {.lex_state = 33},
  [1750] = {.lex_state = 0},
  [1751] = {.lex_state = 119},
  [1752] = {.lex_state = 33},
  [1753] = {.lex_state = 33},
  [1754] = {.lex_state = 53},
  [1755] = {.lex_state = 53},
  [1756] = {.lex_state = 0},
  [1757] = {.lex_state = 0},
  [1758] = {.lex_state = 0},
  [1759] = {.lex_state = 33},
  [1760] = {.lex_state = 33},
  [1761] = {.lex_state = 0},
  [1762] = {.lex_state = 33},
  [1763] = {.lex_state = 33},
  [1764] = {.lex_state = 0},
  [1765] = {.lex_state = 53},
  [1766] = {.lex_state = 119},
  [1767] = {.lex_state = 0},
  [1768] = {.lex_state = 119},
  [1769] = {.lex_state = 119},
  [1770] = {.lex_state = 45},
  [1771] = {.lex_state = 53},
  [1772] = {.lex_state = 0},
  [1773] = {.lex_state = 33},
  [1774] = {.lex_state = 0},
  [1775] = {.lex_state = 53},
  [1776] = {.lex_state = 0},
  [1777] = {.lex_state = 0},
  [1778] = {.lex_state = 0},
  [1779] = {.lex_state = 44},
  [1780] = {.lex_state = 0},
  [1781] = {.lex_state = 0},
  [1782] = {.lex_state = 0},
  [1783] = {.lex_state = 53},
  [1784] = {.lex_state = 53},
  [1785] = {.lex_state = 0},
  [1786] = {.lex_state = 44},
  [1787] = {.lex_state = 34},
  [1788] = {.lex_state = 44},
  [1789] = {.lex_state = 119},
  [1790] = {.lex_state = 44},
  [1791] = {.lex_state = 53},
  [1792] = {.lex_state = 0},
  [1793] = {.lex_state = 0},
  [1794] = {.lex_state = 0},
  [1795] = {.lex_state = 34},
  [1796] = {.lex_state = 0},
  [1797] = {.lex_state = 44},
  [1798] = {.lex_state = 53},
  [1799] = {.lex_state = 34},
  [1800] = {.lex_state = 0},
  [1801] = {.lex_state = 0},
  [1802] = {.lex_state = 53},
  [1803] = {.lex_state = 0},
  [1804] = {.lex_state = 53},
  [1805] = {.lex_state = 119},
  [1806] = {.lex_state = 34},
  [1807] = {.lex_state = 0},
  [1808] = {.lex_state = 119},
  [1809] = {.lex_state = 0},
  [1810] = {.lex_state = 34},
  [1811] = {.lex_state = 0},
  [1812] = {.lex_state = 119},
  [1813] = {.lex_state = 0},
  [1814] = {.lex_state = 0},
  [1815] = {.lex_state = 34},
  [1816] = {.lex_state = 0},
  [1817] = {.lex_state = 0},
  [1818] = {.lex_state = 34},
  [1819] = {.lex_state = 34},
  [1820] = {.lex_state = 34},
  [1821] = {.lex_state = 44},
  [1822] = {.lex_state = 0},
  [1823] = {.lex_state = 44},
  [1824] = {.lex_state = 34},
  [1825] = {.lex_state = 44},
  [1826] = {.lex_state = 44},
  [1827] = {.lex_state = 44},
  [1828] = {.lex_state = 34},
  [1829] = {.lex_state = 44},
  [1830] = {.lex_state = 53},
  [1831] = {.lex_state = 34},
  [1832] = {.lex_state = 34},
  [1833] = {.lex_state = 0},
  [1834] = {.lex_state = 34},
  [1835] = {.lex_state = 0},
  [1836] = {.lex_state = 53},
  [1837] = {.lex_state = 53},
  [1838] = {.lex_state = 53},
  [1839] = {.lex_state = 53},
  [1840] = {.lex_state = 44},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 44},
  [1843] = {.lex_state = 0},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 53},
  [1846] = {.lex_state = 44},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 0},
  [1849] = {.lex_state = 44},
  [1850] = {.lex_state = 0},
  [1851] = {.lex_state = 0},
  [1852] = {.lex_state = 0},
  [1853] = {.lex_state = 0},
  [1854] = {.lex_state = 0},
  [1855] = {.lex_state = 0},
  [1856] = {.lex_state = 34},
  [1857] = {.lex_state = 0},
  [1858] = {.lex_state = 44},
  [1859] = {.lex_state = 44},
  [1860] = {.lex_state = 53},
  [1861] = {.lex_state = 0},
  [1862] = {.lex_state = 34},
  [1863] = {.lex_state = 0},
  [1864] = {.lex_state = 119},
  [1865] = {.lex_state = 53},
  [1866] = {.lex_state = 53},
  [1867] = {.lex_state = 0},
  [1868] = {.lex_state = 119},
  [1869] = {.lex_state = 44},
  [1870] = {.lex_state = 34},
  [1871] = {.lex_state = 44},
  [1872] = {.lex_state = 44},
  [1873] = {.lex_state = 0},
  [1874] = {.lex_state = 0},
  [1875] = {.lex_state = 0},
  [1876] = {.lex_state = 53},
  [1877] = {.lex_state = 0},
  [1878] = {.lex_state = 53},
  [1879] = {.lex_state = 34},
  [1880] = {.lex_state = 0},
  [1881] = {.lex_state = 0},
  [1882] = {.lex_state = 0},
  [1883] = {.lex_state = 53},
  [1884] = {.lex_state = 44},
  [1885] = {.lex_state = 0},
  [1886] = {.lex_state = 0},
  [1887] = {.lex_state = 53},
  [1888] = {.lex_state = 44},
  [1889] = {.lex_state = 44},
  [1890] = {.lex_state = 0},
  [1891] = {.lex_state = 0},
  [1892] = {.lex_state = 0},
  [1893] = {.lex_state = 34},
  [1894] = {.lex_state = 34},
  [1895] = {.lex_state = 0},
  [1896] = {.lex_state = 44},
  [1897] = {.lex_state = 44},
  [1898] = {.lex_state = 53},
  [1899] = {.lex_state = 53},
  [1900] = {.lex_state = 44},
  [1901] = {.lex_state = 53},
  [1902] = {.lex_state = 34},
  [1903] = {.lex_state = 44},
  [1904] = {.lex_state = 53},
  [1905] = {.lex_state = 0},
  [1906] = {.lex_state = 0},
  [1907] = {.lex_state = 44},
  [1908] = {.lex_state = 0},
  [1909] = {.lex_state = 0},
  [1910] = {.lex_state = 0},
  [1911] = {.lex_state = 34},
  [1912] = {.lex_state = 0},
  [1913] = {.lex_state = 0},
  [1914] = {.lex_state = 0},
  [1915] = {.lex_state = 0},
  [1916] = {.lex_state = 53},
  [1917] = {.lex_state = 53},
  [1918] = {.lex_state = 0},
  [1919] = {.lex_state = 0},
  [1920] = {.lex_state = 0},
  [1921] = {.lex_state = 44},
  [1922] = {.lex_state = 0},
  [1923] = {.lex_state = 0},
  [1924] = {.lex_state = 0},
  [1925] = {.lex_state = 53},
  [1926] = {.lex_state = 0},
  [1927] = {.lex_state = 0},
  [1928] = {.lex_state = 0},
  [1929] = {.lex_state = 0},
  [1930] = {.lex_state = 119},
  [1931] = {.lex_state = 44},
  [1932] = {.lex_state = 0},
  [1933] = {.lex_state = 119},
  [1934] = {.lex_state = 0},
  [1935] = {.lex_state = 34},
  [1936] = {.lex_state = 44},
  [1937] = {.lex_state = 53},
  [1938] = {.lex_state = 44},
  [1939] = {.lex_state = 0},
  [1940] = {.lex_state = 119},
  [1941] = {.lex_state = 0},
  [1942] = {.lex_state = 44},
  [1943] = {.lex_state = 119},
  [1944] = {.lex_state = 34},
  [1945] = {.lex_state = 0},
  [1946] = {.lex_state = 0},
  [1947] = {.lex_state = 53},
  [1948] = {.lex_state = 53},
  [1949] = {.lex_state = 44},
  [1950] = {.lex_state = 0},
  [1951] = {.lex_state = 0},
  [1952] = {.lex_state = 34},
  [1953] = {.lex_state = 53},
  [1954] = {.lex_state = 0},
  [1955] = {.lex_state = 0},
  [1956] = {.lex_state = 0},
  [1957] = {.lex_state = 0},
  [1958] = {.lex_state = 34},
  [1959] = {.lex_state = 44},
  [1960] = {.lex_state = 53},
  [1961] = {.lex_state = 0},
  [1962] = {.lex_state = 44},
  [1963] = {.lex_state = 0},
  [1964] = {.lex_state = 53},
  [1965] = {.lex_state = 0},
  [1966] = {.lex_state = 44},
  [1967] = {.lex_state = 0},
  [1968] = {.lex_state = 53},
  [1969] = {.lex_state = 34},
  [1970] = {.lex_state = 44},
  [1971] = {.lex_state = 44},
  [1972] = {.lex_state = 53},
  [1973] = {.lex_state = 53},
  [1974] = {.lex_state = 0},
  [1975] = {.lex_state = 34},
  [1976] = {.lex_state = 53},
  [1977] = {.lex_state = 34},
  [1978] = {.lex_state = 53},
  [1979] = {.lex_state = 119},
  [1980] = {.lex_state = 44},
  [1981] = {.lex_state = 44},
  [1982] = {.lex_state = 0},
  [1983] = {.lex_state = 53},
  [1984] = {.lex_state = 0},
  [1985] = {.lex_state = 0},
  [1986] = {.lex_state = 34},
  [1987] = {.lex_state = 44},
  [1988] = {.lex_state = 0},
  [1989] = {.lex_state = 44},
  [1990] = {.lex_state = 0},
  [1991] = {.lex_state = 44},
  [1992] = {.lex_state = 0},
  [1993] = {.lex_state = 53},
  [1994] = {.lex_state = 0},
  [1995] = {.lex_state = 0},
  [1996] = {.lex_state = 44},
  [1997] = {.lex_state = 0},
  [1998] = {.lex_state = 119},
  [1999] = {.lex_state = 0},
  [2000] = {.lex_state = 0},
  [2001] = {.lex_state = 53},
  [2002] = {.lex_state = 44},
  [2003] = {.lex_state = 44},
  [2004] = {.lex_state = 44},
  [2005] = {.lex_state = 44},
  [2006] = {.lex_state = 0},
  [2007] = {.lex_state = 0},
  [2008] = {.lex_state = 53},
  [2009] = {.lex_state = 53},
  [2010] = {.lex_state = 34},
  [2011] = {.lex_state = 44},
  [2012] = {.lex_state = 0},
  [2013] = {.lex_state = 44},
  [2014] = {.lex_state = 119},
  [2015] = {.lex_state = 44},
  [2016] = {.lex_state = 0},
  [2017] = {.lex_state = 119},
  [2018] = {.lex_state = 0},
  [2019] = {.lex_state = 0},
  [2020] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_auto] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_translation_unit] = STATE(1892),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym__old_style_function_definition] = STATE(412),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1134),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(743),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(864),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym__top_level_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym__expression] = STATE(1115),
    [sym__expression_not_binary] = STATE(1116),
    [sym__string] = STATE(1116),
    [sym_conditional_expression] = STATE(1116),
    [sym_assignment_expression] = STATE(1116),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(1116),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(1116),
    [sym_cast_expression] = STATE(1116),
    [sym_sizeof_expression] = STATE(1116),
    [sym_alignof_expression] = STATE(1116),
    [sym_offsetof_expression] = STATE(1116),
    [sym_generic_expression] = STATE(1116),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(1116),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(1116),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(1116),
    [sym_concatenated_string] = STATE(1116),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(1116),
    [sym__empty_declaration] = STATE(43),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_translation_unit_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(31),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(91),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_preproc_include] = STATE(3),
    [sym_preproc_def] = STATE(3),
    [sym_preproc_function_def] = STATE(3),
    [sym_preproc_call] = STATE(3),
    [sym_preproc_if] = STATE(3),
    [sym_preproc_ifdef] = STATE(3),
    [sym_preproc_else] = STATE(2013),
    [sym_preproc_elif] = STATE(2013),
    [sym_preproc_elifdef] = STATE(2013),
    [sym_function_definition] = STATE(3),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(3),
    [sym_type_definition] = STATE(3),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(3),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(3),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(3),
    [sym_labeled_statement] = STATE(3),
    [sym_expression_statement] = STATE(3),
    [sym_if_statement] = STATE(3),
    [sym_switch_statement] = STATE(3),
    [sym_case_statement] = STATE(3),
    [sym_while_statement] = STATE(3),
    [sym_do_statement] = STATE(3),
    [sym_for_statement] = STATE(3),
    [sym_return_statement] = STATE(3),
    [sym_break_statement] = STATE(3),
    [sym_continue_statement] = STATE(3),
    [sym_goto_statement] = STATE(3),
    [sym_seh_try_statement] = STATE(3),
    [sym_seh_leave_statement] = STATE(3),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(3),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(3),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1936),
    [sym_preproc_elif] = STATE(1936),
    [sym_preproc_elifdef] = STATE(1936),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_preproc_include] = STATE(5),
    [sym_preproc_def] = STATE(5),
    [sym_preproc_function_def] = STATE(5),
    [sym_preproc_call] = STATE(5),
    [sym_preproc_if] = STATE(5),
    [sym_preproc_ifdef] = STATE(5),
    [sym_preproc_else] = STATE(1826),
    [sym_preproc_elif] = STATE(1826),
    [sym_preproc_elifdef] = STATE(1826),
    [sym_function_definition] = STATE(5),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(5),
    [sym_type_definition] = STATE(5),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(5),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(5),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(5),
    [sym_labeled_statement] = STATE(5),
    [sym_expression_statement] = STATE(5),
    [sym_if_statement] = STATE(5),
    [sym_switch_statement] = STATE(5),
    [sym_case_statement] = STATE(5),
    [sym_while_statement] = STATE(5),
    [sym_do_statement] = STATE(5),
    [sym_for_statement] = STATE(5),
    [sym_return_statement] = STATE(5),
    [sym_break_statement] = STATE(5),
    [sym_continue_statement] = STATE(5),
    [sym_goto_statement] = STATE(5),
    [sym_seh_try_statement] = STATE(5),
    [sym_seh_leave_statement] = STATE(5),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(5),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(5),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1869),
    [sym_preproc_elif] = STATE(1869),
    [sym_preproc_elifdef] = STATE(1869),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_preproc_include] = STATE(8),
    [sym_preproc_def] = STATE(8),
    [sym_preproc_function_def] = STATE(8),
    [sym_preproc_call] = STATE(8),
    [sym_preproc_if] = STATE(8),
    [sym_preproc_ifdef] = STATE(8),
    [sym_preproc_else] = STATE(1966),
    [sym_preproc_elif] = STATE(1966),
    [sym_preproc_elifdef] = STATE(1966),
    [sym_function_definition] = STATE(8),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(8),
    [sym_type_definition] = STATE(8),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(8),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(8),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(8),
    [sym_labeled_statement] = STATE(8),
    [sym_expression_statement] = STATE(8),
    [sym_if_statement] = STATE(8),
    [sym_switch_statement] = STATE(8),
    [sym_case_statement] = STATE(8),
    [sym_while_statement] = STATE(8),
    [sym_do_statement] = STATE(8),
    [sym_for_statement] = STATE(8),
    [sym_return_statement] = STATE(8),
    [sym_break_statement] = STATE(8),
    [sym_continue_statement] = STATE(8),
    [sym_goto_statement] = STATE(8),
    [sym_seh_try_statement] = STATE(8),
    [sym_seh_leave_statement] = STATE(8),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(8),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(8),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_preproc_include] = STATE(9),
    [sym_preproc_def] = STATE(9),
    [sym_preproc_function_def] = STATE(9),
    [sym_preproc_call] = STATE(9),
    [sym_preproc_if] = STATE(9),
    [sym_preproc_ifdef] = STATE(9),
    [sym_preproc_else] = STATE(1980),
    [sym_preproc_elif] = STATE(1980),
    [sym_preproc_elifdef] = STATE(1980),
    [sym_function_definition] = STATE(9),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(9),
    [sym_type_definition] = STATE(9),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(9),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(9),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_case_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_goto_statement] = STATE(9),
    [sym_seh_try_statement] = STATE(9),
    [sym_seh_leave_statement] = STATE(9),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(9),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(9),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1989),
    [sym_preproc_elif] = STATE(1989),
    [sym_preproc_elifdef] = STATE(1989),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(2003),
    [sym_preproc_elif] = STATE(2003),
    [sym_preproc_elifdef] = STATE(2003),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_preproc_include] = STATE(12),
    [sym_preproc_def] = STATE(12),
    [sym_preproc_function_def] = STATE(12),
    [sym_preproc_call] = STATE(12),
    [sym_preproc_if] = STATE(12),
    [sym_preproc_ifdef] = STATE(12),
    [sym_preproc_else] = STATE(1872),
    [sym_preproc_elif] = STATE(1872),
    [sym_preproc_elifdef] = STATE(1872),
    [sym_function_definition] = STATE(12),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(12),
    [sym_type_definition] = STATE(12),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(12),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(12),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_case_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_goto_statement] = STATE(12),
    [sym_seh_try_statement] = STATE(12),
    [sym_seh_leave_statement] = STATE(12),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(12),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(12),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_preproc_include] = STATE(13),
    [sym_preproc_def] = STATE(13),
    [sym_preproc_function_def] = STATE(13),
    [sym_preproc_call] = STATE(13),
    [sym_preproc_if] = STATE(13),
    [sym_preproc_ifdef] = STATE(13),
    [sym_preproc_else] = STATE(2004),
    [sym_preproc_elif] = STATE(2004),
    [sym_preproc_elifdef] = STATE(2004),
    [sym_function_definition] = STATE(13),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(13),
    [sym_type_definition] = STATE(13),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(13),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(13),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(13),
    [sym_labeled_statement] = STATE(13),
    [sym_expression_statement] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_case_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_return_statement] = STATE(13),
    [sym_break_statement] = STATE(13),
    [sym_continue_statement] = STATE(13),
    [sym_goto_statement] = STATE(13),
    [sym_seh_try_statement] = STATE(13),
    [sym_seh_leave_statement] = STATE(13),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(13),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(13),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1825),
    [sym_preproc_elif] = STATE(1825),
    [sym_preproc_elifdef] = STATE(1825),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1987),
    [sym_preproc_elif] = STATE(1987),
    [sym_preproc_elifdef] = STATE(1987),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(1991),
    [sym_preproc_elif] = STATE(1991),
    [sym_preproc_elifdef] = STATE(1991),
    [sym_function_definition] = STATE(16),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(16),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_case_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_goto_statement] = STATE(16),
    [sym_seh_try_statement] = STATE(16),
    [sym_seh_leave_statement] = STATE(16),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(16),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(1821),
    [sym_preproc_elif] = STATE(1821),
    [sym_preproc_elifdef] = STATE(1821),
    [sym_function_definition] = STATE(17),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(17),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_case_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_goto_statement] = STATE(17),
    [sym_seh_try_statement] = STATE(17),
    [sym_seh_leave_statement] = STATE(17),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(17),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1823),
    [sym_preproc_elif] = STATE(1823),
    [sym_preproc_elifdef] = STATE(1823),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1859),
    [sym_preproc_elif] = STATE(1859),
    [sym_preproc_elifdef] = STATE(1859),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_preproc_include] = STATE(20),
    [sym_preproc_def] = STATE(20),
    [sym_preproc_function_def] = STATE(20),
    [sym_preproc_call] = STATE(20),
    [sym_preproc_if] = STATE(20),
    [sym_preproc_ifdef] = STATE(20),
    [sym_preproc_else] = STATE(1981),
    [sym_preproc_elif] = STATE(1981),
    [sym_preproc_elifdef] = STATE(1981),
    [sym_function_definition] = STATE(20),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(20),
    [sym_type_definition] = STATE(20),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(20),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(20),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_case_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_goto_statement] = STATE(20),
    [sym_seh_try_statement] = STATE(20),
    [sym_seh_leave_statement] = STATE(20),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(20),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(20),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(2011),
    [sym_preproc_elif] = STATE(2011),
    [sym_preproc_elifdef] = STATE(2011),
    [sym_function_definition] = STATE(21),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(21),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_case_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_goto_statement] = STATE(21),
    [sym_seh_try_statement] = STATE(21),
    [sym_seh_leave_statement] = STATE(21),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(21),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(2015),
    [sym_preproc_elif] = STATE(2015),
    [sym_preproc_elifdef] = STATE(2015),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1786),
    [sym_preproc_elif] = STATE(1786),
    [sym_preproc_elifdef] = STATE(1786),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(151),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(746),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(867),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(199),
    [aux_sym_preproc_include_token1] = ACTIONS(202),
    [aux_sym_preproc_def_token1] = ACTIONS(205),
    [aux_sym_preproc_if_token1] = ACTIONS(208),
    [aux_sym_preproc_if_token2] = ACTIONS(211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(211),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(211),
    [sym_preproc_directive] = ACTIONS(216),
    [anon_sym_LPAREN2] = ACTIONS(219),
    [anon_sym_BANG] = ACTIONS(222),
    [anon_sym_TILDE] = ACTIONS(222),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_PLUS] = ACTIONS(225),
    [anon_sym_STAR] = ACTIONS(228),
    [anon_sym_AMP] = ACTIONS(228),
    [anon_sym_SEMI] = ACTIONS(231),
    [anon_sym___extension__] = ACTIONS(234),
    [anon_sym_typedef] = ACTIONS(237),
    [anon_sym_extern] = ACTIONS(240),
    [anon_sym___attribute__] = ACTIONS(243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(246),
    [anon_sym___declspec] = ACTIONS(249),
    [anon_sym___cdecl] = ACTIONS(252),
    [anon_sym___clrcall] = ACTIONS(252),
    [anon_sym___stdcall] = ACTIONS(252),
    [anon_sym___fastcall] = ACTIONS(252),
    [anon_sym___thiscall] = ACTIONS(252),
    [anon_sym___vectorcall] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(258),
    [anon_sym_unsigned] = ACTIONS(258),
    [anon_sym_long] = ACTIONS(258),
    [anon_sym_short] = ACTIONS(258),
    [anon_sym_static] = ACTIONS(261),
    [anon_sym_auto] = ACTIONS(261),
    [anon_sym_register] = ACTIONS(261),
    [anon_sym_inline] = ACTIONS(261),
    [anon_sym___inline] = ACTIONS(261),
    [anon_sym___inline__] = ACTIONS(261),
    [anon_sym___forceinline] = ACTIONS(261),
    [anon_sym_thread_local] = ACTIONS(261),
    [anon_sym___thread] = ACTIONS(261),
    [anon_sym_const] = ACTIONS(264),
    [anon_sym_constexpr] = ACTIONS(264),
    [anon_sym_volatile] = ACTIONS(264),
    [anon_sym_restrict] = ACTIONS(264),
    [anon_sym___restrict__] = ACTIONS(264),
    [anon_sym__Atomic] = ACTIONS(264),
    [anon_sym__Noreturn] = ACTIONS(264),
    [anon_sym_noreturn] = ACTIONS(264),
    [sym_primitive_type] = ACTIONS(267),
    [anon_sym_enum] = ACTIONS(270),
    [anon_sym_struct] = ACTIONS(273),
    [anon_sym_union] = ACTIONS(276),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_switch] = ACTIONS(282),
    [anon_sym_case] = ACTIONS(285),
    [anon_sym_default] = ACTIONS(288),
    [anon_sym_while] = ACTIONS(291),
    [anon_sym_do] = ACTIONS(294),
    [anon_sym_for] = ACTIONS(297),
    [anon_sym_return] = ACTIONS(300),
    [anon_sym_break] = ACTIONS(303),
    [anon_sym_continue] = ACTIONS(306),
    [anon_sym_goto] = ACTIONS(309),
    [anon_sym___try] = ACTIONS(312),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_DASH_DASH] = ACTIONS(318),
    [anon_sym_PLUS_PLUS] = ACTIONS(318),
    [anon_sym_sizeof] = ACTIONS(321),
    [anon_sym___alignof__] = ACTIONS(324),
    [anon_sym___alignof] = ACTIONS(324),
    [anon_sym__alignof] = ACTIONS(324),
    [anon_sym_alignof] = ACTIONS(324),
    [anon_sym__Alignof] = ACTIONS(324),
    [anon_sym_offsetof] = ACTIONS(327),
    [anon_sym__Generic] = ACTIONS(330),
    [anon_sym_asm] = ACTIONS(333),
    [anon_sym___asm__] = ACTIONS(333),
    [sym_number_literal] = ACTIONS(336),
    [anon_sym_L_SQUOTE] = ACTIONS(339),
    [anon_sym_u_SQUOTE] = ACTIONS(339),
    [anon_sym_U_SQUOTE] = ACTIONS(339),
    [anon_sym_u8_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_L_DQUOTE] = ACTIONS(342),
    [anon_sym_u_DQUOTE] = ACTIONS(342),
    [anon_sym_U_DQUOTE] = ACTIONS(342),
    [anon_sym_u8_DQUOTE] = ACTIONS(342),
    [anon_sym_DQUOTE] = ACTIONS(342),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [anon_sym_NULL] = ACTIONS(348),
    [anon_sym_nullptr] = ACTIONS(348),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(373),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(401),
    [aux_sym_preproc_include_token1] = ACTIONS(404),
    [aux_sym_preproc_def_token1] = ACTIONS(407),
    [aux_sym_preproc_if_token1] = ACTIONS(410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(413),
    [sym_preproc_directive] = ACTIONS(416),
    [anon_sym_LPAREN2] = ACTIONS(219),
    [anon_sym_BANG] = ACTIONS(222),
    [anon_sym_TILDE] = ACTIONS(222),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_PLUS] = ACTIONS(225),
    [anon_sym_STAR] = ACTIONS(228),
    [anon_sym_AMP] = ACTIONS(228),
    [anon_sym_SEMI] = ACTIONS(419),
    [anon_sym___extension__] = ACTIONS(422),
    [anon_sym_typedef] = ACTIONS(425),
    [anon_sym_extern] = ACTIONS(428),
    [anon_sym___attribute__] = ACTIONS(243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(246),
    [anon_sym___declspec] = ACTIONS(249),
    [anon_sym___cdecl] = ACTIONS(252),
    [anon_sym___clrcall] = ACTIONS(252),
    [anon_sym___stdcall] = ACTIONS(252),
    [anon_sym___fastcall] = ACTIONS(252),
    [anon_sym___thiscall] = ACTIONS(252),
    [anon_sym___vectorcall] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(431),
    [anon_sym_RBRACE] = ACTIONS(434),
    [anon_sym_signed] = ACTIONS(258),
    [anon_sym_unsigned] = ACTIONS(258),
    [anon_sym_long] = ACTIONS(258),
    [anon_sym_short] = ACTIONS(258),
    [anon_sym_static] = ACTIONS(261),
    [anon_sym_auto] = ACTIONS(261),
    [anon_sym_register] = ACTIONS(261),
    [anon_sym_inline] = ACTIONS(261),
    [anon_sym___inline] = ACTIONS(261),
    [anon_sym___inline__] = ACTIONS(261),
    [anon_sym___forceinline] = ACTIONS(261),
    [anon_sym_thread_local] = ACTIONS(261),
    [anon_sym___thread] = ACTIONS(261),
    [anon_sym_const] = ACTIONS(264),
    [anon_sym_constexpr] = ACTIONS(264),
    [anon_sym_volatile] = ACTIONS(264),
    [anon_sym_restrict] = ACTIONS(264),
    [anon_sym___restrict__] = ACTIONS(264),
    [anon_sym__Atomic] = ACTIONS(264),
    [anon_sym__Noreturn] = ACTIONS(264),
    [anon_sym_noreturn] = ACTIONS(264),
    [sym_primitive_type] = ACTIONS(267),
    [anon_sym_enum] = ACTIONS(270),
    [anon_sym_struct] = ACTIONS(273),
    [anon_sym_union] = ACTIONS(276),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(439),
    [anon_sym_case] = ACTIONS(442),
    [anon_sym_default] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(448),
    [anon_sym_do] = ACTIONS(451),
    [anon_sym_for] = ACTIONS(454),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_break] = ACTIONS(460),
    [anon_sym_continue] = ACTIONS(463),
    [anon_sym_goto] = ACTIONS(466),
    [anon_sym___try] = ACTIONS(469),
    [anon_sym___leave] = ACTIONS(472),
    [anon_sym_DASH_DASH] = ACTIONS(318),
    [anon_sym_PLUS_PLUS] = ACTIONS(318),
    [anon_sym_sizeof] = ACTIONS(321),
    [anon_sym___alignof__] = ACTIONS(324),
    [anon_sym___alignof] = ACTIONS(324),
    [anon_sym__alignof] = ACTIONS(324),
    [anon_sym_alignof] = ACTIONS(324),
    [anon_sym__Alignof] = ACTIONS(324),
    [anon_sym_offsetof] = ACTIONS(327),
    [anon_sym__Generic] = ACTIONS(330),
    [anon_sym_asm] = ACTIONS(333),
    [anon_sym___asm__] = ACTIONS(333),
    [sym_number_literal] = ACTIONS(336),
    [anon_sym_L_SQUOTE] = ACTIONS(339),
    [anon_sym_u_SQUOTE] = ACTIONS(339),
    [anon_sym_U_SQUOTE] = ACTIONS(339),
    [anon_sym_u8_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_L_DQUOTE] = ACTIONS(342),
    [anon_sym_u_DQUOTE] = ACTIONS(342),
    [anon_sym_U_DQUOTE] = ACTIONS(342),
    [anon_sym_u8_DQUOTE] = ACTIONS(342),
    [anon_sym_DQUOTE] = ACTIONS(342),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [anon_sym_NULL] = ACTIONS(348),
    [anon_sym_nullptr] = ACTIONS(348),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym__old_style_function_definition] = STATE(324),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1140),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(741),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(866),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym_seh_try_statement] = STATE(29),
    [sym_seh_leave_statement] = STATE(29),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(475),
    [aux_sym_preproc_include_token1] = ACTIONS(477),
    [aux_sym_preproc_def_token1] = ACTIONS(479),
    [aux_sym_preproc_if_token1] = ACTIONS(481),
    [aux_sym_preproc_if_token2] = ACTIONS(483),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(485),
    [sym_preproc_directive] = ACTIONS(487),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym___extension__] = ACTIONS(491),
    [anon_sym_typedef] = ACTIONS(493),
    [anon_sym_extern] = ACTIONS(495),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(497),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(503),
    [anon_sym_default] = ACTIONS(505),
    [anon_sym_while] = ACTIONS(507),
    [anon_sym_do] = ACTIONS(509),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_break] = ACTIONS(515),
    [anon_sym_continue] = ACTIONS(517),
    [anon_sym_goto] = ACTIONS(519),
    [anon_sym___try] = ACTIONS(521),
    [anon_sym___leave] = ACTIONS(523),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(525),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_function_definition] = STATE(28),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(28),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(527),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(529),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym__old_style_function_definition] = STATE(324),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1140),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(741),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(866),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym_seh_try_statement] = STATE(29),
    [sym_seh_leave_statement] = STATE(29),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(531),
    [aux_sym_preproc_include_token1] = ACTIONS(534),
    [aux_sym_preproc_def_token1] = ACTIONS(537),
    [aux_sym_preproc_if_token1] = ACTIONS(540),
    [aux_sym_preproc_if_token2] = ACTIONS(211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(543),
    [sym_preproc_directive] = ACTIONS(546),
    [anon_sym_LPAREN2] = ACTIONS(219),
    [anon_sym_BANG] = ACTIONS(222),
    [anon_sym_TILDE] = ACTIONS(222),
    [anon_sym_DASH] = ACTIONS(225),
    [anon_sym_PLUS] = ACTIONS(225),
    [anon_sym_STAR] = ACTIONS(228),
    [anon_sym_AMP] = ACTIONS(228),
    [anon_sym_SEMI] = ACTIONS(549),
    [anon_sym___extension__] = ACTIONS(552),
    [anon_sym_typedef] = ACTIONS(555),
    [anon_sym_extern] = ACTIONS(558),
    [anon_sym___attribute__] = ACTIONS(243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(246),
    [anon_sym___declspec] = ACTIONS(249),
    [anon_sym___cdecl] = ACTIONS(252),
    [anon_sym___clrcall] = ACTIONS(252),
    [anon_sym___stdcall] = ACTIONS(252),
    [anon_sym___fastcall] = ACTIONS(252),
    [anon_sym___thiscall] = ACTIONS(252),
    [anon_sym___vectorcall] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(561),
    [anon_sym_signed] = ACTIONS(258),
    [anon_sym_unsigned] = ACTIONS(258),
    [anon_sym_long] = ACTIONS(258),
    [anon_sym_short] = ACTIONS(258),
    [anon_sym_static] = ACTIONS(261),
    [anon_sym_auto] = ACTIONS(261),
    [anon_sym_register] = ACTIONS(261),
    [anon_sym_inline] = ACTIONS(261),
    [anon_sym___inline] = ACTIONS(261),
    [anon_sym___inline__] = ACTIONS(261),
    [anon_sym___forceinline] = ACTIONS(261),
    [anon_sym_thread_local] = ACTIONS(261),
    [anon_sym___thread] = ACTIONS(261),
    [anon_sym_const] = ACTIONS(264),
    [anon_sym_constexpr] = ACTIONS(264),
    [anon_sym_volatile] = ACTIONS(264),
    [anon_sym_restrict] = ACTIONS(264),
    [anon_sym___restrict__] = ACTIONS(264),
    [anon_sym__Atomic] = ACTIONS(264),
    [anon_sym__Noreturn] = ACTIONS(264),
    [anon_sym_noreturn] = ACTIONS(264),
    [sym_primitive_type] = ACTIONS(267),
    [anon_sym_enum] = ACTIONS(270),
    [anon_sym_struct] = ACTIONS(273),
    [anon_sym_union] = ACTIONS(276),
    [anon_sym_if] = ACTIONS(564),
    [anon_sym_switch] = ACTIONS(567),
    [anon_sym_case] = ACTIONS(570),
    [anon_sym_default] = ACTIONS(573),
    [anon_sym_while] = ACTIONS(576),
    [anon_sym_do] = ACTIONS(579),
    [anon_sym_for] = ACTIONS(582),
    [anon_sym_return] = ACTIONS(585),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(591),
    [anon_sym_goto] = ACTIONS(594),
    [anon_sym___try] = ACTIONS(597),
    [anon_sym___leave] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(318),
    [anon_sym_PLUS_PLUS] = ACTIONS(318),
    [anon_sym_sizeof] = ACTIONS(321),
    [anon_sym___alignof__] = ACTIONS(324),
    [anon_sym___alignof] = ACTIONS(324),
    [anon_sym__alignof] = ACTIONS(324),
    [anon_sym_alignof] = ACTIONS(324),
    [anon_sym__Alignof] = ACTIONS(324),
    [anon_sym_offsetof] = ACTIONS(327),
    [anon_sym__Generic] = ACTIONS(330),
    [anon_sym_asm] = ACTIONS(333),
    [anon_sym___asm__] = ACTIONS(333),
    [sym_number_literal] = ACTIONS(336),
    [anon_sym_L_SQUOTE] = ACTIONS(339),
    [anon_sym_u_SQUOTE] = ACTIONS(339),
    [anon_sym_U_SQUOTE] = ACTIONS(339),
    [anon_sym_u8_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_L_DQUOTE] = ACTIONS(342),
    [anon_sym_u_DQUOTE] = ACTIONS(342),
    [anon_sym_U_DQUOTE] = ACTIONS(342),
    [anon_sym_u8_DQUOTE] = ACTIONS(342),
    [anon_sym_DQUOTE] = ACTIONS(342),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [anon_sym_NULL] = ACTIONS(348),
    [anon_sym_nullptr] = ACTIONS(348),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_function_definition] = STATE(23),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(23),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_case_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_goto_statement] = STATE(23),
    [sym_seh_try_statement] = STATE(23),
    [sym_seh_leave_statement] = STATE(23),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(23),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(603),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(605),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(607),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(609),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(611),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(36),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(36),
    [sym_labeled_statement] = STATE(36),
    [sym_expression_statement] = STATE(36),
    [sym_if_statement] = STATE(36),
    [sym_switch_statement] = STATE(36),
    [sym_case_statement] = STATE(36),
    [sym_while_statement] = STATE(36),
    [sym_do_statement] = STATE(36),
    [sym_for_statement] = STATE(36),
    [sym_return_statement] = STATE(36),
    [sym_break_statement] = STATE(36),
    [sym_continue_statement] = STATE(36),
    [sym_goto_statement] = STATE(36),
    [sym_seh_try_statement] = STATE(36),
    [sym_seh_leave_statement] = STATE(36),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(36),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(613),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(615),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(617),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(619),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(41),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(621),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_function_definition] = STATE(25),
    [sym__old_style_function_definition] = STATE(324),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1140),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(741),
    [sym_compound_statement] = STATE(25),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(866),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_case_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym_seh_try_statement] = STATE(25),
    [sym_seh_leave_statement] = STATE(25),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(25),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(475),
    [aux_sym_preproc_include_token1] = ACTIONS(477),
    [aux_sym_preproc_def_token1] = ACTIONS(479),
    [aux_sym_preproc_if_token1] = ACTIONS(481),
    [aux_sym_preproc_if_token2] = ACTIONS(623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(485),
    [sym_preproc_directive] = ACTIONS(487),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym___extension__] = ACTIONS(491),
    [anon_sym_typedef] = ACTIONS(493),
    [anon_sym_extern] = ACTIONS(495),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(497),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(503),
    [anon_sym_default] = ACTIONS(505),
    [anon_sym_while] = ACTIONS(507),
    [anon_sym_do] = ACTIONS(509),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_break] = ACTIONS(515),
    [anon_sym_continue] = ACTIONS(517),
    [anon_sym_goto] = ACTIONS(519),
    [anon_sym___try] = ACTIONS(521),
    [anon_sym___leave] = ACTIONS(523),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(625),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(337),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1130),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(745),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(863),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(351),
    [aux_sym_preproc_include_token1] = ACTIONS(353),
    [aux_sym_preproc_def_token1] = ACTIONS(355),
    [aux_sym_preproc_if_token1] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(359),
    [sym_preproc_directive] = ACTIONS(361),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(369),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(627),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__old_style_function_definition] = STATE(412),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1134),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(743),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(864),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym__top_level_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym__expression] = STATE(1115),
    [sym__expression_not_binary] = STATE(1116),
    [sym__string] = STATE(1116),
    [sym_conditional_expression] = STATE(1116),
    [sym_assignment_expression] = STATE(1116),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(1116),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(1116),
    [sym_cast_expression] = STATE(1116),
    [sym_sizeof_expression] = STATE(1116),
    [sym_alignof_expression] = STATE(1116),
    [sym_offsetof_expression] = STATE(1116),
    [sym_generic_expression] = STATE(1116),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(1116),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(1116),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(1116),
    [sym_concatenated_string] = STATE(1116),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(1116),
    [sym__empty_declaration] = STATE(44),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_translation_unit_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [ts_builtin_sym_end] = ACTIONS(629),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(31),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(91),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__old_style_function_definition] = STATE(412),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1134),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(743),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(864),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym__top_level_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym__expression] = STATE(1115),
    [sym__expression_not_binary] = STATE(1116),
    [sym__string] = STATE(1116),
    [sym_conditional_expression] = STATE(1116),
    [sym_assignment_expression] = STATE(1116),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(1116),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(1116),
    [sym_cast_expression] = STATE(1116),
    [sym_sizeof_expression] = STATE(1116),
    [sym_alignof_expression] = STATE(1116),
    [sym_offsetof_expression] = STATE(1116),
    [sym_generic_expression] = STATE(1116),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(1116),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(1116),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(1116),
    [sym_concatenated_string] = STATE(1116),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(1116),
    [sym__empty_declaration] = STATE(44),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_translation_unit_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [ts_builtin_sym_end] = ACTIONS(631),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(636),
    [aux_sym_preproc_def_token1] = ACTIONS(639),
    [aux_sym_preproc_if_token1] = ACTIONS(642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(645),
    [sym_preproc_directive] = ACTIONS(648),
    [anon_sym_LPAREN2] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_TILDE] = ACTIONS(654),
    [anon_sym_DASH] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(657),
    [anon_sym_STAR] = ACTIONS(660),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym___extension__] = ACTIONS(663),
    [anon_sym_typedef] = ACTIONS(666),
    [anon_sym_extern] = ACTIONS(669),
    [anon_sym___attribute__] = ACTIONS(672),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(675),
    [anon_sym___declspec] = ACTIONS(678),
    [anon_sym___cdecl] = ACTIONS(681),
    [anon_sym___clrcall] = ACTIONS(681),
    [anon_sym___stdcall] = ACTIONS(681),
    [anon_sym___fastcall] = ACTIONS(681),
    [anon_sym___thiscall] = ACTIONS(681),
    [anon_sym___vectorcall] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_signed] = ACTIONS(687),
    [anon_sym_unsigned] = ACTIONS(687),
    [anon_sym_long] = ACTIONS(687),
    [anon_sym_short] = ACTIONS(687),
    [anon_sym_static] = ACTIONS(690),
    [anon_sym_auto] = ACTIONS(690),
    [anon_sym_register] = ACTIONS(690),
    [anon_sym_inline] = ACTIONS(690),
    [anon_sym___inline] = ACTIONS(690),
    [anon_sym___inline__] = ACTIONS(690),
    [anon_sym___forceinline] = ACTIONS(690),
    [anon_sym_thread_local] = ACTIONS(690),
    [anon_sym___thread] = ACTIONS(690),
    [anon_sym_const] = ACTIONS(693),
    [anon_sym_constexpr] = ACTIONS(693),
    [anon_sym_volatile] = ACTIONS(693),
    [anon_sym_restrict] = ACTIONS(693),
    [anon_sym___restrict__] = ACTIONS(693),
    [anon_sym__Atomic] = ACTIONS(693),
    [anon_sym__Noreturn] = ACTIONS(693),
    [anon_sym_noreturn] = ACTIONS(693),
    [sym_primitive_type] = ACTIONS(696),
    [anon_sym_enum] = ACTIONS(699),
    [anon_sym_struct] = ACTIONS(702),
    [anon_sym_union] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(708),
    [anon_sym_switch] = ACTIONS(711),
    [anon_sym_case] = ACTIONS(714),
    [anon_sym_default] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(720),
    [anon_sym_do] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(726),
    [anon_sym_return] = ACTIONS(729),
    [anon_sym_break] = ACTIONS(732),
    [anon_sym_continue] = ACTIONS(735),
    [anon_sym_goto] = ACTIONS(738),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_sizeof] = ACTIONS(744),
    [anon_sym___alignof__] = ACTIONS(747),
    [anon_sym___alignof] = ACTIONS(747),
    [anon_sym__alignof] = ACTIONS(747),
    [anon_sym_alignof] = ACTIONS(747),
    [anon_sym__Alignof] = ACTIONS(747),
    [anon_sym_offsetof] = ACTIONS(750),
    [anon_sym__Generic] = ACTIONS(753),
    [anon_sym_asm] = ACTIONS(756),
    [anon_sym___asm__] = ACTIONS(756),
    [sym_number_literal] = ACTIONS(759),
    [anon_sym_L_SQUOTE] = ACTIONS(762),
    [anon_sym_u_SQUOTE] = ACTIONS(762),
    [anon_sym_U_SQUOTE] = ACTIONS(762),
    [anon_sym_u8_SQUOTE] = ACTIONS(762),
    [anon_sym_SQUOTE] = ACTIONS(762),
    [anon_sym_L_DQUOTE] = ACTIONS(765),
    [anon_sym_u_DQUOTE] = ACTIONS(765),
    [anon_sym_U_DQUOTE] = ACTIONS(765),
    [anon_sym_u8_DQUOTE] = ACTIONS(765),
    [anon_sym_DQUOTE] = ACTIONS(765),
    [sym_true] = ACTIONS(768),
    [sym_false] = ACTIONS(768),
    [anon_sym_NULL] = ACTIONS(771),
    [anon_sym_nullptr] = ACTIONS(771),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1156),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(46),
    [sym_identifier] = ACTIONS(774),
    [aux_sym_preproc_include_token1] = ACTIONS(776),
    [aux_sym_preproc_def_token1] = ACTIONS(776),
    [aux_sym_preproc_if_token1] = ACTIONS(776),
    [aux_sym_preproc_if_token2] = ACTIONS(776),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(776),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(776),
    [aux_sym_preproc_else_token1] = ACTIONS(776),
    [aux_sym_preproc_elif_token1] = ACTIONS(776),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(776),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(776),
    [sym_preproc_directive] = ACTIONS(776),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(776),
    [anon_sym___clrcall] = ACTIONS(776),
    [anon_sym___stdcall] = ACTIONS(776),
    [anon_sym___fastcall] = ACTIONS(776),
    [anon_sym___thiscall] = ACTIONS(776),
    [anon_sym___vectorcall] = ACTIONS(776),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(776),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(776),
    [anon_sym_default] = ACTIONS(776),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1156),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(46),
    [sym_identifier] = ACTIONS(778),
    [aux_sym_preproc_include_token1] = ACTIONS(781),
    [aux_sym_preproc_def_token1] = ACTIONS(781),
    [aux_sym_preproc_if_token1] = ACTIONS(781),
    [aux_sym_preproc_if_token2] = ACTIONS(781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(781),
    [aux_sym_preproc_else_token1] = ACTIONS(781),
    [aux_sym_preproc_elif_token1] = ACTIONS(781),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(781),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(781),
    [sym_preproc_directive] = ACTIONS(781),
    [anon_sym_LPAREN2] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_AMP] = ACTIONS(792),
    [anon_sym_SEMI] = ACTIONS(795),
    [anon_sym___extension__] = ACTIONS(798),
    [anon_sym_typedef] = ACTIONS(801),
    [anon_sym_extern] = ACTIONS(804),
    [anon_sym___attribute__] = ACTIONS(807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(810),
    [anon_sym___declspec] = ACTIONS(813),
    [anon_sym___cdecl] = ACTIONS(781),
    [anon_sym___clrcall] = ACTIONS(781),
    [anon_sym___stdcall] = ACTIONS(781),
    [anon_sym___fastcall] = ACTIONS(781),
    [anon_sym___thiscall] = ACTIONS(781),
    [anon_sym___vectorcall] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(816),
    [anon_sym_signed] = ACTIONS(819),
    [anon_sym_unsigned] = ACTIONS(819),
    [anon_sym_long] = ACTIONS(819),
    [anon_sym_short] = ACTIONS(819),
    [anon_sym_static] = ACTIONS(804),
    [anon_sym_auto] = ACTIONS(804),
    [anon_sym_register] = ACTIONS(804),
    [anon_sym_inline] = ACTIONS(804),
    [anon_sym___inline] = ACTIONS(804),
    [anon_sym___inline__] = ACTIONS(804),
    [anon_sym___forceinline] = ACTIONS(804),
    [anon_sym_thread_local] = ACTIONS(804),
    [anon_sym___thread] = ACTIONS(804),
    [anon_sym_const] = ACTIONS(822),
    [anon_sym_constexpr] = ACTIONS(822),
    [anon_sym_volatile] = ACTIONS(822),
    [anon_sym_restrict] = ACTIONS(822),
    [anon_sym___restrict__] = ACTIONS(822),
    [anon_sym__Atomic] = ACTIONS(822),
    [anon_sym__Noreturn] = ACTIONS(822),
    [anon_sym_noreturn] = ACTIONS(822),
    [sym_primitive_type] = ACTIONS(825),
    [anon_sym_enum] = ACTIONS(828),
    [anon_sym_struct] = ACTIONS(831),
    [anon_sym_union] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_else] = ACTIONS(781),
    [anon_sym_switch] = ACTIONS(840),
    [anon_sym_case] = ACTIONS(781),
    [anon_sym_default] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(843),
    [anon_sym_do] = ACTIONS(846),
    [anon_sym_for] = ACTIONS(849),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(855),
    [anon_sym_continue] = ACTIONS(858),
    [anon_sym_goto] = ACTIONS(861),
    [anon_sym___try] = ACTIONS(864),
    [anon_sym___leave] = ACTIONS(867),
    [anon_sym_DASH_DASH] = ACTIONS(870),
    [anon_sym_PLUS_PLUS] = ACTIONS(870),
    [anon_sym_sizeof] = ACTIONS(873),
    [anon_sym___alignof__] = ACTIONS(876),
    [anon_sym___alignof] = ACTIONS(876),
    [anon_sym__alignof] = ACTIONS(876),
    [anon_sym_alignof] = ACTIONS(876),
    [anon_sym__Alignof] = ACTIONS(876),
    [anon_sym_offsetof] = ACTIONS(879),
    [anon_sym__Generic] = ACTIONS(882),
    [anon_sym_asm] = ACTIONS(885),
    [anon_sym___asm__] = ACTIONS(885),
    [sym_number_literal] = ACTIONS(888),
    [anon_sym_L_SQUOTE] = ACTIONS(891),
    [anon_sym_u_SQUOTE] = ACTIONS(891),
    [anon_sym_U_SQUOTE] = ACTIONS(891),
    [anon_sym_u8_SQUOTE] = ACTIONS(891),
    [anon_sym_SQUOTE] = ACTIONS(891),
    [anon_sym_L_DQUOTE] = ACTIONS(894),
    [anon_sym_u_DQUOTE] = ACTIONS(894),
    [anon_sym_U_DQUOTE] = ACTIONS(894),
    [anon_sym_u8_DQUOTE] = ACTIONS(894),
    [anon_sym_DQUOTE] = ACTIONS(894),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_NULL] = ACTIONS(900),
    [anon_sym_nullptr] = ACTIONS(900),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1156),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym_seh_try_statement] = STATE(49),
    [sym_seh_leave_statement] = STATE(49),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(49),
    [sym_identifier] = ACTIONS(774),
    [aux_sym_preproc_include_token1] = ACTIONS(903),
    [aux_sym_preproc_def_token1] = ACTIONS(903),
    [aux_sym_preproc_if_token1] = ACTIONS(903),
    [aux_sym_preproc_if_token2] = ACTIONS(903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(903),
    [aux_sym_preproc_else_token1] = ACTIONS(903),
    [aux_sym_preproc_elif_token1] = ACTIONS(903),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(903),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(903),
    [sym_preproc_directive] = ACTIONS(903),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(903),
    [anon_sym___clrcall] = ACTIONS(903),
    [anon_sym___stdcall] = ACTIONS(903),
    [anon_sym___fastcall] = ACTIONS(903),
    [anon_sym___thiscall] = ACTIONS(903),
    [anon_sym___vectorcall] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(903),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(903),
    [anon_sym_default] = ACTIONS(903),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1156),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(45),
    [sym_identifier] = ACTIONS(774),
    [aux_sym_preproc_include_token1] = ACTIONS(905),
    [aux_sym_preproc_def_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token2] = ACTIONS(905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(905),
    [aux_sym_preproc_else_token1] = ACTIONS(905),
    [aux_sym_preproc_elif_token1] = ACTIONS(905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(905),
    [sym_preproc_directive] = ACTIONS(905),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(905),
    [anon_sym___clrcall] = ACTIONS(905),
    [anon_sym___stdcall] = ACTIONS(905),
    [anon_sym___fastcall] = ACTIONS(905),
    [anon_sym___thiscall] = ACTIONS(905),
    [anon_sym___vectorcall] = ACTIONS(905),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(905),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(905),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1156),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(46),
    [sym_identifier] = ACTIONS(774),
    [aux_sym_preproc_include_token1] = ACTIONS(907),
    [aux_sym_preproc_def_token1] = ACTIONS(907),
    [aux_sym_preproc_if_token1] = ACTIONS(907),
    [aux_sym_preproc_if_token2] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(907),
    [aux_sym_preproc_else_token1] = ACTIONS(907),
    [aux_sym_preproc_elif_token1] = ACTIONS(907),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(907),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(907),
    [sym_preproc_directive] = ACTIONS(907),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(907),
    [anon_sym___clrcall] = ACTIONS(907),
    [anon_sym___stdcall] = ACTIONS(907),
    [anon_sym___fastcall] = ACTIONS(907),
    [anon_sym___thiscall] = ACTIONS(907),
    [anon_sym___vectorcall] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(907),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(907),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1158),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(52),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(52),
    [sym_labeled_statement] = STATE(52),
    [sym_expression_statement] = STATE(52),
    [sym_if_statement] = STATE(52),
    [sym_switch_statement] = STATE(52),
    [sym_while_statement] = STATE(52),
    [sym_do_statement] = STATE(52),
    [sym_for_statement] = STATE(52),
    [sym_return_statement] = STATE(52),
    [sym_break_statement] = STATE(52),
    [sym_continue_statement] = STATE(52),
    [sym_goto_statement] = STATE(52),
    [sym_seh_try_statement] = STATE(52),
    [sym_seh_leave_statement] = STATE(52),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(52),
    [sym_identifier] = ACTIONS(909),
    [aux_sym_preproc_include_token1] = ACTIONS(903),
    [aux_sym_preproc_def_token1] = ACTIONS(903),
    [aux_sym_preproc_if_token1] = ACTIONS(903),
    [aux_sym_preproc_if_token2] = ACTIONS(903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(903),
    [sym_preproc_directive] = ACTIONS(903),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym___extension__] = ACTIONS(491),
    [anon_sym_typedef] = ACTIONS(493),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(903),
    [anon_sym___clrcall] = ACTIONS(903),
    [anon_sym___stdcall] = ACTIONS(903),
    [anon_sym___fastcall] = ACTIONS(903),
    [anon_sym___thiscall] = ACTIONS(903),
    [anon_sym___vectorcall] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(497),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_else] = ACTIONS(903),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(903),
    [anon_sym_default] = ACTIONS(903),
    [anon_sym_while] = ACTIONS(507),
    [anon_sym_do] = ACTIONS(509),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_break] = ACTIONS(515),
    [anon_sym_continue] = ACTIONS(517),
    [anon_sym_goto] = ACTIONS(519),
    [anon_sym___try] = ACTIONS(521),
    [anon_sym___leave] = ACTIONS(523),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1158),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym_seh_try_statement] = STATE(53),
    [sym_seh_leave_statement] = STATE(53),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(53),
    [sym_identifier] = ACTIONS(909),
    [aux_sym_preproc_include_token1] = ACTIONS(905),
    [aux_sym_preproc_def_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token2] = ACTIONS(905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(905),
    [sym_preproc_directive] = ACTIONS(905),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym___extension__] = ACTIONS(491),
    [anon_sym_typedef] = ACTIONS(493),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(905),
    [anon_sym___clrcall] = ACTIONS(905),
    [anon_sym___stdcall] = ACTIONS(905),
    [anon_sym___fastcall] = ACTIONS(905),
    [anon_sym___thiscall] = ACTIONS(905),
    [anon_sym___vectorcall] = ACTIONS(905),
    [anon_sym_LBRACE] = ACTIONS(497),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_else] = ACTIONS(905),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(905),
    [anon_sym_while] = ACTIONS(507),
    [anon_sym_do] = ACTIONS(509),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_break] = ACTIONS(515),
    [anon_sym_continue] = ACTIONS(517),
    [anon_sym_goto] = ACTIONS(519),
    [anon_sym___try] = ACTIONS(521),
    [anon_sym___leave] = ACTIONS(523),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1158),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(909),
    [aux_sym_preproc_include_token1] = ACTIONS(907),
    [aux_sym_preproc_def_token1] = ACTIONS(907),
    [aux_sym_preproc_if_token1] = ACTIONS(907),
    [aux_sym_preproc_if_token2] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(907),
    [sym_preproc_directive] = ACTIONS(907),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym___extension__] = ACTIONS(491),
    [anon_sym_typedef] = ACTIONS(493),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(907),
    [anon_sym___clrcall] = ACTIONS(907),
    [anon_sym___stdcall] = ACTIONS(907),
    [anon_sym___fastcall] = ACTIONS(907),
    [anon_sym___thiscall] = ACTIONS(907),
    [anon_sym___vectorcall] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(497),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_else] = ACTIONS(907),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(907),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(507),
    [anon_sym_do] = ACTIONS(509),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_break] = ACTIONS(515),
    [anon_sym_continue] = ACTIONS(517),
    [anon_sym_goto] = ACTIONS(519),
    [anon_sym___try] = ACTIONS(521),
    [anon_sym___leave] = ACTIONS(523),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1158),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(909),
    [aux_sym_preproc_include_token1] = ACTIONS(776),
    [aux_sym_preproc_def_token1] = ACTIONS(776),
    [aux_sym_preproc_if_token1] = ACTIONS(776),
    [aux_sym_preproc_if_token2] = ACTIONS(776),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(776),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(776),
    [sym_preproc_directive] = ACTIONS(776),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym___extension__] = ACTIONS(491),
    [anon_sym_typedef] = ACTIONS(493),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(776),
    [anon_sym___clrcall] = ACTIONS(776),
    [anon_sym___stdcall] = ACTIONS(776),
    [anon_sym___fastcall] = ACTIONS(776),
    [anon_sym___thiscall] = ACTIONS(776),
    [anon_sym___vectorcall] = ACTIONS(776),
    [anon_sym_LBRACE] = ACTIONS(497),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_else] = ACTIONS(776),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(776),
    [anon_sym_default] = ACTIONS(776),
    [anon_sym_while] = ACTIONS(507),
    [anon_sym_do] = ACTIONS(509),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_break] = ACTIONS(515),
    [anon_sym_continue] = ACTIONS(517),
    [anon_sym_goto] = ACTIONS(519),
    [anon_sym___try] = ACTIONS(521),
    [anon_sym___leave] = ACTIONS(523),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1158),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(911),
    [aux_sym_preproc_include_token1] = ACTIONS(781),
    [aux_sym_preproc_def_token1] = ACTIONS(781),
    [aux_sym_preproc_if_token1] = ACTIONS(781),
    [aux_sym_preproc_if_token2] = ACTIONS(781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(781),
    [sym_preproc_directive] = ACTIONS(781),
    [anon_sym_LPAREN2] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_AMP] = ACTIONS(792),
    [anon_sym_SEMI] = ACTIONS(914),
    [anon_sym___extension__] = ACTIONS(917),
    [anon_sym_typedef] = ACTIONS(920),
    [anon_sym_extern] = ACTIONS(804),
    [anon_sym___attribute__] = ACTIONS(807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(810),
    [anon_sym___declspec] = ACTIONS(813),
    [anon_sym___cdecl] = ACTIONS(781),
    [anon_sym___clrcall] = ACTIONS(781),
    [anon_sym___stdcall] = ACTIONS(781),
    [anon_sym___fastcall] = ACTIONS(781),
    [anon_sym___thiscall] = ACTIONS(781),
    [anon_sym___vectorcall] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_signed] = ACTIONS(819),
    [anon_sym_unsigned] = ACTIONS(819),
    [anon_sym_long] = ACTIONS(819),
    [anon_sym_short] = ACTIONS(819),
    [anon_sym_static] = ACTIONS(804),
    [anon_sym_auto] = ACTIONS(804),
    [anon_sym_register] = ACTIONS(804),
    [anon_sym_inline] = ACTIONS(804),
    [anon_sym___inline] = ACTIONS(804),
    [anon_sym___inline__] = ACTIONS(804),
    [anon_sym___forceinline] = ACTIONS(804),
    [anon_sym_thread_local] = ACTIONS(804),
    [anon_sym___thread] = ACTIONS(804),
    [anon_sym_const] = ACTIONS(822),
    [anon_sym_constexpr] = ACTIONS(822),
    [anon_sym_volatile] = ACTIONS(822),
    [anon_sym_restrict] = ACTIONS(822),
    [anon_sym___restrict__] = ACTIONS(822),
    [anon_sym__Atomic] = ACTIONS(822),
    [anon_sym__Noreturn] = ACTIONS(822),
    [anon_sym_noreturn] = ACTIONS(822),
    [sym_primitive_type] = ACTIONS(825),
    [anon_sym_enum] = ACTIONS(828),
    [anon_sym_struct] = ACTIONS(831),
    [anon_sym_union] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(926),
    [anon_sym_else] = ACTIONS(781),
    [anon_sym_switch] = ACTIONS(929),
    [anon_sym_case] = ACTIONS(781),
    [anon_sym_default] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(932),
    [anon_sym_do] = ACTIONS(935),
    [anon_sym_for] = ACTIONS(938),
    [anon_sym_return] = ACTIONS(941),
    [anon_sym_break] = ACTIONS(944),
    [anon_sym_continue] = ACTIONS(947),
    [anon_sym_goto] = ACTIONS(950),
    [anon_sym___try] = ACTIONS(953),
    [anon_sym___leave] = ACTIONS(956),
    [anon_sym_DASH_DASH] = ACTIONS(870),
    [anon_sym_PLUS_PLUS] = ACTIONS(870),
    [anon_sym_sizeof] = ACTIONS(873),
    [anon_sym___alignof__] = ACTIONS(876),
    [anon_sym___alignof] = ACTIONS(876),
    [anon_sym__alignof] = ACTIONS(876),
    [anon_sym_alignof] = ACTIONS(876),
    [anon_sym__Alignof] = ACTIONS(876),
    [anon_sym_offsetof] = ACTIONS(879),
    [anon_sym__Generic] = ACTIONS(882),
    [anon_sym_asm] = ACTIONS(885),
    [anon_sym___asm__] = ACTIONS(885),
    [sym_number_literal] = ACTIONS(888),
    [anon_sym_L_SQUOTE] = ACTIONS(891),
    [anon_sym_u_SQUOTE] = ACTIONS(891),
    [anon_sym_U_SQUOTE] = ACTIONS(891),
    [anon_sym_u8_SQUOTE] = ACTIONS(891),
    [anon_sym_SQUOTE] = ACTIONS(891),
    [anon_sym_L_DQUOTE] = ACTIONS(894),
    [anon_sym_u_DQUOTE] = ACTIONS(894),
    [anon_sym_U_DQUOTE] = ACTIONS(894),
    [anon_sym_u8_DQUOTE] = ACTIONS(894),
    [anon_sym_DQUOTE] = ACTIONS(894),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_NULL] = ACTIONS(900),
    [anon_sym_nullptr] = ACTIONS(900),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym__expression] = STATE(1041),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1850),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [ts_builtin_sym_end] = ACTIONS(959),
    [sym_identifier] = ACTIONS(961),
    [aux_sym_preproc_include_token1] = ACTIONS(781),
    [aux_sym_preproc_def_token1] = ACTIONS(781),
    [aux_sym_preproc_if_token1] = ACTIONS(781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(781),
    [sym_preproc_directive] = ACTIONS(781),
    [anon_sym_LPAREN2] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_AMP] = ACTIONS(792),
    [anon_sym_SEMI] = ACTIONS(964),
    [anon_sym___extension__] = ACTIONS(967),
    [anon_sym_typedef] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(804),
    [anon_sym___attribute__] = ACTIONS(807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(810),
    [anon_sym___declspec] = ACTIONS(813),
    [anon_sym___cdecl] = ACTIONS(781),
    [anon_sym___clrcall] = ACTIONS(781),
    [anon_sym___stdcall] = ACTIONS(781),
    [anon_sym___fastcall] = ACTIONS(781),
    [anon_sym___thiscall] = ACTIONS(781),
    [anon_sym___vectorcall] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(973),
    [anon_sym_signed] = ACTIONS(819),
    [anon_sym_unsigned] = ACTIONS(819),
    [anon_sym_long] = ACTIONS(819),
    [anon_sym_short] = ACTIONS(819),
    [anon_sym_static] = ACTIONS(804),
    [anon_sym_auto] = ACTIONS(804),
    [anon_sym_register] = ACTIONS(804),
    [anon_sym_inline] = ACTIONS(804),
    [anon_sym___inline] = ACTIONS(804),
    [anon_sym___inline__] = ACTIONS(804),
    [anon_sym___forceinline] = ACTIONS(804),
    [anon_sym_thread_local] = ACTIONS(804),
    [anon_sym___thread] = ACTIONS(804),
    [anon_sym_const] = ACTIONS(822),
    [anon_sym_constexpr] = ACTIONS(822),
    [anon_sym_volatile] = ACTIONS(822),
    [anon_sym_restrict] = ACTIONS(822),
    [anon_sym___restrict__] = ACTIONS(822),
    [anon_sym__Atomic] = ACTIONS(822),
    [anon_sym__Noreturn] = ACTIONS(822),
    [anon_sym_noreturn] = ACTIONS(822),
    [sym_primitive_type] = ACTIONS(825),
    [anon_sym_enum] = ACTIONS(828),
    [anon_sym_struct] = ACTIONS(831),
    [anon_sym_union] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(976),
    [anon_sym_else] = ACTIONS(781),
    [anon_sym_switch] = ACTIONS(979),
    [anon_sym_case] = ACTIONS(781),
    [anon_sym_default] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(988),
    [anon_sym_return] = ACTIONS(991),
    [anon_sym_break] = ACTIONS(994),
    [anon_sym_continue] = ACTIONS(997),
    [anon_sym_goto] = ACTIONS(1000),
    [anon_sym___try] = ACTIONS(1003),
    [anon_sym___leave] = ACTIONS(1006),
    [anon_sym_DASH_DASH] = ACTIONS(870),
    [anon_sym_PLUS_PLUS] = ACTIONS(870),
    [anon_sym_sizeof] = ACTIONS(873),
    [anon_sym___alignof__] = ACTIONS(876),
    [anon_sym___alignof] = ACTIONS(876),
    [anon_sym__alignof] = ACTIONS(876),
    [anon_sym_alignof] = ACTIONS(876),
    [anon_sym__Alignof] = ACTIONS(876),
    [anon_sym_offsetof] = ACTIONS(879),
    [anon_sym__Generic] = ACTIONS(882),
    [anon_sym_asm] = ACTIONS(885),
    [anon_sym___asm__] = ACTIONS(885),
    [sym_number_literal] = ACTIONS(888),
    [anon_sym_L_SQUOTE] = ACTIONS(891),
    [anon_sym_u_SQUOTE] = ACTIONS(891),
    [anon_sym_U_SQUOTE] = ACTIONS(891),
    [anon_sym_u8_SQUOTE] = ACTIONS(891),
    [anon_sym_SQUOTE] = ACTIONS(891),
    [anon_sym_L_DQUOTE] = ACTIONS(894),
    [anon_sym_u_DQUOTE] = ACTIONS(894),
    [anon_sym_U_DQUOTE] = ACTIONS(894),
    [anon_sym_u8_DQUOTE] = ACTIONS(894),
    [anon_sym_DQUOTE] = ACTIONS(894),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_NULL] = ACTIONS(900),
    [anon_sym_nullptr] = ACTIONS(900),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym__expression] = STATE(1041),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1850),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [ts_builtin_sym_end] = ACTIONS(1009),
    [sym_identifier] = ACTIONS(1011),
    [aux_sym_preproc_include_token1] = ACTIONS(903),
    [aux_sym_preproc_def_token1] = ACTIONS(903),
    [aux_sym_preproc_if_token1] = ACTIONS(903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(903),
    [sym_preproc_directive] = ACTIONS(903),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1013),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(903),
    [anon_sym___clrcall] = ACTIONS(903),
    [anon_sym___stdcall] = ACTIONS(903),
    [anon_sym___fastcall] = ACTIONS(903),
    [anon_sym___thiscall] = ACTIONS(903),
    [anon_sym___vectorcall] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(903),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(903),
    [anon_sym_default] = ACTIONS(903),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1015),
    [anon_sym___leave] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(1041),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1850),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym_identifier] = ACTIONS(1011),
    [aux_sym_preproc_include_token1] = ACTIONS(905),
    [aux_sym_preproc_def_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token1] = ACTIONS(905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(905),
    [sym_preproc_directive] = ACTIONS(905),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1013),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(905),
    [anon_sym___clrcall] = ACTIONS(905),
    [anon_sym___stdcall] = ACTIONS(905),
    [anon_sym___fastcall] = ACTIONS(905),
    [anon_sym___thiscall] = ACTIONS(905),
    [anon_sym___vectorcall] = ACTIONS(905),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(905),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(905),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1015),
    [anon_sym___leave] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym__expression] = STATE(1041),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1850),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [ts_builtin_sym_end] = ACTIONS(1021),
    [sym_identifier] = ACTIONS(1011),
    [aux_sym_preproc_include_token1] = ACTIONS(907),
    [aux_sym_preproc_def_token1] = ACTIONS(907),
    [aux_sym_preproc_if_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(907),
    [sym_preproc_directive] = ACTIONS(907),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1013),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(907),
    [anon_sym___clrcall] = ACTIONS(907),
    [anon_sym___stdcall] = ACTIONS(907),
    [anon_sym___fastcall] = ACTIONS(907),
    [anon_sym___thiscall] = ACTIONS(907),
    [anon_sym___vectorcall] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(907),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(907),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1015),
    [anon_sym___leave] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1151),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(62),
    [sym_identifier] = ACTIONS(1023),
    [aux_sym_preproc_include_token1] = ACTIONS(905),
    [aux_sym_preproc_def_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token1] = ACTIONS(905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(905),
    [sym_preproc_directive] = ACTIONS(905),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(905),
    [anon_sym___clrcall] = ACTIONS(905),
    [anon_sym___stdcall] = ACTIONS(905),
    [anon_sym___fastcall] = ACTIONS(905),
    [anon_sym___thiscall] = ACTIONS(905),
    [anon_sym___vectorcall] = ACTIONS(905),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(1019),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_else] = ACTIONS(905),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(905),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1151),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(63),
    [sym_identifier] = ACTIONS(1023),
    [aux_sym_preproc_include_token1] = ACTIONS(907),
    [aux_sym_preproc_def_token1] = ACTIONS(907),
    [aux_sym_preproc_if_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(907),
    [sym_preproc_directive] = ACTIONS(907),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(907),
    [anon_sym___clrcall] = ACTIONS(907),
    [anon_sym___stdcall] = ACTIONS(907),
    [anon_sym___fastcall] = ACTIONS(907),
    [anon_sym___thiscall] = ACTIONS(907),
    [anon_sym___vectorcall] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(1021),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_else] = ACTIONS(907),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(907),
    [anon_sym_default] = ACTIONS(907),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1151),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(60),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(60),
    [sym_labeled_statement] = STATE(60),
    [sym_expression_statement] = STATE(60),
    [sym_if_statement] = STATE(60),
    [sym_switch_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_do_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_return_statement] = STATE(60),
    [sym_break_statement] = STATE(60),
    [sym_continue_statement] = STATE(60),
    [sym_goto_statement] = STATE(60),
    [sym_seh_try_statement] = STATE(60),
    [sym_seh_leave_statement] = STATE(60),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(60),
    [sym_identifier] = ACTIONS(1023),
    [aux_sym_preproc_include_token1] = ACTIONS(903),
    [aux_sym_preproc_def_token1] = ACTIONS(903),
    [aux_sym_preproc_if_token1] = ACTIONS(903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(903),
    [sym_preproc_directive] = ACTIONS(903),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(903),
    [anon_sym___clrcall] = ACTIONS(903),
    [anon_sym___stdcall] = ACTIONS(903),
    [anon_sym___fastcall] = ACTIONS(903),
    [anon_sym___thiscall] = ACTIONS(903),
    [anon_sym___vectorcall] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(1009),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_else] = ACTIONS(903),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(903),
    [anon_sym_default] = ACTIONS(903),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1151),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(63),
    [sym_identifier] = ACTIONS(1023),
    [aux_sym_preproc_include_token1] = ACTIONS(776),
    [aux_sym_preproc_def_token1] = ACTIONS(776),
    [aux_sym_preproc_if_token1] = ACTIONS(776),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(776),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(776),
    [sym_preproc_directive] = ACTIONS(776),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(365),
    [anon_sym_typedef] = ACTIONS(367),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(776),
    [anon_sym___clrcall] = ACTIONS(776),
    [anon_sym___stdcall] = ACTIONS(776),
    [anon_sym___fastcall] = ACTIONS(776),
    [anon_sym___thiscall] = ACTIONS(776),
    [anon_sym___vectorcall] = ACTIONS(776),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_RBRACE] = ACTIONS(1025),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_else] = ACTIONS(776),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(776),
    [anon_sym_default] = ACTIONS(776),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1151),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(63),
    [sym_identifier] = ACTIONS(1027),
    [aux_sym_preproc_include_token1] = ACTIONS(781),
    [aux_sym_preproc_def_token1] = ACTIONS(781),
    [aux_sym_preproc_if_token1] = ACTIONS(781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(781),
    [sym_preproc_directive] = ACTIONS(781),
    [anon_sym_LPAREN2] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_AMP] = ACTIONS(792),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym___extension__] = ACTIONS(1033),
    [anon_sym_typedef] = ACTIONS(1036),
    [anon_sym_extern] = ACTIONS(804),
    [anon_sym___attribute__] = ACTIONS(807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(810),
    [anon_sym___declspec] = ACTIONS(813),
    [anon_sym___cdecl] = ACTIONS(781),
    [anon_sym___clrcall] = ACTIONS(781),
    [anon_sym___stdcall] = ACTIONS(781),
    [anon_sym___fastcall] = ACTIONS(781),
    [anon_sym___thiscall] = ACTIONS(781),
    [anon_sym___vectorcall] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_signed] = ACTIONS(819),
    [anon_sym_unsigned] = ACTIONS(819),
    [anon_sym_long] = ACTIONS(819),
    [anon_sym_short] = ACTIONS(819),
    [anon_sym_static] = ACTIONS(804),
    [anon_sym_auto] = ACTIONS(804),
    [anon_sym_register] = ACTIONS(804),
    [anon_sym_inline] = ACTIONS(804),
    [anon_sym___inline] = ACTIONS(804),
    [anon_sym___inline__] = ACTIONS(804),
    [anon_sym___forceinline] = ACTIONS(804),
    [anon_sym_thread_local] = ACTIONS(804),
    [anon_sym___thread] = ACTIONS(804),
    [anon_sym_const] = ACTIONS(822),
    [anon_sym_constexpr] = ACTIONS(822),
    [anon_sym_volatile] = ACTIONS(822),
    [anon_sym_restrict] = ACTIONS(822),
    [anon_sym___restrict__] = ACTIONS(822),
    [anon_sym__Atomic] = ACTIONS(822),
    [anon_sym__Noreturn] = ACTIONS(822),
    [anon_sym_noreturn] = ACTIONS(822),
    [sym_primitive_type] = ACTIONS(825),
    [anon_sym_enum] = ACTIONS(828),
    [anon_sym_struct] = ACTIONS(831),
    [anon_sym_union] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(1042),
    [anon_sym_else] = ACTIONS(781),
    [anon_sym_switch] = ACTIONS(1045),
    [anon_sym_case] = ACTIONS(781),
    [anon_sym_default] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(1048),
    [anon_sym_do] = ACTIONS(1051),
    [anon_sym_for] = ACTIONS(1054),
    [anon_sym_return] = ACTIONS(1057),
    [anon_sym_break] = ACTIONS(1060),
    [anon_sym_continue] = ACTIONS(1063),
    [anon_sym_goto] = ACTIONS(1066),
    [anon_sym___try] = ACTIONS(1069),
    [anon_sym___leave] = ACTIONS(1072),
    [anon_sym_DASH_DASH] = ACTIONS(870),
    [anon_sym_PLUS_PLUS] = ACTIONS(870),
    [anon_sym_sizeof] = ACTIONS(873),
    [anon_sym___alignof__] = ACTIONS(876),
    [anon_sym___alignof] = ACTIONS(876),
    [anon_sym__alignof] = ACTIONS(876),
    [anon_sym_alignof] = ACTIONS(876),
    [anon_sym__Alignof] = ACTIONS(876),
    [anon_sym_offsetof] = ACTIONS(879),
    [anon_sym__Generic] = ACTIONS(882),
    [anon_sym_asm] = ACTIONS(885),
    [anon_sym___asm__] = ACTIONS(885),
    [sym_number_literal] = ACTIONS(888),
    [anon_sym_L_SQUOTE] = ACTIONS(891),
    [anon_sym_u_SQUOTE] = ACTIONS(891),
    [anon_sym_U_SQUOTE] = ACTIONS(891),
    [anon_sym_u8_SQUOTE] = ACTIONS(891),
    [anon_sym_SQUOTE] = ACTIONS(891),
    [anon_sym_L_DQUOTE] = ACTIONS(894),
    [anon_sym_u_DQUOTE] = ACTIONS(894),
    [anon_sym_U_DQUOTE] = ACTIONS(894),
    [anon_sym_u8_DQUOTE] = ACTIONS(894),
    [anon_sym_DQUOTE] = ACTIONS(894),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_NULL] = ACTIONS(900),
    [anon_sym_nullptr] = ACTIONS(900),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym__expression] = STATE(1041),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1850),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [ts_builtin_sym_end] = ACTIONS(1025),
    [sym_identifier] = ACTIONS(1011),
    [aux_sym_preproc_include_token1] = ACTIONS(776),
    [aux_sym_preproc_def_token1] = ACTIONS(776),
    [aux_sym_preproc_if_token1] = ACTIONS(776),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(776),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(776),
    [sym_preproc_directive] = ACTIONS(776),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1013),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(776),
    [anon_sym___clrcall] = ACTIONS(776),
    [anon_sym___stdcall] = ACTIONS(776),
    [anon_sym___fastcall] = ACTIONS(776),
    [anon_sym___thiscall] = ACTIONS(776),
    [anon_sym___vectorcall] = ACTIONS(776),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(776),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(776),
    [anon_sym_default] = ACTIONS(776),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1015),
    [anon_sym___leave] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(373),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(69),
    [sym_identifier] = ACTIONS(1075),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_else] = ACTIONS(903),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1083),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(68),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(68),
    [sym_labeled_statement] = STATE(68),
    [sym_expression_statement] = STATE(68),
    [sym_if_statement] = STATE(68),
    [sym_switch_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_do_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_return_statement] = STATE(68),
    [sym_break_statement] = STATE(68),
    [sym_continue_statement] = STATE(68),
    [sym_goto_statement] = STATE(68),
    [sym_seh_try_statement] = STATE(68),
    [sym_seh_leave_statement] = STATE(68),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(373),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(68),
    [sym_identifier] = ACTIONS(1075),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_else] = ACTIONS(905),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1083),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(373),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(1085),
    [anon_sym_LPAREN2] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_AMP] = ACTIONS(792),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym___extension__] = ACTIONS(967),
    [anon_sym_typedef] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(804),
    [anon_sym___attribute__] = ACTIONS(807),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(810),
    [anon_sym___declspec] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(973),
    [anon_sym_signed] = ACTIONS(819),
    [anon_sym_unsigned] = ACTIONS(819),
    [anon_sym_long] = ACTIONS(819),
    [anon_sym_short] = ACTIONS(819),
    [anon_sym_static] = ACTIONS(804),
    [anon_sym_auto] = ACTIONS(804),
    [anon_sym_register] = ACTIONS(804),
    [anon_sym_inline] = ACTIONS(804),
    [anon_sym___inline] = ACTIONS(804),
    [anon_sym___inline__] = ACTIONS(804),
    [anon_sym___forceinline] = ACTIONS(804),
    [anon_sym_thread_local] = ACTIONS(804),
    [anon_sym___thread] = ACTIONS(804),
    [anon_sym_const] = ACTIONS(822),
    [anon_sym_constexpr] = ACTIONS(822),
    [anon_sym_volatile] = ACTIONS(822),
    [anon_sym_restrict] = ACTIONS(822),
    [anon_sym___restrict__] = ACTIONS(822),
    [anon_sym__Atomic] = ACTIONS(822),
    [anon_sym__Noreturn] = ACTIONS(822),
    [anon_sym_noreturn] = ACTIONS(822),
    [sym_primitive_type] = ACTIONS(825),
    [anon_sym_enum] = ACTIONS(828),
    [anon_sym_struct] = ACTIONS(831),
    [anon_sym_union] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_else] = ACTIONS(781),
    [anon_sym_switch] = ACTIONS(979),
    [anon_sym_while] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(991),
    [anon_sym_break] = ACTIONS(994),
    [anon_sym_continue] = ACTIONS(997),
    [anon_sym_goto] = ACTIONS(1000),
    [anon_sym___try] = ACTIONS(1097),
    [anon_sym___leave] = ACTIONS(1072),
    [anon_sym_DASH_DASH] = ACTIONS(870),
    [anon_sym_PLUS_PLUS] = ACTIONS(870),
    [anon_sym_sizeof] = ACTIONS(873),
    [anon_sym___alignof__] = ACTIONS(876),
    [anon_sym___alignof] = ACTIONS(876),
    [anon_sym__alignof] = ACTIONS(876),
    [anon_sym_alignof] = ACTIONS(876),
    [anon_sym__Alignof] = ACTIONS(876),
    [anon_sym_offsetof] = ACTIONS(879),
    [anon_sym__Generic] = ACTIONS(882),
    [anon_sym_asm] = ACTIONS(885),
    [anon_sym___asm__] = ACTIONS(885),
    [sym_number_literal] = ACTIONS(888),
    [anon_sym_L_SQUOTE] = ACTIONS(891),
    [anon_sym_u_SQUOTE] = ACTIONS(891),
    [anon_sym_U_SQUOTE] = ACTIONS(891),
    [anon_sym_u8_SQUOTE] = ACTIONS(891),
    [anon_sym_SQUOTE] = ACTIONS(891),
    [anon_sym_L_DQUOTE] = ACTIONS(894),
    [anon_sym_u_DQUOTE] = ACTIONS(894),
    [anon_sym_U_DQUOTE] = ACTIONS(894),
    [anon_sym_u8_DQUOTE] = ACTIONS(894),
    [anon_sym_DQUOTE] = ACTIONS(894),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [anon_sym_NULL] = ACTIONS(900),
    [anon_sym_nullptr] = ACTIONS(900),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(373),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(1075),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_else] = ACTIONS(776),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1083),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(453),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(373),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [aux_sym_case_statement_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(1075),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_else] = ACTIONS(907),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1083),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_declaration] = STATE(513),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1150),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__for_statement_body] = STATE(1939),
    [sym__expression] = STATE(1080),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1929),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1100),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_declaration] = STATE(513),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1150),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__for_statement_body] = STATE(1885),
    [sym__expression] = STATE(1080),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1929),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1100),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_declaration] = STATE(513),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1150),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__for_statement_body] = STATE(1923),
    [sym__expression] = STATE(1080),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1929),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1100),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_declaration] = STATE(513),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1150),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__for_statement_body] = STATE(2020),
    [sym__expression] = STATE(1080),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1929),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1100),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_declaration] = STATE(513),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1150),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__for_statement_body] = STATE(1781),
    [sym__expression] = STATE(1080),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1929),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1100),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_else_clause] = STATE(79),
    [sym_identifier] = ACTIONS(1106),
    [aux_sym_preproc_include_token1] = ACTIONS(1106),
    [aux_sym_preproc_def_token1] = ACTIONS(1106),
    [aux_sym_preproc_if_token1] = ACTIONS(1106),
    [aux_sym_preproc_if_token2] = ACTIONS(1106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1106),
    [aux_sym_preproc_else_token1] = ACTIONS(1106),
    [aux_sym_preproc_elif_token1] = ACTIONS(1106),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1106),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1106),
    [sym_preproc_directive] = ACTIONS(1106),
    [anon_sym_LPAREN2] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_STAR] = ACTIONS(1108),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1108),
    [anon_sym___extension__] = ACTIONS(1106),
    [anon_sym_typedef] = ACTIONS(1106),
    [anon_sym_extern] = ACTIONS(1106),
    [anon_sym___attribute__] = ACTIONS(1106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1108),
    [anon_sym___declspec] = ACTIONS(1106),
    [anon_sym___cdecl] = ACTIONS(1106),
    [anon_sym___clrcall] = ACTIONS(1106),
    [anon_sym___stdcall] = ACTIONS(1106),
    [anon_sym___fastcall] = ACTIONS(1106),
    [anon_sym___thiscall] = ACTIONS(1106),
    [anon_sym___vectorcall] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_signed] = ACTIONS(1106),
    [anon_sym_unsigned] = ACTIONS(1106),
    [anon_sym_long] = ACTIONS(1106),
    [anon_sym_short] = ACTIONS(1106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_auto] = ACTIONS(1106),
    [anon_sym_register] = ACTIONS(1106),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym___inline] = ACTIONS(1106),
    [anon_sym___inline__] = ACTIONS(1106),
    [anon_sym___forceinline] = ACTIONS(1106),
    [anon_sym_thread_local] = ACTIONS(1106),
    [anon_sym___thread] = ACTIONS(1106),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_constexpr] = ACTIONS(1106),
    [anon_sym_volatile] = ACTIONS(1106),
    [anon_sym_restrict] = ACTIONS(1106),
    [anon_sym___restrict__] = ACTIONS(1106),
    [anon_sym__Atomic] = ACTIONS(1106),
    [anon_sym__Noreturn] = ACTIONS(1106),
    [anon_sym_noreturn] = ACTIONS(1106),
    [sym_primitive_type] = ACTIONS(1106),
    [anon_sym_enum] = ACTIONS(1106),
    [anon_sym_struct] = ACTIONS(1106),
    [anon_sym_union] = ACTIONS(1106),
    [anon_sym_if] = ACTIONS(1106),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_switch] = ACTIONS(1106),
    [anon_sym_case] = ACTIONS(1106),
    [anon_sym_default] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1106),
    [anon_sym_do] = ACTIONS(1106),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_return] = ACTIONS(1106),
    [anon_sym_break] = ACTIONS(1106),
    [anon_sym_continue] = ACTIONS(1106),
    [anon_sym_goto] = ACTIONS(1106),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1108),
    [anon_sym_sizeof] = ACTIONS(1106),
    [anon_sym___alignof__] = ACTIONS(1106),
    [anon_sym___alignof] = ACTIONS(1106),
    [anon_sym__alignof] = ACTIONS(1106),
    [anon_sym_alignof] = ACTIONS(1106),
    [anon_sym__Alignof] = ACTIONS(1106),
    [anon_sym_offsetof] = ACTIONS(1106),
    [anon_sym__Generic] = ACTIONS(1106),
    [anon_sym_asm] = ACTIONS(1106),
    [anon_sym___asm__] = ACTIONS(1106),
    [sym_number_literal] = ACTIONS(1108),
    [anon_sym_L_SQUOTE] = ACTIONS(1108),
    [anon_sym_u_SQUOTE] = ACTIONS(1108),
    [anon_sym_U_SQUOTE] = ACTIONS(1108),
    [anon_sym_u8_SQUOTE] = ACTIONS(1108),
    [anon_sym_SQUOTE] = ACTIONS(1108),
    [anon_sym_L_DQUOTE] = ACTIONS(1108),
    [anon_sym_u_DQUOTE] = ACTIONS(1108),
    [anon_sym_U_DQUOTE] = ACTIONS(1108),
    [anon_sym_u8_DQUOTE] = ACTIONS(1108),
    [anon_sym_DQUOTE] = ACTIONS(1108),
    [sym_true] = ACTIONS(1106),
    [sym_false] = ACTIONS(1106),
    [anon_sym_NULL] = ACTIONS(1106),
    [anon_sym_nullptr] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_identifier] = ACTIONS(1116),
    [aux_sym_preproc_include_token1] = ACTIONS(1116),
    [aux_sym_preproc_def_token1] = ACTIONS(1116),
    [aux_sym_preproc_if_token1] = ACTIONS(1116),
    [aux_sym_preproc_if_token2] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1116),
    [aux_sym_preproc_else_token1] = ACTIONS(1116),
    [aux_sym_preproc_elif_token1] = ACTIONS(1116),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1116),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1116),
    [sym_preproc_directive] = ACTIONS(1116),
    [anon_sym_LPAREN2] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1118),
    [anon_sym___extension__] = ACTIONS(1116),
    [anon_sym_typedef] = ACTIONS(1116),
    [anon_sym_extern] = ACTIONS(1116),
    [anon_sym___attribute__] = ACTIONS(1116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1118),
    [anon_sym___declspec] = ACTIONS(1116),
    [anon_sym___cdecl] = ACTIONS(1116),
    [anon_sym___clrcall] = ACTIONS(1116),
    [anon_sym___stdcall] = ACTIONS(1116),
    [anon_sym___fastcall] = ACTIONS(1116),
    [anon_sym___thiscall] = ACTIONS(1116),
    [anon_sym___vectorcall] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_signed] = ACTIONS(1116),
    [anon_sym_unsigned] = ACTIONS(1116),
    [anon_sym_long] = ACTIONS(1116),
    [anon_sym_short] = ACTIONS(1116),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_auto] = ACTIONS(1116),
    [anon_sym_register] = ACTIONS(1116),
    [anon_sym_inline] = ACTIONS(1116),
    [anon_sym___inline] = ACTIONS(1116),
    [anon_sym___inline__] = ACTIONS(1116),
    [anon_sym___forceinline] = ACTIONS(1116),
    [anon_sym_thread_local] = ACTIONS(1116),
    [anon_sym___thread] = ACTIONS(1116),
    [anon_sym_const] = ACTIONS(1116),
    [anon_sym_constexpr] = ACTIONS(1116),
    [anon_sym_volatile] = ACTIONS(1116),
    [anon_sym_restrict] = ACTIONS(1116),
    [anon_sym___restrict__] = ACTIONS(1116),
    [anon_sym__Atomic] = ACTIONS(1116),
    [anon_sym__Noreturn] = ACTIONS(1116),
    [anon_sym_noreturn] = ACTIONS(1116),
    [sym_primitive_type] = ACTIONS(1116),
    [anon_sym_enum] = ACTIONS(1116),
    [anon_sym_struct] = ACTIONS(1116),
    [anon_sym_union] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_else] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1116),
    [anon_sym_while] = ACTIONS(1116),
    [anon_sym_do] = ACTIONS(1116),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_return] = ACTIONS(1116),
    [anon_sym_break] = ACTIONS(1116),
    [anon_sym_continue] = ACTIONS(1116),
    [anon_sym_goto] = ACTIONS(1116),
    [anon_sym___try] = ACTIONS(1116),
    [anon_sym___leave] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_sizeof] = ACTIONS(1116),
    [anon_sym___alignof__] = ACTIONS(1116),
    [anon_sym___alignof] = ACTIONS(1116),
    [anon_sym__alignof] = ACTIONS(1116),
    [anon_sym_alignof] = ACTIONS(1116),
    [anon_sym__Alignof] = ACTIONS(1116),
    [anon_sym_offsetof] = ACTIONS(1116),
    [anon_sym__Generic] = ACTIONS(1116),
    [anon_sym_asm] = ACTIONS(1116),
    [anon_sym___asm__] = ACTIONS(1116),
    [sym_number_literal] = ACTIONS(1118),
    [anon_sym_L_SQUOTE] = ACTIONS(1118),
    [anon_sym_u_SQUOTE] = ACTIONS(1118),
    [anon_sym_U_SQUOTE] = ACTIONS(1118),
    [anon_sym_u8_SQUOTE] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_L_DQUOTE] = ACTIONS(1118),
    [anon_sym_u_DQUOTE] = ACTIONS(1118),
    [anon_sym_U_DQUOTE] = ACTIONS(1118),
    [anon_sym_u8_DQUOTE] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [sym_true] = ACTIONS(1116),
    [sym_false] = ACTIONS(1116),
    [anon_sym_NULL] = ACTIONS(1116),
    [anon_sym_nullptr] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_identifier] = ACTIONS(1120),
    [aux_sym_preproc_include_token1] = ACTIONS(1120),
    [aux_sym_preproc_def_token1] = ACTIONS(1120),
    [aux_sym_preproc_if_token1] = ACTIONS(1120),
    [aux_sym_preproc_if_token2] = ACTIONS(1120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1120),
    [aux_sym_preproc_else_token1] = ACTIONS(1120),
    [aux_sym_preproc_elif_token1] = ACTIONS(1120),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1120),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1120),
    [sym_preproc_directive] = ACTIONS(1120),
    [anon_sym_LPAREN2] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_AMP] = ACTIONS(1122),
    [anon_sym_SEMI] = ACTIONS(1122),
    [anon_sym___extension__] = ACTIONS(1120),
    [anon_sym_typedef] = ACTIONS(1120),
    [anon_sym_extern] = ACTIONS(1120),
    [anon_sym___attribute__] = ACTIONS(1120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1122),
    [anon_sym___declspec] = ACTIONS(1120),
    [anon_sym___cdecl] = ACTIONS(1120),
    [anon_sym___clrcall] = ACTIONS(1120),
    [anon_sym___stdcall] = ACTIONS(1120),
    [anon_sym___fastcall] = ACTIONS(1120),
    [anon_sym___thiscall] = ACTIONS(1120),
    [anon_sym___vectorcall] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_signed] = ACTIONS(1120),
    [anon_sym_unsigned] = ACTIONS(1120),
    [anon_sym_long] = ACTIONS(1120),
    [anon_sym_short] = ACTIONS(1120),
    [anon_sym_static] = ACTIONS(1120),
    [anon_sym_auto] = ACTIONS(1120),
    [anon_sym_register] = ACTIONS(1120),
    [anon_sym_inline] = ACTIONS(1120),
    [anon_sym___inline] = ACTIONS(1120),
    [anon_sym___inline__] = ACTIONS(1120),
    [anon_sym___forceinline] = ACTIONS(1120),
    [anon_sym_thread_local] = ACTIONS(1120),
    [anon_sym___thread] = ACTIONS(1120),
    [anon_sym_const] = ACTIONS(1120),
    [anon_sym_constexpr] = ACTIONS(1120),
    [anon_sym_volatile] = ACTIONS(1120),
    [anon_sym_restrict] = ACTIONS(1120),
    [anon_sym___restrict__] = ACTIONS(1120),
    [anon_sym__Atomic] = ACTIONS(1120),
    [anon_sym__Noreturn] = ACTIONS(1120),
    [anon_sym_noreturn] = ACTIONS(1120),
    [sym_primitive_type] = ACTIONS(1120),
    [anon_sym_enum] = ACTIONS(1120),
    [anon_sym_struct] = ACTIONS(1120),
    [anon_sym_union] = ACTIONS(1120),
    [anon_sym_if] = ACTIONS(1120),
    [anon_sym_else] = ACTIONS(1120),
    [anon_sym_switch] = ACTIONS(1120),
    [anon_sym_case] = ACTIONS(1120),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1120),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_continue] = ACTIONS(1120),
    [anon_sym_goto] = ACTIONS(1120),
    [anon_sym___try] = ACTIONS(1120),
    [anon_sym___leave] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [anon_sym_sizeof] = ACTIONS(1120),
    [anon_sym___alignof__] = ACTIONS(1120),
    [anon_sym___alignof] = ACTIONS(1120),
    [anon_sym__alignof] = ACTIONS(1120),
    [anon_sym_alignof] = ACTIONS(1120),
    [anon_sym__Alignof] = ACTIONS(1120),
    [anon_sym_offsetof] = ACTIONS(1120),
    [anon_sym__Generic] = ACTIONS(1120),
    [anon_sym_asm] = ACTIONS(1120),
    [anon_sym___asm__] = ACTIONS(1120),
    [sym_number_literal] = ACTIONS(1122),
    [anon_sym_L_SQUOTE] = ACTIONS(1122),
    [anon_sym_u_SQUOTE] = ACTIONS(1122),
    [anon_sym_U_SQUOTE] = ACTIONS(1122),
    [anon_sym_u8_SQUOTE] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [anon_sym_L_DQUOTE] = ACTIONS(1122),
    [anon_sym_u_DQUOTE] = ACTIONS(1122),
    [anon_sym_U_DQUOTE] = ACTIONS(1122),
    [anon_sym_u8_DQUOTE] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [sym_true] = ACTIONS(1120),
    [sym_false] = ACTIONS(1120),
    [anon_sym_NULL] = ACTIONS(1120),
    [anon_sym_nullptr] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_identifier] = ACTIONS(1124),
    [aux_sym_preproc_include_token1] = ACTIONS(1124),
    [aux_sym_preproc_def_token1] = ACTIONS(1124),
    [aux_sym_preproc_if_token1] = ACTIONS(1124),
    [aux_sym_preproc_if_token2] = ACTIONS(1124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1124),
    [aux_sym_preproc_else_token1] = ACTIONS(1124),
    [aux_sym_preproc_elif_token1] = ACTIONS(1124),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1124),
    [sym_preproc_directive] = ACTIONS(1124),
    [anon_sym_LPAREN2] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_STAR] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(1126),
    [anon_sym_SEMI] = ACTIONS(1126),
    [anon_sym___extension__] = ACTIONS(1124),
    [anon_sym_typedef] = ACTIONS(1124),
    [anon_sym_extern] = ACTIONS(1124),
    [anon_sym___attribute__] = ACTIONS(1124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(1124),
    [anon_sym___cdecl] = ACTIONS(1124),
    [anon_sym___clrcall] = ACTIONS(1124),
    [anon_sym___stdcall] = ACTIONS(1124),
    [anon_sym___fastcall] = ACTIONS(1124),
    [anon_sym___thiscall] = ACTIONS(1124),
    [anon_sym___vectorcall] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_signed] = ACTIONS(1124),
    [anon_sym_unsigned] = ACTIONS(1124),
    [anon_sym_long] = ACTIONS(1124),
    [anon_sym_short] = ACTIONS(1124),
    [anon_sym_static] = ACTIONS(1124),
    [anon_sym_auto] = ACTIONS(1124),
    [anon_sym_register] = ACTIONS(1124),
    [anon_sym_inline] = ACTIONS(1124),
    [anon_sym___inline] = ACTIONS(1124),
    [anon_sym___inline__] = ACTIONS(1124),
    [anon_sym___forceinline] = ACTIONS(1124),
    [anon_sym_thread_local] = ACTIONS(1124),
    [anon_sym___thread] = ACTIONS(1124),
    [anon_sym_const] = ACTIONS(1124),
    [anon_sym_constexpr] = ACTIONS(1124),
    [anon_sym_volatile] = ACTIONS(1124),
    [anon_sym_restrict] = ACTIONS(1124),
    [anon_sym___restrict__] = ACTIONS(1124),
    [anon_sym__Atomic] = ACTIONS(1124),
    [anon_sym__Noreturn] = ACTIONS(1124),
    [anon_sym_noreturn] = ACTIONS(1124),
    [sym_primitive_type] = ACTIONS(1124),
    [anon_sym_enum] = ACTIONS(1124),
    [anon_sym_struct] = ACTIONS(1124),
    [anon_sym_union] = ACTIONS(1124),
    [anon_sym_if] = ACTIONS(1124),
    [anon_sym_else] = ACTIONS(1124),
    [anon_sym_switch] = ACTIONS(1124),
    [anon_sym_case] = ACTIONS(1124),
    [anon_sym_default] = ACTIONS(1124),
    [anon_sym_while] = ACTIONS(1124),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1124),
    [anon_sym_break] = ACTIONS(1124),
    [anon_sym_continue] = ACTIONS(1124),
    [anon_sym_goto] = ACTIONS(1124),
    [anon_sym___try] = ACTIONS(1124),
    [anon_sym___leave] = ACTIONS(1124),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [anon_sym_sizeof] = ACTIONS(1124),
    [anon_sym___alignof__] = ACTIONS(1124),
    [anon_sym___alignof] = ACTIONS(1124),
    [anon_sym__alignof] = ACTIONS(1124),
    [anon_sym_alignof] = ACTIONS(1124),
    [anon_sym__Alignof] = ACTIONS(1124),
    [anon_sym_offsetof] = ACTIONS(1124),
    [anon_sym__Generic] = ACTIONS(1124),
    [anon_sym_asm] = ACTIONS(1124),
    [anon_sym___asm__] = ACTIONS(1124),
    [sym_number_literal] = ACTIONS(1126),
    [anon_sym_L_SQUOTE] = ACTIONS(1126),
    [anon_sym_u_SQUOTE] = ACTIONS(1126),
    [anon_sym_U_SQUOTE] = ACTIONS(1126),
    [anon_sym_u8_SQUOTE] = ACTIONS(1126),
    [anon_sym_SQUOTE] = ACTIONS(1126),
    [anon_sym_L_DQUOTE] = ACTIONS(1126),
    [anon_sym_u_DQUOTE] = ACTIONS(1126),
    [anon_sym_U_DQUOTE] = ACTIONS(1126),
    [anon_sym_u8_DQUOTE] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [sym_true] = ACTIONS(1124),
    [sym_false] = ACTIONS(1124),
    [anon_sym_NULL] = ACTIONS(1124),
    [anon_sym_nullptr] = ACTIONS(1124),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [ts_builtin_sym_end] = ACTIONS(1128),
    [sym_identifier] = ACTIONS(1130),
    [aux_sym_preproc_include_token1] = ACTIONS(1130),
    [aux_sym_preproc_def_token1] = ACTIONS(1130),
    [anon_sym_COMMA] = ACTIONS(1128),
    [anon_sym_RPAREN] = ACTIONS(1128),
    [aux_sym_preproc_if_token1] = ACTIONS(1130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1130),
    [sym_preproc_directive] = ACTIONS(1130),
    [anon_sym_LPAREN2] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1128),
    [anon_sym_AMP] = ACTIONS(1128),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym___extension__] = ACTIONS(1130),
    [anon_sym_typedef] = ACTIONS(1130),
    [anon_sym_extern] = ACTIONS(1130),
    [anon_sym___attribute__] = ACTIONS(1130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1128),
    [anon_sym___declspec] = ACTIONS(1130),
    [anon_sym___cdecl] = ACTIONS(1130),
    [anon_sym___clrcall] = ACTIONS(1130),
    [anon_sym___stdcall] = ACTIONS(1130),
    [anon_sym___fastcall] = ACTIONS(1130),
    [anon_sym___thiscall] = ACTIONS(1130),
    [anon_sym___vectorcall] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_signed] = ACTIONS(1130),
    [anon_sym_unsigned] = ACTIONS(1130),
    [anon_sym_long] = ACTIONS(1130),
    [anon_sym_short] = ACTIONS(1130),
    [anon_sym_static] = ACTIONS(1130),
    [anon_sym_auto] = ACTIONS(1130),
    [anon_sym_register] = ACTIONS(1130),
    [anon_sym_inline] = ACTIONS(1130),
    [anon_sym___inline] = ACTIONS(1130),
    [anon_sym___inline__] = ACTIONS(1130),
    [anon_sym___forceinline] = ACTIONS(1130),
    [anon_sym_thread_local] = ACTIONS(1130),
    [anon_sym___thread] = ACTIONS(1130),
    [anon_sym_const] = ACTIONS(1130),
    [anon_sym_constexpr] = ACTIONS(1130),
    [anon_sym_volatile] = ACTIONS(1130),
    [anon_sym_restrict] = ACTIONS(1130),
    [anon_sym___restrict__] = ACTIONS(1130),
    [anon_sym__Atomic] = ACTIONS(1130),
    [anon_sym__Noreturn] = ACTIONS(1130),
    [anon_sym_noreturn] = ACTIONS(1130),
    [sym_primitive_type] = ACTIONS(1130),
    [anon_sym_enum] = ACTIONS(1130),
    [anon_sym_struct] = ACTIONS(1130),
    [anon_sym_union] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1130),
    [anon_sym_else] = ACTIONS(1130),
    [anon_sym_switch] = ACTIONS(1130),
    [anon_sym_case] = ACTIONS(1130),
    [anon_sym_default] = ACTIONS(1130),
    [anon_sym_while] = ACTIONS(1130),
    [anon_sym_do] = ACTIONS(1130),
    [anon_sym_for] = ACTIONS(1130),
    [anon_sym_return] = ACTIONS(1130),
    [anon_sym_break] = ACTIONS(1130),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1130),
    [anon_sym___try] = ACTIONS(1130),
    [anon_sym___except] = ACTIONS(1130),
    [anon_sym___finally] = ACTIONS(1130),
    [anon_sym___leave] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [anon_sym_sizeof] = ACTIONS(1130),
    [anon_sym___alignof__] = ACTIONS(1130),
    [anon_sym___alignof] = ACTIONS(1130),
    [anon_sym__alignof] = ACTIONS(1130),
    [anon_sym_alignof] = ACTIONS(1130),
    [anon_sym__Alignof] = ACTIONS(1130),
    [anon_sym_offsetof] = ACTIONS(1130),
    [anon_sym__Generic] = ACTIONS(1130),
    [anon_sym_asm] = ACTIONS(1130),
    [anon_sym___asm__] = ACTIONS(1130),
    [sym_number_literal] = ACTIONS(1128),
    [anon_sym_L_SQUOTE] = ACTIONS(1128),
    [anon_sym_u_SQUOTE] = ACTIONS(1128),
    [anon_sym_U_SQUOTE] = ACTIONS(1128),
    [anon_sym_u8_SQUOTE] = ACTIONS(1128),
    [anon_sym_SQUOTE] = ACTIONS(1128),
    [anon_sym_L_DQUOTE] = ACTIONS(1128),
    [anon_sym_u_DQUOTE] = ACTIONS(1128),
    [anon_sym_U_DQUOTE] = ACTIONS(1128),
    [anon_sym_u8_DQUOTE] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [sym_true] = ACTIONS(1130),
    [sym_false] = ACTIONS(1130),
    [anon_sym_NULL] = ACTIONS(1130),
    [anon_sym_nullptr] = ACTIONS(1130),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_identifier] = ACTIONS(1132),
    [aux_sym_preproc_include_token1] = ACTIONS(1132),
    [aux_sym_preproc_def_token1] = ACTIONS(1132),
    [aux_sym_preproc_if_token1] = ACTIONS(1132),
    [aux_sym_preproc_if_token2] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1132),
    [aux_sym_preproc_else_token1] = ACTIONS(1132),
    [aux_sym_preproc_elif_token1] = ACTIONS(1132),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1132),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1132),
    [sym_preproc_directive] = ACTIONS(1132),
    [anon_sym_LPAREN2] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [anon_sym___extension__] = ACTIONS(1132),
    [anon_sym_typedef] = ACTIONS(1132),
    [anon_sym_extern] = ACTIONS(1132),
    [anon_sym___attribute__] = ACTIONS(1132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1134),
    [anon_sym___declspec] = ACTIONS(1132),
    [anon_sym___cdecl] = ACTIONS(1132),
    [anon_sym___clrcall] = ACTIONS(1132),
    [anon_sym___stdcall] = ACTIONS(1132),
    [anon_sym___fastcall] = ACTIONS(1132),
    [anon_sym___thiscall] = ACTIONS(1132),
    [anon_sym___vectorcall] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_signed] = ACTIONS(1132),
    [anon_sym_unsigned] = ACTIONS(1132),
    [anon_sym_long] = ACTIONS(1132),
    [anon_sym_short] = ACTIONS(1132),
    [anon_sym_static] = ACTIONS(1132),
    [anon_sym_auto] = ACTIONS(1132),
    [anon_sym_register] = ACTIONS(1132),
    [anon_sym_inline] = ACTIONS(1132),
    [anon_sym___inline] = ACTIONS(1132),
    [anon_sym___inline__] = ACTIONS(1132),
    [anon_sym___forceinline] = ACTIONS(1132),
    [anon_sym_thread_local] = ACTIONS(1132),
    [anon_sym___thread] = ACTIONS(1132),
    [anon_sym_const] = ACTIONS(1132),
    [anon_sym_constexpr] = ACTIONS(1132),
    [anon_sym_volatile] = ACTIONS(1132),
    [anon_sym_restrict] = ACTIONS(1132),
    [anon_sym___restrict__] = ACTIONS(1132),
    [anon_sym__Atomic] = ACTIONS(1132),
    [anon_sym__Noreturn] = ACTIONS(1132),
    [anon_sym_noreturn] = ACTIONS(1132),
    [sym_primitive_type] = ACTIONS(1132),
    [anon_sym_enum] = ACTIONS(1132),
    [anon_sym_struct] = ACTIONS(1132),
    [anon_sym_union] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_else] = ACTIONS(1132),
    [anon_sym_switch] = ACTIONS(1132),
    [anon_sym_case] = ACTIONS(1132),
    [anon_sym_default] = ACTIONS(1132),
    [anon_sym_while] = ACTIONS(1132),
    [anon_sym_do] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1132),
    [anon_sym___leave] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_sizeof] = ACTIONS(1132),
    [anon_sym___alignof__] = ACTIONS(1132),
    [anon_sym___alignof] = ACTIONS(1132),
    [anon_sym__alignof] = ACTIONS(1132),
    [anon_sym_alignof] = ACTIONS(1132),
    [anon_sym__Alignof] = ACTIONS(1132),
    [anon_sym_offsetof] = ACTIONS(1132),
    [anon_sym__Generic] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1132),
    [anon_sym___asm__] = ACTIONS(1132),
    [sym_number_literal] = ACTIONS(1134),
    [anon_sym_L_SQUOTE] = ACTIONS(1134),
    [anon_sym_u_SQUOTE] = ACTIONS(1134),
    [anon_sym_U_SQUOTE] = ACTIONS(1134),
    [anon_sym_u8_SQUOTE] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_L_DQUOTE] = ACTIONS(1134),
    [anon_sym_u_DQUOTE] = ACTIONS(1134),
    [anon_sym_U_DQUOTE] = ACTIONS(1134),
    [anon_sym_u8_DQUOTE] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_NULL] = ACTIONS(1132),
    [anon_sym_nullptr] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_identifier] = ACTIONS(1132),
    [aux_sym_preproc_include_token1] = ACTIONS(1132),
    [aux_sym_preproc_def_token1] = ACTIONS(1132),
    [aux_sym_preproc_if_token1] = ACTIONS(1132),
    [aux_sym_preproc_if_token2] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1132),
    [aux_sym_preproc_else_token1] = ACTIONS(1132),
    [aux_sym_preproc_elif_token1] = ACTIONS(1132),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1132),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1132),
    [sym_preproc_directive] = ACTIONS(1132),
    [anon_sym_LPAREN2] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [anon_sym___extension__] = ACTIONS(1132),
    [anon_sym_typedef] = ACTIONS(1132),
    [anon_sym_extern] = ACTIONS(1132),
    [anon_sym___attribute__] = ACTIONS(1132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1134),
    [anon_sym___declspec] = ACTIONS(1132),
    [anon_sym___cdecl] = ACTIONS(1132),
    [anon_sym___clrcall] = ACTIONS(1132),
    [anon_sym___stdcall] = ACTIONS(1132),
    [anon_sym___fastcall] = ACTIONS(1132),
    [anon_sym___thiscall] = ACTIONS(1132),
    [anon_sym___vectorcall] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_signed] = ACTIONS(1132),
    [anon_sym_unsigned] = ACTIONS(1132),
    [anon_sym_long] = ACTIONS(1132),
    [anon_sym_short] = ACTIONS(1132),
    [anon_sym_static] = ACTIONS(1132),
    [anon_sym_auto] = ACTIONS(1132),
    [anon_sym_register] = ACTIONS(1132),
    [anon_sym_inline] = ACTIONS(1132),
    [anon_sym___inline] = ACTIONS(1132),
    [anon_sym___inline__] = ACTIONS(1132),
    [anon_sym___forceinline] = ACTIONS(1132),
    [anon_sym_thread_local] = ACTIONS(1132),
    [anon_sym___thread] = ACTIONS(1132),
    [anon_sym_const] = ACTIONS(1132),
    [anon_sym_constexpr] = ACTIONS(1132),
    [anon_sym_volatile] = ACTIONS(1132),
    [anon_sym_restrict] = ACTIONS(1132),
    [anon_sym___restrict__] = ACTIONS(1132),
    [anon_sym__Atomic] = ACTIONS(1132),
    [anon_sym__Noreturn] = ACTIONS(1132),
    [anon_sym_noreturn] = ACTIONS(1132),
    [sym_primitive_type] = ACTIONS(1132),
    [anon_sym_enum] = ACTIONS(1132),
    [anon_sym_struct] = ACTIONS(1132),
    [anon_sym_union] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_else] = ACTIONS(1132),
    [anon_sym_switch] = ACTIONS(1132),
    [anon_sym_case] = ACTIONS(1132),
    [anon_sym_default] = ACTIONS(1132),
    [anon_sym_while] = ACTIONS(1132),
    [anon_sym_do] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1132),
    [anon_sym___leave] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_sizeof] = ACTIONS(1132),
    [anon_sym___alignof__] = ACTIONS(1132),
    [anon_sym___alignof] = ACTIONS(1132),
    [anon_sym__alignof] = ACTIONS(1132),
    [anon_sym_alignof] = ACTIONS(1132),
    [anon_sym__Alignof] = ACTIONS(1132),
    [anon_sym_offsetof] = ACTIONS(1132),
    [anon_sym__Generic] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1132),
    [anon_sym___asm__] = ACTIONS(1132),
    [sym_number_literal] = ACTIONS(1134),
    [anon_sym_L_SQUOTE] = ACTIONS(1134),
    [anon_sym_u_SQUOTE] = ACTIONS(1134),
    [anon_sym_U_SQUOTE] = ACTIONS(1134),
    [anon_sym_u8_SQUOTE] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_L_DQUOTE] = ACTIONS(1134),
    [anon_sym_u_DQUOTE] = ACTIONS(1134),
    [anon_sym_U_DQUOTE] = ACTIONS(1134),
    [anon_sym_u8_DQUOTE] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_NULL] = ACTIONS(1132),
    [anon_sym_nullptr] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_identifier] = ACTIONS(1136),
    [aux_sym_preproc_include_token1] = ACTIONS(1136),
    [aux_sym_preproc_def_token1] = ACTIONS(1136),
    [aux_sym_preproc_if_token1] = ACTIONS(1136),
    [aux_sym_preproc_if_token2] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1136),
    [aux_sym_preproc_else_token1] = ACTIONS(1136),
    [aux_sym_preproc_elif_token1] = ACTIONS(1136),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1136),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1136),
    [sym_preproc_directive] = ACTIONS(1136),
    [anon_sym_LPAREN2] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym___extension__] = ACTIONS(1136),
    [anon_sym_typedef] = ACTIONS(1136),
    [anon_sym_extern] = ACTIONS(1136),
    [anon_sym___attribute__] = ACTIONS(1136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1138),
    [anon_sym___declspec] = ACTIONS(1136),
    [anon_sym___cdecl] = ACTIONS(1136),
    [anon_sym___clrcall] = ACTIONS(1136),
    [anon_sym___stdcall] = ACTIONS(1136),
    [anon_sym___fastcall] = ACTIONS(1136),
    [anon_sym___thiscall] = ACTIONS(1136),
    [anon_sym___vectorcall] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_signed] = ACTIONS(1136),
    [anon_sym_unsigned] = ACTIONS(1136),
    [anon_sym_long] = ACTIONS(1136),
    [anon_sym_short] = ACTIONS(1136),
    [anon_sym_static] = ACTIONS(1136),
    [anon_sym_auto] = ACTIONS(1136),
    [anon_sym_register] = ACTIONS(1136),
    [anon_sym_inline] = ACTIONS(1136),
    [anon_sym___inline] = ACTIONS(1136),
    [anon_sym___inline__] = ACTIONS(1136),
    [anon_sym___forceinline] = ACTIONS(1136),
    [anon_sym_thread_local] = ACTIONS(1136),
    [anon_sym___thread] = ACTIONS(1136),
    [anon_sym_const] = ACTIONS(1136),
    [anon_sym_constexpr] = ACTIONS(1136),
    [anon_sym_volatile] = ACTIONS(1136),
    [anon_sym_restrict] = ACTIONS(1136),
    [anon_sym___restrict__] = ACTIONS(1136),
    [anon_sym__Atomic] = ACTIONS(1136),
    [anon_sym__Noreturn] = ACTIONS(1136),
    [anon_sym_noreturn] = ACTIONS(1136),
    [sym_primitive_type] = ACTIONS(1136),
    [anon_sym_enum] = ACTIONS(1136),
    [anon_sym_struct] = ACTIONS(1136),
    [anon_sym_union] = ACTIONS(1136),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_else] = ACTIONS(1136),
    [anon_sym_switch] = ACTIONS(1136),
    [anon_sym_case] = ACTIONS(1136),
    [anon_sym_default] = ACTIONS(1136),
    [anon_sym_while] = ACTIONS(1136),
    [anon_sym_do] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym___try] = ACTIONS(1136),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_sizeof] = ACTIONS(1136),
    [anon_sym___alignof__] = ACTIONS(1136),
    [anon_sym___alignof] = ACTIONS(1136),
    [anon_sym__alignof] = ACTIONS(1136),
    [anon_sym_alignof] = ACTIONS(1136),
    [anon_sym__Alignof] = ACTIONS(1136),
    [anon_sym_offsetof] = ACTIONS(1136),
    [anon_sym__Generic] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1136),
    [anon_sym___asm__] = ACTIONS(1136),
    [sym_number_literal] = ACTIONS(1138),
    [anon_sym_L_SQUOTE] = ACTIONS(1138),
    [anon_sym_u_SQUOTE] = ACTIONS(1138),
    [anon_sym_U_SQUOTE] = ACTIONS(1138),
    [anon_sym_u8_SQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_L_DQUOTE] = ACTIONS(1138),
    [anon_sym_u_DQUOTE] = ACTIONS(1138),
    [anon_sym_U_DQUOTE] = ACTIONS(1138),
    [anon_sym_u8_DQUOTE] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_NULL] = ACTIONS(1136),
    [anon_sym_nullptr] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_identifier] = ACTIONS(1136),
    [aux_sym_preproc_include_token1] = ACTIONS(1136),
    [aux_sym_preproc_def_token1] = ACTIONS(1136),
    [aux_sym_preproc_if_token1] = ACTIONS(1136),
    [aux_sym_preproc_if_token2] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1136),
    [aux_sym_preproc_else_token1] = ACTIONS(1136),
    [aux_sym_preproc_elif_token1] = ACTIONS(1136),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1136),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1136),
    [sym_preproc_directive] = ACTIONS(1136),
    [anon_sym_LPAREN2] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym___extension__] = ACTIONS(1136),
    [anon_sym_typedef] = ACTIONS(1136),
    [anon_sym_extern] = ACTIONS(1136),
    [anon_sym___attribute__] = ACTIONS(1136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1138),
    [anon_sym___declspec] = ACTIONS(1136),
    [anon_sym___cdecl] = ACTIONS(1136),
    [anon_sym___clrcall] = ACTIONS(1136),
    [anon_sym___stdcall] = ACTIONS(1136),
    [anon_sym___fastcall] = ACTIONS(1136),
    [anon_sym___thiscall] = ACTIONS(1136),
    [anon_sym___vectorcall] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_signed] = ACTIONS(1136),
    [anon_sym_unsigned] = ACTIONS(1136),
    [anon_sym_long] = ACTIONS(1136),
    [anon_sym_short] = ACTIONS(1136),
    [anon_sym_static] = ACTIONS(1136),
    [anon_sym_auto] = ACTIONS(1136),
    [anon_sym_register] = ACTIONS(1136),
    [anon_sym_inline] = ACTIONS(1136),
    [anon_sym___inline] = ACTIONS(1136),
    [anon_sym___inline__] = ACTIONS(1136),
    [anon_sym___forceinline] = ACTIONS(1136),
    [anon_sym_thread_local] = ACTIONS(1136),
    [anon_sym___thread] = ACTIONS(1136),
    [anon_sym_const] = ACTIONS(1136),
    [anon_sym_constexpr] = ACTIONS(1136),
    [anon_sym_volatile] = ACTIONS(1136),
    [anon_sym_restrict] = ACTIONS(1136),
    [anon_sym___restrict__] = ACTIONS(1136),
    [anon_sym__Atomic] = ACTIONS(1136),
    [anon_sym__Noreturn] = ACTIONS(1136),
    [anon_sym_noreturn] = ACTIONS(1136),
    [sym_primitive_type] = ACTIONS(1136),
    [anon_sym_enum] = ACTIONS(1136),
    [anon_sym_struct] = ACTIONS(1136),
    [anon_sym_union] = ACTIONS(1136),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_else] = ACTIONS(1136),
    [anon_sym_switch] = ACTIONS(1136),
    [anon_sym_case] = ACTIONS(1136),
    [anon_sym_default] = ACTIONS(1136),
    [anon_sym_while] = ACTIONS(1136),
    [anon_sym_do] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym___try] = ACTIONS(1136),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_sizeof] = ACTIONS(1136),
    [anon_sym___alignof__] = ACTIONS(1136),
    [anon_sym___alignof] = ACTIONS(1136),
    [anon_sym__alignof] = ACTIONS(1136),
    [anon_sym_alignof] = ACTIONS(1136),
    [anon_sym__Alignof] = ACTIONS(1136),
    [anon_sym_offsetof] = ACTIONS(1136),
    [anon_sym__Generic] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1136),
    [anon_sym___asm__] = ACTIONS(1136),
    [sym_number_literal] = ACTIONS(1138),
    [anon_sym_L_SQUOTE] = ACTIONS(1138),
    [anon_sym_u_SQUOTE] = ACTIONS(1138),
    [anon_sym_U_SQUOTE] = ACTIONS(1138),
    [anon_sym_u8_SQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_L_DQUOTE] = ACTIONS(1138),
    [anon_sym_u_DQUOTE] = ACTIONS(1138),
    [anon_sym_U_DQUOTE] = ACTIONS(1138),
    [anon_sym_u8_DQUOTE] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_NULL] = ACTIONS(1136),
    [anon_sym_nullptr] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_identifier] = ACTIONS(1140),
    [aux_sym_preproc_include_token1] = ACTIONS(1140),
    [aux_sym_preproc_def_token1] = ACTIONS(1140),
    [aux_sym_preproc_if_token1] = ACTIONS(1140),
    [aux_sym_preproc_if_token2] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1140),
    [aux_sym_preproc_else_token1] = ACTIONS(1140),
    [aux_sym_preproc_elif_token1] = ACTIONS(1140),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1140),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1140),
    [sym_preproc_directive] = ACTIONS(1140),
    [anon_sym_LPAREN2] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_AMP] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [anon_sym___extension__] = ACTIONS(1140),
    [anon_sym_typedef] = ACTIONS(1140),
    [anon_sym_extern] = ACTIONS(1140),
    [anon_sym___attribute__] = ACTIONS(1140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1142),
    [anon_sym___declspec] = ACTIONS(1140),
    [anon_sym___cdecl] = ACTIONS(1140),
    [anon_sym___clrcall] = ACTIONS(1140),
    [anon_sym___stdcall] = ACTIONS(1140),
    [anon_sym___fastcall] = ACTIONS(1140),
    [anon_sym___thiscall] = ACTIONS(1140),
    [anon_sym___vectorcall] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_signed] = ACTIONS(1140),
    [anon_sym_unsigned] = ACTIONS(1140),
    [anon_sym_long] = ACTIONS(1140),
    [anon_sym_short] = ACTIONS(1140),
    [anon_sym_static] = ACTIONS(1140),
    [anon_sym_auto] = ACTIONS(1140),
    [anon_sym_register] = ACTIONS(1140),
    [anon_sym_inline] = ACTIONS(1140),
    [anon_sym___inline] = ACTIONS(1140),
    [anon_sym___inline__] = ACTIONS(1140),
    [anon_sym___forceinline] = ACTIONS(1140),
    [anon_sym_thread_local] = ACTIONS(1140),
    [anon_sym___thread] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1140),
    [anon_sym_constexpr] = ACTIONS(1140),
    [anon_sym_volatile] = ACTIONS(1140),
    [anon_sym_restrict] = ACTIONS(1140),
    [anon_sym___restrict__] = ACTIONS(1140),
    [anon_sym__Atomic] = ACTIONS(1140),
    [anon_sym__Noreturn] = ACTIONS(1140),
    [anon_sym_noreturn] = ACTIONS(1140),
    [sym_primitive_type] = ACTIONS(1140),
    [anon_sym_enum] = ACTIONS(1140),
    [anon_sym_struct] = ACTIONS(1140),
    [anon_sym_union] = ACTIONS(1140),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_else] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1140),
    [anon_sym_case] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1140),
    [anon_sym_while] = ACTIONS(1140),
    [anon_sym_do] = ACTIONS(1140),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1140),
    [anon_sym_break] = ACTIONS(1140),
    [anon_sym_continue] = ACTIONS(1140),
    [anon_sym_goto] = ACTIONS(1140),
    [anon_sym___try] = ACTIONS(1140),
    [anon_sym___leave] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [anon_sym_sizeof] = ACTIONS(1140),
    [anon_sym___alignof__] = ACTIONS(1140),
    [anon_sym___alignof] = ACTIONS(1140),
    [anon_sym__alignof] = ACTIONS(1140),
    [anon_sym_alignof] = ACTIONS(1140),
    [anon_sym__Alignof] = ACTIONS(1140),
    [anon_sym_offsetof] = ACTIONS(1140),
    [anon_sym__Generic] = ACTIONS(1140),
    [anon_sym_asm] = ACTIONS(1140),
    [anon_sym___asm__] = ACTIONS(1140),
    [sym_number_literal] = ACTIONS(1142),
    [anon_sym_L_SQUOTE] = ACTIONS(1142),
    [anon_sym_u_SQUOTE] = ACTIONS(1142),
    [anon_sym_U_SQUOTE] = ACTIONS(1142),
    [anon_sym_u8_SQUOTE] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_L_DQUOTE] = ACTIONS(1142),
    [anon_sym_u_DQUOTE] = ACTIONS(1142),
    [anon_sym_U_DQUOTE] = ACTIONS(1142),
    [anon_sym_u8_DQUOTE] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [sym_true] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [anon_sym_NULL] = ACTIONS(1140),
    [anon_sym_nullptr] = ACTIONS(1140),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_identifier] = ACTIONS(1144),
    [aux_sym_preproc_include_token1] = ACTIONS(1144),
    [aux_sym_preproc_def_token1] = ACTIONS(1144),
    [aux_sym_preproc_if_token1] = ACTIONS(1144),
    [aux_sym_preproc_if_token2] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1144),
    [aux_sym_preproc_else_token1] = ACTIONS(1144),
    [aux_sym_preproc_elif_token1] = ACTIONS(1144),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1144),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1144),
    [sym_preproc_directive] = ACTIONS(1144),
    [anon_sym_LPAREN2] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_STAR] = ACTIONS(1146),
    [anon_sym_AMP] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [anon_sym___extension__] = ACTIONS(1144),
    [anon_sym_typedef] = ACTIONS(1144),
    [anon_sym_extern] = ACTIONS(1144),
    [anon_sym___attribute__] = ACTIONS(1144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1146),
    [anon_sym___declspec] = ACTIONS(1144),
    [anon_sym___cdecl] = ACTIONS(1144),
    [anon_sym___clrcall] = ACTIONS(1144),
    [anon_sym___stdcall] = ACTIONS(1144),
    [anon_sym___fastcall] = ACTIONS(1144),
    [anon_sym___thiscall] = ACTIONS(1144),
    [anon_sym___vectorcall] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_signed] = ACTIONS(1144),
    [anon_sym_unsigned] = ACTIONS(1144),
    [anon_sym_long] = ACTIONS(1144),
    [anon_sym_short] = ACTIONS(1144),
    [anon_sym_static] = ACTIONS(1144),
    [anon_sym_auto] = ACTIONS(1144),
    [anon_sym_register] = ACTIONS(1144),
    [anon_sym_inline] = ACTIONS(1144),
    [anon_sym___inline] = ACTIONS(1144),
    [anon_sym___inline__] = ACTIONS(1144),
    [anon_sym___forceinline] = ACTIONS(1144),
    [anon_sym_thread_local] = ACTIONS(1144),
    [anon_sym___thread] = ACTIONS(1144),
    [anon_sym_const] = ACTIONS(1144),
    [anon_sym_constexpr] = ACTIONS(1144),
    [anon_sym_volatile] = ACTIONS(1144),
    [anon_sym_restrict] = ACTIONS(1144),
    [anon_sym___restrict__] = ACTIONS(1144),
    [anon_sym__Atomic] = ACTIONS(1144),
    [anon_sym__Noreturn] = ACTIONS(1144),
    [anon_sym_noreturn] = ACTIONS(1144),
    [sym_primitive_type] = ACTIONS(1144),
    [anon_sym_enum] = ACTIONS(1144),
    [anon_sym_struct] = ACTIONS(1144),
    [anon_sym_union] = ACTIONS(1144),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_else] = ACTIONS(1144),
    [anon_sym_switch] = ACTIONS(1144),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1144),
    [anon_sym_while] = ACTIONS(1144),
    [anon_sym_do] = ACTIONS(1144),
    [anon_sym_for] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1144),
    [anon_sym_break] = ACTIONS(1144),
    [anon_sym_continue] = ACTIONS(1144),
    [anon_sym_goto] = ACTIONS(1144),
    [anon_sym___try] = ACTIONS(1144),
    [anon_sym___leave] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [anon_sym_sizeof] = ACTIONS(1144),
    [anon_sym___alignof__] = ACTIONS(1144),
    [anon_sym___alignof] = ACTIONS(1144),
    [anon_sym__alignof] = ACTIONS(1144),
    [anon_sym_alignof] = ACTIONS(1144),
    [anon_sym__Alignof] = ACTIONS(1144),
    [anon_sym_offsetof] = ACTIONS(1144),
    [anon_sym__Generic] = ACTIONS(1144),
    [anon_sym_asm] = ACTIONS(1144),
    [anon_sym___asm__] = ACTIONS(1144),
    [sym_number_literal] = ACTIONS(1146),
    [anon_sym_L_SQUOTE] = ACTIONS(1146),
    [anon_sym_u_SQUOTE] = ACTIONS(1146),
    [anon_sym_U_SQUOTE] = ACTIONS(1146),
    [anon_sym_u8_SQUOTE] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_L_DQUOTE] = ACTIONS(1146),
    [anon_sym_u_DQUOTE] = ACTIONS(1146),
    [anon_sym_U_DQUOTE] = ACTIONS(1146),
    [anon_sym_u8_DQUOTE] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [sym_true] = ACTIONS(1144),
    [sym_false] = ACTIONS(1144),
    [anon_sym_NULL] = ACTIONS(1144),
    [anon_sym_nullptr] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_identifier] = ACTIONS(1148),
    [aux_sym_preproc_include_token1] = ACTIONS(1148),
    [aux_sym_preproc_def_token1] = ACTIONS(1148),
    [aux_sym_preproc_if_token1] = ACTIONS(1148),
    [aux_sym_preproc_if_token2] = ACTIONS(1148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1148),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1148),
    [aux_sym_preproc_else_token1] = ACTIONS(1148),
    [aux_sym_preproc_elif_token1] = ACTIONS(1148),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1148),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1148),
    [sym_preproc_directive] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(1150),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_STAR] = ACTIONS(1150),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym___extension__] = ACTIONS(1148),
    [anon_sym_typedef] = ACTIONS(1148),
    [anon_sym_extern] = ACTIONS(1148),
    [anon_sym___attribute__] = ACTIONS(1148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1150),
    [anon_sym___declspec] = ACTIONS(1148),
    [anon_sym___cdecl] = ACTIONS(1148),
    [anon_sym___clrcall] = ACTIONS(1148),
    [anon_sym___stdcall] = ACTIONS(1148),
    [anon_sym___fastcall] = ACTIONS(1148),
    [anon_sym___thiscall] = ACTIONS(1148),
    [anon_sym___vectorcall] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_signed] = ACTIONS(1148),
    [anon_sym_unsigned] = ACTIONS(1148),
    [anon_sym_long] = ACTIONS(1148),
    [anon_sym_short] = ACTIONS(1148),
    [anon_sym_static] = ACTIONS(1148),
    [anon_sym_auto] = ACTIONS(1148),
    [anon_sym_register] = ACTIONS(1148),
    [anon_sym_inline] = ACTIONS(1148),
    [anon_sym___inline] = ACTIONS(1148),
    [anon_sym___inline__] = ACTIONS(1148),
    [anon_sym___forceinline] = ACTIONS(1148),
    [anon_sym_thread_local] = ACTIONS(1148),
    [anon_sym___thread] = ACTIONS(1148),
    [anon_sym_const] = ACTIONS(1148),
    [anon_sym_constexpr] = ACTIONS(1148),
    [anon_sym_volatile] = ACTIONS(1148),
    [anon_sym_restrict] = ACTIONS(1148),
    [anon_sym___restrict__] = ACTIONS(1148),
    [anon_sym__Atomic] = ACTIONS(1148),
    [anon_sym__Noreturn] = ACTIONS(1148),
    [anon_sym_noreturn] = ACTIONS(1148),
    [sym_primitive_type] = ACTIONS(1148),
    [anon_sym_enum] = ACTIONS(1148),
    [anon_sym_struct] = ACTIONS(1148),
    [anon_sym_union] = ACTIONS(1148),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_switch] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym_default] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_for] = ACTIONS(1148),
    [anon_sym_return] = ACTIONS(1148),
    [anon_sym_break] = ACTIONS(1148),
    [anon_sym_continue] = ACTIONS(1148),
    [anon_sym_goto] = ACTIONS(1148),
    [anon_sym___try] = ACTIONS(1148),
    [anon_sym___leave] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [anon_sym_sizeof] = ACTIONS(1148),
    [anon_sym___alignof__] = ACTIONS(1148),
    [anon_sym___alignof] = ACTIONS(1148),
    [anon_sym__alignof] = ACTIONS(1148),
    [anon_sym_alignof] = ACTIONS(1148),
    [anon_sym__Alignof] = ACTIONS(1148),
    [anon_sym_offsetof] = ACTIONS(1148),
    [anon_sym__Generic] = ACTIONS(1148),
    [anon_sym_asm] = ACTIONS(1148),
    [anon_sym___asm__] = ACTIONS(1148),
    [sym_number_literal] = ACTIONS(1150),
    [anon_sym_L_SQUOTE] = ACTIONS(1150),
    [anon_sym_u_SQUOTE] = ACTIONS(1150),
    [anon_sym_U_SQUOTE] = ACTIONS(1150),
    [anon_sym_u8_SQUOTE] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_L_DQUOTE] = ACTIONS(1150),
    [anon_sym_u_DQUOTE] = ACTIONS(1150),
    [anon_sym_U_DQUOTE] = ACTIONS(1150),
    [anon_sym_u8_DQUOTE] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [sym_true] = ACTIONS(1148),
    [sym_false] = ACTIONS(1148),
    [anon_sym_NULL] = ACTIONS(1148),
    [anon_sym_nullptr] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_identifier] = ACTIONS(1152),
    [aux_sym_preproc_include_token1] = ACTIONS(1152),
    [aux_sym_preproc_def_token1] = ACTIONS(1152),
    [aux_sym_preproc_if_token1] = ACTIONS(1152),
    [aux_sym_preproc_if_token2] = ACTIONS(1152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1152),
    [aux_sym_preproc_else_token1] = ACTIONS(1152),
    [aux_sym_preproc_elif_token1] = ACTIONS(1152),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1152),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1152),
    [sym_preproc_directive] = ACTIONS(1152),
    [anon_sym_LPAREN2] = ACTIONS(1154),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_STAR] = ACTIONS(1154),
    [anon_sym_AMP] = ACTIONS(1154),
    [anon_sym_SEMI] = ACTIONS(1154),
    [anon_sym___extension__] = ACTIONS(1152),
    [anon_sym_typedef] = ACTIONS(1152),
    [anon_sym_extern] = ACTIONS(1152),
    [anon_sym___attribute__] = ACTIONS(1152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1154),
    [anon_sym___declspec] = ACTIONS(1152),
    [anon_sym___cdecl] = ACTIONS(1152),
    [anon_sym___clrcall] = ACTIONS(1152),
    [anon_sym___stdcall] = ACTIONS(1152),
    [anon_sym___fastcall] = ACTIONS(1152),
    [anon_sym___thiscall] = ACTIONS(1152),
    [anon_sym___vectorcall] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_signed] = ACTIONS(1152),
    [anon_sym_unsigned] = ACTIONS(1152),
    [anon_sym_long] = ACTIONS(1152),
    [anon_sym_short] = ACTIONS(1152),
    [anon_sym_static] = ACTIONS(1152),
    [anon_sym_auto] = ACTIONS(1152),
    [anon_sym_register] = ACTIONS(1152),
    [anon_sym_inline] = ACTIONS(1152),
    [anon_sym___inline] = ACTIONS(1152),
    [anon_sym___inline__] = ACTIONS(1152),
    [anon_sym___forceinline] = ACTIONS(1152),
    [anon_sym_thread_local] = ACTIONS(1152),
    [anon_sym___thread] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1152),
    [anon_sym_constexpr] = ACTIONS(1152),
    [anon_sym_volatile] = ACTIONS(1152),
    [anon_sym_restrict] = ACTIONS(1152),
    [anon_sym___restrict__] = ACTIONS(1152),
    [anon_sym__Atomic] = ACTIONS(1152),
    [anon_sym__Noreturn] = ACTIONS(1152),
    [anon_sym_noreturn] = ACTIONS(1152),
    [sym_primitive_type] = ACTIONS(1152),
    [anon_sym_enum] = ACTIONS(1152),
    [anon_sym_struct] = ACTIONS(1152),
    [anon_sym_union] = ACTIONS(1152),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_else] = ACTIONS(1152),
    [anon_sym_switch] = ACTIONS(1152),
    [anon_sym_case] = ACTIONS(1152),
    [anon_sym_default] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1152),
    [anon_sym_break] = ACTIONS(1152),
    [anon_sym_continue] = ACTIONS(1152),
    [anon_sym_goto] = ACTIONS(1152),
    [anon_sym___try] = ACTIONS(1152),
    [anon_sym___leave] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_sizeof] = ACTIONS(1152),
    [anon_sym___alignof__] = ACTIONS(1152),
    [anon_sym___alignof] = ACTIONS(1152),
    [anon_sym__alignof] = ACTIONS(1152),
    [anon_sym_alignof] = ACTIONS(1152),
    [anon_sym__Alignof] = ACTIONS(1152),
    [anon_sym_offsetof] = ACTIONS(1152),
    [anon_sym__Generic] = ACTIONS(1152),
    [anon_sym_asm] = ACTIONS(1152),
    [anon_sym___asm__] = ACTIONS(1152),
    [sym_number_literal] = ACTIONS(1154),
    [anon_sym_L_SQUOTE] = ACTIONS(1154),
    [anon_sym_u_SQUOTE] = ACTIONS(1154),
    [anon_sym_U_SQUOTE] = ACTIONS(1154),
    [anon_sym_u8_SQUOTE] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [anon_sym_L_DQUOTE] = ACTIONS(1154),
    [anon_sym_u_DQUOTE] = ACTIONS(1154),
    [anon_sym_U_DQUOTE] = ACTIONS(1154),
    [anon_sym_u8_DQUOTE] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [sym_true] = ACTIONS(1152),
    [sym_false] = ACTIONS(1152),
    [anon_sym_NULL] = ACTIONS(1152),
    [anon_sym_nullptr] = ACTIONS(1152),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_identifier] = ACTIONS(1156),
    [aux_sym_preproc_include_token1] = ACTIONS(1156),
    [aux_sym_preproc_def_token1] = ACTIONS(1156),
    [aux_sym_preproc_if_token1] = ACTIONS(1156),
    [aux_sym_preproc_if_token2] = ACTIONS(1156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1156),
    [aux_sym_preproc_else_token1] = ACTIONS(1156),
    [aux_sym_preproc_elif_token1] = ACTIONS(1156),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1156),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1156),
    [sym_preproc_directive] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_STAR] = ACTIONS(1158),
    [anon_sym_AMP] = ACTIONS(1158),
    [anon_sym_SEMI] = ACTIONS(1158),
    [anon_sym___extension__] = ACTIONS(1156),
    [anon_sym_typedef] = ACTIONS(1156),
    [anon_sym_extern] = ACTIONS(1156),
    [anon_sym___attribute__] = ACTIONS(1156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1158),
    [anon_sym___declspec] = ACTIONS(1156),
    [anon_sym___cdecl] = ACTIONS(1156),
    [anon_sym___clrcall] = ACTIONS(1156),
    [anon_sym___stdcall] = ACTIONS(1156),
    [anon_sym___fastcall] = ACTIONS(1156),
    [anon_sym___thiscall] = ACTIONS(1156),
    [anon_sym___vectorcall] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_signed] = ACTIONS(1156),
    [anon_sym_unsigned] = ACTIONS(1156),
    [anon_sym_long] = ACTIONS(1156),
    [anon_sym_short] = ACTIONS(1156),
    [anon_sym_static] = ACTIONS(1156),
    [anon_sym_auto] = ACTIONS(1156),
    [anon_sym_register] = ACTIONS(1156),
    [anon_sym_inline] = ACTIONS(1156),
    [anon_sym___inline] = ACTIONS(1156),
    [anon_sym___inline__] = ACTIONS(1156),
    [anon_sym___forceinline] = ACTIONS(1156),
    [anon_sym_thread_local] = ACTIONS(1156),
    [anon_sym___thread] = ACTIONS(1156),
    [anon_sym_const] = ACTIONS(1156),
    [anon_sym_constexpr] = ACTIONS(1156),
    [anon_sym_volatile] = ACTIONS(1156),
    [anon_sym_restrict] = ACTIONS(1156),
    [anon_sym___restrict__] = ACTIONS(1156),
    [anon_sym__Atomic] = ACTIONS(1156),
    [anon_sym__Noreturn] = ACTIONS(1156),
    [anon_sym_noreturn] = ACTIONS(1156),
    [sym_primitive_type] = ACTIONS(1156),
    [anon_sym_enum] = ACTIONS(1156),
    [anon_sym_struct] = ACTIONS(1156),
    [anon_sym_union] = ACTIONS(1156),
    [anon_sym_if] = ACTIONS(1156),
    [anon_sym_else] = ACTIONS(1156),
    [anon_sym_switch] = ACTIONS(1156),
    [anon_sym_case] = ACTIONS(1156),
    [anon_sym_default] = ACTIONS(1156),
    [anon_sym_while] = ACTIONS(1156),
    [anon_sym_do] = ACTIONS(1156),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1156),
    [anon_sym_goto] = ACTIONS(1156),
    [anon_sym___try] = ACTIONS(1156),
    [anon_sym___leave] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [anon_sym_sizeof] = ACTIONS(1156),
    [anon_sym___alignof__] = ACTIONS(1156),
    [anon_sym___alignof] = ACTIONS(1156),
    [anon_sym__alignof] = ACTIONS(1156),
    [anon_sym_alignof] = ACTIONS(1156),
    [anon_sym__Alignof] = ACTIONS(1156),
    [anon_sym_offsetof] = ACTIONS(1156),
    [anon_sym__Generic] = ACTIONS(1156),
    [anon_sym_asm] = ACTIONS(1156),
    [anon_sym___asm__] = ACTIONS(1156),
    [sym_number_literal] = ACTIONS(1158),
    [anon_sym_L_SQUOTE] = ACTIONS(1158),
    [anon_sym_u_SQUOTE] = ACTIONS(1158),
    [anon_sym_U_SQUOTE] = ACTIONS(1158),
    [anon_sym_u8_SQUOTE] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1158),
    [anon_sym_L_DQUOTE] = ACTIONS(1158),
    [anon_sym_u_DQUOTE] = ACTIONS(1158),
    [anon_sym_U_DQUOTE] = ACTIONS(1158),
    [anon_sym_u8_DQUOTE] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [sym_true] = ACTIONS(1156),
    [sym_false] = ACTIONS(1156),
    [anon_sym_NULL] = ACTIONS(1156),
    [anon_sym_nullptr] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_identifier] = ACTIONS(1160),
    [aux_sym_preproc_include_token1] = ACTIONS(1160),
    [aux_sym_preproc_def_token1] = ACTIONS(1160),
    [aux_sym_preproc_if_token1] = ACTIONS(1160),
    [aux_sym_preproc_if_token2] = ACTIONS(1160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1160),
    [aux_sym_preproc_else_token1] = ACTIONS(1160),
    [aux_sym_preproc_elif_token1] = ACTIONS(1160),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1160),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1160),
    [sym_preproc_directive] = ACTIONS(1160),
    [anon_sym_LPAREN2] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(1162),
    [anon_sym_AMP] = ACTIONS(1162),
    [anon_sym_SEMI] = ACTIONS(1162),
    [anon_sym___extension__] = ACTIONS(1160),
    [anon_sym_typedef] = ACTIONS(1160),
    [anon_sym_extern] = ACTIONS(1160),
    [anon_sym___attribute__] = ACTIONS(1160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1162),
    [anon_sym___declspec] = ACTIONS(1160),
    [anon_sym___cdecl] = ACTIONS(1160),
    [anon_sym___clrcall] = ACTIONS(1160),
    [anon_sym___stdcall] = ACTIONS(1160),
    [anon_sym___fastcall] = ACTIONS(1160),
    [anon_sym___thiscall] = ACTIONS(1160),
    [anon_sym___vectorcall] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_signed] = ACTIONS(1160),
    [anon_sym_unsigned] = ACTIONS(1160),
    [anon_sym_long] = ACTIONS(1160),
    [anon_sym_short] = ACTIONS(1160),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_auto] = ACTIONS(1160),
    [anon_sym_register] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1160),
    [anon_sym___inline] = ACTIONS(1160),
    [anon_sym___inline__] = ACTIONS(1160),
    [anon_sym___forceinline] = ACTIONS(1160),
    [anon_sym_thread_local] = ACTIONS(1160),
    [anon_sym___thread] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(1160),
    [anon_sym_constexpr] = ACTIONS(1160),
    [anon_sym_volatile] = ACTIONS(1160),
    [anon_sym_restrict] = ACTIONS(1160),
    [anon_sym___restrict__] = ACTIONS(1160),
    [anon_sym__Atomic] = ACTIONS(1160),
    [anon_sym__Noreturn] = ACTIONS(1160),
    [anon_sym_noreturn] = ACTIONS(1160),
    [sym_primitive_type] = ACTIONS(1160),
    [anon_sym_enum] = ACTIONS(1160),
    [anon_sym_struct] = ACTIONS(1160),
    [anon_sym_union] = ACTIONS(1160),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_else] = ACTIONS(1160),
    [anon_sym_switch] = ACTIONS(1160),
    [anon_sym_case] = ACTIONS(1160),
    [anon_sym_default] = ACTIONS(1160),
    [anon_sym_while] = ACTIONS(1160),
    [anon_sym_do] = ACTIONS(1160),
    [anon_sym_for] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1160),
    [anon_sym_break] = ACTIONS(1160),
    [anon_sym_continue] = ACTIONS(1160),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1160),
    [anon_sym___leave] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [anon_sym_sizeof] = ACTIONS(1160),
    [anon_sym___alignof__] = ACTIONS(1160),
    [anon_sym___alignof] = ACTIONS(1160),
    [anon_sym__alignof] = ACTIONS(1160),
    [anon_sym_alignof] = ACTIONS(1160),
    [anon_sym__Alignof] = ACTIONS(1160),
    [anon_sym_offsetof] = ACTIONS(1160),
    [anon_sym__Generic] = ACTIONS(1160),
    [anon_sym_asm] = ACTIONS(1160),
    [anon_sym___asm__] = ACTIONS(1160),
    [sym_number_literal] = ACTIONS(1162),
    [anon_sym_L_SQUOTE] = ACTIONS(1162),
    [anon_sym_u_SQUOTE] = ACTIONS(1162),
    [anon_sym_U_SQUOTE] = ACTIONS(1162),
    [anon_sym_u8_SQUOTE] = ACTIONS(1162),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [anon_sym_L_DQUOTE] = ACTIONS(1162),
    [anon_sym_u_DQUOTE] = ACTIONS(1162),
    [anon_sym_U_DQUOTE] = ACTIONS(1162),
    [anon_sym_u8_DQUOTE] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [sym_true] = ACTIONS(1160),
    [sym_false] = ACTIONS(1160),
    [anon_sym_NULL] = ACTIONS(1160),
    [anon_sym_nullptr] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [aux_sym_preproc_else_token1] = ACTIONS(1112),
    [aux_sym_preproc_elif_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_identifier] = ACTIONS(1164),
    [aux_sym_preproc_include_token1] = ACTIONS(1164),
    [aux_sym_preproc_def_token1] = ACTIONS(1164),
    [aux_sym_preproc_if_token1] = ACTIONS(1164),
    [aux_sym_preproc_if_token2] = ACTIONS(1164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1164),
    [aux_sym_preproc_else_token1] = ACTIONS(1164),
    [aux_sym_preproc_elif_token1] = ACTIONS(1164),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1164),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1164),
    [sym_preproc_directive] = ACTIONS(1164),
    [anon_sym_LPAREN2] = ACTIONS(1166),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_STAR] = ACTIONS(1166),
    [anon_sym_AMP] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym___extension__] = ACTIONS(1164),
    [anon_sym_typedef] = ACTIONS(1164),
    [anon_sym_extern] = ACTIONS(1164),
    [anon_sym___attribute__] = ACTIONS(1164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1166),
    [anon_sym___declspec] = ACTIONS(1164),
    [anon_sym___cdecl] = ACTIONS(1164),
    [anon_sym___clrcall] = ACTIONS(1164),
    [anon_sym___stdcall] = ACTIONS(1164),
    [anon_sym___fastcall] = ACTIONS(1164),
    [anon_sym___thiscall] = ACTIONS(1164),
    [anon_sym___vectorcall] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_signed] = ACTIONS(1164),
    [anon_sym_unsigned] = ACTIONS(1164),
    [anon_sym_long] = ACTIONS(1164),
    [anon_sym_short] = ACTIONS(1164),
    [anon_sym_static] = ACTIONS(1164),
    [anon_sym_auto] = ACTIONS(1164),
    [anon_sym_register] = ACTIONS(1164),
    [anon_sym_inline] = ACTIONS(1164),
    [anon_sym___inline] = ACTIONS(1164),
    [anon_sym___inline__] = ACTIONS(1164),
    [anon_sym___forceinline] = ACTIONS(1164),
    [anon_sym_thread_local] = ACTIONS(1164),
    [anon_sym___thread] = ACTIONS(1164),
    [anon_sym_const] = ACTIONS(1164),
    [anon_sym_constexpr] = ACTIONS(1164),
    [anon_sym_volatile] = ACTIONS(1164),
    [anon_sym_restrict] = ACTIONS(1164),
    [anon_sym___restrict__] = ACTIONS(1164),
    [anon_sym__Atomic] = ACTIONS(1164),
    [anon_sym__Noreturn] = ACTIONS(1164),
    [anon_sym_noreturn] = ACTIONS(1164),
    [sym_primitive_type] = ACTIONS(1164),
    [anon_sym_enum] = ACTIONS(1164),
    [anon_sym_struct] = ACTIONS(1164),
    [anon_sym_union] = ACTIONS(1164),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_switch] = ACTIONS(1164),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym_default] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1164),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_break] = ACTIONS(1164),
    [anon_sym_continue] = ACTIONS(1164),
    [anon_sym_goto] = ACTIONS(1164),
    [anon_sym___try] = ACTIONS(1164),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [anon_sym_sizeof] = ACTIONS(1164),
    [anon_sym___alignof__] = ACTIONS(1164),
    [anon_sym___alignof] = ACTIONS(1164),
    [anon_sym__alignof] = ACTIONS(1164),
    [anon_sym_alignof] = ACTIONS(1164),
    [anon_sym__Alignof] = ACTIONS(1164),
    [anon_sym_offsetof] = ACTIONS(1164),
    [anon_sym__Generic] = ACTIONS(1164),
    [anon_sym_asm] = ACTIONS(1164),
    [anon_sym___asm__] = ACTIONS(1164),
    [sym_number_literal] = ACTIONS(1166),
    [anon_sym_L_SQUOTE] = ACTIONS(1166),
    [anon_sym_u_SQUOTE] = ACTIONS(1166),
    [anon_sym_U_SQUOTE] = ACTIONS(1166),
    [anon_sym_u8_SQUOTE] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [anon_sym_L_DQUOTE] = ACTIONS(1166),
    [anon_sym_u_DQUOTE] = ACTIONS(1166),
    [anon_sym_U_DQUOTE] = ACTIONS(1166),
    [anon_sym_u8_DQUOTE] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [sym_true] = ACTIONS(1164),
    [sym_false] = ACTIONS(1164),
    [anon_sym_NULL] = ACTIONS(1164),
    [anon_sym_nullptr] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_identifier] = ACTIONS(1168),
    [aux_sym_preproc_include_token1] = ACTIONS(1168),
    [aux_sym_preproc_def_token1] = ACTIONS(1168),
    [aux_sym_preproc_if_token1] = ACTIONS(1168),
    [aux_sym_preproc_if_token2] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1168),
    [aux_sym_preproc_else_token1] = ACTIONS(1168),
    [aux_sym_preproc_elif_token1] = ACTIONS(1168),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1168),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1168),
    [sym_preproc_directive] = ACTIONS(1168),
    [anon_sym_LPAREN2] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_STAR] = ACTIONS(1170),
    [anon_sym_AMP] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [anon_sym___extension__] = ACTIONS(1168),
    [anon_sym_typedef] = ACTIONS(1168),
    [anon_sym_extern] = ACTIONS(1168),
    [anon_sym___attribute__] = ACTIONS(1168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1170),
    [anon_sym___declspec] = ACTIONS(1168),
    [anon_sym___cdecl] = ACTIONS(1168),
    [anon_sym___clrcall] = ACTIONS(1168),
    [anon_sym___stdcall] = ACTIONS(1168),
    [anon_sym___fastcall] = ACTIONS(1168),
    [anon_sym___thiscall] = ACTIONS(1168),
    [anon_sym___vectorcall] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_signed] = ACTIONS(1168),
    [anon_sym_unsigned] = ACTIONS(1168),
    [anon_sym_long] = ACTIONS(1168),
    [anon_sym_short] = ACTIONS(1168),
    [anon_sym_static] = ACTIONS(1168),
    [anon_sym_auto] = ACTIONS(1168),
    [anon_sym_register] = ACTIONS(1168),
    [anon_sym_inline] = ACTIONS(1168),
    [anon_sym___inline] = ACTIONS(1168),
    [anon_sym___inline__] = ACTIONS(1168),
    [anon_sym___forceinline] = ACTIONS(1168),
    [anon_sym_thread_local] = ACTIONS(1168),
    [anon_sym___thread] = ACTIONS(1168),
    [anon_sym_const] = ACTIONS(1168),
    [anon_sym_constexpr] = ACTIONS(1168),
    [anon_sym_volatile] = ACTIONS(1168),
    [anon_sym_restrict] = ACTIONS(1168),
    [anon_sym___restrict__] = ACTIONS(1168),
    [anon_sym__Atomic] = ACTIONS(1168),
    [anon_sym__Noreturn] = ACTIONS(1168),
    [anon_sym_noreturn] = ACTIONS(1168),
    [sym_primitive_type] = ACTIONS(1168),
    [anon_sym_enum] = ACTIONS(1168),
    [anon_sym_struct] = ACTIONS(1168),
    [anon_sym_union] = ACTIONS(1168),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_else] = ACTIONS(1168),
    [anon_sym_switch] = ACTIONS(1168),
    [anon_sym_case] = ACTIONS(1168),
    [anon_sym_default] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_for] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_continue] = ACTIONS(1168),
    [anon_sym_goto] = ACTIONS(1168),
    [anon_sym___try] = ACTIONS(1168),
    [anon_sym___leave] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [anon_sym_sizeof] = ACTIONS(1168),
    [anon_sym___alignof__] = ACTIONS(1168),
    [anon_sym___alignof] = ACTIONS(1168),
    [anon_sym__alignof] = ACTIONS(1168),
    [anon_sym_alignof] = ACTIONS(1168),
    [anon_sym__Alignof] = ACTIONS(1168),
    [anon_sym_offsetof] = ACTIONS(1168),
    [anon_sym__Generic] = ACTIONS(1168),
    [anon_sym_asm] = ACTIONS(1168),
    [anon_sym___asm__] = ACTIONS(1168),
    [sym_number_literal] = ACTIONS(1170),
    [anon_sym_L_SQUOTE] = ACTIONS(1170),
    [anon_sym_u_SQUOTE] = ACTIONS(1170),
    [anon_sym_U_SQUOTE] = ACTIONS(1170),
    [anon_sym_u8_SQUOTE] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_L_DQUOTE] = ACTIONS(1170),
    [anon_sym_u_DQUOTE] = ACTIONS(1170),
    [anon_sym_U_DQUOTE] = ACTIONS(1170),
    [anon_sym_u8_DQUOTE] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [sym_true] = ACTIONS(1168),
    [sym_false] = ACTIONS(1168),
    [anon_sym_NULL] = ACTIONS(1168),
    [anon_sym_nullptr] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_identifier] = ACTIONS(1168),
    [aux_sym_preproc_include_token1] = ACTIONS(1168),
    [aux_sym_preproc_def_token1] = ACTIONS(1168),
    [aux_sym_preproc_if_token1] = ACTIONS(1168),
    [aux_sym_preproc_if_token2] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1168),
    [aux_sym_preproc_else_token1] = ACTIONS(1168),
    [aux_sym_preproc_elif_token1] = ACTIONS(1168),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1168),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1168),
    [sym_preproc_directive] = ACTIONS(1168),
    [anon_sym_LPAREN2] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_STAR] = ACTIONS(1170),
    [anon_sym_AMP] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [anon_sym___extension__] = ACTIONS(1168),
    [anon_sym_typedef] = ACTIONS(1168),
    [anon_sym_extern] = ACTIONS(1168),
    [anon_sym___attribute__] = ACTIONS(1168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1170),
    [anon_sym___declspec] = ACTIONS(1168),
    [anon_sym___cdecl] = ACTIONS(1168),
    [anon_sym___clrcall] = ACTIONS(1168),
    [anon_sym___stdcall] = ACTIONS(1168),
    [anon_sym___fastcall] = ACTIONS(1168),
    [anon_sym___thiscall] = ACTIONS(1168),
    [anon_sym___vectorcall] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_signed] = ACTIONS(1168),
    [anon_sym_unsigned] = ACTIONS(1168),
    [anon_sym_long] = ACTIONS(1168),
    [anon_sym_short] = ACTIONS(1168),
    [anon_sym_static] = ACTIONS(1168),
    [anon_sym_auto] = ACTIONS(1168),
    [anon_sym_register] = ACTIONS(1168),
    [anon_sym_inline] = ACTIONS(1168),
    [anon_sym___inline] = ACTIONS(1168),
    [anon_sym___inline__] = ACTIONS(1168),
    [anon_sym___forceinline] = ACTIONS(1168),
    [anon_sym_thread_local] = ACTIONS(1168),
    [anon_sym___thread] = ACTIONS(1168),
    [anon_sym_const] = ACTIONS(1168),
    [anon_sym_constexpr] = ACTIONS(1168),
    [anon_sym_volatile] = ACTIONS(1168),
    [anon_sym_restrict] = ACTIONS(1168),
    [anon_sym___restrict__] = ACTIONS(1168),
    [anon_sym__Atomic] = ACTIONS(1168),
    [anon_sym__Noreturn] = ACTIONS(1168),
    [anon_sym_noreturn] = ACTIONS(1168),
    [sym_primitive_type] = ACTIONS(1168),
    [anon_sym_enum] = ACTIONS(1168),
    [anon_sym_struct] = ACTIONS(1168),
    [anon_sym_union] = ACTIONS(1168),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_else] = ACTIONS(1168),
    [anon_sym_switch] = ACTIONS(1168),
    [anon_sym_case] = ACTIONS(1168),
    [anon_sym_default] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_for] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_continue] = ACTIONS(1168),
    [anon_sym_goto] = ACTIONS(1168),
    [anon_sym___try] = ACTIONS(1168),
    [anon_sym___leave] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [anon_sym_sizeof] = ACTIONS(1168),
    [anon_sym___alignof__] = ACTIONS(1168),
    [anon_sym___alignof] = ACTIONS(1168),
    [anon_sym__alignof] = ACTIONS(1168),
    [anon_sym_alignof] = ACTIONS(1168),
    [anon_sym__Alignof] = ACTIONS(1168),
    [anon_sym_offsetof] = ACTIONS(1168),
    [anon_sym__Generic] = ACTIONS(1168),
    [anon_sym_asm] = ACTIONS(1168),
    [anon_sym___asm__] = ACTIONS(1168),
    [sym_number_literal] = ACTIONS(1170),
    [anon_sym_L_SQUOTE] = ACTIONS(1170),
    [anon_sym_u_SQUOTE] = ACTIONS(1170),
    [anon_sym_U_SQUOTE] = ACTIONS(1170),
    [anon_sym_u8_SQUOTE] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_L_DQUOTE] = ACTIONS(1170),
    [anon_sym_u_DQUOTE] = ACTIONS(1170),
    [anon_sym_U_DQUOTE] = ACTIONS(1170),
    [anon_sym_u8_DQUOTE] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [sym_true] = ACTIONS(1168),
    [sym_false] = ACTIONS(1168),
    [anon_sym_NULL] = ACTIONS(1168),
    [anon_sym_nullptr] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_identifier] = ACTIONS(1172),
    [aux_sym_preproc_include_token1] = ACTIONS(1172),
    [aux_sym_preproc_def_token1] = ACTIONS(1172),
    [aux_sym_preproc_if_token1] = ACTIONS(1172),
    [aux_sym_preproc_if_token2] = ACTIONS(1172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1172),
    [aux_sym_preproc_else_token1] = ACTIONS(1172),
    [aux_sym_preproc_elif_token1] = ACTIONS(1172),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1172),
    [sym_preproc_directive] = ACTIONS(1172),
    [anon_sym_LPAREN2] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_STAR] = ACTIONS(1174),
    [anon_sym_AMP] = ACTIONS(1174),
    [anon_sym_SEMI] = ACTIONS(1174),
    [anon_sym___extension__] = ACTIONS(1172),
    [anon_sym_typedef] = ACTIONS(1172),
    [anon_sym_extern] = ACTIONS(1172),
    [anon_sym___attribute__] = ACTIONS(1172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1174),
    [anon_sym___declspec] = ACTIONS(1172),
    [anon_sym___cdecl] = ACTIONS(1172),
    [anon_sym___clrcall] = ACTIONS(1172),
    [anon_sym___stdcall] = ACTIONS(1172),
    [anon_sym___fastcall] = ACTIONS(1172),
    [anon_sym___thiscall] = ACTIONS(1172),
    [anon_sym___vectorcall] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_signed] = ACTIONS(1172),
    [anon_sym_unsigned] = ACTIONS(1172),
    [anon_sym_long] = ACTIONS(1172),
    [anon_sym_short] = ACTIONS(1172),
    [anon_sym_static] = ACTIONS(1172),
    [anon_sym_auto] = ACTIONS(1172),
    [anon_sym_register] = ACTIONS(1172),
    [anon_sym_inline] = ACTIONS(1172),
    [anon_sym___inline] = ACTIONS(1172),
    [anon_sym___inline__] = ACTIONS(1172),
    [anon_sym___forceinline] = ACTIONS(1172),
    [anon_sym_thread_local] = ACTIONS(1172),
    [anon_sym___thread] = ACTIONS(1172),
    [anon_sym_const] = ACTIONS(1172),
    [anon_sym_constexpr] = ACTIONS(1172),
    [anon_sym_volatile] = ACTIONS(1172),
    [anon_sym_restrict] = ACTIONS(1172),
    [anon_sym___restrict__] = ACTIONS(1172),
    [anon_sym__Atomic] = ACTIONS(1172),
    [anon_sym__Noreturn] = ACTIONS(1172),
    [anon_sym_noreturn] = ACTIONS(1172),
    [sym_primitive_type] = ACTIONS(1172),
    [anon_sym_enum] = ACTIONS(1172),
    [anon_sym_struct] = ACTIONS(1172),
    [anon_sym_union] = ACTIONS(1172),
    [anon_sym_if] = ACTIONS(1172),
    [anon_sym_else] = ACTIONS(1172),
    [anon_sym_switch] = ACTIONS(1172),
    [anon_sym_case] = ACTIONS(1172),
    [anon_sym_default] = ACTIONS(1172),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_do] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_return] = ACTIONS(1172),
    [anon_sym_break] = ACTIONS(1172),
    [anon_sym_continue] = ACTIONS(1172),
    [anon_sym_goto] = ACTIONS(1172),
    [anon_sym___try] = ACTIONS(1172),
    [anon_sym___leave] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1174),
    [anon_sym_sizeof] = ACTIONS(1172),
    [anon_sym___alignof__] = ACTIONS(1172),
    [anon_sym___alignof] = ACTIONS(1172),
    [anon_sym__alignof] = ACTIONS(1172),
    [anon_sym_alignof] = ACTIONS(1172),
    [anon_sym__Alignof] = ACTIONS(1172),
    [anon_sym_offsetof] = ACTIONS(1172),
    [anon_sym__Generic] = ACTIONS(1172),
    [anon_sym_asm] = ACTIONS(1172),
    [anon_sym___asm__] = ACTIONS(1172),
    [sym_number_literal] = ACTIONS(1174),
    [anon_sym_L_SQUOTE] = ACTIONS(1174),
    [anon_sym_u_SQUOTE] = ACTIONS(1174),
    [anon_sym_U_SQUOTE] = ACTIONS(1174),
    [anon_sym_u8_SQUOTE] = ACTIONS(1174),
    [anon_sym_SQUOTE] = ACTIONS(1174),
    [anon_sym_L_DQUOTE] = ACTIONS(1174),
    [anon_sym_u_DQUOTE] = ACTIONS(1174),
    [anon_sym_U_DQUOTE] = ACTIONS(1174),
    [anon_sym_u8_DQUOTE] = ACTIONS(1174),
    [anon_sym_DQUOTE] = ACTIONS(1174),
    [sym_true] = ACTIONS(1172),
    [sym_false] = ACTIONS(1172),
    [anon_sym_NULL] = ACTIONS(1172),
    [anon_sym_nullptr] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_identifier] = ACTIONS(1176),
    [aux_sym_preproc_include_token1] = ACTIONS(1176),
    [aux_sym_preproc_def_token1] = ACTIONS(1176),
    [aux_sym_preproc_if_token1] = ACTIONS(1176),
    [aux_sym_preproc_if_token2] = ACTIONS(1176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1176),
    [aux_sym_preproc_else_token1] = ACTIONS(1176),
    [aux_sym_preproc_elif_token1] = ACTIONS(1176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1176),
    [sym_preproc_directive] = ACTIONS(1176),
    [anon_sym_LPAREN2] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_STAR] = ACTIONS(1178),
    [anon_sym_AMP] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [anon_sym___extension__] = ACTIONS(1176),
    [anon_sym_typedef] = ACTIONS(1176),
    [anon_sym_extern] = ACTIONS(1176),
    [anon_sym___attribute__] = ACTIONS(1176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1178),
    [anon_sym___declspec] = ACTIONS(1176),
    [anon_sym___cdecl] = ACTIONS(1176),
    [anon_sym___clrcall] = ACTIONS(1176),
    [anon_sym___stdcall] = ACTIONS(1176),
    [anon_sym___fastcall] = ACTIONS(1176),
    [anon_sym___thiscall] = ACTIONS(1176),
    [anon_sym___vectorcall] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_signed] = ACTIONS(1176),
    [anon_sym_unsigned] = ACTIONS(1176),
    [anon_sym_long] = ACTIONS(1176),
    [anon_sym_short] = ACTIONS(1176),
    [anon_sym_static] = ACTIONS(1176),
    [anon_sym_auto] = ACTIONS(1176),
    [anon_sym_register] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1176),
    [anon_sym___inline] = ACTIONS(1176),
    [anon_sym___inline__] = ACTIONS(1176),
    [anon_sym___forceinline] = ACTIONS(1176),
    [anon_sym_thread_local] = ACTIONS(1176),
    [anon_sym___thread] = ACTIONS(1176),
    [anon_sym_const] = ACTIONS(1176),
    [anon_sym_constexpr] = ACTIONS(1176),
    [anon_sym_volatile] = ACTIONS(1176),
    [anon_sym_restrict] = ACTIONS(1176),
    [anon_sym___restrict__] = ACTIONS(1176),
    [anon_sym__Atomic] = ACTIONS(1176),
    [anon_sym__Noreturn] = ACTIONS(1176),
    [anon_sym_noreturn] = ACTIONS(1176),
    [sym_primitive_type] = ACTIONS(1176),
    [anon_sym_enum] = ACTIONS(1176),
    [anon_sym_struct] = ACTIONS(1176),
    [anon_sym_union] = ACTIONS(1176),
    [anon_sym_if] = ACTIONS(1176),
    [anon_sym_else] = ACTIONS(1176),
    [anon_sym_switch] = ACTIONS(1176),
    [anon_sym_case] = ACTIONS(1176),
    [anon_sym_default] = ACTIONS(1176),
    [anon_sym_while] = ACTIONS(1176),
    [anon_sym_do] = ACTIONS(1176),
    [anon_sym_for] = ACTIONS(1176),
    [anon_sym_return] = ACTIONS(1176),
    [anon_sym_break] = ACTIONS(1176),
    [anon_sym_continue] = ACTIONS(1176),
    [anon_sym_goto] = ACTIONS(1176),
    [anon_sym___try] = ACTIONS(1176),
    [anon_sym___leave] = ACTIONS(1176),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [anon_sym_sizeof] = ACTIONS(1176),
    [anon_sym___alignof__] = ACTIONS(1176),
    [anon_sym___alignof] = ACTIONS(1176),
    [anon_sym__alignof] = ACTIONS(1176),
    [anon_sym_alignof] = ACTIONS(1176),
    [anon_sym__Alignof] = ACTIONS(1176),
    [anon_sym_offsetof] = ACTIONS(1176),
    [anon_sym__Generic] = ACTIONS(1176),
    [anon_sym_asm] = ACTIONS(1176),
    [anon_sym___asm__] = ACTIONS(1176),
    [sym_number_literal] = ACTIONS(1178),
    [anon_sym_L_SQUOTE] = ACTIONS(1178),
    [anon_sym_u_SQUOTE] = ACTIONS(1178),
    [anon_sym_U_SQUOTE] = ACTIONS(1178),
    [anon_sym_u8_SQUOTE] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [anon_sym_L_DQUOTE] = ACTIONS(1178),
    [anon_sym_u_DQUOTE] = ACTIONS(1178),
    [anon_sym_U_DQUOTE] = ACTIONS(1178),
    [anon_sym_u8_DQUOTE] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [sym_true] = ACTIONS(1176),
    [sym_false] = ACTIONS(1176),
    [anon_sym_NULL] = ACTIONS(1176),
    [anon_sym_nullptr] = ACTIONS(1176),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_identifier] = ACTIONS(1180),
    [aux_sym_preproc_include_token1] = ACTIONS(1180),
    [aux_sym_preproc_def_token1] = ACTIONS(1180),
    [aux_sym_preproc_if_token1] = ACTIONS(1180),
    [aux_sym_preproc_if_token2] = ACTIONS(1180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1180),
    [aux_sym_preproc_else_token1] = ACTIONS(1180),
    [aux_sym_preproc_elif_token1] = ACTIONS(1180),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1180),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1180),
    [sym_preproc_directive] = ACTIONS(1180),
    [anon_sym_LPAREN2] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1182),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1182),
    [anon_sym___extension__] = ACTIONS(1180),
    [anon_sym_typedef] = ACTIONS(1180),
    [anon_sym_extern] = ACTIONS(1180),
    [anon_sym___attribute__] = ACTIONS(1180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1182),
    [anon_sym___declspec] = ACTIONS(1180),
    [anon_sym___cdecl] = ACTIONS(1180),
    [anon_sym___clrcall] = ACTIONS(1180),
    [anon_sym___stdcall] = ACTIONS(1180),
    [anon_sym___fastcall] = ACTIONS(1180),
    [anon_sym___thiscall] = ACTIONS(1180),
    [anon_sym___vectorcall] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_signed] = ACTIONS(1180),
    [anon_sym_unsigned] = ACTIONS(1180),
    [anon_sym_long] = ACTIONS(1180),
    [anon_sym_short] = ACTIONS(1180),
    [anon_sym_static] = ACTIONS(1180),
    [anon_sym_auto] = ACTIONS(1180),
    [anon_sym_register] = ACTIONS(1180),
    [anon_sym_inline] = ACTIONS(1180),
    [anon_sym___inline] = ACTIONS(1180),
    [anon_sym___inline__] = ACTIONS(1180),
    [anon_sym___forceinline] = ACTIONS(1180),
    [anon_sym_thread_local] = ACTIONS(1180),
    [anon_sym___thread] = ACTIONS(1180),
    [anon_sym_const] = ACTIONS(1180),
    [anon_sym_constexpr] = ACTIONS(1180),
    [anon_sym_volatile] = ACTIONS(1180),
    [anon_sym_restrict] = ACTIONS(1180),
    [anon_sym___restrict__] = ACTIONS(1180),
    [anon_sym__Atomic] = ACTIONS(1180),
    [anon_sym__Noreturn] = ACTIONS(1180),
    [anon_sym_noreturn] = ACTIONS(1180),
    [sym_primitive_type] = ACTIONS(1180),
    [anon_sym_enum] = ACTIONS(1180),
    [anon_sym_struct] = ACTIONS(1180),
    [anon_sym_union] = ACTIONS(1180),
    [anon_sym_if] = ACTIONS(1180),
    [anon_sym_else] = ACTIONS(1180),
    [anon_sym_switch] = ACTIONS(1180),
    [anon_sym_case] = ACTIONS(1180),
    [anon_sym_default] = ACTIONS(1180),
    [anon_sym_while] = ACTIONS(1180),
    [anon_sym_do] = ACTIONS(1180),
    [anon_sym_for] = ACTIONS(1180),
    [anon_sym_return] = ACTIONS(1180),
    [anon_sym_break] = ACTIONS(1180),
    [anon_sym_continue] = ACTIONS(1180),
    [anon_sym_goto] = ACTIONS(1180),
    [anon_sym___try] = ACTIONS(1180),
    [anon_sym___leave] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [anon_sym_sizeof] = ACTIONS(1180),
    [anon_sym___alignof__] = ACTIONS(1180),
    [anon_sym___alignof] = ACTIONS(1180),
    [anon_sym__alignof] = ACTIONS(1180),
    [anon_sym_alignof] = ACTIONS(1180),
    [anon_sym__Alignof] = ACTIONS(1180),
    [anon_sym_offsetof] = ACTIONS(1180),
    [anon_sym__Generic] = ACTIONS(1180),
    [anon_sym_asm] = ACTIONS(1180),
    [anon_sym___asm__] = ACTIONS(1180),
    [sym_number_literal] = ACTIONS(1182),
    [anon_sym_L_SQUOTE] = ACTIONS(1182),
    [anon_sym_u_SQUOTE] = ACTIONS(1182),
    [anon_sym_U_SQUOTE] = ACTIONS(1182),
    [anon_sym_u8_SQUOTE] = ACTIONS(1182),
    [anon_sym_SQUOTE] = ACTIONS(1182),
    [anon_sym_L_DQUOTE] = ACTIONS(1182),
    [anon_sym_u_DQUOTE] = ACTIONS(1182),
    [anon_sym_U_DQUOTE] = ACTIONS(1182),
    [anon_sym_u8_DQUOTE] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [sym_true] = ACTIONS(1180),
    [sym_false] = ACTIONS(1180),
    [anon_sym_NULL] = ACTIONS(1180),
    [anon_sym_nullptr] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_identifier] = ACTIONS(1184),
    [aux_sym_preproc_include_token1] = ACTIONS(1184),
    [aux_sym_preproc_def_token1] = ACTIONS(1184),
    [aux_sym_preproc_if_token1] = ACTIONS(1184),
    [aux_sym_preproc_if_token2] = ACTIONS(1184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1184),
    [aux_sym_preproc_else_token1] = ACTIONS(1184),
    [aux_sym_preproc_elif_token1] = ACTIONS(1184),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1184),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1184),
    [sym_preproc_directive] = ACTIONS(1184),
    [anon_sym_LPAREN2] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_STAR] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(1186),
    [anon_sym___extension__] = ACTIONS(1184),
    [anon_sym_typedef] = ACTIONS(1184),
    [anon_sym_extern] = ACTIONS(1184),
    [anon_sym___attribute__] = ACTIONS(1184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1186),
    [anon_sym___declspec] = ACTIONS(1184),
    [anon_sym___cdecl] = ACTIONS(1184),
    [anon_sym___clrcall] = ACTIONS(1184),
    [anon_sym___stdcall] = ACTIONS(1184),
    [anon_sym___fastcall] = ACTIONS(1184),
    [anon_sym___thiscall] = ACTIONS(1184),
    [anon_sym___vectorcall] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_signed] = ACTIONS(1184),
    [anon_sym_unsigned] = ACTIONS(1184),
    [anon_sym_long] = ACTIONS(1184),
    [anon_sym_short] = ACTIONS(1184),
    [anon_sym_static] = ACTIONS(1184),
    [anon_sym_auto] = ACTIONS(1184),
    [anon_sym_register] = ACTIONS(1184),
    [anon_sym_inline] = ACTIONS(1184),
    [anon_sym___inline] = ACTIONS(1184),
    [anon_sym___inline__] = ACTIONS(1184),
    [anon_sym___forceinline] = ACTIONS(1184),
    [anon_sym_thread_local] = ACTIONS(1184),
    [anon_sym___thread] = ACTIONS(1184),
    [anon_sym_const] = ACTIONS(1184),
    [anon_sym_constexpr] = ACTIONS(1184),
    [anon_sym_volatile] = ACTIONS(1184),
    [anon_sym_restrict] = ACTIONS(1184),
    [anon_sym___restrict__] = ACTIONS(1184),
    [anon_sym__Atomic] = ACTIONS(1184),
    [anon_sym__Noreturn] = ACTIONS(1184),
    [anon_sym_noreturn] = ACTIONS(1184),
    [sym_primitive_type] = ACTIONS(1184),
    [anon_sym_enum] = ACTIONS(1184),
    [anon_sym_struct] = ACTIONS(1184),
    [anon_sym_union] = ACTIONS(1184),
    [anon_sym_if] = ACTIONS(1184),
    [anon_sym_else] = ACTIONS(1184),
    [anon_sym_switch] = ACTIONS(1184),
    [anon_sym_case] = ACTIONS(1184),
    [anon_sym_default] = ACTIONS(1184),
    [anon_sym_while] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1184),
    [anon_sym_for] = ACTIONS(1184),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_break] = ACTIONS(1184),
    [anon_sym_continue] = ACTIONS(1184),
    [anon_sym_goto] = ACTIONS(1184),
    [anon_sym___try] = ACTIONS(1184),
    [anon_sym___leave] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [anon_sym_sizeof] = ACTIONS(1184),
    [anon_sym___alignof__] = ACTIONS(1184),
    [anon_sym___alignof] = ACTIONS(1184),
    [anon_sym__alignof] = ACTIONS(1184),
    [anon_sym_alignof] = ACTIONS(1184),
    [anon_sym__Alignof] = ACTIONS(1184),
    [anon_sym_offsetof] = ACTIONS(1184),
    [anon_sym__Generic] = ACTIONS(1184),
    [anon_sym_asm] = ACTIONS(1184),
    [anon_sym___asm__] = ACTIONS(1184),
    [sym_number_literal] = ACTIONS(1186),
    [anon_sym_L_SQUOTE] = ACTIONS(1186),
    [anon_sym_u_SQUOTE] = ACTIONS(1186),
    [anon_sym_U_SQUOTE] = ACTIONS(1186),
    [anon_sym_u8_SQUOTE] = ACTIONS(1186),
    [anon_sym_SQUOTE] = ACTIONS(1186),
    [anon_sym_L_DQUOTE] = ACTIONS(1186),
    [anon_sym_u_DQUOTE] = ACTIONS(1186),
    [anon_sym_U_DQUOTE] = ACTIONS(1186),
    [anon_sym_u8_DQUOTE] = ACTIONS(1186),
    [anon_sym_DQUOTE] = ACTIONS(1186),
    [sym_true] = ACTIONS(1184),
    [sym_false] = ACTIONS(1184),
    [anon_sym_NULL] = ACTIONS(1184),
    [anon_sym_nullptr] = ACTIONS(1184),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_identifier] = ACTIONS(1130),
    [aux_sym_preproc_include_token1] = ACTIONS(1130),
    [aux_sym_preproc_def_token1] = ACTIONS(1130),
    [aux_sym_preproc_if_token1] = ACTIONS(1130),
    [aux_sym_preproc_if_token2] = ACTIONS(1130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1130),
    [aux_sym_preproc_else_token1] = ACTIONS(1130),
    [aux_sym_preproc_elif_token1] = ACTIONS(1130),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1130),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1130),
    [sym_preproc_directive] = ACTIONS(1130),
    [anon_sym_LPAREN2] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1128),
    [anon_sym_AMP] = ACTIONS(1128),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym___extension__] = ACTIONS(1130),
    [anon_sym_typedef] = ACTIONS(1130),
    [anon_sym_extern] = ACTIONS(1130),
    [anon_sym___attribute__] = ACTIONS(1130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1128),
    [anon_sym___declspec] = ACTIONS(1130),
    [anon_sym___cdecl] = ACTIONS(1130),
    [anon_sym___clrcall] = ACTIONS(1130),
    [anon_sym___stdcall] = ACTIONS(1130),
    [anon_sym___fastcall] = ACTIONS(1130),
    [anon_sym___thiscall] = ACTIONS(1130),
    [anon_sym___vectorcall] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_signed] = ACTIONS(1130),
    [anon_sym_unsigned] = ACTIONS(1130),
    [anon_sym_long] = ACTIONS(1130),
    [anon_sym_short] = ACTIONS(1130),
    [anon_sym_static] = ACTIONS(1130),
    [anon_sym_auto] = ACTIONS(1130),
    [anon_sym_register] = ACTIONS(1130),
    [anon_sym_inline] = ACTIONS(1130),
    [anon_sym___inline] = ACTIONS(1130),
    [anon_sym___inline__] = ACTIONS(1130),
    [anon_sym___forceinline] = ACTIONS(1130),
    [anon_sym_thread_local] = ACTIONS(1130),
    [anon_sym___thread] = ACTIONS(1130),
    [anon_sym_const] = ACTIONS(1130),
    [anon_sym_constexpr] = ACTIONS(1130),
    [anon_sym_volatile] = ACTIONS(1130),
    [anon_sym_restrict] = ACTIONS(1130),
    [anon_sym___restrict__] = ACTIONS(1130),
    [anon_sym__Atomic] = ACTIONS(1130),
    [anon_sym__Noreturn] = ACTIONS(1130),
    [anon_sym_noreturn] = ACTIONS(1130),
    [sym_primitive_type] = ACTIONS(1130),
    [anon_sym_enum] = ACTIONS(1130),
    [anon_sym_struct] = ACTIONS(1130),
    [anon_sym_union] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1130),
    [anon_sym_else] = ACTIONS(1130),
    [anon_sym_switch] = ACTIONS(1130),
    [anon_sym_case] = ACTIONS(1130),
    [anon_sym_default] = ACTIONS(1130),
    [anon_sym_while] = ACTIONS(1130),
    [anon_sym_do] = ACTIONS(1130),
    [anon_sym_for] = ACTIONS(1130),
    [anon_sym_return] = ACTIONS(1130),
    [anon_sym_break] = ACTIONS(1130),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1130),
    [anon_sym___try] = ACTIONS(1130),
    [anon_sym___leave] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [anon_sym_sizeof] = ACTIONS(1130),
    [anon_sym___alignof__] = ACTIONS(1130),
    [anon_sym___alignof] = ACTIONS(1130),
    [anon_sym__alignof] = ACTIONS(1130),
    [anon_sym_alignof] = ACTIONS(1130),
    [anon_sym__Alignof] = ACTIONS(1130),
    [anon_sym_offsetof] = ACTIONS(1130),
    [anon_sym__Generic] = ACTIONS(1130),
    [anon_sym_asm] = ACTIONS(1130),
    [anon_sym___asm__] = ACTIONS(1130),
    [sym_number_literal] = ACTIONS(1128),
    [anon_sym_L_SQUOTE] = ACTIONS(1128),
    [anon_sym_u_SQUOTE] = ACTIONS(1128),
    [anon_sym_U_SQUOTE] = ACTIONS(1128),
    [anon_sym_u8_SQUOTE] = ACTIONS(1128),
    [anon_sym_SQUOTE] = ACTIONS(1128),
    [anon_sym_L_DQUOTE] = ACTIONS(1128),
    [anon_sym_u_DQUOTE] = ACTIONS(1128),
    [anon_sym_U_DQUOTE] = ACTIONS(1128),
    [anon_sym_u8_DQUOTE] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [sym_true] = ACTIONS(1130),
    [sym_false] = ACTIONS(1130),
    [anon_sym_NULL] = ACTIONS(1130),
    [anon_sym_nullptr] = ACTIONS(1130),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_identifier] = ACTIONS(1188),
    [aux_sym_preproc_include_token1] = ACTIONS(1188),
    [aux_sym_preproc_def_token1] = ACTIONS(1188),
    [aux_sym_preproc_if_token1] = ACTIONS(1188),
    [aux_sym_preproc_if_token2] = ACTIONS(1188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1188),
    [aux_sym_preproc_else_token1] = ACTIONS(1188),
    [aux_sym_preproc_elif_token1] = ACTIONS(1188),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1188),
    [sym_preproc_directive] = ACTIONS(1188),
    [anon_sym_LPAREN2] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1190),
    [anon_sym___extension__] = ACTIONS(1188),
    [anon_sym_typedef] = ACTIONS(1188),
    [anon_sym_extern] = ACTIONS(1188),
    [anon_sym___attribute__] = ACTIONS(1188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1190),
    [anon_sym___declspec] = ACTIONS(1188),
    [anon_sym___cdecl] = ACTIONS(1188),
    [anon_sym___clrcall] = ACTIONS(1188),
    [anon_sym___stdcall] = ACTIONS(1188),
    [anon_sym___fastcall] = ACTIONS(1188),
    [anon_sym___thiscall] = ACTIONS(1188),
    [anon_sym___vectorcall] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_signed] = ACTIONS(1188),
    [anon_sym_unsigned] = ACTIONS(1188),
    [anon_sym_long] = ACTIONS(1188),
    [anon_sym_short] = ACTIONS(1188),
    [anon_sym_static] = ACTIONS(1188),
    [anon_sym_auto] = ACTIONS(1188),
    [anon_sym_register] = ACTIONS(1188),
    [anon_sym_inline] = ACTIONS(1188),
    [anon_sym___inline] = ACTIONS(1188),
    [anon_sym___inline__] = ACTIONS(1188),
    [anon_sym___forceinline] = ACTIONS(1188),
    [anon_sym_thread_local] = ACTIONS(1188),
    [anon_sym___thread] = ACTIONS(1188),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_constexpr] = ACTIONS(1188),
    [anon_sym_volatile] = ACTIONS(1188),
    [anon_sym_restrict] = ACTIONS(1188),
    [anon_sym___restrict__] = ACTIONS(1188),
    [anon_sym__Atomic] = ACTIONS(1188),
    [anon_sym__Noreturn] = ACTIONS(1188),
    [anon_sym_noreturn] = ACTIONS(1188),
    [sym_primitive_type] = ACTIONS(1188),
    [anon_sym_enum] = ACTIONS(1188),
    [anon_sym_struct] = ACTIONS(1188),
    [anon_sym_union] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_else] = ACTIONS(1188),
    [anon_sym_switch] = ACTIONS(1188),
    [anon_sym_case] = ACTIONS(1188),
    [anon_sym_default] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1188),
    [anon_sym_return] = ACTIONS(1188),
    [anon_sym_break] = ACTIONS(1188),
    [anon_sym_continue] = ACTIONS(1188),
    [anon_sym_goto] = ACTIONS(1188),
    [anon_sym___try] = ACTIONS(1188),
    [anon_sym___leave] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [anon_sym_sizeof] = ACTIONS(1188),
    [anon_sym___alignof__] = ACTIONS(1188),
    [anon_sym___alignof] = ACTIONS(1188),
    [anon_sym__alignof] = ACTIONS(1188),
    [anon_sym_alignof] = ACTIONS(1188),
    [anon_sym__Alignof] = ACTIONS(1188),
    [anon_sym_offsetof] = ACTIONS(1188),
    [anon_sym__Generic] = ACTIONS(1188),
    [anon_sym_asm] = ACTIONS(1188),
    [anon_sym___asm__] = ACTIONS(1188),
    [sym_number_literal] = ACTIONS(1190),
    [anon_sym_L_SQUOTE] = ACTIONS(1190),
    [anon_sym_u_SQUOTE] = ACTIONS(1190),
    [anon_sym_U_SQUOTE] = ACTIONS(1190),
    [anon_sym_u8_SQUOTE] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1190),
    [anon_sym_L_DQUOTE] = ACTIONS(1190),
    [anon_sym_u_DQUOTE] = ACTIONS(1190),
    [anon_sym_U_DQUOTE] = ACTIONS(1190),
    [anon_sym_u8_DQUOTE] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [sym_true] = ACTIONS(1188),
    [sym_false] = ACTIONS(1188),
    [anon_sym_NULL] = ACTIONS(1188),
    [anon_sym_nullptr] = ACTIONS(1188),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_identifier] = ACTIONS(1192),
    [aux_sym_preproc_include_token1] = ACTIONS(1192),
    [aux_sym_preproc_def_token1] = ACTIONS(1192),
    [aux_sym_preproc_if_token1] = ACTIONS(1192),
    [aux_sym_preproc_if_token2] = ACTIONS(1192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1192),
    [aux_sym_preproc_else_token1] = ACTIONS(1192),
    [aux_sym_preproc_elif_token1] = ACTIONS(1192),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1192),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1192),
    [sym_preproc_directive] = ACTIONS(1192),
    [anon_sym_LPAREN2] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [anon_sym___extension__] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1192),
    [anon_sym_extern] = ACTIONS(1192),
    [anon_sym___attribute__] = ACTIONS(1192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1194),
    [anon_sym___declspec] = ACTIONS(1192),
    [anon_sym___cdecl] = ACTIONS(1192),
    [anon_sym___clrcall] = ACTIONS(1192),
    [anon_sym___stdcall] = ACTIONS(1192),
    [anon_sym___fastcall] = ACTIONS(1192),
    [anon_sym___thiscall] = ACTIONS(1192),
    [anon_sym___vectorcall] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_signed] = ACTIONS(1192),
    [anon_sym_unsigned] = ACTIONS(1192),
    [anon_sym_long] = ACTIONS(1192),
    [anon_sym_short] = ACTIONS(1192),
    [anon_sym_static] = ACTIONS(1192),
    [anon_sym_auto] = ACTIONS(1192),
    [anon_sym_register] = ACTIONS(1192),
    [anon_sym_inline] = ACTIONS(1192),
    [anon_sym___inline] = ACTIONS(1192),
    [anon_sym___inline__] = ACTIONS(1192),
    [anon_sym___forceinline] = ACTIONS(1192),
    [anon_sym_thread_local] = ACTIONS(1192),
    [anon_sym___thread] = ACTIONS(1192),
    [anon_sym_const] = ACTIONS(1192),
    [anon_sym_constexpr] = ACTIONS(1192),
    [anon_sym_volatile] = ACTIONS(1192),
    [anon_sym_restrict] = ACTIONS(1192),
    [anon_sym___restrict__] = ACTIONS(1192),
    [anon_sym__Atomic] = ACTIONS(1192),
    [anon_sym__Noreturn] = ACTIONS(1192),
    [anon_sym_noreturn] = ACTIONS(1192),
    [sym_primitive_type] = ACTIONS(1192),
    [anon_sym_enum] = ACTIONS(1192),
    [anon_sym_struct] = ACTIONS(1192),
    [anon_sym_union] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1192),
    [anon_sym_else] = ACTIONS(1192),
    [anon_sym_switch] = ACTIONS(1192),
    [anon_sym_case] = ACTIONS(1192),
    [anon_sym_default] = ACTIONS(1192),
    [anon_sym_while] = ACTIONS(1192),
    [anon_sym_do] = ACTIONS(1192),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_return] = ACTIONS(1192),
    [anon_sym_break] = ACTIONS(1192),
    [anon_sym_continue] = ACTIONS(1192),
    [anon_sym_goto] = ACTIONS(1192),
    [anon_sym___try] = ACTIONS(1192),
    [anon_sym___leave] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_sizeof] = ACTIONS(1192),
    [anon_sym___alignof__] = ACTIONS(1192),
    [anon_sym___alignof] = ACTIONS(1192),
    [anon_sym__alignof] = ACTIONS(1192),
    [anon_sym_alignof] = ACTIONS(1192),
    [anon_sym__Alignof] = ACTIONS(1192),
    [anon_sym_offsetof] = ACTIONS(1192),
    [anon_sym__Generic] = ACTIONS(1192),
    [anon_sym_asm] = ACTIONS(1192),
    [anon_sym___asm__] = ACTIONS(1192),
    [sym_number_literal] = ACTIONS(1194),
    [anon_sym_L_SQUOTE] = ACTIONS(1194),
    [anon_sym_u_SQUOTE] = ACTIONS(1194),
    [anon_sym_U_SQUOTE] = ACTIONS(1194),
    [anon_sym_u8_SQUOTE] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [anon_sym_L_DQUOTE] = ACTIONS(1194),
    [anon_sym_u_DQUOTE] = ACTIONS(1194),
    [anon_sym_U_DQUOTE] = ACTIONS(1194),
    [anon_sym_u8_DQUOTE] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [sym_true] = ACTIONS(1192),
    [sym_false] = ACTIONS(1192),
    [anon_sym_NULL] = ACTIONS(1192),
    [anon_sym_nullptr] = ACTIONS(1192),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_identifier] = ACTIONS(1196),
    [aux_sym_preproc_include_token1] = ACTIONS(1196),
    [aux_sym_preproc_def_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token2] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [aux_sym_preproc_else_token1] = ACTIONS(1196),
    [aux_sym_preproc_elif_token1] = ACTIONS(1196),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym___extension__] = ACTIONS(1196),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym___attribute__] = ACTIONS(1196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1198),
    [anon_sym___declspec] = ACTIONS(1196),
    [anon_sym___cdecl] = ACTIONS(1196),
    [anon_sym___clrcall] = ACTIONS(1196),
    [anon_sym___stdcall] = ACTIONS(1196),
    [anon_sym___fastcall] = ACTIONS(1196),
    [anon_sym___thiscall] = ACTIONS(1196),
    [anon_sym___vectorcall] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_signed] = ACTIONS(1196),
    [anon_sym_unsigned] = ACTIONS(1196),
    [anon_sym_long] = ACTIONS(1196),
    [anon_sym_short] = ACTIONS(1196),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_auto] = ACTIONS(1196),
    [anon_sym_register] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(1196),
    [anon_sym___inline] = ACTIONS(1196),
    [anon_sym___inline__] = ACTIONS(1196),
    [anon_sym___forceinline] = ACTIONS(1196),
    [anon_sym_thread_local] = ACTIONS(1196),
    [anon_sym___thread] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_constexpr] = ACTIONS(1196),
    [anon_sym_volatile] = ACTIONS(1196),
    [anon_sym_restrict] = ACTIONS(1196),
    [anon_sym___restrict__] = ACTIONS(1196),
    [anon_sym__Atomic] = ACTIONS(1196),
    [anon_sym__Noreturn] = ACTIONS(1196),
    [anon_sym_noreturn] = ACTIONS(1196),
    [sym_primitive_type] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_goto] = ACTIONS(1196),
    [anon_sym___try] = ACTIONS(1196),
    [anon_sym___leave] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_sizeof] = ACTIONS(1196),
    [anon_sym___alignof__] = ACTIONS(1196),
    [anon_sym___alignof] = ACTIONS(1196),
    [anon_sym__alignof] = ACTIONS(1196),
    [anon_sym_alignof] = ACTIONS(1196),
    [anon_sym__Alignof] = ACTIONS(1196),
    [anon_sym_offsetof] = ACTIONS(1196),
    [anon_sym__Generic] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1196),
    [anon_sym___asm__] = ACTIONS(1196),
    [sym_number_literal] = ACTIONS(1198),
    [anon_sym_L_SQUOTE] = ACTIONS(1198),
    [anon_sym_u_SQUOTE] = ACTIONS(1198),
    [anon_sym_U_SQUOTE] = ACTIONS(1198),
    [anon_sym_u8_SQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_L_DQUOTE] = ACTIONS(1198),
    [anon_sym_u_DQUOTE] = ACTIONS(1198),
    [anon_sym_U_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8_DQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_true] = ACTIONS(1196),
    [sym_false] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1196),
    [anon_sym_nullptr] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_identifier] = ACTIONS(1116),
    [aux_sym_preproc_include_token1] = ACTIONS(1116),
    [aux_sym_preproc_def_token1] = ACTIONS(1116),
    [aux_sym_preproc_if_token1] = ACTIONS(1116),
    [aux_sym_preproc_if_token2] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1116),
    [aux_sym_preproc_else_token1] = ACTIONS(1116),
    [aux_sym_preproc_elif_token1] = ACTIONS(1116),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1116),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1116),
    [sym_preproc_directive] = ACTIONS(1116),
    [anon_sym_LPAREN2] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1118),
    [anon_sym___extension__] = ACTIONS(1116),
    [anon_sym_typedef] = ACTIONS(1116),
    [anon_sym_extern] = ACTIONS(1116),
    [anon_sym___attribute__] = ACTIONS(1116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1118),
    [anon_sym___declspec] = ACTIONS(1116),
    [anon_sym___cdecl] = ACTIONS(1116),
    [anon_sym___clrcall] = ACTIONS(1116),
    [anon_sym___stdcall] = ACTIONS(1116),
    [anon_sym___fastcall] = ACTIONS(1116),
    [anon_sym___thiscall] = ACTIONS(1116),
    [anon_sym___vectorcall] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_signed] = ACTIONS(1116),
    [anon_sym_unsigned] = ACTIONS(1116),
    [anon_sym_long] = ACTIONS(1116),
    [anon_sym_short] = ACTIONS(1116),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_auto] = ACTIONS(1116),
    [anon_sym_register] = ACTIONS(1116),
    [anon_sym_inline] = ACTIONS(1116),
    [anon_sym___inline] = ACTIONS(1116),
    [anon_sym___inline__] = ACTIONS(1116),
    [anon_sym___forceinline] = ACTIONS(1116),
    [anon_sym_thread_local] = ACTIONS(1116),
    [anon_sym___thread] = ACTIONS(1116),
    [anon_sym_const] = ACTIONS(1116),
    [anon_sym_constexpr] = ACTIONS(1116),
    [anon_sym_volatile] = ACTIONS(1116),
    [anon_sym_restrict] = ACTIONS(1116),
    [anon_sym___restrict__] = ACTIONS(1116),
    [anon_sym__Atomic] = ACTIONS(1116),
    [anon_sym__Noreturn] = ACTIONS(1116),
    [anon_sym_noreturn] = ACTIONS(1116),
    [sym_primitive_type] = ACTIONS(1116),
    [anon_sym_enum] = ACTIONS(1116),
    [anon_sym_struct] = ACTIONS(1116),
    [anon_sym_union] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_else] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1116),
    [anon_sym_while] = ACTIONS(1116),
    [anon_sym_do] = ACTIONS(1116),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_return] = ACTIONS(1116),
    [anon_sym_break] = ACTIONS(1116),
    [anon_sym_continue] = ACTIONS(1116),
    [anon_sym_goto] = ACTIONS(1116),
    [anon_sym___try] = ACTIONS(1116),
    [anon_sym___leave] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_sizeof] = ACTIONS(1116),
    [anon_sym___alignof__] = ACTIONS(1116),
    [anon_sym___alignof] = ACTIONS(1116),
    [anon_sym__alignof] = ACTIONS(1116),
    [anon_sym_alignof] = ACTIONS(1116),
    [anon_sym__Alignof] = ACTIONS(1116),
    [anon_sym_offsetof] = ACTIONS(1116),
    [anon_sym__Generic] = ACTIONS(1116),
    [anon_sym_asm] = ACTIONS(1116),
    [anon_sym___asm__] = ACTIONS(1116),
    [sym_number_literal] = ACTIONS(1118),
    [anon_sym_L_SQUOTE] = ACTIONS(1118),
    [anon_sym_u_SQUOTE] = ACTIONS(1118),
    [anon_sym_U_SQUOTE] = ACTIONS(1118),
    [anon_sym_u8_SQUOTE] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_L_DQUOTE] = ACTIONS(1118),
    [anon_sym_u_DQUOTE] = ACTIONS(1118),
    [anon_sym_U_DQUOTE] = ACTIONS(1118),
    [anon_sym_u8_DQUOTE] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [sym_true] = ACTIONS(1116),
    [sym_false] = ACTIONS(1116),
    [anon_sym_NULL] = ACTIONS(1116),
    [anon_sym_nullptr] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token2] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [aux_sym_preproc_else_token1] = ACTIONS(1200),
    [aux_sym_preproc_elif_token1] = ACTIONS(1200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym___extension__] = ACTIONS(1200),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym___inline] = ACTIONS(1200),
    [anon_sym___inline__] = ACTIONS(1200),
    [anon_sym___forceinline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym___thread] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym___try] = ACTIONS(1200),
    [anon_sym___leave] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym___alignof__] = ACTIONS(1200),
    [anon_sym___alignof] = ACTIONS(1200),
    [anon_sym__alignof] = ACTIONS(1200),
    [anon_sym_alignof] = ACTIONS(1200),
    [anon_sym__Alignof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1204),
    [aux_sym_preproc_def_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token2] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1204),
    [aux_sym_preproc_else_token1] = ACTIONS(1204),
    [aux_sym_preproc_elif_token1] = ACTIONS(1204),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1204),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym___extension__] = ACTIONS(1204),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_extern] = ACTIONS(1204),
    [anon_sym___attribute__] = ACTIONS(1204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1206),
    [anon_sym___declspec] = ACTIONS(1204),
    [anon_sym___cdecl] = ACTIONS(1204),
    [anon_sym___clrcall] = ACTIONS(1204),
    [anon_sym___stdcall] = ACTIONS(1204),
    [anon_sym___fastcall] = ACTIONS(1204),
    [anon_sym___thiscall] = ACTIONS(1204),
    [anon_sym___vectorcall] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_signed] = ACTIONS(1204),
    [anon_sym_unsigned] = ACTIONS(1204),
    [anon_sym_long] = ACTIONS(1204),
    [anon_sym_short] = ACTIONS(1204),
    [anon_sym_static] = ACTIONS(1204),
    [anon_sym_auto] = ACTIONS(1204),
    [anon_sym_register] = ACTIONS(1204),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym___inline] = ACTIONS(1204),
    [anon_sym___inline__] = ACTIONS(1204),
    [anon_sym___forceinline] = ACTIONS(1204),
    [anon_sym_thread_local] = ACTIONS(1204),
    [anon_sym___thread] = ACTIONS(1204),
    [anon_sym_const] = ACTIONS(1204),
    [anon_sym_constexpr] = ACTIONS(1204),
    [anon_sym_volatile] = ACTIONS(1204),
    [anon_sym_restrict] = ACTIONS(1204),
    [anon_sym___restrict__] = ACTIONS(1204),
    [anon_sym__Atomic] = ACTIONS(1204),
    [anon_sym__Noreturn] = ACTIONS(1204),
    [anon_sym_noreturn] = ACTIONS(1204),
    [sym_primitive_type] = ACTIONS(1204),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1204),
    [anon_sym_union] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_case] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_break] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym___try] = ACTIONS(1204),
    [anon_sym___leave] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_sizeof] = ACTIONS(1204),
    [anon_sym___alignof__] = ACTIONS(1204),
    [anon_sym___alignof] = ACTIONS(1204),
    [anon_sym__alignof] = ACTIONS(1204),
    [anon_sym_alignof] = ACTIONS(1204),
    [anon_sym__Alignof] = ACTIONS(1204),
    [anon_sym_offsetof] = ACTIONS(1204),
    [anon_sym__Generic] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1204),
    [anon_sym___asm__] = ACTIONS(1204),
    [sym_number_literal] = ACTIONS(1206),
    [anon_sym_L_SQUOTE] = ACTIONS(1206),
    [anon_sym_u_SQUOTE] = ACTIONS(1206),
    [anon_sym_U_SQUOTE] = ACTIONS(1206),
    [anon_sym_u8_SQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_L_DQUOTE] = ACTIONS(1206),
    [anon_sym_u_DQUOTE] = ACTIONS(1206),
    [anon_sym_U_DQUOTE] = ACTIONS(1206),
    [anon_sym_u8_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [sym_true] = ACTIONS(1204),
    [sym_false] = ACTIONS(1204),
    [anon_sym_NULL] = ACTIONS(1204),
    [anon_sym_nullptr] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1208),
    [aux_sym_preproc_def_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token2] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1208),
    [aux_sym_preproc_else_token1] = ACTIONS(1208),
    [aux_sym_preproc_elif_token1] = ACTIONS(1208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1208),
    [sym_preproc_directive] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym___extension__] = ACTIONS(1208),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym___attribute__] = ACTIONS(1208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1210),
    [anon_sym___declspec] = ACTIONS(1208),
    [anon_sym___cdecl] = ACTIONS(1208),
    [anon_sym___clrcall] = ACTIONS(1208),
    [anon_sym___stdcall] = ACTIONS(1208),
    [anon_sym___fastcall] = ACTIONS(1208),
    [anon_sym___thiscall] = ACTIONS(1208),
    [anon_sym___vectorcall] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_signed] = ACTIONS(1208),
    [anon_sym_unsigned] = ACTIONS(1208),
    [anon_sym_long] = ACTIONS(1208),
    [anon_sym_short] = ACTIONS(1208),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_auto] = ACTIONS(1208),
    [anon_sym_register] = ACTIONS(1208),
    [anon_sym_inline] = ACTIONS(1208),
    [anon_sym___inline] = ACTIONS(1208),
    [anon_sym___inline__] = ACTIONS(1208),
    [anon_sym___forceinline] = ACTIONS(1208),
    [anon_sym_thread_local] = ACTIONS(1208),
    [anon_sym___thread] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_constexpr] = ACTIONS(1208),
    [anon_sym_volatile] = ACTIONS(1208),
    [anon_sym_restrict] = ACTIONS(1208),
    [anon_sym___restrict__] = ACTIONS(1208),
    [anon_sym__Atomic] = ACTIONS(1208),
    [anon_sym__Noreturn] = ACTIONS(1208),
    [anon_sym_noreturn] = ACTIONS(1208),
    [sym_primitive_type] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_goto] = ACTIONS(1208),
    [anon_sym___try] = ACTIONS(1208),
    [anon_sym___leave] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_sizeof] = ACTIONS(1208),
    [anon_sym___alignof__] = ACTIONS(1208),
    [anon_sym___alignof] = ACTIONS(1208),
    [anon_sym__alignof] = ACTIONS(1208),
    [anon_sym_alignof] = ACTIONS(1208),
    [anon_sym__Alignof] = ACTIONS(1208),
    [anon_sym_offsetof] = ACTIONS(1208),
    [anon_sym__Generic] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1208),
    [anon_sym___asm__] = ACTIONS(1208),
    [sym_number_literal] = ACTIONS(1210),
    [anon_sym_L_SQUOTE] = ACTIONS(1210),
    [anon_sym_u_SQUOTE] = ACTIONS(1210),
    [anon_sym_U_SQUOTE] = ACTIONS(1210),
    [anon_sym_u8_SQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_L_DQUOTE] = ACTIONS(1210),
    [anon_sym_u_DQUOTE] = ACTIONS(1210),
    [anon_sym_U_DQUOTE] = ACTIONS(1210),
    [anon_sym_u8_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_true] = ACTIONS(1208),
    [sym_false] = ACTIONS(1208),
    [anon_sym_NULL] = ACTIONS(1208),
    [anon_sym_nullptr] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_identifier] = ACTIONS(1212),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [aux_sym_preproc_else_token1] = ACTIONS(1212),
    [aux_sym_preproc_elif_token1] = ACTIONS(1212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym___extension__] = ACTIONS(1212),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_extern] = ACTIONS(1212),
    [anon_sym___attribute__] = ACTIONS(1212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1214),
    [anon_sym___declspec] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_signed] = ACTIONS(1212),
    [anon_sym_unsigned] = ACTIONS(1212),
    [anon_sym_long] = ACTIONS(1212),
    [anon_sym_short] = ACTIONS(1212),
    [anon_sym_static] = ACTIONS(1212),
    [anon_sym_auto] = ACTIONS(1212),
    [anon_sym_register] = ACTIONS(1212),
    [anon_sym_inline] = ACTIONS(1212),
    [anon_sym___inline] = ACTIONS(1212),
    [anon_sym___inline__] = ACTIONS(1212),
    [anon_sym___forceinline] = ACTIONS(1212),
    [anon_sym_thread_local] = ACTIONS(1212),
    [anon_sym___thread] = ACTIONS(1212),
    [anon_sym_const] = ACTIONS(1212),
    [anon_sym_constexpr] = ACTIONS(1212),
    [anon_sym_volatile] = ACTIONS(1212),
    [anon_sym_restrict] = ACTIONS(1212),
    [anon_sym___restrict__] = ACTIONS(1212),
    [anon_sym__Atomic] = ACTIONS(1212),
    [anon_sym__Noreturn] = ACTIONS(1212),
    [anon_sym_noreturn] = ACTIONS(1212),
    [sym_primitive_type] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1212),
    [anon_sym_union] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym___try] = ACTIONS(1212),
    [anon_sym___leave] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_sizeof] = ACTIONS(1212),
    [anon_sym___alignof__] = ACTIONS(1212),
    [anon_sym___alignof] = ACTIONS(1212),
    [anon_sym__alignof] = ACTIONS(1212),
    [anon_sym_alignof] = ACTIONS(1212),
    [anon_sym__Alignof] = ACTIONS(1212),
    [anon_sym_offsetof] = ACTIONS(1212),
    [anon_sym__Generic] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1212),
    [anon_sym___asm__] = ACTIONS(1212),
    [sym_number_literal] = ACTIONS(1214),
    [anon_sym_L_SQUOTE] = ACTIONS(1214),
    [anon_sym_u_SQUOTE] = ACTIONS(1214),
    [anon_sym_U_SQUOTE] = ACTIONS(1214),
    [anon_sym_u8_SQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_L_DQUOTE] = ACTIONS(1214),
    [anon_sym_u_DQUOTE] = ACTIONS(1214),
    [anon_sym_U_DQUOTE] = ACTIONS(1214),
    [anon_sym_u8_DQUOTE] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [anon_sym_NULL] = ACTIONS(1212),
    [anon_sym_nullptr] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_identifier] = ACTIONS(1212),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [anon_sym_COMMA] = ACTIONS(1214),
    [anon_sym_RPAREN] = ACTIONS(1214),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym___extension__] = ACTIONS(1212),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_extern] = ACTIONS(1212),
    [anon_sym___attribute__] = ACTIONS(1212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1214),
    [anon_sym___declspec] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_signed] = ACTIONS(1212),
    [anon_sym_unsigned] = ACTIONS(1212),
    [anon_sym_long] = ACTIONS(1212),
    [anon_sym_short] = ACTIONS(1212),
    [anon_sym_static] = ACTIONS(1212),
    [anon_sym_auto] = ACTIONS(1212),
    [anon_sym_register] = ACTIONS(1212),
    [anon_sym_inline] = ACTIONS(1212),
    [anon_sym___inline] = ACTIONS(1212),
    [anon_sym___inline__] = ACTIONS(1212),
    [anon_sym___forceinline] = ACTIONS(1212),
    [anon_sym_thread_local] = ACTIONS(1212),
    [anon_sym___thread] = ACTIONS(1212),
    [anon_sym_const] = ACTIONS(1212),
    [anon_sym_constexpr] = ACTIONS(1212),
    [anon_sym_volatile] = ACTIONS(1212),
    [anon_sym_restrict] = ACTIONS(1212),
    [anon_sym___restrict__] = ACTIONS(1212),
    [anon_sym__Atomic] = ACTIONS(1212),
    [anon_sym__Noreturn] = ACTIONS(1212),
    [anon_sym_noreturn] = ACTIONS(1212),
    [sym_primitive_type] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1212),
    [anon_sym_union] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym___try] = ACTIONS(1212),
    [anon_sym___except] = ACTIONS(1212),
    [anon_sym___finally] = ACTIONS(1212),
    [anon_sym___leave] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_sizeof] = ACTIONS(1212),
    [anon_sym___alignof__] = ACTIONS(1212),
    [anon_sym___alignof] = ACTIONS(1212),
    [anon_sym__alignof] = ACTIONS(1212),
    [anon_sym_alignof] = ACTIONS(1212),
    [anon_sym__Alignof] = ACTIONS(1212),
    [anon_sym_offsetof] = ACTIONS(1212),
    [anon_sym__Generic] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1212),
    [anon_sym___asm__] = ACTIONS(1212),
    [sym_number_literal] = ACTIONS(1214),
    [anon_sym_L_SQUOTE] = ACTIONS(1214),
    [anon_sym_u_SQUOTE] = ACTIONS(1214),
    [anon_sym_U_SQUOTE] = ACTIONS(1214),
    [anon_sym_u8_SQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_L_DQUOTE] = ACTIONS(1214),
    [anon_sym_u_DQUOTE] = ACTIONS(1214),
    [anon_sym_U_DQUOTE] = ACTIONS(1214),
    [anon_sym_u8_DQUOTE] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [anon_sym_NULL] = ACTIONS(1212),
    [anon_sym_nullptr] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1216),
    [aux_sym_preproc_def_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token2] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1216),
    [aux_sym_preproc_else_token1] = ACTIONS(1216),
    [aux_sym_preproc_elif_token1] = ACTIONS(1216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1216),
    [sym_preproc_directive] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym___extension__] = ACTIONS(1216),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1216),
    [anon_sym___attribute__] = ACTIONS(1216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1218),
    [anon_sym___declspec] = ACTIONS(1216),
    [anon_sym___cdecl] = ACTIONS(1216),
    [anon_sym___clrcall] = ACTIONS(1216),
    [anon_sym___stdcall] = ACTIONS(1216),
    [anon_sym___fastcall] = ACTIONS(1216),
    [anon_sym___thiscall] = ACTIONS(1216),
    [anon_sym___vectorcall] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_signed] = ACTIONS(1216),
    [anon_sym_unsigned] = ACTIONS(1216),
    [anon_sym_long] = ACTIONS(1216),
    [anon_sym_short] = ACTIONS(1216),
    [anon_sym_static] = ACTIONS(1216),
    [anon_sym_auto] = ACTIONS(1216),
    [anon_sym_register] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1216),
    [anon_sym___inline] = ACTIONS(1216),
    [anon_sym___inline__] = ACTIONS(1216),
    [anon_sym___forceinline] = ACTIONS(1216),
    [anon_sym_thread_local] = ACTIONS(1216),
    [anon_sym___thread] = ACTIONS(1216),
    [anon_sym_const] = ACTIONS(1216),
    [anon_sym_constexpr] = ACTIONS(1216),
    [anon_sym_volatile] = ACTIONS(1216),
    [anon_sym_restrict] = ACTIONS(1216),
    [anon_sym___restrict__] = ACTIONS(1216),
    [anon_sym__Atomic] = ACTIONS(1216),
    [anon_sym__Noreturn] = ACTIONS(1216),
    [anon_sym_noreturn] = ACTIONS(1216),
    [sym_primitive_type] = ACTIONS(1216),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1216),
    [anon_sym_union] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_case] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_goto] = ACTIONS(1216),
    [anon_sym___try] = ACTIONS(1216),
    [anon_sym___leave] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_sizeof] = ACTIONS(1216),
    [anon_sym___alignof__] = ACTIONS(1216),
    [anon_sym___alignof] = ACTIONS(1216),
    [anon_sym__alignof] = ACTIONS(1216),
    [anon_sym_alignof] = ACTIONS(1216),
    [anon_sym__Alignof] = ACTIONS(1216),
    [anon_sym_offsetof] = ACTIONS(1216),
    [anon_sym__Generic] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1216),
    [anon_sym___asm__] = ACTIONS(1216),
    [sym_number_literal] = ACTIONS(1218),
    [anon_sym_L_SQUOTE] = ACTIONS(1218),
    [anon_sym_u_SQUOTE] = ACTIONS(1218),
    [anon_sym_U_SQUOTE] = ACTIONS(1218),
    [anon_sym_u8_SQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_L_DQUOTE] = ACTIONS(1218),
    [anon_sym_u_DQUOTE] = ACTIONS(1218),
    [anon_sym_U_DQUOTE] = ACTIONS(1218),
    [anon_sym_u8_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_true] = ACTIONS(1216),
    [sym_false] = ACTIONS(1216),
    [anon_sym_NULL] = ACTIONS(1216),
    [anon_sym_nullptr] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token2] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [aux_sym_preproc_else_token1] = ACTIONS(1220),
    [aux_sym_preproc_elif_token1] = ACTIONS(1220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym___extension__] = ACTIONS(1220),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym___inline] = ACTIONS(1220),
    [anon_sym___inline__] = ACTIONS(1220),
    [anon_sym___forceinline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym___thread] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym___try] = ACTIONS(1220),
    [anon_sym___leave] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym___alignof__] = ACTIONS(1220),
    [anon_sym___alignof] = ACTIONS(1220),
    [anon_sym__alignof] = ACTIONS(1220),
    [anon_sym_alignof] = ACTIONS(1220),
    [anon_sym__Alignof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_identifier] = ACTIONS(1224),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token2] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [aux_sym_preproc_else_token1] = ACTIONS(1224),
    [aux_sym_preproc_elif_token1] = ACTIONS(1224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym___extension__] = ACTIONS(1224),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1224),
    [anon_sym___attribute__] = ACTIONS(1224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_signed] = ACTIONS(1224),
    [anon_sym_unsigned] = ACTIONS(1224),
    [anon_sym_long] = ACTIONS(1224),
    [anon_sym_short] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(1224),
    [anon_sym_auto] = ACTIONS(1224),
    [anon_sym_register] = ACTIONS(1224),
    [anon_sym_inline] = ACTIONS(1224),
    [anon_sym___inline] = ACTIONS(1224),
    [anon_sym___inline__] = ACTIONS(1224),
    [anon_sym___forceinline] = ACTIONS(1224),
    [anon_sym_thread_local] = ACTIONS(1224),
    [anon_sym___thread] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_constexpr] = ACTIONS(1224),
    [anon_sym_volatile] = ACTIONS(1224),
    [anon_sym_restrict] = ACTIONS(1224),
    [anon_sym___restrict__] = ACTIONS(1224),
    [anon_sym__Atomic] = ACTIONS(1224),
    [anon_sym__Noreturn] = ACTIONS(1224),
    [anon_sym_noreturn] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym___try] = ACTIONS(1224),
    [anon_sym___leave] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_sizeof] = ACTIONS(1224),
    [anon_sym___alignof__] = ACTIONS(1224),
    [anon_sym___alignof] = ACTIONS(1224),
    [anon_sym__alignof] = ACTIONS(1224),
    [anon_sym_alignof] = ACTIONS(1224),
    [anon_sym__Alignof] = ACTIONS(1224),
    [anon_sym_offsetof] = ACTIONS(1224),
    [anon_sym__Generic] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym___asm__] = ACTIONS(1224),
    [sym_number_literal] = ACTIONS(1226),
    [anon_sym_L_SQUOTE] = ACTIONS(1226),
    [anon_sym_u_SQUOTE] = ACTIONS(1226),
    [anon_sym_U_SQUOTE] = ACTIONS(1226),
    [anon_sym_u8_SQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_L_DQUOTE] = ACTIONS(1226),
    [anon_sym_u_DQUOTE] = ACTIONS(1226),
    [anon_sym_U_DQUOTE] = ACTIONS(1226),
    [anon_sym_u8_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_NULL] = ACTIONS(1224),
    [anon_sym_nullptr] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_identifier] = ACTIONS(1228),
    [aux_sym_preproc_include_token1] = ACTIONS(1228),
    [aux_sym_preproc_def_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token2] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1228),
    [aux_sym_preproc_else_token1] = ACTIONS(1228),
    [aux_sym_preproc_elif_token1] = ACTIONS(1228),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1228),
    [sym_preproc_directive] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym___extension__] = ACTIONS(1228),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_extern] = ACTIONS(1228),
    [anon_sym___attribute__] = ACTIONS(1228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1230),
    [anon_sym___declspec] = ACTIONS(1228),
    [anon_sym___cdecl] = ACTIONS(1228),
    [anon_sym___clrcall] = ACTIONS(1228),
    [anon_sym___stdcall] = ACTIONS(1228),
    [anon_sym___fastcall] = ACTIONS(1228),
    [anon_sym___thiscall] = ACTIONS(1228),
    [anon_sym___vectorcall] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_signed] = ACTIONS(1228),
    [anon_sym_unsigned] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_auto] = ACTIONS(1228),
    [anon_sym_register] = ACTIONS(1228),
    [anon_sym_inline] = ACTIONS(1228),
    [anon_sym___inline] = ACTIONS(1228),
    [anon_sym___inline__] = ACTIONS(1228),
    [anon_sym___forceinline] = ACTIONS(1228),
    [anon_sym_thread_local] = ACTIONS(1228),
    [anon_sym___thread] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_constexpr] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_restrict] = ACTIONS(1228),
    [anon_sym___restrict__] = ACTIONS(1228),
    [anon_sym__Atomic] = ACTIONS(1228),
    [anon_sym__Noreturn] = ACTIONS(1228),
    [anon_sym_noreturn] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_struct] = ACTIONS(1228),
    [anon_sym_union] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_goto] = ACTIONS(1228),
    [anon_sym___try] = ACTIONS(1228),
    [anon_sym___leave] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_sizeof] = ACTIONS(1228),
    [anon_sym___alignof__] = ACTIONS(1228),
    [anon_sym___alignof] = ACTIONS(1228),
    [anon_sym__alignof] = ACTIONS(1228),
    [anon_sym_alignof] = ACTIONS(1228),
    [anon_sym__Alignof] = ACTIONS(1228),
    [anon_sym_offsetof] = ACTIONS(1228),
    [anon_sym__Generic] = ACTIONS(1228),
    [anon_sym_asm] = ACTIONS(1228),
    [anon_sym___asm__] = ACTIONS(1228),
    [sym_number_literal] = ACTIONS(1230),
    [anon_sym_L_SQUOTE] = ACTIONS(1230),
    [anon_sym_u_SQUOTE] = ACTIONS(1230),
    [anon_sym_U_SQUOTE] = ACTIONS(1230),
    [anon_sym_u8_SQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_L_DQUOTE] = ACTIONS(1230),
    [anon_sym_u_DQUOTE] = ACTIONS(1230),
    [anon_sym_U_DQUOTE] = ACTIONS(1230),
    [anon_sym_u8_DQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [anon_sym_NULL] = ACTIONS(1228),
    [anon_sym_nullptr] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token2] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [aux_sym_preproc_else_token1] = ACTIONS(1232),
    [aux_sym_preproc_elif_token1] = ACTIONS(1232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym___extension__] = ACTIONS(1232),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1232),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1234),
    [anon_sym___declspec] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_signed] = ACTIONS(1232),
    [anon_sym_unsigned] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_auto] = ACTIONS(1232),
    [anon_sym_register] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1232),
    [anon_sym___inline] = ACTIONS(1232),
    [anon_sym___inline__] = ACTIONS(1232),
    [anon_sym___forceinline] = ACTIONS(1232),
    [anon_sym_thread_local] = ACTIONS(1232),
    [anon_sym___thread] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_constexpr] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_restrict] = ACTIONS(1232),
    [anon_sym___restrict__] = ACTIONS(1232),
    [anon_sym__Atomic] = ACTIONS(1232),
    [anon_sym__Noreturn] = ACTIONS(1232),
    [anon_sym_noreturn] = ACTIONS(1232),
    [sym_primitive_type] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym___try] = ACTIONS(1232),
    [anon_sym___leave] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_sizeof] = ACTIONS(1232),
    [anon_sym___alignof__] = ACTIONS(1232),
    [anon_sym___alignof] = ACTIONS(1232),
    [anon_sym__alignof] = ACTIONS(1232),
    [anon_sym_alignof] = ACTIONS(1232),
    [anon_sym__Alignof] = ACTIONS(1232),
    [anon_sym_offsetof] = ACTIONS(1232),
    [anon_sym__Generic] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym___asm__] = ACTIONS(1232),
    [sym_number_literal] = ACTIONS(1234),
    [anon_sym_L_SQUOTE] = ACTIONS(1234),
    [anon_sym_u_SQUOTE] = ACTIONS(1234),
    [anon_sym_U_SQUOTE] = ACTIONS(1234),
    [anon_sym_u8_SQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_L_DQUOTE] = ACTIONS(1234),
    [anon_sym_u_DQUOTE] = ACTIONS(1234),
    [anon_sym_U_DQUOTE] = ACTIONS(1234),
    [anon_sym_u8_DQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_NULL] = ACTIONS(1232),
    [anon_sym_nullptr] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_identifier] = ACTIONS(1236),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token2] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [aux_sym_preproc_else_token1] = ACTIONS(1236),
    [aux_sym_preproc_elif_token1] = ACTIONS(1236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym___extension__] = ACTIONS(1236),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1236),
    [anon_sym___attribute__] = ACTIONS(1236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_signed] = ACTIONS(1236),
    [anon_sym_unsigned] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_auto] = ACTIONS(1236),
    [anon_sym_register] = ACTIONS(1236),
    [anon_sym_inline] = ACTIONS(1236),
    [anon_sym___inline] = ACTIONS(1236),
    [anon_sym___inline__] = ACTIONS(1236),
    [anon_sym___forceinline] = ACTIONS(1236),
    [anon_sym_thread_local] = ACTIONS(1236),
    [anon_sym___thread] = ACTIONS(1236),
    [anon_sym_const] = ACTIONS(1236),
    [anon_sym_constexpr] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_restrict] = ACTIONS(1236),
    [anon_sym___restrict__] = ACTIONS(1236),
    [anon_sym__Atomic] = ACTIONS(1236),
    [anon_sym__Noreturn] = ACTIONS(1236),
    [anon_sym_noreturn] = ACTIONS(1236),
    [sym_primitive_type] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1236),
    [anon_sym_union] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_goto] = ACTIONS(1236),
    [anon_sym___try] = ACTIONS(1236),
    [anon_sym___leave] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_sizeof] = ACTIONS(1236),
    [anon_sym___alignof__] = ACTIONS(1236),
    [anon_sym___alignof] = ACTIONS(1236),
    [anon_sym__alignof] = ACTIONS(1236),
    [anon_sym_alignof] = ACTIONS(1236),
    [anon_sym__Alignof] = ACTIONS(1236),
    [anon_sym_offsetof] = ACTIONS(1236),
    [anon_sym__Generic] = ACTIONS(1236),
    [anon_sym_asm] = ACTIONS(1236),
    [anon_sym___asm__] = ACTIONS(1236),
    [sym_number_literal] = ACTIONS(1238),
    [anon_sym_L_SQUOTE] = ACTIONS(1238),
    [anon_sym_u_SQUOTE] = ACTIONS(1238),
    [anon_sym_U_SQUOTE] = ACTIONS(1238),
    [anon_sym_u8_SQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_L_DQUOTE] = ACTIONS(1238),
    [anon_sym_u_DQUOTE] = ACTIONS(1238),
    [anon_sym_U_DQUOTE] = ACTIONS(1238),
    [anon_sym_u8_DQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [anon_sym_NULL] = ACTIONS(1236),
    [anon_sym_nullptr] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_identifier] = ACTIONS(1240),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token2] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [aux_sym_preproc_else_token1] = ACTIONS(1240),
    [aux_sym_preproc_elif_token1] = ACTIONS(1240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym___extension__] = ACTIONS(1240),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_extern] = ACTIONS(1240),
    [anon_sym___attribute__] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1242),
    [anon_sym___declspec] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_signed] = ACTIONS(1240),
    [anon_sym_unsigned] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_auto] = ACTIONS(1240),
    [anon_sym_register] = ACTIONS(1240),
    [anon_sym_inline] = ACTIONS(1240),
    [anon_sym___inline] = ACTIONS(1240),
    [anon_sym___inline__] = ACTIONS(1240),
    [anon_sym___forceinline] = ACTIONS(1240),
    [anon_sym_thread_local] = ACTIONS(1240),
    [anon_sym___thread] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_constexpr] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_restrict] = ACTIONS(1240),
    [anon_sym___restrict__] = ACTIONS(1240),
    [anon_sym__Atomic] = ACTIONS(1240),
    [anon_sym__Noreturn] = ACTIONS(1240),
    [anon_sym_noreturn] = ACTIONS(1240),
    [sym_primitive_type] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_struct] = ACTIONS(1240),
    [anon_sym_union] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_goto] = ACTIONS(1240),
    [anon_sym___try] = ACTIONS(1240),
    [anon_sym___leave] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_sizeof] = ACTIONS(1240),
    [anon_sym___alignof__] = ACTIONS(1240),
    [anon_sym___alignof] = ACTIONS(1240),
    [anon_sym__alignof] = ACTIONS(1240),
    [anon_sym_alignof] = ACTIONS(1240),
    [anon_sym__Alignof] = ACTIONS(1240),
    [anon_sym_offsetof] = ACTIONS(1240),
    [anon_sym__Generic] = ACTIONS(1240),
    [anon_sym_asm] = ACTIONS(1240),
    [anon_sym___asm__] = ACTIONS(1240),
    [sym_number_literal] = ACTIONS(1242),
    [anon_sym_L_SQUOTE] = ACTIONS(1242),
    [anon_sym_u_SQUOTE] = ACTIONS(1242),
    [anon_sym_U_SQUOTE] = ACTIONS(1242),
    [anon_sym_u8_SQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_L_DQUOTE] = ACTIONS(1242),
    [anon_sym_u_DQUOTE] = ACTIONS(1242),
    [anon_sym_U_DQUOTE] = ACTIONS(1242),
    [anon_sym_u8_DQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_NULL] = ACTIONS(1240),
    [anon_sym_nullptr] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token2] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [aux_sym_preproc_else_token1] = ACTIONS(1244),
    [aux_sym_preproc_elif_token1] = ACTIONS(1244),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym___extension__] = ACTIONS(1244),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym___inline] = ACTIONS(1244),
    [anon_sym___inline__] = ACTIONS(1244),
    [anon_sym___forceinline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym___thread] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym___try] = ACTIONS(1244),
    [anon_sym___leave] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym___alignof__] = ACTIONS(1244),
    [anon_sym___alignof] = ACTIONS(1244),
    [anon_sym__alignof] = ACTIONS(1244),
    [anon_sym_alignof] = ACTIONS(1244),
    [anon_sym__Alignof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token2] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [aux_sym_preproc_else_token1] = ACTIONS(1248),
    [aux_sym_preproc_elif_token1] = ACTIONS(1248),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym___extension__] = ACTIONS(1248),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym___inline] = ACTIONS(1248),
    [anon_sym___inline__] = ACTIONS(1248),
    [anon_sym___forceinline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym___thread] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym___try] = ACTIONS(1248),
    [anon_sym___leave] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym___alignof__] = ACTIONS(1248),
    [anon_sym___alignof] = ACTIONS(1248),
    [anon_sym__alignof] = ACTIONS(1248),
    [anon_sym_alignof] = ACTIONS(1248),
    [anon_sym__Alignof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token2] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [aux_sym_preproc_else_token1] = ACTIONS(1252),
    [aux_sym_preproc_elif_token1] = ACTIONS(1252),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym___extension__] = ACTIONS(1252),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym___inline] = ACTIONS(1252),
    [anon_sym___inline__] = ACTIONS(1252),
    [anon_sym___forceinline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym___thread] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym___try] = ACTIONS(1252),
    [anon_sym___leave] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym___alignof__] = ACTIONS(1252),
    [anon_sym___alignof] = ACTIONS(1252),
    [anon_sym__alignof] = ACTIONS(1252),
    [anon_sym_alignof] = ACTIONS(1252),
    [anon_sym__Alignof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [aux_sym_preproc_else_token1] = ACTIONS(1256),
    [aux_sym_preproc_elif_token1] = ACTIONS(1256),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym___extension__] = ACTIONS(1256),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym___inline] = ACTIONS(1256),
    [anon_sym___inline__] = ACTIONS(1256),
    [anon_sym___forceinline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym___thread] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym___try] = ACTIONS(1256),
    [anon_sym___leave] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym___alignof__] = ACTIONS(1256),
    [anon_sym___alignof] = ACTIONS(1256),
    [anon_sym__alignof] = ACTIONS(1256),
    [anon_sym_alignof] = ACTIONS(1256),
    [anon_sym__Alignof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token2] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [aux_sym_preproc_else_token1] = ACTIONS(1260),
    [aux_sym_preproc_elif_token1] = ACTIONS(1260),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym___extension__] = ACTIONS(1260),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym___inline] = ACTIONS(1260),
    [anon_sym___inline__] = ACTIONS(1260),
    [anon_sym___forceinline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym___thread] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym___try] = ACTIONS(1260),
    [anon_sym___leave] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym___alignof__] = ACTIONS(1260),
    [anon_sym___alignof] = ACTIONS(1260),
    [anon_sym__alignof] = ACTIONS(1260),
    [anon_sym_alignof] = ACTIONS(1260),
    [anon_sym__Alignof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token2] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [aux_sym_preproc_else_token1] = ACTIONS(1264),
    [aux_sym_preproc_elif_token1] = ACTIONS(1264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym___extension__] = ACTIONS(1264),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym___inline] = ACTIONS(1264),
    [anon_sym___inline__] = ACTIONS(1264),
    [anon_sym___forceinline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym___thread] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym___try] = ACTIONS(1264),
    [anon_sym___leave] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym___alignof__] = ACTIONS(1264),
    [anon_sym___alignof] = ACTIONS(1264),
    [anon_sym__alignof] = ACTIONS(1264),
    [anon_sym_alignof] = ACTIONS(1264),
    [anon_sym__Alignof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token2] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [aux_sym_preproc_else_token1] = ACTIONS(1268),
    [aux_sym_preproc_elif_token1] = ACTIONS(1268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym___extension__] = ACTIONS(1268),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym___inline] = ACTIONS(1268),
    [anon_sym___inline__] = ACTIONS(1268),
    [anon_sym___forceinline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym___thread] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym___try] = ACTIONS(1268),
    [anon_sym___leave] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym___alignof__] = ACTIONS(1268),
    [anon_sym___alignof] = ACTIONS(1268),
    [anon_sym__alignof] = ACTIONS(1268),
    [anon_sym_alignof] = ACTIONS(1268),
    [anon_sym__Alignof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token2] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [aux_sym_preproc_else_token1] = ACTIONS(1272),
    [aux_sym_preproc_elif_token1] = ACTIONS(1272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym___extension__] = ACTIONS(1272),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym___inline] = ACTIONS(1272),
    [anon_sym___inline__] = ACTIONS(1272),
    [anon_sym___forceinline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym___thread] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym___try] = ACTIONS(1272),
    [anon_sym___leave] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym___alignof__] = ACTIONS(1272),
    [anon_sym___alignof] = ACTIONS(1272),
    [anon_sym__alignof] = ACTIONS(1272),
    [anon_sym_alignof] = ACTIONS(1272),
    [anon_sym__Alignof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token2] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [aux_sym_preproc_else_token1] = ACTIONS(1276),
    [aux_sym_preproc_elif_token1] = ACTIONS(1276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym___extension__] = ACTIONS(1276),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym___inline] = ACTIONS(1276),
    [anon_sym___inline__] = ACTIONS(1276),
    [anon_sym___forceinline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym___thread] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym___try] = ACTIONS(1276),
    [anon_sym___leave] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym___alignof__] = ACTIONS(1276),
    [anon_sym___alignof] = ACTIONS(1276),
    [anon_sym__alignof] = ACTIONS(1276),
    [anon_sym_alignof] = ACTIONS(1276),
    [anon_sym__Alignof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token2] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [aux_sym_preproc_else_token1] = ACTIONS(1280),
    [aux_sym_preproc_elif_token1] = ACTIONS(1280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym___extension__] = ACTIONS(1280),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym___inline] = ACTIONS(1280),
    [anon_sym___inline__] = ACTIONS(1280),
    [anon_sym___forceinline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym___thread] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym___try] = ACTIONS(1280),
    [anon_sym___leave] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym___alignof__] = ACTIONS(1280),
    [anon_sym___alignof] = ACTIONS(1280),
    [anon_sym__alignof] = ACTIONS(1280),
    [anon_sym_alignof] = ACTIONS(1280),
    [anon_sym__Alignof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token2] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym___extension__] = ACTIONS(1284),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym___inline] = ACTIONS(1284),
    [anon_sym___inline__] = ACTIONS(1284),
    [anon_sym___forceinline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym___thread] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym___try] = ACTIONS(1284),
    [anon_sym___leave] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym___alignof__] = ACTIONS(1284),
    [anon_sym___alignof] = ACTIONS(1284),
    [anon_sym__alignof] = ACTIONS(1284),
    [anon_sym_alignof] = ACTIONS(1284),
    [anon_sym__Alignof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token2] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [aux_sym_preproc_else_token1] = ACTIONS(1288),
    [aux_sym_preproc_elif_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym___extension__] = ACTIONS(1288),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym___inline] = ACTIONS(1288),
    [anon_sym___inline__] = ACTIONS(1288),
    [anon_sym___forceinline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym___thread] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym___try] = ACTIONS(1288),
    [anon_sym___leave] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym___alignof__] = ACTIONS(1288),
    [anon_sym___alignof] = ACTIONS(1288),
    [anon_sym__alignof] = ACTIONS(1288),
    [anon_sym_alignof] = ACTIONS(1288),
    [anon_sym__Alignof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [aux_sym_preproc_else_token1] = ACTIONS(1292),
    [aux_sym_preproc_elif_token1] = ACTIONS(1292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token2] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [aux_sym_preproc_else_token1] = ACTIONS(1296),
    [aux_sym_preproc_elif_token1] = ACTIONS(1296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym___extension__] = ACTIONS(1296),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym___inline] = ACTIONS(1296),
    [anon_sym___inline__] = ACTIONS(1296),
    [anon_sym___forceinline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym___thread] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym___try] = ACTIONS(1296),
    [anon_sym___leave] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym___alignof__] = ACTIONS(1296),
    [anon_sym___alignof] = ACTIONS(1296),
    [anon_sym__alignof] = ACTIONS(1296),
    [anon_sym_alignof] = ACTIONS(1296),
    [anon_sym__Alignof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token2] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [aux_sym_preproc_else_token1] = ACTIONS(1300),
    [aux_sym_preproc_elif_token1] = ACTIONS(1300),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym___extension__] = ACTIONS(1300),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym___inline] = ACTIONS(1300),
    [anon_sym___inline__] = ACTIONS(1300),
    [anon_sym___forceinline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym___thread] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym___try] = ACTIONS(1300),
    [anon_sym___leave] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym___alignof__] = ACTIONS(1300),
    [anon_sym___alignof] = ACTIONS(1300),
    [anon_sym__alignof] = ACTIONS(1300),
    [anon_sym_alignof] = ACTIONS(1300),
    [anon_sym__Alignof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token2] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [aux_sym_preproc_else_token1] = ACTIONS(1304),
    [aux_sym_preproc_elif_token1] = ACTIONS(1304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym___extension__] = ACTIONS(1304),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym___inline] = ACTIONS(1304),
    [anon_sym___inline__] = ACTIONS(1304),
    [anon_sym___forceinline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym___thread] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym___try] = ACTIONS(1304),
    [anon_sym___leave] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym___alignof__] = ACTIONS(1304),
    [anon_sym___alignof] = ACTIONS(1304),
    [anon_sym__alignof] = ACTIONS(1304),
    [anon_sym_alignof] = ACTIONS(1304),
    [anon_sym__Alignof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [aux_sym_preproc_else_token1] = ACTIONS(1308),
    [aux_sym_preproc_elif_token1] = ACTIONS(1308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [aux_sym_preproc_else_token1] = ACTIONS(1312),
    [aux_sym_preproc_elif_token1] = ACTIONS(1312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [aux_sym_preproc_else_token1] = ACTIONS(1316),
    [aux_sym_preproc_elif_token1] = ACTIONS(1316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token2] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [aux_sym_preproc_else_token1] = ACTIONS(1320),
    [aux_sym_preproc_elif_token1] = ACTIONS(1320),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym___extension__] = ACTIONS(1320),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym___inline] = ACTIONS(1320),
    [anon_sym___inline__] = ACTIONS(1320),
    [anon_sym___forceinline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym___thread] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym___try] = ACTIONS(1320),
    [anon_sym___leave] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [aux_sym_preproc_else_token1] = ACTIONS(1324),
    [aux_sym_preproc_elif_token1] = ACTIONS(1324),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1324),
    [anon_sym___leave] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [aux_sym_preproc_else_token1] = ACTIONS(1328),
    [aux_sym_preproc_elif_token1] = ACTIONS(1328),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym___try] = ACTIONS(1328),
    [anon_sym___leave] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token2] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [aux_sym_preproc_else_token1] = ACTIONS(1332),
    [aux_sym_preproc_elif_token1] = ACTIONS(1332),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym___extension__] = ACTIONS(1332),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym___inline] = ACTIONS(1332),
    [anon_sym___inline__] = ACTIONS(1332),
    [anon_sym___forceinline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym___thread] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym___try] = ACTIONS(1332),
    [anon_sym___leave] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym___alignof__] = ACTIONS(1332),
    [anon_sym___alignof] = ACTIONS(1332),
    [anon_sym__alignof] = ACTIONS(1332),
    [anon_sym_alignof] = ACTIONS(1332),
    [anon_sym__Alignof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [aux_sym_preproc_else_token1] = ACTIONS(1336),
    [aux_sym_preproc_elif_token1] = ACTIONS(1336),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym___extension__] = ACTIONS(1336),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym___inline] = ACTIONS(1336),
    [anon_sym___inline__] = ACTIONS(1336),
    [anon_sym___forceinline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym___thread] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym___try] = ACTIONS(1336),
    [anon_sym___leave] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1336),
    [anon_sym___alignof] = ACTIONS(1336),
    [anon_sym__alignof] = ACTIONS(1336),
    [anon_sym_alignof] = ACTIONS(1336),
    [anon_sym__Alignof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token2] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [aux_sym_preproc_else_token1] = ACTIONS(1340),
    [aux_sym_preproc_elif_token1] = ACTIONS(1340),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym___extension__] = ACTIONS(1340),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym___inline] = ACTIONS(1340),
    [anon_sym___inline__] = ACTIONS(1340),
    [anon_sym___forceinline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym___thread] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym___try] = ACTIONS(1340),
    [anon_sym___leave] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym___alignof__] = ACTIONS(1340),
    [anon_sym___alignof] = ACTIONS(1340),
    [anon_sym__alignof] = ACTIONS(1340),
    [anon_sym_alignof] = ACTIONS(1340),
    [anon_sym__Alignof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [aux_sym_preproc_else_token1] = ACTIONS(1344),
    [aux_sym_preproc_elif_token1] = ACTIONS(1344),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_else_clause] = STATE(251),
    [sym_identifier] = ACTIONS(1106),
    [aux_sym_preproc_include_token1] = ACTIONS(1106),
    [aux_sym_preproc_def_token1] = ACTIONS(1106),
    [aux_sym_preproc_if_token1] = ACTIONS(1106),
    [aux_sym_preproc_if_token2] = ACTIONS(1106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1106),
    [sym_preproc_directive] = ACTIONS(1106),
    [anon_sym_LPAREN2] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_STAR] = ACTIONS(1108),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1108),
    [anon_sym___extension__] = ACTIONS(1106),
    [anon_sym_typedef] = ACTIONS(1106),
    [anon_sym_extern] = ACTIONS(1106),
    [anon_sym___attribute__] = ACTIONS(1106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1108),
    [anon_sym___declspec] = ACTIONS(1106),
    [anon_sym___cdecl] = ACTIONS(1106),
    [anon_sym___clrcall] = ACTIONS(1106),
    [anon_sym___stdcall] = ACTIONS(1106),
    [anon_sym___fastcall] = ACTIONS(1106),
    [anon_sym___thiscall] = ACTIONS(1106),
    [anon_sym___vectorcall] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_signed] = ACTIONS(1106),
    [anon_sym_unsigned] = ACTIONS(1106),
    [anon_sym_long] = ACTIONS(1106),
    [anon_sym_short] = ACTIONS(1106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_auto] = ACTIONS(1106),
    [anon_sym_register] = ACTIONS(1106),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym___inline] = ACTIONS(1106),
    [anon_sym___inline__] = ACTIONS(1106),
    [anon_sym___forceinline] = ACTIONS(1106),
    [anon_sym_thread_local] = ACTIONS(1106),
    [anon_sym___thread] = ACTIONS(1106),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_constexpr] = ACTIONS(1106),
    [anon_sym_volatile] = ACTIONS(1106),
    [anon_sym_restrict] = ACTIONS(1106),
    [anon_sym___restrict__] = ACTIONS(1106),
    [anon_sym__Atomic] = ACTIONS(1106),
    [anon_sym__Noreturn] = ACTIONS(1106),
    [anon_sym_noreturn] = ACTIONS(1106),
    [sym_primitive_type] = ACTIONS(1106),
    [anon_sym_enum] = ACTIONS(1106),
    [anon_sym_struct] = ACTIONS(1106),
    [anon_sym_union] = ACTIONS(1106),
    [anon_sym_if] = ACTIONS(1106),
    [anon_sym_else] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1106),
    [anon_sym_case] = ACTIONS(1106),
    [anon_sym_default] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1106),
    [anon_sym_do] = ACTIONS(1106),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_return] = ACTIONS(1106),
    [anon_sym_break] = ACTIONS(1106),
    [anon_sym_continue] = ACTIONS(1106),
    [anon_sym_goto] = ACTIONS(1106),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1108),
    [anon_sym_sizeof] = ACTIONS(1106),
    [anon_sym___alignof__] = ACTIONS(1106),
    [anon_sym___alignof] = ACTIONS(1106),
    [anon_sym__alignof] = ACTIONS(1106),
    [anon_sym_alignof] = ACTIONS(1106),
    [anon_sym__Alignof] = ACTIONS(1106),
    [anon_sym_offsetof] = ACTIONS(1106),
    [anon_sym__Generic] = ACTIONS(1106),
    [anon_sym_asm] = ACTIONS(1106),
    [anon_sym___asm__] = ACTIONS(1106),
    [sym_number_literal] = ACTIONS(1108),
    [anon_sym_L_SQUOTE] = ACTIONS(1108),
    [anon_sym_u_SQUOTE] = ACTIONS(1108),
    [anon_sym_U_SQUOTE] = ACTIONS(1108),
    [anon_sym_u8_SQUOTE] = ACTIONS(1108),
    [anon_sym_SQUOTE] = ACTIONS(1108),
    [anon_sym_L_DQUOTE] = ACTIONS(1108),
    [anon_sym_u_DQUOTE] = ACTIONS(1108),
    [anon_sym_U_DQUOTE] = ACTIONS(1108),
    [anon_sym_u8_DQUOTE] = ACTIONS(1108),
    [anon_sym_DQUOTE] = ACTIONS(1108),
    [sym_true] = ACTIONS(1106),
    [sym_false] = ACTIONS(1106),
    [anon_sym_NULL] = ACTIONS(1106),
    [anon_sym_nullptr] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym__expression] = STATE(725),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(711),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(711),
    [sym_call_expression] = STATE(711),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(711),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(711),
    [sym_initializer_list] = STATE(714),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_identifier] = ACTIONS(1350),
    [anon_sym_COMMA] = ACTIONS(1352),
    [anon_sym_RPAREN] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(1358),
    [anon_sym_PERCENT] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_PIPE] = ACTIONS(1358),
    [anon_sym_CARET] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_EQ_EQ] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1358),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1358),
    [anon_sym_LT_LT] = ACTIONS(1358),
    [anon_sym_GT_GT] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_EQ] = ACTIONS(1358),
    [anon_sym_COLON] = ACTIONS(1352),
    [anon_sym_QMARK] = ACTIONS(1352),
    [anon_sym_STAR_EQ] = ACTIONS(1352),
    [anon_sym_SLASH_EQ] = ACTIONS(1352),
    [anon_sym_PERCENT_EQ] = ACTIONS(1352),
    [anon_sym_PLUS_EQ] = ACTIONS(1352),
    [anon_sym_DASH_EQ] = ACTIONS(1352),
    [anon_sym_LT_LT_EQ] = ACTIONS(1352),
    [anon_sym_GT_GT_EQ] = ACTIONS(1352),
    [anon_sym_AMP_EQ] = ACTIONS(1352),
    [anon_sym_CARET_EQ] = ACTIONS(1352),
    [anon_sym_PIPE_EQ] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_DASH_GT] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_else_clause] = STATE(234),
    [sym_identifier] = ACTIONS(1106),
    [aux_sym_preproc_include_token1] = ACTIONS(1106),
    [aux_sym_preproc_def_token1] = ACTIONS(1106),
    [aux_sym_preproc_if_token1] = ACTIONS(1106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1106),
    [sym_preproc_directive] = ACTIONS(1106),
    [anon_sym_LPAREN2] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_STAR] = ACTIONS(1108),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1108),
    [anon_sym___extension__] = ACTIONS(1106),
    [anon_sym_typedef] = ACTIONS(1106),
    [anon_sym_extern] = ACTIONS(1106),
    [anon_sym___attribute__] = ACTIONS(1106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1108),
    [anon_sym___declspec] = ACTIONS(1106),
    [anon_sym___cdecl] = ACTIONS(1106),
    [anon_sym___clrcall] = ACTIONS(1106),
    [anon_sym___stdcall] = ACTIONS(1106),
    [anon_sym___fastcall] = ACTIONS(1106),
    [anon_sym___thiscall] = ACTIONS(1106),
    [anon_sym___vectorcall] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [anon_sym_signed] = ACTIONS(1106),
    [anon_sym_unsigned] = ACTIONS(1106),
    [anon_sym_long] = ACTIONS(1106),
    [anon_sym_short] = ACTIONS(1106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_auto] = ACTIONS(1106),
    [anon_sym_register] = ACTIONS(1106),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym___inline] = ACTIONS(1106),
    [anon_sym___inline__] = ACTIONS(1106),
    [anon_sym___forceinline] = ACTIONS(1106),
    [anon_sym_thread_local] = ACTIONS(1106),
    [anon_sym___thread] = ACTIONS(1106),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_constexpr] = ACTIONS(1106),
    [anon_sym_volatile] = ACTIONS(1106),
    [anon_sym_restrict] = ACTIONS(1106),
    [anon_sym___restrict__] = ACTIONS(1106),
    [anon_sym__Atomic] = ACTIONS(1106),
    [anon_sym__Noreturn] = ACTIONS(1106),
    [anon_sym_noreturn] = ACTIONS(1106),
    [sym_primitive_type] = ACTIONS(1106),
    [anon_sym_enum] = ACTIONS(1106),
    [anon_sym_struct] = ACTIONS(1106),
    [anon_sym_union] = ACTIONS(1106),
    [anon_sym_if] = ACTIONS(1106),
    [anon_sym_else] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1106),
    [anon_sym_case] = ACTIONS(1106),
    [anon_sym_default] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1106),
    [anon_sym_do] = ACTIONS(1106),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_return] = ACTIONS(1106),
    [anon_sym_break] = ACTIONS(1106),
    [anon_sym_continue] = ACTIONS(1106),
    [anon_sym_goto] = ACTIONS(1106),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1108),
    [anon_sym_sizeof] = ACTIONS(1106),
    [anon_sym___alignof__] = ACTIONS(1106),
    [anon_sym___alignof] = ACTIONS(1106),
    [anon_sym__alignof] = ACTIONS(1106),
    [anon_sym_alignof] = ACTIONS(1106),
    [anon_sym__Alignof] = ACTIONS(1106),
    [anon_sym_offsetof] = ACTIONS(1106),
    [anon_sym__Generic] = ACTIONS(1106),
    [anon_sym_asm] = ACTIONS(1106),
    [anon_sym___asm__] = ACTIONS(1106),
    [sym_number_literal] = ACTIONS(1108),
    [anon_sym_L_SQUOTE] = ACTIONS(1108),
    [anon_sym_u_SQUOTE] = ACTIONS(1108),
    [anon_sym_U_SQUOTE] = ACTIONS(1108),
    [anon_sym_u8_SQUOTE] = ACTIONS(1108),
    [anon_sym_SQUOTE] = ACTIONS(1108),
    [anon_sym_L_DQUOTE] = ACTIONS(1108),
    [anon_sym_u_DQUOTE] = ACTIONS(1108),
    [anon_sym_U_DQUOTE] = ACTIONS(1108),
    [anon_sym_u8_DQUOTE] = ACTIONS(1108),
    [anon_sym_DQUOTE] = ACTIONS(1108),
    [sym_true] = ACTIONS(1106),
    [sym_false] = ACTIONS(1106),
    [anon_sym_NULL] = ACTIONS(1106),
    [anon_sym_nullptr] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_else_clause] = STATE(175),
    [ts_builtin_sym_end] = ACTIONS(1108),
    [sym_identifier] = ACTIONS(1106),
    [aux_sym_preproc_include_token1] = ACTIONS(1106),
    [aux_sym_preproc_def_token1] = ACTIONS(1106),
    [aux_sym_preproc_if_token1] = ACTIONS(1106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1106),
    [sym_preproc_directive] = ACTIONS(1106),
    [anon_sym_LPAREN2] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_STAR] = ACTIONS(1108),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1108),
    [anon_sym___extension__] = ACTIONS(1106),
    [anon_sym_typedef] = ACTIONS(1106),
    [anon_sym_extern] = ACTIONS(1106),
    [anon_sym___attribute__] = ACTIONS(1106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1108),
    [anon_sym___declspec] = ACTIONS(1106),
    [anon_sym___cdecl] = ACTIONS(1106),
    [anon_sym___clrcall] = ACTIONS(1106),
    [anon_sym___stdcall] = ACTIONS(1106),
    [anon_sym___fastcall] = ACTIONS(1106),
    [anon_sym___thiscall] = ACTIONS(1106),
    [anon_sym___vectorcall] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_signed] = ACTIONS(1106),
    [anon_sym_unsigned] = ACTIONS(1106),
    [anon_sym_long] = ACTIONS(1106),
    [anon_sym_short] = ACTIONS(1106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_auto] = ACTIONS(1106),
    [anon_sym_register] = ACTIONS(1106),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym___inline] = ACTIONS(1106),
    [anon_sym___inline__] = ACTIONS(1106),
    [anon_sym___forceinline] = ACTIONS(1106),
    [anon_sym_thread_local] = ACTIONS(1106),
    [anon_sym___thread] = ACTIONS(1106),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_constexpr] = ACTIONS(1106),
    [anon_sym_volatile] = ACTIONS(1106),
    [anon_sym_restrict] = ACTIONS(1106),
    [anon_sym___restrict__] = ACTIONS(1106),
    [anon_sym__Atomic] = ACTIONS(1106),
    [anon_sym__Noreturn] = ACTIONS(1106),
    [anon_sym_noreturn] = ACTIONS(1106),
    [sym_primitive_type] = ACTIONS(1106),
    [anon_sym_enum] = ACTIONS(1106),
    [anon_sym_struct] = ACTIONS(1106),
    [anon_sym_union] = ACTIONS(1106),
    [anon_sym_if] = ACTIONS(1106),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1106),
    [anon_sym_case] = ACTIONS(1106),
    [anon_sym_default] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1106),
    [anon_sym_do] = ACTIONS(1106),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_return] = ACTIONS(1106),
    [anon_sym_break] = ACTIONS(1106),
    [anon_sym_continue] = ACTIONS(1106),
    [anon_sym_goto] = ACTIONS(1106),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1108),
    [anon_sym_sizeof] = ACTIONS(1106),
    [anon_sym___alignof__] = ACTIONS(1106),
    [anon_sym___alignof] = ACTIONS(1106),
    [anon_sym__alignof] = ACTIONS(1106),
    [anon_sym_alignof] = ACTIONS(1106),
    [anon_sym__Alignof] = ACTIONS(1106),
    [anon_sym_offsetof] = ACTIONS(1106),
    [anon_sym__Generic] = ACTIONS(1106),
    [anon_sym_asm] = ACTIONS(1106),
    [anon_sym___asm__] = ACTIONS(1106),
    [sym_number_literal] = ACTIONS(1108),
    [anon_sym_L_SQUOTE] = ACTIONS(1108),
    [anon_sym_u_SQUOTE] = ACTIONS(1108),
    [anon_sym_U_SQUOTE] = ACTIONS(1108),
    [anon_sym_u8_SQUOTE] = ACTIONS(1108),
    [anon_sym_SQUOTE] = ACTIONS(1108),
    [anon_sym_L_DQUOTE] = ACTIONS(1108),
    [anon_sym_u_DQUOTE] = ACTIONS(1108),
    [anon_sym_U_DQUOTE] = ACTIONS(1108),
    [anon_sym_u8_DQUOTE] = ACTIONS(1108),
    [anon_sym_DQUOTE] = ACTIONS(1108),
    [sym_true] = ACTIONS(1106),
    [sym_false] = ACTIONS(1106),
    [anon_sym_NULL] = ACTIONS(1106),
    [anon_sym_nullptr] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym__expression] = STATE(725),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(711),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(711),
    [sym_call_expression] = STATE(711),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(711),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(711),
    [sym_initializer_list] = STATE(714),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(723),
    [sym_null] = STATE(711),
    [sym_identifier] = ACTIONS(1358),
    [anon_sym_COMMA] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_else_token1] = ACTIONS(1352),
    [aux_sym_preproc_elif_token1] = ACTIONS(1358),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(1358),
    [anon_sym_PERCENT] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_PIPE] = ACTIONS(1358),
    [anon_sym_CARET] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_EQ_EQ] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1358),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1358),
    [anon_sym_LT_LT] = ACTIONS(1358),
    [anon_sym_GT_GT] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_EQ] = ACTIONS(1358),
    [anon_sym_QMARK] = ACTIONS(1352),
    [anon_sym_STAR_EQ] = ACTIONS(1352),
    [anon_sym_SLASH_EQ] = ACTIONS(1352),
    [anon_sym_PERCENT_EQ] = ACTIONS(1352),
    [anon_sym_PLUS_EQ] = ACTIONS(1352),
    [anon_sym_DASH_EQ] = ACTIONS(1352),
    [anon_sym_LT_LT_EQ] = ACTIONS(1352),
    [anon_sym_GT_GT_EQ] = ACTIONS(1352),
    [anon_sym_AMP_EQ] = ACTIONS(1352),
    [anon_sym_CARET_EQ] = ACTIONS(1352),
    [anon_sym_PIPE_EQ] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_DASH_GT] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [ts_builtin_sym_end] = ACTIONS(1142),
    [sym_identifier] = ACTIONS(1140),
    [aux_sym_preproc_include_token1] = ACTIONS(1140),
    [aux_sym_preproc_def_token1] = ACTIONS(1140),
    [aux_sym_preproc_if_token1] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1140),
    [sym_preproc_directive] = ACTIONS(1140),
    [anon_sym_LPAREN2] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_AMP] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [anon_sym___extension__] = ACTIONS(1140),
    [anon_sym_typedef] = ACTIONS(1140),
    [anon_sym_extern] = ACTIONS(1140),
    [anon_sym___attribute__] = ACTIONS(1140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1142),
    [anon_sym___declspec] = ACTIONS(1140),
    [anon_sym___cdecl] = ACTIONS(1140),
    [anon_sym___clrcall] = ACTIONS(1140),
    [anon_sym___stdcall] = ACTIONS(1140),
    [anon_sym___fastcall] = ACTIONS(1140),
    [anon_sym___thiscall] = ACTIONS(1140),
    [anon_sym___vectorcall] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_signed] = ACTIONS(1140),
    [anon_sym_unsigned] = ACTIONS(1140),
    [anon_sym_long] = ACTIONS(1140),
    [anon_sym_short] = ACTIONS(1140),
    [anon_sym_static] = ACTIONS(1140),
    [anon_sym_auto] = ACTIONS(1140),
    [anon_sym_register] = ACTIONS(1140),
    [anon_sym_inline] = ACTIONS(1140),
    [anon_sym___inline] = ACTIONS(1140),
    [anon_sym___inline__] = ACTIONS(1140),
    [anon_sym___forceinline] = ACTIONS(1140),
    [anon_sym_thread_local] = ACTIONS(1140),
    [anon_sym___thread] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1140),
    [anon_sym_constexpr] = ACTIONS(1140),
    [anon_sym_volatile] = ACTIONS(1140),
    [anon_sym_restrict] = ACTIONS(1140),
    [anon_sym___restrict__] = ACTIONS(1140),
    [anon_sym__Atomic] = ACTIONS(1140),
    [anon_sym__Noreturn] = ACTIONS(1140),
    [anon_sym_noreturn] = ACTIONS(1140),
    [sym_primitive_type] = ACTIONS(1140),
    [anon_sym_enum] = ACTIONS(1140),
    [anon_sym_struct] = ACTIONS(1140),
    [anon_sym_union] = ACTIONS(1140),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_else] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1140),
    [anon_sym_case] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1140),
    [anon_sym_while] = ACTIONS(1140),
    [anon_sym_do] = ACTIONS(1140),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1140),
    [anon_sym_break] = ACTIONS(1140),
    [anon_sym_continue] = ACTIONS(1140),
    [anon_sym_goto] = ACTIONS(1140),
    [anon_sym___try] = ACTIONS(1140),
    [anon_sym___leave] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [anon_sym_sizeof] = ACTIONS(1140),
    [anon_sym___alignof__] = ACTIONS(1140),
    [anon_sym___alignof] = ACTIONS(1140),
    [anon_sym__alignof] = ACTIONS(1140),
    [anon_sym_alignof] = ACTIONS(1140),
    [anon_sym__Alignof] = ACTIONS(1140),
    [anon_sym_offsetof] = ACTIONS(1140),
    [anon_sym__Generic] = ACTIONS(1140),
    [anon_sym_asm] = ACTIONS(1140),
    [anon_sym___asm__] = ACTIONS(1140),
    [sym_number_literal] = ACTIONS(1142),
    [anon_sym_L_SQUOTE] = ACTIONS(1142),
    [anon_sym_u_SQUOTE] = ACTIONS(1142),
    [anon_sym_U_SQUOTE] = ACTIONS(1142),
    [anon_sym_u8_SQUOTE] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_L_DQUOTE] = ACTIONS(1142),
    [anon_sym_u_DQUOTE] = ACTIONS(1142),
    [anon_sym_U_DQUOTE] = ACTIONS(1142),
    [anon_sym_u8_DQUOTE] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [sym_true] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [anon_sym_NULL] = ACTIONS(1140),
    [anon_sym_nullptr] = ACTIONS(1140),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_identifier] = ACTIONS(1164),
    [aux_sym_preproc_include_token1] = ACTIONS(1164),
    [aux_sym_preproc_def_token1] = ACTIONS(1164),
    [aux_sym_preproc_if_token1] = ACTIONS(1164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1164),
    [sym_preproc_directive] = ACTIONS(1164),
    [anon_sym_LPAREN2] = ACTIONS(1166),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_STAR] = ACTIONS(1166),
    [anon_sym_AMP] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym___extension__] = ACTIONS(1164),
    [anon_sym_typedef] = ACTIONS(1164),
    [anon_sym_extern] = ACTIONS(1164),
    [anon_sym___attribute__] = ACTIONS(1164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1166),
    [anon_sym___declspec] = ACTIONS(1164),
    [anon_sym___cdecl] = ACTIONS(1164),
    [anon_sym___clrcall] = ACTIONS(1164),
    [anon_sym___stdcall] = ACTIONS(1164),
    [anon_sym___fastcall] = ACTIONS(1164),
    [anon_sym___thiscall] = ACTIONS(1164),
    [anon_sym___vectorcall] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym_signed] = ACTIONS(1164),
    [anon_sym_unsigned] = ACTIONS(1164),
    [anon_sym_long] = ACTIONS(1164),
    [anon_sym_short] = ACTIONS(1164),
    [anon_sym_static] = ACTIONS(1164),
    [anon_sym_auto] = ACTIONS(1164),
    [anon_sym_register] = ACTIONS(1164),
    [anon_sym_inline] = ACTIONS(1164),
    [anon_sym___inline] = ACTIONS(1164),
    [anon_sym___inline__] = ACTIONS(1164),
    [anon_sym___forceinline] = ACTIONS(1164),
    [anon_sym_thread_local] = ACTIONS(1164),
    [anon_sym___thread] = ACTIONS(1164),
    [anon_sym_const] = ACTIONS(1164),
    [anon_sym_constexpr] = ACTIONS(1164),
    [anon_sym_volatile] = ACTIONS(1164),
    [anon_sym_restrict] = ACTIONS(1164),
    [anon_sym___restrict__] = ACTIONS(1164),
    [anon_sym__Atomic] = ACTIONS(1164),
    [anon_sym__Noreturn] = ACTIONS(1164),
    [anon_sym_noreturn] = ACTIONS(1164),
    [sym_primitive_type] = ACTIONS(1164),
    [anon_sym_enum] = ACTIONS(1164),
    [anon_sym_struct] = ACTIONS(1164),
    [anon_sym_union] = ACTIONS(1164),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_switch] = ACTIONS(1164),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym_default] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1164),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_break] = ACTIONS(1164),
    [anon_sym_continue] = ACTIONS(1164),
    [anon_sym_goto] = ACTIONS(1164),
    [anon_sym___try] = ACTIONS(1164),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [anon_sym_sizeof] = ACTIONS(1164),
    [anon_sym___alignof__] = ACTIONS(1164),
    [anon_sym___alignof] = ACTIONS(1164),
    [anon_sym__alignof] = ACTIONS(1164),
    [anon_sym_alignof] = ACTIONS(1164),
    [anon_sym__Alignof] = ACTIONS(1164),
    [anon_sym_offsetof] = ACTIONS(1164),
    [anon_sym__Generic] = ACTIONS(1164),
    [anon_sym_asm] = ACTIONS(1164),
    [anon_sym___asm__] = ACTIONS(1164),
    [sym_number_literal] = ACTIONS(1166),
    [anon_sym_L_SQUOTE] = ACTIONS(1166),
    [anon_sym_u_SQUOTE] = ACTIONS(1166),
    [anon_sym_U_SQUOTE] = ACTIONS(1166),
    [anon_sym_u8_SQUOTE] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [anon_sym_L_DQUOTE] = ACTIONS(1166),
    [anon_sym_u_DQUOTE] = ACTIONS(1166),
    [anon_sym_U_DQUOTE] = ACTIONS(1166),
    [anon_sym_u8_DQUOTE] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [sym_true] = ACTIONS(1164),
    [sym_false] = ACTIONS(1164),
    [anon_sym_NULL] = ACTIONS(1164),
    [anon_sym_nullptr] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_identifier] = ACTIONS(1168),
    [aux_sym_preproc_include_token1] = ACTIONS(1168),
    [aux_sym_preproc_def_token1] = ACTIONS(1168),
    [aux_sym_preproc_if_token1] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1168),
    [sym_preproc_directive] = ACTIONS(1168),
    [anon_sym_LPAREN2] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_STAR] = ACTIONS(1170),
    [anon_sym_AMP] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [anon_sym___extension__] = ACTIONS(1168),
    [anon_sym_typedef] = ACTIONS(1168),
    [anon_sym_extern] = ACTIONS(1168),
    [anon_sym___attribute__] = ACTIONS(1168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1170),
    [anon_sym___declspec] = ACTIONS(1168),
    [anon_sym___cdecl] = ACTIONS(1168),
    [anon_sym___clrcall] = ACTIONS(1168),
    [anon_sym___stdcall] = ACTIONS(1168),
    [anon_sym___fastcall] = ACTIONS(1168),
    [anon_sym___thiscall] = ACTIONS(1168),
    [anon_sym___vectorcall] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [anon_sym_signed] = ACTIONS(1168),
    [anon_sym_unsigned] = ACTIONS(1168),
    [anon_sym_long] = ACTIONS(1168),
    [anon_sym_short] = ACTIONS(1168),
    [anon_sym_static] = ACTIONS(1168),
    [anon_sym_auto] = ACTIONS(1168),
    [anon_sym_register] = ACTIONS(1168),
    [anon_sym_inline] = ACTIONS(1168),
    [anon_sym___inline] = ACTIONS(1168),
    [anon_sym___inline__] = ACTIONS(1168),
    [anon_sym___forceinline] = ACTIONS(1168),
    [anon_sym_thread_local] = ACTIONS(1168),
    [anon_sym___thread] = ACTIONS(1168),
    [anon_sym_const] = ACTIONS(1168),
    [anon_sym_constexpr] = ACTIONS(1168),
    [anon_sym_volatile] = ACTIONS(1168),
    [anon_sym_restrict] = ACTIONS(1168),
    [anon_sym___restrict__] = ACTIONS(1168),
    [anon_sym__Atomic] = ACTIONS(1168),
    [anon_sym__Noreturn] = ACTIONS(1168),
    [anon_sym_noreturn] = ACTIONS(1168),
    [sym_primitive_type] = ACTIONS(1168),
    [anon_sym_enum] = ACTIONS(1168),
    [anon_sym_struct] = ACTIONS(1168),
    [anon_sym_union] = ACTIONS(1168),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_else] = ACTIONS(1168),
    [anon_sym_switch] = ACTIONS(1168),
    [anon_sym_case] = ACTIONS(1168),
    [anon_sym_default] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_for] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_continue] = ACTIONS(1168),
    [anon_sym_goto] = ACTIONS(1168),
    [anon_sym___try] = ACTIONS(1168),
    [anon_sym___leave] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [anon_sym_sizeof] = ACTIONS(1168),
    [anon_sym___alignof__] = ACTIONS(1168),
    [anon_sym___alignof] = ACTIONS(1168),
    [anon_sym__alignof] = ACTIONS(1168),
    [anon_sym_alignof] = ACTIONS(1168),
    [anon_sym__Alignof] = ACTIONS(1168),
    [anon_sym_offsetof] = ACTIONS(1168),
    [anon_sym__Generic] = ACTIONS(1168),
    [anon_sym_asm] = ACTIONS(1168),
    [anon_sym___asm__] = ACTIONS(1168),
    [sym_number_literal] = ACTIONS(1170),
    [anon_sym_L_SQUOTE] = ACTIONS(1170),
    [anon_sym_u_SQUOTE] = ACTIONS(1170),
    [anon_sym_U_SQUOTE] = ACTIONS(1170),
    [anon_sym_u8_SQUOTE] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_L_DQUOTE] = ACTIONS(1170),
    [anon_sym_u_DQUOTE] = ACTIONS(1170),
    [anon_sym_U_DQUOTE] = ACTIONS(1170),
    [anon_sym_u8_DQUOTE] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [sym_true] = ACTIONS(1168),
    [sym_false] = ACTIONS(1168),
    [anon_sym_NULL] = ACTIONS(1168),
    [anon_sym_nullptr] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_identifier] = ACTIONS(1168),
    [aux_sym_preproc_include_token1] = ACTIONS(1168),
    [aux_sym_preproc_def_token1] = ACTIONS(1168),
    [aux_sym_preproc_if_token1] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1168),
    [sym_preproc_directive] = ACTIONS(1168),
    [anon_sym_LPAREN2] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_STAR] = ACTIONS(1170),
    [anon_sym_AMP] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [anon_sym___extension__] = ACTIONS(1168),
    [anon_sym_typedef] = ACTIONS(1168),
    [anon_sym_extern] = ACTIONS(1168),
    [anon_sym___attribute__] = ACTIONS(1168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1170),
    [anon_sym___declspec] = ACTIONS(1168),
    [anon_sym___cdecl] = ACTIONS(1168),
    [anon_sym___clrcall] = ACTIONS(1168),
    [anon_sym___stdcall] = ACTIONS(1168),
    [anon_sym___fastcall] = ACTIONS(1168),
    [anon_sym___thiscall] = ACTIONS(1168),
    [anon_sym___vectorcall] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [anon_sym_signed] = ACTIONS(1168),
    [anon_sym_unsigned] = ACTIONS(1168),
    [anon_sym_long] = ACTIONS(1168),
    [anon_sym_short] = ACTIONS(1168),
    [anon_sym_static] = ACTIONS(1168),
    [anon_sym_auto] = ACTIONS(1168),
    [anon_sym_register] = ACTIONS(1168),
    [anon_sym_inline] = ACTIONS(1168),
    [anon_sym___inline] = ACTIONS(1168),
    [anon_sym___inline__] = ACTIONS(1168),
    [anon_sym___forceinline] = ACTIONS(1168),
    [anon_sym_thread_local] = ACTIONS(1168),
    [anon_sym___thread] = ACTIONS(1168),
    [anon_sym_const] = ACTIONS(1168),
    [anon_sym_constexpr] = ACTIONS(1168),
    [anon_sym_volatile] = ACTIONS(1168),
    [anon_sym_restrict] = ACTIONS(1168),
    [anon_sym___restrict__] = ACTIONS(1168),
    [anon_sym__Atomic] = ACTIONS(1168),
    [anon_sym__Noreturn] = ACTIONS(1168),
    [anon_sym_noreturn] = ACTIONS(1168),
    [sym_primitive_type] = ACTIONS(1168),
    [anon_sym_enum] = ACTIONS(1168),
    [anon_sym_struct] = ACTIONS(1168),
    [anon_sym_union] = ACTIONS(1168),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_else] = ACTIONS(1168),
    [anon_sym_switch] = ACTIONS(1168),
    [anon_sym_case] = ACTIONS(1168),
    [anon_sym_default] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_for] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_continue] = ACTIONS(1168),
    [anon_sym_goto] = ACTIONS(1168),
    [anon_sym___try] = ACTIONS(1168),
    [anon_sym___leave] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [anon_sym_sizeof] = ACTIONS(1168),
    [anon_sym___alignof__] = ACTIONS(1168),
    [anon_sym___alignof] = ACTIONS(1168),
    [anon_sym__alignof] = ACTIONS(1168),
    [anon_sym_alignof] = ACTIONS(1168),
    [anon_sym__Alignof] = ACTIONS(1168),
    [anon_sym_offsetof] = ACTIONS(1168),
    [anon_sym__Generic] = ACTIONS(1168),
    [anon_sym_asm] = ACTIONS(1168),
    [anon_sym___asm__] = ACTIONS(1168),
    [sym_number_literal] = ACTIONS(1170),
    [anon_sym_L_SQUOTE] = ACTIONS(1170),
    [anon_sym_u_SQUOTE] = ACTIONS(1170),
    [anon_sym_U_SQUOTE] = ACTIONS(1170),
    [anon_sym_u8_SQUOTE] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_L_DQUOTE] = ACTIONS(1170),
    [anon_sym_u_DQUOTE] = ACTIONS(1170),
    [anon_sym_U_DQUOTE] = ACTIONS(1170),
    [anon_sym_u8_DQUOTE] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [sym_true] = ACTIONS(1168),
    [sym_false] = ACTIONS(1168),
    [anon_sym_NULL] = ACTIONS(1168),
    [anon_sym_nullptr] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_identifier] = ACTIONS(1172),
    [aux_sym_preproc_include_token1] = ACTIONS(1172),
    [aux_sym_preproc_def_token1] = ACTIONS(1172),
    [aux_sym_preproc_if_token1] = ACTIONS(1172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1172),
    [sym_preproc_directive] = ACTIONS(1172),
    [anon_sym_LPAREN2] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_STAR] = ACTIONS(1174),
    [anon_sym_AMP] = ACTIONS(1174),
    [anon_sym_SEMI] = ACTIONS(1174),
    [anon_sym___extension__] = ACTIONS(1172),
    [anon_sym_typedef] = ACTIONS(1172),
    [anon_sym_extern] = ACTIONS(1172),
    [anon_sym___attribute__] = ACTIONS(1172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1174),
    [anon_sym___declspec] = ACTIONS(1172),
    [anon_sym___cdecl] = ACTIONS(1172),
    [anon_sym___clrcall] = ACTIONS(1172),
    [anon_sym___stdcall] = ACTIONS(1172),
    [anon_sym___fastcall] = ACTIONS(1172),
    [anon_sym___thiscall] = ACTIONS(1172),
    [anon_sym___vectorcall] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [anon_sym_signed] = ACTIONS(1172),
    [anon_sym_unsigned] = ACTIONS(1172),
    [anon_sym_long] = ACTIONS(1172),
    [anon_sym_short] = ACTIONS(1172),
    [anon_sym_static] = ACTIONS(1172),
    [anon_sym_auto] = ACTIONS(1172),
    [anon_sym_register] = ACTIONS(1172),
    [anon_sym_inline] = ACTIONS(1172),
    [anon_sym___inline] = ACTIONS(1172),
    [anon_sym___inline__] = ACTIONS(1172),
    [anon_sym___forceinline] = ACTIONS(1172),
    [anon_sym_thread_local] = ACTIONS(1172),
    [anon_sym___thread] = ACTIONS(1172),
    [anon_sym_const] = ACTIONS(1172),
    [anon_sym_constexpr] = ACTIONS(1172),
    [anon_sym_volatile] = ACTIONS(1172),
    [anon_sym_restrict] = ACTIONS(1172),
    [anon_sym___restrict__] = ACTIONS(1172),
    [anon_sym__Atomic] = ACTIONS(1172),
    [anon_sym__Noreturn] = ACTIONS(1172),
    [anon_sym_noreturn] = ACTIONS(1172),
    [sym_primitive_type] = ACTIONS(1172),
    [anon_sym_enum] = ACTIONS(1172),
    [anon_sym_struct] = ACTIONS(1172),
    [anon_sym_union] = ACTIONS(1172),
    [anon_sym_if] = ACTIONS(1172),
    [anon_sym_else] = ACTIONS(1172),
    [anon_sym_switch] = ACTIONS(1172),
    [anon_sym_case] = ACTIONS(1172),
    [anon_sym_default] = ACTIONS(1172),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_do] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_return] = ACTIONS(1172),
    [anon_sym_break] = ACTIONS(1172),
    [anon_sym_continue] = ACTIONS(1172),
    [anon_sym_goto] = ACTIONS(1172),
    [anon_sym___try] = ACTIONS(1172),
    [anon_sym___leave] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1174),
    [anon_sym_sizeof] = ACTIONS(1172),
    [anon_sym___alignof__] = ACTIONS(1172),
    [anon_sym___alignof] = ACTIONS(1172),
    [anon_sym__alignof] = ACTIONS(1172),
    [anon_sym_alignof] = ACTIONS(1172),
    [anon_sym__Alignof] = ACTIONS(1172),
    [anon_sym_offsetof] = ACTIONS(1172),
    [anon_sym__Generic] = ACTIONS(1172),
    [anon_sym_asm] = ACTIONS(1172),
    [anon_sym___asm__] = ACTIONS(1172),
    [sym_number_literal] = ACTIONS(1174),
    [anon_sym_L_SQUOTE] = ACTIONS(1174),
    [anon_sym_u_SQUOTE] = ACTIONS(1174),
    [anon_sym_U_SQUOTE] = ACTIONS(1174),
    [anon_sym_u8_SQUOTE] = ACTIONS(1174),
    [anon_sym_SQUOTE] = ACTIONS(1174),
    [anon_sym_L_DQUOTE] = ACTIONS(1174),
    [anon_sym_u_DQUOTE] = ACTIONS(1174),
    [anon_sym_U_DQUOTE] = ACTIONS(1174),
    [anon_sym_u8_DQUOTE] = ACTIONS(1174),
    [anon_sym_DQUOTE] = ACTIONS(1174),
    [sym_true] = ACTIONS(1172),
    [sym_false] = ACTIONS(1172),
    [anon_sym_NULL] = ACTIONS(1172),
    [anon_sym_nullptr] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [ts_builtin_sym_end] = ACTIONS(1178),
    [sym_identifier] = ACTIONS(1176),
    [aux_sym_preproc_include_token1] = ACTIONS(1176),
    [aux_sym_preproc_def_token1] = ACTIONS(1176),
    [aux_sym_preproc_if_token1] = ACTIONS(1176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1176),
    [sym_preproc_directive] = ACTIONS(1176),
    [anon_sym_LPAREN2] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_STAR] = ACTIONS(1178),
    [anon_sym_AMP] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [anon_sym___extension__] = ACTIONS(1176),
    [anon_sym_typedef] = ACTIONS(1176),
    [anon_sym_extern] = ACTIONS(1176),
    [anon_sym___attribute__] = ACTIONS(1176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1178),
    [anon_sym___declspec] = ACTIONS(1176),
    [anon_sym___cdecl] = ACTIONS(1176),
    [anon_sym___clrcall] = ACTIONS(1176),
    [anon_sym___stdcall] = ACTIONS(1176),
    [anon_sym___fastcall] = ACTIONS(1176),
    [anon_sym___thiscall] = ACTIONS(1176),
    [anon_sym___vectorcall] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_signed] = ACTIONS(1176),
    [anon_sym_unsigned] = ACTIONS(1176),
    [anon_sym_long] = ACTIONS(1176),
    [anon_sym_short] = ACTIONS(1176),
    [anon_sym_static] = ACTIONS(1176),
    [anon_sym_auto] = ACTIONS(1176),
    [anon_sym_register] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1176),
    [anon_sym___inline] = ACTIONS(1176),
    [anon_sym___inline__] = ACTIONS(1176),
    [anon_sym___forceinline] = ACTIONS(1176),
    [anon_sym_thread_local] = ACTIONS(1176),
    [anon_sym___thread] = ACTIONS(1176),
    [anon_sym_const] = ACTIONS(1176),
    [anon_sym_constexpr] = ACTIONS(1176),
    [anon_sym_volatile] = ACTIONS(1176),
    [anon_sym_restrict] = ACTIONS(1176),
    [anon_sym___restrict__] = ACTIONS(1176),
    [anon_sym__Atomic] = ACTIONS(1176),
    [anon_sym__Noreturn] = ACTIONS(1176),
    [anon_sym_noreturn] = ACTIONS(1176),
    [sym_primitive_type] = ACTIONS(1176),
    [anon_sym_enum] = ACTIONS(1176),
    [anon_sym_struct] = ACTIONS(1176),
    [anon_sym_union] = ACTIONS(1176),
    [anon_sym_if] = ACTIONS(1176),
    [anon_sym_else] = ACTIONS(1176),
    [anon_sym_switch] = ACTIONS(1176),
    [anon_sym_case] = ACTIONS(1176),
    [anon_sym_default] = ACTIONS(1176),
    [anon_sym_while] = ACTIONS(1176),
    [anon_sym_do] = ACTIONS(1176),
    [anon_sym_for] = ACTIONS(1176),
    [anon_sym_return] = ACTIONS(1176),
    [anon_sym_break] = ACTIONS(1176),
    [anon_sym_continue] = ACTIONS(1176),
    [anon_sym_goto] = ACTIONS(1176),
    [anon_sym___try] = ACTIONS(1176),
    [anon_sym___leave] = ACTIONS(1176),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [anon_sym_sizeof] = ACTIONS(1176),
    [anon_sym___alignof__] = ACTIONS(1176),
    [anon_sym___alignof] = ACTIONS(1176),
    [anon_sym__alignof] = ACTIONS(1176),
    [anon_sym_alignof] = ACTIONS(1176),
    [anon_sym__Alignof] = ACTIONS(1176),
    [anon_sym_offsetof] = ACTIONS(1176),
    [anon_sym__Generic] = ACTIONS(1176),
    [anon_sym_asm] = ACTIONS(1176),
    [anon_sym___asm__] = ACTIONS(1176),
    [sym_number_literal] = ACTIONS(1178),
    [anon_sym_L_SQUOTE] = ACTIONS(1178),
    [anon_sym_u_SQUOTE] = ACTIONS(1178),
    [anon_sym_U_SQUOTE] = ACTIONS(1178),
    [anon_sym_u8_SQUOTE] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [anon_sym_L_DQUOTE] = ACTIONS(1178),
    [anon_sym_u_DQUOTE] = ACTIONS(1178),
    [anon_sym_U_DQUOTE] = ACTIONS(1178),
    [anon_sym_u8_DQUOTE] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [sym_true] = ACTIONS(1176),
    [sym_false] = ACTIONS(1176),
    [anon_sym_NULL] = ACTIONS(1176),
    [anon_sym_nullptr] = ACTIONS(1176),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_identifier] = ACTIONS(1180),
    [aux_sym_preproc_include_token1] = ACTIONS(1180),
    [aux_sym_preproc_def_token1] = ACTIONS(1180),
    [aux_sym_preproc_if_token1] = ACTIONS(1180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1180),
    [sym_preproc_directive] = ACTIONS(1180),
    [anon_sym_LPAREN2] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1182),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1182),
    [anon_sym___extension__] = ACTIONS(1180),
    [anon_sym_typedef] = ACTIONS(1180),
    [anon_sym_extern] = ACTIONS(1180),
    [anon_sym___attribute__] = ACTIONS(1180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1182),
    [anon_sym___declspec] = ACTIONS(1180),
    [anon_sym___cdecl] = ACTIONS(1180),
    [anon_sym___clrcall] = ACTIONS(1180),
    [anon_sym___stdcall] = ACTIONS(1180),
    [anon_sym___fastcall] = ACTIONS(1180),
    [anon_sym___thiscall] = ACTIONS(1180),
    [anon_sym___vectorcall] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [anon_sym_signed] = ACTIONS(1180),
    [anon_sym_unsigned] = ACTIONS(1180),
    [anon_sym_long] = ACTIONS(1180),
    [anon_sym_short] = ACTIONS(1180),
    [anon_sym_static] = ACTIONS(1180),
    [anon_sym_auto] = ACTIONS(1180),
    [anon_sym_register] = ACTIONS(1180),
    [anon_sym_inline] = ACTIONS(1180),
    [anon_sym___inline] = ACTIONS(1180),
    [anon_sym___inline__] = ACTIONS(1180),
    [anon_sym___forceinline] = ACTIONS(1180),
    [anon_sym_thread_local] = ACTIONS(1180),
    [anon_sym___thread] = ACTIONS(1180),
    [anon_sym_const] = ACTIONS(1180),
    [anon_sym_constexpr] = ACTIONS(1180),
    [anon_sym_volatile] = ACTIONS(1180),
    [anon_sym_restrict] = ACTIONS(1180),
    [anon_sym___restrict__] = ACTIONS(1180),
    [anon_sym__Atomic] = ACTIONS(1180),
    [anon_sym__Noreturn] = ACTIONS(1180),
    [anon_sym_noreturn] = ACTIONS(1180),
    [sym_primitive_type] = ACTIONS(1180),
    [anon_sym_enum] = ACTIONS(1180),
    [anon_sym_struct] = ACTIONS(1180),
    [anon_sym_union] = ACTIONS(1180),
    [anon_sym_if] = ACTIONS(1180),
    [anon_sym_else] = ACTIONS(1180),
    [anon_sym_switch] = ACTIONS(1180),
    [anon_sym_case] = ACTIONS(1180),
    [anon_sym_default] = ACTIONS(1180),
    [anon_sym_while] = ACTIONS(1180),
    [anon_sym_do] = ACTIONS(1180),
    [anon_sym_for] = ACTIONS(1180),
    [anon_sym_return] = ACTIONS(1180),
    [anon_sym_break] = ACTIONS(1180),
    [anon_sym_continue] = ACTIONS(1180),
    [anon_sym_goto] = ACTIONS(1180),
    [anon_sym___try] = ACTIONS(1180),
    [anon_sym___leave] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [anon_sym_sizeof] = ACTIONS(1180),
    [anon_sym___alignof__] = ACTIONS(1180),
    [anon_sym___alignof] = ACTIONS(1180),
    [anon_sym__alignof] = ACTIONS(1180),
    [anon_sym_alignof] = ACTIONS(1180),
    [anon_sym__Alignof] = ACTIONS(1180),
    [anon_sym_offsetof] = ACTIONS(1180),
    [anon_sym__Generic] = ACTIONS(1180),
    [anon_sym_asm] = ACTIONS(1180),
    [anon_sym___asm__] = ACTIONS(1180),
    [sym_number_literal] = ACTIONS(1182),
    [anon_sym_L_SQUOTE] = ACTIONS(1182),
    [anon_sym_u_SQUOTE] = ACTIONS(1182),
    [anon_sym_U_SQUOTE] = ACTIONS(1182),
    [anon_sym_u8_SQUOTE] = ACTIONS(1182),
    [anon_sym_SQUOTE] = ACTIONS(1182),
    [anon_sym_L_DQUOTE] = ACTIONS(1182),
    [anon_sym_u_DQUOTE] = ACTIONS(1182),
    [anon_sym_U_DQUOTE] = ACTIONS(1182),
    [anon_sym_u8_DQUOTE] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [sym_true] = ACTIONS(1180),
    [sym_false] = ACTIONS(1180),
    [anon_sym_NULL] = ACTIONS(1180),
    [anon_sym_nullptr] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_identifier] = ACTIONS(1120),
    [aux_sym_preproc_include_token1] = ACTIONS(1120),
    [aux_sym_preproc_def_token1] = ACTIONS(1120),
    [aux_sym_preproc_if_token1] = ACTIONS(1120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1120),
    [sym_preproc_directive] = ACTIONS(1120),
    [anon_sym_LPAREN2] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_AMP] = ACTIONS(1122),
    [anon_sym_SEMI] = ACTIONS(1122),
    [anon_sym___extension__] = ACTIONS(1120),
    [anon_sym_typedef] = ACTIONS(1120),
    [anon_sym_extern] = ACTIONS(1120),
    [anon_sym___attribute__] = ACTIONS(1120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1122),
    [anon_sym___declspec] = ACTIONS(1120),
    [anon_sym___cdecl] = ACTIONS(1120),
    [anon_sym___clrcall] = ACTIONS(1120),
    [anon_sym___stdcall] = ACTIONS(1120),
    [anon_sym___fastcall] = ACTIONS(1120),
    [anon_sym___thiscall] = ACTIONS(1120),
    [anon_sym___vectorcall] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [anon_sym_signed] = ACTIONS(1120),
    [anon_sym_unsigned] = ACTIONS(1120),
    [anon_sym_long] = ACTIONS(1120),
    [anon_sym_short] = ACTIONS(1120),
    [anon_sym_static] = ACTIONS(1120),
    [anon_sym_auto] = ACTIONS(1120),
    [anon_sym_register] = ACTIONS(1120),
    [anon_sym_inline] = ACTIONS(1120),
    [anon_sym___inline] = ACTIONS(1120),
    [anon_sym___inline__] = ACTIONS(1120),
    [anon_sym___forceinline] = ACTIONS(1120),
    [anon_sym_thread_local] = ACTIONS(1120),
    [anon_sym___thread] = ACTIONS(1120),
    [anon_sym_const] = ACTIONS(1120),
    [anon_sym_constexpr] = ACTIONS(1120),
    [anon_sym_volatile] = ACTIONS(1120),
    [anon_sym_restrict] = ACTIONS(1120),
    [anon_sym___restrict__] = ACTIONS(1120),
    [anon_sym__Atomic] = ACTIONS(1120),
    [anon_sym__Noreturn] = ACTIONS(1120),
    [anon_sym_noreturn] = ACTIONS(1120),
    [sym_primitive_type] = ACTIONS(1120),
    [anon_sym_enum] = ACTIONS(1120),
    [anon_sym_struct] = ACTIONS(1120),
    [anon_sym_union] = ACTIONS(1120),
    [anon_sym_if] = ACTIONS(1120),
    [anon_sym_else] = ACTIONS(1120),
    [anon_sym_switch] = ACTIONS(1120),
    [anon_sym_case] = ACTIONS(1120),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1120),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_continue] = ACTIONS(1120),
    [anon_sym_goto] = ACTIONS(1120),
    [anon_sym___try] = ACTIONS(1120),
    [anon_sym___leave] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [anon_sym_sizeof] = ACTIONS(1120),
    [anon_sym___alignof__] = ACTIONS(1120),
    [anon_sym___alignof] = ACTIONS(1120),
    [anon_sym__alignof] = ACTIONS(1120),
    [anon_sym_alignof] = ACTIONS(1120),
    [anon_sym__Alignof] = ACTIONS(1120),
    [anon_sym_offsetof] = ACTIONS(1120),
    [anon_sym__Generic] = ACTIONS(1120),
    [anon_sym_asm] = ACTIONS(1120),
    [anon_sym___asm__] = ACTIONS(1120),
    [sym_number_literal] = ACTIONS(1122),
    [anon_sym_L_SQUOTE] = ACTIONS(1122),
    [anon_sym_u_SQUOTE] = ACTIONS(1122),
    [anon_sym_U_SQUOTE] = ACTIONS(1122),
    [anon_sym_u8_SQUOTE] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [anon_sym_L_DQUOTE] = ACTIONS(1122),
    [anon_sym_u_DQUOTE] = ACTIONS(1122),
    [anon_sym_U_DQUOTE] = ACTIONS(1122),
    [anon_sym_u8_DQUOTE] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [sym_true] = ACTIONS(1120),
    [sym_false] = ACTIONS(1120),
    [anon_sym_NULL] = ACTIONS(1120),
    [anon_sym_nullptr] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [ts_builtin_sym_end] = ACTIONS(1126),
    [sym_identifier] = ACTIONS(1124),
    [aux_sym_preproc_include_token1] = ACTIONS(1124),
    [aux_sym_preproc_def_token1] = ACTIONS(1124),
    [aux_sym_preproc_if_token1] = ACTIONS(1124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1124),
    [sym_preproc_directive] = ACTIONS(1124),
    [anon_sym_LPAREN2] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_STAR] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(1126),
    [anon_sym_SEMI] = ACTIONS(1126),
    [anon_sym___extension__] = ACTIONS(1124),
    [anon_sym_typedef] = ACTIONS(1124),
    [anon_sym_extern] = ACTIONS(1124),
    [anon_sym___attribute__] = ACTIONS(1124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(1124),
    [anon_sym___cdecl] = ACTIONS(1124),
    [anon_sym___clrcall] = ACTIONS(1124),
    [anon_sym___stdcall] = ACTIONS(1124),
    [anon_sym___fastcall] = ACTIONS(1124),
    [anon_sym___thiscall] = ACTIONS(1124),
    [anon_sym___vectorcall] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_signed] = ACTIONS(1124),
    [anon_sym_unsigned] = ACTIONS(1124),
    [anon_sym_long] = ACTIONS(1124),
    [anon_sym_short] = ACTIONS(1124),
    [anon_sym_static] = ACTIONS(1124),
    [anon_sym_auto] = ACTIONS(1124),
    [anon_sym_register] = ACTIONS(1124),
    [anon_sym_inline] = ACTIONS(1124),
    [anon_sym___inline] = ACTIONS(1124),
    [anon_sym___inline__] = ACTIONS(1124),
    [anon_sym___forceinline] = ACTIONS(1124),
    [anon_sym_thread_local] = ACTIONS(1124),
    [anon_sym___thread] = ACTIONS(1124),
    [anon_sym_const] = ACTIONS(1124),
    [anon_sym_constexpr] = ACTIONS(1124),
    [anon_sym_volatile] = ACTIONS(1124),
    [anon_sym_restrict] = ACTIONS(1124),
    [anon_sym___restrict__] = ACTIONS(1124),
    [anon_sym__Atomic] = ACTIONS(1124),
    [anon_sym__Noreturn] = ACTIONS(1124),
    [anon_sym_noreturn] = ACTIONS(1124),
    [sym_primitive_type] = ACTIONS(1124),
    [anon_sym_enum] = ACTIONS(1124),
    [anon_sym_struct] = ACTIONS(1124),
    [anon_sym_union] = ACTIONS(1124),
    [anon_sym_if] = ACTIONS(1124),
    [anon_sym_else] = ACTIONS(1124),
    [anon_sym_switch] = ACTIONS(1124),
    [anon_sym_case] = ACTIONS(1124),
    [anon_sym_default] = ACTIONS(1124),
    [anon_sym_while] = ACTIONS(1124),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1124),
    [anon_sym_break] = ACTIONS(1124),
    [anon_sym_continue] = ACTIONS(1124),
    [anon_sym_goto] = ACTIONS(1124),
    [anon_sym___try] = ACTIONS(1124),
    [anon_sym___leave] = ACTIONS(1124),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [anon_sym_sizeof] = ACTIONS(1124),
    [anon_sym___alignof__] = ACTIONS(1124),
    [anon_sym___alignof] = ACTIONS(1124),
    [anon_sym__alignof] = ACTIONS(1124),
    [anon_sym_alignof] = ACTIONS(1124),
    [anon_sym__Alignof] = ACTIONS(1124),
    [anon_sym_offsetof] = ACTIONS(1124),
    [anon_sym__Generic] = ACTIONS(1124),
    [anon_sym_asm] = ACTIONS(1124),
    [anon_sym___asm__] = ACTIONS(1124),
    [sym_number_literal] = ACTIONS(1126),
    [anon_sym_L_SQUOTE] = ACTIONS(1126),
    [anon_sym_u_SQUOTE] = ACTIONS(1126),
    [anon_sym_U_SQUOTE] = ACTIONS(1126),
    [anon_sym_u8_SQUOTE] = ACTIONS(1126),
    [anon_sym_SQUOTE] = ACTIONS(1126),
    [anon_sym_L_DQUOTE] = ACTIONS(1126),
    [anon_sym_u_DQUOTE] = ACTIONS(1126),
    [anon_sym_U_DQUOTE] = ACTIONS(1126),
    [anon_sym_u8_DQUOTE] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [sym_true] = ACTIONS(1124),
    [sym_false] = ACTIONS(1124),
    [anon_sym_NULL] = ACTIONS(1124),
    [anon_sym_nullptr] = ACTIONS(1124),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1204),
    [aux_sym_preproc_def_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1204),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym___extension__] = ACTIONS(1204),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_extern] = ACTIONS(1204),
    [anon_sym___attribute__] = ACTIONS(1204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1206),
    [anon_sym___declspec] = ACTIONS(1204),
    [anon_sym___cdecl] = ACTIONS(1204),
    [anon_sym___clrcall] = ACTIONS(1204),
    [anon_sym___stdcall] = ACTIONS(1204),
    [anon_sym___fastcall] = ACTIONS(1204),
    [anon_sym___thiscall] = ACTIONS(1204),
    [anon_sym___vectorcall] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_signed] = ACTIONS(1204),
    [anon_sym_unsigned] = ACTIONS(1204),
    [anon_sym_long] = ACTIONS(1204),
    [anon_sym_short] = ACTIONS(1204),
    [anon_sym_static] = ACTIONS(1204),
    [anon_sym_auto] = ACTIONS(1204),
    [anon_sym_register] = ACTIONS(1204),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym___inline] = ACTIONS(1204),
    [anon_sym___inline__] = ACTIONS(1204),
    [anon_sym___forceinline] = ACTIONS(1204),
    [anon_sym_thread_local] = ACTIONS(1204),
    [anon_sym___thread] = ACTIONS(1204),
    [anon_sym_const] = ACTIONS(1204),
    [anon_sym_constexpr] = ACTIONS(1204),
    [anon_sym_volatile] = ACTIONS(1204),
    [anon_sym_restrict] = ACTIONS(1204),
    [anon_sym___restrict__] = ACTIONS(1204),
    [anon_sym__Atomic] = ACTIONS(1204),
    [anon_sym__Noreturn] = ACTIONS(1204),
    [anon_sym_noreturn] = ACTIONS(1204),
    [sym_primitive_type] = ACTIONS(1204),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1204),
    [anon_sym_union] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_case] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_break] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym___try] = ACTIONS(1204),
    [anon_sym___leave] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_sizeof] = ACTIONS(1204),
    [anon_sym___alignof__] = ACTIONS(1204),
    [anon_sym___alignof] = ACTIONS(1204),
    [anon_sym__alignof] = ACTIONS(1204),
    [anon_sym_alignof] = ACTIONS(1204),
    [anon_sym__Alignof] = ACTIONS(1204),
    [anon_sym_offsetof] = ACTIONS(1204),
    [anon_sym__Generic] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1204),
    [anon_sym___asm__] = ACTIONS(1204),
    [sym_number_literal] = ACTIONS(1206),
    [anon_sym_L_SQUOTE] = ACTIONS(1206),
    [anon_sym_u_SQUOTE] = ACTIONS(1206),
    [anon_sym_U_SQUOTE] = ACTIONS(1206),
    [anon_sym_u8_SQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_L_DQUOTE] = ACTIONS(1206),
    [anon_sym_u_DQUOTE] = ACTIONS(1206),
    [anon_sym_U_DQUOTE] = ACTIONS(1206),
    [anon_sym_u8_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [sym_true] = ACTIONS(1204),
    [sym_false] = ACTIONS(1204),
    [anon_sym_NULL] = ACTIONS(1204),
    [anon_sym_nullptr] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_identifier] = ACTIONS(1132),
    [aux_sym_preproc_include_token1] = ACTIONS(1132),
    [aux_sym_preproc_def_token1] = ACTIONS(1132),
    [aux_sym_preproc_if_token1] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1132),
    [sym_preproc_directive] = ACTIONS(1132),
    [anon_sym_LPAREN2] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [anon_sym___extension__] = ACTIONS(1132),
    [anon_sym_typedef] = ACTIONS(1132),
    [anon_sym_extern] = ACTIONS(1132),
    [anon_sym___attribute__] = ACTIONS(1132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1134),
    [anon_sym___declspec] = ACTIONS(1132),
    [anon_sym___cdecl] = ACTIONS(1132),
    [anon_sym___clrcall] = ACTIONS(1132),
    [anon_sym___stdcall] = ACTIONS(1132),
    [anon_sym___fastcall] = ACTIONS(1132),
    [anon_sym___thiscall] = ACTIONS(1132),
    [anon_sym___vectorcall] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_signed] = ACTIONS(1132),
    [anon_sym_unsigned] = ACTIONS(1132),
    [anon_sym_long] = ACTIONS(1132),
    [anon_sym_short] = ACTIONS(1132),
    [anon_sym_static] = ACTIONS(1132),
    [anon_sym_auto] = ACTIONS(1132),
    [anon_sym_register] = ACTIONS(1132),
    [anon_sym_inline] = ACTIONS(1132),
    [anon_sym___inline] = ACTIONS(1132),
    [anon_sym___inline__] = ACTIONS(1132),
    [anon_sym___forceinline] = ACTIONS(1132),
    [anon_sym_thread_local] = ACTIONS(1132),
    [anon_sym___thread] = ACTIONS(1132),
    [anon_sym_const] = ACTIONS(1132),
    [anon_sym_constexpr] = ACTIONS(1132),
    [anon_sym_volatile] = ACTIONS(1132),
    [anon_sym_restrict] = ACTIONS(1132),
    [anon_sym___restrict__] = ACTIONS(1132),
    [anon_sym__Atomic] = ACTIONS(1132),
    [anon_sym__Noreturn] = ACTIONS(1132),
    [anon_sym_noreturn] = ACTIONS(1132),
    [sym_primitive_type] = ACTIONS(1132),
    [anon_sym_enum] = ACTIONS(1132),
    [anon_sym_struct] = ACTIONS(1132),
    [anon_sym_union] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_else] = ACTIONS(1132),
    [anon_sym_switch] = ACTIONS(1132),
    [anon_sym_case] = ACTIONS(1132),
    [anon_sym_default] = ACTIONS(1132),
    [anon_sym_while] = ACTIONS(1132),
    [anon_sym_do] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1132),
    [anon_sym___leave] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_sizeof] = ACTIONS(1132),
    [anon_sym___alignof__] = ACTIONS(1132),
    [anon_sym___alignof] = ACTIONS(1132),
    [anon_sym__alignof] = ACTIONS(1132),
    [anon_sym_alignof] = ACTIONS(1132),
    [anon_sym__Alignof] = ACTIONS(1132),
    [anon_sym_offsetof] = ACTIONS(1132),
    [anon_sym__Generic] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1132),
    [anon_sym___asm__] = ACTIONS(1132),
    [sym_number_literal] = ACTIONS(1134),
    [anon_sym_L_SQUOTE] = ACTIONS(1134),
    [anon_sym_u_SQUOTE] = ACTIONS(1134),
    [anon_sym_U_SQUOTE] = ACTIONS(1134),
    [anon_sym_u8_SQUOTE] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_L_DQUOTE] = ACTIONS(1134),
    [anon_sym_u_DQUOTE] = ACTIONS(1134),
    [anon_sym_U_DQUOTE] = ACTIONS(1134),
    [anon_sym_u8_DQUOTE] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_NULL] = ACTIONS(1132),
    [anon_sym_nullptr] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_identifier] = ACTIONS(1132),
    [aux_sym_preproc_include_token1] = ACTIONS(1132),
    [aux_sym_preproc_def_token1] = ACTIONS(1132),
    [aux_sym_preproc_if_token1] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1132),
    [sym_preproc_directive] = ACTIONS(1132),
    [anon_sym_LPAREN2] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [anon_sym___extension__] = ACTIONS(1132),
    [anon_sym_typedef] = ACTIONS(1132),
    [anon_sym_extern] = ACTIONS(1132),
    [anon_sym___attribute__] = ACTIONS(1132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1134),
    [anon_sym___declspec] = ACTIONS(1132),
    [anon_sym___cdecl] = ACTIONS(1132),
    [anon_sym___clrcall] = ACTIONS(1132),
    [anon_sym___stdcall] = ACTIONS(1132),
    [anon_sym___fastcall] = ACTIONS(1132),
    [anon_sym___thiscall] = ACTIONS(1132),
    [anon_sym___vectorcall] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_signed] = ACTIONS(1132),
    [anon_sym_unsigned] = ACTIONS(1132),
    [anon_sym_long] = ACTIONS(1132),
    [anon_sym_short] = ACTIONS(1132),
    [anon_sym_static] = ACTIONS(1132),
    [anon_sym_auto] = ACTIONS(1132),
    [anon_sym_register] = ACTIONS(1132),
    [anon_sym_inline] = ACTIONS(1132),
    [anon_sym___inline] = ACTIONS(1132),
    [anon_sym___inline__] = ACTIONS(1132),
    [anon_sym___forceinline] = ACTIONS(1132),
    [anon_sym_thread_local] = ACTIONS(1132),
    [anon_sym___thread] = ACTIONS(1132),
    [anon_sym_const] = ACTIONS(1132),
    [anon_sym_constexpr] = ACTIONS(1132),
    [anon_sym_volatile] = ACTIONS(1132),
    [anon_sym_restrict] = ACTIONS(1132),
    [anon_sym___restrict__] = ACTIONS(1132),
    [anon_sym__Atomic] = ACTIONS(1132),
    [anon_sym__Noreturn] = ACTIONS(1132),
    [anon_sym_noreturn] = ACTIONS(1132),
    [sym_primitive_type] = ACTIONS(1132),
    [anon_sym_enum] = ACTIONS(1132),
    [anon_sym_struct] = ACTIONS(1132),
    [anon_sym_union] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_else] = ACTIONS(1132),
    [anon_sym_switch] = ACTIONS(1132),
    [anon_sym_case] = ACTIONS(1132),
    [anon_sym_default] = ACTIONS(1132),
    [anon_sym_while] = ACTIONS(1132),
    [anon_sym_do] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1132),
    [anon_sym___leave] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_sizeof] = ACTIONS(1132),
    [anon_sym___alignof__] = ACTIONS(1132),
    [anon_sym___alignof] = ACTIONS(1132),
    [anon_sym__alignof] = ACTIONS(1132),
    [anon_sym_alignof] = ACTIONS(1132),
    [anon_sym__Alignof] = ACTIONS(1132),
    [anon_sym_offsetof] = ACTIONS(1132),
    [anon_sym__Generic] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1132),
    [anon_sym___asm__] = ACTIONS(1132),
    [sym_number_literal] = ACTIONS(1134),
    [anon_sym_L_SQUOTE] = ACTIONS(1134),
    [anon_sym_u_SQUOTE] = ACTIONS(1134),
    [anon_sym_U_SQUOTE] = ACTIONS(1134),
    [anon_sym_u8_SQUOTE] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_L_DQUOTE] = ACTIONS(1134),
    [anon_sym_u_DQUOTE] = ACTIONS(1134),
    [anon_sym_U_DQUOTE] = ACTIONS(1134),
    [anon_sym_u8_DQUOTE] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_NULL] = ACTIONS(1132),
    [anon_sym_nullptr] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_identifier] = ACTIONS(1136),
    [aux_sym_preproc_include_token1] = ACTIONS(1136),
    [aux_sym_preproc_def_token1] = ACTIONS(1136),
    [aux_sym_preproc_if_token1] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1136),
    [sym_preproc_directive] = ACTIONS(1136),
    [anon_sym_LPAREN2] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym___extension__] = ACTIONS(1136),
    [anon_sym_typedef] = ACTIONS(1136),
    [anon_sym_extern] = ACTIONS(1136),
    [anon_sym___attribute__] = ACTIONS(1136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1138),
    [anon_sym___declspec] = ACTIONS(1136),
    [anon_sym___cdecl] = ACTIONS(1136),
    [anon_sym___clrcall] = ACTIONS(1136),
    [anon_sym___stdcall] = ACTIONS(1136),
    [anon_sym___fastcall] = ACTIONS(1136),
    [anon_sym___thiscall] = ACTIONS(1136),
    [anon_sym___vectorcall] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_signed] = ACTIONS(1136),
    [anon_sym_unsigned] = ACTIONS(1136),
    [anon_sym_long] = ACTIONS(1136),
    [anon_sym_short] = ACTIONS(1136),
    [anon_sym_static] = ACTIONS(1136),
    [anon_sym_auto] = ACTIONS(1136),
    [anon_sym_register] = ACTIONS(1136),
    [anon_sym_inline] = ACTIONS(1136),
    [anon_sym___inline] = ACTIONS(1136),
    [anon_sym___inline__] = ACTIONS(1136),
    [anon_sym___forceinline] = ACTIONS(1136),
    [anon_sym_thread_local] = ACTIONS(1136),
    [anon_sym___thread] = ACTIONS(1136),
    [anon_sym_const] = ACTIONS(1136),
    [anon_sym_constexpr] = ACTIONS(1136),
    [anon_sym_volatile] = ACTIONS(1136),
    [anon_sym_restrict] = ACTIONS(1136),
    [anon_sym___restrict__] = ACTIONS(1136),
    [anon_sym__Atomic] = ACTIONS(1136),
    [anon_sym__Noreturn] = ACTIONS(1136),
    [anon_sym_noreturn] = ACTIONS(1136),
    [sym_primitive_type] = ACTIONS(1136),
    [anon_sym_enum] = ACTIONS(1136),
    [anon_sym_struct] = ACTIONS(1136),
    [anon_sym_union] = ACTIONS(1136),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_else] = ACTIONS(1136),
    [anon_sym_switch] = ACTIONS(1136),
    [anon_sym_case] = ACTIONS(1136),
    [anon_sym_default] = ACTIONS(1136),
    [anon_sym_while] = ACTIONS(1136),
    [anon_sym_do] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym___try] = ACTIONS(1136),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_sizeof] = ACTIONS(1136),
    [anon_sym___alignof__] = ACTIONS(1136),
    [anon_sym___alignof] = ACTIONS(1136),
    [anon_sym__alignof] = ACTIONS(1136),
    [anon_sym_alignof] = ACTIONS(1136),
    [anon_sym__Alignof] = ACTIONS(1136),
    [anon_sym_offsetof] = ACTIONS(1136),
    [anon_sym__Generic] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1136),
    [anon_sym___asm__] = ACTIONS(1136),
    [sym_number_literal] = ACTIONS(1138),
    [anon_sym_L_SQUOTE] = ACTIONS(1138),
    [anon_sym_u_SQUOTE] = ACTIONS(1138),
    [anon_sym_U_SQUOTE] = ACTIONS(1138),
    [anon_sym_u8_SQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_L_DQUOTE] = ACTIONS(1138),
    [anon_sym_u_DQUOTE] = ACTIONS(1138),
    [anon_sym_U_DQUOTE] = ACTIONS(1138),
    [anon_sym_u8_DQUOTE] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_NULL] = ACTIONS(1136),
    [anon_sym_nullptr] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_identifier] = ACTIONS(1136),
    [aux_sym_preproc_include_token1] = ACTIONS(1136),
    [aux_sym_preproc_def_token1] = ACTIONS(1136),
    [aux_sym_preproc_if_token1] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1136),
    [sym_preproc_directive] = ACTIONS(1136),
    [anon_sym_LPAREN2] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym___extension__] = ACTIONS(1136),
    [anon_sym_typedef] = ACTIONS(1136),
    [anon_sym_extern] = ACTIONS(1136),
    [anon_sym___attribute__] = ACTIONS(1136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1138),
    [anon_sym___declspec] = ACTIONS(1136),
    [anon_sym___cdecl] = ACTIONS(1136),
    [anon_sym___clrcall] = ACTIONS(1136),
    [anon_sym___stdcall] = ACTIONS(1136),
    [anon_sym___fastcall] = ACTIONS(1136),
    [anon_sym___thiscall] = ACTIONS(1136),
    [anon_sym___vectorcall] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_signed] = ACTIONS(1136),
    [anon_sym_unsigned] = ACTIONS(1136),
    [anon_sym_long] = ACTIONS(1136),
    [anon_sym_short] = ACTIONS(1136),
    [anon_sym_static] = ACTIONS(1136),
    [anon_sym_auto] = ACTIONS(1136),
    [anon_sym_register] = ACTIONS(1136),
    [anon_sym_inline] = ACTIONS(1136),
    [anon_sym___inline] = ACTIONS(1136),
    [anon_sym___inline__] = ACTIONS(1136),
    [anon_sym___forceinline] = ACTIONS(1136),
    [anon_sym_thread_local] = ACTIONS(1136),
    [anon_sym___thread] = ACTIONS(1136),
    [anon_sym_const] = ACTIONS(1136),
    [anon_sym_constexpr] = ACTIONS(1136),
    [anon_sym_volatile] = ACTIONS(1136),
    [anon_sym_restrict] = ACTIONS(1136),
    [anon_sym___restrict__] = ACTIONS(1136),
    [anon_sym__Atomic] = ACTIONS(1136),
    [anon_sym__Noreturn] = ACTIONS(1136),
    [anon_sym_noreturn] = ACTIONS(1136),
    [sym_primitive_type] = ACTIONS(1136),
    [anon_sym_enum] = ACTIONS(1136),
    [anon_sym_struct] = ACTIONS(1136),
    [anon_sym_union] = ACTIONS(1136),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_else] = ACTIONS(1136),
    [anon_sym_switch] = ACTIONS(1136),
    [anon_sym_case] = ACTIONS(1136),
    [anon_sym_default] = ACTIONS(1136),
    [anon_sym_while] = ACTIONS(1136),
    [anon_sym_do] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym___try] = ACTIONS(1136),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_sizeof] = ACTIONS(1136),
    [anon_sym___alignof__] = ACTIONS(1136),
    [anon_sym___alignof] = ACTIONS(1136),
    [anon_sym__alignof] = ACTIONS(1136),
    [anon_sym_alignof] = ACTIONS(1136),
    [anon_sym__Alignof] = ACTIONS(1136),
    [anon_sym_offsetof] = ACTIONS(1136),
    [anon_sym__Generic] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1136),
    [anon_sym___asm__] = ACTIONS(1136),
    [sym_number_literal] = ACTIONS(1138),
    [anon_sym_L_SQUOTE] = ACTIONS(1138),
    [anon_sym_u_SQUOTE] = ACTIONS(1138),
    [anon_sym_U_SQUOTE] = ACTIONS(1138),
    [anon_sym_u8_SQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_L_DQUOTE] = ACTIONS(1138),
    [anon_sym_u_DQUOTE] = ACTIONS(1138),
    [anon_sym_U_DQUOTE] = ACTIONS(1138),
    [anon_sym_u8_DQUOTE] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_NULL] = ACTIONS(1136),
    [anon_sym_nullptr] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym___extension__] = ACTIONS(1220),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym___inline] = ACTIONS(1220),
    [anon_sym___inline__] = ACTIONS(1220),
    [anon_sym___forceinline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym___thread] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym___try] = ACTIONS(1220),
    [anon_sym___leave] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym___alignof__] = ACTIONS(1220),
    [anon_sym___alignof] = ACTIONS(1220),
    [anon_sym__alignof] = ACTIONS(1220),
    [anon_sym_alignof] = ACTIONS(1220),
    [anon_sym__Alignof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [ts_builtin_sym_end] = ACTIONS(1226),
    [sym_identifier] = ACTIONS(1224),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym___extension__] = ACTIONS(1224),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1224),
    [anon_sym___attribute__] = ACTIONS(1224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_signed] = ACTIONS(1224),
    [anon_sym_unsigned] = ACTIONS(1224),
    [anon_sym_long] = ACTIONS(1224),
    [anon_sym_short] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(1224),
    [anon_sym_auto] = ACTIONS(1224),
    [anon_sym_register] = ACTIONS(1224),
    [anon_sym_inline] = ACTIONS(1224),
    [anon_sym___inline] = ACTIONS(1224),
    [anon_sym___inline__] = ACTIONS(1224),
    [anon_sym___forceinline] = ACTIONS(1224),
    [anon_sym_thread_local] = ACTIONS(1224),
    [anon_sym___thread] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_constexpr] = ACTIONS(1224),
    [anon_sym_volatile] = ACTIONS(1224),
    [anon_sym_restrict] = ACTIONS(1224),
    [anon_sym___restrict__] = ACTIONS(1224),
    [anon_sym__Atomic] = ACTIONS(1224),
    [anon_sym__Noreturn] = ACTIONS(1224),
    [anon_sym_noreturn] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym___try] = ACTIONS(1224),
    [anon_sym___leave] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_sizeof] = ACTIONS(1224),
    [anon_sym___alignof__] = ACTIONS(1224),
    [anon_sym___alignof] = ACTIONS(1224),
    [anon_sym__alignof] = ACTIONS(1224),
    [anon_sym_alignof] = ACTIONS(1224),
    [anon_sym__Alignof] = ACTIONS(1224),
    [anon_sym_offsetof] = ACTIONS(1224),
    [anon_sym__Generic] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym___asm__] = ACTIONS(1224),
    [sym_number_literal] = ACTIONS(1226),
    [anon_sym_L_SQUOTE] = ACTIONS(1226),
    [anon_sym_u_SQUOTE] = ACTIONS(1226),
    [anon_sym_U_SQUOTE] = ACTIONS(1226),
    [anon_sym_u8_SQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_L_DQUOTE] = ACTIONS(1226),
    [anon_sym_u_DQUOTE] = ACTIONS(1226),
    [anon_sym_U_DQUOTE] = ACTIONS(1226),
    [anon_sym_u8_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_NULL] = ACTIONS(1224),
    [anon_sym_nullptr] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [ts_builtin_sym_end] = ACTIONS(1146),
    [sym_identifier] = ACTIONS(1144),
    [aux_sym_preproc_include_token1] = ACTIONS(1144),
    [aux_sym_preproc_def_token1] = ACTIONS(1144),
    [aux_sym_preproc_if_token1] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1144),
    [sym_preproc_directive] = ACTIONS(1144),
    [anon_sym_LPAREN2] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_STAR] = ACTIONS(1146),
    [anon_sym_AMP] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [anon_sym___extension__] = ACTIONS(1144),
    [anon_sym_typedef] = ACTIONS(1144),
    [anon_sym_extern] = ACTIONS(1144),
    [anon_sym___attribute__] = ACTIONS(1144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1146),
    [anon_sym___declspec] = ACTIONS(1144),
    [anon_sym___cdecl] = ACTIONS(1144),
    [anon_sym___clrcall] = ACTIONS(1144),
    [anon_sym___stdcall] = ACTIONS(1144),
    [anon_sym___fastcall] = ACTIONS(1144),
    [anon_sym___thiscall] = ACTIONS(1144),
    [anon_sym___vectorcall] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_signed] = ACTIONS(1144),
    [anon_sym_unsigned] = ACTIONS(1144),
    [anon_sym_long] = ACTIONS(1144),
    [anon_sym_short] = ACTIONS(1144),
    [anon_sym_static] = ACTIONS(1144),
    [anon_sym_auto] = ACTIONS(1144),
    [anon_sym_register] = ACTIONS(1144),
    [anon_sym_inline] = ACTIONS(1144),
    [anon_sym___inline] = ACTIONS(1144),
    [anon_sym___inline__] = ACTIONS(1144),
    [anon_sym___forceinline] = ACTIONS(1144),
    [anon_sym_thread_local] = ACTIONS(1144),
    [anon_sym___thread] = ACTIONS(1144),
    [anon_sym_const] = ACTIONS(1144),
    [anon_sym_constexpr] = ACTIONS(1144),
    [anon_sym_volatile] = ACTIONS(1144),
    [anon_sym_restrict] = ACTIONS(1144),
    [anon_sym___restrict__] = ACTIONS(1144),
    [anon_sym__Atomic] = ACTIONS(1144),
    [anon_sym__Noreturn] = ACTIONS(1144),
    [anon_sym_noreturn] = ACTIONS(1144),
    [sym_primitive_type] = ACTIONS(1144),
    [anon_sym_enum] = ACTIONS(1144),
    [anon_sym_struct] = ACTIONS(1144),
    [anon_sym_union] = ACTIONS(1144),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_else] = ACTIONS(1144),
    [anon_sym_switch] = ACTIONS(1144),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1144),
    [anon_sym_while] = ACTIONS(1144),
    [anon_sym_do] = ACTIONS(1144),
    [anon_sym_for] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1144),
    [anon_sym_break] = ACTIONS(1144),
    [anon_sym_continue] = ACTIONS(1144),
    [anon_sym_goto] = ACTIONS(1144),
    [anon_sym___try] = ACTIONS(1144),
    [anon_sym___leave] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [anon_sym_sizeof] = ACTIONS(1144),
    [anon_sym___alignof__] = ACTIONS(1144),
    [anon_sym___alignof] = ACTIONS(1144),
    [anon_sym__alignof] = ACTIONS(1144),
    [anon_sym_alignof] = ACTIONS(1144),
    [anon_sym__Alignof] = ACTIONS(1144),
    [anon_sym_offsetof] = ACTIONS(1144),
    [anon_sym__Generic] = ACTIONS(1144),
    [anon_sym_asm] = ACTIONS(1144),
    [anon_sym___asm__] = ACTIONS(1144),
    [sym_number_literal] = ACTIONS(1146),
    [anon_sym_L_SQUOTE] = ACTIONS(1146),
    [anon_sym_u_SQUOTE] = ACTIONS(1146),
    [anon_sym_U_SQUOTE] = ACTIONS(1146),
    [anon_sym_u8_SQUOTE] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_L_DQUOTE] = ACTIONS(1146),
    [anon_sym_u_DQUOTE] = ACTIONS(1146),
    [anon_sym_U_DQUOTE] = ACTIONS(1146),
    [anon_sym_u8_DQUOTE] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [sym_true] = ACTIONS(1144),
    [sym_false] = ACTIONS(1144),
    [anon_sym_NULL] = ACTIONS(1144),
    [anon_sym_nullptr] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_identifier] = ACTIONS(1148),
    [aux_sym_preproc_include_token1] = ACTIONS(1148),
    [aux_sym_preproc_def_token1] = ACTIONS(1148),
    [aux_sym_preproc_if_token1] = ACTIONS(1148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1148),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1148),
    [sym_preproc_directive] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(1150),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_STAR] = ACTIONS(1150),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym___extension__] = ACTIONS(1148),
    [anon_sym_typedef] = ACTIONS(1148),
    [anon_sym_extern] = ACTIONS(1148),
    [anon_sym___attribute__] = ACTIONS(1148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1150),
    [anon_sym___declspec] = ACTIONS(1148),
    [anon_sym___cdecl] = ACTIONS(1148),
    [anon_sym___clrcall] = ACTIONS(1148),
    [anon_sym___stdcall] = ACTIONS(1148),
    [anon_sym___fastcall] = ACTIONS(1148),
    [anon_sym___thiscall] = ACTIONS(1148),
    [anon_sym___vectorcall] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym_signed] = ACTIONS(1148),
    [anon_sym_unsigned] = ACTIONS(1148),
    [anon_sym_long] = ACTIONS(1148),
    [anon_sym_short] = ACTIONS(1148),
    [anon_sym_static] = ACTIONS(1148),
    [anon_sym_auto] = ACTIONS(1148),
    [anon_sym_register] = ACTIONS(1148),
    [anon_sym_inline] = ACTIONS(1148),
    [anon_sym___inline] = ACTIONS(1148),
    [anon_sym___inline__] = ACTIONS(1148),
    [anon_sym___forceinline] = ACTIONS(1148),
    [anon_sym_thread_local] = ACTIONS(1148),
    [anon_sym___thread] = ACTIONS(1148),
    [anon_sym_const] = ACTIONS(1148),
    [anon_sym_constexpr] = ACTIONS(1148),
    [anon_sym_volatile] = ACTIONS(1148),
    [anon_sym_restrict] = ACTIONS(1148),
    [anon_sym___restrict__] = ACTIONS(1148),
    [anon_sym__Atomic] = ACTIONS(1148),
    [anon_sym__Noreturn] = ACTIONS(1148),
    [anon_sym_noreturn] = ACTIONS(1148),
    [sym_primitive_type] = ACTIONS(1148),
    [anon_sym_enum] = ACTIONS(1148),
    [anon_sym_struct] = ACTIONS(1148),
    [anon_sym_union] = ACTIONS(1148),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_switch] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym_default] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_for] = ACTIONS(1148),
    [anon_sym_return] = ACTIONS(1148),
    [anon_sym_break] = ACTIONS(1148),
    [anon_sym_continue] = ACTIONS(1148),
    [anon_sym_goto] = ACTIONS(1148),
    [anon_sym___try] = ACTIONS(1148),
    [anon_sym___leave] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [anon_sym_sizeof] = ACTIONS(1148),
    [anon_sym___alignof__] = ACTIONS(1148),
    [anon_sym___alignof] = ACTIONS(1148),
    [anon_sym__alignof] = ACTIONS(1148),
    [anon_sym_alignof] = ACTIONS(1148),
    [anon_sym__Alignof] = ACTIONS(1148),
    [anon_sym_offsetof] = ACTIONS(1148),
    [anon_sym__Generic] = ACTIONS(1148),
    [anon_sym_asm] = ACTIONS(1148),
    [anon_sym___asm__] = ACTIONS(1148),
    [sym_number_literal] = ACTIONS(1150),
    [anon_sym_L_SQUOTE] = ACTIONS(1150),
    [anon_sym_u_SQUOTE] = ACTIONS(1150),
    [anon_sym_U_SQUOTE] = ACTIONS(1150),
    [anon_sym_u8_SQUOTE] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_L_DQUOTE] = ACTIONS(1150),
    [anon_sym_u_DQUOTE] = ACTIONS(1150),
    [anon_sym_U_DQUOTE] = ACTIONS(1150),
    [anon_sym_u8_DQUOTE] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [sym_true] = ACTIONS(1148),
    [sym_false] = ACTIONS(1148),
    [anon_sym_NULL] = ACTIONS(1148),
    [anon_sym_nullptr] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_identifier] = ACTIONS(1152),
    [aux_sym_preproc_include_token1] = ACTIONS(1152),
    [aux_sym_preproc_def_token1] = ACTIONS(1152),
    [aux_sym_preproc_if_token1] = ACTIONS(1152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1152),
    [sym_preproc_directive] = ACTIONS(1152),
    [anon_sym_LPAREN2] = ACTIONS(1154),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_STAR] = ACTIONS(1154),
    [anon_sym_AMP] = ACTIONS(1154),
    [anon_sym_SEMI] = ACTIONS(1154),
    [anon_sym___extension__] = ACTIONS(1152),
    [anon_sym_typedef] = ACTIONS(1152),
    [anon_sym_extern] = ACTIONS(1152),
    [anon_sym___attribute__] = ACTIONS(1152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1154),
    [anon_sym___declspec] = ACTIONS(1152),
    [anon_sym___cdecl] = ACTIONS(1152),
    [anon_sym___clrcall] = ACTIONS(1152),
    [anon_sym___stdcall] = ACTIONS(1152),
    [anon_sym___fastcall] = ACTIONS(1152),
    [anon_sym___thiscall] = ACTIONS(1152),
    [anon_sym___vectorcall] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_signed] = ACTIONS(1152),
    [anon_sym_unsigned] = ACTIONS(1152),
    [anon_sym_long] = ACTIONS(1152),
    [anon_sym_short] = ACTIONS(1152),
    [anon_sym_static] = ACTIONS(1152),
    [anon_sym_auto] = ACTIONS(1152),
    [anon_sym_register] = ACTIONS(1152),
    [anon_sym_inline] = ACTIONS(1152),
    [anon_sym___inline] = ACTIONS(1152),
    [anon_sym___inline__] = ACTIONS(1152),
    [anon_sym___forceinline] = ACTIONS(1152),
    [anon_sym_thread_local] = ACTIONS(1152),
    [anon_sym___thread] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1152),
    [anon_sym_constexpr] = ACTIONS(1152),
    [anon_sym_volatile] = ACTIONS(1152),
    [anon_sym_restrict] = ACTIONS(1152),
    [anon_sym___restrict__] = ACTIONS(1152),
    [anon_sym__Atomic] = ACTIONS(1152),
    [anon_sym__Noreturn] = ACTIONS(1152),
    [anon_sym_noreturn] = ACTIONS(1152),
    [sym_primitive_type] = ACTIONS(1152),
    [anon_sym_enum] = ACTIONS(1152),
    [anon_sym_struct] = ACTIONS(1152),
    [anon_sym_union] = ACTIONS(1152),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_else] = ACTIONS(1152),
    [anon_sym_switch] = ACTIONS(1152),
    [anon_sym_case] = ACTIONS(1152),
    [anon_sym_default] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1152),
    [anon_sym_break] = ACTIONS(1152),
    [anon_sym_continue] = ACTIONS(1152),
    [anon_sym_goto] = ACTIONS(1152),
    [anon_sym___try] = ACTIONS(1152),
    [anon_sym___leave] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_sizeof] = ACTIONS(1152),
    [anon_sym___alignof__] = ACTIONS(1152),
    [anon_sym___alignof] = ACTIONS(1152),
    [anon_sym__alignof] = ACTIONS(1152),
    [anon_sym_alignof] = ACTIONS(1152),
    [anon_sym__Alignof] = ACTIONS(1152),
    [anon_sym_offsetof] = ACTIONS(1152),
    [anon_sym__Generic] = ACTIONS(1152),
    [anon_sym_asm] = ACTIONS(1152),
    [anon_sym___asm__] = ACTIONS(1152),
    [sym_number_literal] = ACTIONS(1154),
    [anon_sym_L_SQUOTE] = ACTIONS(1154),
    [anon_sym_u_SQUOTE] = ACTIONS(1154),
    [anon_sym_U_SQUOTE] = ACTIONS(1154),
    [anon_sym_u8_SQUOTE] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [anon_sym_L_DQUOTE] = ACTIONS(1154),
    [anon_sym_u_DQUOTE] = ACTIONS(1154),
    [anon_sym_U_DQUOTE] = ACTIONS(1154),
    [anon_sym_u8_DQUOTE] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [sym_true] = ACTIONS(1152),
    [sym_false] = ACTIONS(1152),
    [anon_sym_NULL] = ACTIONS(1152),
    [anon_sym_nullptr] = ACTIONS(1152),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [ts_builtin_sym_end] = ACTIONS(1158),
    [sym_identifier] = ACTIONS(1156),
    [aux_sym_preproc_include_token1] = ACTIONS(1156),
    [aux_sym_preproc_def_token1] = ACTIONS(1156),
    [aux_sym_preproc_if_token1] = ACTIONS(1156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1156),
    [sym_preproc_directive] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_STAR] = ACTIONS(1158),
    [anon_sym_AMP] = ACTIONS(1158),
    [anon_sym_SEMI] = ACTIONS(1158),
    [anon_sym___extension__] = ACTIONS(1156),
    [anon_sym_typedef] = ACTIONS(1156),
    [anon_sym_extern] = ACTIONS(1156),
    [anon_sym___attribute__] = ACTIONS(1156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1158),
    [anon_sym___declspec] = ACTIONS(1156),
    [anon_sym___cdecl] = ACTIONS(1156),
    [anon_sym___clrcall] = ACTIONS(1156),
    [anon_sym___stdcall] = ACTIONS(1156),
    [anon_sym___fastcall] = ACTIONS(1156),
    [anon_sym___thiscall] = ACTIONS(1156),
    [anon_sym___vectorcall] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_signed] = ACTIONS(1156),
    [anon_sym_unsigned] = ACTIONS(1156),
    [anon_sym_long] = ACTIONS(1156),
    [anon_sym_short] = ACTIONS(1156),
    [anon_sym_static] = ACTIONS(1156),
    [anon_sym_auto] = ACTIONS(1156),
    [anon_sym_register] = ACTIONS(1156),
    [anon_sym_inline] = ACTIONS(1156),
    [anon_sym___inline] = ACTIONS(1156),
    [anon_sym___inline__] = ACTIONS(1156),
    [anon_sym___forceinline] = ACTIONS(1156),
    [anon_sym_thread_local] = ACTIONS(1156),
    [anon_sym___thread] = ACTIONS(1156),
    [anon_sym_const] = ACTIONS(1156),
    [anon_sym_constexpr] = ACTIONS(1156),
    [anon_sym_volatile] = ACTIONS(1156),
    [anon_sym_restrict] = ACTIONS(1156),
    [anon_sym___restrict__] = ACTIONS(1156),
    [anon_sym__Atomic] = ACTIONS(1156),
    [anon_sym__Noreturn] = ACTIONS(1156),
    [anon_sym_noreturn] = ACTIONS(1156),
    [sym_primitive_type] = ACTIONS(1156),
    [anon_sym_enum] = ACTIONS(1156),
    [anon_sym_struct] = ACTIONS(1156),
    [anon_sym_union] = ACTIONS(1156),
    [anon_sym_if] = ACTIONS(1156),
    [anon_sym_else] = ACTIONS(1156),
    [anon_sym_switch] = ACTIONS(1156),
    [anon_sym_case] = ACTIONS(1156),
    [anon_sym_default] = ACTIONS(1156),
    [anon_sym_while] = ACTIONS(1156),
    [anon_sym_do] = ACTIONS(1156),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1156),
    [anon_sym_goto] = ACTIONS(1156),
    [anon_sym___try] = ACTIONS(1156),
    [anon_sym___leave] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [anon_sym_sizeof] = ACTIONS(1156),
    [anon_sym___alignof__] = ACTIONS(1156),
    [anon_sym___alignof] = ACTIONS(1156),
    [anon_sym__alignof] = ACTIONS(1156),
    [anon_sym_alignof] = ACTIONS(1156),
    [anon_sym__Alignof] = ACTIONS(1156),
    [anon_sym_offsetof] = ACTIONS(1156),
    [anon_sym__Generic] = ACTIONS(1156),
    [anon_sym_asm] = ACTIONS(1156),
    [anon_sym___asm__] = ACTIONS(1156),
    [sym_number_literal] = ACTIONS(1158),
    [anon_sym_L_SQUOTE] = ACTIONS(1158),
    [anon_sym_u_SQUOTE] = ACTIONS(1158),
    [anon_sym_U_SQUOTE] = ACTIONS(1158),
    [anon_sym_u8_SQUOTE] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1158),
    [anon_sym_L_DQUOTE] = ACTIONS(1158),
    [anon_sym_u_DQUOTE] = ACTIONS(1158),
    [anon_sym_U_DQUOTE] = ACTIONS(1158),
    [anon_sym_u8_DQUOTE] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [sym_true] = ACTIONS(1156),
    [sym_false] = ACTIONS(1156),
    [anon_sym_NULL] = ACTIONS(1156),
    [anon_sym_nullptr] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1164),
    [aux_sym_preproc_include_token1] = ACTIONS(1164),
    [aux_sym_preproc_def_token1] = ACTIONS(1164),
    [aux_sym_preproc_if_token1] = ACTIONS(1164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1164),
    [sym_preproc_directive] = ACTIONS(1164),
    [anon_sym_LPAREN2] = ACTIONS(1166),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_STAR] = ACTIONS(1166),
    [anon_sym_AMP] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym___extension__] = ACTIONS(1164),
    [anon_sym_typedef] = ACTIONS(1164),
    [anon_sym_extern] = ACTIONS(1164),
    [anon_sym___attribute__] = ACTIONS(1164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1166),
    [anon_sym___declspec] = ACTIONS(1164),
    [anon_sym___cdecl] = ACTIONS(1164),
    [anon_sym___clrcall] = ACTIONS(1164),
    [anon_sym___stdcall] = ACTIONS(1164),
    [anon_sym___fastcall] = ACTIONS(1164),
    [anon_sym___thiscall] = ACTIONS(1164),
    [anon_sym___vectorcall] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_signed] = ACTIONS(1164),
    [anon_sym_unsigned] = ACTIONS(1164),
    [anon_sym_long] = ACTIONS(1164),
    [anon_sym_short] = ACTIONS(1164),
    [anon_sym_static] = ACTIONS(1164),
    [anon_sym_auto] = ACTIONS(1164),
    [anon_sym_register] = ACTIONS(1164),
    [anon_sym_inline] = ACTIONS(1164),
    [anon_sym___inline] = ACTIONS(1164),
    [anon_sym___inline__] = ACTIONS(1164),
    [anon_sym___forceinline] = ACTIONS(1164),
    [anon_sym_thread_local] = ACTIONS(1164),
    [anon_sym___thread] = ACTIONS(1164),
    [anon_sym_const] = ACTIONS(1164),
    [anon_sym_constexpr] = ACTIONS(1164),
    [anon_sym_volatile] = ACTIONS(1164),
    [anon_sym_restrict] = ACTIONS(1164),
    [anon_sym___restrict__] = ACTIONS(1164),
    [anon_sym__Atomic] = ACTIONS(1164),
    [anon_sym__Noreturn] = ACTIONS(1164),
    [anon_sym_noreturn] = ACTIONS(1164),
    [sym_primitive_type] = ACTIONS(1164),
    [anon_sym_enum] = ACTIONS(1164),
    [anon_sym_struct] = ACTIONS(1164),
    [anon_sym_union] = ACTIONS(1164),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_switch] = ACTIONS(1164),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym_default] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1164),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_break] = ACTIONS(1164),
    [anon_sym_continue] = ACTIONS(1164),
    [anon_sym_goto] = ACTIONS(1164),
    [anon_sym___try] = ACTIONS(1164),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [anon_sym_sizeof] = ACTIONS(1164),
    [anon_sym___alignof__] = ACTIONS(1164),
    [anon_sym___alignof] = ACTIONS(1164),
    [anon_sym__alignof] = ACTIONS(1164),
    [anon_sym_alignof] = ACTIONS(1164),
    [anon_sym__Alignof] = ACTIONS(1164),
    [anon_sym_offsetof] = ACTIONS(1164),
    [anon_sym__Generic] = ACTIONS(1164),
    [anon_sym_asm] = ACTIONS(1164),
    [anon_sym___asm__] = ACTIONS(1164),
    [sym_number_literal] = ACTIONS(1166),
    [anon_sym_L_SQUOTE] = ACTIONS(1166),
    [anon_sym_u_SQUOTE] = ACTIONS(1166),
    [anon_sym_U_SQUOTE] = ACTIONS(1166),
    [anon_sym_u8_SQUOTE] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [anon_sym_L_DQUOTE] = ACTIONS(1166),
    [anon_sym_u_DQUOTE] = ACTIONS(1166),
    [anon_sym_U_DQUOTE] = ACTIONS(1166),
    [anon_sym_u8_DQUOTE] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [sym_true] = ACTIONS(1164),
    [sym_false] = ACTIONS(1164),
    [anon_sym_NULL] = ACTIONS(1164),
    [anon_sym_nullptr] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_identifier] = ACTIONS(1168),
    [aux_sym_preproc_include_token1] = ACTIONS(1168),
    [aux_sym_preproc_def_token1] = ACTIONS(1168),
    [aux_sym_preproc_if_token1] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1168),
    [sym_preproc_directive] = ACTIONS(1168),
    [anon_sym_LPAREN2] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_STAR] = ACTIONS(1170),
    [anon_sym_AMP] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [anon_sym___extension__] = ACTIONS(1168),
    [anon_sym_typedef] = ACTIONS(1168),
    [anon_sym_extern] = ACTIONS(1168),
    [anon_sym___attribute__] = ACTIONS(1168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1170),
    [anon_sym___declspec] = ACTIONS(1168),
    [anon_sym___cdecl] = ACTIONS(1168),
    [anon_sym___clrcall] = ACTIONS(1168),
    [anon_sym___stdcall] = ACTIONS(1168),
    [anon_sym___fastcall] = ACTIONS(1168),
    [anon_sym___thiscall] = ACTIONS(1168),
    [anon_sym___vectorcall] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_signed] = ACTIONS(1168),
    [anon_sym_unsigned] = ACTIONS(1168),
    [anon_sym_long] = ACTIONS(1168),
    [anon_sym_short] = ACTIONS(1168),
    [anon_sym_static] = ACTIONS(1168),
    [anon_sym_auto] = ACTIONS(1168),
    [anon_sym_register] = ACTIONS(1168),
    [anon_sym_inline] = ACTIONS(1168),
    [anon_sym___inline] = ACTIONS(1168),
    [anon_sym___inline__] = ACTIONS(1168),
    [anon_sym___forceinline] = ACTIONS(1168),
    [anon_sym_thread_local] = ACTIONS(1168),
    [anon_sym___thread] = ACTIONS(1168),
    [anon_sym_const] = ACTIONS(1168),
    [anon_sym_constexpr] = ACTIONS(1168),
    [anon_sym_volatile] = ACTIONS(1168),
    [anon_sym_restrict] = ACTIONS(1168),
    [anon_sym___restrict__] = ACTIONS(1168),
    [anon_sym__Atomic] = ACTIONS(1168),
    [anon_sym__Noreturn] = ACTIONS(1168),
    [anon_sym_noreturn] = ACTIONS(1168),
    [sym_primitive_type] = ACTIONS(1168),
    [anon_sym_enum] = ACTIONS(1168),
    [anon_sym_struct] = ACTIONS(1168),
    [anon_sym_union] = ACTIONS(1168),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_else] = ACTIONS(1168),
    [anon_sym_switch] = ACTIONS(1168),
    [anon_sym_case] = ACTIONS(1168),
    [anon_sym_default] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_for] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_continue] = ACTIONS(1168),
    [anon_sym_goto] = ACTIONS(1168),
    [anon_sym___try] = ACTIONS(1168),
    [anon_sym___leave] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [anon_sym_sizeof] = ACTIONS(1168),
    [anon_sym___alignof__] = ACTIONS(1168),
    [anon_sym___alignof] = ACTIONS(1168),
    [anon_sym__alignof] = ACTIONS(1168),
    [anon_sym_alignof] = ACTIONS(1168),
    [anon_sym__Alignof] = ACTIONS(1168),
    [anon_sym_offsetof] = ACTIONS(1168),
    [anon_sym__Generic] = ACTIONS(1168),
    [anon_sym_asm] = ACTIONS(1168),
    [anon_sym___asm__] = ACTIONS(1168),
    [sym_number_literal] = ACTIONS(1170),
    [anon_sym_L_SQUOTE] = ACTIONS(1170),
    [anon_sym_u_SQUOTE] = ACTIONS(1170),
    [anon_sym_U_SQUOTE] = ACTIONS(1170),
    [anon_sym_u8_SQUOTE] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_L_DQUOTE] = ACTIONS(1170),
    [anon_sym_u_DQUOTE] = ACTIONS(1170),
    [anon_sym_U_DQUOTE] = ACTIONS(1170),
    [anon_sym_u8_DQUOTE] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [sym_true] = ACTIONS(1168),
    [sym_false] = ACTIONS(1168),
    [anon_sym_NULL] = ACTIONS(1168),
    [anon_sym_nullptr] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_identifier] = ACTIONS(1168),
    [aux_sym_preproc_include_token1] = ACTIONS(1168),
    [aux_sym_preproc_def_token1] = ACTIONS(1168),
    [aux_sym_preproc_if_token1] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1168),
    [sym_preproc_directive] = ACTIONS(1168),
    [anon_sym_LPAREN2] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_STAR] = ACTIONS(1170),
    [anon_sym_AMP] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [anon_sym___extension__] = ACTIONS(1168),
    [anon_sym_typedef] = ACTIONS(1168),
    [anon_sym_extern] = ACTIONS(1168),
    [anon_sym___attribute__] = ACTIONS(1168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1170),
    [anon_sym___declspec] = ACTIONS(1168),
    [anon_sym___cdecl] = ACTIONS(1168),
    [anon_sym___clrcall] = ACTIONS(1168),
    [anon_sym___stdcall] = ACTIONS(1168),
    [anon_sym___fastcall] = ACTIONS(1168),
    [anon_sym___thiscall] = ACTIONS(1168),
    [anon_sym___vectorcall] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_signed] = ACTIONS(1168),
    [anon_sym_unsigned] = ACTIONS(1168),
    [anon_sym_long] = ACTIONS(1168),
    [anon_sym_short] = ACTIONS(1168),
    [anon_sym_static] = ACTIONS(1168),
    [anon_sym_auto] = ACTIONS(1168),
    [anon_sym_register] = ACTIONS(1168),
    [anon_sym_inline] = ACTIONS(1168),
    [anon_sym___inline] = ACTIONS(1168),
    [anon_sym___inline__] = ACTIONS(1168),
    [anon_sym___forceinline] = ACTIONS(1168),
    [anon_sym_thread_local] = ACTIONS(1168),
    [anon_sym___thread] = ACTIONS(1168),
    [anon_sym_const] = ACTIONS(1168),
    [anon_sym_constexpr] = ACTIONS(1168),
    [anon_sym_volatile] = ACTIONS(1168),
    [anon_sym_restrict] = ACTIONS(1168),
    [anon_sym___restrict__] = ACTIONS(1168),
    [anon_sym__Atomic] = ACTIONS(1168),
    [anon_sym__Noreturn] = ACTIONS(1168),
    [anon_sym_noreturn] = ACTIONS(1168),
    [sym_primitive_type] = ACTIONS(1168),
    [anon_sym_enum] = ACTIONS(1168),
    [anon_sym_struct] = ACTIONS(1168),
    [anon_sym_union] = ACTIONS(1168),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_else] = ACTIONS(1168),
    [anon_sym_switch] = ACTIONS(1168),
    [anon_sym_case] = ACTIONS(1168),
    [anon_sym_default] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_for] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_continue] = ACTIONS(1168),
    [anon_sym_goto] = ACTIONS(1168),
    [anon_sym___try] = ACTIONS(1168),
    [anon_sym___leave] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [anon_sym_sizeof] = ACTIONS(1168),
    [anon_sym___alignof__] = ACTIONS(1168),
    [anon_sym___alignof] = ACTIONS(1168),
    [anon_sym__alignof] = ACTIONS(1168),
    [anon_sym_alignof] = ACTIONS(1168),
    [anon_sym__Alignof] = ACTIONS(1168),
    [anon_sym_offsetof] = ACTIONS(1168),
    [anon_sym__Generic] = ACTIONS(1168),
    [anon_sym_asm] = ACTIONS(1168),
    [anon_sym___asm__] = ACTIONS(1168),
    [sym_number_literal] = ACTIONS(1170),
    [anon_sym_L_SQUOTE] = ACTIONS(1170),
    [anon_sym_u_SQUOTE] = ACTIONS(1170),
    [anon_sym_U_SQUOTE] = ACTIONS(1170),
    [anon_sym_u8_SQUOTE] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_L_DQUOTE] = ACTIONS(1170),
    [anon_sym_u_DQUOTE] = ACTIONS(1170),
    [anon_sym_U_DQUOTE] = ACTIONS(1170),
    [anon_sym_u8_DQUOTE] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [sym_true] = ACTIONS(1168),
    [sym_false] = ACTIONS(1168),
    [anon_sym_NULL] = ACTIONS(1168),
    [anon_sym_nullptr] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_identifier] = ACTIONS(1228),
    [aux_sym_preproc_include_token1] = ACTIONS(1228),
    [aux_sym_preproc_def_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1228),
    [sym_preproc_directive] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym___extension__] = ACTIONS(1228),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_extern] = ACTIONS(1228),
    [anon_sym___attribute__] = ACTIONS(1228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1230),
    [anon_sym___declspec] = ACTIONS(1228),
    [anon_sym___cdecl] = ACTIONS(1228),
    [anon_sym___clrcall] = ACTIONS(1228),
    [anon_sym___stdcall] = ACTIONS(1228),
    [anon_sym___fastcall] = ACTIONS(1228),
    [anon_sym___thiscall] = ACTIONS(1228),
    [anon_sym___vectorcall] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_signed] = ACTIONS(1228),
    [anon_sym_unsigned] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_auto] = ACTIONS(1228),
    [anon_sym_register] = ACTIONS(1228),
    [anon_sym_inline] = ACTIONS(1228),
    [anon_sym___inline] = ACTIONS(1228),
    [anon_sym___inline__] = ACTIONS(1228),
    [anon_sym___forceinline] = ACTIONS(1228),
    [anon_sym_thread_local] = ACTIONS(1228),
    [anon_sym___thread] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_constexpr] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_restrict] = ACTIONS(1228),
    [anon_sym___restrict__] = ACTIONS(1228),
    [anon_sym__Atomic] = ACTIONS(1228),
    [anon_sym__Noreturn] = ACTIONS(1228),
    [anon_sym_noreturn] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_struct] = ACTIONS(1228),
    [anon_sym_union] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_goto] = ACTIONS(1228),
    [anon_sym___try] = ACTIONS(1228),
    [anon_sym___leave] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_sizeof] = ACTIONS(1228),
    [anon_sym___alignof__] = ACTIONS(1228),
    [anon_sym___alignof] = ACTIONS(1228),
    [anon_sym__alignof] = ACTIONS(1228),
    [anon_sym_alignof] = ACTIONS(1228),
    [anon_sym__Alignof] = ACTIONS(1228),
    [anon_sym_offsetof] = ACTIONS(1228),
    [anon_sym__Generic] = ACTIONS(1228),
    [anon_sym_asm] = ACTIONS(1228),
    [anon_sym___asm__] = ACTIONS(1228),
    [sym_number_literal] = ACTIONS(1230),
    [anon_sym_L_SQUOTE] = ACTIONS(1230),
    [anon_sym_u_SQUOTE] = ACTIONS(1230),
    [anon_sym_U_SQUOTE] = ACTIONS(1230),
    [anon_sym_u8_SQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_L_DQUOTE] = ACTIONS(1230),
    [anon_sym_u_DQUOTE] = ACTIONS(1230),
    [anon_sym_U_DQUOTE] = ACTIONS(1230),
    [anon_sym_u8_DQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [anon_sym_NULL] = ACTIONS(1228),
    [anon_sym_nullptr] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(1174),
    [sym_identifier] = ACTIONS(1172),
    [aux_sym_preproc_include_token1] = ACTIONS(1172),
    [aux_sym_preproc_def_token1] = ACTIONS(1172),
    [aux_sym_preproc_if_token1] = ACTIONS(1172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1172),
    [sym_preproc_directive] = ACTIONS(1172),
    [anon_sym_LPAREN2] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_STAR] = ACTIONS(1174),
    [anon_sym_AMP] = ACTIONS(1174),
    [anon_sym_SEMI] = ACTIONS(1174),
    [anon_sym___extension__] = ACTIONS(1172),
    [anon_sym_typedef] = ACTIONS(1172),
    [anon_sym_extern] = ACTIONS(1172),
    [anon_sym___attribute__] = ACTIONS(1172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1174),
    [anon_sym___declspec] = ACTIONS(1172),
    [anon_sym___cdecl] = ACTIONS(1172),
    [anon_sym___clrcall] = ACTIONS(1172),
    [anon_sym___stdcall] = ACTIONS(1172),
    [anon_sym___fastcall] = ACTIONS(1172),
    [anon_sym___thiscall] = ACTIONS(1172),
    [anon_sym___vectorcall] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_signed] = ACTIONS(1172),
    [anon_sym_unsigned] = ACTIONS(1172),
    [anon_sym_long] = ACTIONS(1172),
    [anon_sym_short] = ACTIONS(1172),
    [anon_sym_static] = ACTIONS(1172),
    [anon_sym_auto] = ACTIONS(1172),
    [anon_sym_register] = ACTIONS(1172),
    [anon_sym_inline] = ACTIONS(1172),
    [anon_sym___inline] = ACTIONS(1172),
    [anon_sym___inline__] = ACTIONS(1172),
    [anon_sym___forceinline] = ACTIONS(1172),
    [anon_sym_thread_local] = ACTIONS(1172),
    [anon_sym___thread] = ACTIONS(1172),
    [anon_sym_const] = ACTIONS(1172),
    [anon_sym_constexpr] = ACTIONS(1172),
    [anon_sym_volatile] = ACTIONS(1172),
    [anon_sym_restrict] = ACTIONS(1172),
    [anon_sym___restrict__] = ACTIONS(1172),
    [anon_sym__Atomic] = ACTIONS(1172),
    [anon_sym__Noreturn] = ACTIONS(1172),
    [anon_sym_noreturn] = ACTIONS(1172),
    [sym_primitive_type] = ACTIONS(1172),
    [anon_sym_enum] = ACTIONS(1172),
    [anon_sym_struct] = ACTIONS(1172),
    [anon_sym_union] = ACTIONS(1172),
    [anon_sym_if] = ACTIONS(1172),
    [anon_sym_else] = ACTIONS(1172),
    [anon_sym_switch] = ACTIONS(1172),
    [anon_sym_case] = ACTIONS(1172),
    [anon_sym_default] = ACTIONS(1172),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_do] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_return] = ACTIONS(1172),
    [anon_sym_break] = ACTIONS(1172),
    [anon_sym_continue] = ACTIONS(1172),
    [anon_sym_goto] = ACTIONS(1172),
    [anon_sym___try] = ACTIONS(1172),
    [anon_sym___leave] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1174),
    [anon_sym_sizeof] = ACTIONS(1172),
    [anon_sym___alignof__] = ACTIONS(1172),
    [anon_sym___alignof] = ACTIONS(1172),
    [anon_sym__alignof] = ACTIONS(1172),
    [anon_sym_alignof] = ACTIONS(1172),
    [anon_sym__Alignof] = ACTIONS(1172),
    [anon_sym_offsetof] = ACTIONS(1172),
    [anon_sym__Generic] = ACTIONS(1172),
    [anon_sym_asm] = ACTIONS(1172),
    [anon_sym___asm__] = ACTIONS(1172),
    [sym_number_literal] = ACTIONS(1174),
    [anon_sym_L_SQUOTE] = ACTIONS(1174),
    [anon_sym_u_SQUOTE] = ACTIONS(1174),
    [anon_sym_U_SQUOTE] = ACTIONS(1174),
    [anon_sym_u8_SQUOTE] = ACTIONS(1174),
    [anon_sym_SQUOTE] = ACTIONS(1174),
    [anon_sym_L_DQUOTE] = ACTIONS(1174),
    [anon_sym_u_DQUOTE] = ACTIONS(1174),
    [anon_sym_U_DQUOTE] = ACTIONS(1174),
    [anon_sym_u8_DQUOTE] = ACTIONS(1174),
    [anon_sym_DQUOTE] = ACTIONS(1174),
    [sym_true] = ACTIONS(1172),
    [sym_false] = ACTIONS(1172),
    [anon_sym_NULL] = ACTIONS(1172),
    [anon_sym_nullptr] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_identifier] = ACTIONS(1176),
    [aux_sym_preproc_include_token1] = ACTIONS(1176),
    [aux_sym_preproc_def_token1] = ACTIONS(1176),
    [aux_sym_preproc_if_token1] = ACTIONS(1176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1176),
    [sym_preproc_directive] = ACTIONS(1176),
    [anon_sym_LPAREN2] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_STAR] = ACTIONS(1178),
    [anon_sym_AMP] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [anon_sym___extension__] = ACTIONS(1176),
    [anon_sym_typedef] = ACTIONS(1176),
    [anon_sym_extern] = ACTIONS(1176),
    [anon_sym___attribute__] = ACTIONS(1176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1178),
    [anon_sym___declspec] = ACTIONS(1176),
    [anon_sym___cdecl] = ACTIONS(1176),
    [anon_sym___clrcall] = ACTIONS(1176),
    [anon_sym___stdcall] = ACTIONS(1176),
    [anon_sym___fastcall] = ACTIONS(1176),
    [anon_sym___thiscall] = ACTIONS(1176),
    [anon_sym___vectorcall] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [anon_sym_signed] = ACTIONS(1176),
    [anon_sym_unsigned] = ACTIONS(1176),
    [anon_sym_long] = ACTIONS(1176),
    [anon_sym_short] = ACTIONS(1176),
    [anon_sym_static] = ACTIONS(1176),
    [anon_sym_auto] = ACTIONS(1176),
    [anon_sym_register] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1176),
    [anon_sym___inline] = ACTIONS(1176),
    [anon_sym___inline__] = ACTIONS(1176),
    [anon_sym___forceinline] = ACTIONS(1176),
    [anon_sym_thread_local] = ACTIONS(1176),
    [anon_sym___thread] = ACTIONS(1176),
    [anon_sym_const] = ACTIONS(1176),
    [anon_sym_constexpr] = ACTIONS(1176),
    [anon_sym_volatile] = ACTIONS(1176),
    [anon_sym_restrict] = ACTIONS(1176),
    [anon_sym___restrict__] = ACTIONS(1176),
    [anon_sym__Atomic] = ACTIONS(1176),
    [anon_sym__Noreturn] = ACTIONS(1176),
    [anon_sym_noreturn] = ACTIONS(1176),
    [sym_primitive_type] = ACTIONS(1176),
    [anon_sym_enum] = ACTIONS(1176),
    [anon_sym_struct] = ACTIONS(1176),
    [anon_sym_union] = ACTIONS(1176),
    [anon_sym_if] = ACTIONS(1176),
    [anon_sym_else] = ACTIONS(1176),
    [anon_sym_switch] = ACTIONS(1176),
    [anon_sym_case] = ACTIONS(1176),
    [anon_sym_default] = ACTIONS(1176),
    [anon_sym_while] = ACTIONS(1176),
    [anon_sym_do] = ACTIONS(1176),
    [anon_sym_for] = ACTIONS(1176),
    [anon_sym_return] = ACTIONS(1176),
    [anon_sym_break] = ACTIONS(1176),
    [anon_sym_continue] = ACTIONS(1176),
    [anon_sym_goto] = ACTIONS(1176),
    [anon_sym___try] = ACTIONS(1176),
    [anon_sym___leave] = ACTIONS(1176),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [anon_sym_sizeof] = ACTIONS(1176),
    [anon_sym___alignof__] = ACTIONS(1176),
    [anon_sym___alignof] = ACTIONS(1176),
    [anon_sym__alignof] = ACTIONS(1176),
    [anon_sym_alignof] = ACTIONS(1176),
    [anon_sym__Alignof] = ACTIONS(1176),
    [anon_sym_offsetof] = ACTIONS(1176),
    [anon_sym__Generic] = ACTIONS(1176),
    [anon_sym_asm] = ACTIONS(1176),
    [anon_sym___asm__] = ACTIONS(1176),
    [sym_number_literal] = ACTIONS(1178),
    [anon_sym_L_SQUOTE] = ACTIONS(1178),
    [anon_sym_u_SQUOTE] = ACTIONS(1178),
    [anon_sym_U_SQUOTE] = ACTIONS(1178),
    [anon_sym_u8_SQUOTE] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [anon_sym_L_DQUOTE] = ACTIONS(1178),
    [anon_sym_u_DQUOTE] = ACTIONS(1178),
    [anon_sym_U_DQUOTE] = ACTIONS(1178),
    [anon_sym_u8_DQUOTE] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [sym_true] = ACTIONS(1176),
    [sym_false] = ACTIONS(1176),
    [anon_sym_NULL] = ACTIONS(1176),
    [anon_sym_nullptr] = ACTIONS(1176),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_identifier] = ACTIONS(1180),
    [aux_sym_preproc_include_token1] = ACTIONS(1180),
    [aux_sym_preproc_def_token1] = ACTIONS(1180),
    [aux_sym_preproc_if_token1] = ACTIONS(1180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1180),
    [sym_preproc_directive] = ACTIONS(1180),
    [anon_sym_LPAREN2] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1182),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1182),
    [anon_sym___extension__] = ACTIONS(1180),
    [anon_sym_typedef] = ACTIONS(1180),
    [anon_sym_extern] = ACTIONS(1180),
    [anon_sym___attribute__] = ACTIONS(1180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1182),
    [anon_sym___declspec] = ACTIONS(1180),
    [anon_sym___cdecl] = ACTIONS(1180),
    [anon_sym___clrcall] = ACTIONS(1180),
    [anon_sym___stdcall] = ACTIONS(1180),
    [anon_sym___fastcall] = ACTIONS(1180),
    [anon_sym___thiscall] = ACTIONS(1180),
    [anon_sym___vectorcall] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_signed] = ACTIONS(1180),
    [anon_sym_unsigned] = ACTIONS(1180),
    [anon_sym_long] = ACTIONS(1180),
    [anon_sym_short] = ACTIONS(1180),
    [anon_sym_static] = ACTIONS(1180),
    [anon_sym_auto] = ACTIONS(1180),
    [anon_sym_register] = ACTIONS(1180),
    [anon_sym_inline] = ACTIONS(1180),
    [anon_sym___inline] = ACTIONS(1180),
    [anon_sym___inline__] = ACTIONS(1180),
    [anon_sym___forceinline] = ACTIONS(1180),
    [anon_sym_thread_local] = ACTIONS(1180),
    [anon_sym___thread] = ACTIONS(1180),
    [anon_sym_const] = ACTIONS(1180),
    [anon_sym_constexpr] = ACTIONS(1180),
    [anon_sym_volatile] = ACTIONS(1180),
    [anon_sym_restrict] = ACTIONS(1180),
    [anon_sym___restrict__] = ACTIONS(1180),
    [anon_sym__Atomic] = ACTIONS(1180),
    [anon_sym__Noreturn] = ACTIONS(1180),
    [anon_sym_noreturn] = ACTIONS(1180),
    [sym_primitive_type] = ACTIONS(1180),
    [anon_sym_enum] = ACTIONS(1180),
    [anon_sym_struct] = ACTIONS(1180),
    [anon_sym_union] = ACTIONS(1180),
    [anon_sym_if] = ACTIONS(1180),
    [anon_sym_else] = ACTIONS(1180),
    [anon_sym_switch] = ACTIONS(1180),
    [anon_sym_case] = ACTIONS(1180),
    [anon_sym_default] = ACTIONS(1180),
    [anon_sym_while] = ACTIONS(1180),
    [anon_sym_do] = ACTIONS(1180),
    [anon_sym_for] = ACTIONS(1180),
    [anon_sym_return] = ACTIONS(1180),
    [anon_sym_break] = ACTIONS(1180),
    [anon_sym_continue] = ACTIONS(1180),
    [anon_sym_goto] = ACTIONS(1180),
    [anon_sym___try] = ACTIONS(1180),
    [anon_sym___leave] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [anon_sym_sizeof] = ACTIONS(1180),
    [anon_sym___alignof__] = ACTIONS(1180),
    [anon_sym___alignof] = ACTIONS(1180),
    [anon_sym__alignof] = ACTIONS(1180),
    [anon_sym_alignof] = ACTIONS(1180),
    [anon_sym__Alignof] = ACTIONS(1180),
    [anon_sym_offsetof] = ACTIONS(1180),
    [anon_sym__Generic] = ACTIONS(1180),
    [anon_sym_asm] = ACTIONS(1180),
    [anon_sym___asm__] = ACTIONS(1180),
    [sym_number_literal] = ACTIONS(1182),
    [anon_sym_L_SQUOTE] = ACTIONS(1182),
    [anon_sym_u_SQUOTE] = ACTIONS(1182),
    [anon_sym_U_SQUOTE] = ACTIONS(1182),
    [anon_sym_u8_SQUOTE] = ACTIONS(1182),
    [anon_sym_SQUOTE] = ACTIONS(1182),
    [anon_sym_L_DQUOTE] = ACTIONS(1182),
    [anon_sym_u_DQUOTE] = ACTIONS(1182),
    [anon_sym_U_DQUOTE] = ACTIONS(1182),
    [anon_sym_u8_DQUOTE] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [sym_true] = ACTIONS(1180),
    [sym_false] = ACTIONS(1180),
    [anon_sym_NULL] = ACTIONS(1180),
    [anon_sym_nullptr] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [ts_builtin_sym_end] = ACTIONS(1186),
    [sym_identifier] = ACTIONS(1184),
    [aux_sym_preproc_include_token1] = ACTIONS(1184),
    [aux_sym_preproc_def_token1] = ACTIONS(1184),
    [aux_sym_preproc_if_token1] = ACTIONS(1184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1184),
    [sym_preproc_directive] = ACTIONS(1184),
    [anon_sym_LPAREN2] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_STAR] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(1186),
    [anon_sym___extension__] = ACTIONS(1184),
    [anon_sym_typedef] = ACTIONS(1184),
    [anon_sym_extern] = ACTIONS(1184),
    [anon_sym___attribute__] = ACTIONS(1184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1186),
    [anon_sym___declspec] = ACTIONS(1184),
    [anon_sym___cdecl] = ACTIONS(1184),
    [anon_sym___clrcall] = ACTIONS(1184),
    [anon_sym___stdcall] = ACTIONS(1184),
    [anon_sym___fastcall] = ACTIONS(1184),
    [anon_sym___thiscall] = ACTIONS(1184),
    [anon_sym___vectorcall] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_signed] = ACTIONS(1184),
    [anon_sym_unsigned] = ACTIONS(1184),
    [anon_sym_long] = ACTIONS(1184),
    [anon_sym_short] = ACTIONS(1184),
    [anon_sym_static] = ACTIONS(1184),
    [anon_sym_auto] = ACTIONS(1184),
    [anon_sym_register] = ACTIONS(1184),
    [anon_sym_inline] = ACTIONS(1184),
    [anon_sym___inline] = ACTIONS(1184),
    [anon_sym___inline__] = ACTIONS(1184),
    [anon_sym___forceinline] = ACTIONS(1184),
    [anon_sym_thread_local] = ACTIONS(1184),
    [anon_sym___thread] = ACTIONS(1184),
    [anon_sym_const] = ACTIONS(1184),
    [anon_sym_constexpr] = ACTIONS(1184),
    [anon_sym_volatile] = ACTIONS(1184),
    [anon_sym_restrict] = ACTIONS(1184),
    [anon_sym___restrict__] = ACTIONS(1184),
    [anon_sym__Atomic] = ACTIONS(1184),
    [anon_sym__Noreturn] = ACTIONS(1184),
    [anon_sym_noreturn] = ACTIONS(1184),
    [sym_primitive_type] = ACTIONS(1184),
    [anon_sym_enum] = ACTIONS(1184),
    [anon_sym_struct] = ACTIONS(1184),
    [anon_sym_union] = ACTIONS(1184),
    [anon_sym_if] = ACTIONS(1184),
    [anon_sym_else] = ACTIONS(1184),
    [anon_sym_switch] = ACTIONS(1184),
    [anon_sym_case] = ACTIONS(1184),
    [anon_sym_default] = ACTIONS(1184),
    [anon_sym_while] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1184),
    [anon_sym_for] = ACTIONS(1184),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_break] = ACTIONS(1184),
    [anon_sym_continue] = ACTIONS(1184),
    [anon_sym_goto] = ACTIONS(1184),
    [anon_sym___try] = ACTIONS(1184),
    [anon_sym___leave] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [anon_sym_sizeof] = ACTIONS(1184),
    [anon_sym___alignof__] = ACTIONS(1184),
    [anon_sym___alignof] = ACTIONS(1184),
    [anon_sym__alignof] = ACTIONS(1184),
    [anon_sym_alignof] = ACTIONS(1184),
    [anon_sym__Alignof] = ACTIONS(1184),
    [anon_sym_offsetof] = ACTIONS(1184),
    [anon_sym__Generic] = ACTIONS(1184),
    [anon_sym_asm] = ACTIONS(1184),
    [anon_sym___asm__] = ACTIONS(1184),
    [sym_number_literal] = ACTIONS(1186),
    [anon_sym_L_SQUOTE] = ACTIONS(1186),
    [anon_sym_u_SQUOTE] = ACTIONS(1186),
    [anon_sym_U_SQUOTE] = ACTIONS(1186),
    [anon_sym_u8_SQUOTE] = ACTIONS(1186),
    [anon_sym_SQUOTE] = ACTIONS(1186),
    [anon_sym_L_DQUOTE] = ACTIONS(1186),
    [anon_sym_u_DQUOTE] = ACTIONS(1186),
    [anon_sym_U_DQUOTE] = ACTIONS(1186),
    [anon_sym_u8_DQUOTE] = ACTIONS(1186),
    [anon_sym_DQUOTE] = ACTIONS(1186),
    [sym_true] = ACTIONS(1184),
    [sym_false] = ACTIONS(1184),
    [anon_sym_NULL] = ACTIONS(1184),
    [anon_sym_nullptr] = ACTIONS(1184),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_identifier] = ACTIONS(1130),
    [aux_sym_preproc_include_token1] = ACTIONS(1130),
    [aux_sym_preproc_def_token1] = ACTIONS(1130),
    [aux_sym_preproc_if_token1] = ACTIONS(1130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1130),
    [sym_preproc_directive] = ACTIONS(1130),
    [anon_sym_LPAREN2] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1128),
    [anon_sym_AMP] = ACTIONS(1128),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym___extension__] = ACTIONS(1130),
    [anon_sym_typedef] = ACTIONS(1130),
    [anon_sym_extern] = ACTIONS(1130),
    [anon_sym___attribute__] = ACTIONS(1130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1128),
    [anon_sym___declspec] = ACTIONS(1130),
    [anon_sym___cdecl] = ACTIONS(1130),
    [anon_sym___clrcall] = ACTIONS(1130),
    [anon_sym___stdcall] = ACTIONS(1130),
    [anon_sym___fastcall] = ACTIONS(1130),
    [anon_sym___thiscall] = ACTIONS(1130),
    [anon_sym___vectorcall] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [anon_sym_signed] = ACTIONS(1130),
    [anon_sym_unsigned] = ACTIONS(1130),
    [anon_sym_long] = ACTIONS(1130),
    [anon_sym_short] = ACTIONS(1130),
    [anon_sym_static] = ACTIONS(1130),
    [anon_sym_auto] = ACTIONS(1130),
    [anon_sym_register] = ACTIONS(1130),
    [anon_sym_inline] = ACTIONS(1130),
    [anon_sym___inline] = ACTIONS(1130),
    [anon_sym___inline__] = ACTIONS(1130),
    [anon_sym___forceinline] = ACTIONS(1130),
    [anon_sym_thread_local] = ACTIONS(1130),
    [anon_sym___thread] = ACTIONS(1130),
    [anon_sym_const] = ACTIONS(1130),
    [anon_sym_constexpr] = ACTIONS(1130),
    [anon_sym_volatile] = ACTIONS(1130),
    [anon_sym_restrict] = ACTIONS(1130),
    [anon_sym___restrict__] = ACTIONS(1130),
    [anon_sym__Atomic] = ACTIONS(1130),
    [anon_sym__Noreturn] = ACTIONS(1130),
    [anon_sym_noreturn] = ACTIONS(1130),
    [sym_primitive_type] = ACTIONS(1130),
    [anon_sym_enum] = ACTIONS(1130),
    [anon_sym_struct] = ACTIONS(1130),
    [anon_sym_union] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1130),
    [anon_sym_else] = ACTIONS(1130),
    [anon_sym_switch] = ACTIONS(1130),
    [anon_sym_case] = ACTIONS(1130),
    [anon_sym_default] = ACTIONS(1130),
    [anon_sym_while] = ACTIONS(1130),
    [anon_sym_do] = ACTIONS(1130),
    [anon_sym_for] = ACTIONS(1130),
    [anon_sym_return] = ACTIONS(1130),
    [anon_sym_break] = ACTIONS(1130),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1130),
    [anon_sym___try] = ACTIONS(1130),
    [anon_sym___leave] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [anon_sym_sizeof] = ACTIONS(1130),
    [anon_sym___alignof__] = ACTIONS(1130),
    [anon_sym___alignof] = ACTIONS(1130),
    [anon_sym__alignof] = ACTIONS(1130),
    [anon_sym_alignof] = ACTIONS(1130),
    [anon_sym__Alignof] = ACTIONS(1130),
    [anon_sym_offsetof] = ACTIONS(1130),
    [anon_sym__Generic] = ACTIONS(1130),
    [anon_sym_asm] = ACTIONS(1130),
    [anon_sym___asm__] = ACTIONS(1130),
    [sym_number_literal] = ACTIONS(1128),
    [anon_sym_L_SQUOTE] = ACTIONS(1128),
    [anon_sym_u_SQUOTE] = ACTIONS(1128),
    [anon_sym_U_SQUOTE] = ACTIONS(1128),
    [anon_sym_u8_SQUOTE] = ACTIONS(1128),
    [anon_sym_SQUOTE] = ACTIONS(1128),
    [anon_sym_L_DQUOTE] = ACTIONS(1128),
    [anon_sym_u_DQUOTE] = ACTIONS(1128),
    [anon_sym_U_DQUOTE] = ACTIONS(1128),
    [anon_sym_u8_DQUOTE] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [sym_true] = ACTIONS(1130),
    [sym_false] = ACTIONS(1130),
    [anon_sym_NULL] = ACTIONS(1130),
    [anon_sym_nullptr] = ACTIONS(1130),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(1162),
    [sym_identifier] = ACTIONS(1160),
    [aux_sym_preproc_include_token1] = ACTIONS(1160),
    [aux_sym_preproc_def_token1] = ACTIONS(1160),
    [aux_sym_preproc_if_token1] = ACTIONS(1160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1160),
    [sym_preproc_directive] = ACTIONS(1160),
    [anon_sym_LPAREN2] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(1162),
    [anon_sym_AMP] = ACTIONS(1162),
    [anon_sym_SEMI] = ACTIONS(1162),
    [anon_sym___extension__] = ACTIONS(1160),
    [anon_sym_typedef] = ACTIONS(1160),
    [anon_sym_extern] = ACTIONS(1160),
    [anon_sym___attribute__] = ACTIONS(1160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1162),
    [anon_sym___declspec] = ACTIONS(1160),
    [anon_sym___cdecl] = ACTIONS(1160),
    [anon_sym___clrcall] = ACTIONS(1160),
    [anon_sym___stdcall] = ACTIONS(1160),
    [anon_sym___fastcall] = ACTIONS(1160),
    [anon_sym___thiscall] = ACTIONS(1160),
    [anon_sym___vectorcall] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_signed] = ACTIONS(1160),
    [anon_sym_unsigned] = ACTIONS(1160),
    [anon_sym_long] = ACTIONS(1160),
    [anon_sym_short] = ACTIONS(1160),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_auto] = ACTIONS(1160),
    [anon_sym_register] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1160),
    [anon_sym___inline] = ACTIONS(1160),
    [anon_sym___inline__] = ACTIONS(1160),
    [anon_sym___forceinline] = ACTIONS(1160),
    [anon_sym_thread_local] = ACTIONS(1160),
    [anon_sym___thread] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(1160),
    [anon_sym_constexpr] = ACTIONS(1160),
    [anon_sym_volatile] = ACTIONS(1160),
    [anon_sym_restrict] = ACTIONS(1160),
    [anon_sym___restrict__] = ACTIONS(1160),
    [anon_sym__Atomic] = ACTIONS(1160),
    [anon_sym__Noreturn] = ACTIONS(1160),
    [anon_sym_noreturn] = ACTIONS(1160),
    [sym_primitive_type] = ACTIONS(1160),
    [anon_sym_enum] = ACTIONS(1160),
    [anon_sym_struct] = ACTIONS(1160),
    [anon_sym_union] = ACTIONS(1160),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_else] = ACTIONS(1160),
    [anon_sym_switch] = ACTIONS(1160),
    [anon_sym_case] = ACTIONS(1160),
    [anon_sym_default] = ACTIONS(1160),
    [anon_sym_while] = ACTIONS(1160),
    [anon_sym_do] = ACTIONS(1160),
    [anon_sym_for] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1160),
    [anon_sym_break] = ACTIONS(1160),
    [anon_sym_continue] = ACTIONS(1160),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1160),
    [anon_sym___leave] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [anon_sym_sizeof] = ACTIONS(1160),
    [anon_sym___alignof__] = ACTIONS(1160),
    [anon_sym___alignof] = ACTIONS(1160),
    [anon_sym__alignof] = ACTIONS(1160),
    [anon_sym_alignof] = ACTIONS(1160),
    [anon_sym__Alignof] = ACTIONS(1160),
    [anon_sym_offsetof] = ACTIONS(1160),
    [anon_sym__Generic] = ACTIONS(1160),
    [anon_sym_asm] = ACTIONS(1160),
    [anon_sym___asm__] = ACTIONS(1160),
    [sym_number_literal] = ACTIONS(1162),
    [anon_sym_L_SQUOTE] = ACTIONS(1162),
    [anon_sym_u_SQUOTE] = ACTIONS(1162),
    [anon_sym_U_SQUOTE] = ACTIONS(1162),
    [anon_sym_u8_SQUOTE] = ACTIONS(1162),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [anon_sym_L_DQUOTE] = ACTIONS(1162),
    [anon_sym_u_DQUOTE] = ACTIONS(1162),
    [anon_sym_U_DQUOTE] = ACTIONS(1162),
    [anon_sym_u8_DQUOTE] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [sym_true] = ACTIONS(1160),
    [sym_false] = ACTIONS(1160),
    [anon_sym_NULL] = ACTIONS(1160),
    [anon_sym_nullptr] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_identifier] = ACTIONS(1116),
    [aux_sym_preproc_include_token1] = ACTIONS(1116),
    [aux_sym_preproc_def_token1] = ACTIONS(1116),
    [aux_sym_preproc_if_token1] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1116),
    [sym_preproc_directive] = ACTIONS(1116),
    [anon_sym_LPAREN2] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1118),
    [anon_sym___extension__] = ACTIONS(1116),
    [anon_sym_typedef] = ACTIONS(1116),
    [anon_sym_extern] = ACTIONS(1116),
    [anon_sym___attribute__] = ACTIONS(1116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1118),
    [anon_sym___declspec] = ACTIONS(1116),
    [anon_sym___cdecl] = ACTIONS(1116),
    [anon_sym___clrcall] = ACTIONS(1116),
    [anon_sym___stdcall] = ACTIONS(1116),
    [anon_sym___fastcall] = ACTIONS(1116),
    [anon_sym___thiscall] = ACTIONS(1116),
    [anon_sym___vectorcall] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_signed] = ACTIONS(1116),
    [anon_sym_unsigned] = ACTIONS(1116),
    [anon_sym_long] = ACTIONS(1116),
    [anon_sym_short] = ACTIONS(1116),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_auto] = ACTIONS(1116),
    [anon_sym_register] = ACTIONS(1116),
    [anon_sym_inline] = ACTIONS(1116),
    [anon_sym___inline] = ACTIONS(1116),
    [anon_sym___inline__] = ACTIONS(1116),
    [anon_sym___forceinline] = ACTIONS(1116),
    [anon_sym_thread_local] = ACTIONS(1116),
    [anon_sym___thread] = ACTIONS(1116),
    [anon_sym_const] = ACTIONS(1116),
    [anon_sym_constexpr] = ACTIONS(1116),
    [anon_sym_volatile] = ACTIONS(1116),
    [anon_sym_restrict] = ACTIONS(1116),
    [anon_sym___restrict__] = ACTIONS(1116),
    [anon_sym__Atomic] = ACTIONS(1116),
    [anon_sym__Noreturn] = ACTIONS(1116),
    [anon_sym_noreturn] = ACTIONS(1116),
    [sym_primitive_type] = ACTIONS(1116),
    [anon_sym_enum] = ACTIONS(1116),
    [anon_sym_struct] = ACTIONS(1116),
    [anon_sym_union] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_else] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1116),
    [anon_sym_while] = ACTIONS(1116),
    [anon_sym_do] = ACTIONS(1116),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_return] = ACTIONS(1116),
    [anon_sym_break] = ACTIONS(1116),
    [anon_sym_continue] = ACTIONS(1116),
    [anon_sym_goto] = ACTIONS(1116),
    [anon_sym___try] = ACTIONS(1116),
    [anon_sym___leave] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_sizeof] = ACTIONS(1116),
    [anon_sym___alignof__] = ACTIONS(1116),
    [anon_sym___alignof] = ACTIONS(1116),
    [anon_sym__alignof] = ACTIONS(1116),
    [anon_sym_alignof] = ACTIONS(1116),
    [anon_sym__Alignof] = ACTIONS(1116),
    [anon_sym_offsetof] = ACTIONS(1116),
    [anon_sym__Generic] = ACTIONS(1116),
    [anon_sym_asm] = ACTIONS(1116),
    [anon_sym___asm__] = ACTIONS(1116),
    [sym_number_literal] = ACTIONS(1118),
    [anon_sym_L_SQUOTE] = ACTIONS(1118),
    [anon_sym_u_SQUOTE] = ACTIONS(1118),
    [anon_sym_U_SQUOTE] = ACTIONS(1118),
    [anon_sym_u8_SQUOTE] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_L_DQUOTE] = ACTIONS(1118),
    [anon_sym_u_DQUOTE] = ACTIONS(1118),
    [anon_sym_U_DQUOTE] = ACTIONS(1118),
    [anon_sym_u8_DQUOTE] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [sym_true] = ACTIONS(1116),
    [sym_false] = ACTIONS(1116),
    [anon_sym_NULL] = ACTIONS(1116),
    [anon_sym_nullptr] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_identifier] = ACTIONS(1188),
    [aux_sym_preproc_include_token1] = ACTIONS(1188),
    [aux_sym_preproc_def_token1] = ACTIONS(1188),
    [aux_sym_preproc_if_token1] = ACTIONS(1188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1188),
    [sym_preproc_directive] = ACTIONS(1188),
    [anon_sym_LPAREN2] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1190),
    [anon_sym___extension__] = ACTIONS(1188),
    [anon_sym_typedef] = ACTIONS(1188),
    [anon_sym_extern] = ACTIONS(1188),
    [anon_sym___attribute__] = ACTIONS(1188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1190),
    [anon_sym___declspec] = ACTIONS(1188),
    [anon_sym___cdecl] = ACTIONS(1188),
    [anon_sym___clrcall] = ACTIONS(1188),
    [anon_sym___stdcall] = ACTIONS(1188),
    [anon_sym___fastcall] = ACTIONS(1188),
    [anon_sym___thiscall] = ACTIONS(1188),
    [anon_sym___vectorcall] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [anon_sym_signed] = ACTIONS(1188),
    [anon_sym_unsigned] = ACTIONS(1188),
    [anon_sym_long] = ACTIONS(1188),
    [anon_sym_short] = ACTIONS(1188),
    [anon_sym_static] = ACTIONS(1188),
    [anon_sym_auto] = ACTIONS(1188),
    [anon_sym_register] = ACTIONS(1188),
    [anon_sym_inline] = ACTIONS(1188),
    [anon_sym___inline] = ACTIONS(1188),
    [anon_sym___inline__] = ACTIONS(1188),
    [anon_sym___forceinline] = ACTIONS(1188),
    [anon_sym_thread_local] = ACTIONS(1188),
    [anon_sym___thread] = ACTIONS(1188),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_constexpr] = ACTIONS(1188),
    [anon_sym_volatile] = ACTIONS(1188),
    [anon_sym_restrict] = ACTIONS(1188),
    [anon_sym___restrict__] = ACTIONS(1188),
    [anon_sym__Atomic] = ACTIONS(1188),
    [anon_sym__Noreturn] = ACTIONS(1188),
    [anon_sym_noreturn] = ACTIONS(1188),
    [sym_primitive_type] = ACTIONS(1188),
    [anon_sym_enum] = ACTIONS(1188),
    [anon_sym_struct] = ACTIONS(1188),
    [anon_sym_union] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_else] = ACTIONS(1188),
    [anon_sym_switch] = ACTIONS(1188),
    [anon_sym_case] = ACTIONS(1188),
    [anon_sym_default] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1188),
    [anon_sym_return] = ACTIONS(1188),
    [anon_sym_break] = ACTIONS(1188),
    [anon_sym_continue] = ACTIONS(1188),
    [anon_sym_goto] = ACTIONS(1188),
    [anon_sym___try] = ACTIONS(1188),
    [anon_sym___leave] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [anon_sym_sizeof] = ACTIONS(1188),
    [anon_sym___alignof__] = ACTIONS(1188),
    [anon_sym___alignof] = ACTIONS(1188),
    [anon_sym__alignof] = ACTIONS(1188),
    [anon_sym_alignof] = ACTIONS(1188),
    [anon_sym__Alignof] = ACTIONS(1188),
    [anon_sym_offsetof] = ACTIONS(1188),
    [anon_sym__Generic] = ACTIONS(1188),
    [anon_sym_asm] = ACTIONS(1188),
    [anon_sym___asm__] = ACTIONS(1188),
    [sym_number_literal] = ACTIONS(1190),
    [anon_sym_L_SQUOTE] = ACTIONS(1190),
    [anon_sym_u_SQUOTE] = ACTIONS(1190),
    [anon_sym_U_SQUOTE] = ACTIONS(1190),
    [anon_sym_u8_SQUOTE] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1190),
    [anon_sym_L_DQUOTE] = ACTIONS(1190),
    [anon_sym_u_DQUOTE] = ACTIONS(1190),
    [anon_sym_U_DQUOTE] = ACTIONS(1190),
    [anon_sym_u8_DQUOTE] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [sym_true] = ACTIONS(1188),
    [sym_false] = ACTIONS(1188),
    [anon_sym_NULL] = ACTIONS(1188),
    [anon_sym_nullptr] = ACTIONS(1188),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_identifier] = ACTIONS(1192),
    [aux_sym_preproc_include_token1] = ACTIONS(1192),
    [aux_sym_preproc_def_token1] = ACTIONS(1192),
    [aux_sym_preproc_if_token1] = ACTIONS(1192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1192),
    [sym_preproc_directive] = ACTIONS(1192),
    [anon_sym_LPAREN2] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [anon_sym___extension__] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1192),
    [anon_sym_extern] = ACTIONS(1192),
    [anon_sym___attribute__] = ACTIONS(1192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1194),
    [anon_sym___declspec] = ACTIONS(1192),
    [anon_sym___cdecl] = ACTIONS(1192),
    [anon_sym___clrcall] = ACTIONS(1192),
    [anon_sym___stdcall] = ACTIONS(1192),
    [anon_sym___fastcall] = ACTIONS(1192),
    [anon_sym___thiscall] = ACTIONS(1192),
    [anon_sym___vectorcall] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [anon_sym_signed] = ACTIONS(1192),
    [anon_sym_unsigned] = ACTIONS(1192),
    [anon_sym_long] = ACTIONS(1192),
    [anon_sym_short] = ACTIONS(1192),
    [anon_sym_static] = ACTIONS(1192),
    [anon_sym_auto] = ACTIONS(1192),
    [anon_sym_register] = ACTIONS(1192),
    [anon_sym_inline] = ACTIONS(1192),
    [anon_sym___inline] = ACTIONS(1192),
    [anon_sym___inline__] = ACTIONS(1192),
    [anon_sym___forceinline] = ACTIONS(1192),
    [anon_sym_thread_local] = ACTIONS(1192),
    [anon_sym___thread] = ACTIONS(1192),
    [anon_sym_const] = ACTIONS(1192),
    [anon_sym_constexpr] = ACTIONS(1192),
    [anon_sym_volatile] = ACTIONS(1192),
    [anon_sym_restrict] = ACTIONS(1192),
    [anon_sym___restrict__] = ACTIONS(1192),
    [anon_sym__Atomic] = ACTIONS(1192),
    [anon_sym__Noreturn] = ACTIONS(1192),
    [anon_sym_noreturn] = ACTIONS(1192),
    [sym_primitive_type] = ACTIONS(1192),
    [anon_sym_enum] = ACTIONS(1192),
    [anon_sym_struct] = ACTIONS(1192),
    [anon_sym_union] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1192),
    [anon_sym_else] = ACTIONS(1192),
    [anon_sym_switch] = ACTIONS(1192),
    [anon_sym_case] = ACTIONS(1192),
    [anon_sym_default] = ACTIONS(1192),
    [anon_sym_while] = ACTIONS(1192),
    [anon_sym_do] = ACTIONS(1192),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_return] = ACTIONS(1192),
    [anon_sym_break] = ACTIONS(1192),
    [anon_sym_continue] = ACTIONS(1192),
    [anon_sym_goto] = ACTIONS(1192),
    [anon_sym___try] = ACTIONS(1192),
    [anon_sym___leave] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_sizeof] = ACTIONS(1192),
    [anon_sym___alignof__] = ACTIONS(1192),
    [anon_sym___alignof] = ACTIONS(1192),
    [anon_sym__alignof] = ACTIONS(1192),
    [anon_sym_alignof] = ACTIONS(1192),
    [anon_sym__Alignof] = ACTIONS(1192),
    [anon_sym_offsetof] = ACTIONS(1192),
    [anon_sym__Generic] = ACTIONS(1192),
    [anon_sym_asm] = ACTIONS(1192),
    [anon_sym___asm__] = ACTIONS(1192),
    [sym_number_literal] = ACTIONS(1194),
    [anon_sym_L_SQUOTE] = ACTIONS(1194),
    [anon_sym_u_SQUOTE] = ACTIONS(1194),
    [anon_sym_U_SQUOTE] = ACTIONS(1194),
    [anon_sym_u8_SQUOTE] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [anon_sym_L_DQUOTE] = ACTIONS(1194),
    [anon_sym_u_DQUOTE] = ACTIONS(1194),
    [anon_sym_U_DQUOTE] = ACTIONS(1194),
    [anon_sym_u8_DQUOTE] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [sym_true] = ACTIONS(1192),
    [sym_false] = ACTIONS(1192),
    [anon_sym_NULL] = ACTIONS(1192),
    [anon_sym_nullptr] = ACTIONS(1192),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_identifier] = ACTIONS(1196),
    [aux_sym_preproc_include_token1] = ACTIONS(1196),
    [aux_sym_preproc_def_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym___extension__] = ACTIONS(1196),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym___attribute__] = ACTIONS(1196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1198),
    [anon_sym___declspec] = ACTIONS(1196),
    [anon_sym___cdecl] = ACTIONS(1196),
    [anon_sym___clrcall] = ACTIONS(1196),
    [anon_sym___stdcall] = ACTIONS(1196),
    [anon_sym___fastcall] = ACTIONS(1196),
    [anon_sym___thiscall] = ACTIONS(1196),
    [anon_sym___vectorcall] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [anon_sym_signed] = ACTIONS(1196),
    [anon_sym_unsigned] = ACTIONS(1196),
    [anon_sym_long] = ACTIONS(1196),
    [anon_sym_short] = ACTIONS(1196),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_auto] = ACTIONS(1196),
    [anon_sym_register] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(1196),
    [anon_sym___inline] = ACTIONS(1196),
    [anon_sym___inline__] = ACTIONS(1196),
    [anon_sym___forceinline] = ACTIONS(1196),
    [anon_sym_thread_local] = ACTIONS(1196),
    [anon_sym___thread] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_constexpr] = ACTIONS(1196),
    [anon_sym_volatile] = ACTIONS(1196),
    [anon_sym_restrict] = ACTIONS(1196),
    [anon_sym___restrict__] = ACTIONS(1196),
    [anon_sym__Atomic] = ACTIONS(1196),
    [anon_sym__Noreturn] = ACTIONS(1196),
    [anon_sym_noreturn] = ACTIONS(1196),
    [sym_primitive_type] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_goto] = ACTIONS(1196),
    [anon_sym___try] = ACTIONS(1196),
    [anon_sym___leave] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_sizeof] = ACTIONS(1196),
    [anon_sym___alignof__] = ACTIONS(1196),
    [anon_sym___alignof] = ACTIONS(1196),
    [anon_sym__alignof] = ACTIONS(1196),
    [anon_sym_alignof] = ACTIONS(1196),
    [anon_sym__Alignof] = ACTIONS(1196),
    [anon_sym_offsetof] = ACTIONS(1196),
    [anon_sym__Generic] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1196),
    [anon_sym___asm__] = ACTIONS(1196),
    [sym_number_literal] = ACTIONS(1198),
    [anon_sym_L_SQUOTE] = ACTIONS(1198),
    [anon_sym_u_SQUOTE] = ACTIONS(1198),
    [anon_sym_U_SQUOTE] = ACTIONS(1198),
    [anon_sym_u8_SQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_L_DQUOTE] = ACTIONS(1198),
    [anon_sym_u_DQUOTE] = ACTIONS(1198),
    [anon_sym_U_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8_DQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_true] = ACTIONS(1196),
    [sym_false] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1196),
    [anon_sym_nullptr] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym___extension__] = ACTIONS(1200),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym___inline] = ACTIONS(1200),
    [anon_sym___inline__] = ACTIONS(1200),
    [anon_sym___forceinline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym___thread] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym___try] = ACTIONS(1200),
    [anon_sym___leave] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym___alignof__] = ACTIONS(1200),
    [anon_sym___alignof] = ACTIONS(1200),
    [anon_sym__alignof] = ACTIONS(1200),
    [anon_sym_alignof] = ACTIONS(1200),
    [anon_sym__Alignof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1204),
    [aux_sym_preproc_def_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1204),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym___extension__] = ACTIONS(1204),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_extern] = ACTIONS(1204),
    [anon_sym___attribute__] = ACTIONS(1204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1206),
    [anon_sym___declspec] = ACTIONS(1204),
    [anon_sym___cdecl] = ACTIONS(1204),
    [anon_sym___clrcall] = ACTIONS(1204),
    [anon_sym___stdcall] = ACTIONS(1204),
    [anon_sym___fastcall] = ACTIONS(1204),
    [anon_sym___thiscall] = ACTIONS(1204),
    [anon_sym___vectorcall] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_signed] = ACTIONS(1204),
    [anon_sym_unsigned] = ACTIONS(1204),
    [anon_sym_long] = ACTIONS(1204),
    [anon_sym_short] = ACTIONS(1204),
    [anon_sym_static] = ACTIONS(1204),
    [anon_sym_auto] = ACTIONS(1204),
    [anon_sym_register] = ACTIONS(1204),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym___inline] = ACTIONS(1204),
    [anon_sym___inline__] = ACTIONS(1204),
    [anon_sym___forceinline] = ACTIONS(1204),
    [anon_sym_thread_local] = ACTIONS(1204),
    [anon_sym___thread] = ACTIONS(1204),
    [anon_sym_const] = ACTIONS(1204),
    [anon_sym_constexpr] = ACTIONS(1204),
    [anon_sym_volatile] = ACTIONS(1204),
    [anon_sym_restrict] = ACTIONS(1204),
    [anon_sym___restrict__] = ACTIONS(1204),
    [anon_sym__Atomic] = ACTIONS(1204),
    [anon_sym__Noreturn] = ACTIONS(1204),
    [anon_sym_noreturn] = ACTIONS(1204),
    [sym_primitive_type] = ACTIONS(1204),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1204),
    [anon_sym_union] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_case] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_break] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym___try] = ACTIONS(1204),
    [anon_sym___leave] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_sizeof] = ACTIONS(1204),
    [anon_sym___alignof__] = ACTIONS(1204),
    [anon_sym___alignof] = ACTIONS(1204),
    [anon_sym__alignof] = ACTIONS(1204),
    [anon_sym_alignof] = ACTIONS(1204),
    [anon_sym__Alignof] = ACTIONS(1204),
    [anon_sym_offsetof] = ACTIONS(1204),
    [anon_sym__Generic] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1204),
    [anon_sym___asm__] = ACTIONS(1204),
    [sym_number_literal] = ACTIONS(1206),
    [anon_sym_L_SQUOTE] = ACTIONS(1206),
    [anon_sym_u_SQUOTE] = ACTIONS(1206),
    [anon_sym_U_SQUOTE] = ACTIONS(1206),
    [anon_sym_u8_SQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_L_DQUOTE] = ACTIONS(1206),
    [anon_sym_u_DQUOTE] = ACTIONS(1206),
    [anon_sym_U_DQUOTE] = ACTIONS(1206),
    [anon_sym_u8_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [sym_true] = ACTIONS(1204),
    [sym_false] = ACTIONS(1204),
    [anon_sym_NULL] = ACTIONS(1204),
    [anon_sym_nullptr] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1208),
    [aux_sym_preproc_def_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1208),
    [sym_preproc_directive] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym___extension__] = ACTIONS(1208),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym___attribute__] = ACTIONS(1208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1210),
    [anon_sym___declspec] = ACTIONS(1208),
    [anon_sym___cdecl] = ACTIONS(1208),
    [anon_sym___clrcall] = ACTIONS(1208),
    [anon_sym___stdcall] = ACTIONS(1208),
    [anon_sym___fastcall] = ACTIONS(1208),
    [anon_sym___thiscall] = ACTIONS(1208),
    [anon_sym___vectorcall] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_signed] = ACTIONS(1208),
    [anon_sym_unsigned] = ACTIONS(1208),
    [anon_sym_long] = ACTIONS(1208),
    [anon_sym_short] = ACTIONS(1208),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_auto] = ACTIONS(1208),
    [anon_sym_register] = ACTIONS(1208),
    [anon_sym_inline] = ACTIONS(1208),
    [anon_sym___inline] = ACTIONS(1208),
    [anon_sym___inline__] = ACTIONS(1208),
    [anon_sym___forceinline] = ACTIONS(1208),
    [anon_sym_thread_local] = ACTIONS(1208),
    [anon_sym___thread] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_constexpr] = ACTIONS(1208),
    [anon_sym_volatile] = ACTIONS(1208),
    [anon_sym_restrict] = ACTIONS(1208),
    [anon_sym___restrict__] = ACTIONS(1208),
    [anon_sym__Atomic] = ACTIONS(1208),
    [anon_sym__Noreturn] = ACTIONS(1208),
    [anon_sym_noreturn] = ACTIONS(1208),
    [sym_primitive_type] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_goto] = ACTIONS(1208),
    [anon_sym___try] = ACTIONS(1208),
    [anon_sym___leave] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_sizeof] = ACTIONS(1208),
    [anon_sym___alignof__] = ACTIONS(1208),
    [anon_sym___alignof] = ACTIONS(1208),
    [anon_sym__alignof] = ACTIONS(1208),
    [anon_sym_alignof] = ACTIONS(1208),
    [anon_sym__Alignof] = ACTIONS(1208),
    [anon_sym_offsetof] = ACTIONS(1208),
    [anon_sym__Generic] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1208),
    [anon_sym___asm__] = ACTIONS(1208),
    [sym_number_literal] = ACTIONS(1210),
    [anon_sym_L_SQUOTE] = ACTIONS(1210),
    [anon_sym_u_SQUOTE] = ACTIONS(1210),
    [anon_sym_U_SQUOTE] = ACTIONS(1210),
    [anon_sym_u8_SQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_L_DQUOTE] = ACTIONS(1210),
    [anon_sym_u_DQUOTE] = ACTIONS(1210),
    [anon_sym_U_DQUOTE] = ACTIONS(1210),
    [anon_sym_u8_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_true] = ACTIONS(1208),
    [sym_false] = ACTIONS(1208),
    [anon_sym_NULL] = ACTIONS(1208),
    [anon_sym_nullptr] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_identifier] = ACTIONS(1212),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym___extension__] = ACTIONS(1212),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_extern] = ACTIONS(1212),
    [anon_sym___attribute__] = ACTIONS(1212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1214),
    [anon_sym___declspec] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [anon_sym_signed] = ACTIONS(1212),
    [anon_sym_unsigned] = ACTIONS(1212),
    [anon_sym_long] = ACTIONS(1212),
    [anon_sym_short] = ACTIONS(1212),
    [anon_sym_static] = ACTIONS(1212),
    [anon_sym_auto] = ACTIONS(1212),
    [anon_sym_register] = ACTIONS(1212),
    [anon_sym_inline] = ACTIONS(1212),
    [anon_sym___inline] = ACTIONS(1212),
    [anon_sym___inline__] = ACTIONS(1212),
    [anon_sym___forceinline] = ACTIONS(1212),
    [anon_sym_thread_local] = ACTIONS(1212),
    [anon_sym___thread] = ACTIONS(1212),
    [anon_sym_const] = ACTIONS(1212),
    [anon_sym_constexpr] = ACTIONS(1212),
    [anon_sym_volatile] = ACTIONS(1212),
    [anon_sym_restrict] = ACTIONS(1212),
    [anon_sym___restrict__] = ACTIONS(1212),
    [anon_sym__Atomic] = ACTIONS(1212),
    [anon_sym__Noreturn] = ACTIONS(1212),
    [anon_sym_noreturn] = ACTIONS(1212),
    [sym_primitive_type] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1212),
    [anon_sym_union] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym___try] = ACTIONS(1212),
    [anon_sym___leave] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_sizeof] = ACTIONS(1212),
    [anon_sym___alignof__] = ACTIONS(1212),
    [anon_sym___alignof] = ACTIONS(1212),
    [anon_sym__alignof] = ACTIONS(1212),
    [anon_sym_alignof] = ACTIONS(1212),
    [anon_sym__Alignof] = ACTIONS(1212),
    [anon_sym_offsetof] = ACTIONS(1212),
    [anon_sym__Generic] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1212),
    [anon_sym___asm__] = ACTIONS(1212),
    [sym_number_literal] = ACTIONS(1214),
    [anon_sym_L_SQUOTE] = ACTIONS(1214),
    [anon_sym_u_SQUOTE] = ACTIONS(1214),
    [anon_sym_U_SQUOTE] = ACTIONS(1214),
    [anon_sym_u8_SQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_L_DQUOTE] = ACTIONS(1214),
    [anon_sym_u_DQUOTE] = ACTIONS(1214),
    [anon_sym_U_DQUOTE] = ACTIONS(1214),
    [anon_sym_u8_DQUOTE] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [anon_sym_NULL] = ACTIONS(1212),
    [anon_sym_nullptr] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_identifier] = ACTIONS(1116),
    [aux_sym_preproc_include_token1] = ACTIONS(1116),
    [aux_sym_preproc_def_token1] = ACTIONS(1116),
    [aux_sym_preproc_if_token1] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1116),
    [sym_preproc_directive] = ACTIONS(1116),
    [anon_sym_LPAREN2] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1118),
    [anon_sym___extension__] = ACTIONS(1116),
    [anon_sym_typedef] = ACTIONS(1116),
    [anon_sym_extern] = ACTIONS(1116),
    [anon_sym___attribute__] = ACTIONS(1116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1118),
    [anon_sym___declspec] = ACTIONS(1116),
    [anon_sym___cdecl] = ACTIONS(1116),
    [anon_sym___clrcall] = ACTIONS(1116),
    [anon_sym___stdcall] = ACTIONS(1116),
    [anon_sym___fastcall] = ACTIONS(1116),
    [anon_sym___thiscall] = ACTIONS(1116),
    [anon_sym___vectorcall] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_signed] = ACTIONS(1116),
    [anon_sym_unsigned] = ACTIONS(1116),
    [anon_sym_long] = ACTIONS(1116),
    [anon_sym_short] = ACTIONS(1116),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_auto] = ACTIONS(1116),
    [anon_sym_register] = ACTIONS(1116),
    [anon_sym_inline] = ACTIONS(1116),
    [anon_sym___inline] = ACTIONS(1116),
    [anon_sym___inline__] = ACTIONS(1116),
    [anon_sym___forceinline] = ACTIONS(1116),
    [anon_sym_thread_local] = ACTIONS(1116),
    [anon_sym___thread] = ACTIONS(1116),
    [anon_sym_const] = ACTIONS(1116),
    [anon_sym_constexpr] = ACTIONS(1116),
    [anon_sym_volatile] = ACTIONS(1116),
    [anon_sym_restrict] = ACTIONS(1116),
    [anon_sym___restrict__] = ACTIONS(1116),
    [anon_sym__Atomic] = ACTIONS(1116),
    [anon_sym__Noreturn] = ACTIONS(1116),
    [anon_sym_noreturn] = ACTIONS(1116),
    [sym_primitive_type] = ACTIONS(1116),
    [anon_sym_enum] = ACTIONS(1116),
    [anon_sym_struct] = ACTIONS(1116),
    [anon_sym_union] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_else] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1116),
    [anon_sym_while] = ACTIONS(1116),
    [anon_sym_do] = ACTIONS(1116),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_return] = ACTIONS(1116),
    [anon_sym_break] = ACTIONS(1116),
    [anon_sym_continue] = ACTIONS(1116),
    [anon_sym_goto] = ACTIONS(1116),
    [anon_sym___try] = ACTIONS(1116),
    [anon_sym___leave] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_sizeof] = ACTIONS(1116),
    [anon_sym___alignof__] = ACTIONS(1116),
    [anon_sym___alignof] = ACTIONS(1116),
    [anon_sym__alignof] = ACTIONS(1116),
    [anon_sym_alignof] = ACTIONS(1116),
    [anon_sym__Alignof] = ACTIONS(1116),
    [anon_sym_offsetof] = ACTIONS(1116),
    [anon_sym__Generic] = ACTIONS(1116),
    [anon_sym_asm] = ACTIONS(1116),
    [anon_sym___asm__] = ACTIONS(1116),
    [sym_number_literal] = ACTIONS(1118),
    [anon_sym_L_SQUOTE] = ACTIONS(1118),
    [anon_sym_u_SQUOTE] = ACTIONS(1118),
    [anon_sym_U_SQUOTE] = ACTIONS(1118),
    [anon_sym_u8_SQUOTE] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_L_DQUOTE] = ACTIONS(1118),
    [anon_sym_u_DQUOTE] = ACTIONS(1118),
    [anon_sym_U_DQUOTE] = ACTIONS(1118),
    [anon_sym_u8_DQUOTE] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [sym_true] = ACTIONS(1116),
    [sym_false] = ACTIONS(1116),
    [anon_sym_NULL] = ACTIONS(1116),
    [anon_sym_nullptr] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1216),
    [aux_sym_preproc_def_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1216),
    [sym_preproc_directive] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym___extension__] = ACTIONS(1216),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1216),
    [anon_sym___attribute__] = ACTIONS(1216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1218),
    [anon_sym___declspec] = ACTIONS(1216),
    [anon_sym___cdecl] = ACTIONS(1216),
    [anon_sym___clrcall] = ACTIONS(1216),
    [anon_sym___stdcall] = ACTIONS(1216),
    [anon_sym___fastcall] = ACTIONS(1216),
    [anon_sym___thiscall] = ACTIONS(1216),
    [anon_sym___vectorcall] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [anon_sym_signed] = ACTIONS(1216),
    [anon_sym_unsigned] = ACTIONS(1216),
    [anon_sym_long] = ACTIONS(1216),
    [anon_sym_short] = ACTIONS(1216),
    [anon_sym_static] = ACTIONS(1216),
    [anon_sym_auto] = ACTIONS(1216),
    [anon_sym_register] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1216),
    [anon_sym___inline] = ACTIONS(1216),
    [anon_sym___inline__] = ACTIONS(1216),
    [anon_sym___forceinline] = ACTIONS(1216),
    [anon_sym_thread_local] = ACTIONS(1216),
    [anon_sym___thread] = ACTIONS(1216),
    [anon_sym_const] = ACTIONS(1216),
    [anon_sym_constexpr] = ACTIONS(1216),
    [anon_sym_volatile] = ACTIONS(1216),
    [anon_sym_restrict] = ACTIONS(1216),
    [anon_sym___restrict__] = ACTIONS(1216),
    [anon_sym__Atomic] = ACTIONS(1216),
    [anon_sym__Noreturn] = ACTIONS(1216),
    [anon_sym_noreturn] = ACTIONS(1216),
    [sym_primitive_type] = ACTIONS(1216),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1216),
    [anon_sym_union] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_case] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_goto] = ACTIONS(1216),
    [anon_sym___try] = ACTIONS(1216),
    [anon_sym___leave] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_sizeof] = ACTIONS(1216),
    [anon_sym___alignof__] = ACTIONS(1216),
    [anon_sym___alignof] = ACTIONS(1216),
    [anon_sym__alignof] = ACTIONS(1216),
    [anon_sym_alignof] = ACTIONS(1216),
    [anon_sym__Alignof] = ACTIONS(1216),
    [anon_sym_offsetof] = ACTIONS(1216),
    [anon_sym__Generic] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1216),
    [anon_sym___asm__] = ACTIONS(1216),
    [sym_number_literal] = ACTIONS(1218),
    [anon_sym_L_SQUOTE] = ACTIONS(1218),
    [anon_sym_u_SQUOTE] = ACTIONS(1218),
    [anon_sym_U_SQUOTE] = ACTIONS(1218),
    [anon_sym_u8_SQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_L_DQUOTE] = ACTIONS(1218),
    [anon_sym_u_DQUOTE] = ACTIONS(1218),
    [anon_sym_U_DQUOTE] = ACTIONS(1218),
    [anon_sym_u8_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_true] = ACTIONS(1216),
    [sym_false] = ACTIONS(1216),
    [anon_sym_NULL] = ACTIONS(1216),
    [anon_sym_nullptr] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1208),
    [aux_sym_preproc_def_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1208),
    [sym_preproc_directive] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym___extension__] = ACTIONS(1208),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym___attribute__] = ACTIONS(1208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1210),
    [anon_sym___declspec] = ACTIONS(1208),
    [anon_sym___cdecl] = ACTIONS(1208),
    [anon_sym___clrcall] = ACTIONS(1208),
    [anon_sym___stdcall] = ACTIONS(1208),
    [anon_sym___fastcall] = ACTIONS(1208),
    [anon_sym___thiscall] = ACTIONS(1208),
    [anon_sym___vectorcall] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [anon_sym_signed] = ACTIONS(1208),
    [anon_sym_unsigned] = ACTIONS(1208),
    [anon_sym_long] = ACTIONS(1208),
    [anon_sym_short] = ACTIONS(1208),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_auto] = ACTIONS(1208),
    [anon_sym_register] = ACTIONS(1208),
    [anon_sym_inline] = ACTIONS(1208),
    [anon_sym___inline] = ACTIONS(1208),
    [anon_sym___inline__] = ACTIONS(1208),
    [anon_sym___forceinline] = ACTIONS(1208),
    [anon_sym_thread_local] = ACTIONS(1208),
    [anon_sym___thread] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_constexpr] = ACTIONS(1208),
    [anon_sym_volatile] = ACTIONS(1208),
    [anon_sym_restrict] = ACTIONS(1208),
    [anon_sym___restrict__] = ACTIONS(1208),
    [anon_sym__Atomic] = ACTIONS(1208),
    [anon_sym__Noreturn] = ACTIONS(1208),
    [anon_sym_noreturn] = ACTIONS(1208),
    [sym_primitive_type] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_goto] = ACTIONS(1208),
    [anon_sym___try] = ACTIONS(1208),
    [anon_sym___leave] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_sizeof] = ACTIONS(1208),
    [anon_sym___alignof__] = ACTIONS(1208),
    [anon_sym___alignof] = ACTIONS(1208),
    [anon_sym__alignof] = ACTIONS(1208),
    [anon_sym_alignof] = ACTIONS(1208),
    [anon_sym__Alignof] = ACTIONS(1208),
    [anon_sym_offsetof] = ACTIONS(1208),
    [anon_sym__Generic] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1208),
    [anon_sym___asm__] = ACTIONS(1208),
    [sym_number_literal] = ACTIONS(1210),
    [anon_sym_L_SQUOTE] = ACTIONS(1210),
    [anon_sym_u_SQUOTE] = ACTIONS(1210),
    [anon_sym_U_SQUOTE] = ACTIONS(1210),
    [anon_sym_u8_SQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_L_DQUOTE] = ACTIONS(1210),
    [anon_sym_u_DQUOTE] = ACTIONS(1210),
    [anon_sym_U_DQUOTE] = ACTIONS(1210),
    [anon_sym_u8_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_true] = ACTIONS(1208),
    [sym_false] = ACTIONS(1208),
    [anon_sym_NULL] = ACTIONS(1208),
    [anon_sym_nullptr] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym___extension__] = ACTIONS(1220),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym___inline] = ACTIONS(1220),
    [anon_sym___inline__] = ACTIONS(1220),
    [anon_sym___forceinline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym___thread] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym___try] = ACTIONS(1220),
    [anon_sym___leave] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym___alignof__] = ACTIONS(1220),
    [anon_sym___alignof] = ACTIONS(1220),
    [anon_sym__alignof] = ACTIONS(1220),
    [anon_sym_alignof] = ACTIONS(1220),
    [anon_sym__Alignof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_identifier] = ACTIONS(1224),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym___extension__] = ACTIONS(1224),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1224),
    [anon_sym___attribute__] = ACTIONS(1224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_signed] = ACTIONS(1224),
    [anon_sym_unsigned] = ACTIONS(1224),
    [anon_sym_long] = ACTIONS(1224),
    [anon_sym_short] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(1224),
    [anon_sym_auto] = ACTIONS(1224),
    [anon_sym_register] = ACTIONS(1224),
    [anon_sym_inline] = ACTIONS(1224),
    [anon_sym___inline] = ACTIONS(1224),
    [anon_sym___inline__] = ACTIONS(1224),
    [anon_sym___forceinline] = ACTIONS(1224),
    [anon_sym_thread_local] = ACTIONS(1224),
    [anon_sym___thread] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_constexpr] = ACTIONS(1224),
    [anon_sym_volatile] = ACTIONS(1224),
    [anon_sym_restrict] = ACTIONS(1224),
    [anon_sym___restrict__] = ACTIONS(1224),
    [anon_sym__Atomic] = ACTIONS(1224),
    [anon_sym__Noreturn] = ACTIONS(1224),
    [anon_sym_noreturn] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym___try] = ACTIONS(1224),
    [anon_sym___leave] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_sizeof] = ACTIONS(1224),
    [anon_sym___alignof__] = ACTIONS(1224),
    [anon_sym___alignof] = ACTIONS(1224),
    [anon_sym__alignof] = ACTIONS(1224),
    [anon_sym_alignof] = ACTIONS(1224),
    [anon_sym__Alignof] = ACTIONS(1224),
    [anon_sym_offsetof] = ACTIONS(1224),
    [anon_sym__Generic] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym___asm__] = ACTIONS(1224),
    [sym_number_literal] = ACTIONS(1226),
    [anon_sym_L_SQUOTE] = ACTIONS(1226),
    [anon_sym_u_SQUOTE] = ACTIONS(1226),
    [anon_sym_U_SQUOTE] = ACTIONS(1226),
    [anon_sym_u8_SQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_L_DQUOTE] = ACTIONS(1226),
    [anon_sym_u_DQUOTE] = ACTIONS(1226),
    [anon_sym_U_DQUOTE] = ACTIONS(1226),
    [anon_sym_u8_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_NULL] = ACTIONS(1224),
    [anon_sym_nullptr] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_identifier] = ACTIONS(1228),
    [aux_sym_preproc_include_token1] = ACTIONS(1228),
    [aux_sym_preproc_def_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1228),
    [sym_preproc_directive] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym___extension__] = ACTIONS(1228),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_extern] = ACTIONS(1228),
    [anon_sym___attribute__] = ACTIONS(1228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1230),
    [anon_sym___declspec] = ACTIONS(1228),
    [anon_sym___cdecl] = ACTIONS(1228),
    [anon_sym___clrcall] = ACTIONS(1228),
    [anon_sym___stdcall] = ACTIONS(1228),
    [anon_sym___fastcall] = ACTIONS(1228),
    [anon_sym___thiscall] = ACTIONS(1228),
    [anon_sym___vectorcall] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [anon_sym_signed] = ACTIONS(1228),
    [anon_sym_unsigned] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_auto] = ACTIONS(1228),
    [anon_sym_register] = ACTIONS(1228),
    [anon_sym_inline] = ACTIONS(1228),
    [anon_sym___inline] = ACTIONS(1228),
    [anon_sym___inline__] = ACTIONS(1228),
    [anon_sym___forceinline] = ACTIONS(1228),
    [anon_sym_thread_local] = ACTIONS(1228),
    [anon_sym___thread] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_constexpr] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_restrict] = ACTIONS(1228),
    [anon_sym___restrict__] = ACTIONS(1228),
    [anon_sym__Atomic] = ACTIONS(1228),
    [anon_sym__Noreturn] = ACTIONS(1228),
    [anon_sym_noreturn] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_struct] = ACTIONS(1228),
    [anon_sym_union] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_goto] = ACTIONS(1228),
    [anon_sym___try] = ACTIONS(1228),
    [anon_sym___leave] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_sizeof] = ACTIONS(1228),
    [anon_sym___alignof__] = ACTIONS(1228),
    [anon_sym___alignof] = ACTIONS(1228),
    [anon_sym__alignof] = ACTIONS(1228),
    [anon_sym_alignof] = ACTIONS(1228),
    [anon_sym__Alignof] = ACTIONS(1228),
    [anon_sym_offsetof] = ACTIONS(1228),
    [anon_sym__Generic] = ACTIONS(1228),
    [anon_sym_asm] = ACTIONS(1228),
    [anon_sym___asm__] = ACTIONS(1228),
    [sym_number_literal] = ACTIONS(1230),
    [anon_sym_L_SQUOTE] = ACTIONS(1230),
    [anon_sym_u_SQUOTE] = ACTIONS(1230),
    [anon_sym_U_SQUOTE] = ACTIONS(1230),
    [anon_sym_u8_SQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_L_DQUOTE] = ACTIONS(1230),
    [anon_sym_u_DQUOTE] = ACTIONS(1230),
    [anon_sym_U_DQUOTE] = ACTIONS(1230),
    [anon_sym_u8_DQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [anon_sym_NULL] = ACTIONS(1228),
    [anon_sym_nullptr] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_identifier] = ACTIONS(1160),
    [aux_sym_preproc_include_token1] = ACTIONS(1160),
    [aux_sym_preproc_def_token1] = ACTIONS(1160),
    [aux_sym_preproc_if_token1] = ACTIONS(1160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1160),
    [sym_preproc_directive] = ACTIONS(1160),
    [anon_sym_LPAREN2] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(1162),
    [anon_sym_AMP] = ACTIONS(1162),
    [anon_sym_SEMI] = ACTIONS(1162),
    [anon_sym___extension__] = ACTIONS(1160),
    [anon_sym_typedef] = ACTIONS(1160),
    [anon_sym_extern] = ACTIONS(1160),
    [anon_sym___attribute__] = ACTIONS(1160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1162),
    [anon_sym___declspec] = ACTIONS(1160),
    [anon_sym___cdecl] = ACTIONS(1160),
    [anon_sym___clrcall] = ACTIONS(1160),
    [anon_sym___stdcall] = ACTIONS(1160),
    [anon_sym___fastcall] = ACTIONS(1160),
    [anon_sym___thiscall] = ACTIONS(1160),
    [anon_sym___vectorcall] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_RBRACE] = ACTIONS(1162),
    [anon_sym_signed] = ACTIONS(1160),
    [anon_sym_unsigned] = ACTIONS(1160),
    [anon_sym_long] = ACTIONS(1160),
    [anon_sym_short] = ACTIONS(1160),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_auto] = ACTIONS(1160),
    [anon_sym_register] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1160),
    [anon_sym___inline] = ACTIONS(1160),
    [anon_sym___inline__] = ACTIONS(1160),
    [anon_sym___forceinline] = ACTIONS(1160),
    [anon_sym_thread_local] = ACTIONS(1160),
    [anon_sym___thread] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(1160),
    [anon_sym_constexpr] = ACTIONS(1160),
    [anon_sym_volatile] = ACTIONS(1160),
    [anon_sym_restrict] = ACTIONS(1160),
    [anon_sym___restrict__] = ACTIONS(1160),
    [anon_sym__Atomic] = ACTIONS(1160),
    [anon_sym__Noreturn] = ACTIONS(1160),
    [anon_sym_noreturn] = ACTIONS(1160),
    [sym_primitive_type] = ACTIONS(1160),
    [anon_sym_enum] = ACTIONS(1160),
    [anon_sym_struct] = ACTIONS(1160),
    [anon_sym_union] = ACTIONS(1160),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_else] = ACTIONS(1160),
    [anon_sym_switch] = ACTIONS(1160),
    [anon_sym_case] = ACTIONS(1160),
    [anon_sym_default] = ACTIONS(1160),
    [anon_sym_while] = ACTIONS(1160),
    [anon_sym_do] = ACTIONS(1160),
    [anon_sym_for] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1160),
    [anon_sym_break] = ACTIONS(1160),
    [anon_sym_continue] = ACTIONS(1160),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1160),
    [anon_sym___leave] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [anon_sym_sizeof] = ACTIONS(1160),
    [anon_sym___alignof__] = ACTIONS(1160),
    [anon_sym___alignof] = ACTIONS(1160),
    [anon_sym__alignof] = ACTIONS(1160),
    [anon_sym_alignof] = ACTIONS(1160),
    [anon_sym__Alignof] = ACTIONS(1160),
    [anon_sym_offsetof] = ACTIONS(1160),
    [anon_sym__Generic] = ACTIONS(1160),
    [anon_sym_asm] = ACTIONS(1160),
    [anon_sym___asm__] = ACTIONS(1160),
    [sym_number_literal] = ACTIONS(1162),
    [anon_sym_L_SQUOTE] = ACTIONS(1162),
    [anon_sym_u_SQUOTE] = ACTIONS(1162),
    [anon_sym_U_SQUOTE] = ACTIONS(1162),
    [anon_sym_u8_SQUOTE] = ACTIONS(1162),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [anon_sym_L_DQUOTE] = ACTIONS(1162),
    [anon_sym_u_DQUOTE] = ACTIONS(1162),
    [anon_sym_U_DQUOTE] = ACTIONS(1162),
    [anon_sym_u8_DQUOTE] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [sym_true] = ACTIONS(1160),
    [sym_false] = ACTIONS(1160),
    [anon_sym_NULL] = ACTIONS(1160),
    [anon_sym_nullptr] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_identifier] = ACTIONS(1116),
    [aux_sym_preproc_include_token1] = ACTIONS(1116),
    [aux_sym_preproc_def_token1] = ACTIONS(1116),
    [aux_sym_preproc_if_token1] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1116),
    [sym_preproc_directive] = ACTIONS(1116),
    [anon_sym_LPAREN2] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1118),
    [anon_sym___extension__] = ACTIONS(1116),
    [anon_sym_typedef] = ACTIONS(1116),
    [anon_sym_extern] = ACTIONS(1116),
    [anon_sym___attribute__] = ACTIONS(1116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1118),
    [anon_sym___declspec] = ACTIONS(1116),
    [anon_sym___cdecl] = ACTIONS(1116),
    [anon_sym___clrcall] = ACTIONS(1116),
    [anon_sym___stdcall] = ACTIONS(1116),
    [anon_sym___fastcall] = ACTIONS(1116),
    [anon_sym___thiscall] = ACTIONS(1116),
    [anon_sym___vectorcall] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [anon_sym_signed] = ACTIONS(1116),
    [anon_sym_unsigned] = ACTIONS(1116),
    [anon_sym_long] = ACTIONS(1116),
    [anon_sym_short] = ACTIONS(1116),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_auto] = ACTIONS(1116),
    [anon_sym_register] = ACTIONS(1116),
    [anon_sym_inline] = ACTIONS(1116),
    [anon_sym___inline] = ACTIONS(1116),
    [anon_sym___inline__] = ACTIONS(1116),
    [anon_sym___forceinline] = ACTIONS(1116),
    [anon_sym_thread_local] = ACTIONS(1116),
    [anon_sym___thread] = ACTIONS(1116),
    [anon_sym_const] = ACTIONS(1116),
    [anon_sym_constexpr] = ACTIONS(1116),
    [anon_sym_volatile] = ACTIONS(1116),
    [anon_sym_restrict] = ACTIONS(1116),
    [anon_sym___restrict__] = ACTIONS(1116),
    [anon_sym__Atomic] = ACTIONS(1116),
    [anon_sym__Noreturn] = ACTIONS(1116),
    [anon_sym_noreturn] = ACTIONS(1116),
    [sym_primitive_type] = ACTIONS(1116),
    [anon_sym_enum] = ACTIONS(1116),
    [anon_sym_struct] = ACTIONS(1116),
    [anon_sym_union] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_else] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1116),
    [anon_sym_while] = ACTIONS(1116),
    [anon_sym_do] = ACTIONS(1116),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_return] = ACTIONS(1116),
    [anon_sym_break] = ACTIONS(1116),
    [anon_sym_continue] = ACTIONS(1116),
    [anon_sym_goto] = ACTIONS(1116),
    [anon_sym___try] = ACTIONS(1116),
    [anon_sym___leave] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_sizeof] = ACTIONS(1116),
    [anon_sym___alignof__] = ACTIONS(1116),
    [anon_sym___alignof] = ACTIONS(1116),
    [anon_sym__alignof] = ACTIONS(1116),
    [anon_sym_alignof] = ACTIONS(1116),
    [anon_sym__Alignof] = ACTIONS(1116),
    [anon_sym_offsetof] = ACTIONS(1116),
    [anon_sym__Generic] = ACTIONS(1116),
    [anon_sym_asm] = ACTIONS(1116),
    [anon_sym___asm__] = ACTIONS(1116),
    [sym_number_literal] = ACTIONS(1118),
    [anon_sym_L_SQUOTE] = ACTIONS(1118),
    [anon_sym_u_SQUOTE] = ACTIONS(1118),
    [anon_sym_U_SQUOTE] = ACTIONS(1118),
    [anon_sym_u8_SQUOTE] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_L_DQUOTE] = ACTIONS(1118),
    [anon_sym_u_DQUOTE] = ACTIONS(1118),
    [anon_sym_U_DQUOTE] = ACTIONS(1118),
    [anon_sym_u8_DQUOTE] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [sym_true] = ACTIONS(1116),
    [sym_false] = ACTIONS(1116),
    [anon_sym_NULL] = ACTIONS(1116),
    [anon_sym_nullptr] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_identifier] = ACTIONS(1116),
    [aux_sym_preproc_include_token1] = ACTIONS(1116),
    [aux_sym_preproc_def_token1] = ACTIONS(1116),
    [aux_sym_preproc_if_token1] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1116),
    [sym_preproc_directive] = ACTIONS(1116),
    [anon_sym_LPAREN2] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1118),
    [anon_sym___extension__] = ACTIONS(1116),
    [anon_sym_typedef] = ACTIONS(1116),
    [anon_sym_extern] = ACTIONS(1116),
    [anon_sym___attribute__] = ACTIONS(1116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1118),
    [anon_sym___declspec] = ACTIONS(1116),
    [anon_sym___cdecl] = ACTIONS(1116),
    [anon_sym___clrcall] = ACTIONS(1116),
    [anon_sym___stdcall] = ACTIONS(1116),
    [anon_sym___fastcall] = ACTIONS(1116),
    [anon_sym___thiscall] = ACTIONS(1116),
    [anon_sym___vectorcall] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [anon_sym_signed] = ACTIONS(1116),
    [anon_sym_unsigned] = ACTIONS(1116),
    [anon_sym_long] = ACTIONS(1116),
    [anon_sym_short] = ACTIONS(1116),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_auto] = ACTIONS(1116),
    [anon_sym_register] = ACTIONS(1116),
    [anon_sym_inline] = ACTIONS(1116),
    [anon_sym___inline] = ACTIONS(1116),
    [anon_sym___inline__] = ACTIONS(1116),
    [anon_sym___forceinline] = ACTIONS(1116),
    [anon_sym_thread_local] = ACTIONS(1116),
    [anon_sym___thread] = ACTIONS(1116),
    [anon_sym_const] = ACTIONS(1116),
    [anon_sym_constexpr] = ACTIONS(1116),
    [anon_sym_volatile] = ACTIONS(1116),
    [anon_sym_restrict] = ACTIONS(1116),
    [anon_sym___restrict__] = ACTIONS(1116),
    [anon_sym__Atomic] = ACTIONS(1116),
    [anon_sym__Noreturn] = ACTIONS(1116),
    [anon_sym_noreturn] = ACTIONS(1116),
    [sym_primitive_type] = ACTIONS(1116),
    [anon_sym_enum] = ACTIONS(1116),
    [anon_sym_struct] = ACTIONS(1116),
    [anon_sym_union] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_else] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1116),
    [anon_sym_while] = ACTIONS(1116),
    [anon_sym_do] = ACTIONS(1116),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_return] = ACTIONS(1116),
    [anon_sym_break] = ACTIONS(1116),
    [anon_sym_continue] = ACTIONS(1116),
    [anon_sym_goto] = ACTIONS(1116),
    [anon_sym___try] = ACTIONS(1116),
    [anon_sym___leave] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_sizeof] = ACTIONS(1116),
    [anon_sym___alignof__] = ACTIONS(1116),
    [anon_sym___alignof] = ACTIONS(1116),
    [anon_sym__alignof] = ACTIONS(1116),
    [anon_sym_alignof] = ACTIONS(1116),
    [anon_sym__Alignof] = ACTIONS(1116),
    [anon_sym_offsetof] = ACTIONS(1116),
    [anon_sym__Generic] = ACTIONS(1116),
    [anon_sym_asm] = ACTIONS(1116),
    [anon_sym___asm__] = ACTIONS(1116),
    [sym_number_literal] = ACTIONS(1118),
    [anon_sym_L_SQUOTE] = ACTIONS(1118),
    [anon_sym_u_SQUOTE] = ACTIONS(1118),
    [anon_sym_U_SQUOTE] = ACTIONS(1118),
    [anon_sym_u8_SQUOTE] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_L_DQUOTE] = ACTIONS(1118),
    [anon_sym_u_DQUOTE] = ACTIONS(1118),
    [anon_sym_U_DQUOTE] = ACTIONS(1118),
    [anon_sym_u8_DQUOTE] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [sym_true] = ACTIONS(1116),
    [sym_false] = ACTIONS(1116),
    [anon_sym_NULL] = ACTIONS(1116),
    [anon_sym_nullptr] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym___extension__] = ACTIONS(1232),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1232),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1234),
    [anon_sym___declspec] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_RBRACE] = ACTIONS(1234),
    [anon_sym_signed] = ACTIONS(1232),
    [anon_sym_unsigned] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_auto] = ACTIONS(1232),
    [anon_sym_register] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1232),
    [anon_sym___inline] = ACTIONS(1232),
    [anon_sym___inline__] = ACTIONS(1232),
    [anon_sym___forceinline] = ACTIONS(1232),
    [anon_sym_thread_local] = ACTIONS(1232),
    [anon_sym___thread] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_constexpr] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_restrict] = ACTIONS(1232),
    [anon_sym___restrict__] = ACTIONS(1232),
    [anon_sym__Atomic] = ACTIONS(1232),
    [anon_sym__Noreturn] = ACTIONS(1232),
    [anon_sym_noreturn] = ACTIONS(1232),
    [sym_primitive_type] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym___try] = ACTIONS(1232),
    [anon_sym___leave] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_sizeof] = ACTIONS(1232),
    [anon_sym___alignof__] = ACTIONS(1232),
    [anon_sym___alignof] = ACTIONS(1232),
    [anon_sym__alignof] = ACTIONS(1232),
    [anon_sym_alignof] = ACTIONS(1232),
    [anon_sym__Alignof] = ACTIONS(1232),
    [anon_sym_offsetof] = ACTIONS(1232),
    [anon_sym__Generic] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym___asm__] = ACTIONS(1232),
    [sym_number_literal] = ACTIONS(1234),
    [anon_sym_L_SQUOTE] = ACTIONS(1234),
    [anon_sym_u_SQUOTE] = ACTIONS(1234),
    [anon_sym_U_SQUOTE] = ACTIONS(1234),
    [anon_sym_u8_SQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_L_DQUOTE] = ACTIONS(1234),
    [anon_sym_u_DQUOTE] = ACTIONS(1234),
    [anon_sym_U_DQUOTE] = ACTIONS(1234),
    [anon_sym_u8_DQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_NULL] = ACTIONS(1232),
    [anon_sym_nullptr] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_identifier] = ACTIONS(1120),
    [aux_sym_preproc_include_token1] = ACTIONS(1120),
    [aux_sym_preproc_def_token1] = ACTIONS(1120),
    [aux_sym_preproc_if_token1] = ACTIONS(1120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1120),
    [sym_preproc_directive] = ACTIONS(1120),
    [anon_sym_LPAREN2] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_AMP] = ACTIONS(1122),
    [anon_sym_SEMI] = ACTIONS(1122),
    [anon_sym___extension__] = ACTIONS(1120),
    [anon_sym_typedef] = ACTIONS(1120),
    [anon_sym_extern] = ACTIONS(1120),
    [anon_sym___attribute__] = ACTIONS(1120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1122),
    [anon_sym___declspec] = ACTIONS(1120),
    [anon_sym___cdecl] = ACTIONS(1120),
    [anon_sym___clrcall] = ACTIONS(1120),
    [anon_sym___stdcall] = ACTIONS(1120),
    [anon_sym___fastcall] = ACTIONS(1120),
    [anon_sym___thiscall] = ACTIONS(1120),
    [anon_sym___vectorcall] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_signed] = ACTIONS(1120),
    [anon_sym_unsigned] = ACTIONS(1120),
    [anon_sym_long] = ACTIONS(1120),
    [anon_sym_short] = ACTIONS(1120),
    [anon_sym_static] = ACTIONS(1120),
    [anon_sym_auto] = ACTIONS(1120),
    [anon_sym_register] = ACTIONS(1120),
    [anon_sym_inline] = ACTIONS(1120),
    [anon_sym___inline] = ACTIONS(1120),
    [anon_sym___inline__] = ACTIONS(1120),
    [anon_sym___forceinline] = ACTIONS(1120),
    [anon_sym_thread_local] = ACTIONS(1120),
    [anon_sym___thread] = ACTIONS(1120),
    [anon_sym_const] = ACTIONS(1120),
    [anon_sym_constexpr] = ACTIONS(1120),
    [anon_sym_volatile] = ACTIONS(1120),
    [anon_sym_restrict] = ACTIONS(1120),
    [anon_sym___restrict__] = ACTIONS(1120),
    [anon_sym__Atomic] = ACTIONS(1120),
    [anon_sym__Noreturn] = ACTIONS(1120),
    [anon_sym_noreturn] = ACTIONS(1120),
    [sym_primitive_type] = ACTIONS(1120),
    [anon_sym_enum] = ACTIONS(1120),
    [anon_sym_struct] = ACTIONS(1120),
    [anon_sym_union] = ACTIONS(1120),
    [anon_sym_if] = ACTIONS(1120),
    [anon_sym_else] = ACTIONS(1120),
    [anon_sym_switch] = ACTIONS(1120),
    [anon_sym_case] = ACTIONS(1120),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1120),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_continue] = ACTIONS(1120),
    [anon_sym_goto] = ACTIONS(1120),
    [anon_sym___try] = ACTIONS(1120),
    [anon_sym___leave] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [anon_sym_sizeof] = ACTIONS(1120),
    [anon_sym___alignof__] = ACTIONS(1120),
    [anon_sym___alignof] = ACTIONS(1120),
    [anon_sym__alignof] = ACTIONS(1120),
    [anon_sym_alignof] = ACTIONS(1120),
    [anon_sym__Alignof] = ACTIONS(1120),
    [anon_sym_offsetof] = ACTIONS(1120),
    [anon_sym__Generic] = ACTIONS(1120),
    [anon_sym_asm] = ACTIONS(1120),
    [anon_sym___asm__] = ACTIONS(1120),
    [sym_number_literal] = ACTIONS(1122),
    [anon_sym_L_SQUOTE] = ACTIONS(1122),
    [anon_sym_u_SQUOTE] = ACTIONS(1122),
    [anon_sym_U_SQUOTE] = ACTIONS(1122),
    [anon_sym_u8_SQUOTE] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [anon_sym_L_DQUOTE] = ACTIONS(1122),
    [anon_sym_u_DQUOTE] = ACTIONS(1122),
    [anon_sym_U_DQUOTE] = ACTIONS(1122),
    [anon_sym_u8_DQUOTE] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [sym_true] = ACTIONS(1120),
    [sym_false] = ACTIONS(1120),
    [anon_sym_NULL] = ACTIONS(1120),
    [anon_sym_nullptr] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_identifier] = ACTIONS(1184),
    [aux_sym_preproc_include_token1] = ACTIONS(1184),
    [aux_sym_preproc_def_token1] = ACTIONS(1184),
    [aux_sym_preproc_if_token1] = ACTIONS(1184),
    [aux_sym_preproc_if_token2] = ACTIONS(1184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1184),
    [sym_preproc_directive] = ACTIONS(1184),
    [anon_sym_LPAREN2] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_STAR] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(1186),
    [anon_sym___extension__] = ACTIONS(1184),
    [anon_sym_typedef] = ACTIONS(1184),
    [anon_sym_extern] = ACTIONS(1184),
    [anon_sym___attribute__] = ACTIONS(1184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1186),
    [anon_sym___declspec] = ACTIONS(1184),
    [anon_sym___cdecl] = ACTIONS(1184),
    [anon_sym___clrcall] = ACTIONS(1184),
    [anon_sym___stdcall] = ACTIONS(1184),
    [anon_sym___fastcall] = ACTIONS(1184),
    [anon_sym___thiscall] = ACTIONS(1184),
    [anon_sym___vectorcall] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_signed] = ACTIONS(1184),
    [anon_sym_unsigned] = ACTIONS(1184),
    [anon_sym_long] = ACTIONS(1184),
    [anon_sym_short] = ACTIONS(1184),
    [anon_sym_static] = ACTIONS(1184),
    [anon_sym_auto] = ACTIONS(1184),
    [anon_sym_register] = ACTIONS(1184),
    [anon_sym_inline] = ACTIONS(1184),
    [anon_sym___inline] = ACTIONS(1184),
    [anon_sym___inline__] = ACTIONS(1184),
    [anon_sym___forceinline] = ACTIONS(1184),
    [anon_sym_thread_local] = ACTIONS(1184),
    [anon_sym___thread] = ACTIONS(1184),
    [anon_sym_const] = ACTIONS(1184),
    [anon_sym_constexpr] = ACTIONS(1184),
    [anon_sym_volatile] = ACTIONS(1184),
    [anon_sym_restrict] = ACTIONS(1184),
    [anon_sym___restrict__] = ACTIONS(1184),
    [anon_sym__Atomic] = ACTIONS(1184),
    [anon_sym__Noreturn] = ACTIONS(1184),
    [anon_sym_noreturn] = ACTIONS(1184),
    [sym_primitive_type] = ACTIONS(1184),
    [anon_sym_enum] = ACTIONS(1184),
    [anon_sym_struct] = ACTIONS(1184),
    [anon_sym_union] = ACTIONS(1184),
    [anon_sym_if] = ACTIONS(1184),
    [anon_sym_else] = ACTIONS(1184),
    [anon_sym_switch] = ACTIONS(1184),
    [anon_sym_case] = ACTIONS(1184),
    [anon_sym_default] = ACTIONS(1184),
    [anon_sym_while] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1184),
    [anon_sym_for] = ACTIONS(1184),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_break] = ACTIONS(1184),
    [anon_sym_continue] = ACTIONS(1184),
    [anon_sym_goto] = ACTIONS(1184),
    [anon_sym___try] = ACTIONS(1184),
    [anon_sym___leave] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [anon_sym_sizeof] = ACTIONS(1184),
    [anon_sym___alignof__] = ACTIONS(1184),
    [anon_sym___alignof] = ACTIONS(1184),
    [anon_sym__alignof] = ACTIONS(1184),
    [anon_sym_alignof] = ACTIONS(1184),
    [anon_sym__Alignof] = ACTIONS(1184),
    [anon_sym_offsetof] = ACTIONS(1184),
    [anon_sym__Generic] = ACTIONS(1184),
    [anon_sym_asm] = ACTIONS(1184),
    [anon_sym___asm__] = ACTIONS(1184),
    [sym_number_literal] = ACTIONS(1186),
    [anon_sym_L_SQUOTE] = ACTIONS(1186),
    [anon_sym_u_SQUOTE] = ACTIONS(1186),
    [anon_sym_U_SQUOTE] = ACTIONS(1186),
    [anon_sym_u8_SQUOTE] = ACTIONS(1186),
    [anon_sym_SQUOTE] = ACTIONS(1186),
    [anon_sym_L_DQUOTE] = ACTIONS(1186),
    [anon_sym_u_DQUOTE] = ACTIONS(1186),
    [anon_sym_U_DQUOTE] = ACTIONS(1186),
    [anon_sym_u8_DQUOTE] = ACTIONS(1186),
    [anon_sym_DQUOTE] = ACTIONS(1186),
    [sym_true] = ACTIONS(1184),
    [sym_false] = ACTIONS(1184),
    [anon_sym_NULL] = ACTIONS(1184),
    [anon_sym_nullptr] = ACTIONS(1184),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_identifier] = ACTIONS(1130),
    [aux_sym_preproc_include_token1] = ACTIONS(1130),
    [aux_sym_preproc_def_token1] = ACTIONS(1130),
    [aux_sym_preproc_if_token1] = ACTIONS(1130),
    [aux_sym_preproc_if_token2] = ACTIONS(1130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1130),
    [sym_preproc_directive] = ACTIONS(1130),
    [anon_sym_LPAREN2] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1128),
    [anon_sym_AMP] = ACTIONS(1128),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym___extension__] = ACTIONS(1130),
    [anon_sym_typedef] = ACTIONS(1130),
    [anon_sym_extern] = ACTIONS(1130),
    [anon_sym___attribute__] = ACTIONS(1130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1128),
    [anon_sym___declspec] = ACTIONS(1130),
    [anon_sym___cdecl] = ACTIONS(1130),
    [anon_sym___clrcall] = ACTIONS(1130),
    [anon_sym___stdcall] = ACTIONS(1130),
    [anon_sym___fastcall] = ACTIONS(1130),
    [anon_sym___thiscall] = ACTIONS(1130),
    [anon_sym___vectorcall] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_signed] = ACTIONS(1130),
    [anon_sym_unsigned] = ACTIONS(1130),
    [anon_sym_long] = ACTIONS(1130),
    [anon_sym_short] = ACTIONS(1130),
    [anon_sym_static] = ACTIONS(1130),
    [anon_sym_auto] = ACTIONS(1130),
    [anon_sym_register] = ACTIONS(1130),
    [anon_sym_inline] = ACTIONS(1130),
    [anon_sym___inline] = ACTIONS(1130),
    [anon_sym___inline__] = ACTIONS(1130),
    [anon_sym___forceinline] = ACTIONS(1130),
    [anon_sym_thread_local] = ACTIONS(1130),
    [anon_sym___thread] = ACTIONS(1130),
    [anon_sym_const] = ACTIONS(1130),
    [anon_sym_constexpr] = ACTIONS(1130),
    [anon_sym_volatile] = ACTIONS(1130),
    [anon_sym_restrict] = ACTIONS(1130),
    [anon_sym___restrict__] = ACTIONS(1130),
    [anon_sym__Atomic] = ACTIONS(1130),
    [anon_sym__Noreturn] = ACTIONS(1130),
    [anon_sym_noreturn] = ACTIONS(1130),
    [sym_primitive_type] = ACTIONS(1130),
    [anon_sym_enum] = ACTIONS(1130),
    [anon_sym_struct] = ACTIONS(1130),
    [anon_sym_union] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1130),
    [anon_sym_else] = ACTIONS(1130),
    [anon_sym_switch] = ACTIONS(1130),
    [anon_sym_case] = ACTIONS(1130),
    [anon_sym_default] = ACTIONS(1130),
    [anon_sym_while] = ACTIONS(1130),
    [anon_sym_do] = ACTIONS(1130),
    [anon_sym_for] = ACTIONS(1130),
    [anon_sym_return] = ACTIONS(1130),
    [anon_sym_break] = ACTIONS(1130),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1130),
    [anon_sym___try] = ACTIONS(1130),
    [anon_sym___leave] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [anon_sym_sizeof] = ACTIONS(1130),
    [anon_sym___alignof__] = ACTIONS(1130),
    [anon_sym___alignof] = ACTIONS(1130),
    [anon_sym__alignof] = ACTIONS(1130),
    [anon_sym_alignof] = ACTIONS(1130),
    [anon_sym__Alignof] = ACTIONS(1130),
    [anon_sym_offsetof] = ACTIONS(1130),
    [anon_sym__Generic] = ACTIONS(1130),
    [anon_sym_asm] = ACTIONS(1130),
    [anon_sym___asm__] = ACTIONS(1130),
    [sym_number_literal] = ACTIONS(1128),
    [anon_sym_L_SQUOTE] = ACTIONS(1128),
    [anon_sym_u_SQUOTE] = ACTIONS(1128),
    [anon_sym_U_SQUOTE] = ACTIONS(1128),
    [anon_sym_u8_SQUOTE] = ACTIONS(1128),
    [anon_sym_SQUOTE] = ACTIONS(1128),
    [anon_sym_L_DQUOTE] = ACTIONS(1128),
    [anon_sym_u_DQUOTE] = ACTIONS(1128),
    [anon_sym_U_DQUOTE] = ACTIONS(1128),
    [anon_sym_u8_DQUOTE] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [sym_true] = ACTIONS(1130),
    [sym_false] = ACTIONS(1130),
    [anon_sym_NULL] = ACTIONS(1130),
    [anon_sym_nullptr] = ACTIONS(1130),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_identifier] = ACTIONS(1124),
    [aux_sym_preproc_include_token1] = ACTIONS(1124),
    [aux_sym_preproc_def_token1] = ACTIONS(1124),
    [aux_sym_preproc_if_token1] = ACTIONS(1124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1124),
    [sym_preproc_directive] = ACTIONS(1124),
    [anon_sym_LPAREN2] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_STAR] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(1126),
    [anon_sym_SEMI] = ACTIONS(1126),
    [anon_sym___extension__] = ACTIONS(1124),
    [anon_sym_typedef] = ACTIONS(1124),
    [anon_sym_extern] = ACTIONS(1124),
    [anon_sym___attribute__] = ACTIONS(1124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(1124),
    [anon_sym___cdecl] = ACTIONS(1124),
    [anon_sym___clrcall] = ACTIONS(1124),
    [anon_sym___stdcall] = ACTIONS(1124),
    [anon_sym___fastcall] = ACTIONS(1124),
    [anon_sym___thiscall] = ACTIONS(1124),
    [anon_sym___vectorcall] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [anon_sym_signed] = ACTIONS(1124),
    [anon_sym_unsigned] = ACTIONS(1124),
    [anon_sym_long] = ACTIONS(1124),
    [anon_sym_short] = ACTIONS(1124),
    [anon_sym_static] = ACTIONS(1124),
    [anon_sym_auto] = ACTIONS(1124),
    [anon_sym_register] = ACTIONS(1124),
    [anon_sym_inline] = ACTIONS(1124),
    [anon_sym___inline] = ACTIONS(1124),
    [anon_sym___inline__] = ACTIONS(1124),
    [anon_sym___forceinline] = ACTIONS(1124),
    [anon_sym_thread_local] = ACTIONS(1124),
    [anon_sym___thread] = ACTIONS(1124),
    [anon_sym_const] = ACTIONS(1124),
    [anon_sym_constexpr] = ACTIONS(1124),
    [anon_sym_volatile] = ACTIONS(1124),
    [anon_sym_restrict] = ACTIONS(1124),
    [anon_sym___restrict__] = ACTIONS(1124),
    [anon_sym__Atomic] = ACTIONS(1124),
    [anon_sym__Noreturn] = ACTIONS(1124),
    [anon_sym_noreturn] = ACTIONS(1124),
    [sym_primitive_type] = ACTIONS(1124),
    [anon_sym_enum] = ACTIONS(1124),
    [anon_sym_struct] = ACTIONS(1124),
    [anon_sym_union] = ACTIONS(1124),
    [anon_sym_if] = ACTIONS(1124),
    [anon_sym_else] = ACTIONS(1124),
    [anon_sym_switch] = ACTIONS(1124),
    [anon_sym_case] = ACTIONS(1124),
    [anon_sym_default] = ACTIONS(1124),
    [anon_sym_while] = ACTIONS(1124),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1124),
    [anon_sym_break] = ACTIONS(1124),
    [anon_sym_continue] = ACTIONS(1124),
    [anon_sym_goto] = ACTIONS(1124),
    [anon_sym___try] = ACTIONS(1124),
    [anon_sym___leave] = ACTIONS(1124),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [anon_sym_sizeof] = ACTIONS(1124),
    [anon_sym___alignof__] = ACTIONS(1124),
    [anon_sym___alignof] = ACTIONS(1124),
    [anon_sym__alignof] = ACTIONS(1124),
    [anon_sym_alignof] = ACTIONS(1124),
    [anon_sym__Alignof] = ACTIONS(1124),
    [anon_sym_offsetof] = ACTIONS(1124),
    [anon_sym__Generic] = ACTIONS(1124),
    [anon_sym_asm] = ACTIONS(1124),
    [anon_sym___asm__] = ACTIONS(1124),
    [sym_number_literal] = ACTIONS(1126),
    [anon_sym_L_SQUOTE] = ACTIONS(1126),
    [anon_sym_u_SQUOTE] = ACTIONS(1126),
    [anon_sym_U_SQUOTE] = ACTIONS(1126),
    [anon_sym_u8_SQUOTE] = ACTIONS(1126),
    [anon_sym_SQUOTE] = ACTIONS(1126),
    [anon_sym_L_DQUOTE] = ACTIONS(1126),
    [anon_sym_u_DQUOTE] = ACTIONS(1126),
    [anon_sym_U_DQUOTE] = ACTIONS(1126),
    [anon_sym_u8_DQUOTE] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [sym_true] = ACTIONS(1124),
    [sym_false] = ACTIONS(1124),
    [anon_sym_NULL] = ACTIONS(1124),
    [anon_sym_nullptr] = ACTIONS(1124),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_identifier] = ACTIONS(1188),
    [aux_sym_preproc_include_token1] = ACTIONS(1188),
    [aux_sym_preproc_def_token1] = ACTIONS(1188),
    [aux_sym_preproc_if_token1] = ACTIONS(1188),
    [aux_sym_preproc_if_token2] = ACTIONS(1188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1188),
    [sym_preproc_directive] = ACTIONS(1188),
    [anon_sym_LPAREN2] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1190),
    [anon_sym___extension__] = ACTIONS(1188),
    [anon_sym_typedef] = ACTIONS(1188),
    [anon_sym_extern] = ACTIONS(1188),
    [anon_sym___attribute__] = ACTIONS(1188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1190),
    [anon_sym___declspec] = ACTIONS(1188),
    [anon_sym___cdecl] = ACTIONS(1188),
    [anon_sym___clrcall] = ACTIONS(1188),
    [anon_sym___stdcall] = ACTIONS(1188),
    [anon_sym___fastcall] = ACTIONS(1188),
    [anon_sym___thiscall] = ACTIONS(1188),
    [anon_sym___vectorcall] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_signed] = ACTIONS(1188),
    [anon_sym_unsigned] = ACTIONS(1188),
    [anon_sym_long] = ACTIONS(1188),
    [anon_sym_short] = ACTIONS(1188),
    [anon_sym_static] = ACTIONS(1188),
    [anon_sym_auto] = ACTIONS(1188),
    [anon_sym_register] = ACTIONS(1188),
    [anon_sym_inline] = ACTIONS(1188),
    [anon_sym___inline] = ACTIONS(1188),
    [anon_sym___inline__] = ACTIONS(1188),
    [anon_sym___forceinline] = ACTIONS(1188),
    [anon_sym_thread_local] = ACTIONS(1188),
    [anon_sym___thread] = ACTIONS(1188),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_constexpr] = ACTIONS(1188),
    [anon_sym_volatile] = ACTIONS(1188),
    [anon_sym_restrict] = ACTIONS(1188),
    [anon_sym___restrict__] = ACTIONS(1188),
    [anon_sym__Atomic] = ACTIONS(1188),
    [anon_sym__Noreturn] = ACTIONS(1188),
    [anon_sym_noreturn] = ACTIONS(1188),
    [sym_primitive_type] = ACTIONS(1188),
    [anon_sym_enum] = ACTIONS(1188),
    [anon_sym_struct] = ACTIONS(1188),
    [anon_sym_union] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_else] = ACTIONS(1188),
    [anon_sym_switch] = ACTIONS(1188),
    [anon_sym_case] = ACTIONS(1188),
    [anon_sym_default] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1188),
    [anon_sym_return] = ACTIONS(1188),
    [anon_sym_break] = ACTIONS(1188),
    [anon_sym_continue] = ACTIONS(1188),
    [anon_sym_goto] = ACTIONS(1188),
    [anon_sym___try] = ACTIONS(1188),
    [anon_sym___leave] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [anon_sym_sizeof] = ACTIONS(1188),
    [anon_sym___alignof__] = ACTIONS(1188),
    [anon_sym___alignof] = ACTIONS(1188),
    [anon_sym__alignof] = ACTIONS(1188),
    [anon_sym_alignof] = ACTIONS(1188),
    [anon_sym__Alignof] = ACTIONS(1188),
    [anon_sym_offsetof] = ACTIONS(1188),
    [anon_sym__Generic] = ACTIONS(1188),
    [anon_sym_asm] = ACTIONS(1188),
    [anon_sym___asm__] = ACTIONS(1188),
    [sym_number_literal] = ACTIONS(1190),
    [anon_sym_L_SQUOTE] = ACTIONS(1190),
    [anon_sym_u_SQUOTE] = ACTIONS(1190),
    [anon_sym_U_SQUOTE] = ACTIONS(1190),
    [anon_sym_u8_SQUOTE] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1190),
    [anon_sym_L_DQUOTE] = ACTIONS(1190),
    [anon_sym_u_DQUOTE] = ACTIONS(1190),
    [anon_sym_U_DQUOTE] = ACTIONS(1190),
    [anon_sym_u8_DQUOTE] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [sym_true] = ACTIONS(1188),
    [sym_false] = ACTIONS(1188),
    [anon_sym_NULL] = ACTIONS(1188),
    [anon_sym_nullptr] = ACTIONS(1188),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_identifier] = ACTIONS(1192),
    [aux_sym_preproc_include_token1] = ACTIONS(1192),
    [aux_sym_preproc_def_token1] = ACTIONS(1192),
    [aux_sym_preproc_if_token1] = ACTIONS(1192),
    [aux_sym_preproc_if_token2] = ACTIONS(1192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1192),
    [sym_preproc_directive] = ACTIONS(1192),
    [anon_sym_LPAREN2] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [anon_sym___extension__] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1192),
    [anon_sym_extern] = ACTIONS(1192),
    [anon_sym___attribute__] = ACTIONS(1192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1194),
    [anon_sym___declspec] = ACTIONS(1192),
    [anon_sym___cdecl] = ACTIONS(1192),
    [anon_sym___clrcall] = ACTIONS(1192),
    [anon_sym___stdcall] = ACTIONS(1192),
    [anon_sym___fastcall] = ACTIONS(1192),
    [anon_sym___thiscall] = ACTIONS(1192),
    [anon_sym___vectorcall] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_signed] = ACTIONS(1192),
    [anon_sym_unsigned] = ACTIONS(1192),
    [anon_sym_long] = ACTIONS(1192),
    [anon_sym_short] = ACTIONS(1192),
    [anon_sym_static] = ACTIONS(1192),
    [anon_sym_auto] = ACTIONS(1192),
    [anon_sym_register] = ACTIONS(1192),
    [anon_sym_inline] = ACTIONS(1192),
    [anon_sym___inline] = ACTIONS(1192),
    [anon_sym___inline__] = ACTIONS(1192),
    [anon_sym___forceinline] = ACTIONS(1192),
    [anon_sym_thread_local] = ACTIONS(1192),
    [anon_sym___thread] = ACTIONS(1192),
    [anon_sym_const] = ACTIONS(1192),
    [anon_sym_constexpr] = ACTIONS(1192),
    [anon_sym_volatile] = ACTIONS(1192),
    [anon_sym_restrict] = ACTIONS(1192),
    [anon_sym___restrict__] = ACTIONS(1192),
    [anon_sym__Atomic] = ACTIONS(1192),
    [anon_sym__Noreturn] = ACTIONS(1192),
    [anon_sym_noreturn] = ACTIONS(1192),
    [sym_primitive_type] = ACTIONS(1192),
    [anon_sym_enum] = ACTIONS(1192),
    [anon_sym_struct] = ACTIONS(1192),
    [anon_sym_union] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1192),
    [anon_sym_else] = ACTIONS(1192),
    [anon_sym_switch] = ACTIONS(1192),
    [anon_sym_case] = ACTIONS(1192),
    [anon_sym_default] = ACTIONS(1192),
    [anon_sym_while] = ACTIONS(1192),
    [anon_sym_do] = ACTIONS(1192),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_return] = ACTIONS(1192),
    [anon_sym_break] = ACTIONS(1192),
    [anon_sym_continue] = ACTIONS(1192),
    [anon_sym_goto] = ACTIONS(1192),
    [anon_sym___try] = ACTIONS(1192),
    [anon_sym___leave] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_sizeof] = ACTIONS(1192),
    [anon_sym___alignof__] = ACTIONS(1192),
    [anon_sym___alignof] = ACTIONS(1192),
    [anon_sym__alignof] = ACTIONS(1192),
    [anon_sym_alignof] = ACTIONS(1192),
    [anon_sym__Alignof] = ACTIONS(1192),
    [anon_sym_offsetof] = ACTIONS(1192),
    [anon_sym__Generic] = ACTIONS(1192),
    [anon_sym_asm] = ACTIONS(1192),
    [anon_sym___asm__] = ACTIONS(1192),
    [sym_number_literal] = ACTIONS(1194),
    [anon_sym_L_SQUOTE] = ACTIONS(1194),
    [anon_sym_u_SQUOTE] = ACTIONS(1194),
    [anon_sym_U_SQUOTE] = ACTIONS(1194),
    [anon_sym_u8_SQUOTE] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [anon_sym_L_DQUOTE] = ACTIONS(1194),
    [anon_sym_u_DQUOTE] = ACTIONS(1194),
    [anon_sym_U_DQUOTE] = ACTIONS(1194),
    [anon_sym_u8_DQUOTE] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [sym_true] = ACTIONS(1192),
    [sym_false] = ACTIONS(1192),
    [anon_sym_NULL] = ACTIONS(1192),
    [anon_sym_nullptr] = ACTIONS(1192),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_identifier] = ACTIONS(1196),
    [aux_sym_preproc_include_token1] = ACTIONS(1196),
    [aux_sym_preproc_def_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token2] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym___extension__] = ACTIONS(1196),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym___attribute__] = ACTIONS(1196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1198),
    [anon_sym___declspec] = ACTIONS(1196),
    [anon_sym___cdecl] = ACTIONS(1196),
    [anon_sym___clrcall] = ACTIONS(1196),
    [anon_sym___stdcall] = ACTIONS(1196),
    [anon_sym___fastcall] = ACTIONS(1196),
    [anon_sym___thiscall] = ACTIONS(1196),
    [anon_sym___vectorcall] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_signed] = ACTIONS(1196),
    [anon_sym_unsigned] = ACTIONS(1196),
    [anon_sym_long] = ACTIONS(1196),
    [anon_sym_short] = ACTIONS(1196),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_auto] = ACTIONS(1196),
    [anon_sym_register] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(1196),
    [anon_sym___inline] = ACTIONS(1196),
    [anon_sym___inline__] = ACTIONS(1196),
    [anon_sym___forceinline] = ACTIONS(1196),
    [anon_sym_thread_local] = ACTIONS(1196),
    [anon_sym___thread] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_constexpr] = ACTIONS(1196),
    [anon_sym_volatile] = ACTIONS(1196),
    [anon_sym_restrict] = ACTIONS(1196),
    [anon_sym___restrict__] = ACTIONS(1196),
    [anon_sym__Atomic] = ACTIONS(1196),
    [anon_sym__Noreturn] = ACTIONS(1196),
    [anon_sym_noreturn] = ACTIONS(1196),
    [sym_primitive_type] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_goto] = ACTIONS(1196),
    [anon_sym___try] = ACTIONS(1196),
    [anon_sym___leave] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_sizeof] = ACTIONS(1196),
    [anon_sym___alignof__] = ACTIONS(1196),
    [anon_sym___alignof] = ACTIONS(1196),
    [anon_sym__alignof] = ACTIONS(1196),
    [anon_sym_alignof] = ACTIONS(1196),
    [anon_sym__Alignof] = ACTIONS(1196),
    [anon_sym_offsetof] = ACTIONS(1196),
    [anon_sym__Generic] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1196),
    [anon_sym___asm__] = ACTIONS(1196),
    [sym_number_literal] = ACTIONS(1198),
    [anon_sym_L_SQUOTE] = ACTIONS(1198),
    [anon_sym_u_SQUOTE] = ACTIONS(1198),
    [anon_sym_U_SQUOTE] = ACTIONS(1198),
    [anon_sym_u8_SQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_L_DQUOTE] = ACTIONS(1198),
    [anon_sym_u_DQUOTE] = ACTIONS(1198),
    [anon_sym_U_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8_DQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_true] = ACTIONS(1196),
    [sym_false] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1196),
    [anon_sym_nullptr] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token2] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym___extension__] = ACTIONS(1200),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym___inline] = ACTIONS(1200),
    [anon_sym___inline__] = ACTIONS(1200),
    [anon_sym___forceinline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym___thread] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym___try] = ACTIONS(1200),
    [anon_sym___leave] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym___alignof__] = ACTIONS(1200),
    [anon_sym___alignof] = ACTIONS(1200),
    [anon_sym__alignof] = ACTIONS(1200),
    [anon_sym_alignof] = ACTIONS(1200),
    [anon_sym__Alignof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1204),
    [aux_sym_preproc_def_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token2] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1204),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym___extension__] = ACTIONS(1204),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_extern] = ACTIONS(1204),
    [anon_sym___attribute__] = ACTIONS(1204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1206),
    [anon_sym___declspec] = ACTIONS(1204),
    [anon_sym___cdecl] = ACTIONS(1204),
    [anon_sym___clrcall] = ACTIONS(1204),
    [anon_sym___stdcall] = ACTIONS(1204),
    [anon_sym___fastcall] = ACTIONS(1204),
    [anon_sym___thiscall] = ACTIONS(1204),
    [anon_sym___vectorcall] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_signed] = ACTIONS(1204),
    [anon_sym_unsigned] = ACTIONS(1204),
    [anon_sym_long] = ACTIONS(1204),
    [anon_sym_short] = ACTIONS(1204),
    [anon_sym_static] = ACTIONS(1204),
    [anon_sym_auto] = ACTIONS(1204),
    [anon_sym_register] = ACTIONS(1204),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym___inline] = ACTIONS(1204),
    [anon_sym___inline__] = ACTIONS(1204),
    [anon_sym___forceinline] = ACTIONS(1204),
    [anon_sym_thread_local] = ACTIONS(1204),
    [anon_sym___thread] = ACTIONS(1204),
    [anon_sym_const] = ACTIONS(1204),
    [anon_sym_constexpr] = ACTIONS(1204),
    [anon_sym_volatile] = ACTIONS(1204),
    [anon_sym_restrict] = ACTIONS(1204),
    [anon_sym___restrict__] = ACTIONS(1204),
    [anon_sym__Atomic] = ACTIONS(1204),
    [anon_sym__Noreturn] = ACTIONS(1204),
    [anon_sym_noreturn] = ACTIONS(1204),
    [sym_primitive_type] = ACTIONS(1204),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1204),
    [anon_sym_union] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_case] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_break] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym___try] = ACTIONS(1204),
    [anon_sym___leave] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_sizeof] = ACTIONS(1204),
    [anon_sym___alignof__] = ACTIONS(1204),
    [anon_sym___alignof] = ACTIONS(1204),
    [anon_sym__alignof] = ACTIONS(1204),
    [anon_sym_alignof] = ACTIONS(1204),
    [anon_sym__Alignof] = ACTIONS(1204),
    [anon_sym_offsetof] = ACTIONS(1204),
    [anon_sym__Generic] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1204),
    [anon_sym___asm__] = ACTIONS(1204),
    [sym_number_literal] = ACTIONS(1206),
    [anon_sym_L_SQUOTE] = ACTIONS(1206),
    [anon_sym_u_SQUOTE] = ACTIONS(1206),
    [anon_sym_U_SQUOTE] = ACTIONS(1206),
    [anon_sym_u8_SQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_L_DQUOTE] = ACTIONS(1206),
    [anon_sym_u_DQUOTE] = ACTIONS(1206),
    [anon_sym_U_DQUOTE] = ACTIONS(1206),
    [anon_sym_u8_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [sym_true] = ACTIONS(1204),
    [sym_false] = ACTIONS(1204),
    [anon_sym_NULL] = ACTIONS(1204),
    [anon_sym_nullptr] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1208),
    [aux_sym_preproc_def_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token2] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1208),
    [sym_preproc_directive] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym___extension__] = ACTIONS(1208),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym___attribute__] = ACTIONS(1208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1210),
    [anon_sym___declspec] = ACTIONS(1208),
    [anon_sym___cdecl] = ACTIONS(1208),
    [anon_sym___clrcall] = ACTIONS(1208),
    [anon_sym___stdcall] = ACTIONS(1208),
    [anon_sym___fastcall] = ACTIONS(1208),
    [anon_sym___thiscall] = ACTIONS(1208),
    [anon_sym___vectorcall] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_signed] = ACTIONS(1208),
    [anon_sym_unsigned] = ACTIONS(1208),
    [anon_sym_long] = ACTIONS(1208),
    [anon_sym_short] = ACTIONS(1208),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_auto] = ACTIONS(1208),
    [anon_sym_register] = ACTIONS(1208),
    [anon_sym_inline] = ACTIONS(1208),
    [anon_sym___inline] = ACTIONS(1208),
    [anon_sym___inline__] = ACTIONS(1208),
    [anon_sym___forceinline] = ACTIONS(1208),
    [anon_sym_thread_local] = ACTIONS(1208),
    [anon_sym___thread] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_constexpr] = ACTIONS(1208),
    [anon_sym_volatile] = ACTIONS(1208),
    [anon_sym_restrict] = ACTIONS(1208),
    [anon_sym___restrict__] = ACTIONS(1208),
    [anon_sym__Atomic] = ACTIONS(1208),
    [anon_sym__Noreturn] = ACTIONS(1208),
    [anon_sym_noreturn] = ACTIONS(1208),
    [sym_primitive_type] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_goto] = ACTIONS(1208),
    [anon_sym___try] = ACTIONS(1208),
    [anon_sym___leave] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_sizeof] = ACTIONS(1208),
    [anon_sym___alignof__] = ACTIONS(1208),
    [anon_sym___alignof] = ACTIONS(1208),
    [anon_sym__alignof] = ACTIONS(1208),
    [anon_sym_alignof] = ACTIONS(1208),
    [anon_sym__Alignof] = ACTIONS(1208),
    [anon_sym_offsetof] = ACTIONS(1208),
    [anon_sym__Generic] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1208),
    [anon_sym___asm__] = ACTIONS(1208),
    [sym_number_literal] = ACTIONS(1210),
    [anon_sym_L_SQUOTE] = ACTIONS(1210),
    [anon_sym_u_SQUOTE] = ACTIONS(1210),
    [anon_sym_U_SQUOTE] = ACTIONS(1210),
    [anon_sym_u8_SQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_L_DQUOTE] = ACTIONS(1210),
    [anon_sym_u_DQUOTE] = ACTIONS(1210),
    [anon_sym_U_DQUOTE] = ACTIONS(1210),
    [anon_sym_u8_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_true] = ACTIONS(1208),
    [sym_false] = ACTIONS(1208),
    [anon_sym_NULL] = ACTIONS(1208),
    [anon_sym_nullptr] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_identifier] = ACTIONS(1184),
    [aux_sym_preproc_include_token1] = ACTIONS(1184),
    [aux_sym_preproc_def_token1] = ACTIONS(1184),
    [aux_sym_preproc_if_token1] = ACTIONS(1184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1184),
    [sym_preproc_directive] = ACTIONS(1184),
    [anon_sym_LPAREN2] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_STAR] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(1186),
    [anon_sym___extension__] = ACTIONS(1184),
    [anon_sym_typedef] = ACTIONS(1184),
    [anon_sym_extern] = ACTIONS(1184),
    [anon_sym___attribute__] = ACTIONS(1184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1186),
    [anon_sym___declspec] = ACTIONS(1184),
    [anon_sym___cdecl] = ACTIONS(1184),
    [anon_sym___clrcall] = ACTIONS(1184),
    [anon_sym___stdcall] = ACTIONS(1184),
    [anon_sym___fastcall] = ACTIONS(1184),
    [anon_sym___thiscall] = ACTIONS(1184),
    [anon_sym___vectorcall] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [anon_sym_signed] = ACTIONS(1184),
    [anon_sym_unsigned] = ACTIONS(1184),
    [anon_sym_long] = ACTIONS(1184),
    [anon_sym_short] = ACTIONS(1184),
    [anon_sym_static] = ACTIONS(1184),
    [anon_sym_auto] = ACTIONS(1184),
    [anon_sym_register] = ACTIONS(1184),
    [anon_sym_inline] = ACTIONS(1184),
    [anon_sym___inline] = ACTIONS(1184),
    [anon_sym___inline__] = ACTIONS(1184),
    [anon_sym___forceinline] = ACTIONS(1184),
    [anon_sym_thread_local] = ACTIONS(1184),
    [anon_sym___thread] = ACTIONS(1184),
    [anon_sym_const] = ACTIONS(1184),
    [anon_sym_constexpr] = ACTIONS(1184),
    [anon_sym_volatile] = ACTIONS(1184),
    [anon_sym_restrict] = ACTIONS(1184),
    [anon_sym___restrict__] = ACTIONS(1184),
    [anon_sym__Atomic] = ACTIONS(1184),
    [anon_sym__Noreturn] = ACTIONS(1184),
    [anon_sym_noreturn] = ACTIONS(1184),
    [sym_primitive_type] = ACTIONS(1184),
    [anon_sym_enum] = ACTIONS(1184),
    [anon_sym_struct] = ACTIONS(1184),
    [anon_sym_union] = ACTIONS(1184),
    [anon_sym_if] = ACTIONS(1184),
    [anon_sym_else] = ACTIONS(1184),
    [anon_sym_switch] = ACTIONS(1184),
    [anon_sym_case] = ACTIONS(1184),
    [anon_sym_default] = ACTIONS(1184),
    [anon_sym_while] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1184),
    [anon_sym_for] = ACTIONS(1184),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_break] = ACTIONS(1184),
    [anon_sym_continue] = ACTIONS(1184),
    [anon_sym_goto] = ACTIONS(1184),
    [anon_sym___try] = ACTIONS(1184),
    [anon_sym___leave] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [anon_sym_sizeof] = ACTIONS(1184),
    [anon_sym___alignof__] = ACTIONS(1184),
    [anon_sym___alignof] = ACTIONS(1184),
    [anon_sym__alignof] = ACTIONS(1184),
    [anon_sym_alignof] = ACTIONS(1184),
    [anon_sym__Alignof] = ACTIONS(1184),
    [anon_sym_offsetof] = ACTIONS(1184),
    [anon_sym__Generic] = ACTIONS(1184),
    [anon_sym_asm] = ACTIONS(1184),
    [anon_sym___asm__] = ACTIONS(1184),
    [sym_number_literal] = ACTIONS(1186),
    [anon_sym_L_SQUOTE] = ACTIONS(1186),
    [anon_sym_u_SQUOTE] = ACTIONS(1186),
    [anon_sym_U_SQUOTE] = ACTIONS(1186),
    [anon_sym_u8_SQUOTE] = ACTIONS(1186),
    [anon_sym_SQUOTE] = ACTIONS(1186),
    [anon_sym_L_DQUOTE] = ACTIONS(1186),
    [anon_sym_u_DQUOTE] = ACTIONS(1186),
    [anon_sym_U_DQUOTE] = ACTIONS(1186),
    [anon_sym_u8_DQUOTE] = ACTIONS(1186),
    [anon_sym_DQUOTE] = ACTIONS(1186),
    [sym_true] = ACTIONS(1184),
    [sym_false] = ACTIONS(1184),
    [anon_sym_NULL] = ACTIONS(1184),
    [anon_sym_nullptr] = ACTIONS(1184),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1216),
    [aux_sym_preproc_def_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token2] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1216),
    [sym_preproc_directive] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym___extension__] = ACTIONS(1216),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1216),
    [anon_sym___attribute__] = ACTIONS(1216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1218),
    [anon_sym___declspec] = ACTIONS(1216),
    [anon_sym___cdecl] = ACTIONS(1216),
    [anon_sym___clrcall] = ACTIONS(1216),
    [anon_sym___stdcall] = ACTIONS(1216),
    [anon_sym___fastcall] = ACTIONS(1216),
    [anon_sym___thiscall] = ACTIONS(1216),
    [anon_sym___vectorcall] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_signed] = ACTIONS(1216),
    [anon_sym_unsigned] = ACTIONS(1216),
    [anon_sym_long] = ACTIONS(1216),
    [anon_sym_short] = ACTIONS(1216),
    [anon_sym_static] = ACTIONS(1216),
    [anon_sym_auto] = ACTIONS(1216),
    [anon_sym_register] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1216),
    [anon_sym___inline] = ACTIONS(1216),
    [anon_sym___inline__] = ACTIONS(1216),
    [anon_sym___forceinline] = ACTIONS(1216),
    [anon_sym_thread_local] = ACTIONS(1216),
    [anon_sym___thread] = ACTIONS(1216),
    [anon_sym_const] = ACTIONS(1216),
    [anon_sym_constexpr] = ACTIONS(1216),
    [anon_sym_volatile] = ACTIONS(1216),
    [anon_sym_restrict] = ACTIONS(1216),
    [anon_sym___restrict__] = ACTIONS(1216),
    [anon_sym__Atomic] = ACTIONS(1216),
    [anon_sym__Noreturn] = ACTIONS(1216),
    [anon_sym_noreturn] = ACTIONS(1216),
    [sym_primitive_type] = ACTIONS(1216),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1216),
    [anon_sym_union] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_case] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_goto] = ACTIONS(1216),
    [anon_sym___try] = ACTIONS(1216),
    [anon_sym___leave] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_sizeof] = ACTIONS(1216),
    [anon_sym___alignof__] = ACTIONS(1216),
    [anon_sym___alignof] = ACTIONS(1216),
    [anon_sym__alignof] = ACTIONS(1216),
    [anon_sym_alignof] = ACTIONS(1216),
    [anon_sym__Alignof] = ACTIONS(1216),
    [anon_sym_offsetof] = ACTIONS(1216),
    [anon_sym__Generic] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1216),
    [anon_sym___asm__] = ACTIONS(1216),
    [sym_number_literal] = ACTIONS(1218),
    [anon_sym_L_SQUOTE] = ACTIONS(1218),
    [anon_sym_u_SQUOTE] = ACTIONS(1218),
    [anon_sym_U_SQUOTE] = ACTIONS(1218),
    [anon_sym_u8_SQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_L_DQUOTE] = ACTIONS(1218),
    [anon_sym_u_DQUOTE] = ACTIONS(1218),
    [anon_sym_U_DQUOTE] = ACTIONS(1218),
    [anon_sym_u8_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_true] = ACTIONS(1216),
    [sym_false] = ACTIONS(1216),
    [anon_sym_NULL] = ACTIONS(1216),
    [anon_sym_nullptr] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym___extension__] = ACTIONS(1232),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1232),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1234),
    [anon_sym___declspec] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_signed] = ACTIONS(1232),
    [anon_sym_unsigned] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_auto] = ACTIONS(1232),
    [anon_sym_register] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1232),
    [anon_sym___inline] = ACTIONS(1232),
    [anon_sym___inline__] = ACTIONS(1232),
    [anon_sym___forceinline] = ACTIONS(1232),
    [anon_sym_thread_local] = ACTIONS(1232),
    [anon_sym___thread] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_constexpr] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_restrict] = ACTIONS(1232),
    [anon_sym___restrict__] = ACTIONS(1232),
    [anon_sym__Atomic] = ACTIONS(1232),
    [anon_sym__Noreturn] = ACTIONS(1232),
    [anon_sym_noreturn] = ACTIONS(1232),
    [sym_primitive_type] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym___try] = ACTIONS(1232),
    [anon_sym___leave] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_sizeof] = ACTIONS(1232),
    [anon_sym___alignof__] = ACTIONS(1232),
    [anon_sym___alignof] = ACTIONS(1232),
    [anon_sym__alignof] = ACTIONS(1232),
    [anon_sym_alignof] = ACTIONS(1232),
    [anon_sym__Alignof] = ACTIONS(1232),
    [anon_sym_offsetof] = ACTIONS(1232),
    [anon_sym__Generic] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym___asm__] = ACTIONS(1232),
    [sym_number_literal] = ACTIONS(1234),
    [anon_sym_L_SQUOTE] = ACTIONS(1234),
    [anon_sym_u_SQUOTE] = ACTIONS(1234),
    [anon_sym_U_SQUOTE] = ACTIONS(1234),
    [anon_sym_u8_SQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_L_DQUOTE] = ACTIONS(1234),
    [anon_sym_u_DQUOTE] = ACTIONS(1234),
    [anon_sym_U_DQUOTE] = ACTIONS(1234),
    [anon_sym_u8_DQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_NULL] = ACTIONS(1232),
    [anon_sym_nullptr] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token2] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym___extension__] = ACTIONS(1220),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym___inline] = ACTIONS(1220),
    [anon_sym___inline__] = ACTIONS(1220),
    [anon_sym___forceinline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym___thread] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym___try] = ACTIONS(1220),
    [anon_sym___leave] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym___alignof__] = ACTIONS(1220),
    [anon_sym___alignof] = ACTIONS(1220),
    [anon_sym__alignof] = ACTIONS(1220),
    [anon_sym_alignof] = ACTIONS(1220),
    [anon_sym__Alignof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_identifier] = ACTIONS(1224),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token2] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym___extension__] = ACTIONS(1224),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1224),
    [anon_sym___attribute__] = ACTIONS(1224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_signed] = ACTIONS(1224),
    [anon_sym_unsigned] = ACTIONS(1224),
    [anon_sym_long] = ACTIONS(1224),
    [anon_sym_short] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(1224),
    [anon_sym_auto] = ACTIONS(1224),
    [anon_sym_register] = ACTIONS(1224),
    [anon_sym_inline] = ACTIONS(1224),
    [anon_sym___inline] = ACTIONS(1224),
    [anon_sym___inline__] = ACTIONS(1224),
    [anon_sym___forceinline] = ACTIONS(1224),
    [anon_sym_thread_local] = ACTIONS(1224),
    [anon_sym___thread] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_constexpr] = ACTIONS(1224),
    [anon_sym_volatile] = ACTIONS(1224),
    [anon_sym_restrict] = ACTIONS(1224),
    [anon_sym___restrict__] = ACTIONS(1224),
    [anon_sym__Atomic] = ACTIONS(1224),
    [anon_sym__Noreturn] = ACTIONS(1224),
    [anon_sym_noreturn] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym___try] = ACTIONS(1224),
    [anon_sym___leave] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_sizeof] = ACTIONS(1224),
    [anon_sym___alignof__] = ACTIONS(1224),
    [anon_sym___alignof] = ACTIONS(1224),
    [anon_sym__alignof] = ACTIONS(1224),
    [anon_sym_alignof] = ACTIONS(1224),
    [anon_sym__Alignof] = ACTIONS(1224),
    [anon_sym_offsetof] = ACTIONS(1224),
    [anon_sym__Generic] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym___asm__] = ACTIONS(1224),
    [sym_number_literal] = ACTIONS(1226),
    [anon_sym_L_SQUOTE] = ACTIONS(1226),
    [anon_sym_u_SQUOTE] = ACTIONS(1226),
    [anon_sym_U_SQUOTE] = ACTIONS(1226),
    [anon_sym_u8_SQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_L_DQUOTE] = ACTIONS(1226),
    [anon_sym_u_DQUOTE] = ACTIONS(1226),
    [anon_sym_U_DQUOTE] = ACTIONS(1226),
    [anon_sym_u8_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_NULL] = ACTIONS(1224),
    [anon_sym_nullptr] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_identifier] = ACTIONS(1228),
    [aux_sym_preproc_include_token1] = ACTIONS(1228),
    [aux_sym_preproc_def_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token2] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1228),
    [sym_preproc_directive] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym___extension__] = ACTIONS(1228),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_extern] = ACTIONS(1228),
    [anon_sym___attribute__] = ACTIONS(1228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1230),
    [anon_sym___declspec] = ACTIONS(1228),
    [anon_sym___cdecl] = ACTIONS(1228),
    [anon_sym___clrcall] = ACTIONS(1228),
    [anon_sym___stdcall] = ACTIONS(1228),
    [anon_sym___fastcall] = ACTIONS(1228),
    [anon_sym___thiscall] = ACTIONS(1228),
    [anon_sym___vectorcall] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_signed] = ACTIONS(1228),
    [anon_sym_unsigned] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_auto] = ACTIONS(1228),
    [anon_sym_register] = ACTIONS(1228),
    [anon_sym_inline] = ACTIONS(1228),
    [anon_sym___inline] = ACTIONS(1228),
    [anon_sym___inline__] = ACTIONS(1228),
    [anon_sym___forceinline] = ACTIONS(1228),
    [anon_sym_thread_local] = ACTIONS(1228),
    [anon_sym___thread] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_constexpr] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_restrict] = ACTIONS(1228),
    [anon_sym___restrict__] = ACTIONS(1228),
    [anon_sym__Atomic] = ACTIONS(1228),
    [anon_sym__Noreturn] = ACTIONS(1228),
    [anon_sym_noreturn] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_struct] = ACTIONS(1228),
    [anon_sym_union] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_goto] = ACTIONS(1228),
    [anon_sym___try] = ACTIONS(1228),
    [anon_sym___leave] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_sizeof] = ACTIONS(1228),
    [anon_sym___alignof__] = ACTIONS(1228),
    [anon_sym___alignof] = ACTIONS(1228),
    [anon_sym__alignof] = ACTIONS(1228),
    [anon_sym_alignof] = ACTIONS(1228),
    [anon_sym__Alignof] = ACTIONS(1228),
    [anon_sym_offsetof] = ACTIONS(1228),
    [anon_sym__Generic] = ACTIONS(1228),
    [anon_sym_asm] = ACTIONS(1228),
    [anon_sym___asm__] = ACTIONS(1228),
    [sym_number_literal] = ACTIONS(1230),
    [anon_sym_L_SQUOTE] = ACTIONS(1230),
    [anon_sym_u_SQUOTE] = ACTIONS(1230),
    [anon_sym_U_SQUOTE] = ACTIONS(1230),
    [anon_sym_u8_SQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_L_DQUOTE] = ACTIONS(1230),
    [anon_sym_u_DQUOTE] = ACTIONS(1230),
    [anon_sym_U_DQUOTE] = ACTIONS(1230),
    [anon_sym_u8_DQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [anon_sym_NULL] = ACTIONS(1228),
    [anon_sym_nullptr] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_identifier] = ACTIONS(1160),
    [aux_sym_preproc_include_token1] = ACTIONS(1160),
    [aux_sym_preproc_def_token1] = ACTIONS(1160),
    [aux_sym_preproc_if_token1] = ACTIONS(1160),
    [aux_sym_preproc_if_token2] = ACTIONS(1160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1160),
    [sym_preproc_directive] = ACTIONS(1160),
    [anon_sym_LPAREN2] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(1162),
    [anon_sym_AMP] = ACTIONS(1162),
    [anon_sym_SEMI] = ACTIONS(1162),
    [anon_sym___extension__] = ACTIONS(1160),
    [anon_sym_typedef] = ACTIONS(1160),
    [anon_sym_extern] = ACTIONS(1160),
    [anon_sym___attribute__] = ACTIONS(1160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1162),
    [anon_sym___declspec] = ACTIONS(1160),
    [anon_sym___cdecl] = ACTIONS(1160),
    [anon_sym___clrcall] = ACTIONS(1160),
    [anon_sym___stdcall] = ACTIONS(1160),
    [anon_sym___fastcall] = ACTIONS(1160),
    [anon_sym___thiscall] = ACTIONS(1160),
    [anon_sym___vectorcall] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_signed] = ACTIONS(1160),
    [anon_sym_unsigned] = ACTIONS(1160),
    [anon_sym_long] = ACTIONS(1160),
    [anon_sym_short] = ACTIONS(1160),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_auto] = ACTIONS(1160),
    [anon_sym_register] = ACTIONS(1160),
    [anon_sym_inline] = ACTIONS(1160),
    [anon_sym___inline] = ACTIONS(1160),
    [anon_sym___inline__] = ACTIONS(1160),
    [anon_sym___forceinline] = ACTIONS(1160),
    [anon_sym_thread_local] = ACTIONS(1160),
    [anon_sym___thread] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(1160),
    [anon_sym_constexpr] = ACTIONS(1160),
    [anon_sym_volatile] = ACTIONS(1160),
    [anon_sym_restrict] = ACTIONS(1160),
    [anon_sym___restrict__] = ACTIONS(1160),
    [anon_sym__Atomic] = ACTIONS(1160),
    [anon_sym__Noreturn] = ACTIONS(1160),
    [anon_sym_noreturn] = ACTIONS(1160),
    [sym_primitive_type] = ACTIONS(1160),
    [anon_sym_enum] = ACTIONS(1160),
    [anon_sym_struct] = ACTIONS(1160),
    [anon_sym_union] = ACTIONS(1160),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_else] = ACTIONS(1160),
    [anon_sym_switch] = ACTIONS(1160),
    [anon_sym_case] = ACTIONS(1160),
    [anon_sym_default] = ACTIONS(1160),
    [anon_sym_while] = ACTIONS(1160),
    [anon_sym_do] = ACTIONS(1160),
    [anon_sym_for] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1160),
    [anon_sym_break] = ACTIONS(1160),
    [anon_sym_continue] = ACTIONS(1160),
    [anon_sym_goto] = ACTIONS(1160),
    [anon_sym___try] = ACTIONS(1160),
    [anon_sym___leave] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [anon_sym_sizeof] = ACTIONS(1160),
    [anon_sym___alignof__] = ACTIONS(1160),
    [anon_sym___alignof] = ACTIONS(1160),
    [anon_sym__alignof] = ACTIONS(1160),
    [anon_sym_alignof] = ACTIONS(1160),
    [anon_sym__Alignof] = ACTIONS(1160),
    [anon_sym_offsetof] = ACTIONS(1160),
    [anon_sym__Generic] = ACTIONS(1160),
    [anon_sym_asm] = ACTIONS(1160),
    [anon_sym___asm__] = ACTIONS(1160),
    [sym_number_literal] = ACTIONS(1162),
    [anon_sym_L_SQUOTE] = ACTIONS(1162),
    [anon_sym_u_SQUOTE] = ACTIONS(1162),
    [anon_sym_U_SQUOTE] = ACTIONS(1162),
    [anon_sym_u8_SQUOTE] = ACTIONS(1162),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [anon_sym_L_DQUOTE] = ACTIONS(1162),
    [anon_sym_u_DQUOTE] = ACTIONS(1162),
    [anon_sym_U_DQUOTE] = ACTIONS(1162),
    [anon_sym_u8_DQUOTE] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [sym_true] = ACTIONS(1160),
    [sym_false] = ACTIONS(1160),
    [anon_sym_NULL] = ACTIONS(1160),
    [anon_sym_nullptr] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token2] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym___extension__] = ACTIONS(1232),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1232),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1234),
    [anon_sym___declspec] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_signed] = ACTIONS(1232),
    [anon_sym_unsigned] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_auto] = ACTIONS(1232),
    [anon_sym_register] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1232),
    [anon_sym___inline] = ACTIONS(1232),
    [anon_sym___inline__] = ACTIONS(1232),
    [anon_sym___forceinline] = ACTIONS(1232),
    [anon_sym_thread_local] = ACTIONS(1232),
    [anon_sym___thread] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_constexpr] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_restrict] = ACTIONS(1232),
    [anon_sym___restrict__] = ACTIONS(1232),
    [anon_sym__Atomic] = ACTIONS(1232),
    [anon_sym__Noreturn] = ACTIONS(1232),
    [anon_sym_noreturn] = ACTIONS(1232),
    [sym_primitive_type] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym___try] = ACTIONS(1232),
    [anon_sym___leave] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_sizeof] = ACTIONS(1232),
    [anon_sym___alignof__] = ACTIONS(1232),
    [anon_sym___alignof] = ACTIONS(1232),
    [anon_sym__alignof] = ACTIONS(1232),
    [anon_sym_alignof] = ACTIONS(1232),
    [anon_sym__Alignof] = ACTIONS(1232),
    [anon_sym_offsetof] = ACTIONS(1232),
    [anon_sym__Generic] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym___asm__] = ACTIONS(1232),
    [sym_number_literal] = ACTIONS(1234),
    [anon_sym_L_SQUOTE] = ACTIONS(1234),
    [anon_sym_u_SQUOTE] = ACTIONS(1234),
    [anon_sym_U_SQUOTE] = ACTIONS(1234),
    [anon_sym_u8_SQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_L_DQUOTE] = ACTIONS(1234),
    [anon_sym_u_DQUOTE] = ACTIONS(1234),
    [anon_sym_U_DQUOTE] = ACTIONS(1234),
    [anon_sym_u8_DQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_NULL] = ACTIONS(1232),
    [anon_sym_nullptr] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_identifier] = ACTIONS(1120),
    [aux_sym_preproc_include_token1] = ACTIONS(1120),
    [aux_sym_preproc_def_token1] = ACTIONS(1120),
    [aux_sym_preproc_if_token1] = ACTIONS(1120),
    [aux_sym_preproc_if_token2] = ACTIONS(1120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1120),
    [sym_preproc_directive] = ACTIONS(1120),
    [anon_sym_LPAREN2] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_AMP] = ACTIONS(1122),
    [anon_sym_SEMI] = ACTIONS(1122),
    [anon_sym___extension__] = ACTIONS(1120),
    [anon_sym_typedef] = ACTIONS(1120),
    [anon_sym_extern] = ACTIONS(1120),
    [anon_sym___attribute__] = ACTIONS(1120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1122),
    [anon_sym___declspec] = ACTIONS(1120),
    [anon_sym___cdecl] = ACTIONS(1120),
    [anon_sym___clrcall] = ACTIONS(1120),
    [anon_sym___stdcall] = ACTIONS(1120),
    [anon_sym___fastcall] = ACTIONS(1120),
    [anon_sym___thiscall] = ACTIONS(1120),
    [anon_sym___vectorcall] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_signed] = ACTIONS(1120),
    [anon_sym_unsigned] = ACTIONS(1120),
    [anon_sym_long] = ACTIONS(1120),
    [anon_sym_short] = ACTIONS(1120),
    [anon_sym_static] = ACTIONS(1120),
    [anon_sym_auto] = ACTIONS(1120),
    [anon_sym_register] = ACTIONS(1120),
    [anon_sym_inline] = ACTIONS(1120),
    [anon_sym___inline] = ACTIONS(1120),
    [anon_sym___inline__] = ACTIONS(1120),
    [anon_sym___forceinline] = ACTIONS(1120),
    [anon_sym_thread_local] = ACTIONS(1120),
    [anon_sym___thread] = ACTIONS(1120),
    [anon_sym_const] = ACTIONS(1120),
    [anon_sym_constexpr] = ACTIONS(1120),
    [anon_sym_volatile] = ACTIONS(1120),
    [anon_sym_restrict] = ACTIONS(1120),
    [anon_sym___restrict__] = ACTIONS(1120),
    [anon_sym__Atomic] = ACTIONS(1120),
    [anon_sym__Noreturn] = ACTIONS(1120),
    [anon_sym_noreturn] = ACTIONS(1120),
    [sym_primitive_type] = ACTIONS(1120),
    [anon_sym_enum] = ACTIONS(1120),
    [anon_sym_struct] = ACTIONS(1120),
    [anon_sym_union] = ACTIONS(1120),
    [anon_sym_if] = ACTIONS(1120),
    [anon_sym_else] = ACTIONS(1120),
    [anon_sym_switch] = ACTIONS(1120),
    [anon_sym_case] = ACTIONS(1120),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1120),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_continue] = ACTIONS(1120),
    [anon_sym_goto] = ACTIONS(1120),
    [anon_sym___try] = ACTIONS(1120),
    [anon_sym___leave] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [anon_sym_sizeof] = ACTIONS(1120),
    [anon_sym___alignof__] = ACTIONS(1120),
    [anon_sym___alignof] = ACTIONS(1120),
    [anon_sym__alignof] = ACTIONS(1120),
    [anon_sym_alignof] = ACTIONS(1120),
    [anon_sym__Alignof] = ACTIONS(1120),
    [anon_sym_offsetof] = ACTIONS(1120),
    [anon_sym__Generic] = ACTIONS(1120),
    [anon_sym_asm] = ACTIONS(1120),
    [anon_sym___asm__] = ACTIONS(1120),
    [sym_number_literal] = ACTIONS(1122),
    [anon_sym_L_SQUOTE] = ACTIONS(1122),
    [anon_sym_u_SQUOTE] = ACTIONS(1122),
    [anon_sym_U_SQUOTE] = ACTIONS(1122),
    [anon_sym_u8_SQUOTE] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [anon_sym_L_DQUOTE] = ACTIONS(1122),
    [anon_sym_u_DQUOTE] = ACTIONS(1122),
    [anon_sym_U_DQUOTE] = ACTIONS(1122),
    [anon_sym_u8_DQUOTE] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [sym_true] = ACTIONS(1120),
    [sym_false] = ACTIONS(1120),
    [anon_sym_NULL] = ACTIONS(1120),
    [anon_sym_nullptr] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_identifier] = ACTIONS(1124),
    [aux_sym_preproc_include_token1] = ACTIONS(1124),
    [aux_sym_preproc_def_token1] = ACTIONS(1124),
    [aux_sym_preproc_if_token1] = ACTIONS(1124),
    [aux_sym_preproc_if_token2] = ACTIONS(1124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1124),
    [sym_preproc_directive] = ACTIONS(1124),
    [anon_sym_LPAREN2] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_STAR] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(1126),
    [anon_sym_SEMI] = ACTIONS(1126),
    [anon_sym___extension__] = ACTIONS(1124),
    [anon_sym_typedef] = ACTIONS(1124),
    [anon_sym_extern] = ACTIONS(1124),
    [anon_sym___attribute__] = ACTIONS(1124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(1124),
    [anon_sym___cdecl] = ACTIONS(1124),
    [anon_sym___clrcall] = ACTIONS(1124),
    [anon_sym___stdcall] = ACTIONS(1124),
    [anon_sym___fastcall] = ACTIONS(1124),
    [anon_sym___thiscall] = ACTIONS(1124),
    [anon_sym___vectorcall] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_signed] = ACTIONS(1124),
    [anon_sym_unsigned] = ACTIONS(1124),
    [anon_sym_long] = ACTIONS(1124),
    [anon_sym_short] = ACTIONS(1124),
    [anon_sym_static] = ACTIONS(1124),
    [anon_sym_auto] = ACTIONS(1124),
    [anon_sym_register] = ACTIONS(1124),
    [anon_sym_inline] = ACTIONS(1124),
    [anon_sym___inline] = ACTIONS(1124),
    [anon_sym___inline__] = ACTIONS(1124),
    [anon_sym___forceinline] = ACTIONS(1124),
    [anon_sym_thread_local] = ACTIONS(1124),
    [anon_sym___thread] = ACTIONS(1124),
    [anon_sym_const] = ACTIONS(1124),
    [anon_sym_constexpr] = ACTIONS(1124),
    [anon_sym_volatile] = ACTIONS(1124),
    [anon_sym_restrict] = ACTIONS(1124),
    [anon_sym___restrict__] = ACTIONS(1124),
    [anon_sym__Atomic] = ACTIONS(1124),
    [anon_sym__Noreturn] = ACTIONS(1124),
    [anon_sym_noreturn] = ACTIONS(1124),
    [sym_primitive_type] = ACTIONS(1124),
    [anon_sym_enum] = ACTIONS(1124),
    [anon_sym_struct] = ACTIONS(1124),
    [anon_sym_union] = ACTIONS(1124),
    [anon_sym_if] = ACTIONS(1124),
    [anon_sym_else] = ACTIONS(1124),
    [anon_sym_switch] = ACTIONS(1124),
    [anon_sym_case] = ACTIONS(1124),
    [anon_sym_default] = ACTIONS(1124),
    [anon_sym_while] = ACTIONS(1124),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1124),
    [anon_sym_break] = ACTIONS(1124),
    [anon_sym_continue] = ACTIONS(1124),
    [anon_sym_goto] = ACTIONS(1124),
    [anon_sym___try] = ACTIONS(1124),
    [anon_sym___leave] = ACTIONS(1124),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [anon_sym_sizeof] = ACTIONS(1124),
    [anon_sym___alignof__] = ACTIONS(1124),
    [anon_sym___alignof] = ACTIONS(1124),
    [anon_sym__alignof] = ACTIONS(1124),
    [anon_sym_alignof] = ACTIONS(1124),
    [anon_sym__Alignof] = ACTIONS(1124),
    [anon_sym_offsetof] = ACTIONS(1124),
    [anon_sym__Generic] = ACTIONS(1124),
    [anon_sym_asm] = ACTIONS(1124),
    [anon_sym___asm__] = ACTIONS(1124),
    [sym_number_literal] = ACTIONS(1126),
    [anon_sym_L_SQUOTE] = ACTIONS(1126),
    [anon_sym_u_SQUOTE] = ACTIONS(1126),
    [anon_sym_U_SQUOTE] = ACTIONS(1126),
    [anon_sym_u8_SQUOTE] = ACTIONS(1126),
    [anon_sym_SQUOTE] = ACTIONS(1126),
    [anon_sym_L_DQUOTE] = ACTIONS(1126),
    [anon_sym_u_DQUOTE] = ACTIONS(1126),
    [anon_sym_U_DQUOTE] = ACTIONS(1126),
    [anon_sym_u8_DQUOTE] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [sym_true] = ACTIONS(1124),
    [sym_false] = ACTIONS(1124),
    [anon_sym_NULL] = ACTIONS(1124),
    [anon_sym_nullptr] = ACTIONS(1124),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1216),
    [aux_sym_preproc_def_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1216),
    [sym_preproc_directive] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym___extension__] = ACTIONS(1216),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1216),
    [anon_sym___attribute__] = ACTIONS(1216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1218),
    [anon_sym___declspec] = ACTIONS(1216),
    [anon_sym___cdecl] = ACTIONS(1216),
    [anon_sym___clrcall] = ACTIONS(1216),
    [anon_sym___stdcall] = ACTIONS(1216),
    [anon_sym___fastcall] = ACTIONS(1216),
    [anon_sym___thiscall] = ACTIONS(1216),
    [anon_sym___vectorcall] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_signed] = ACTIONS(1216),
    [anon_sym_unsigned] = ACTIONS(1216),
    [anon_sym_long] = ACTIONS(1216),
    [anon_sym_short] = ACTIONS(1216),
    [anon_sym_static] = ACTIONS(1216),
    [anon_sym_auto] = ACTIONS(1216),
    [anon_sym_register] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1216),
    [anon_sym___inline] = ACTIONS(1216),
    [anon_sym___inline__] = ACTIONS(1216),
    [anon_sym___forceinline] = ACTIONS(1216),
    [anon_sym_thread_local] = ACTIONS(1216),
    [anon_sym___thread] = ACTIONS(1216),
    [anon_sym_const] = ACTIONS(1216),
    [anon_sym_constexpr] = ACTIONS(1216),
    [anon_sym_volatile] = ACTIONS(1216),
    [anon_sym_restrict] = ACTIONS(1216),
    [anon_sym___restrict__] = ACTIONS(1216),
    [anon_sym__Atomic] = ACTIONS(1216),
    [anon_sym__Noreturn] = ACTIONS(1216),
    [anon_sym_noreturn] = ACTIONS(1216),
    [sym_primitive_type] = ACTIONS(1216),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1216),
    [anon_sym_union] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_case] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_goto] = ACTIONS(1216),
    [anon_sym___try] = ACTIONS(1216),
    [anon_sym___leave] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_sizeof] = ACTIONS(1216),
    [anon_sym___alignof__] = ACTIONS(1216),
    [anon_sym___alignof] = ACTIONS(1216),
    [anon_sym__alignof] = ACTIONS(1216),
    [anon_sym_alignof] = ACTIONS(1216),
    [anon_sym__Alignof] = ACTIONS(1216),
    [anon_sym_offsetof] = ACTIONS(1216),
    [anon_sym__Generic] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1216),
    [anon_sym___asm__] = ACTIONS(1216),
    [sym_number_literal] = ACTIONS(1218),
    [anon_sym_L_SQUOTE] = ACTIONS(1218),
    [anon_sym_u_SQUOTE] = ACTIONS(1218),
    [anon_sym_U_SQUOTE] = ACTIONS(1218),
    [anon_sym_u8_SQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_L_DQUOTE] = ACTIONS(1218),
    [anon_sym_u_DQUOTE] = ACTIONS(1218),
    [anon_sym_U_DQUOTE] = ACTIONS(1218),
    [anon_sym_u8_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_true] = ACTIONS(1216),
    [sym_false] = ACTIONS(1216),
    [anon_sym_NULL] = ACTIONS(1216),
    [anon_sym_nullptr] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_identifier] = ACTIONS(1140),
    [aux_sym_preproc_include_token1] = ACTIONS(1140),
    [aux_sym_preproc_def_token1] = ACTIONS(1140),
    [aux_sym_preproc_if_token1] = ACTIONS(1140),
    [aux_sym_preproc_if_token2] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1140),
    [sym_preproc_directive] = ACTIONS(1140),
    [anon_sym_LPAREN2] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_AMP] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [anon_sym___extension__] = ACTIONS(1140),
    [anon_sym_typedef] = ACTIONS(1140),
    [anon_sym_extern] = ACTIONS(1140),
    [anon_sym___attribute__] = ACTIONS(1140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1142),
    [anon_sym___declspec] = ACTIONS(1140),
    [anon_sym___cdecl] = ACTIONS(1140),
    [anon_sym___clrcall] = ACTIONS(1140),
    [anon_sym___stdcall] = ACTIONS(1140),
    [anon_sym___fastcall] = ACTIONS(1140),
    [anon_sym___thiscall] = ACTIONS(1140),
    [anon_sym___vectorcall] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_signed] = ACTIONS(1140),
    [anon_sym_unsigned] = ACTIONS(1140),
    [anon_sym_long] = ACTIONS(1140),
    [anon_sym_short] = ACTIONS(1140),
    [anon_sym_static] = ACTIONS(1140),
    [anon_sym_auto] = ACTIONS(1140),
    [anon_sym_register] = ACTIONS(1140),
    [anon_sym_inline] = ACTIONS(1140),
    [anon_sym___inline] = ACTIONS(1140),
    [anon_sym___inline__] = ACTIONS(1140),
    [anon_sym___forceinline] = ACTIONS(1140),
    [anon_sym_thread_local] = ACTIONS(1140),
    [anon_sym___thread] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1140),
    [anon_sym_constexpr] = ACTIONS(1140),
    [anon_sym_volatile] = ACTIONS(1140),
    [anon_sym_restrict] = ACTIONS(1140),
    [anon_sym___restrict__] = ACTIONS(1140),
    [anon_sym__Atomic] = ACTIONS(1140),
    [anon_sym__Noreturn] = ACTIONS(1140),
    [anon_sym_noreturn] = ACTIONS(1140),
    [sym_primitive_type] = ACTIONS(1140),
    [anon_sym_enum] = ACTIONS(1140),
    [anon_sym_struct] = ACTIONS(1140),
    [anon_sym_union] = ACTIONS(1140),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_else] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1140),
    [anon_sym_case] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1140),
    [anon_sym_while] = ACTIONS(1140),
    [anon_sym_do] = ACTIONS(1140),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1140),
    [anon_sym_break] = ACTIONS(1140),
    [anon_sym_continue] = ACTIONS(1140),
    [anon_sym_goto] = ACTIONS(1140),
    [anon_sym___try] = ACTIONS(1140),
    [anon_sym___leave] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [anon_sym_sizeof] = ACTIONS(1140),
    [anon_sym___alignof__] = ACTIONS(1140),
    [anon_sym___alignof] = ACTIONS(1140),
    [anon_sym__alignof] = ACTIONS(1140),
    [anon_sym_alignof] = ACTIONS(1140),
    [anon_sym__Alignof] = ACTIONS(1140),
    [anon_sym_offsetof] = ACTIONS(1140),
    [anon_sym__Generic] = ACTIONS(1140),
    [anon_sym_asm] = ACTIONS(1140),
    [anon_sym___asm__] = ACTIONS(1140),
    [sym_number_literal] = ACTIONS(1142),
    [anon_sym_L_SQUOTE] = ACTIONS(1142),
    [anon_sym_u_SQUOTE] = ACTIONS(1142),
    [anon_sym_U_SQUOTE] = ACTIONS(1142),
    [anon_sym_u8_SQUOTE] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_L_DQUOTE] = ACTIONS(1142),
    [anon_sym_u_DQUOTE] = ACTIONS(1142),
    [anon_sym_U_DQUOTE] = ACTIONS(1142),
    [anon_sym_u8_DQUOTE] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [sym_true] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [anon_sym_NULL] = ACTIONS(1140),
    [anon_sym_nullptr] = ACTIONS(1140),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_identifier] = ACTIONS(1144),
    [aux_sym_preproc_include_token1] = ACTIONS(1144),
    [aux_sym_preproc_def_token1] = ACTIONS(1144),
    [aux_sym_preproc_if_token1] = ACTIONS(1144),
    [aux_sym_preproc_if_token2] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1144),
    [sym_preproc_directive] = ACTIONS(1144),
    [anon_sym_LPAREN2] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_STAR] = ACTIONS(1146),
    [anon_sym_AMP] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [anon_sym___extension__] = ACTIONS(1144),
    [anon_sym_typedef] = ACTIONS(1144),
    [anon_sym_extern] = ACTIONS(1144),
    [anon_sym___attribute__] = ACTIONS(1144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1146),
    [anon_sym___declspec] = ACTIONS(1144),
    [anon_sym___cdecl] = ACTIONS(1144),
    [anon_sym___clrcall] = ACTIONS(1144),
    [anon_sym___stdcall] = ACTIONS(1144),
    [anon_sym___fastcall] = ACTIONS(1144),
    [anon_sym___thiscall] = ACTIONS(1144),
    [anon_sym___vectorcall] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_signed] = ACTIONS(1144),
    [anon_sym_unsigned] = ACTIONS(1144),
    [anon_sym_long] = ACTIONS(1144),
    [anon_sym_short] = ACTIONS(1144),
    [anon_sym_static] = ACTIONS(1144),
    [anon_sym_auto] = ACTIONS(1144),
    [anon_sym_register] = ACTIONS(1144),
    [anon_sym_inline] = ACTIONS(1144),
    [anon_sym___inline] = ACTIONS(1144),
    [anon_sym___inline__] = ACTIONS(1144),
    [anon_sym___forceinline] = ACTIONS(1144),
    [anon_sym_thread_local] = ACTIONS(1144),
    [anon_sym___thread] = ACTIONS(1144),
    [anon_sym_const] = ACTIONS(1144),
    [anon_sym_constexpr] = ACTIONS(1144),
    [anon_sym_volatile] = ACTIONS(1144),
    [anon_sym_restrict] = ACTIONS(1144),
    [anon_sym___restrict__] = ACTIONS(1144),
    [anon_sym__Atomic] = ACTIONS(1144),
    [anon_sym__Noreturn] = ACTIONS(1144),
    [anon_sym_noreturn] = ACTIONS(1144),
    [sym_primitive_type] = ACTIONS(1144),
    [anon_sym_enum] = ACTIONS(1144),
    [anon_sym_struct] = ACTIONS(1144),
    [anon_sym_union] = ACTIONS(1144),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_else] = ACTIONS(1144),
    [anon_sym_switch] = ACTIONS(1144),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1144),
    [anon_sym_while] = ACTIONS(1144),
    [anon_sym_do] = ACTIONS(1144),
    [anon_sym_for] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1144),
    [anon_sym_break] = ACTIONS(1144),
    [anon_sym_continue] = ACTIONS(1144),
    [anon_sym_goto] = ACTIONS(1144),
    [anon_sym___try] = ACTIONS(1144),
    [anon_sym___leave] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [anon_sym_sizeof] = ACTIONS(1144),
    [anon_sym___alignof__] = ACTIONS(1144),
    [anon_sym___alignof] = ACTIONS(1144),
    [anon_sym__alignof] = ACTIONS(1144),
    [anon_sym_alignof] = ACTIONS(1144),
    [anon_sym__Alignof] = ACTIONS(1144),
    [anon_sym_offsetof] = ACTIONS(1144),
    [anon_sym__Generic] = ACTIONS(1144),
    [anon_sym_asm] = ACTIONS(1144),
    [anon_sym___asm__] = ACTIONS(1144),
    [sym_number_literal] = ACTIONS(1146),
    [anon_sym_L_SQUOTE] = ACTIONS(1146),
    [anon_sym_u_SQUOTE] = ACTIONS(1146),
    [anon_sym_U_SQUOTE] = ACTIONS(1146),
    [anon_sym_u8_SQUOTE] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_L_DQUOTE] = ACTIONS(1146),
    [anon_sym_u_DQUOTE] = ACTIONS(1146),
    [anon_sym_U_DQUOTE] = ACTIONS(1146),
    [anon_sym_u8_DQUOTE] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [sym_true] = ACTIONS(1144),
    [sym_false] = ACTIONS(1144),
    [anon_sym_NULL] = ACTIONS(1144),
    [anon_sym_nullptr] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_identifier] = ACTIONS(1148),
    [aux_sym_preproc_include_token1] = ACTIONS(1148),
    [aux_sym_preproc_def_token1] = ACTIONS(1148),
    [aux_sym_preproc_if_token1] = ACTIONS(1148),
    [aux_sym_preproc_if_token2] = ACTIONS(1148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1148),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1148),
    [sym_preproc_directive] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(1150),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_STAR] = ACTIONS(1150),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym___extension__] = ACTIONS(1148),
    [anon_sym_typedef] = ACTIONS(1148),
    [anon_sym_extern] = ACTIONS(1148),
    [anon_sym___attribute__] = ACTIONS(1148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1150),
    [anon_sym___declspec] = ACTIONS(1148),
    [anon_sym___cdecl] = ACTIONS(1148),
    [anon_sym___clrcall] = ACTIONS(1148),
    [anon_sym___stdcall] = ACTIONS(1148),
    [anon_sym___fastcall] = ACTIONS(1148),
    [anon_sym___thiscall] = ACTIONS(1148),
    [anon_sym___vectorcall] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_signed] = ACTIONS(1148),
    [anon_sym_unsigned] = ACTIONS(1148),
    [anon_sym_long] = ACTIONS(1148),
    [anon_sym_short] = ACTIONS(1148),
    [anon_sym_static] = ACTIONS(1148),
    [anon_sym_auto] = ACTIONS(1148),
    [anon_sym_register] = ACTIONS(1148),
    [anon_sym_inline] = ACTIONS(1148),
    [anon_sym___inline] = ACTIONS(1148),
    [anon_sym___inline__] = ACTIONS(1148),
    [anon_sym___forceinline] = ACTIONS(1148),
    [anon_sym_thread_local] = ACTIONS(1148),
    [anon_sym___thread] = ACTIONS(1148),
    [anon_sym_const] = ACTIONS(1148),
    [anon_sym_constexpr] = ACTIONS(1148),
    [anon_sym_volatile] = ACTIONS(1148),
    [anon_sym_restrict] = ACTIONS(1148),
    [anon_sym___restrict__] = ACTIONS(1148),
    [anon_sym__Atomic] = ACTIONS(1148),
    [anon_sym__Noreturn] = ACTIONS(1148),
    [anon_sym_noreturn] = ACTIONS(1148),
    [sym_primitive_type] = ACTIONS(1148),
    [anon_sym_enum] = ACTIONS(1148),
    [anon_sym_struct] = ACTIONS(1148),
    [anon_sym_union] = ACTIONS(1148),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_switch] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym_default] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_for] = ACTIONS(1148),
    [anon_sym_return] = ACTIONS(1148),
    [anon_sym_break] = ACTIONS(1148),
    [anon_sym_continue] = ACTIONS(1148),
    [anon_sym_goto] = ACTIONS(1148),
    [anon_sym___try] = ACTIONS(1148),
    [anon_sym___leave] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [anon_sym_sizeof] = ACTIONS(1148),
    [anon_sym___alignof__] = ACTIONS(1148),
    [anon_sym___alignof] = ACTIONS(1148),
    [anon_sym__alignof] = ACTIONS(1148),
    [anon_sym_alignof] = ACTIONS(1148),
    [anon_sym__Alignof] = ACTIONS(1148),
    [anon_sym_offsetof] = ACTIONS(1148),
    [anon_sym__Generic] = ACTIONS(1148),
    [anon_sym_asm] = ACTIONS(1148),
    [anon_sym___asm__] = ACTIONS(1148),
    [sym_number_literal] = ACTIONS(1150),
    [anon_sym_L_SQUOTE] = ACTIONS(1150),
    [anon_sym_u_SQUOTE] = ACTIONS(1150),
    [anon_sym_U_SQUOTE] = ACTIONS(1150),
    [anon_sym_u8_SQUOTE] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_L_DQUOTE] = ACTIONS(1150),
    [anon_sym_u_DQUOTE] = ACTIONS(1150),
    [anon_sym_U_DQUOTE] = ACTIONS(1150),
    [anon_sym_u8_DQUOTE] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [sym_true] = ACTIONS(1148),
    [sym_false] = ACTIONS(1148),
    [anon_sym_NULL] = ACTIONS(1148),
    [anon_sym_nullptr] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_identifier] = ACTIONS(1152),
    [aux_sym_preproc_include_token1] = ACTIONS(1152),
    [aux_sym_preproc_def_token1] = ACTIONS(1152),
    [aux_sym_preproc_if_token1] = ACTIONS(1152),
    [aux_sym_preproc_if_token2] = ACTIONS(1152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1152),
    [sym_preproc_directive] = ACTIONS(1152),
    [anon_sym_LPAREN2] = ACTIONS(1154),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_STAR] = ACTIONS(1154),
    [anon_sym_AMP] = ACTIONS(1154),
    [anon_sym_SEMI] = ACTIONS(1154),
    [anon_sym___extension__] = ACTIONS(1152),
    [anon_sym_typedef] = ACTIONS(1152),
    [anon_sym_extern] = ACTIONS(1152),
    [anon_sym___attribute__] = ACTIONS(1152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1154),
    [anon_sym___declspec] = ACTIONS(1152),
    [anon_sym___cdecl] = ACTIONS(1152),
    [anon_sym___clrcall] = ACTIONS(1152),
    [anon_sym___stdcall] = ACTIONS(1152),
    [anon_sym___fastcall] = ACTIONS(1152),
    [anon_sym___thiscall] = ACTIONS(1152),
    [anon_sym___vectorcall] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_signed] = ACTIONS(1152),
    [anon_sym_unsigned] = ACTIONS(1152),
    [anon_sym_long] = ACTIONS(1152),
    [anon_sym_short] = ACTIONS(1152),
    [anon_sym_static] = ACTIONS(1152),
    [anon_sym_auto] = ACTIONS(1152),
    [anon_sym_register] = ACTIONS(1152),
    [anon_sym_inline] = ACTIONS(1152),
    [anon_sym___inline] = ACTIONS(1152),
    [anon_sym___inline__] = ACTIONS(1152),
    [anon_sym___forceinline] = ACTIONS(1152),
    [anon_sym_thread_local] = ACTIONS(1152),
    [anon_sym___thread] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1152),
    [anon_sym_constexpr] = ACTIONS(1152),
    [anon_sym_volatile] = ACTIONS(1152),
    [anon_sym_restrict] = ACTIONS(1152),
    [anon_sym___restrict__] = ACTIONS(1152),
    [anon_sym__Atomic] = ACTIONS(1152),
    [anon_sym__Noreturn] = ACTIONS(1152),
    [anon_sym_noreturn] = ACTIONS(1152),
    [sym_primitive_type] = ACTIONS(1152),
    [anon_sym_enum] = ACTIONS(1152),
    [anon_sym_struct] = ACTIONS(1152),
    [anon_sym_union] = ACTIONS(1152),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_else] = ACTIONS(1152),
    [anon_sym_switch] = ACTIONS(1152),
    [anon_sym_case] = ACTIONS(1152),
    [anon_sym_default] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1152),
    [anon_sym_break] = ACTIONS(1152),
    [anon_sym_continue] = ACTIONS(1152),
    [anon_sym_goto] = ACTIONS(1152),
    [anon_sym___try] = ACTIONS(1152),
    [anon_sym___leave] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_sizeof] = ACTIONS(1152),
    [anon_sym___alignof__] = ACTIONS(1152),
    [anon_sym___alignof] = ACTIONS(1152),
    [anon_sym__alignof] = ACTIONS(1152),
    [anon_sym_alignof] = ACTIONS(1152),
    [anon_sym__Alignof] = ACTIONS(1152),
    [anon_sym_offsetof] = ACTIONS(1152),
    [anon_sym__Generic] = ACTIONS(1152),
    [anon_sym_asm] = ACTIONS(1152),
    [anon_sym___asm__] = ACTIONS(1152),
    [sym_number_literal] = ACTIONS(1154),
    [anon_sym_L_SQUOTE] = ACTIONS(1154),
    [anon_sym_u_SQUOTE] = ACTIONS(1154),
    [anon_sym_U_SQUOTE] = ACTIONS(1154),
    [anon_sym_u8_SQUOTE] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [anon_sym_L_DQUOTE] = ACTIONS(1154),
    [anon_sym_u_DQUOTE] = ACTIONS(1154),
    [anon_sym_U_DQUOTE] = ACTIONS(1154),
    [anon_sym_u8_DQUOTE] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [sym_true] = ACTIONS(1152),
    [sym_false] = ACTIONS(1152),
    [anon_sym_NULL] = ACTIONS(1152),
    [anon_sym_nullptr] = ACTIONS(1152),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_identifier] = ACTIONS(1156),
    [aux_sym_preproc_include_token1] = ACTIONS(1156),
    [aux_sym_preproc_def_token1] = ACTIONS(1156),
    [aux_sym_preproc_if_token1] = ACTIONS(1156),
    [aux_sym_preproc_if_token2] = ACTIONS(1156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1156),
    [sym_preproc_directive] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_STAR] = ACTIONS(1158),
    [anon_sym_AMP] = ACTIONS(1158),
    [anon_sym_SEMI] = ACTIONS(1158),
    [anon_sym___extension__] = ACTIONS(1156),
    [anon_sym_typedef] = ACTIONS(1156),
    [anon_sym_extern] = ACTIONS(1156),
    [anon_sym___attribute__] = ACTIONS(1156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1158),
    [anon_sym___declspec] = ACTIONS(1156),
    [anon_sym___cdecl] = ACTIONS(1156),
    [anon_sym___clrcall] = ACTIONS(1156),
    [anon_sym___stdcall] = ACTIONS(1156),
    [anon_sym___fastcall] = ACTIONS(1156),
    [anon_sym___thiscall] = ACTIONS(1156),
    [anon_sym___vectorcall] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_signed] = ACTIONS(1156),
    [anon_sym_unsigned] = ACTIONS(1156),
    [anon_sym_long] = ACTIONS(1156),
    [anon_sym_short] = ACTIONS(1156),
    [anon_sym_static] = ACTIONS(1156),
    [anon_sym_auto] = ACTIONS(1156),
    [anon_sym_register] = ACTIONS(1156),
    [anon_sym_inline] = ACTIONS(1156),
    [anon_sym___inline] = ACTIONS(1156),
    [anon_sym___inline__] = ACTIONS(1156),
    [anon_sym___forceinline] = ACTIONS(1156),
    [anon_sym_thread_local] = ACTIONS(1156),
    [anon_sym___thread] = ACTIONS(1156),
    [anon_sym_const] = ACTIONS(1156),
    [anon_sym_constexpr] = ACTIONS(1156),
    [anon_sym_volatile] = ACTIONS(1156),
    [anon_sym_restrict] = ACTIONS(1156),
    [anon_sym___restrict__] = ACTIONS(1156),
    [anon_sym__Atomic] = ACTIONS(1156),
    [anon_sym__Noreturn] = ACTIONS(1156),
    [anon_sym_noreturn] = ACTIONS(1156),
    [sym_primitive_type] = ACTIONS(1156),
    [anon_sym_enum] = ACTIONS(1156),
    [anon_sym_struct] = ACTIONS(1156),
    [anon_sym_union] = ACTIONS(1156),
    [anon_sym_if] = ACTIONS(1156),
    [anon_sym_else] = ACTIONS(1156),
    [anon_sym_switch] = ACTIONS(1156),
    [anon_sym_case] = ACTIONS(1156),
    [anon_sym_default] = ACTIONS(1156),
    [anon_sym_while] = ACTIONS(1156),
    [anon_sym_do] = ACTIONS(1156),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1156),
    [anon_sym_goto] = ACTIONS(1156),
    [anon_sym___try] = ACTIONS(1156),
    [anon_sym___leave] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [anon_sym_sizeof] = ACTIONS(1156),
    [anon_sym___alignof__] = ACTIONS(1156),
    [anon_sym___alignof] = ACTIONS(1156),
    [anon_sym__alignof] = ACTIONS(1156),
    [anon_sym_alignof] = ACTIONS(1156),
    [anon_sym__Alignof] = ACTIONS(1156),
    [anon_sym_offsetof] = ACTIONS(1156),
    [anon_sym__Generic] = ACTIONS(1156),
    [anon_sym_asm] = ACTIONS(1156),
    [anon_sym___asm__] = ACTIONS(1156),
    [sym_number_literal] = ACTIONS(1158),
    [anon_sym_L_SQUOTE] = ACTIONS(1158),
    [anon_sym_u_SQUOTE] = ACTIONS(1158),
    [anon_sym_U_SQUOTE] = ACTIONS(1158),
    [anon_sym_u8_SQUOTE] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1158),
    [anon_sym_L_DQUOTE] = ACTIONS(1158),
    [anon_sym_u_DQUOTE] = ACTIONS(1158),
    [anon_sym_U_DQUOTE] = ACTIONS(1158),
    [anon_sym_u8_DQUOTE] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [sym_true] = ACTIONS(1156),
    [sym_false] = ACTIONS(1156),
    [anon_sym_NULL] = ACTIONS(1156),
    [anon_sym_nullptr] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token2] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_identifier] = ACTIONS(1172),
    [aux_sym_preproc_include_token1] = ACTIONS(1172),
    [aux_sym_preproc_def_token1] = ACTIONS(1172),
    [aux_sym_preproc_if_token1] = ACTIONS(1172),
    [aux_sym_preproc_if_token2] = ACTIONS(1172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1172),
    [sym_preproc_directive] = ACTIONS(1172),
    [anon_sym_LPAREN2] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_STAR] = ACTIONS(1174),
    [anon_sym_AMP] = ACTIONS(1174),
    [anon_sym_SEMI] = ACTIONS(1174),
    [anon_sym___extension__] = ACTIONS(1172),
    [anon_sym_typedef] = ACTIONS(1172),
    [anon_sym_extern] = ACTIONS(1172),
    [anon_sym___attribute__] = ACTIONS(1172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1174),
    [anon_sym___declspec] = ACTIONS(1172),
    [anon_sym___cdecl] = ACTIONS(1172),
    [anon_sym___clrcall] = ACTIONS(1172),
    [anon_sym___stdcall] = ACTIONS(1172),
    [anon_sym___fastcall] = ACTIONS(1172),
    [anon_sym___thiscall] = ACTIONS(1172),
    [anon_sym___vectorcall] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_signed] = ACTIONS(1172),
    [anon_sym_unsigned] = ACTIONS(1172),
    [anon_sym_long] = ACTIONS(1172),
    [anon_sym_short] = ACTIONS(1172),
    [anon_sym_static] = ACTIONS(1172),
    [anon_sym_auto] = ACTIONS(1172),
    [anon_sym_register] = ACTIONS(1172),
    [anon_sym_inline] = ACTIONS(1172),
    [anon_sym___inline] = ACTIONS(1172),
    [anon_sym___inline__] = ACTIONS(1172),
    [anon_sym___forceinline] = ACTIONS(1172),
    [anon_sym_thread_local] = ACTIONS(1172),
    [anon_sym___thread] = ACTIONS(1172),
    [anon_sym_const] = ACTIONS(1172),
    [anon_sym_constexpr] = ACTIONS(1172),
    [anon_sym_volatile] = ACTIONS(1172),
    [anon_sym_restrict] = ACTIONS(1172),
    [anon_sym___restrict__] = ACTIONS(1172),
    [anon_sym__Atomic] = ACTIONS(1172),
    [anon_sym__Noreturn] = ACTIONS(1172),
    [anon_sym_noreturn] = ACTIONS(1172),
    [sym_primitive_type] = ACTIONS(1172),
    [anon_sym_enum] = ACTIONS(1172),
    [anon_sym_struct] = ACTIONS(1172),
    [anon_sym_union] = ACTIONS(1172),
    [anon_sym_if] = ACTIONS(1172),
    [anon_sym_else] = ACTIONS(1172),
    [anon_sym_switch] = ACTIONS(1172),
    [anon_sym_case] = ACTIONS(1172),
    [anon_sym_default] = ACTIONS(1172),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_do] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_return] = ACTIONS(1172),
    [anon_sym_break] = ACTIONS(1172),
    [anon_sym_continue] = ACTIONS(1172),
    [anon_sym_goto] = ACTIONS(1172),
    [anon_sym___try] = ACTIONS(1172),
    [anon_sym___leave] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1174),
    [anon_sym_sizeof] = ACTIONS(1172),
    [anon_sym___alignof__] = ACTIONS(1172),
    [anon_sym___alignof] = ACTIONS(1172),
    [anon_sym__alignof] = ACTIONS(1172),
    [anon_sym_alignof] = ACTIONS(1172),
    [anon_sym__Alignof] = ACTIONS(1172),
    [anon_sym_offsetof] = ACTIONS(1172),
    [anon_sym__Generic] = ACTIONS(1172),
    [anon_sym_asm] = ACTIONS(1172),
    [anon_sym___asm__] = ACTIONS(1172),
    [sym_number_literal] = ACTIONS(1174),
    [anon_sym_L_SQUOTE] = ACTIONS(1174),
    [anon_sym_u_SQUOTE] = ACTIONS(1174),
    [anon_sym_U_SQUOTE] = ACTIONS(1174),
    [anon_sym_u8_SQUOTE] = ACTIONS(1174),
    [anon_sym_SQUOTE] = ACTIONS(1174),
    [anon_sym_L_DQUOTE] = ACTIONS(1174),
    [anon_sym_u_DQUOTE] = ACTIONS(1174),
    [anon_sym_U_DQUOTE] = ACTIONS(1174),
    [anon_sym_u8_DQUOTE] = ACTIONS(1174),
    [anon_sym_DQUOTE] = ACTIONS(1174),
    [sym_true] = ACTIONS(1172),
    [sym_false] = ACTIONS(1172),
    [anon_sym_NULL] = ACTIONS(1172),
    [anon_sym_nullptr] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_identifier] = ACTIONS(1176),
    [aux_sym_preproc_include_token1] = ACTIONS(1176),
    [aux_sym_preproc_def_token1] = ACTIONS(1176),
    [aux_sym_preproc_if_token1] = ACTIONS(1176),
    [aux_sym_preproc_if_token2] = ACTIONS(1176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1176),
    [sym_preproc_directive] = ACTIONS(1176),
    [anon_sym_LPAREN2] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_STAR] = ACTIONS(1178),
    [anon_sym_AMP] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [anon_sym___extension__] = ACTIONS(1176),
    [anon_sym_typedef] = ACTIONS(1176),
    [anon_sym_extern] = ACTIONS(1176),
    [anon_sym___attribute__] = ACTIONS(1176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1178),
    [anon_sym___declspec] = ACTIONS(1176),
    [anon_sym___cdecl] = ACTIONS(1176),
    [anon_sym___clrcall] = ACTIONS(1176),
    [anon_sym___stdcall] = ACTIONS(1176),
    [anon_sym___fastcall] = ACTIONS(1176),
    [anon_sym___thiscall] = ACTIONS(1176),
    [anon_sym___vectorcall] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_signed] = ACTIONS(1176),
    [anon_sym_unsigned] = ACTIONS(1176),
    [anon_sym_long] = ACTIONS(1176),
    [anon_sym_short] = ACTIONS(1176),
    [anon_sym_static] = ACTIONS(1176),
    [anon_sym_auto] = ACTIONS(1176),
    [anon_sym_register] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1176),
    [anon_sym___inline] = ACTIONS(1176),
    [anon_sym___inline__] = ACTIONS(1176),
    [anon_sym___forceinline] = ACTIONS(1176),
    [anon_sym_thread_local] = ACTIONS(1176),
    [anon_sym___thread] = ACTIONS(1176),
    [anon_sym_const] = ACTIONS(1176),
    [anon_sym_constexpr] = ACTIONS(1176),
    [anon_sym_volatile] = ACTIONS(1176),
    [anon_sym_restrict] = ACTIONS(1176),
    [anon_sym___restrict__] = ACTIONS(1176),
    [anon_sym__Atomic] = ACTIONS(1176),
    [anon_sym__Noreturn] = ACTIONS(1176),
    [anon_sym_noreturn] = ACTIONS(1176),
    [sym_primitive_type] = ACTIONS(1176),
    [anon_sym_enum] = ACTIONS(1176),
    [anon_sym_struct] = ACTIONS(1176),
    [anon_sym_union] = ACTIONS(1176),
    [anon_sym_if] = ACTIONS(1176),
    [anon_sym_else] = ACTIONS(1176),
    [anon_sym_switch] = ACTIONS(1176),
    [anon_sym_case] = ACTIONS(1176),
    [anon_sym_default] = ACTIONS(1176),
    [anon_sym_while] = ACTIONS(1176),
    [anon_sym_do] = ACTIONS(1176),
    [anon_sym_for] = ACTIONS(1176),
    [anon_sym_return] = ACTIONS(1176),
    [anon_sym_break] = ACTIONS(1176),
    [anon_sym_continue] = ACTIONS(1176),
    [anon_sym_goto] = ACTIONS(1176),
    [anon_sym___try] = ACTIONS(1176),
    [anon_sym___leave] = ACTIONS(1176),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [anon_sym_sizeof] = ACTIONS(1176),
    [anon_sym___alignof__] = ACTIONS(1176),
    [anon_sym___alignof] = ACTIONS(1176),
    [anon_sym__alignof] = ACTIONS(1176),
    [anon_sym_alignof] = ACTIONS(1176),
    [anon_sym__Alignof] = ACTIONS(1176),
    [anon_sym_offsetof] = ACTIONS(1176),
    [anon_sym__Generic] = ACTIONS(1176),
    [anon_sym_asm] = ACTIONS(1176),
    [anon_sym___asm__] = ACTIONS(1176),
    [sym_number_literal] = ACTIONS(1178),
    [anon_sym_L_SQUOTE] = ACTIONS(1178),
    [anon_sym_u_SQUOTE] = ACTIONS(1178),
    [anon_sym_U_SQUOTE] = ACTIONS(1178),
    [anon_sym_u8_SQUOTE] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [anon_sym_L_DQUOTE] = ACTIONS(1178),
    [anon_sym_u_DQUOTE] = ACTIONS(1178),
    [anon_sym_U_DQUOTE] = ACTIONS(1178),
    [anon_sym_u8_DQUOTE] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [sym_true] = ACTIONS(1176),
    [sym_false] = ACTIONS(1176),
    [anon_sym_NULL] = ACTIONS(1176),
    [anon_sym_nullptr] = ACTIONS(1176),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_identifier] = ACTIONS(1116),
    [aux_sym_preproc_include_token1] = ACTIONS(1116),
    [aux_sym_preproc_def_token1] = ACTIONS(1116),
    [aux_sym_preproc_if_token1] = ACTIONS(1116),
    [aux_sym_preproc_if_token2] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1116),
    [sym_preproc_directive] = ACTIONS(1116),
    [anon_sym_LPAREN2] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1118),
    [anon_sym___extension__] = ACTIONS(1116),
    [anon_sym_typedef] = ACTIONS(1116),
    [anon_sym_extern] = ACTIONS(1116),
    [anon_sym___attribute__] = ACTIONS(1116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1118),
    [anon_sym___declspec] = ACTIONS(1116),
    [anon_sym___cdecl] = ACTIONS(1116),
    [anon_sym___clrcall] = ACTIONS(1116),
    [anon_sym___stdcall] = ACTIONS(1116),
    [anon_sym___fastcall] = ACTIONS(1116),
    [anon_sym___thiscall] = ACTIONS(1116),
    [anon_sym___vectorcall] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_signed] = ACTIONS(1116),
    [anon_sym_unsigned] = ACTIONS(1116),
    [anon_sym_long] = ACTIONS(1116),
    [anon_sym_short] = ACTIONS(1116),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_auto] = ACTIONS(1116),
    [anon_sym_register] = ACTIONS(1116),
    [anon_sym_inline] = ACTIONS(1116),
    [anon_sym___inline] = ACTIONS(1116),
    [anon_sym___inline__] = ACTIONS(1116),
    [anon_sym___forceinline] = ACTIONS(1116),
    [anon_sym_thread_local] = ACTIONS(1116),
    [anon_sym___thread] = ACTIONS(1116),
    [anon_sym_const] = ACTIONS(1116),
    [anon_sym_constexpr] = ACTIONS(1116),
    [anon_sym_volatile] = ACTIONS(1116),
    [anon_sym_restrict] = ACTIONS(1116),
    [anon_sym___restrict__] = ACTIONS(1116),
    [anon_sym__Atomic] = ACTIONS(1116),
    [anon_sym__Noreturn] = ACTIONS(1116),
    [anon_sym_noreturn] = ACTIONS(1116),
    [sym_primitive_type] = ACTIONS(1116),
    [anon_sym_enum] = ACTIONS(1116),
    [anon_sym_struct] = ACTIONS(1116),
    [anon_sym_union] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_else] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1116),
    [anon_sym_while] = ACTIONS(1116),
    [anon_sym_do] = ACTIONS(1116),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_return] = ACTIONS(1116),
    [anon_sym_break] = ACTIONS(1116),
    [anon_sym_continue] = ACTIONS(1116),
    [anon_sym_goto] = ACTIONS(1116),
    [anon_sym___try] = ACTIONS(1116),
    [anon_sym___leave] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_sizeof] = ACTIONS(1116),
    [anon_sym___alignof__] = ACTIONS(1116),
    [anon_sym___alignof] = ACTIONS(1116),
    [anon_sym__alignof] = ACTIONS(1116),
    [anon_sym_alignof] = ACTIONS(1116),
    [anon_sym__Alignof] = ACTIONS(1116),
    [anon_sym_offsetof] = ACTIONS(1116),
    [anon_sym__Generic] = ACTIONS(1116),
    [anon_sym_asm] = ACTIONS(1116),
    [anon_sym___asm__] = ACTIONS(1116),
    [sym_number_literal] = ACTIONS(1118),
    [anon_sym_L_SQUOTE] = ACTIONS(1118),
    [anon_sym_u_SQUOTE] = ACTIONS(1118),
    [anon_sym_U_SQUOTE] = ACTIONS(1118),
    [anon_sym_u8_SQUOTE] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_L_DQUOTE] = ACTIONS(1118),
    [anon_sym_u_DQUOTE] = ACTIONS(1118),
    [anon_sym_U_DQUOTE] = ACTIONS(1118),
    [anon_sym_u8_DQUOTE] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [sym_true] = ACTIONS(1116),
    [sym_false] = ACTIONS(1116),
    [anon_sym_NULL] = ACTIONS(1116),
    [anon_sym_nullptr] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_identifier] = ACTIONS(1116),
    [aux_sym_preproc_include_token1] = ACTIONS(1116),
    [aux_sym_preproc_def_token1] = ACTIONS(1116),
    [aux_sym_preproc_if_token1] = ACTIONS(1116),
    [aux_sym_preproc_if_token2] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1116),
    [sym_preproc_directive] = ACTIONS(1116),
    [anon_sym_LPAREN2] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1118),
    [anon_sym___extension__] = ACTIONS(1116),
    [anon_sym_typedef] = ACTIONS(1116),
    [anon_sym_extern] = ACTIONS(1116),
    [anon_sym___attribute__] = ACTIONS(1116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1118),
    [anon_sym___declspec] = ACTIONS(1116),
    [anon_sym___cdecl] = ACTIONS(1116),
    [anon_sym___clrcall] = ACTIONS(1116),
    [anon_sym___stdcall] = ACTIONS(1116),
    [anon_sym___fastcall] = ACTIONS(1116),
    [anon_sym___thiscall] = ACTIONS(1116),
    [anon_sym___vectorcall] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_signed] = ACTIONS(1116),
    [anon_sym_unsigned] = ACTIONS(1116),
    [anon_sym_long] = ACTIONS(1116),
    [anon_sym_short] = ACTIONS(1116),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_auto] = ACTIONS(1116),
    [anon_sym_register] = ACTIONS(1116),
    [anon_sym_inline] = ACTIONS(1116),
    [anon_sym___inline] = ACTIONS(1116),
    [anon_sym___inline__] = ACTIONS(1116),
    [anon_sym___forceinline] = ACTIONS(1116),
    [anon_sym_thread_local] = ACTIONS(1116),
    [anon_sym___thread] = ACTIONS(1116),
    [anon_sym_const] = ACTIONS(1116),
    [anon_sym_constexpr] = ACTIONS(1116),
    [anon_sym_volatile] = ACTIONS(1116),
    [anon_sym_restrict] = ACTIONS(1116),
    [anon_sym___restrict__] = ACTIONS(1116),
    [anon_sym__Atomic] = ACTIONS(1116),
    [anon_sym__Noreturn] = ACTIONS(1116),
    [anon_sym_noreturn] = ACTIONS(1116),
    [sym_primitive_type] = ACTIONS(1116),
    [anon_sym_enum] = ACTIONS(1116),
    [anon_sym_struct] = ACTIONS(1116),
    [anon_sym_union] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_else] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1116),
    [anon_sym_while] = ACTIONS(1116),
    [anon_sym_do] = ACTIONS(1116),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_return] = ACTIONS(1116),
    [anon_sym_break] = ACTIONS(1116),
    [anon_sym_continue] = ACTIONS(1116),
    [anon_sym_goto] = ACTIONS(1116),
    [anon_sym___try] = ACTIONS(1116),
    [anon_sym___leave] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_sizeof] = ACTIONS(1116),
    [anon_sym___alignof__] = ACTIONS(1116),
    [anon_sym___alignof] = ACTIONS(1116),
    [anon_sym__alignof] = ACTIONS(1116),
    [anon_sym_alignof] = ACTIONS(1116),
    [anon_sym__Alignof] = ACTIONS(1116),
    [anon_sym_offsetof] = ACTIONS(1116),
    [anon_sym__Generic] = ACTIONS(1116),
    [anon_sym_asm] = ACTIONS(1116),
    [anon_sym___asm__] = ACTIONS(1116),
    [sym_number_literal] = ACTIONS(1118),
    [anon_sym_L_SQUOTE] = ACTIONS(1118),
    [anon_sym_u_SQUOTE] = ACTIONS(1118),
    [anon_sym_U_SQUOTE] = ACTIONS(1118),
    [anon_sym_u8_SQUOTE] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_L_DQUOTE] = ACTIONS(1118),
    [anon_sym_u_DQUOTE] = ACTIONS(1118),
    [anon_sym_U_DQUOTE] = ACTIONS(1118),
    [anon_sym_u8_DQUOTE] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [sym_true] = ACTIONS(1116),
    [sym_false] = ACTIONS(1116),
    [anon_sym_NULL] = ACTIONS(1116),
    [anon_sym_nullptr] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_identifier] = ACTIONS(1132),
    [aux_sym_preproc_include_token1] = ACTIONS(1132),
    [aux_sym_preproc_def_token1] = ACTIONS(1132),
    [aux_sym_preproc_if_token1] = ACTIONS(1132),
    [aux_sym_preproc_if_token2] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1132),
    [sym_preproc_directive] = ACTIONS(1132),
    [anon_sym_LPAREN2] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [anon_sym___extension__] = ACTIONS(1132),
    [anon_sym_typedef] = ACTIONS(1132),
    [anon_sym_extern] = ACTIONS(1132),
    [anon_sym___attribute__] = ACTIONS(1132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1134),
    [anon_sym___declspec] = ACTIONS(1132),
    [anon_sym___cdecl] = ACTIONS(1132),
    [anon_sym___clrcall] = ACTIONS(1132),
    [anon_sym___stdcall] = ACTIONS(1132),
    [anon_sym___fastcall] = ACTIONS(1132),
    [anon_sym___thiscall] = ACTIONS(1132),
    [anon_sym___vectorcall] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_signed] = ACTIONS(1132),
    [anon_sym_unsigned] = ACTIONS(1132),
    [anon_sym_long] = ACTIONS(1132),
    [anon_sym_short] = ACTIONS(1132),
    [anon_sym_static] = ACTIONS(1132),
    [anon_sym_auto] = ACTIONS(1132),
    [anon_sym_register] = ACTIONS(1132),
    [anon_sym_inline] = ACTIONS(1132),
    [anon_sym___inline] = ACTIONS(1132),
    [anon_sym___inline__] = ACTIONS(1132),
    [anon_sym___forceinline] = ACTIONS(1132),
    [anon_sym_thread_local] = ACTIONS(1132),
    [anon_sym___thread] = ACTIONS(1132),
    [anon_sym_const] = ACTIONS(1132),
    [anon_sym_constexpr] = ACTIONS(1132),
    [anon_sym_volatile] = ACTIONS(1132),
    [anon_sym_restrict] = ACTIONS(1132),
    [anon_sym___restrict__] = ACTIONS(1132),
    [anon_sym__Atomic] = ACTIONS(1132),
    [anon_sym__Noreturn] = ACTIONS(1132),
    [anon_sym_noreturn] = ACTIONS(1132),
    [sym_primitive_type] = ACTIONS(1132),
    [anon_sym_enum] = ACTIONS(1132),
    [anon_sym_struct] = ACTIONS(1132),
    [anon_sym_union] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_else] = ACTIONS(1132),
    [anon_sym_switch] = ACTIONS(1132),
    [anon_sym_case] = ACTIONS(1132),
    [anon_sym_default] = ACTIONS(1132),
    [anon_sym_while] = ACTIONS(1132),
    [anon_sym_do] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1132),
    [anon_sym___leave] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_sizeof] = ACTIONS(1132),
    [anon_sym___alignof__] = ACTIONS(1132),
    [anon_sym___alignof] = ACTIONS(1132),
    [anon_sym__alignof] = ACTIONS(1132),
    [anon_sym_alignof] = ACTIONS(1132),
    [anon_sym__Alignof] = ACTIONS(1132),
    [anon_sym_offsetof] = ACTIONS(1132),
    [anon_sym__Generic] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1132),
    [anon_sym___asm__] = ACTIONS(1132),
    [sym_number_literal] = ACTIONS(1134),
    [anon_sym_L_SQUOTE] = ACTIONS(1134),
    [anon_sym_u_SQUOTE] = ACTIONS(1134),
    [anon_sym_U_SQUOTE] = ACTIONS(1134),
    [anon_sym_u8_SQUOTE] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_L_DQUOTE] = ACTIONS(1134),
    [anon_sym_u_DQUOTE] = ACTIONS(1134),
    [anon_sym_U_DQUOTE] = ACTIONS(1134),
    [anon_sym_u8_DQUOTE] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_NULL] = ACTIONS(1132),
    [anon_sym_nullptr] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_identifier] = ACTIONS(1132),
    [aux_sym_preproc_include_token1] = ACTIONS(1132),
    [aux_sym_preproc_def_token1] = ACTIONS(1132),
    [aux_sym_preproc_if_token1] = ACTIONS(1132),
    [aux_sym_preproc_if_token2] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1132),
    [sym_preproc_directive] = ACTIONS(1132),
    [anon_sym_LPAREN2] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [anon_sym___extension__] = ACTIONS(1132),
    [anon_sym_typedef] = ACTIONS(1132),
    [anon_sym_extern] = ACTIONS(1132),
    [anon_sym___attribute__] = ACTIONS(1132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1134),
    [anon_sym___declspec] = ACTIONS(1132),
    [anon_sym___cdecl] = ACTIONS(1132),
    [anon_sym___clrcall] = ACTIONS(1132),
    [anon_sym___stdcall] = ACTIONS(1132),
    [anon_sym___fastcall] = ACTIONS(1132),
    [anon_sym___thiscall] = ACTIONS(1132),
    [anon_sym___vectorcall] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_signed] = ACTIONS(1132),
    [anon_sym_unsigned] = ACTIONS(1132),
    [anon_sym_long] = ACTIONS(1132),
    [anon_sym_short] = ACTIONS(1132),
    [anon_sym_static] = ACTIONS(1132),
    [anon_sym_auto] = ACTIONS(1132),
    [anon_sym_register] = ACTIONS(1132),
    [anon_sym_inline] = ACTIONS(1132),
    [anon_sym___inline] = ACTIONS(1132),
    [anon_sym___inline__] = ACTIONS(1132),
    [anon_sym___forceinline] = ACTIONS(1132),
    [anon_sym_thread_local] = ACTIONS(1132),
    [anon_sym___thread] = ACTIONS(1132),
    [anon_sym_const] = ACTIONS(1132),
    [anon_sym_constexpr] = ACTIONS(1132),
    [anon_sym_volatile] = ACTIONS(1132),
    [anon_sym_restrict] = ACTIONS(1132),
    [anon_sym___restrict__] = ACTIONS(1132),
    [anon_sym__Atomic] = ACTIONS(1132),
    [anon_sym__Noreturn] = ACTIONS(1132),
    [anon_sym_noreturn] = ACTIONS(1132),
    [sym_primitive_type] = ACTIONS(1132),
    [anon_sym_enum] = ACTIONS(1132),
    [anon_sym_struct] = ACTIONS(1132),
    [anon_sym_union] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_else] = ACTIONS(1132),
    [anon_sym_switch] = ACTIONS(1132),
    [anon_sym_case] = ACTIONS(1132),
    [anon_sym_default] = ACTIONS(1132),
    [anon_sym_while] = ACTIONS(1132),
    [anon_sym_do] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1132),
    [anon_sym___leave] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_sizeof] = ACTIONS(1132),
    [anon_sym___alignof__] = ACTIONS(1132),
    [anon_sym___alignof] = ACTIONS(1132),
    [anon_sym__alignof] = ACTIONS(1132),
    [anon_sym_alignof] = ACTIONS(1132),
    [anon_sym__Alignof] = ACTIONS(1132),
    [anon_sym_offsetof] = ACTIONS(1132),
    [anon_sym__Generic] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1132),
    [anon_sym___asm__] = ACTIONS(1132),
    [sym_number_literal] = ACTIONS(1134),
    [anon_sym_L_SQUOTE] = ACTIONS(1134),
    [anon_sym_u_SQUOTE] = ACTIONS(1134),
    [anon_sym_U_SQUOTE] = ACTIONS(1134),
    [anon_sym_u8_SQUOTE] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_L_DQUOTE] = ACTIONS(1134),
    [anon_sym_u_DQUOTE] = ACTIONS(1134),
    [anon_sym_U_DQUOTE] = ACTIONS(1134),
    [anon_sym_u8_DQUOTE] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_NULL] = ACTIONS(1132),
    [anon_sym_nullptr] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_identifier] = ACTIONS(1136),
    [aux_sym_preproc_include_token1] = ACTIONS(1136),
    [aux_sym_preproc_def_token1] = ACTIONS(1136),
    [aux_sym_preproc_if_token1] = ACTIONS(1136),
    [aux_sym_preproc_if_token2] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1136),
    [sym_preproc_directive] = ACTIONS(1136),
    [anon_sym_LPAREN2] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym___extension__] = ACTIONS(1136),
    [anon_sym_typedef] = ACTIONS(1136),
    [anon_sym_extern] = ACTIONS(1136),
    [anon_sym___attribute__] = ACTIONS(1136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1138),
    [anon_sym___declspec] = ACTIONS(1136),
    [anon_sym___cdecl] = ACTIONS(1136),
    [anon_sym___clrcall] = ACTIONS(1136),
    [anon_sym___stdcall] = ACTIONS(1136),
    [anon_sym___fastcall] = ACTIONS(1136),
    [anon_sym___thiscall] = ACTIONS(1136),
    [anon_sym___vectorcall] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_signed] = ACTIONS(1136),
    [anon_sym_unsigned] = ACTIONS(1136),
    [anon_sym_long] = ACTIONS(1136),
    [anon_sym_short] = ACTIONS(1136),
    [anon_sym_static] = ACTIONS(1136),
    [anon_sym_auto] = ACTIONS(1136),
    [anon_sym_register] = ACTIONS(1136),
    [anon_sym_inline] = ACTIONS(1136),
    [anon_sym___inline] = ACTIONS(1136),
    [anon_sym___inline__] = ACTIONS(1136),
    [anon_sym___forceinline] = ACTIONS(1136),
    [anon_sym_thread_local] = ACTIONS(1136),
    [anon_sym___thread] = ACTIONS(1136),
    [anon_sym_const] = ACTIONS(1136),
    [anon_sym_constexpr] = ACTIONS(1136),
    [anon_sym_volatile] = ACTIONS(1136),
    [anon_sym_restrict] = ACTIONS(1136),
    [anon_sym___restrict__] = ACTIONS(1136),
    [anon_sym__Atomic] = ACTIONS(1136),
    [anon_sym__Noreturn] = ACTIONS(1136),
    [anon_sym_noreturn] = ACTIONS(1136),
    [sym_primitive_type] = ACTIONS(1136),
    [anon_sym_enum] = ACTIONS(1136),
    [anon_sym_struct] = ACTIONS(1136),
    [anon_sym_union] = ACTIONS(1136),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_else] = ACTIONS(1136),
    [anon_sym_switch] = ACTIONS(1136),
    [anon_sym_case] = ACTIONS(1136),
    [anon_sym_default] = ACTIONS(1136),
    [anon_sym_while] = ACTIONS(1136),
    [anon_sym_do] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym___try] = ACTIONS(1136),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_sizeof] = ACTIONS(1136),
    [anon_sym___alignof__] = ACTIONS(1136),
    [anon_sym___alignof] = ACTIONS(1136),
    [anon_sym__alignof] = ACTIONS(1136),
    [anon_sym_alignof] = ACTIONS(1136),
    [anon_sym__Alignof] = ACTIONS(1136),
    [anon_sym_offsetof] = ACTIONS(1136),
    [anon_sym__Generic] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1136),
    [anon_sym___asm__] = ACTIONS(1136),
    [sym_number_literal] = ACTIONS(1138),
    [anon_sym_L_SQUOTE] = ACTIONS(1138),
    [anon_sym_u_SQUOTE] = ACTIONS(1138),
    [anon_sym_U_SQUOTE] = ACTIONS(1138),
    [anon_sym_u8_SQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_L_DQUOTE] = ACTIONS(1138),
    [anon_sym_u_DQUOTE] = ACTIONS(1138),
    [anon_sym_U_DQUOTE] = ACTIONS(1138),
    [anon_sym_u8_DQUOTE] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_NULL] = ACTIONS(1136),
    [anon_sym_nullptr] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_identifier] = ACTIONS(1136),
    [aux_sym_preproc_include_token1] = ACTIONS(1136),
    [aux_sym_preproc_def_token1] = ACTIONS(1136),
    [aux_sym_preproc_if_token1] = ACTIONS(1136),
    [aux_sym_preproc_if_token2] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1136),
    [sym_preproc_directive] = ACTIONS(1136),
    [anon_sym_LPAREN2] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym___extension__] = ACTIONS(1136),
    [anon_sym_typedef] = ACTIONS(1136),
    [anon_sym_extern] = ACTIONS(1136),
    [anon_sym___attribute__] = ACTIONS(1136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1138),
    [anon_sym___declspec] = ACTIONS(1136),
    [anon_sym___cdecl] = ACTIONS(1136),
    [anon_sym___clrcall] = ACTIONS(1136),
    [anon_sym___stdcall] = ACTIONS(1136),
    [anon_sym___fastcall] = ACTIONS(1136),
    [anon_sym___thiscall] = ACTIONS(1136),
    [anon_sym___vectorcall] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_signed] = ACTIONS(1136),
    [anon_sym_unsigned] = ACTIONS(1136),
    [anon_sym_long] = ACTIONS(1136),
    [anon_sym_short] = ACTIONS(1136),
    [anon_sym_static] = ACTIONS(1136),
    [anon_sym_auto] = ACTIONS(1136),
    [anon_sym_register] = ACTIONS(1136),
    [anon_sym_inline] = ACTIONS(1136),
    [anon_sym___inline] = ACTIONS(1136),
    [anon_sym___inline__] = ACTIONS(1136),
    [anon_sym___forceinline] = ACTIONS(1136),
    [anon_sym_thread_local] = ACTIONS(1136),
    [anon_sym___thread] = ACTIONS(1136),
    [anon_sym_const] = ACTIONS(1136),
    [anon_sym_constexpr] = ACTIONS(1136),
    [anon_sym_volatile] = ACTIONS(1136),
    [anon_sym_restrict] = ACTIONS(1136),
    [anon_sym___restrict__] = ACTIONS(1136),
    [anon_sym__Atomic] = ACTIONS(1136),
    [anon_sym__Noreturn] = ACTIONS(1136),
    [anon_sym_noreturn] = ACTIONS(1136),
    [sym_primitive_type] = ACTIONS(1136),
    [anon_sym_enum] = ACTIONS(1136),
    [anon_sym_struct] = ACTIONS(1136),
    [anon_sym_union] = ACTIONS(1136),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_else] = ACTIONS(1136),
    [anon_sym_switch] = ACTIONS(1136),
    [anon_sym_case] = ACTIONS(1136),
    [anon_sym_default] = ACTIONS(1136),
    [anon_sym_while] = ACTIONS(1136),
    [anon_sym_do] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym___try] = ACTIONS(1136),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_sizeof] = ACTIONS(1136),
    [anon_sym___alignof__] = ACTIONS(1136),
    [anon_sym___alignof] = ACTIONS(1136),
    [anon_sym__alignof] = ACTIONS(1136),
    [anon_sym_alignof] = ACTIONS(1136),
    [anon_sym__Alignof] = ACTIONS(1136),
    [anon_sym_offsetof] = ACTIONS(1136),
    [anon_sym__Generic] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1136),
    [anon_sym___asm__] = ACTIONS(1136),
    [sym_number_literal] = ACTIONS(1138),
    [anon_sym_L_SQUOTE] = ACTIONS(1138),
    [anon_sym_u_SQUOTE] = ACTIONS(1138),
    [anon_sym_U_SQUOTE] = ACTIONS(1138),
    [anon_sym_u8_SQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_L_DQUOTE] = ACTIONS(1138),
    [anon_sym_u_DQUOTE] = ACTIONS(1138),
    [anon_sym_U_DQUOTE] = ACTIONS(1138),
    [anon_sym_u8_DQUOTE] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_NULL] = ACTIONS(1136),
    [anon_sym_nullptr] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_identifier] = ACTIONS(1164),
    [aux_sym_preproc_include_token1] = ACTIONS(1164),
    [aux_sym_preproc_def_token1] = ACTIONS(1164),
    [aux_sym_preproc_if_token1] = ACTIONS(1164),
    [aux_sym_preproc_if_token2] = ACTIONS(1164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1164),
    [sym_preproc_directive] = ACTIONS(1164),
    [anon_sym_LPAREN2] = ACTIONS(1166),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_STAR] = ACTIONS(1166),
    [anon_sym_AMP] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym___extension__] = ACTIONS(1164),
    [anon_sym_typedef] = ACTIONS(1164),
    [anon_sym_extern] = ACTIONS(1164),
    [anon_sym___attribute__] = ACTIONS(1164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1166),
    [anon_sym___declspec] = ACTIONS(1164),
    [anon_sym___cdecl] = ACTIONS(1164),
    [anon_sym___clrcall] = ACTIONS(1164),
    [anon_sym___stdcall] = ACTIONS(1164),
    [anon_sym___fastcall] = ACTIONS(1164),
    [anon_sym___thiscall] = ACTIONS(1164),
    [anon_sym___vectorcall] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_signed] = ACTIONS(1164),
    [anon_sym_unsigned] = ACTIONS(1164),
    [anon_sym_long] = ACTIONS(1164),
    [anon_sym_short] = ACTIONS(1164),
    [anon_sym_static] = ACTIONS(1164),
    [anon_sym_auto] = ACTIONS(1164),
    [anon_sym_register] = ACTIONS(1164),
    [anon_sym_inline] = ACTIONS(1164),
    [anon_sym___inline] = ACTIONS(1164),
    [anon_sym___inline__] = ACTIONS(1164),
    [anon_sym___forceinline] = ACTIONS(1164),
    [anon_sym_thread_local] = ACTIONS(1164),
    [anon_sym___thread] = ACTIONS(1164),
    [anon_sym_const] = ACTIONS(1164),
    [anon_sym_constexpr] = ACTIONS(1164),
    [anon_sym_volatile] = ACTIONS(1164),
    [anon_sym_restrict] = ACTIONS(1164),
    [anon_sym___restrict__] = ACTIONS(1164),
    [anon_sym__Atomic] = ACTIONS(1164),
    [anon_sym__Noreturn] = ACTIONS(1164),
    [anon_sym_noreturn] = ACTIONS(1164),
    [sym_primitive_type] = ACTIONS(1164),
    [anon_sym_enum] = ACTIONS(1164),
    [anon_sym_struct] = ACTIONS(1164),
    [anon_sym_union] = ACTIONS(1164),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_switch] = ACTIONS(1164),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym_default] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1164),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_break] = ACTIONS(1164),
    [anon_sym_continue] = ACTIONS(1164),
    [anon_sym_goto] = ACTIONS(1164),
    [anon_sym___try] = ACTIONS(1164),
    [anon_sym___leave] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [anon_sym_sizeof] = ACTIONS(1164),
    [anon_sym___alignof__] = ACTIONS(1164),
    [anon_sym___alignof] = ACTIONS(1164),
    [anon_sym__alignof] = ACTIONS(1164),
    [anon_sym_alignof] = ACTIONS(1164),
    [anon_sym__Alignof] = ACTIONS(1164),
    [anon_sym_offsetof] = ACTIONS(1164),
    [anon_sym__Generic] = ACTIONS(1164),
    [anon_sym_asm] = ACTIONS(1164),
    [anon_sym___asm__] = ACTIONS(1164),
    [sym_number_literal] = ACTIONS(1166),
    [anon_sym_L_SQUOTE] = ACTIONS(1166),
    [anon_sym_u_SQUOTE] = ACTIONS(1166),
    [anon_sym_U_SQUOTE] = ACTIONS(1166),
    [anon_sym_u8_SQUOTE] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [anon_sym_L_DQUOTE] = ACTIONS(1166),
    [anon_sym_u_DQUOTE] = ACTIONS(1166),
    [anon_sym_U_DQUOTE] = ACTIONS(1166),
    [anon_sym_u8_DQUOTE] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [sym_true] = ACTIONS(1164),
    [sym_false] = ACTIONS(1164),
    [anon_sym_NULL] = ACTIONS(1164),
    [anon_sym_nullptr] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_identifier] = ACTIONS(1168),
    [aux_sym_preproc_include_token1] = ACTIONS(1168),
    [aux_sym_preproc_def_token1] = ACTIONS(1168),
    [aux_sym_preproc_if_token1] = ACTIONS(1168),
    [aux_sym_preproc_if_token2] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1168),
    [sym_preproc_directive] = ACTIONS(1168),
    [anon_sym_LPAREN2] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_STAR] = ACTIONS(1170),
    [anon_sym_AMP] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [anon_sym___extension__] = ACTIONS(1168),
    [anon_sym_typedef] = ACTIONS(1168),
    [anon_sym_extern] = ACTIONS(1168),
    [anon_sym___attribute__] = ACTIONS(1168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1170),
    [anon_sym___declspec] = ACTIONS(1168),
    [anon_sym___cdecl] = ACTIONS(1168),
    [anon_sym___clrcall] = ACTIONS(1168),
    [anon_sym___stdcall] = ACTIONS(1168),
    [anon_sym___fastcall] = ACTIONS(1168),
    [anon_sym___thiscall] = ACTIONS(1168),
    [anon_sym___vectorcall] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_signed] = ACTIONS(1168),
    [anon_sym_unsigned] = ACTIONS(1168),
    [anon_sym_long] = ACTIONS(1168),
    [anon_sym_short] = ACTIONS(1168),
    [anon_sym_static] = ACTIONS(1168),
    [anon_sym_auto] = ACTIONS(1168),
    [anon_sym_register] = ACTIONS(1168),
    [anon_sym_inline] = ACTIONS(1168),
    [anon_sym___inline] = ACTIONS(1168),
    [anon_sym___inline__] = ACTIONS(1168),
    [anon_sym___forceinline] = ACTIONS(1168),
    [anon_sym_thread_local] = ACTIONS(1168),
    [anon_sym___thread] = ACTIONS(1168),
    [anon_sym_const] = ACTIONS(1168),
    [anon_sym_constexpr] = ACTIONS(1168),
    [anon_sym_volatile] = ACTIONS(1168),
    [anon_sym_restrict] = ACTIONS(1168),
    [anon_sym___restrict__] = ACTIONS(1168),
    [anon_sym__Atomic] = ACTIONS(1168),
    [anon_sym__Noreturn] = ACTIONS(1168),
    [anon_sym_noreturn] = ACTIONS(1168),
    [sym_primitive_type] = ACTIONS(1168),
    [anon_sym_enum] = ACTIONS(1168),
    [anon_sym_struct] = ACTIONS(1168),
    [anon_sym_union] = ACTIONS(1168),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_else] = ACTIONS(1168),
    [anon_sym_switch] = ACTIONS(1168),
    [anon_sym_case] = ACTIONS(1168),
    [anon_sym_default] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_for] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_continue] = ACTIONS(1168),
    [anon_sym_goto] = ACTIONS(1168),
    [anon_sym___try] = ACTIONS(1168),
    [anon_sym___leave] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [anon_sym_sizeof] = ACTIONS(1168),
    [anon_sym___alignof__] = ACTIONS(1168),
    [anon_sym___alignof] = ACTIONS(1168),
    [anon_sym__alignof] = ACTIONS(1168),
    [anon_sym_alignof] = ACTIONS(1168),
    [anon_sym__Alignof] = ACTIONS(1168),
    [anon_sym_offsetof] = ACTIONS(1168),
    [anon_sym__Generic] = ACTIONS(1168),
    [anon_sym_asm] = ACTIONS(1168),
    [anon_sym___asm__] = ACTIONS(1168),
    [sym_number_literal] = ACTIONS(1170),
    [anon_sym_L_SQUOTE] = ACTIONS(1170),
    [anon_sym_u_SQUOTE] = ACTIONS(1170),
    [anon_sym_U_SQUOTE] = ACTIONS(1170),
    [anon_sym_u8_SQUOTE] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_L_DQUOTE] = ACTIONS(1170),
    [anon_sym_u_DQUOTE] = ACTIONS(1170),
    [anon_sym_U_DQUOTE] = ACTIONS(1170),
    [anon_sym_u8_DQUOTE] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [sym_true] = ACTIONS(1168),
    [sym_false] = ACTIONS(1168),
    [anon_sym_NULL] = ACTIONS(1168),
    [anon_sym_nullptr] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_identifier] = ACTIONS(1168),
    [aux_sym_preproc_include_token1] = ACTIONS(1168),
    [aux_sym_preproc_def_token1] = ACTIONS(1168),
    [aux_sym_preproc_if_token1] = ACTIONS(1168),
    [aux_sym_preproc_if_token2] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1168),
    [sym_preproc_directive] = ACTIONS(1168),
    [anon_sym_LPAREN2] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_STAR] = ACTIONS(1170),
    [anon_sym_AMP] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [anon_sym___extension__] = ACTIONS(1168),
    [anon_sym_typedef] = ACTIONS(1168),
    [anon_sym_extern] = ACTIONS(1168),
    [anon_sym___attribute__] = ACTIONS(1168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1170),
    [anon_sym___declspec] = ACTIONS(1168),
    [anon_sym___cdecl] = ACTIONS(1168),
    [anon_sym___clrcall] = ACTIONS(1168),
    [anon_sym___stdcall] = ACTIONS(1168),
    [anon_sym___fastcall] = ACTIONS(1168),
    [anon_sym___thiscall] = ACTIONS(1168),
    [anon_sym___vectorcall] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_signed] = ACTIONS(1168),
    [anon_sym_unsigned] = ACTIONS(1168),
    [anon_sym_long] = ACTIONS(1168),
    [anon_sym_short] = ACTIONS(1168),
    [anon_sym_static] = ACTIONS(1168),
    [anon_sym_auto] = ACTIONS(1168),
    [anon_sym_register] = ACTIONS(1168),
    [anon_sym_inline] = ACTIONS(1168),
    [anon_sym___inline] = ACTIONS(1168),
    [anon_sym___inline__] = ACTIONS(1168),
    [anon_sym___forceinline] = ACTIONS(1168),
    [anon_sym_thread_local] = ACTIONS(1168),
    [anon_sym___thread] = ACTIONS(1168),
    [anon_sym_const] = ACTIONS(1168),
    [anon_sym_constexpr] = ACTIONS(1168),
    [anon_sym_volatile] = ACTIONS(1168),
    [anon_sym_restrict] = ACTIONS(1168),
    [anon_sym___restrict__] = ACTIONS(1168),
    [anon_sym__Atomic] = ACTIONS(1168),
    [anon_sym__Noreturn] = ACTIONS(1168),
    [anon_sym_noreturn] = ACTIONS(1168),
    [sym_primitive_type] = ACTIONS(1168),
    [anon_sym_enum] = ACTIONS(1168),
    [anon_sym_struct] = ACTIONS(1168),
    [anon_sym_union] = ACTIONS(1168),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_else] = ACTIONS(1168),
    [anon_sym_switch] = ACTIONS(1168),
    [anon_sym_case] = ACTIONS(1168),
    [anon_sym_default] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_for] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_continue] = ACTIONS(1168),
    [anon_sym_goto] = ACTIONS(1168),
    [anon_sym___try] = ACTIONS(1168),
    [anon_sym___leave] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [anon_sym_sizeof] = ACTIONS(1168),
    [anon_sym___alignof__] = ACTIONS(1168),
    [anon_sym___alignof] = ACTIONS(1168),
    [anon_sym__alignof] = ACTIONS(1168),
    [anon_sym_alignof] = ACTIONS(1168),
    [anon_sym__Alignof] = ACTIONS(1168),
    [anon_sym_offsetof] = ACTIONS(1168),
    [anon_sym__Generic] = ACTIONS(1168),
    [anon_sym_asm] = ACTIONS(1168),
    [anon_sym___asm__] = ACTIONS(1168),
    [sym_number_literal] = ACTIONS(1170),
    [anon_sym_L_SQUOTE] = ACTIONS(1170),
    [anon_sym_u_SQUOTE] = ACTIONS(1170),
    [anon_sym_U_SQUOTE] = ACTIONS(1170),
    [anon_sym_u8_SQUOTE] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_L_DQUOTE] = ACTIONS(1170),
    [anon_sym_u_DQUOTE] = ACTIONS(1170),
    [anon_sym_U_DQUOTE] = ACTIONS(1170),
    [anon_sym_u8_DQUOTE] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [sym_true] = ACTIONS(1168),
    [sym_false] = ACTIONS(1168),
    [anon_sym_NULL] = ACTIONS(1168),
    [anon_sym_nullptr] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_identifier] = ACTIONS(1180),
    [aux_sym_preproc_include_token1] = ACTIONS(1180),
    [aux_sym_preproc_def_token1] = ACTIONS(1180),
    [aux_sym_preproc_if_token1] = ACTIONS(1180),
    [aux_sym_preproc_if_token2] = ACTIONS(1180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1180),
    [sym_preproc_directive] = ACTIONS(1180),
    [anon_sym_LPAREN2] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1182),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1182),
    [anon_sym___extension__] = ACTIONS(1180),
    [anon_sym_typedef] = ACTIONS(1180),
    [anon_sym_extern] = ACTIONS(1180),
    [anon_sym___attribute__] = ACTIONS(1180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1182),
    [anon_sym___declspec] = ACTIONS(1180),
    [anon_sym___cdecl] = ACTIONS(1180),
    [anon_sym___clrcall] = ACTIONS(1180),
    [anon_sym___stdcall] = ACTIONS(1180),
    [anon_sym___fastcall] = ACTIONS(1180),
    [anon_sym___thiscall] = ACTIONS(1180),
    [anon_sym___vectorcall] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_signed] = ACTIONS(1180),
    [anon_sym_unsigned] = ACTIONS(1180),
    [anon_sym_long] = ACTIONS(1180),
    [anon_sym_short] = ACTIONS(1180),
    [anon_sym_static] = ACTIONS(1180),
    [anon_sym_auto] = ACTIONS(1180),
    [anon_sym_register] = ACTIONS(1180),
    [anon_sym_inline] = ACTIONS(1180),
    [anon_sym___inline] = ACTIONS(1180),
    [anon_sym___inline__] = ACTIONS(1180),
    [anon_sym___forceinline] = ACTIONS(1180),
    [anon_sym_thread_local] = ACTIONS(1180),
    [anon_sym___thread] = ACTIONS(1180),
    [anon_sym_const] = ACTIONS(1180),
    [anon_sym_constexpr] = ACTIONS(1180),
    [anon_sym_volatile] = ACTIONS(1180),
    [anon_sym_restrict] = ACTIONS(1180),
    [anon_sym___restrict__] = ACTIONS(1180),
    [anon_sym__Atomic] = ACTIONS(1180),
    [anon_sym__Noreturn] = ACTIONS(1180),
    [anon_sym_noreturn] = ACTIONS(1180),
    [sym_primitive_type] = ACTIONS(1180),
    [anon_sym_enum] = ACTIONS(1180),
    [anon_sym_struct] = ACTIONS(1180),
    [anon_sym_union] = ACTIONS(1180),
    [anon_sym_if] = ACTIONS(1180),
    [anon_sym_else] = ACTIONS(1180),
    [anon_sym_switch] = ACTIONS(1180),
    [anon_sym_case] = ACTIONS(1180),
    [anon_sym_default] = ACTIONS(1180),
    [anon_sym_while] = ACTIONS(1180),
    [anon_sym_do] = ACTIONS(1180),
    [anon_sym_for] = ACTIONS(1180),
    [anon_sym_return] = ACTIONS(1180),
    [anon_sym_break] = ACTIONS(1180),
    [anon_sym_continue] = ACTIONS(1180),
    [anon_sym_goto] = ACTIONS(1180),
    [anon_sym___try] = ACTIONS(1180),
    [anon_sym___leave] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [anon_sym_sizeof] = ACTIONS(1180),
    [anon_sym___alignof__] = ACTIONS(1180),
    [anon_sym___alignof] = ACTIONS(1180),
    [anon_sym__alignof] = ACTIONS(1180),
    [anon_sym_alignof] = ACTIONS(1180),
    [anon_sym__Alignof] = ACTIONS(1180),
    [anon_sym_offsetof] = ACTIONS(1180),
    [anon_sym__Generic] = ACTIONS(1180),
    [anon_sym_asm] = ACTIONS(1180),
    [anon_sym___asm__] = ACTIONS(1180),
    [sym_number_literal] = ACTIONS(1182),
    [anon_sym_L_SQUOTE] = ACTIONS(1182),
    [anon_sym_u_SQUOTE] = ACTIONS(1182),
    [anon_sym_U_SQUOTE] = ACTIONS(1182),
    [anon_sym_u8_SQUOTE] = ACTIONS(1182),
    [anon_sym_SQUOTE] = ACTIONS(1182),
    [anon_sym_L_DQUOTE] = ACTIONS(1182),
    [anon_sym_u_DQUOTE] = ACTIONS(1182),
    [anon_sym_U_DQUOTE] = ACTIONS(1182),
    [anon_sym_u8_DQUOTE] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [sym_true] = ACTIONS(1180),
    [sym_false] = ACTIONS(1180),
    [anon_sym_NULL] = ACTIONS(1180),
    [anon_sym_nullptr] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_identifier] = ACTIONS(1132),
    [aux_sym_preproc_include_token1] = ACTIONS(1132),
    [aux_sym_preproc_def_token1] = ACTIONS(1132),
    [aux_sym_preproc_if_token1] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1132),
    [sym_preproc_directive] = ACTIONS(1132),
    [anon_sym_LPAREN2] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [anon_sym___extension__] = ACTIONS(1132),
    [anon_sym_typedef] = ACTIONS(1132),
    [anon_sym_extern] = ACTIONS(1132),
    [anon_sym___attribute__] = ACTIONS(1132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1134),
    [anon_sym___declspec] = ACTIONS(1132),
    [anon_sym___cdecl] = ACTIONS(1132),
    [anon_sym___clrcall] = ACTIONS(1132),
    [anon_sym___stdcall] = ACTIONS(1132),
    [anon_sym___fastcall] = ACTIONS(1132),
    [anon_sym___thiscall] = ACTIONS(1132),
    [anon_sym___vectorcall] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [anon_sym_signed] = ACTIONS(1132),
    [anon_sym_unsigned] = ACTIONS(1132),
    [anon_sym_long] = ACTIONS(1132),
    [anon_sym_short] = ACTIONS(1132),
    [anon_sym_static] = ACTIONS(1132),
    [anon_sym_auto] = ACTIONS(1132),
    [anon_sym_register] = ACTIONS(1132),
    [anon_sym_inline] = ACTIONS(1132),
    [anon_sym___inline] = ACTIONS(1132),
    [anon_sym___inline__] = ACTIONS(1132),
    [anon_sym___forceinline] = ACTIONS(1132),
    [anon_sym_thread_local] = ACTIONS(1132),
    [anon_sym___thread] = ACTIONS(1132),
    [anon_sym_const] = ACTIONS(1132),
    [anon_sym_constexpr] = ACTIONS(1132),
    [anon_sym_volatile] = ACTIONS(1132),
    [anon_sym_restrict] = ACTIONS(1132),
    [anon_sym___restrict__] = ACTIONS(1132),
    [anon_sym__Atomic] = ACTIONS(1132),
    [anon_sym__Noreturn] = ACTIONS(1132),
    [anon_sym_noreturn] = ACTIONS(1132),
    [sym_primitive_type] = ACTIONS(1132),
    [anon_sym_enum] = ACTIONS(1132),
    [anon_sym_struct] = ACTIONS(1132),
    [anon_sym_union] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_else] = ACTIONS(1132),
    [anon_sym_switch] = ACTIONS(1132),
    [anon_sym_case] = ACTIONS(1132),
    [anon_sym_default] = ACTIONS(1132),
    [anon_sym_while] = ACTIONS(1132),
    [anon_sym_do] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1132),
    [anon_sym___leave] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_sizeof] = ACTIONS(1132),
    [anon_sym___alignof__] = ACTIONS(1132),
    [anon_sym___alignof] = ACTIONS(1132),
    [anon_sym__alignof] = ACTIONS(1132),
    [anon_sym_alignof] = ACTIONS(1132),
    [anon_sym__Alignof] = ACTIONS(1132),
    [anon_sym_offsetof] = ACTIONS(1132),
    [anon_sym__Generic] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1132),
    [anon_sym___asm__] = ACTIONS(1132),
    [sym_number_literal] = ACTIONS(1134),
    [anon_sym_L_SQUOTE] = ACTIONS(1134),
    [anon_sym_u_SQUOTE] = ACTIONS(1134),
    [anon_sym_U_SQUOTE] = ACTIONS(1134),
    [anon_sym_u8_SQUOTE] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_L_DQUOTE] = ACTIONS(1134),
    [anon_sym_u_DQUOTE] = ACTIONS(1134),
    [anon_sym_U_DQUOTE] = ACTIONS(1134),
    [anon_sym_u8_DQUOTE] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_NULL] = ACTIONS(1132),
    [anon_sym_nullptr] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_identifier] = ACTIONS(1132),
    [aux_sym_preproc_include_token1] = ACTIONS(1132),
    [aux_sym_preproc_def_token1] = ACTIONS(1132),
    [aux_sym_preproc_if_token1] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1132),
    [sym_preproc_directive] = ACTIONS(1132),
    [anon_sym_LPAREN2] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [anon_sym___extension__] = ACTIONS(1132),
    [anon_sym_typedef] = ACTIONS(1132),
    [anon_sym_extern] = ACTIONS(1132),
    [anon_sym___attribute__] = ACTIONS(1132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1134),
    [anon_sym___declspec] = ACTIONS(1132),
    [anon_sym___cdecl] = ACTIONS(1132),
    [anon_sym___clrcall] = ACTIONS(1132),
    [anon_sym___stdcall] = ACTIONS(1132),
    [anon_sym___fastcall] = ACTIONS(1132),
    [anon_sym___thiscall] = ACTIONS(1132),
    [anon_sym___vectorcall] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [anon_sym_signed] = ACTIONS(1132),
    [anon_sym_unsigned] = ACTIONS(1132),
    [anon_sym_long] = ACTIONS(1132),
    [anon_sym_short] = ACTIONS(1132),
    [anon_sym_static] = ACTIONS(1132),
    [anon_sym_auto] = ACTIONS(1132),
    [anon_sym_register] = ACTIONS(1132),
    [anon_sym_inline] = ACTIONS(1132),
    [anon_sym___inline] = ACTIONS(1132),
    [anon_sym___inline__] = ACTIONS(1132),
    [anon_sym___forceinline] = ACTIONS(1132),
    [anon_sym_thread_local] = ACTIONS(1132),
    [anon_sym___thread] = ACTIONS(1132),
    [anon_sym_const] = ACTIONS(1132),
    [anon_sym_constexpr] = ACTIONS(1132),
    [anon_sym_volatile] = ACTIONS(1132),
    [anon_sym_restrict] = ACTIONS(1132),
    [anon_sym___restrict__] = ACTIONS(1132),
    [anon_sym__Atomic] = ACTIONS(1132),
    [anon_sym__Noreturn] = ACTIONS(1132),
    [anon_sym_noreturn] = ACTIONS(1132),
    [sym_primitive_type] = ACTIONS(1132),
    [anon_sym_enum] = ACTIONS(1132),
    [anon_sym_struct] = ACTIONS(1132),
    [anon_sym_union] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_else] = ACTIONS(1132),
    [anon_sym_switch] = ACTIONS(1132),
    [anon_sym_case] = ACTIONS(1132),
    [anon_sym_default] = ACTIONS(1132),
    [anon_sym_while] = ACTIONS(1132),
    [anon_sym_do] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1132),
    [anon_sym___leave] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_sizeof] = ACTIONS(1132),
    [anon_sym___alignof__] = ACTIONS(1132),
    [anon_sym___alignof] = ACTIONS(1132),
    [anon_sym__alignof] = ACTIONS(1132),
    [anon_sym_alignof] = ACTIONS(1132),
    [anon_sym__Alignof] = ACTIONS(1132),
    [anon_sym_offsetof] = ACTIONS(1132),
    [anon_sym__Generic] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1132),
    [anon_sym___asm__] = ACTIONS(1132),
    [sym_number_literal] = ACTIONS(1134),
    [anon_sym_L_SQUOTE] = ACTIONS(1134),
    [anon_sym_u_SQUOTE] = ACTIONS(1134),
    [anon_sym_U_SQUOTE] = ACTIONS(1134),
    [anon_sym_u8_SQUOTE] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_L_DQUOTE] = ACTIONS(1134),
    [anon_sym_u_DQUOTE] = ACTIONS(1134),
    [anon_sym_U_DQUOTE] = ACTIONS(1134),
    [anon_sym_u8_DQUOTE] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [anon_sym_NULL] = ACTIONS(1132),
    [anon_sym_nullptr] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_identifier] = ACTIONS(1136),
    [aux_sym_preproc_include_token1] = ACTIONS(1136),
    [aux_sym_preproc_def_token1] = ACTIONS(1136),
    [aux_sym_preproc_if_token1] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1136),
    [sym_preproc_directive] = ACTIONS(1136),
    [anon_sym_LPAREN2] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym___extension__] = ACTIONS(1136),
    [anon_sym_typedef] = ACTIONS(1136),
    [anon_sym_extern] = ACTIONS(1136),
    [anon_sym___attribute__] = ACTIONS(1136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1138),
    [anon_sym___declspec] = ACTIONS(1136),
    [anon_sym___cdecl] = ACTIONS(1136),
    [anon_sym___clrcall] = ACTIONS(1136),
    [anon_sym___stdcall] = ACTIONS(1136),
    [anon_sym___fastcall] = ACTIONS(1136),
    [anon_sym___thiscall] = ACTIONS(1136),
    [anon_sym___vectorcall] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [anon_sym_signed] = ACTIONS(1136),
    [anon_sym_unsigned] = ACTIONS(1136),
    [anon_sym_long] = ACTIONS(1136),
    [anon_sym_short] = ACTIONS(1136),
    [anon_sym_static] = ACTIONS(1136),
    [anon_sym_auto] = ACTIONS(1136),
    [anon_sym_register] = ACTIONS(1136),
    [anon_sym_inline] = ACTIONS(1136),
    [anon_sym___inline] = ACTIONS(1136),
    [anon_sym___inline__] = ACTIONS(1136),
    [anon_sym___forceinline] = ACTIONS(1136),
    [anon_sym_thread_local] = ACTIONS(1136),
    [anon_sym___thread] = ACTIONS(1136),
    [anon_sym_const] = ACTIONS(1136),
    [anon_sym_constexpr] = ACTIONS(1136),
    [anon_sym_volatile] = ACTIONS(1136),
    [anon_sym_restrict] = ACTIONS(1136),
    [anon_sym___restrict__] = ACTIONS(1136),
    [anon_sym__Atomic] = ACTIONS(1136),
    [anon_sym__Noreturn] = ACTIONS(1136),
    [anon_sym_noreturn] = ACTIONS(1136),
    [sym_primitive_type] = ACTIONS(1136),
    [anon_sym_enum] = ACTIONS(1136),
    [anon_sym_struct] = ACTIONS(1136),
    [anon_sym_union] = ACTIONS(1136),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_else] = ACTIONS(1136),
    [anon_sym_switch] = ACTIONS(1136),
    [anon_sym_case] = ACTIONS(1136),
    [anon_sym_default] = ACTIONS(1136),
    [anon_sym_while] = ACTIONS(1136),
    [anon_sym_do] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym___try] = ACTIONS(1136),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_sizeof] = ACTIONS(1136),
    [anon_sym___alignof__] = ACTIONS(1136),
    [anon_sym___alignof] = ACTIONS(1136),
    [anon_sym__alignof] = ACTIONS(1136),
    [anon_sym_alignof] = ACTIONS(1136),
    [anon_sym__Alignof] = ACTIONS(1136),
    [anon_sym_offsetof] = ACTIONS(1136),
    [anon_sym__Generic] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1136),
    [anon_sym___asm__] = ACTIONS(1136),
    [sym_number_literal] = ACTIONS(1138),
    [anon_sym_L_SQUOTE] = ACTIONS(1138),
    [anon_sym_u_SQUOTE] = ACTIONS(1138),
    [anon_sym_U_SQUOTE] = ACTIONS(1138),
    [anon_sym_u8_SQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_L_DQUOTE] = ACTIONS(1138),
    [anon_sym_u_DQUOTE] = ACTIONS(1138),
    [anon_sym_U_DQUOTE] = ACTIONS(1138),
    [anon_sym_u8_DQUOTE] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_NULL] = ACTIONS(1136),
    [anon_sym_nullptr] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_identifier] = ACTIONS(1188),
    [aux_sym_preproc_include_token1] = ACTIONS(1188),
    [aux_sym_preproc_def_token1] = ACTIONS(1188),
    [aux_sym_preproc_if_token1] = ACTIONS(1188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1188),
    [sym_preproc_directive] = ACTIONS(1188),
    [anon_sym_LPAREN2] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1190),
    [anon_sym___extension__] = ACTIONS(1188),
    [anon_sym_typedef] = ACTIONS(1188),
    [anon_sym_extern] = ACTIONS(1188),
    [anon_sym___attribute__] = ACTIONS(1188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1190),
    [anon_sym___declspec] = ACTIONS(1188),
    [anon_sym___cdecl] = ACTIONS(1188),
    [anon_sym___clrcall] = ACTIONS(1188),
    [anon_sym___stdcall] = ACTIONS(1188),
    [anon_sym___fastcall] = ACTIONS(1188),
    [anon_sym___thiscall] = ACTIONS(1188),
    [anon_sym___vectorcall] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_signed] = ACTIONS(1188),
    [anon_sym_unsigned] = ACTIONS(1188),
    [anon_sym_long] = ACTIONS(1188),
    [anon_sym_short] = ACTIONS(1188),
    [anon_sym_static] = ACTIONS(1188),
    [anon_sym_auto] = ACTIONS(1188),
    [anon_sym_register] = ACTIONS(1188),
    [anon_sym_inline] = ACTIONS(1188),
    [anon_sym___inline] = ACTIONS(1188),
    [anon_sym___inline__] = ACTIONS(1188),
    [anon_sym___forceinline] = ACTIONS(1188),
    [anon_sym_thread_local] = ACTIONS(1188),
    [anon_sym___thread] = ACTIONS(1188),
    [anon_sym_const] = ACTIONS(1188),
    [anon_sym_constexpr] = ACTIONS(1188),
    [anon_sym_volatile] = ACTIONS(1188),
    [anon_sym_restrict] = ACTIONS(1188),
    [anon_sym___restrict__] = ACTIONS(1188),
    [anon_sym__Atomic] = ACTIONS(1188),
    [anon_sym__Noreturn] = ACTIONS(1188),
    [anon_sym_noreturn] = ACTIONS(1188),
    [sym_primitive_type] = ACTIONS(1188),
    [anon_sym_enum] = ACTIONS(1188),
    [anon_sym_struct] = ACTIONS(1188),
    [anon_sym_union] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_else] = ACTIONS(1188),
    [anon_sym_switch] = ACTIONS(1188),
    [anon_sym_case] = ACTIONS(1188),
    [anon_sym_default] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1188),
    [anon_sym_return] = ACTIONS(1188),
    [anon_sym_break] = ACTIONS(1188),
    [anon_sym_continue] = ACTIONS(1188),
    [anon_sym_goto] = ACTIONS(1188),
    [anon_sym___try] = ACTIONS(1188),
    [anon_sym___leave] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [anon_sym_sizeof] = ACTIONS(1188),
    [anon_sym___alignof__] = ACTIONS(1188),
    [anon_sym___alignof] = ACTIONS(1188),
    [anon_sym__alignof] = ACTIONS(1188),
    [anon_sym_alignof] = ACTIONS(1188),
    [anon_sym__Alignof] = ACTIONS(1188),
    [anon_sym_offsetof] = ACTIONS(1188),
    [anon_sym__Generic] = ACTIONS(1188),
    [anon_sym_asm] = ACTIONS(1188),
    [anon_sym___asm__] = ACTIONS(1188),
    [sym_number_literal] = ACTIONS(1190),
    [anon_sym_L_SQUOTE] = ACTIONS(1190),
    [anon_sym_u_SQUOTE] = ACTIONS(1190),
    [anon_sym_U_SQUOTE] = ACTIONS(1190),
    [anon_sym_u8_SQUOTE] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1190),
    [anon_sym_L_DQUOTE] = ACTIONS(1190),
    [anon_sym_u_DQUOTE] = ACTIONS(1190),
    [anon_sym_U_DQUOTE] = ACTIONS(1190),
    [anon_sym_u8_DQUOTE] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [sym_true] = ACTIONS(1188),
    [sym_false] = ACTIONS(1188),
    [anon_sym_NULL] = ACTIONS(1188),
    [anon_sym_nullptr] = ACTIONS(1188),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_identifier] = ACTIONS(1136),
    [aux_sym_preproc_include_token1] = ACTIONS(1136),
    [aux_sym_preproc_def_token1] = ACTIONS(1136),
    [aux_sym_preproc_if_token1] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1136),
    [sym_preproc_directive] = ACTIONS(1136),
    [anon_sym_LPAREN2] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym___extension__] = ACTIONS(1136),
    [anon_sym_typedef] = ACTIONS(1136),
    [anon_sym_extern] = ACTIONS(1136),
    [anon_sym___attribute__] = ACTIONS(1136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1138),
    [anon_sym___declspec] = ACTIONS(1136),
    [anon_sym___cdecl] = ACTIONS(1136),
    [anon_sym___clrcall] = ACTIONS(1136),
    [anon_sym___stdcall] = ACTIONS(1136),
    [anon_sym___fastcall] = ACTIONS(1136),
    [anon_sym___thiscall] = ACTIONS(1136),
    [anon_sym___vectorcall] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [anon_sym_signed] = ACTIONS(1136),
    [anon_sym_unsigned] = ACTIONS(1136),
    [anon_sym_long] = ACTIONS(1136),
    [anon_sym_short] = ACTIONS(1136),
    [anon_sym_static] = ACTIONS(1136),
    [anon_sym_auto] = ACTIONS(1136),
    [anon_sym_register] = ACTIONS(1136),
    [anon_sym_inline] = ACTIONS(1136),
    [anon_sym___inline] = ACTIONS(1136),
    [anon_sym___inline__] = ACTIONS(1136),
    [anon_sym___forceinline] = ACTIONS(1136),
    [anon_sym_thread_local] = ACTIONS(1136),
    [anon_sym___thread] = ACTIONS(1136),
    [anon_sym_const] = ACTIONS(1136),
    [anon_sym_constexpr] = ACTIONS(1136),
    [anon_sym_volatile] = ACTIONS(1136),
    [anon_sym_restrict] = ACTIONS(1136),
    [anon_sym___restrict__] = ACTIONS(1136),
    [anon_sym__Atomic] = ACTIONS(1136),
    [anon_sym__Noreturn] = ACTIONS(1136),
    [anon_sym_noreturn] = ACTIONS(1136),
    [sym_primitive_type] = ACTIONS(1136),
    [anon_sym_enum] = ACTIONS(1136),
    [anon_sym_struct] = ACTIONS(1136),
    [anon_sym_union] = ACTIONS(1136),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_else] = ACTIONS(1136),
    [anon_sym_switch] = ACTIONS(1136),
    [anon_sym_case] = ACTIONS(1136),
    [anon_sym_default] = ACTIONS(1136),
    [anon_sym_while] = ACTIONS(1136),
    [anon_sym_do] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym___try] = ACTIONS(1136),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_sizeof] = ACTIONS(1136),
    [anon_sym___alignof__] = ACTIONS(1136),
    [anon_sym___alignof] = ACTIONS(1136),
    [anon_sym__alignof] = ACTIONS(1136),
    [anon_sym_alignof] = ACTIONS(1136),
    [anon_sym__Alignof] = ACTIONS(1136),
    [anon_sym_offsetof] = ACTIONS(1136),
    [anon_sym__Generic] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1136),
    [anon_sym___asm__] = ACTIONS(1136),
    [sym_number_literal] = ACTIONS(1138),
    [anon_sym_L_SQUOTE] = ACTIONS(1138),
    [anon_sym_u_SQUOTE] = ACTIONS(1138),
    [anon_sym_U_SQUOTE] = ACTIONS(1138),
    [anon_sym_u8_SQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_L_DQUOTE] = ACTIONS(1138),
    [anon_sym_u_DQUOTE] = ACTIONS(1138),
    [anon_sym_U_DQUOTE] = ACTIONS(1138),
    [anon_sym_u8_DQUOTE] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [anon_sym_NULL] = ACTIONS(1136),
    [anon_sym_nullptr] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_identifier] = ACTIONS(1140),
    [aux_sym_preproc_include_token1] = ACTIONS(1140),
    [aux_sym_preproc_def_token1] = ACTIONS(1140),
    [aux_sym_preproc_if_token1] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1140),
    [sym_preproc_directive] = ACTIONS(1140),
    [anon_sym_LPAREN2] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_AMP] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [anon_sym___extension__] = ACTIONS(1140),
    [anon_sym_typedef] = ACTIONS(1140),
    [anon_sym_extern] = ACTIONS(1140),
    [anon_sym___attribute__] = ACTIONS(1140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1142),
    [anon_sym___declspec] = ACTIONS(1140),
    [anon_sym___cdecl] = ACTIONS(1140),
    [anon_sym___clrcall] = ACTIONS(1140),
    [anon_sym___stdcall] = ACTIONS(1140),
    [anon_sym___fastcall] = ACTIONS(1140),
    [anon_sym___thiscall] = ACTIONS(1140),
    [anon_sym___vectorcall] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [anon_sym_signed] = ACTIONS(1140),
    [anon_sym_unsigned] = ACTIONS(1140),
    [anon_sym_long] = ACTIONS(1140),
    [anon_sym_short] = ACTIONS(1140),
    [anon_sym_static] = ACTIONS(1140),
    [anon_sym_auto] = ACTIONS(1140),
    [anon_sym_register] = ACTIONS(1140),
    [anon_sym_inline] = ACTIONS(1140),
    [anon_sym___inline] = ACTIONS(1140),
    [anon_sym___inline__] = ACTIONS(1140),
    [anon_sym___forceinline] = ACTIONS(1140),
    [anon_sym_thread_local] = ACTIONS(1140),
    [anon_sym___thread] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1140),
    [anon_sym_constexpr] = ACTIONS(1140),
    [anon_sym_volatile] = ACTIONS(1140),
    [anon_sym_restrict] = ACTIONS(1140),
    [anon_sym___restrict__] = ACTIONS(1140),
    [anon_sym__Atomic] = ACTIONS(1140),
    [anon_sym__Noreturn] = ACTIONS(1140),
    [anon_sym_noreturn] = ACTIONS(1140),
    [sym_primitive_type] = ACTIONS(1140),
    [anon_sym_enum] = ACTIONS(1140),
    [anon_sym_struct] = ACTIONS(1140),
    [anon_sym_union] = ACTIONS(1140),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_else] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1140),
    [anon_sym_case] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1140),
    [anon_sym_while] = ACTIONS(1140),
    [anon_sym_do] = ACTIONS(1140),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1140),
    [anon_sym_break] = ACTIONS(1140),
    [anon_sym_continue] = ACTIONS(1140),
    [anon_sym_goto] = ACTIONS(1140),
    [anon_sym___try] = ACTIONS(1140),
    [anon_sym___leave] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [anon_sym_sizeof] = ACTIONS(1140),
    [anon_sym___alignof__] = ACTIONS(1140),
    [anon_sym___alignof] = ACTIONS(1140),
    [anon_sym__alignof] = ACTIONS(1140),
    [anon_sym_alignof] = ACTIONS(1140),
    [anon_sym__Alignof] = ACTIONS(1140),
    [anon_sym_offsetof] = ACTIONS(1140),
    [anon_sym__Generic] = ACTIONS(1140),
    [anon_sym_asm] = ACTIONS(1140),
    [anon_sym___asm__] = ACTIONS(1140),
    [sym_number_literal] = ACTIONS(1142),
    [anon_sym_L_SQUOTE] = ACTIONS(1142),
    [anon_sym_u_SQUOTE] = ACTIONS(1142),
    [anon_sym_U_SQUOTE] = ACTIONS(1142),
    [anon_sym_u8_SQUOTE] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_L_DQUOTE] = ACTIONS(1142),
    [anon_sym_u_DQUOTE] = ACTIONS(1142),
    [anon_sym_U_DQUOTE] = ACTIONS(1142),
    [anon_sym_u8_DQUOTE] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [sym_true] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [anon_sym_NULL] = ACTIONS(1140),
    [anon_sym_nullptr] = ACTIONS(1140),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(1194),
    [sym_identifier] = ACTIONS(1192),
    [aux_sym_preproc_include_token1] = ACTIONS(1192),
    [aux_sym_preproc_def_token1] = ACTIONS(1192),
    [aux_sym_preproc_if_token1] = ACTIONS(1192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1192),
    [sym_preproc_directive] = ACTIONS(1192),
    [anon_sym_LPAREN2] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [anon_sym___extension__] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1192),
    [anon_sym_extern] = ACTIONS(1192),
    [anon_sym___attribute__] = ACTIONS(1192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1194),
    [anon_sym___declspec] = ACTIONS(1192),
    [anon_sym___cdecl] = ACTIONS(1192),
    [anon_sym___clrcall] = ACTIONS(1192),
    [anon_sym___stdcall] = ACTIONS(1192),
    [anon_sym___fastcall] = ACTIONS(1192),
    [anon_sym___thiscall] = ACTIONS(1192),
    [anon_sym___vectorcall] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_signed] = ACTIONS(1192),
    [anon_sym_unsigned] = ACTIONS(1192),
    [anon_sym_long] = ACTIONS(1192),
    [anon_sym_short] = ACTIONS(1192),
    [anon_sym_static] = ACTIONS(1192),
    [anon_sym_auto] = ACTIONS(1192),
    [anon_sym_register] = ACTIONS(1192),
    [anon_sym_inline] = ACTIONS(1192),
    [anon_sym___inline] = ACTIONS(1192),
    [anon_sym___inline__] = ACTIONS(1192),
    [anon_sym___forceinline] = ACTIONS(1192),
    [anon_sym_thread_local] = ACTIONS(1192),
    [anon_sym___thread] = ACTIONS(1192),
    [anon_sym_const] = ACTIONS(1192),
    [anon_sym_constexpr] = ACTIONS(1192),
    [anon_sym_volatile] = ACTIONS(1192),
    [anon_sym_restrict] = ACTIONS(1192),
    [anon_sym___restrict__] = ACTIONS(1192),
    [anon_sym__Atomic] = ACTIONS(1192),
    [anon_sym__Noreturn] = ACTIONS(1192),
    [anon_sym_noreturn] = ACTIONS(1192),
    [sym_primitive_type] = ACTIONS(1192),
    [anon_sym_enum] = ACTIONS(1192),
    [anon_sym_struct] = ACTIONS(1192),
    [anon_sym_union] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1192),
    [anon_sym_else] = ACTIONS(1192),
    [anon_sym_switch] = ACTIONS(1192),
    [anon_sym_case] = ACTIONS(1192),
    [anon_sym_default] = ACTIONS(1192),
    [anon_sym_while] = ACTIONS(1192),
    [anon_sym_do] = ACTIONS(1192),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_return] = ACTIONS(1192),
    [anon_sym_break] = ACTIONS(1192),
    [anon_sym_continue] = ACTIONS(1192),
    [anon_sym_goto] = ACTIONS(1192),
    [anon_sym___try] = ACTIONS(1192),
    [anon_sym___leave] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_sizeof] = ACTIONS(1192),
    [anon_sym___alignof__] = ACTIONS(1192),
    [anon_sym___alignof] = ACTIONS(1192),
    [anon_sym__alignof] = ACTIONS(1192),
    [anon_sym_alignof] = ACTIONS(1192),
    [anon_sym__Alignof] = ACTIONS(1192),
    [anon_sym_offsetof] = ACTIONS(1192),
    [anon_sym__Generic] = ACTIONS(1192),
    [anon_sym_asm] = ACTIONS(1192),
    [anon_sym___asm__] = ACTIONS(1192),
    [sym_number_literal] = ACTIONS(1194),
    [anon_sym_L_SQUOTE] = ACTIONS(1194),
    [anon_sym_u_SQUOTE] = ACTIONS(1194),
    [anon_sym_U_SQUOTE] = ACTIONS(1194),
    [anon_sym_u8_SQUOTE] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [anon_sym_L_DQUOTE] = ACTIONS(1194),
    [anon_sym_u_DQUOTE] = ACTIONS(1194),
    [anon_sym_U_DQUOTE] = ACTIONS(1194),
    [anon_sym_u8_DQUOTE] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [sym_true] = ACTIONS(1192),
    [sym_false] = ACTIONS(1192),
    [anon_sym_NULL] = ACTIONS(1192),
    [anon_sym_nullptr] = ACTIONS(1192),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_identifier] = ACTIONS(1144),
    [aux_sym_preproc_include_token1] = ACTIONS(1144),
    [aux_sym_preproc_def_token1] = ACTIONS(1144),
    [aux_sym_preproc_if_token1] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1144),
    [sym_preproc_directive] = ACTIONS(1144),
    [anon_sym_LPAREN2] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_STAR] = ACTIONS(1146),
    [anon_sym_AMP] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [anon_sym___extension__] = ACTIONS(1144),
    [anon_sym_typedef] = ACTIONS(1144),
    [anon_sym_extern] = ACTIONS(1144),
    [anon_sym___attribute__] = ACTIONS(1144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1146),
    [anon_sym___declspec] = ACTIONS(1144),
    [anon_sym___cdecl] = ACTIONS(1144),
    [anon_sym___clrcall] = ACTIONS(1144),
    [anon_sym___stdcall] = ACTIONS(1144),
    [anon_sym___fastcall] = ACTIONS(1144),
    [anon_sym___thiscall] = ACTIONS(1144),
    [anon_sym___vectorcall] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [anon_sym_signed] = ACTIONS(1144),
    [anon_sym_unsigned] = ACTIONS(1144),
    [anon_sym_long] = ACTIONS(1144),
    [anon_sym_short] = ACTIONS(1144),
    [anon_sym_static] = ACTIONS(1144),
    [anon_sym_auto] = ACTIONS(1144),
    [anon_sym_register] = ACTIONS(1144),
    [anon_sym_inline] = ACTIONS(1144),
    [anon_sym___inline] = ACTIONS(1144),
    [anon_sym___inline__] = ACTIONS(1144),
    [anon_sym___forceinline] = ACTIONS(1144),
    [anon_sym_thread_local] = ACTIONS(1144),
    [anon_sym___thread] = ACTIONS(1144),
    [anon_sym_const] = ACTIONS(1144),
    [anon_sym_constexpr] = ACTIONS(1144),
    [anon_sym_volatile] = ACTIONS(1144),
    [anon_sym_restrict] = ACTIONS(1144),
    [anon_sym___restrict__] = ACTIONS(1144),
    [anon_sym__Atomic] = ACTIONS(1144),
    [anon_sym__Noreturn] = ACTIONS(1144),
    [anon_sym_noreturn] = ACTIONS(1144),
    [sym_primitive_type] = ACTIONS(1144),
    [anon_sym_enum] = ACTIONS(1144),
    [anon_sym_struct] = ACTIONS(1144),
    [anon_sym_union] = ACTIONS(1144),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_else] = ACTIONS(1144),
    [anon_sym_switch] = ACTIONS(1144),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1144),
    [anon_sym_while] = ACTIONS(1144),
    [anon_sym_do] = ACTIONS(1144),
    [anon_sym_for] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1144),
    [anon_sym_break] = ACTIONS(1144),
    [anon_sym_continue] = ACTIONS(1144),
    [anon_sym_goto] = ACTIONS(1144),
    [anon_sym___try] = ACTIONS(1144),
    [anon_sym___leave] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [anon_sym_sizeof] = ACTIONS(1144),
    [anon_sym___alignof__] = ACTIONS(1144),
    [anon_sym___alignof] = ACTIONS(1144),
    [anon_sym__alignof] = ACTIONS(1144),
    [anon_sym_alignof] = ACTIONS(1144),
    [anon_sym__Alignof] = ACTIONS(1144),
    [anon_sym_offsetof] = ACTIONS(1144),
    [anon_sym__Generic] = ACTIONS(1144),
    [anon_sym_asm] = ACTIONS(1144),
    [anon_sym___asm__] = ACTIONS(1144),
    [sym_number_literal] = ACTIONS(1146),
    [anon_sym_L_SQUOTE] = ACTIONS(1146),
    [anon_sym_u_SQUOTE] = ACTIONS(1146),
    [anon_sym_U_SQUOTE] = ACTIONS(1146),
    [anon_sym_u8_SQUOTE] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_L_DQUOTE] = ACTIONS(1146),
    [anon_sym_u_DQUOTE] = ACTIONS(1146),
    [anon_sym_U_DQUOTE] = ACTIONS(1146),
    [anon_sym_u8_DQUOTE] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [sym_true] = ACTIONS(1144),
    [sym_false] = ACTIONS(1144),
    [anon_sym_NULL] = ACTIONS(1144),
    [anon_sym_nullptr] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(1198),
    [sym_identifier] = ACTIONS(1196),
    [aux_sym_preproc_include_token1] = ACTIONS(1196),
    [aux_sym_preproc_def_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym___extension__] = ACTIONS(1196),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym___attribute__] = ACTIONS(1196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1198),
    [anon_sym___declspec] = ACTIONS(1196),
    [anon_sym___cdecl] = ACTIONS(1196),
    [anon_sym___clrcall] = ACTIONS(1196),
    [anon_sym___stdcall] = ACTIONS(1196),
    [anon_sym___fastcall] = ACTIONS(1196),
    [anon_sym___thiscall] = ACTIONS(1196),
    [anon_sym___vectorcall] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_signed] = ACTIONS(1196),
    [anon_sym_unsigned] = ACTIONS(1196),
    [anon_sym_long] = ACTIONS(1196),
    [anon_sym_short] = ACTIONS(1196),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_auto] = ACTIONS(1196),
    [anon_sym_register] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(1196),
    [anon_sym___inline] = ACTIONS(1196),
    [anon_sym___inline__] = ACTIONS(1196),
    [anon_sym___forceinline] = ACTIONS(1196),
    [anon_sym_thread_local] = ACTIONS(1196),
    [anon_sym___thread] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_constexpr] = ACTIONS(1196),
    [anon_sym_volatile] = ACTIONS(1196),
    [anon_sym_restrict] = ACTIONS(1196),
    [anon_sym___restrict__] = ACTIONS(1196),
    [anon_sym__Atomic] = ACTIONS(1196),
    [anon_sym__Noreturn] = ACTIONS(1196),
    [anon_sym_noreturn] = ACTIONS(1196),
    [sym_primitive_type] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_goto] = ACTIONS(1196),
    [anon_sym___try] = ACTIONS(1196),
    [anon_sym___leave] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_sizeof] = ACTIONS(1196),
    [anon_sym___alignof__] = ACTIONS(1196),
    [anon_sym___alignof] = ACTIONS(1196),
    [anon_sym__alignof] = ACTIONS(1196),
    [anon_sym_alignof] = ACTIONS(1196),
    [anon_sym__Alignof] = ACTIONS(1196),
    [anon_sym_offsetof] = ACTIONS(1196),
    [anon_sym__Generic] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1196),
    [anon_sym___asm__] = ACTIONS(1196),
    [sym_number_literal] = ACTIONS(1198),
    [anon_sym_L_SQUOTE] = ACTIONS(1198),
    [anon_sym_u_SQUOTE] = ACTIONS(1198),
    [anon_sym_U_SQUOTE] = ACTIONS(1198),
    [anon_sym_u8_SQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_L_DQUOTE] = ACTIONS(1198),
    [anon_sym_u_DQUOTE] = ACTIONS(1198),
    [anon_sym_U_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8_DQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_true] = ACTIONS(1196),
    [sym_false] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1196),
    [anon_sym_nullptr] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_identifier] = ACTIONS(1148),
    [aux_sym_preproc_include_token1] = ACTIONS(1148),
    [aux_sym_preproc_def_token1] = ACTIONS(1148),
    [aux_sym_preproc_if_token1] = ACTIONS(1148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1148),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1148),
    [sym_preproc_directive] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(1150),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_STAR] = ACTIONS(1150),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym___extension__] = ACTIONS(1148),
    [anon_sym_typedef] = ACTIONS(1148),
    [anon_sym_extern] = ACTIONS(1148),
    [anon_sym___attribute__] = ACTIONS(1148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1150),
    [anon_sym___declspec] = ACTIONS(1148),
    [anon_sym___cdecl] = ACTIONS(1148),
    [anon_sym___clrcall] = ACTIONS(1148),
    [anon_sym___stdcall] = ACTIONS(1148),
    [anon_sym___fastcall] = ACTIONS(1148),
    [anon_sym___thiscall] = ACTIONS(1148),
    [anon_sym___vectorcall] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_signed] = ACTIONS(1148),
    [anon_sym_unsigned] = ACTIONS(1148),
    [anon_sym_long] = ACTIONS(1148),
    [anon_sym_short] = ACTIONS(1148),
    [anon_sym_static] = ACTIONS(1148),
    [anon_sym_auto] = ACTIONS(1148),
    [anon_sym_register] = ACTIONS(1148),
    [anon_sym_inline] = ACTIONS(1148),
    [anon_sym___inline] = ACTIONS(1148),
    [anon_sym___inline__] = ACTIONS(1148),
    [anon_sym___forceinline] = ACTIONS(1148),
    [anon_sym_thread_local] = ACTIONS(1148),
    [anon_sym___thread] = ACTIONS(1148),
    [anon_sym_const] = ACTIONS(1148),
    [anon_sym_constexpr] = ACTIONS(1148),
    [anon_sym_volatile] = ACTIONS(1148),
    [anon_sym_restrict] = ACTIONS(1148),
    [anon_sym___restrict__] = ACTIONS(1148),
    [anon_sym__Atomic] = ACTIONS(1148),
    [anon_sym__Noreturn] = ACTIONS(1148),
    [anon_sym_noreturn] = ACTIONS(1148),
    [sym_primitive_type] = ACTIONS(1148),
    [anon_sym_enum] = ACTIONS(1148),
    [anon_sym_struct] = ACTIONS(1148),
    [anon_sym_union] = ACTIONS(1148),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_switch] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym_default] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_for] = ACTIONS(1148),
    [anon_sym_return] = ACTIONS(1148),
    [anon_sym_break] = ACTIONS(1148),
    [anon_sym_continue] = ACTIONS(1148),
    [anon_sym_goto] = ACTIONS(1148),
    [anon_sym___try] = ACTIONS(1148),
    [anon_sym___leave] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [anon_sym_sizeof] = ACTIONS(1148),
    [anon_sym___alignof__] = ACTIONS(1148),
    [anon_sym___alignof] = ACTIONS(1148),
    [anon_sym__alignof] = ACTIONS(1148),
    [anon_sym_alignof] = ACTIONS(1148),
    [anon_sym__Alignof] = ACTIONS(1148),
    [anon_sym_offsetof] = ACTIONS(1148),
    [anon_sym__Generic] = ACTIONS(1148),
    [anon_sym_asm] = ACTIONS(1148),
    [anon_sym___asm__] = ACTIONS(1148),
    [sym_number_literal] = ACTIONS(1150),
    [anon_sym_L_SQUOTE] = ACTIONS(1150),
    [anon_sym_u_SQUOTE] = ACTIONS(1150),
    [anon_sym_U_SQUOTE] = ACTIONS(1150),
    [anon_sym_u8_SQUOTE] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_L_DQUOTE] = ACTIONS(1150),
    [anon_sym_u_DQUOTE] = ACTIONS(1150),
    [anon_sym_U_DQUOTE] = ACTIONS(1150),
    [anon_sym_u8_DQUOTE] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [sym_true] = ACTIONS(1148),
    [sym_false] = ACTIONS(1148),
    [anon_sym_NULL] = ACTIONS(1148),
    [anon_sym_nullptr] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_identifier] = ACTIONS(1152),
    [aux_sym_preproc_include_token1] = ACTIONS(1152),
    [aux_sym_preproc_def_token1] = ACTIONS(1152),
    [aux_sym_preproc_if_token1] = ACTIONS(1152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1152),
    [sym_preproc_directive] = ACTIONS(1152),
    [anon_sym_LPAREN2] = ACTIONS(1154),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_STAR] = ACTIONS(1154),
    [anon_sym_AMP] = ACTIONS(1154),
    [anon_sym_SEMI] = ACTIONS(1154),
    [anon_sym___extension__] = ACTIONS(1152),
    [anon_sym_typedef] = ACTIONS(1152),
    [anon_sym_extern] = ACTIONS(1152),
    [anon_sym___attribute__] = ACTIONS(1152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1154),
    [anon_sym___declspec] = ACTIONS(1152),
    [anon_sym___cdecl] = ACTIONS(1152),
    [anon_sym___clrcall] = ACTIONS(1152),
    [anon_sym___stdcall] = ACTIONS(1152),
    [anon_sym___fastcall] = ACTIONS(1152),
    [anon_sym___thiscall] = ACTIONS(1152),
    [anon_sym___vectorcall] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [anon_sym_signed] = ACTIONS(1152),
    [anon_sym_unsigned] = ACTIONS(1152),
    [anon_sym_long] = ACTIONS(1152),
    [anon_sym_short] = ACTIONS(1152),
    [anon_sym_static] = ACTIONS(1152),
    [anon_sym_auto] = ACTIONS(1152),
    [anon_sym_register] = ACTIONS(1152),
    [anon_sym_inline] = ACTIONS(1152),
    [anon_sym___inline] = ACTIONS(1152),
    [anon_sym___inline__] = ACTIONS(1152),
    [anon_sym___forceinline] = ACTIONS(1152),
    [anon_sym_thread_local] = ACTIONS(1152),
    [anon_sym___thread] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1152),
    [anon_sym_constexpr] = ACTIONS(1152),
    [anon_sym_volatile] = ACTIONS(1152),
    [anon_sym_restrict] = ACTIONS(1152),
    [anon_sym___restrict__] = ACTIONS(1152),
    [anon_sym__Atomic] = ACTIONS(1152),
    [anon_sym__Noreturn] = ACTIONS(1152),
    [anon_sym_noreturn] = ACTIONS(1152),
    [sym_primitive_type] = ACTIONS(1152),
    [anon_sym_enum] = ACTIONS(1152),
    [anon_sym_struct] = ACTIONS(1152),
    [anon_sym_union] = ACTIONS(1152),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_else] = ACTIONS(1152),
    [anon_sym_switch] = ACTIONS(1152),
    [anon_sym_case] = ACTIONS(1152),
    [anon_sym_default] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1152),
    [anon_sym_break] = ACTIONS(1152),
    [anon_sym_continue] = ACTIONS(1152),
    [anon_sym_goto] = ACTIONS(1152),
    [anon_sym___try] = ACTIONS(1152),
    [anon_sym___leave] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_sizeof] = ACTIONS(1152),
    [anon_sym___alignof__] = ACTIONS(1152),
    [anon_sym___alignof] = ACTIONS(1152),
    [anon_sym__alignof] = ACTIONS(1152),
    [anon_sym_alignof] = ACTIONS(1152),
    [anon_sym__Alignof] = ACTIONS(1152),
    [anon_sym_offsetof] = ACTIONS(1152),
    [anon_sym__Generic] = ACTIONS(1152),
    [anon_sym_asm] = ACTIONS(1152),
    [anon_sym___asm__] = ACTIONS(1152),
    [sym_number_literal] = ACTIONS(1154),
    [anon_sym_L_SQUOTE] = ACTIONS(1154),
    [anon_sym_u_SQUOTE] = ACTIONS(1154),
    [anon_sym_U_SQUOTE] = ACTIONS(1154),
    [anon_sym_u8_SQUOTE] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [anon_sym_L_DQUOTE] = ACTIONS(1154),
    [anon_sym_u_DQUOTE] = ACTIONS(1154),
    [anon_sym_U_DQUOTE] = ACTIONS(1154),
    [anon_sym_u8_DQUOTE] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [sym_true] = ACTIONS(1152),
    [sym_false] = ACTIONS(1152),
    [anon_sym_NULL] = ACTIONS(1152),
    [anon_sym_nullptr] = ACTIONS(1152),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_identifier] = ACTIONS(1156),
    [aux_sym_preproc_include_token1] = ACTIONS(1156),
    [aux_sym_preproc_def_token1] = ACTIONS(1156),
    [aux_sym_preproc_if_token1] = ACTIONS(1156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1156),
    [sym_preproc_directive] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_STAR] = ACTIONS(1158),
    [anon_sym_AMP] = ACTIONS(1158),
    [anon_sym_SEMI] = ACTIONS(1158),
    [anon_sym___extension__] = ACTIONS(1156),
    [anon_sym_typedef] = ACTIONS(1156),
    [anon_sym_extern] = ACTIONS(1156),
    [anon_sym___attribute__] = ACTIONS(1156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1158),
    [anon_sym___declspec] = ACTIONS(1156),
    [anon_sym___cdecl] = ACTIONS(1156),
    [anon_sym___clrcall] = ACTIONS(1156),
    [anon_sym___stdcall] = ACTIONS(1156),
    [anon_sym___fastcall] = ACTIONS(1156),
    [anon_sym___thiscall] = ACTIONS(1156),
    [anon_sym___vectorcall] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [anon_sym_signed] = ACTIONS(1156),
    [anon_sym_unsigned] = ACTIONS(1156),
    [anon_sym_long] = ACTIONS(1156),
    [anon_sym_short] = ACTIONS(1156),
    [anon_sym_static] = ACTIONS(1156),
    [anon_sym_auto] = ACTIONS(1156),
    [anon_sym_register] = ACTIONS(1156),
    [anon_sym_inline] = ACTIONS(1156),
    [anon_sym___inline] = ACTIONS(1156),
    [anon_sym___inline__] = ACTIONS(1156),
    [anon_sym___forceinline] = ACTIONS(1156),
    [anon_sym_thread_local] = ACTIONS(1156),
    [anon_sym___thread] = ACTIONS(1156),
    [anon_sym_const] = ACTIONS(1156),
    [anon_sym_constexpr] = ACTIONS(1156),
    [anon_sym_volatile] = ACTIONS(1156),
    [anon_sym_restrict] = ACTIONS(1156),
    [anon_sym___restrict__] = ACTIONS(1156),
    [anon_sym__Atomic] = ACTIONS(1156),
    [anon_sym__Noreturn] = ACTIONS(1156),
    [anon_sym_noreturn] = ACTIONS(1156),
    [sym_primitive_type] = ACTIONS(1156),
    [anon_sym_enum] = ACTIONS(1156),
    [anon_sym_struct] = ACTIONS(1156),
    [anon_sym_union] = ACTIONS(1156),
    [anon_sym_if] = ACTIONS(1156),
    [anon_sym_else] = ACTIONS(1156),
    [anon_sym_switch] = ACTIONS(1156),
    [anon_sym_case] = ACTIONS(1156),
    [anon_sym_default] = ACTIONS(1156),
    [anon_sym_while] = ACTIONS(1156),
    [anon_sym_do] = ACTIONS(1156),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1156),
    [anon_sym_goto] = ACTIONS(1156),
    [anon_sym___try] = ACTIONS(1156),
    [anon_sym___leave] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [anon_sym_sizeof] = ACTIONS(1156),
    [anon_sym___alignof__] = ACTIONS(1156),
    [anon_sym___alignof] = ACTIONS(1156),
    [anon_sym__alignof] = ACTIONS(1156),
    [anon_sym_alignof] = ACTIONS(1156),
    [anon_sym__Alignof] = ACTIONS(1156),
    [anon_sym_offsetof] = ACTIONS(1156),
    [anon_sym__Generic] = ACTIONS(1156),
    [anon_sym_asm] = ACTIONS(1156),
    [anon_sym___asm__] = ACTIONS(1156),
    [sym_number_literal] = ACTIONS(1158),
    [anon_sym_L_SQUOTE] = ACTIONS(1158),
    [anon_sym_u_SQUOTE] = ACTIONS(1158),
    [anon_sym_U_SQUOTE] = ACTIONS(1158),
    [anon_sym_u8_SQUOTE] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1158),
    [anon_sym_L_DQUOTE] = ACTIONS(1158),
    [anon_sym_u_DQUOTE] = ACTIONS(1158),
    [anon_sym_U_DQUOTE] = ACTIONS(1158),
    [anon_sym_u8_DQUOTE] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [sym_true] = ACTIONS(1156),
    [sym_false] = ACTIONS(1156),
    [anon_sym_NULL] = ACTIONS(1156),
    [anon_sym_nullptr] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym___extension__] = ACTIONS(1200),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym___inline] = ACTIONS(1200),
    [anon_sym___inline__] = ACTIONS(1200),
    [anon_sym___forceinline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym___thread] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym___try] = ACTIONS(1200),
    [anon_sym___leave] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym___alignof__] = ACTIONS(1200),
    [anon_sym___alignof] = ACTIONS(1200),
    [anon_sym__alignof] = ACTIONS(1200),
    [anon_sym_alignof] = ACTIONS(1200),
    [anon_sym__Alignof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_identifier] = ACTIONS(1112),
    [aux_sym_preproc_include_token1] = ACTIONS(1112),
    [aux_sym_preproc_def_token1] = ACTIONS(1112),
    [aux_sym_preproc_if_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1112),
    [sym_preproc_directive] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym___extension__] = ACTIONS(1112),
    [anon_sym_typedef] = ACTIONS(1112),
    [anon_sym_extern] = ACTIONS(1112),
    [anon_sym___attribute__] = ACTIONS(1112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1114),
    [anon_sym___declspec] = ACTIONS(1112),
    [anon_sym___cdecl] = ACTIONS(1112),
    [anon_sym___clrcall] = ACTIONS(1112),
    [anon_sym___stdcall] = ACTIONS(1112),
    [anon_sym___fastcall] = ACTIONS(1112),
    [anon_sym___thiscall] = ACTIONS(1112),
    [anon_sym___vectorcall] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_signed] = ACTIONS(1112),
    [anon_sym_unsigned] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_auto] = ACTIONS(1112),
    [anon_sym_register] = ACTIONS(1112),
    [anon_sym_inline] = ACTIONS(1112),
    [anon_sym___inline] = ACTIONS(1112),
    [anon_sym___inline__] = ACTIONS(1112),
    [anon_sym___forceinline] = ACTIONS(1112),
    [anon_sym_thread_local] = ACTIONS(1112),
    [anon_sym___thread] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1112),
    [anon_sym_constexpr] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_restrict] = ACTIONS(1112),
    [anon_sym___restrict__] = ACTIONS(1112),
    [anon_sym__Atomic] = ACTIONS(1112),
    [anon_sym__Noreturn] = ACTIONS(1112),
    [anon_sym_noreturn] = ACTIONS(1112),
    [sym_primitive_type] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1112),
    [anon_sym_union] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym___try] = ACTIONS(1112),
    [anon_sym___leave] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_sizeof] = ACTIONS(1112),
    [anon_sym___alignof__] = ACTIONS(1112),
    [anon_sym___alignof] = ACTIONS(1112),
    [anon_sym__alignof] = ACTIONS(1112),
    [anon_sym_alignof] = ACTIONS(1112),
    [anon_sym__Alignof] = ACTIONS(1112),
    [anon_sym_offsetof] = ACTIONS(1112),
    [anon_sym__Generic] = ACTIONS(1112),
    [anon_sym_asm] = ACTIONS(1112),
    [anon_sym___asm__] = ACTIONS(1112),
    [sym_number_literal] = ACTIONS(1114),
    [anon_sym_L_SQUOTE] = ACTIONS(1114),
    [anon_sym_u_SQUOTE] = ACTIONS(1114),
    [anon_sym_U_SQUOTE] = ACTIONS(1114),
    [anon_sym_u8_SQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_L_DQUOTE] = ACTIONS(1114),
    [anon_sym_u_DQUOTE] = ACTIONS(1114),
    [anon_sym_U_DQUOTE] = ACTIONS(1114),
    [anon_sym_u8_DQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1112),
    [anon_sym_nullptr] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_identifier] = ACTIONS(1212),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym___extension__] = ACTIONS(1212),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_extern] = ACTIONS(1212),
    [anon_sym___attribute__] = ACTIONS(1212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1214),
    [anon_sym___declspec] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_signed] = ACTIONS(1212),
    [anon_sym_unsigned] = ACTIONS(1212),
    [anon_sym_long] = ACTIONS(1212),
    [anon_sym_short] = ACTIONS(1212),
    [anon_sym_static] = ACTIONS(1212),
    [anon_sym_auto] = ACTIONS(1212),
    [anon_sym_register] = ACTIONS(1212),
    [anon_sym_inline] = ACTIONS(1212),
    [anon_sym___inline] = ACTIONS(1212),
    [anon_sym___inline__] = ACTIONS(1212),
    [anon_sym___forceinline] = ACTIONS(1212),
    [anon_sym_thread_local] = ACTIONS(1212),
    [anon_sym___thread] = ACTIONS(1212),
    [anon_sym_const] = ACTIONS(1212),
    [anon_sym_constexpr] = ACTIONS(1212),
    [anon_sym_volatile] = ACTIONS(1212),
    [anon_sym_restrict] = ACTIONS(1212),
    [anon_sym___restrict__] = ACTIONS(1212),
    [anon_sym__Atomic] = ACTIONS(1212),
    [anon_sym__Noreturn] = ACTIONS(1212),
    [anon_sym_noreturn] = ACTIONS(1212),
    [sym_primitive_type] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1212),
    [anon_sym_union] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym___try] = ACTIONS(1212),
    [anon_sym___leave] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_sizeof] = ACTIONS(1212),
    [anon_sym___alignof__] = ACTIONS(1212),
    [anon_sym___alignof] = ACTIONS(1212),
    [anon_sym__alignof] = ACTIONS(1212),
    [anon_sym_alignof] = ACTIONS(1212),
    [anon_sym__Alignof] = ACTIONS(1212),
    [anon_sym_offsetof] = ACTIONS(1212),
    [anon_sym__Generic] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1212),
    [anon_sym___asm__] = ACTIONS(1212),
    [sym_number_literal] = ACTIONS(1214),
    [anon_sym_L_SQUOTE] = ACTIONS(1214),
    [anon_sym_u_SQUOTE] = ACTIONS(1214),
    [anon_sym_U_SQUOTE] = ACTIONS(1214),
    [anon_sym_u8_SQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_L_DQUOTE] = ACTIONS(1214),
    [anon_sym_u_DQUOTE] = ACTIONS(1214),
    [anon_sym_U_DQUOTE] = ACTIONS(1214),
    [anon_sym_u8_DQUOTE] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [anon_sym_NULL] = ACTIONS(1212),
    [anon_sym_nullptr] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(212),
    [sym_attributed_statement] = STATE(212),
    [sym_labeled_statement] = STATE(212),
    [sym_expression_statement] = STATE(212),
    [sym_if_statement] = STATE(212),
    [sym_switch_statement] = STATE(212),
    [sym_case_statement] = STATE(212),
    [sym_while_statement] = STATE(212),
    [sym_do_statement] = STATE(212),
    [sym_for_statement] = STATE(212),
    [sym_return_statement] = STATE(212),
    [sym_break_statement] = STATE(212),
    [sym_continue_statement] = STATE(212),
    [sym_goto_statement] = STATE(212),
    [sym_seh_try_statement] = STATE(212),
    [sym_seh_leave_statement] = STATE(212),
    [sym__expression] = STATE(1041),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1850),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1015),
    [anon_sym___leave] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym___extension__] = ACTIONS(1252),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym___inline] = ACTIONS(1252),
    [anon_sym___inline__] = ACTIONS(1252),
    [anon_sym___forceinline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym___thread] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym___try] = ACTIONS(1252),
    [anon_sym___leave] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym___alignof__] = ACTIONS(1252),
    [anon_sym___alignof] = ACTIONS(1252),
    [anon_sym__alignof] = ACTIONS(1252),
    [anon_sym_alignof] = ACTIONS(1252),
    [anon_sym__Alignof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_attribute_declaration] = STATE(311),
    [sym_compound_statement] = STATE(217),
    [sym_attributed_statement] = STATE(217),
    [sym_labeled_statement] = STATE(217),
    [sym_expression_statement] = STATE(217),
    [sym_if_statement] = STATE(217),
    [sym_switch_statement] = STATE(217),
    [sym_case_statement] = STATE(217),
    [sym_while_statement] = STATE(217),
    [sym_do_statement] = STATE(217),
    [sym_for_statement] = STATE(217),
    [sym_return_statement] = STATE(217),
    [sym_break_statement] = STATE(217),
    [sym_continue_statement] = STATE(217),
    [sym_goto_statement] = STATE(217),
    [sym_seh_try_statement] = STATE(217),
    [sym_seh_leave_statement] = STATE(217),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(311),
    [sym_identifier] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1393),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1405),
    [anon_sym_case] = ACTIONS(1408),
    [anon_sym_default] = ACTIONS(1411),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1417),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1423),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1429),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1435),
    [anon_sym___leave] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1447),
    [anon_sym___alignof] = ACTIONS(1447),
    [anon_sym__alignof] = ACTIONS(1447),
    [anon_sym_alignof] = ACTIONS(1447),
    [anon_sym__Alignof] = ACTIONS(1447),
    [anon_sym_offsetof] = ACTIONS(1450),
    [anon_sym__Generic] = ACTIONS(1453),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1459),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1465),
    [anon_sym_u_DQUOTE] = ACTIONS(1465),
    [anon_sym_U_DQUOTE] = ACTIONS(1465),
    [anon_sym_u8_DQUOTE] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(1465),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1471),
    [anon_sym_nullptr] = ACTIONS(1471),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_attribute_declaration] = STATE(346),
    [sym_compound_statement] = STATE(296),
    [sym_attributed_statement] = STATE(296),
    [sym_labeled_statement] = STATE(296),
    [sym_expression_statement] = STATE(296),
    [sym_if_statement] = STATE(296),
    [sym_switch_statement] = STATE(296),
    [sym_case_statement] = STATE(296),
    [sym_while_statement] = STATE(296),
    [sym_do_statement] = STATE(296),
    [sym_for_statement] = STATE(296),
    [sym_return_statement] = STATE(296),
    [sym_break_statement] = STATE(296),
    [sym_continue_statement] = STATE(296),
    [sym_goto_statement] = STATE(296),
    [sym_seh_try_statement] = STATE(296),
    [sym_seh_leave_statement] = STATE(296),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym___extension__] = ACTIONS(1272),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym___inline] = ACTIONS(1272),
    [anon_sym___inline__] = ACTIONS(1272),
    [anon_sym___forceinline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym___thread] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym___try] = ACTIONS(1272),
    [anon_sym___leave] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym___alignof__] = ACTIONS(1272),
    [anon_sym___alignof] = ACTIONS(1272),
    [anon_sym__alignof] = ACTIONS(1272),
    [anon_sym_alignof] = ACTIONS(1272),
    [anon_sym__Alignof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym___extension__] = ACTIONS(1280),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym___inline] = ACTIONS(1280),
    [anon_sym___inline__] = ACTIONS(1280),
    [anon_sym___forceinline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym___thread] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym___try] = ACTIONS(1280),
    [anon_sym___leave] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym___alignof__] = ACTIONS(1280),
    [anon_sym___alignof] = ACTIONS(1280),
    [anon_sym__alignof] = ACTIONS(1280),
    [anon_sym_alignof] = ACTIONS(1280),
    [anon_sym__Alignof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym___extension__] = ACTIONS(1284),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym___inline] = ACTIONS(1284),
    [anon_sym___inline__] = ACTIONS(1284),
    [anon_sym___forceinline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym___thread] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym___try] = ACTIONS(1284),
    [anon_sym___leave] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym___alignof__] = ACTIONS(1284),
    [anon_sym___alignof] = ACTIONS(1284),
    [anon_sym__alignof] = ACTIONS(1284),
    [anon_sym_alignof] = ACTIONS(1284),
    [anon_sym__Alignof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_identifier] = ACTIONS(1236),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym___extension__] = ACTIONS(1236),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1236),
    [anon_sym___attribute__] = ACTIONS(1236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [anon_sym_signed] = ACTIONS(1236),
    [anon_sym_unsigned] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_auto] = ACTIONS(1236),
    [anon_sym_register] = ACTIONS(1236),
    [anon_sym_inline] = ACTIONS(1236),
    [anon_sym___inline] = ACTIONS(1236),
    [anon_sym___inline__] = ACTIONS(1236),
    [anon_sym___forceinline] = ACTIONS(1236),
    [anon_sym_thread_local] = ACTIONS(1236),
    [anon_sym___thread] = ACTIONS(1236),
    [anon_sym_const] = ACTIONS(1236),
    [anon_sym_constexpr] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_restrict] = ACTIONS(1236),
    [anon_sym___restrict__] = ACTIONS(1236),
    [anon_sym__Atomic] = ACTIONS(1236),
    [anon_sym__Noreturn] = ACTIONS(1236),
    [anon_sym_noreturn] = ACTIONS(1236),
    [sym_primitive_type] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1236),
    [anon_sym_union] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_goto] = ACTIONS(1236),
    [anon_sym___try] = ACTIONS(1236),
    [anon_sym___leave] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_sizeof] = ACTIONS(1236),
    [anon_sym___alignof__] = ACTIONS(1236),
    [anon_sym___alignof] = ACTIONS(1236),
    [anon_sym__alignof] = ACTIONS(1236),
    [anon_sym_alignof] = ACTIONS(1236),
    [anon_sym__Alignof] = ACTIONS(1236),
    [anon_sym_offsetof] = ACTIONS(1236),
    [anon_sym__Generic] = ACTIONS(1236),
    [anon_sym_asm] = ACTIONS(1236),
    [anon_sym___asm__] = ACTIONS(1236),
    [sym_number_literal] = ACTIONS(1238),
    [anon_sym_L_SQUOTE] = ACTIONS(1238),
    [anon_sym_u_SQUOTE] = ACTIONS(1238),
    [anon_sym_U_SQUOTE] = ACTIONS(1238),
    [anon_sym_u8_SQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_L_DQUOTE] = ACTIONS(1238),
    [anon_sym_u_DQUOTE] = ACTIONS(1238),
    [anon_sym_U_DQUOTE] = ACTIONS(1238),
    [anon_sym_u8_DQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [anon_sym_NULL] = ACTIONS(1236),
    [anon_sym_nullptr] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym___extension__] = ACTIONS(1244),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym___inline] = ACTIONS(1244),
    [anon_sym___inline__] = ACTIONS(1244),
    [anon_sym___forceinline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym___thread] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym___try] = ACTIONS(1244),
    [anon_sym___leave] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym___alignof__] = ACTIONS(1244),
    [anon_sym___alignof] = ACTIONS(1244),
    [anon_sym__alignof] = ACTIONS(1244),
    [anon_sym_alignof] = ACTIONS(1244),
    [anon_sym__Alignof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token2] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym___extension__] = ACTIONS(1276),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym___inline] = ACTIONS(1276),
    [anon_sym___inline__] = ACTIONS(1276),
    [anon_sym___forceinline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym___thread] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym___try] = ACTIONS(1276),
    [anon_sym___leave] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym___alignof__] = ACTIONS(1276),
    [anon_sym___alignof] = ACTIONS(1276),
    [anon_sym__alignof] = ACTIONS(1276),
    [anon_sym_alignof] = ACTIONS(1276),
    [anon_sym__Alignof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym___extension__] = ACTIONS(1296),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym___inline] = ACTIONS(1296),
    [anon_sym___inline__] = ACTIONS(1296),
    [anon_sym___forceinline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym___thread] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym___try] = ACTIONS(1296),
    [anon_sym___leave] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym___alignof__] = ACTIONS(1296),
    [anon_sym___alignof] = ACTIONS(1296),
    [anon_sym__alignof] = ACTIONS(1296),
    [anon_sym_alignof] = ACTIONS(1296),
    [anon_sym__Alignof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token2] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym___extension__] = ACTIONS(1272),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym___inline] = ACTIONS(1272),
    [anon_sym___inline__] = ACTIONS(1272),
    [anon_sym___forceinline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym___thread] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym___try] = ACTIONS(1272),
    [anon_sym___leave] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym___alignof__] = ACTIONS(1272),
    [anon_sym___alignof] = ACTIONS(1272),
    [anon_sym__alignof] = ACTIONS(1272),
    [anon_sym_alignof] = ACTIONS(1272),
    [anon_sym__Alignof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token2] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym___extension__] = ACTIONS(1284),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym___inline] = ACTIONS(1284),
    [anon_sym___inline__] = ACTIONS(1284),
    [anon_sym___forceinline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym___thread] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym___try] = ACTIONS(1284),
    [anon_sym___leave] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym___alignof__] = ACTIONS(1284),
    [anon_sym___alignof] = ACTIONS(1284),
    [anon_sym__alignof] = ACTIONS(1284),
    [anon_sym_alignof] = ACTIONS(1284),
    [anon_sym__Alignof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym___try] = ACTIONS(1328),
    [anon_sym___leave] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token2] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym___extension__] = ACTIONS(1320),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym___inline] = ACTIONS(1320),
    [anon_sym___inline__] = ACTIONS(1320),
    [anon_sym___forceinline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym___thread] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym___try] = ACTIONS(1320),
    [anon_sym___leave] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token2] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym___extension__] = ACTIONS(1296),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym___inline] = ACTIONS(1296),
    [anon_sym___inline__] = ACTIONS(1296),
    [anon_sym___forceinline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym___thread] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym___try] = ACTIONS(1296),
    [anon_sym___leave] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym___alignof__] = ACTIONS(1296),
    [anon_sym___alignof] = ACTIONS(1296),
    [anon_sym__alignof] = ACTIONS(1296),
    [anon_sym_alignof] = ACTIONS(1296),
    [anon_sym__Alignof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1324),
    [anon_sym___leave] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(159),
    [sym_attributed_statement] = STATE(159),
    [sym_labeled_statement] = STATE(159),
    [sym_expression_statement] = STATE(159),
    [sym_if_statement] = STATE(159),
    [sym_switch_statement] = STATE(159),
    [sym_case_statement] = STATE(159),
    [sym_while_statement] = STATE(159),
    [sym_do_statement] = STATE(159),
    [sym_for_statement] = STATE(159),
    [sym_return_statement] = STATE(159),
    [sym_break_statement] = STATE(159),
    [sym_continue_statement] = STATE(159),
    [sym_goto_statement] = STATE(159),
    [sym_seh_try_statement] = STATE(159),
    [sym_seh_leave_statement] = STATE(159),
    [sym__expression] = STATE(1041),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1850),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1015),
    [anon_sym___leave] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_attribute_declaration] = STATE(373),
    [sym_compound_statement] = STATE(1791),
    [sym_attributed_statement] = STATE(1791),
    [sym_labeled_statement] = STATE(1791),
    [sym_expression_statement] = STATE(1791),
    [sym_if_statement] = STATE(1791),
    [sym_switch_statement] = STATE(1791),
    [sym_case_statement] = STATE(1791),
    [sym_while_statement] = STATE(1791),
    [sym_do_statement] = STATE(1791),
    [sym_for_statement] = STATE(1791),
    [sym_return_statement] = STATE(1791),
    [sym_break_statement] = STATE(1791),
    [sym_continue_statement] = STATE(1791),
    [sym_goto_statement] = STATE(1791),
    [sym_seh_try_statement] = STATE(1791),
    [sym_seh_leave_statement] = STATE(1791),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(373),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1083),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token2] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym___extension__] = ACTIONS(1244),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym___inline] = ACTIONS(1244),
    [anon_sym___inline__] = ACTIONS(1244),
    [anon_sym___forceinline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym___thread] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym___try] = ACTIONS(1244),
    [anon_sym___leave] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym___alignof__] = ACTIONS(1244),
    [anon_sym___alignof] = ACTIONS(1244),
    [anon_sym__alignof] = ACTIONS(1244),
    [anon_sym_alignof] = ACTIONS(1244),
    [anon_sym__Alignof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token2] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym___extension__] = ACTIONS(1280),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym___inline] = ACTIONS(1280),
    [anon_sym___inline__] = ACTIONS(1280),
    [anon_sym___forceinline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym___thread] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym___try] = ACTIONS(1280),
    [anon_sym___leave] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym___alignof__] = ACTIONS(1280),
    [anon_sym___alignof] = ACTIONS(1280),
    [anon_sym__alignof] = ACTIONS(1280),
    [anon_sym_alignof] = ACTIONS(1280),
    [anon_sym__Alignof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_identifier] = ACTIONS(1236),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token2] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym___extension__] = ACTIONS(1236),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1236),
    [anon_sym___attribute__] = ACTIONS(1236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_signed] = ACTIONS(1236),
    [anon_sym_unsigned] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_auto] = ACTIONS(1236),
    [anon_sym_register] = ACTIONS(1236),
    [anon_sym_inline] = ACTIONS(1236),
    [anon_sym___inline] = ACTIONS(1236),
    [anon_sym___inline__] = ACTIONS(1236),
    [anon_sym___forceinline] = ACTIONS(1236),
    [anon_sym_thread_local] = ACTIONS(1236),
    [anon_sym___thread] = ACTIONS(1236),
    [anon_sym_const] = ACTIONS(1236),
    [anon_sym_constexpr] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_restrict] = ACTIONS(1236),
    [anon_sym___restrict__] = ACTIONS(1236),
    [anon_sym__Atomic] = ACTIONS(1236),
    [anon_sym__Noreturn] = ACTIONS(1236),
    [anon_sym_noreturn] = ACTIONS(1236),
    [sym_primitive_type] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1236),
    [anon_sym_union] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_goto] = ACTIONS(1236),
    [anon_sym___try] = ACTIONS(1236),
    [anon_sym___leave] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_sizeof] = ACTIONS(1236),
    [anon_sym___alignof__] = ACTIONS(1236),
    [anon_sym___alignof] = ACTIONS(1236),
    [anon_sym__alignof] = ACTIONS(1236),
    [anon_sym_alignof] = ACTIONS(1236),
    [anon_sym__Alignof] = ACTIONS(1236),
    [anon_sym_offsetof] = ACTIONS(1236),
    [anon_sym__Generic] = ACTIONS(1236),
    [anon_sym_asm] = ACTIONS(1236),
    [anon_sym___asm__] = ACTIONS(1236),
    [sym_number_literal] = ACTIONS(1238),
    [anon_sym_L_SQUOTE] = ACTIONS(1238),
    [anon_sym_u_SQUOTE] = ACTIONS(1238),
    [anon_sym_U_SQUOTE] = ACTIONS(1238),
    [anon_sym_u8_SQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_L_DQUOTE] = ACTIONS(1238),
    [anon_sym_u_DQUOTE] = ACTIONS(1238),
    [anon_sym_U_DQUOTE] = ACTIONS(1238),
    [anon_sym_u8_DQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [anon_sym_NULL] = ACTIONS(1236),
    [anon_sym_nullptr] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token2] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym___extension__] = ACTIONS(1340),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym___inline] = ACTIONS(1340),
    [anon_sym___inline__] = ACTIONS(1340),
    [anon_sym___forceinline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym___thread] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym___try] = ACTIONS(1340),
    [anon_sym___leave] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym___alignof__] = ACTIONS(1340),
    [anon_sym___alignof] = ACTIONS(1340),
    [anon_sym__alignof] = ACTIONS(1340),
    [anon_sym_alignof] = ACTIONS(1340),
    [anon_sym__Alignof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_attribute_declaration] = STATE(346),
    [sym_compound_statement] = STATE(158),
    [sym_attributed_statement] = STATE(158),
    [sym_labeled_statement] = STATE(158),
    [sym_expression_statement] = STATE(158),
    [sym_if_statement] = STATE(158),
    [sym_switch_statement] = STATE(158),
    [sym_case_statement] = STATE(158),
    [sym_while_statement] = STATE(158),
    [sym_do_statement] = STATE(158),
    [sym_for_statement] = STATE(158),
    [sym_return_statement] = STATE(158),
    [sym_break_statement] = STATE(158),
    [sym_continue_statement] = STATE(158),
    [sym_goto_statement] = STATE(158),
    [sym_seh_try_statement] = STATE(158),
    [sym_seh_leave_statement] = STATE(158),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym___try] = ACTIONS(1328),
    [anon_sym___leave] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_attribute_declaration] = STATE(346),
    [sym_compound_statement] = STATE(299),
    [sym_attributed_statement] = STATE(300),
    [sym_labeled_statement] = STATE(301),
    [sym_expression_statement] = STATE(302),
    [sym_if_statement] = STATE(303),
    [sym_switch_statement] = STATE(304),
    [sym_case_statement] = STATE(305),
    [sym_while_statement] = STATE(306),
    [sym_do_statement] = STATE(307),
    [sym_for_statement] = STATE(241),
    [sym_return_statement] = STATE(162),
    [sym_break_statement] = STATE(163),
    [sym_continue_statement] = STATE(164),
    [sym_goto_statement] = STATE(165),
    [sym_seh_try_statement] = STATE(166),
    [sym_seh_leave_statement] = STATE(167),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_attribute_declaration] = STATE(346),
    [sym_compound_statement] = STATE(224),
    [sym_attributed_statement] = STATE(224),
    [sym_labeled_statement] = STATE(224),
    [sym_expression_statement] = STATE(224),
    [sym_if_statement] = STATE(224),
    [sym_switch_statement] = STATE(224),
    [sym_case_statement] = STATE(224),
    [sym_while_statement] = STATE(224),
    [sym_do_statement] = STATE(224),
    [sym_for_statement] = STATE(224),
    [sym_return_statement] = STATE(224),
    [sym_break_statement] = STATE(224),
    [sym_continue_statement] = STATE(224),
    [sym_goto_statement] = STATE(224),
    [sym_seh_try_statement] = STATE(224),
    [sym_seh_leave_statement] = STATE(224),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1324),
    [anon_sym___leave] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(187),
    [sym_attributed_statement] = STATE(188),
    [sym_labeled_statement] = STATE(189),
    [sym_expression_statement] = STATE(190),
    [sym_if_statement] = STATE(191),
    [sym_switch_statement] = STATE(192),
    [sym_case_statement] = STATE(193),
    [sym_while_statement] = STATE(194),
    [sym_do_statement] = STATE(195),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(197),
    [sym_break_statement] = STATE(198),
    [sym_continue_statement] = STATE(199),
    [sym_goto_statement] = STATE(200),
    [sym_seh_try_statement] = STATE(201),
    [sym_seh_leave_statement] = STATE(202),
    [sym__expression] = STATE(1041),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1850),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1015),
    [anon_sym___leave] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym___extension__] = ACTIONS(1320),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym___inline] = ACTIONS(1320),
    [anon_sym___inline__] = ACTIONS(1320),
    [anon_sym___forceinline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym___thread] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym___try] = ACTIONS(1320),
    [anon_sym___leave] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token2] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym___extension__] = ACTIONS(1300),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym___inline] = ACTIONS(1300),
    [anon_sym___inline__] = ACTIONS(1300),
    [anon_sym___forceinline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym___thread] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym___try] = ACTIONS(1300),
    [anon_sym___leave] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym___alignof__] = ACTIONS(1300),
    [anon_sym___alignof] = ACTIONS(1300),
    [anon_sym__alignof] = ACTIONS(1300),
    [anon_sym_alignof] = ACTIONS(1300),
    [anon_sym__Alignof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token2] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym___extension__] = ACTIONS(1288),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym___inline] = ACTIONS(1288),
    [anon_sym___inline__] = ACTIONS(1288),
    [anon_sym___forceinline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym___thread] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym___try] = ACTIONS(1288),
    [anon_sym___leave] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym___alignof__] = ACTIONS(1288),
    [anon_sym___alignof] = ACTIONS(1288),
    [anon_sym__alignof] = ACTIONS(1288),
    [anon_sym_alignof] = ACTIONS(1288),
    [anon_sym__Alignof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_attribute_declaration] = STATE(311),
    [sym_compound_statement] = STATE(217),
    [sym_attributed_statement] = STATE(217),
    [sym_labeled_statement] = STATE(217),
    [sym_expression_statement] = STATE(217),
    [sym_if_statement] = STATE(217),
    [sym_switch_statement] = STATE(217),
    [sym_case_statement] = STATE(217),
    [sym_while_statement] = STATE(217),
    [sym_do_statement] = STATE(217),
    [sym_for_statement] = STATE(217),
    [sym_return_statement] = STATE(217),
    [sym_break_statement] = STATE(217),
    [sym_continue_statement] = STATE(217),
    [sym_goto_statement] = STATE(217),
    [sym_seh_try_statement] = STATE(217),
    [sym_seh_leave_statement] = STATE(217),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(311),
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token2] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym___extension__] = ACTIONS(1268),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym___inline] = ACTIONS(1268),
    [anon_sym___inline__] = ACTIONS(1268),
    [anon_sym___forceinline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym___thread] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym___try] = ACTIONS(1268),
    [anon_sym___leave] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym___alignof__] = ACTIONS(1268),
    [anon_sym___alignof] = ACTIONS(1268),
    [anon_sym__alignof] = ACTIONS(1268),
    [anon_sym_alignof] = ACTIONS(1268),
    [anon_sym__Alignof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_attribute_declaration] = STATE(373),
    [sym_compound_statement] = STATE(2009),
    [sym_attributed_statement] = STATE(2009),
    [sym_labeled_statement] = STATE(2009),
    [sym_expression_statement] = STATE(2009),
    [sym_if_statement] = STATE(2009),
    [sym_switch_statement] = STATE(2009),
    [sym_case_statement] = STATE(2009),
    [sym_while_statement] = STATE(2009),
    [sym_do_statement] = STATE(2009),
    [sym_for_statement] = STATE(2009),
    [sym_return_statement] = STATE(2009),
    [sym_break_statement] = STATE(2009),
    [sym_continue_statement] = STATE(2009),
    [sym_goto_statement] = STATE(2009),
    [sym_seh_try_statement] = STATE(2009),
    [sym_seh_leave_statement] = STATE(2009),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(373),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1083),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_attribute_declaration] = STATE(387),
    [sym_compound_statement] = STATE(75),
    [sym_attributed_statement] = STATE(75),
    [sym_labeled_statement] = STATE(75),
    [sym_expression_statement] = STATE(75),
    [sym_if_statement] = STATE(75),
    [sym_switch_statement] = STATE(75),
    [sym_case_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_do_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_return_statement] = STATE(75),
    [sym_break_statement] = STATE(75),
    [sym_continue_statement] = STATE(75),
    [sym_goto_statement] = STATE(75),
    [sym_seh_try_statement] = STATE(75),
    [sym_seh_leave_statement] = STATE(75),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_attribute_declaration] = STATE(387),
    [sym_compound_statement] = STATE(124),
    [sym_attributed_statement] = STATE(124),
    [sym_labeled_statement] = STATE(124),
    [sym_expression_statement] = STATE(124),
    [sym_if_statement] = STATE(124),
    [sym_switch_statement] = STATE(124),
    [sym_case_statement] = STATE(124),
    [sym_while_statement] = STATE(124),
    [sym_do_statement] = STATE(124),
    [sym_for_statement] = STATE(124),
    [sym_return_statement] = STATE(124),
    [sym_break_statement] = STATE(124),
    [sym_continue_statement] = STATE(124),
    [sym_goto_statement] = STATE(124),
    [sym_seh_try_statement] = STATE(124),
    [sym_seh_leave_statement] = STATE(124),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_attribute_declaration] = STATE(387),
    [sym_compound_statement] = STATE(104),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_case_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_attribute_declaration] = STATE(352),
    [sym_compound_statement] = STATE(118),
    [sym_attributed_statement] = STATE(118),
    [sym_labeled_statement] = STATE(118),
    [sym_expression_statement] = STATE(118),
    [sym_if_statement] = STATE(118),
    [sym_switch_statement] = STATE(118),
    [sym_case_statement] = STATE(118),
    [sym_while_statement] = STATE(118),
    [sym_do_statement] = STATE(118),
    [sym_for_statement] = STATE(118),
    [sym_return_statement] = STATE(118),
    [sym_break_statement] = STATE(118),
    [sym_continue_statement] = STATE(118),
    [sym_goto_statement] = STATE(118),
    [sym_seh_try_statement] = STATE(118),
    [sym_seh_leave_statement] = STATE(118),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1487),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1499),
    [anon_sym_default] = ACTIONS(1502),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_do] = ACTIONS(1508),
    [anon_sym_for] = ACTIONS(1511),
    [anon_sym_return] = ACTIONS(1514),
    [anon_sym_break] = ACTIONS(1517),
    [anon_sym_continue] = ACTIONS(1520),
    [anon_sym_goto] = ACTIONS(1523),
    [anon_sym___try] = ACTIONS(1526),
    [anon_sym___leave] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1447),
    [anon_sym___alignof] = ACTIONS(1447),
    [anon_sym__alignof] = ACTIONS(1447),
    [anon_sym_alignof] = ACTIONS(1447),
    [anon_sym__Alignof] = ACTIONS(1447),
    [anon_sym_offsetof] = ACTIONS(1450),
    [anon_sym__Generic] = ACTIONS(1453),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1459),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1465),
    [anon_sym_u_DQUOTE] = ACTIONS(1465),
    [anon_sym_U_DQUOTE] = ACTIONS(1465),
    [anon_sym_u8_DQUOTE] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(1465),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1471),
    [anon_sym_nullptr] = ACTIONS(1471),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(181),
    [sym_attributed_statement] = STATE(181),
    [sym_labeled_statement] = STATE(181),
    [sym_expression_statement] = STATE(181),
    [sym_if_statement] = STATE(181),
    [sym_switch_statement] = STATE(181),
    [sym_case_statement] = STATE(181),
    [sym_while_statement] = STATE(181),
    [sym_do_statement] = STATE(181),
    [sym_for_statement] = STATE(181),
    [sym_return_statement] = STATE(181),
    [sym_break_statement] = STATE(181),
    [sym_continue_statement] = STATE(181),
    [sym_goto_statement] = STATE(181),
    [sym_seh_try_statement] = STATE(181),
    [sym_seh_leave_statement] = STATE(181),
    [sym__expression] = STATE(1041),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1850),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1015),
    [anon_sym___leave] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token2] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym___extension__] = ACTIONS(1248),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym___inline] = ACTIONS(1248),
    [anon_sym___inline__] = ACTIONS(1248),
    [anon_sym___forceinline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym___thread] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym___try] = ACTIONS(1248),
    [anon_sym___leave] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym___alignof__] = ACTIONS(1248),
    [anon_sym___alignof] = ACTIONS(1248),
    [anon_sym__alignof] = ACTIONS(1248),
    [anon_sym_alignof] = ACTIONS(1248),
    [anon_sym__Alignof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym___extension__] = ACTIONS(1260),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym___inline] = ACTIONS(1260),
    [anon_sym___inline__] = ACTIONS(1260),
    [anon_sym___forceinline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym___thread] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym___try] = ACTIONS(1260),
    [anon_sym___leave] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym___alignof__] = ACTIONS(1260),
    [anon_sym___alignof] = ACTIONS(1260),
    [anon_sym__alignof] = ACTIONS(1260),
    [anon_sym_alignof] = ACTIONS(1260),
    [anon_sym__Alignof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym___extension__] = ACTIONS(1300),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym___inline] = ACTIONS(1300),
    [anon_sym___inline__] = ACTIONS(1300),
    [anon_sym___forceinline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym___thread] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym___try] = ACTIONS(1300),
    [anon_sym___leave] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym___alignof__] = ACTIONS(1300),
    [anon_sym___alignof] = ACTIONS(1300),
    [anon_sym__alignof] = ACTIONS(1300),
    [anon_sym_alignof] = ACTIONS(1300),
    [anon_sym__Alignof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token2] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym___extension__] = ACTIONS(1252),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym___inline] = ACTIONS(1252),
    [anon_sym___inline__] = ACTIONS(1252),
    [anon_sym___forceinline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym___thread] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym___try] = ACTIONS(1252),
    [anon_sym___leave] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym___alignof__] = ACTIONS(1252),
    [anon_sym___alignof] = ACTIONS(1252),
    [anon_sym__alignof] = ACTIONS(1252),
    [anon_sym_alignof] = ACTIONS(1252),
    [anon_sym__Alignof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_attribute_declaration] = STATE(387),
    [sym_compound_statement] = STATE(88),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_case_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_attribute_declaration] = STATE(387),
    [sym_compound_statement] = STATE(90),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(94),
    [sym_switch_statement] = STATE(95),
    [sym_case_statement] = STATE(96),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(100),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(102),
    [sym_goto_statement] = STATE(103),
    [sym_seh_try_statement] = STATE(76),
    [sym_seh_leave_statement] = STATE(105),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(387),
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(185),
    [sym_attributed_statement] = STATE(185),
    [sym_labeled_statement] = STATE(185),
    [sym_expression_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_switch_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_while_statement] = STATE(185),
    [sym_do_statement] = STATE(185),
    [sym_for_statement] = STATE(185),
    [sym_return_statement] = STATE(185),
    [sym_break_statement] = STATE(185),
    [sym_continue_statement] = STATE(185),
    [sym_goto_statement] = STATE(185),
    [sym_seh_try_statement] = STATE(185),
    [sym_seh_leave_statement] = STATE(185),
    [sym__expression] = STATE(1041),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1850),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1015),
    [anon_sym___leave] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym___extension__] = ACTIONS(1304),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym___inline] = ACTIONS(1304),
    [anon_sym___inline__] = ACTIONS(1304),
    [anon_sym___forceinline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym___thread] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym___try] = ACTIONS(1304),
    [anon_sym___leave] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym___alignof__] = ACTIONS(1304),
    [anon_sym___alignof] = ACTIONS(1304),
    [anon_sym__alignof] = ACTIONS(1304),
    [anon_sym_alignof] = ACTIONS(1304),
    [anon_sym__Alignof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_attribute_declaration] = STATE(373),
    [sym_compound_statement] = STATE(181),
    [sym_attributed_statement] = STATE(181),
    [sym_labeled_statement] = STATE(181),
    [sym_expression_statement] = STATE(181),
    [sym_if_statement] = STATE(181),
    [sym_switch_statement] = STATE(181),
    [sym_case_statement] = STATE(181),
    [sym_while_statement] = STATE(181),
    [sym_do_statement] = STATE(181),
    [sym_for_statement] = STATE(181),
    [sym_return_statement] = STATE(181),
    [sym_break_statement] = STATE(181),
    [sym_continue_statement] = STATE(181),
    [sym_goto_statement] = STATE(181),
    [sym_seh_try_statement] = STATE(181),
    [sym_seh_leave_statement] = STATE(181),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(373),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1083),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_attribute_declaration] = STATE(373),
    [sym_compound_statement] = STATE(212),
    [sym_attributed_statement] = STATE(212),
    [sym_labeled_statement] = STATE(212),
    [sym_expression_statement] = STATE(212),
    [sym_if_statement] = STATE(212),
    [sym_switch_statement] = STATE(212),
    [sym_case_statement] = STATE(212),
    [sym_while_statement] = STATE(212),
    [sym_do_statement] = STATE(212),
    [sym_for_statement] = STATE(212),
    [sym_return_statement] = STATE(212),
    [sym_break_statement] = STATE(212),
    [sym_continue_statement] = STATE(212),
    [sym_goto_statement] = STATE(212),
    [sym_seh_try_statement] = STATE(212),
    [sym_seh_leave_statement] = STATE(212),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(373),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1083),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_attribute_declaration] = STATE(364),
    [sym_compound_statement] = STATE(298),
    [sym_attributed_statement] = STATE(298),
    [sym_labeled_statement] = STATE(298),
    [sym_expression_statement] = STATE(298),
    [sym_if_statement] = STATE(298),
    [sym_switch_statement] = STATE(298),
    [sym_case_statement] = STATE(298),
    [sym_while_statement] = STATE(298),
    [sym_do_statement] = STATE(298),
    [sym_for_statement] = STATE(298),
    [sym_return_statement] = STATE(298),
    [sym_break_statement] = STATE(298),
    [sym_continue_statement] = STATE(298),
    [sym_goto_statement] = STATE(298),
    [sym_seh_try_statement] = STATE(298),
    [sym_seh_leave_statement] = STATE(298),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(364),
    [sym_identifier] = ACTIONS(1532),
    [anon_sym_LPAREN2] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1393),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1535),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1541),
    [anon_sym_case] = ACTIONS(1544),
    [anon_sym_default] = ACTIONS(1547),
    [anon_sym_while] = ACTIONS(1550),
    [anon_sym_do] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1556),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_break] = ACTIONS(1562),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1568),
    [anon_sym___try] = ACTIONS(1571),
    [anon_sym___leave] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1447),
    [anon_sym___alignof] = ACTIONS(1447),
    [anon_sym__alignof] = ACTIONS(1447),
    [anon_sym_alignof] = ACTIONS(1447),
    [anon_sym__Alignof] = ACTIONS(1447),
    [anon_sym_offsetof] = ACTIONS(1450),
    [anon_sym__Generic] = ACTIONS(1453),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1459),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1465),
    [anon_sym_u_DQUOTE] = ACTIONS(1465),
    [anon_sym_U_DQUOTE] = ACTIONS(1465),
    [anon_sym_u8_DQUOTE] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(1465),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1471),
    [anon_sym_nullptr] = ACTIONS(1471),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_attribute_declaration] = STATE(373),
    [sym_compound_statement] = STATE(185),
    [sym_attributed_statement] = STATE(185),
    [sym_labeled_statement] = STATE(185),
    [sym_expression_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_switch_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_while_statement] = STATE(185),
    [sym_do_statement] = STATE(185),
    [sym_for_statement] = STATE(185),
    [sym_return_statement] = STATE(185),
    [sym_break_statement] = STATE(185),
    [sym_continue_statement] = STATE(185),
    [sym_goto_statement] = STATE(185),
    [sym_seh_try_statement] = STATE(185),
    [sym_seh_leave_statement] = STATE(185),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(373),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1083),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym___extension__] = ACTIONS(1332),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym___inline] = ACTIONS(1332),
    [anon_sym___inline__] = ACTIONS(1332),
    [anon_sym___forceinline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym___thread] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym___try] = ACTIONS(1332),
    [anon_sym___leave] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym___alignof__] = ACTIONS(1332),
    [anon_sym___alignof] = ACTIONS(1332),
    [anon_sym__alignof] = ACTIONS(1332),
    [anon_sym_alignof] = ACTIONS(1332),
    [anon_sym__Alignof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym___extension__] = ACTIONS(1336),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym___inline] = ACTIONS(1336),
    [anon_sym___inline__] = ACTIONS(1336),
    [anon_sym___forceinline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym___thread] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym___try] = ACTIONS(1336),
    [anon_sym___leave] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1336),
    [anon_sym___alignof] = ACTIONS(1336),
    [anon_sym__alignof] = ACTIONS(1336),
    [anon_sym_alignof] = ACTIONS(1336),
    [anon_sym__Alignof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_attribute_declaration] = STATE(373),
    [sym_compound_statement] = STATE(187),
    [sym_attributed_statement] = STATE(188),
    [sym_labeled_statement] = STATE(189),
    [sym_expression_statement] = STATE(190),
    [sym_if_statement] = STATE(191),
    [sym_switch_statement] = STATE(192),
    [sym_case_statement] = STATE(193),
    [sym_while_statement] = STATE(194),
    [sym_do_statement] = STATE(195),
    [sym_for_statement] = STATE(196),
    [sym_return_statement] = STATE(197),
    [sym_break_statement] = STATE(198),
    [sym_continue_statement] = STATE(199),
    [sym_goto_statement] = STATE(200),
    [sym_seh_try_statement] = STATE(201),
    [sym_seh_leave_statement] = STATE(202),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(373),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1083),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_identifier] = ACTIONS(1240),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym___extension__] = ACTIONS(1240),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_extern] = ACTIONS(1240),
    [anon_sym___attribute__] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1242),
    [anon_sym___declspec] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [anon_sym_signed] = ACTIONS(1240),
    [anon_sym_unsigned] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_auto] = ACTIONS(1240),
    [anon_sym_register] = ACTIONS(1240),
    [anon_sym_inline] = ACTIONS(1240),
    [anon_sym___inline] = ACTIONS(1240),
    [anon_sym___inline__] = ACTIONS(1240),
    [anon_sym___forceinline] = ACTIONS(1240),
    [anon_sym_thread_local] = ACTIONS(1240),
    [anon_sym___thread] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_constexpr] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_restrict] = ACTIONS(1240),
    [anon_sym___restrict__] = ACTIONS(1240),
    [anon_sym__Atomic] = ACTIONS(1240),
    [anon_sym__Noreturn] = ACTIONS(1240),
    [anon_sym_noreturn] = ACTIONS(1240),
    [sym_primitive_type] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_struct] = ACTIONS(1240),
    [anon_sym_union] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_goto] = ACTIONS(1240),
    [anon_sym___try] = ACTIONS(1240),
    [anon_sym___leave] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_sizeof] = ACTIONS(1240),
    [anon_sym___alignof__] = ACTIONS(1240),
    [anon_sym___alignof] = ACTIONS(1240),
    [anon_sym__alignof] = ACTIONS(1240),
    [anon_sym_alignof] = ACTIONS(1240),
    [anon_sym__Alignof] = ACTIONS(1240),
    [anon_sym_offsetof] = ACTIONS(1240),
    [anon_sym__Generic] = ACTIONS(1240),
    [anon_sym_asm] = ACTIONS(1240),
    [anon_sym___asm__] = ACTIONS(1240),
    [sym_number_literal] = ACTIONS(1242),
    [anon_sym_L_SQUOTE] = ACTIONS(1242),
    [anon_sym_u_SQUOTE] = ACTIONS(1242),
    [anon_sym_U_SQUOTE] = ACTIONS(1242),
    [anon_sym_u8_SQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_L_DQUOTE] = ACTIONS(1242),
    [anon_sym_u_DQUOTE] = ACTIONS(1242),
    [anon_sym_U_DQUOTE] = ACTIONS(1242),
    [anon_sym_u8_DQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_NULL] = ACTIONS(1240),
    [anon_sym_nullptr] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_attribute_declaration] = STATE(346),
    [sym_compound_statement] = STATE(227),
    [sym_attributed_statement] = STATE(227),
    [sym_labeled_statement] = STATE(227),
    [sym_expression_statement] = STATE(227),
    [sym_if_statement] = STATE(227),
    [sym_switch_statement] = STATE(227),
    [sym_case_statement] = STATE(227),
    [sym_while_statement] = STATE(227),
    [sym_do_statement] = STATE(227),
    [sym_for_statement] = STATE(227),
    [sym_return_statement] = STATE(227),
    [sym_break_statement] = STATE(227),
    [sym_continue_statement] = STATE(227),
    [sym_goto_statement] = STATE(227),
    [sym_seh_try_statement] = STATE(227),
    [sym_seh_leave_statement] = STATE(227),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(346),
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(389),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(395),
    [anon_sym___try] = ACTIONS(397),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_attribute_declaration] = STATE(364),
    [sym_compound_statement] = STATE(298),
    [sym_attributed_statement] = STATE(298),
    [sym_labeled_statement] = STATE(298),
    [sym_expression_statement] = STATE(298),
    [sym_if_statement] = STATE(298),
    [sym_switch_statement] = STATE(298),
    [sym_case_statement] = STATE(298),
    [sym_while_statement] = STATE(298),
    [sym_do_statement] = STATE(298),
    [sym_for_statement] = STATE(298),
    [sym_return_statement] = STATE(298),
    [sym_break_statement] = STATE(298),
    [sym_continue_statement] = STATE(298),
    [sym_goto_statement] = STATE(298),
    [sym_seh_try_statement] = STATE(298),
    [sym_seh_leave_statement] = STATE(298),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(364),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1083),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym___extension__] = ACTIONS(1276),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym___inline] = ACTIONS(1276),
    [anon_sym___inline__] = ACTIONS(1276),
    [anon_sym___forceinline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym___thread] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym___try] = ACTIONS(1276),
    [anon_sym___leave] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym___alignof__] = ACTIONS(1276),
    [anon_sym___alignof] = ACTIONS(1276),
    [anon_sym__alignof] = ACTIONS(1276),
    [anon_sym_alignof] = ACTIONS(1276),
    [anon_sym__Alignof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_attribute_declaration] = STATE(395),
    [sym_compound_statement] = STATE(156),
    [sym_attributed_statement] = STATE(156),
    [sym_labeled_statement] = STATE(156),
    [sym_expression_statement] = STATE(156),
    [sym_if_statement] = STATE(156),
    [sym_switch_statement] = STATE(156),
    [sym_case_statement] = STATE(156),
    [sym_while_statement] = STATE(156),
    [sym_do_statement] = STATE(156),
    [sym_for_statement] = STATE(156),
    [sym_return_statement] = STATE(156),
    [sym_break_statement] = STATE(156),
    [sym_continue_statement] = STATE(156),
    [sym_goto_statement] = STATE(156),
    [sym_seh_try_statement] = STATE(156),
    [sym_seh_leave_statement] = STATE(156),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(395),
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(503),
    [anon_sym_default] = ACTIONS(505),
    [anon_sym_while] = ACTIONS(507),
    [anon_sym_do] = ACTIONS(509),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_break] = ACTIONS(515),
    [anon_sym_continue] = ACTIONS(517),
    [anon_sym_goto] = ACTIONS(519),
    [anon_sym___try] = ACTIONS(521),
    [anon_sym___leave] = ACTIONS(523),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_attribute_declaration] = STATE(395),
    [sym_compound_statement] = STATE(245),
    [sym_attributed_statement] = STATE(245),
    [sym_labeled_statement] = STATE(245),
    [sym_expression_statement] = STATE(245),
    [sym_if_statement] = STATE(245),
    [sym_switch_statement] = STATE(245),
    [sym_case_statement] = STATE(245),
    [sym_while_statement] = STATE(245),
    [sym_do_statement] = STATE(245),
    [sym_for_statement] = STATE(245),
    [sym_return_statement] = STATE(245),
    [sym_break_statement] = STATE(245),
    [sym_continue_statement] = STATE(245),
    [sym_goto_statement] = STATE(245),
    [sym_seh_try_statement] = STATE(245),
    [sym_seh_leave_statement] = STATE(245),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(395),
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(503),
    [anon_sym_default] = ACTIONS(505),
    [anon_sym_while] = ACTIONS(507),
    [anon_sym_do] = ACTIONS(509),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_break] = ACTIONS(515),
    [anon_sym_continue] = ACTIONS(517),
    [anon_sym_goto] = ACTIONS(519),
    [anon_sym___try] = ACTIONS(521),
    [anon_sym___leave] = ACTIONS(523),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_attribute_declaration] = STATE(395),
    [sym_compound_statement] = STATE(248),
    [sym_attributed_statement] = STATE(248),
    [sym_labeled_statement] = STATE(248),
    [sym_expression_statement] = STATE(248),
    [sym_if_statement] = STATE(248),
    [sym_switch_statement] = STATE(248),
    [sym_case_statement] = STATE(248),
    [sym_while_statement] = STATE(248),
    [sym_do_statement] = STATE(248),
    [sym_for_statement] = STATE(248),
    [sym_return_statement] = STATE(248),
    [sym_break_statement] = STATE(248),
    [sym_continue_statement] = STATE(248),
    [sym_goto_statement] = STATE(248),
    [sym_seh_try_statement] = STATE(248),
    [sym_seh_leave_statement] = STATE(248),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(395),
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(503),
    [anon_sym_default] = ACTIONS(505),
    [anon_sym_while] = ACTIONS(507),
    [anon_sym_do] = ACTIONS(509),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_break] = ACTIONS(515),
    [anon_sym_continue] = ACTIONS(517),
    [anon_sym_goto] = ACTIONS(519),
    [anon_sym___try] = ACTIONS(521),
    [anon_sym___leave] = ACTIONS(523),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_attribute_declaration] = STATE(379),
    [sym_compound_statement] = STATE(238),
    [sym_attributed_statement] = STATE(238),
    [sym_labeled_statement] = STATE(238),
    [sym_expression_statement] = STATE(238),
    [sym_if_statement] = STATE(238),
    [sym_switch_statement] = STATE(238),
    [sym_case_statement] = STATE(238),
    [sym_while_statement] = STATE(238),
    [sym_do_statement] = STATE(238),
    [sym_for_statement] = STATE(238),
    [sym_return_statement] = STATE(238),
    [sym_break_statement] = STATE(238),
    [sym_continue_statement] = STATE(238),
    [sym_goto_statement] = STATE(238),
    [sym_seh_try_statement] = STATE(238),
    [sym_seh_leave_statement] = STATE(238),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_LPAREN2] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1579),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_if] = ACTIONS(1585),
    [anon_sym_switch] = ACTIONS(1588),
    [anon_sym_case] = ACTIONS(1591),
    [anon_sym_default] = ACTIONS(1594),
    [anon_sym_while] = ACTIONS(1597),
    [anon_sym_do] = ACTIONS(1600),
    [anon_sym_for] = ACTIONS(1603),
    [anon_sym_return] = ACTIONS(1606),
    [anon_sym_break] = ACTIONS(1609),
    [anon_sym_continue] = ACTIONS(1612),
    [anon_sym_goto] = ACTIONS(1615),
    [anon_sym___try] = ACTIONS(1618),
    [anon_sym___leave] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1447),
    [anon_sym___alignof] = ACTIONS(1447),
    [anon_sym__alignof] = ACTIONS(1447),
    [anon_sym_alignof] = ACTIONS(1447),
    [anon_sym__Alignof] = ACTIONS(1447),
    [anon_sym_offsetof] = ACTIONS(1450),
    [anon_sym__Generic] = ACTIONS(1453),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1459),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1465),
    [anon_sym_u_DQUOTE] = ACTIONS(1465),
    [anon_sym_U_DQUOTE] = ACTIONS(1465),
    [anon_sym_u8_DQUOTE] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(1465),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1471),
    [anon_sym_nullptr] = ACTIONS(1471),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym___extension__] = ACTIONS(1256),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym___inline] = ACTIONS(1256),
    [anon_sym___inline__] = ACTIONS(1256),
    [anon_sym___forceinline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym___thread] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym___try] = ACTIONS(1256),
    [anon_sym___leave] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym___alignof__] = ACTIONS(1256),
    [anon_sym___alignof] = ACTIONS(1256),
    [anon_sym__alignof] = ACTIONS(1256),
    [anon_sym_alignof] = ACTIONS(1256),
    [anon_sym__Alignof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym___extension__] = ACTIONS(1264),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym___inline] = ACTIONS(1264),
    [anon_sym___inline__] = ACTIONS(1264),
    [anon_sym___forceinline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym___thread] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym___try] = ACTIONS(1264),
    [anon_sym___leave] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym___alignof__] = ACTIONS(1264),
    [anon_sym___alignof] = ACTIONS(1264),
    [anon_sym__alignof] = ACTIONS(1264),
    [anon_sym_alignof] = ACTIONS(1264),
    [anon_sym__Alignof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym___extension__] = ACTIONS(1256),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym___inline] = ACTIONS(1256),
    [anon_sym___inline__] = ACTIONS(1256),
    [anon_sym___forceinline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym___thread] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym___try] = ACTIONS(1256),
    [anon_sym___leave] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym___alignof__] = ACTIONS(1256),
    [anon_sym___alignof] = ACTIONS(1256),
    [anon_sym__alignof] = ACTIONS(1256),
    [anon_sym_alignof] = ACTIONS(1256),
    [anon_sym__Alignof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token2] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym___extension__] = ACTIONS(1260),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym___inline] = ACTIONS(1260),
    [anon_sym___inline__] = ACTIONS(1260),
    [anon_sym___forceinline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym___thread] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym___try] = ACTIONS(1260),
    [anon_sym___leave] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym___alignof__] = ACTIONS(1260),
    [anon_sym___alignof] = ACTIONS(1260),
    [anon_sym__alignof] = ACTIONS(1260),
    [anon_sym_alignof] = ACTIONS(1260),
    [anon_sym__Alignof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_attribute_declaration] = STATE(395),
    [sym_compound_statement] = STATE(256),
    [sym_attributed_statement] = STATE(256),
    [sym_labeled_statement] = STATE(256),
    [sym_expression_statement] = STATE(256),
    [sym_if_statement] = STATE(256),
    [sym_switch_statement] = STATE(256),
    [sym_case_statement] = STATE(256),
    [sym_while_statement] = STATE(256),
    [sym_do_statement] = STATE(256),
    [sym_for_statement] = STATE(256),
    [sym_return_statement] = STATE(256),
    [sym_break_statement] = STATE(256),
    [sym_continue_statement] = STATE(256),
    [sym_goto_statement] = STATE(256),
    [sym_seh_try_statement] = STATE(256),
    [sym_seh_leave_statement] = STATE(256),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(395),
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(503),
    [anon_sym_default] = ACTIONS(505),
    [anon_sym_while] = ACTIONS(507),
    [anon_sym_do] = ACTIONS(509),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_break] = ACTIONS(515),
    [anon_sym_continue] = ACTIONS(517),
    [anon_sym_goto] = ACTIONS(519),
    [anon_sym___try] = ACTIONS(521),
    [anon_sym___leave] = ACTIONS(523),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_attribute_declaration] = STATE(395),
    [sym_compound_statement] = STATE(258),
    [sym_attributed_statement] = STATE(259),
    [sym_labeled_statement] = STATE(260),
    [sym_expression_statement] = STATE(261),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(263),
    [sym_case_statement] = STATE(264),
    [sym_while_statement] = STATE(265),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(267),
    [sym_return_statement] = STATE(268),
    [sym_break_statement] = STATE(269),
    [sym_continue_statement] = STATE(270),
    [sym_goto_statement] = STATE(271),
    [sym_seh_try_statement] = STATE(272),
    [sym_seh_leave_statement] = STATE(273),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(395),
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(503),
    [anon_sym_default] = ACTIONS(505),
    [anon_sym_while] = ACTIONS(507),
    [anon_sym_do] = ACTIONS(509),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_break] = ACTIONS(515),
    [anon_sym_continue] = ACTIONS(517),
    [anon_sym_goto] = ACTIONS(519),
    [anon_sym___try] = ACTIONS(521),
    [anon_sym___leave] = ACTIONS(523),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token2] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym___extension__] = ACTIONS(1304),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym___inline] = ACTIONS(1304),
    [anon_sym___inline__] = ACTIONS(1304),
    [anon_sym___forceinline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym___thread] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym___try] = ACTIONS(1304),
    [anon_sym___leave] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym___alignof__] = ACTIONS(1304),
    [anon_sym___alignof] = ACTIONS(1304),
    [anon_sym__alignof] = ACTIONS(1304),
    [anon_sym_alignof] = ACTIONS(1304),
    [anon_sym__Alignof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_attribute_declaration] = STATE(352),
    [sym_compound_statement] = STATE(118),
    [sym_attributed_statement] = STATE(118),
    [sym_labeled_statement] = STATE(118),
    [sym_expression_statement] = STATE(118),
    [sym_if_statement] = STATE(118),
    [sym_switch_statement] = STATE(118),
    [sym_case_statement] = STATE(118),
    [sym_while_statement] = STATE(118),
    [sym_do_statement] = STATE(118),
    [sym_for_statement] = STATE(118),
    [sym_return_statement] = STATE(118),
    [sym_break_statement] = STATE(118),
    [sym_continue_statement] = STATE(118),
    [sym_goto_statement] = STATE(118),
    [sym_seh_try_statement] = STATE(118),
    [sym_seh_leave_statement] = STATE(118),
    [sym__expression] = STATE(1085),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1919),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token2] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym___extension__] = ACTIONS(1332),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym___inline] = ACTIONS(1332),
    [anon_sym___inline__] = ACTIONS(1332),
    [anon_sym___forceinline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym___thread] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym___try] = ACTIONS(1332),
    [anon_sym___leave] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym___alignof__] = ACTIONS(1332),
    [anon_sym___alignof] = ACTIONS(1332),
    [anon_sym__alignof] = ACTIONS(1332),
    [anon_sym_alignof] = ACTIONS(1332),
    [anon_sym__Alignof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_attribute_declaration] = STATE(390),
    [sym_compound_statement] = STATE(298),
    [sym_attributed_statement] = STATE(298),
    [sym_labeled_statement] = STATE(298),
    [sym_expression_statement] = STATE(298),
    [sym_if_statement] = STATE(298),
    [sym_switch_statement] = STATE(298),
    [sym_case_statement] = STATE(298),
    [sym_while_statement] = STATE(298),
    [sym_do_statement] = STATE(298),
    [sym_for_statement] = STATE(298),
    [sym_return_statement] = STATE(298),
    [sym_break_statement] = STATE(298),
    [sym_continue_statement] = STATE(298),
    [sym_goto_statement] = STATE(298),
    [sym_seh_try_statement] = STATE(298),
    [sym_seh_leave_statement] = STATE(298),
    [sym__expression] = STATE(1041),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1850),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [sym_identifier] = ACTIONS(1624),
    [anon_sym_LPAREN2] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1535),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(1541),
    [anon_sym_case] = ACTIONS(1633),
    [anon_sym_default] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1639),
    [anon_sym_do] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1642),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_break] = ACTIONS(1562),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1568),
    [anon_sym___try] = ACTIONS(1645),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1447),
    [anon_sym___alignof] = ACTIONS(1447),
    [anon_sym__alignof] = ACTIONS(1447),
    [anon_sym_alignof] = ACTIONS(1447),
    [anon_sym__Alignof] = ACTIONS(1447),
    [anon_sym_offsetof] = ACTIONS(1450),
    [anon_sym__Generic] = ACTIONS(1453),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1459),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1465),
    [anon_sym_u_DQUOTE] = ACTIONS(1465),
    [anon_sym_U_DQUOTE] = ACTIONS(1465),
    [anon_sym_u8_DQUOTE] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(1465),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1471),
    [anon_sym_nullptr] = ACTIONS(1471),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym___extension__] = ACTIONS(1336),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym___inline] = ACTIONS(1336),
    [anon_sym___inline__] = ACTIONS(1336),
    [anon_sym___forceinline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym___thread] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym___try] = ACTIONS(1336),
    [anon_sym___leave] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1336),
    [anon_sym___alignof] = ACTIONS(1336),
    [anon_sym__alignof] = ACTIONS(1336),
    [anon_sym_alignof] = ACTIONS(1336),
    [anon_sym__Alignof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_identifier] = ACTIONS(1240),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token2] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym___extension__] = ACTIONS(1240),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_extern] = ACTIONS(1240),
    [anon_sym___attribute__] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1242),
    [anon_sym___declspec] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_signed] = ACTIONS(1240),
    [anon_sym_unsigned] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_auto] = ACTIONS(1240),
    [anon_sym_register] = ACTIONS(1240),
    [anon_sym_inline] = ACTIONS(1240),
    [anon_sym___inline] = ACTIONS(1240),
    [anon_sym___inline__] = ACTIONS(1240),
    [anon_sym___forceinline] = ACTIONS(1240),
    [anon_sym_thread_local] = ACTIONS(1240),
    [anon_sym___thread] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_constexpr] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_restrict] = ACTIONS(1240),
    [anon_sym___restrict__] = ACTIONS(1240),
    [anon_sym__Atomic] = ACTIONS(1240),
    [anon_sym__Noreturn] = ACTIONS(1240),
    [anon_sym_noreturn] = ACTIONS(1240),
    [sym_primitive_type] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_struct] = ACTIONS(1240),
    [anon_sym_union] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_goto] = ACTIONS(1240),
    [anon_sym___try] = ACTIONS(1240),
    [anon_sym___leave] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_sizeof] = ACTIONS(1240),
    [anon_sym___alignof__] = ACTIONS(1240),
    [anon_sym___alignof] = ACTIONS(1240),
    [anon_sym__alignof] = ACTIONS(1240),
    [anon_sym_alignof] = ACTIONS(1240),
    [anon_sym__Alignof] = ACTIONS(1240),
    [anon_sym_offsetof] = ACTIONS(1240),
    [anon_sym__Generic] = ACTIONS(1240),
    [anon_sym_asm] = ACTIONS(1240),
    [anon_sym___asm__] = ACTIONS(1240),
    [sym_number_literal] = ACTIONS(1242),
    [anon_sym_L_SQUOTE] = ACTIONS(1242),
    [anon_sym_u_SQUOTE] = ACTIONS(1242),
    [anon_sym_U_SQUOTE] = ACTIONS(1242),
    [anon_sym_u8_SQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_L_DQUOTE] = ACTIONS(1242),
    [anon_sym_u_DQUOTE] = ACTIONS(1242),
    [anon_sym_U_DQUOTE] = ACTIONS(1242),
    [anon_sym_u8_DQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_NULL] = ACTIONS(1240),
    [anon_sym_nullptr] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym___extension__] = ACTIONS(1340),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym___inline] = ACTIONS(1340),
    [anon_sym___inline__] = ACTIONS(1340),
    [anon_sym___forceinline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym___thread] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym___try] = ACTIONS(1340),
    [anon_sym___leave] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym___alignof__] = ACTIONS(1340),
    [anon_sym___alignof] = ACTIONS(1340),
    [anon_sym__alignof] = ACTIONS(1340),
    [anon_sym_alignof] = ACTIONS(1340),
    [anon_sym__Alignof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_attribute_declaration] = STATE(379),
    [sym_compound_statement] = STATE(238),
    [sym_attributed_statement] = STATE(238),
    [sym_labeled_statement] = STATE(238),
    [sym_expression_statement] = STATE(238),
    [sym_if_statement] = STATE(238),
    [sym_switch_statement] = STATE(238),
    [sym_case_statement] = STATE(238),
    [sym_while_statement] = STATE(238),
    [sym_do_statement] = STATE(238),
    [sym_for_statement] = STATE(238),
    [sym_return_statement] = STATE(238),
    [sym_break_statement] = STATE(238),
    [sym_continue_statement] = STATE(238),
    [sym_goto_statement] = STATE(238),
    [sym_seh_try_statement] = STATE(238),
    [sym_seh_leave_statement] = STATE(238),
    [sym__expression] = STATE(1045),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1954),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(503),
    [anon_sym_default] = ACTIONS(505),
    [anon_sym_while] = ACTIONS(507),
    [anon_sym_do] = ACTIONS(509),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(513),
    [anon_sym_break] = ACTIONS(515),
    [anon_sym_continue] = ACTIONS(517),
    [anon_sym_goto] = ACTIONS(519),
    [anon_sym___try] = ACTIONS(521),
    [anon_sym___leave] = ACTIONS(523),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token2] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym___extension__] = ACTIONS(1264),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym___inline] = ACTIONS(1264),
    [anon_sym___inline__] = ACTIONS(1264),
    [anon_sym___forceinline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym___thread] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym___try] = ACTIONS(1264),
    [anon_sym___leave] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym___alignof__] = ACTIONS(1264),
    [anon_sym___alignof] = ACTIONS(1264),
    [anon_sym__alignof] = ACTIONS(1264),
    [anon_sym_alignof] = ACTIONS(1264),
    [anon_sym__Alignof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym___extension__] = ACTIONS(1288),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym___inline] = ACTIONS(1288),
    [anon_sym___inline__] = ACTIONS(1288),
    [anon_sym___forceinline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym___thread] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym___try] = ACTIONS(1288),
    [anon_sym___leave] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym___alignof__] = ACTIONS(1288),
    [anon_sym___alignof] = ACTIONS(1288),
    [anon_sym__alignof] = ACTIONS(1288),
    [anon_sym_alignof] = ACTIONS(1288),
    [anon_sym__Alignof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym___extension__] = ACTIONS(1268),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym___inline] = ACTIONS(1268),
    [anon_sym___inline__] = ACTIONS(1268),
    [anon_sym___forceinline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym___thread] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym___try] = ACTIONS(1268),
    [anon_sym___leave] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym___alignof__] = ACTIONS(1268),
    [anon_sym___alignof] = ACTIONS(1268),
    [anon_sym__alignof] = ACTIONS(1268),
    [anon_sym_alignof] = ACTIONS(1268),
    [anon_sym__Alignof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_attribute_declaration] = STATE(390),
    [sym_compound_statement] = STATE(298),
    [sym_attributed_statement] = STATE(298),
    [sym_labeled_statement] = STATE(298),
    [sym_expression_statement] = STATE(298),
    [sym_if_statement] = STATE(298),
    [sym_switch_statement] = STATE(298),
    [sym_case_statement] = STATE(298),
    [sym_while_statement] = STATE(298),
    [sym_do_statement] = STATE(298),
    [sym_for_statement] = STATE(298),
    [sym_return_statement] = STATE(298),
    [sym_break_statement] = STATE(298),
    [sym_continue_statement] = STATE(298),
    [sym_goto_statement] = STATE(298),
    [sym_seh_try_statement] = STATE(298),
    [sym_seh_leave_statement] = STATE(298),
    [sym__expression] = STATE(1041),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1850),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [sym_identifier] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1015),
    [anon_sym___leave] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym___extension__] = ACTIONS(1248),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym___inline] = ACTIONS(1248),
    [anon_sym___inline__] = ACTIONS(1248),
    [anon_sym___forceinline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym___thread] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym___try] = ACTIONS(1248),
    [anon_sym___leave] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym___alignof__] = ACTIONS(1248),
    [anon_sym___alignof] = ACTIONS(1248),
    [anon_sym__alignof] = ACTIONS(1248),
    [anon_sym_alignof] = ACTIONS(1248),
    [anon_sym__Alignof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_attribute_declaration] = STATE(373),
    [sym_compound_statement] = STATE(1775),
    [sym_attributed_statement] = STATE(1775),
    [sym_labeled_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_if_statement] = STATE(1775),
    [sym_switch_statement] = STATE(1775),
    [sym_case_statement] = STATE(1775),
    [sym_while_statement] = STATE(1775),
    [sym_do_statement] = STATE(1775),
    [sym_for_statement] = STATE(1775),
    [sym_return_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_goto_statement] = STATE(1775),
    [sym_seh_try_statement] = STATE(1775),
    [sym_seh_leave_statement] = STATE(1775),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(373),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1083),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_attribute_declaration] = STATE(373),
    [sym_compound_statement] = STATE(2001),
    [sym_attributed_statement] = STATE(2001),
    [sym_labeled_statement] = STATE(2001),
    [sym_expression_statement] = STATE(2001),
    [sym_if_statement] = STATE(2001),
    [sym_switch_statement] = STATE(2001),
    [sym_case_statement] = STATE(2001),
    [sym_while_statement] = STATE(2001),
    [sym_do_statement] = STATE(2001),
    [sym_for_statement] = STATE(2001),
    [sym_return_statement] = STATE(2001),
    [sym_break_statement] = STATE(2001),
    [sym_continue_statement] = STATE(2001),
    [sym_goto_statement] = STATE(2001),
    [sym_seh_try_statement] = STATE(2001),
    [sym_seh_leave_statement] = STATE(2001),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(373),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1083),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_attribute_declaration] = STATE(373),
    [sym_compound_statement] = STATE(450),
    [sym_attributed_statement] = STATE(450),
    [sym_labeled_statement] = STATE(450),
    [sym_expression_statement] = STATE(450),
    [sym_if_statement] = STATE(450),
    [sym_switch_statement] = STATE(450),
    [sym_case_statement] = STATE(450),
    [sym_while_statement] = STATE(450),
    [sym_do_statement] = STATE(450),
    [sym_for_statement] = STATE(450),
    [sym_return_statement] = STATE(450),
    [sym_break_statement] = STATE(450),
    [sym_continue_statement] = STATE(450),
    [sym_goto_statement] = STATE(450),
    [sym_seh_try_statement] = STATE(450),
    [sym_seh_leave_statement] = STATE(450),
    [sym__expression] = STATE(1033),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1932),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_attributed_declarator_repeat1] = STATE(373),
    [sym_identifier] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1083),
    [anon_sym___leave] = ACTIONS(399),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_identifier] = ACTIONS(1236),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [anon_sym_COMMA] = ACTIONS(1238),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym___extension__] = ACTIONS(1236),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1236),
    [anon_sym___attribute__] = ACTIONS(1236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [anon_sym_signed] = ACTIONS(1236),
    [anon_sym_unsigned] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_auto] = ACTIONS(1236),
    [anon_sym_register] = ACTIONS(1236),
    [anon_sym_inline] = ACTIONS(1236),
    [anon_sym___inline] = ACTIONS(1236),
    [anon_sym___inline__] = ACTIONS(1236),
    [anon_sym___forceinline] = ACTIONS(1236),
    [anon_sym_thread_local] = ACTIONS(1236),
    [anon_sym___thread] = ACTIONS(1236),
    [anon_sym_const] = ACTIONS(1236),
    [anon_sym_constexpr] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_restrict] = ACTIONS(1236),
    [anon_sym___restrict__] = ACTIONS(1236),
    [anon_sym__Atomic] = ACTIONS(1236),
    [anon_sym__Noreturn] = ACTIONS(1236),
    [anon_sym_noreturn] = ACTIONS(1236),
    [sym_primitive_type] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1236),
    [anon_sym_union] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_goto] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_sizeof] = ACTIONS(1236),
    [anon_sym___alignof__] = ACTIONS(1236),
    [anon_sym___alignof] = ACTIONS(1236),
    [anon_sym__alignof] = ACTIONS(1236),
    [anon_sym_alignof] = ACTIONS(1236),
    [anon_sym__Alignof] = ACTIONS(1236),
    [anon_sym_offsetof] = ACTIONS(1236),
    [anon_sym__Generic] = ACTIONS(1236),
    [anon_sym_asm] = ACTIONS(1236),
    [anon_sym___asm__] = ACTIONS(1236),
    [sym_number_literal] = ACTIONS(1238),
    [anon_sym_L_SQUOTE] = ACTIONS(1238),
    [anon_sym_u_SQUOTE] = ACTIONS(1238),
    [anon_sym_U_SQUOTE] = ACTIONS(1238),
    [anon_sym_u8_SQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_L_DQUOTE] = ACTIONS(1238),
    [anon_sym_u_DQUOTE] = ACTIONS(1238),
    [anon_sym_U_DQUOTE] = ACTIONS(1238),
    [anon_sym_u8_DQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [anon_sym_NULL] = ACTIONS(1236),
    [anon_sym_nullptr] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [ts_builtin_sym_end] = ACTIONS(1246),
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [anon_sym_COMMA] = ACTIONS(1246),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym___extension__] = ACTIONS(1244),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym___inline] = ACTIONS(1244),
    [anon_sym___inline__] = ACTIONS(1244),
    [anon_sym___forceinline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym___thread] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym___alignof__] = ACTIONS(1244),
    [anon_sym___alignof] = ACTIONS(1244),
    [anon_sym__alignof] = ACTIONS(1244),
    [anon_sym_alignof] = ACTIONS(1244),
    [anon_sym__Alignof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym__expression] = STATE(890),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(711),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(711),
    [sym_call_expression] = STATE(711),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(711),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(711),
    [sym_initializer_list] = STATE(714),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_identifier] = ACTIONS(1350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1651),
    [anon_sym_TILDE] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(1358),
    [anon_sym_PERCENT] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_PIPE] = ACTIONS(1358),
    [anon_sym_CARET] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_EQ_EQ] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1358),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1358),
    [anon_sym_LT_LT] = ACTIONS(1358),
    [anon_sym_GT_GT] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_RBRACK] = ACTIONS(1352),
    [anon_sym_EQ] = ACTIONS(1358),
    [anon_sym_QMARK] = ACTIONS(1352),
    [anon_sym_STAR_EQ] = ACTIONS(1352),
    [anon_sym_SLASH_EQ] = ACTIONS(1352),
    [anon_sym_PERCENT_EQ] = ACTIONS(1352),
    [anon_sym_PLUS_EQ] = ACTIONS(1352),
    [anon_sym_DASH_EQ] = ACTIONS(1352),
    [anon_sym_LT_LT_EQ] = ACTIONS(1352),
    [anon_sym_GT_GT_EQ] = ACTIONS(1352),
    [anon_sym_AMP_EQ] = ACTIONS(1352),
    [anon_sym_CARET_EQ] = ACTIONS(1352),
    [anon_sym_PIPE_EQ] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1655),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_DASH_GT] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym___extension__] = ACTIONS(1284),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym___inline] = ACTIONS(1284),
    [anon_sym___inline__] = ACTIONS(1284),
    [anon_sym___forceinline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym___thread] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym___alignof__] = ACTIONS(1284),
    [anon_sym___alignof] = ACTIONS(1284),
    [anon_sym__alignof] = ACTIONS(1284),
    [anon_sym_alignof] = ACTIONS(1284),
    [anon_sym__Alignof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym___extension__] = ACTIONS(1320),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym___inline] = ACTIONS(1320),
    [anon_sym___inline__] = ACTIONS(1320),
    [anon_sym___forceinline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym___thread] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [ts_builtin_sym_end] = ACTIONS(1298),
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym___extension__] = ACTIONS(1296),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym___inline] = ACTIONS(1296),
    [anon_sym___inline__] = ACTIONS(1296),
    [anon_sym___forceinline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym___thread] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym___alignof__] = ACTIONS(1296),
    [anon_sym___alignof] = ACTIONS(1296),
    [anon_sym__alignof] = ACTIONS(1296),
    [anon_sym_alignof] = ACTIONS(1296),
    [anon_sym__Alignof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [ts_builtin_sym_end] = ACTIONS(1657),
    [sym_identifier] = ACTIONS(1659),
    [aux_sym_preproc_include_token1] = ACTIONS(1659),
    [aux_sym_preproc_def_token1] = ACTIONS(1659),
    [aux_sym_preproc_if_token1] = ACTIONS(1659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1659),
    [sym_preproc_directive] = ACTIONS(1659),
    [anon_sym_LPAREN2] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_TILDE] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym___extension__] = ACTIONS(1659),
    [anon_sym_typedef] = ACTIONS(1659),
    [anon_sym_extern] = ACTIONS(1659),
    [anon_sym___attribute__] = ACTIONS(1659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1657),
    [anon_sym___declspec] = ACTIONS(1659),
    [anon_sym___cdecl] = ACTIONS(1659),
    [anon_sym___clrcall] = ACTIONS(1659),
    [anon_sym___stdcall] = ACTIONS(1659),
    [anon_sym___fastcall] = ACTIONS(1659),
    [anon_sym___thiscall] = ACTIONS(1659),
    [anon_sym___vectorcall] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_signed] = ACTIONS(1659),
    [anon_sym_unsigned] = ACTIONS(1659),
    [anon_sym_long] = ACTIONS(1659),
    [anon_sym_short] = ACTIONS(1659),
    [anon_sym_static] = ACTIONS(1659),
    [anon_sym_auto] = ACTIONS(1659),
    [anon_sym_register] = ACTIONS(1659),
    [anon_sym_inline] = ACTIONS(1659),
    [anon_sym___inline] = ACTIONS(1659),
    [anon_sym___inline__] = ACTIONS(1659),
    [anon_sym___forceinline] = ACTIONS(1659),
    [anon_sym_thread_local] = ACTIONS(1659),
    [anon_sym___thread] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1659),
    [anon_sym_constexpr] = ACTIONS(1659),
    [anon_sym_volatile] = ACTIONS(1659),
    [anon_sym_restrict] = ACTIONS(1659),
    [anon_sym___restrict__] = ACTIONS(1659),
    [anon_sym__Atomic] = ACTIONS(1659),
    [anon_sym__Noreturn] = ACTIONS(1659),
    [anon_sym_noreturn] = ACTIONS(1659),
    [sym_primitive_type] = ACTIONS(1659),
    [anon_sym_enum] = ACTIONS(1659),
    [anon_sym_struct] = ACTIONS(1659),
    [anon_sym_union] = ACTIONS(1659),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1659),
    [anon_sym_case] = ACTIONS(1659),
    [anon_sym_default] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1659),
    [anon_sym_for] = ACTIONS(1659),
    [anon_sym_return] = ACTIONS(1659),
    [anon_sym_break] = ACTIONS(1659),
    [anon_sym_continue] = ACTIONS(1659),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1657),
    [anon_sym_PLUS_PLUS] = ACTIONS(1657),
    [anon_sym_sizeof] = ACTIONS(1659),
    [anon_sym___alignof__] = ACTIONS(1659),
    [anon_sym___alignof] = ACTIONS(1659),
    [anon_sym__alignof] = ACTIONS(1659),
    [anon_sym_alignof] = ACTIONS(1659),
    [anon_sym__Alignof] = ACTIONS(1659),
    [anon_sym_offsetof] = ACTIONS(1659),
    [anon_sym__Generic] = ACTIONS(1659),
    [anon_sym_asm] = ACTIONS(1659),
    [anon_sym___asm__] = ACTIONS(1659),
    [sym_number_literal] = ACTIONS(1657),
    [anon_sym_L_SQUOTE] = ACTIONS(1657),
    [anon_sym_u_SQUOTE] = ACTIONS(1657),
    [anon_sym_U_SQUOTE] = ACTIONS(1657),
    [anon_sym_u8_SQUOTE] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1657),
    [anon_sym_L_DQUOTE] = ACTIONS(1657),
    [anon_sym_u_DQUOTE] = ACTIONS(1657),
    [anon_sym_U_DQUOTE] = ACTIONS(1657),
    [anon_sym_u8_DQUOTE] = ACTIONS(1657),
    [anon_sym_DQUOTE] = ACTIONS(1657),
    [sym_true] = ACTIONS(1659),
    [sym_false] = ACTIONS(1659),
    [anon_sym_NULL] = ACTIONS(1659),
    [anon_sym_nullptr] = ACTIONS(1659),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym___extension__] = ACTIONS(1300),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym___inline] = ACTIONS(1300),
    [anon_sym___inline__] = ACTIONS(1300),
    [anon_sym___forceinline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym___thread] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym___alignof__] = ACTIONS(1300),
    [anon_sym___alignof] = ACTIONS(1300),
    [anon_sym__alignof] = ACTIONS(1300),
    [anon_sym_alignof] = ACTIONS(1300),
    [anon_sym__Alignof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym___extension__] = ACTIONS(1340),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym___inline] = ACTIONS(1340),
    [anon_sym___inline__] = ACTIONS(1340),
    [anon_sym___forceinline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym___thread] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym___alignof__] = ACTIONS(1340),
    [anon_sym___alignof] = ACTIONS(1340),
    [anon_sym__alignof] = ACTIONS(1340),
    [anon_sym_alignof] = ACTIONS(1340),
    [anon_sym__Alignof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym___extension__] = ACTIONS(1288),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym___inline] = ACTIONS(1288),
    [anon_sym___inline__] = ACTIONS(1288),
    [anon_sym___forceinline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym___thread] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym___alignof__] = ACTIONS(1288),
    [anon_sym___alignof] = ACTIONS(1288),
    [anon_sym__alignof] = ACTIONS(1288),
    [anon_sym_alignof] = ACTIONS(1288),
    [anon_sym__Alignof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym___extension__] = ACTIONS(1268),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym___inline] = ACTIONS(1268),
    [anon_sym___inline__] = ACTIONS(1268),
    [anon_sym___forceinline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym___thread] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym___alignof__] = ACTIONS(1268),
    [anon_sym___alignof] = ACTIONS(1268),
    [anon_sym__alignof] = ACTIONS(1268),
    [anon_sym_alignof] = ACTIONS(1268),
    [anon_sym__Alignof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym___extension__] = ACTIONS(1248),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym___inline] = ACTIONS(1248),
    [anon_sym___inline__] = ACTIONS(1248),
    [anon_sym___forceinline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym___thread] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym___alignof__] = ACTIONS(1248),
    [anon_sym___alignof] = ACTIONS(1248),
    [anon_sym__alignof] = ACTIONS(1248),
    [anon_sym_alignof] = ACTIONS(1248),
    [anon_sym__Alignof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym___extension__] = ACTIONS(1252),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym___inline] = ACTIONS(1252),
    [anon_sym___inline__] = ACTIONS(1252),
    [anon_sym___forceinline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym___thread] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym___alignof__] = ACTIONS(1252),
    [anon_sym___alignof] = ACTIONS(1252),
    [anon_sym__alignof] = ACTIONS(1252),
    [anon_sym_alignof] = ACTIONS(1252),
    [anon_sym__Alignof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym___extension__] = ACTIONS(1276),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym___inline] = ACTIONS(1276),
    [anon_sym___inline__] = ACTIONS(1276),
    [anon_sym___forceinline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym___thread] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym___alignof__] = ACTIONS(1276),
    [anon_sym___alignof] = ACTIONS(1276),
    [anon_sym__alignof] = ACTIONS(1276),
    [anon_sym_alignof] = ACTIONS(1276),
    [anon_sym__Alignof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym___extension__] = ACTIONS(1256),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym___inline] = ACTIONS(1256),
    [anon_sym___inline__] = ACTIONS(1256),
    [anon_sym___forceinline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym___thread] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym___alignof__] = ACTIONS(1256),
    [anon_sym___alignof] = ACTIONS(1256),
    [anon_sym__alignof] = ACTIONS(1256),
    [anon_sym_alignof] = ACTIONS(1256),
    [anon_sym__Alignof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym___extension__] = ACTIONS(1260),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym___inline] = ACTIONS(1260),
    [anon_sym___inline__] = ACTIONS(1260),
    [anon_sym___forceinline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym___thread] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym___alignof__] = ACTIONS(1260),
    [anon_sym___alignof] = ACTIONS(1260),
    [anon_sym__alignof] = ACTIONS(1260),
    [anon_sym_alignof] = ACTIONS(1260),
    [anon_sym__Alignof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym___extension__] = ACTIONS(1304),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym___inline] = ACTIONS(1304),
    [anon_sym___inline__] = ACTIONS(1304),
    [anon_sym___forceinline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym___thread] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym___alignof__] = ACTIONS(1304),
    [anon_sym___alignof] = ACTIONS(1304),
    [anon_sym__alignof] = ACTIONS(1304),
    [anon_sym_alignof] = ACTIONS(1304),
    [anon_sym__Alignof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym___extension__] = ACTIONS(1332),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym___inline] = ACTIONS(1332),
    [anon_sym___inline__] = ACTIONS(1332),
    [anon_sym___forceinline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym___thread] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym___alignof__] = ACTIONS(1332),
    [anon_sym___alignof] = ACTIONS(1332),
    [anon_sym__alignof] = ACTIONS(1332),
    [anon_sym_alignof] = ACTIONS(1332),
    [anon_sym__Alignof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym___extension__] = ACTIONS(1336),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym___inline] = ACTIONS(1336),
    [anon_sym___inline__] = ACTIONS(1336),
    [anon_sym___forceinline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym___thread] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1336),
    [anon_sym___alignof] = ACTIONS(1336),
    [anon_sym__alignof] = ACTIONS(1336),
    [anon_sym_alignof] = ACTIONS(1336),
    [anon_sym__Alignof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_identifier] = ACTIONS(1240),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym___extension__] = ACTIONS(1240),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_extern] = ACTIONS(1240),
    [anon_sym___attribute__] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1242),
    [anon_sym___declspec] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_signed] = ACTIONS(1240),
    [anon_sym_unsigned] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_auto] = ACTIONS(1240),
    [anon_sym_register] = ACTIONS(1240),
    [anon_sym_inline] = ACTIONS(1240),
    [anon_sym___inline] = ACTIONS(1240),
    [anon_sym___inline__] = ACTIONS(1240),
    [anon_sym___forceinline] = ACTIONS(1240),
    [anon_sym_thread_local] = ACTIONS(1240),
    [anon_sym___thread] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_constexpr] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_restrict] = ACTIONS(1240),
    [anon_sym___restrict__] = ACTIONS(1240),
    [anon_sym__Atomic] = ACTIONS(1240),
    [anon_sym__Noreturn] = ACTIONS(1240),
    [anon_sym_noreturn] = ACTIONS(1240),
    [sym_primitive_type] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_struct] = ACTIONS(1240),
    [anon_sym_union] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_goto] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_sizeof] = ACTIONS(1240),
    [anon_sym___alignof__] = ACTIONS(1240),
    [anon_sym___alignof] = ACTIONS(1240),
    [anon_sym__alignof] = ACTIONS(1240),
    [anon_sym_alignof] = ACTIONS(1240),
    [anon_sym__Alignof] = ACTIONS(1240),
    [anon_sym_offsetof] = ACTIONS(1240),
    [anon_sym__Generic] = ACTIONS(1240),
    [anon_sym_asm] = ACTIONS(1240),
    [anon_sym___asm__] = ACTIONS(1240),
    [sym_number_literal] = ACTIONS(1242),
    [anon_sym_L_SQUOTE] = ACTIONS(1242),
    [anon_sym_u_SQUOTE] = ACTIONS(1242),
    [anon_sym_U_SQUOTE] = ACTIONS(1242),
    [anon_sym_u8_SQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_L_DQUOTE] = ACTIONS(1242),
    [anon_sym_u_DQUOTE] = ACTIONS(1242),
    [anon_sym_U_DQUOTE] = ACTIONS(1242),
    [anon_sym_u8_DQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_NULL] = ACTIONS(1240),
    [anon_sym_nullptr] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym___extension__] = ACTIONS(1264),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym___inline] = ACTIONS(1264),
    [anon_sym___inline__] = ACTIONS(1264),
    [anon_sym___forceinline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym___thread] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym___alignof__] = ACTIONS(1264),
    [anon_sym___alignof] = ACTIONS(1264),
    [anon_sym__alignof] = ACTIONS(1264),
    [anon_sym_alignof] = ACTIONS(1264),
    [anon_sym__Alignof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(1661),
    [sym_identifier] = ACTIONS(1663),
    [aux_sym_preproc_include_token1] = ACTIONS(1663),
    [aux_sym_preproc_def_token1] = ACTIONS(1663),
    [aux_sym_preproc_if_token1] = ACTIONS(1663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1663),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1663),
    [sym_preproc_directive] = ACTIONS(1663),
    [anon_sym_LPAREN2] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym___extension__] = ACTIONS(1663),
    [anon_sym_typedef] = ACTIONS(1663),
    [anon_sym_extern] = ACTIONS(1663),
    [anon_sym___attribute__] = ACTIONS(1663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1661),
    [anon_sym___declspec] = ACTIONS(1663),
    [anon_sym___cdecl] = ACTIONS(1663),
    [anon_sym___clrcall] = ACTIONS(1663),
    [anon_sym___stdcall] = ACTIONS(1663),
    [anon_sym___fastcall] = ACTIONS(1663),
    [anon_sym___thiscall] = ACTIONS(1663),
    [anon_sym___vectorcall] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_signed] = ACTIONS(1663),
    [anon_sym_unsigned] = ACTIONS(1663),
    [anon_sym_long] = ACTIONS(1663),
    [anon_sym_short] = ACTIONS(1663),
    [anon_sym_static] = ACTIONS(1663),
    [anon_sym_auto] = ACTIONS(1663),
    [anon_sym_register] = ACTIONS(1663),
    [anon_sym_inline] = ACTIONS(1663),
    [anon_sym___inline] = ACTIONS(1663),
    [anon_sym___inline__] = ACTIONS(1663),
    [anon_sym___forceinline] = ACTIONS(1663),
    [anon_sym_thread_local] = ACTIONS(1663),
    [anon_sym___thread] = ACTIONS(1663),
    [anon_sym_const] = ACTIONS(1663),
    [anon_sym_constexpr] = ACTIONS(1663),
    [anon_sym_volatile] = ACTIONS(1663),
    [anon_sym_restrict] = ACTIONS(1663),
    [anon_sym___restrict__] = ACTIONS(1663),
    [anon_sym__Atomic] = ACTIONS(1663),
    [anon_sym__Noreturn] = ACTIONS(1663),
    [anon_sym_noreturn] = ACTIONS(1663),
    [sym_primitive_type] = ACTIONS(1663),
    [anon_sym_enum] = ACTIONS(1663),
    [anon_sym_struct] = ACTIONS(1663),
    [anon_sym_union] = ACTIONS(1663),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1663),
    [anon_sym_default] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1663),
    [anon_sym_do] = ACTIONS(1663),
    [anon_sym_for] = ACTIONS(1663),
    [anon_sym_return] = ACTIONS(1663),
    [anon_sym_break] = ACTIONS(1663),
    [anon_sym_continue] = ACTIONS(1663),
    [anon_sym_goto] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_sizeof] = ACTIONS(1663),
    [anon_sym___alignof__] = ACTIONS(1663),
    [anon_sym___alignof] = ACTIONS(1663),
    [anon_sym__alignof] = ACTIONS(1663),
    [anon_sym_alignof] = ACTIONS(1663),
    [anon_sym__Alignof] = ACTIONS(1663),
    [anon_sym_offsetof] = ACTIONS(1663),
    [anon_sym__Generic] = ACTIONS(1663),
    [anon_sym_asm] = ACTIONS(1663),
    [anon_sym___asm__] = ACTIONS(1663),
    [sym_number_literal] = ACTIONS(1661),
    [anon_sym_L_SQUOTE] = ACTIONS(1661),
    [anon_sym_u_SQUOTE] = ACTIONS(1661),
    [anon_sym_U_SQUOTE] = ACTIONS(1661),
    [anon_sym_u8_SQUOTE] = ACTIONS(1661),
    [anon_sym_SQUOTE] = ACTIONS(1661),
    [anon_sym_L_DQUOTE] = ACTIONS(1661),
    [anon_sym_u_DQUOTE] = ACTIONS(1661),
    [anon_sym_U_DQUOTE] = ACTIONS(1661),
    [anon_sym_u8_DQUOTE] = ACTIONS(1661),
    [anon_sym_DQUOTE] = ACTIONS(1661),
    [sym_true] = ACTIONS(1663),
    [sym_false] = ACTIONS(1663),
    [anon_sym_NULL] = ACTIONS(1663),
    [anon_sym_nullptr] = ACTIONS(1663),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym___extension__] = ACTIONS(1272),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym___inline] = ACTIONS(1272),
    [anon_sym___inline__] = ACTIONS(1272),
    [anon_sym___forceinline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym___thread] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym___alignof__] = ACTIONS(1272),
    [anon_sym___alignof] = ACTIONS(1272),
    [anon_sym__alignof] = ACTIONS(1272),
    [anon_sym_alignof] = ACTIONS(1272),
    [anon_sym__Alignof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym___extension__] = ACTIONS(1280),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym___inline] = ACTIONS(1280),
    [anon_sym___inline__] = ACTIONS(1280),
    [anon_sym___forceinline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym___thread] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym___alignof__] = ACTIONS(1280),
    [anon_sym___alignof] = ACTIONS(1280),
    [anon_sym__alignof] = ACTIONS(1280),
    [anon_sym_alignof] = ACTIONS(1280),
    [anon_sym__Alignof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_type_qualifier] = STATE(1110),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__expression] = STATE(1048),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_type_descriptor] = STATE(1782),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__type_definition_type_repeat1] = STATE(1110),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1132),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1669),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_type_qualifier] = STATE(1110),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__expression] = STATE(1048),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_type_descriptor] = STATE(1852),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__type_definition_type_repeat1] = STATE(1110),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1132),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1669),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_type_qualifier] = STATE(1110),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__expression] = STATE(1048),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_type_descriptor] = STATE(1992),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__type_definition_type_repeat1] = STATE(1110),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1132),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1669),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_type_qualifier] = STATE(1110),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__expression] = STATE(1048),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_type_descriptor] = STATE(1946),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__type_definition_type_repeat1] = STATE(1110),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1132),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1669),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_type_qualifier] = STATE(1110),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__expression] = STATE(1048),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_type_descriptor] = STATE(1941),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__type_definition_type_repeat1] = STATE(1110),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1132),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1669),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_type_qualifier] = STATE(1110),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__expression] = STATE(1048),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_type_descriptor] = STATE(1809),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__type_definition_type_repeat1] = STATE(1110),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1132),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1669),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_type_qualifier] = STATE(1110),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__expression] = STATE(1048),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_type_descriptor] = STATE(1908),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__type_definition_type_repeat1] = STATE(1110),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1132),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1669),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_type_qualifier] = STATE(1110),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__expression] = STATE(1048),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_type_descriptor] = STATE(1905),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__type_definition_type_repeat1] = STATE(1110),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1132),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1669),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_type_qualifier] = STATE(1110),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__expression] = STATE(1048),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_type_descriptor] = STATE(1984),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__type_definition_type_repeat1] = STATE(1110),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1132),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1669),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_type_qualifier] = STATE(1110),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__expression] = STATE(1048),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_type_descriptor] = STATE(1801),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__type_definition_type_repeat1] = STATE(1110),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1132),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1669),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_type_qualifier] = STATE(1110),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__expression] = STATE(1048),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_type_descriptor] = STATE(1793),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__type_definition_type_repeat1] = STATE(1110),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1132),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1669),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_type_qualifier] = STATE(1110),
    [sym__type_specifier] = STATE(1123),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__expression] = STATE(1048),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_type_descriptor] = STATE(1886),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__type_definition_type_repeat1] = STATE(1110),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1132),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1669),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_identifier] = ACTIONS(1671),
    [anon_sym_COMMA] = ACTIONS(1673),
    [anon_sym_RPAREN] = ACTIONS(1673),
    [anon_sym_LPAREN2] = ACTIONS(1673),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_SEMI] = ACTIONS(1673),
    [anon_sym___extension__] = ACTIONS(1671),
    [anon_sym_extern] = ACTIONS(1671),
    [anon_sym___attribute__] = ACTIONS(1671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1673),
    [anon_sym___declspec] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_signed] = ACTIONS(1671),
    [anon_sym_unsigned] = ACTIONS(1671),
    [anon_sym_long] = ACTIONS(1671),
    [anon_sym_short] = ACTIONS(1671),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_EQ] = ACTIONS(1673),
    [anon_sym_static] = ACTIONS(1671),
    [anon_sym_auto] = ACTIONS(1671),
    [anon_sym_register] = ACTIONS(1671),
    [anon_sym_inline] = ACTIONS(1671),
    [anon_sym___inline] = ACTIONS(1671),
    [anon_sym___inline__] = ACTIONS(1671),
    [anon_sym___forceinline] = ACTIONS(1671),
    [anon_sym_thread_local] = ACTIONS(1671),
    [anon_sym___thread] = ACTIONS(1671),
    [anon_sym_const] = ACTIONS(1671),
    [anon_sym_constexpr] = ACTIONS(1671),
    [anon_sym_volatile] = ACTIONS(1671),
    [anon_sym_restrict] = ACTIONS(1671),
    [anon_sym___restrict__] = ACTIONS(1671),
    [anon_sym__Atomic] = ACTIONS(1671),
    [anon_sym__Noreturn] = ACTIONS(1671),
    [anon_sym_noreturn] = ACTIONS(1671),
    [sym_primitive_type] = ACTIONS(1671),
    [anon_sym_enum] = ACTIONS(1671),
    [anon_sym_COLON] = ACTIONS(1673),
    [anon_sym_struct] = ACTIONS(1671),
    [anon_sym_union] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_switch] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1671),
    [anon_sym_default] = ACTIONS(1671),
    [anon_sym_while] = ACTIONS(1671),
    [anon_sym_do] = ACTIONS(1671),
    [anon_sym_for] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1671),
    [anon_sym_continue] = ACTIONS(1671),
    [anon_sym_goto] = ACTIONS(1671),
    [anon_sym___try] = ACTIONS(1671),
    [anon_sym___leave] = ACTIONS(1671),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_sizeof] = ACTIONS(1671),
    [anon_sym___alignof__] = ACTIONS(1671),
    [anon_sym___alignof] = ACTIONS(1671),
    [anon_sym__alignof] = ACTIONS(1671),
    [anon_sym_alignof] = ACTIONS(1671),
    [anon_sym__Alignof] = ACTIONS(1671),
    [anon_sym_offsetof] = ACTIONS(1671),
    [anon_sym__Generic] = ACTIONS(1671),
    [anon_sym_asm] = ACTIONS(1671),
    [anon_sym___asm__] = ACTIONS(1671),
    [sym_number_literal] = ACTIONS(1673),
    [anon_sym_L_SQUOTE] = ACTIONS(1673),
    [anon_sym_u_SQUOTE] = ACTIONS(1673),
    [anon_sym_U_SQUOTE] = ACTIONS(1673),
    [anon_sym_u8_SQUOTE] = ACTIONS(1673),
    [anon_sym_SQUOTE] = ACTIONS(1673),
    [anon_sym_L_DQUOTE] = ACTIONS(1673),
    [anon_sym_u_DQUOTE] = ACTIONS(1673),
    [anon_sym_U_DQUOTE] = ACTIONS(1673),
    [anon_sym_u8_DQUOTE] = ACTIONS(1673),
    [anon_sym_DQUOTE] = ACTIONS(1673),
    [sym_true] = ACTIONS(1671),
    [sym_false] = ACTIONS(1671),
    [anon_sym_NULL] = ACTIONS(1671),
    [anon_sym_nullptr] = ACTIONS(1671),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym__expression] = STATE(725),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(800),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(800),
    [sym_call_expression] = STATE(800),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(800),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(800),
    [sym_initializer_list] = STATE(714),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(723),
    [sym_null] = STATE(711),
    [sym_identifier] = ACTIONS(1358),
    [anon_sym_COMMA] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_else_token1] = ACTIONS(1352),
    [aux_sym_preproc_elif_token1] = ACTIONS(1358),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1675),
    [anon_sym_TILDE] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1358),
    [anon_sym_PERCENT] = ACTIONS(1352),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_PIPE] = ACTIONS(1358),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_EQ_EQ] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1358),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1358),
    [anon_sym_LT_LT] = ACTIONS(1352),
    [anon_sym_GT_GT] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_QMARK] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1679),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_DASH_GT] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym__expression] = STATE(725),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_initializer_list] = STATE(714),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_identifier] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(1352),
    [anon_sym_RPAREN] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1358),
    [anon_sym_PERCENT] = ACTIONS(1352),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_PIPE] = ACTIONS(1358),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_EQ_EQ] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1358),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1358),
    [anon_sym_LT_LT] = ACTIONS(1352),
    [anon_sym_GT_GT] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_COLON] = ACTIONS(1352),
    [anon_sym_QMARK] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_DASH_GT] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [sym_identifier] = ACTIONS(1683),
    [anon_sym_COMMA] = ACTIONS(1685),
    [anon_sym_RPAREN] = ACTIONS(1685),
    [anon_sym_LPAREN2] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [anon_sym___extension__] = ACTIONS(1683),
    [anon_sym_extern] = ACTIONS(1683),
    [anon_sym___attribute__] = ACTIONS(1683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1685),
    [anon_sym___declspec] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_signed] = ACTIONS(1683),
    [anon_sym_unsigned] = ACTIONS(1683),
    [anon_sym_long] = ACTIONS(1683),
    [anon_sym_short] = ACTIONS(1683),
    [anon_sym_LBRACK] = ACTIONS(1683),
    [anon_sym_EQ] = ACTIONS(1685),
    [anon_sym_static] = ACTIONS(1683),
    [anon_sym_auto] = ACTIONS(1683),
    [anon_sym_register] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1683),
    [anon_sym___inline] = ACTIONS(1683),
    [anon_sym___inline__] = ACTIONS(1683),
    [anon_sym___forceinline] = ACTIONS(1683),
    [anon_sym_thread_local] = ACTIONS(1683),
    [anon_sym___thread] = ACTIONS(1683),
    [anon_sym_const] = ACTIONS(1683),
    [anon_sym_constexpr] = ACTIONS(1683),
    [anon_sym_volatile] = ACTIONS(1683),
    [anon_sym_restrict] = ACTIONS(1683),
    [anon_sym___restrict__] = ACTIONS(1683),
    [anon_sym__Atomic] = ACTIONS(1683),
    [anon_sym__Noreturn] = ACTIONS(1683),
    [anon_sym_noreturn] = ACTIONS(1683),
    [sym_primitive_type] = ACTIONS(1683),
    [anon_sym_enum] = ACTIONS(1683),
    [anon_sym_COLON] = ACTIONS(1685),
    [anon_sym_struct] = ACTIONS(1683),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_switch] = ACTIONS(1683),
    [anon_sym_case] = ACTIONS(1683),
    [anon_sym_default] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1683),
    [anon_sym_do] = ACTIONS(1683),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_break] = ACTIONS(1683),
    [anon_sym_continue] = ACTIONS(1683),
    [anon_sym_goto] = ACTIONS(1683),
    [anon_sym___try] = ACTIONS(1683),
    [anon_sym___leave] = ACTIONS(1683),
    [anon_sym_DASH_DASH] = ACTIONS(1685),
    [anon_sym_PLUS_PLUS] = ACTIONS(1685),
    [anon_sym_sizeof] = ACTIONS(1683),
    [anon_sym___alignof__] = ACTIONS(1683),
    [anon_sym___alignof] = ACTIONS(1683),
    [anon_sym__alignof] = ACTIONS(1683),
    [anon_sym_alignof] = ACTIONS(1683),
    [anon_sym__Alignof] = ACTIONS(1683),
    [anon_sym_offsetof] = ACTIONS(1683),
    [anon_sym__Generic] = ACTIONS(1683),
    [anon_sym_asm] = ACTIONS(1683),
    [anon_sym___asm__] = ACTIONS(1683),
    [sym_number_literal] = ACTIONS(1685),
    [anon_sym_L_SQUOTE] = ACTIONS(1685),
    [anon_sym_u_SQUOTE] = ACTIONS(1685),
    [anon_sym_U_SQUOTE] = ACTIONS(1685),
    [anon_sym_u8_SQUOTE] = ACTIONS(1685),
    [anon_sym_SQUOTE] = ACTIONS(1685),
    [anon_sym_L_DQUOTE] = ACTIONS(1685),
    [anon_sym_u_DQUOTE] = ACTIONS(1685),
    [anon_sym_U_DQUOTE] = ACTIONS(1685),
    [anon_sym_u8_DQUOTE] = ACTIONS(1685),
    [anon_sym_DQUOTE] = ACTIONS(1685),
    [sym_true] = ACTIONS(1683),
    [sym_false] = ACTIONS(1683),
    [anon_sym_NULL] = ACTIONS(1683),
    [anon_sym_nullptr] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [sym_else_clause] = STATE(175),
    [sym_identifier] = ACTIONS(1106),
    [anon_sym_LPAREN2] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_STAR] = ACTIONS(1108),
    [anon_sym_AMP] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1108),
    [anon_sym___extension__] = ACTIONS(1106),
    [anon_sym_typedef] = ACTIONS(1106),
    [anon_sym_extern] = ACTIONS(1106),
    [anon_sym___attribute__] = ACTIONS(1106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1108),
    [anon_sym___declspec] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_signed] = ACTIONS(1106),
    [anon_sym_unsigned] = ACTIONS(1106),
    [anon_sym_long] = ACTIONS(1106),
    [anon_sym_short] = ACTIONS(1106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_auto] = ACTIONS(1106),
    [anon_sym_register] = ACTIONS(1106),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym___inline] = ACTIONS(1106),
    [anon_sym___inline__] = ACTIONS(1106),
    [anon_sym___forceinline] = ACTIONS(1106),
    [anon_sym_thread_local] = ACTIONS(1106),
    [anon_sym___thread] = ACTIONS(1106),
    [anon_sym_const] = ACTIONS(1106),
    [anon_sym_constexpr] = ACTIONS(1106),
    [anon_sym_volatile] = ACTIONS(1106),
    [anon_sym_restrict] = ACTIONS(1106),
    [anon_sym___restrict__] = ACTIONS(1106),
    [anon_sym__Atomic] = ACTIONS(1106),
    [anon_sym__Noreturn] = ACTIONS(1106),
    [anon_sym_noreturn] = ACTIONS(1106),
    [sym_primitive_type] = ACTIONS(1106),
    [anon_sym_enum] = ACTIONS(1106),
    [anon_sym_struct] = ACTIONS(1106),
    [anon_sym_union] = ACTIONS(1106),
    [anon_sym_if] = ACTIONS(1106),
    [anon_sym_else] = ACTIONS(1687),
    [anon_sym_switch] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1106),
    [anon_sym_do] = ACTIONS(1106),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_return] = ACTIONS(1106),
    [anon_sym_break] = ACTIONS(1106),
    [anon_sym_continue] = ACTIONS(1106),
    [anon_sym_goto] = ACTIONS(1106),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1108),
    [anon_sym_sizeof] = ACTIONS(1106),
    [anon_sym___alignof__] = ACTIONS(1106),
    [anon_sym___alignof] = ACTIONS(1106),
    [anon_sym__alignof] = ACTIONS(1106),
    [anon_sym_alignof] = ACTIONS(1106),
    [anon_sym__Alignof] = ACTIONS(1106),
    [anon_sym_offsetof] = ACTIONS(1106),
    [anon_sym__Generic] = ACTIONS(1106),
    [anon_sym_asm] = ACTIONS(1106),
    [anon_sym___asm__] = ACTIONS(1106),
    [sym_number_literal] = ACTIONS(1108),
    [anon_sym_L_SQUOTE] = ACTIONS(1108),
    [anon_sym_u_SQUOTE] = ACTIONS(1108),
    [anon_sym_U_SQUOTE] = ACTIONS(1108),
    [anon_sym_u8_SQUOTE] = ACTIONS(1108),
    [anon_sym_SQUOTE] = ACTIONS(1108),
    [anon_sym_L_DQUOTE] = ACTIONS(1108),
    [anon_sym_u_DQUOTE] = ACTIONS(1108),
    [anon_sym_U_DQUOTE] = ACTIONS(1108),
    [anon_sym_u8_DQUOTE] = ACTIONS(1108),
    [anon_sym_DQUOTE] = ACTIONS(1108),
    [sym_true] = ACTIONS(1106),
    [sym_false] = ACTIONS(1106),
    [anon_sym_NULL] = ACTIONS(1106),
    [anon_sym_nullptr] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [sym__expression] = STATE(890),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(892),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(892),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(892),
    [sym_initializer_list] = STATE(714),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1691),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1358),
    [anon_sym_PERCENT] = ACTIONS(1352),
    [anon_sym_PIPE_PIPE] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1352),
    [anon_sym_PIPE] = ACTIONS(1358),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_EQ_EQ] = ACTIONS(1352),
    [anon_sym_BANG_EQ] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1358),
    [anon_sym_GT_EQ] = ACTIONS(1352),
    [anon_sym_LT_EQ] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1358),
    [anon_sym_LT_LT] = ACTIONS(1352),
    [anon_sym_GT_GT] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_RBRACK] = ACTIONS(1352),
    [anon_sym_QMARK] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1358),
    [anon_sym_DASH_GT] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [sym_string_literal] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1705),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym___extension__] = ACTIONS(1697),
    [anon_sym_extern] = ACTIONS(1697),
    [anon_sym___attribute__] = ACTIONS(1697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1710),
    [anon_sym___declspec] = ACTIONS(1697),
    [anon_sym___based] = ACTIONS(1697),
    [anon_sym___cdecl] = ACTIONS(1697),
    [anon_sym___clrcall] = ACTIONS(1697),
    [anon_sym___stdcall] = ACTIONS(1697),
    [anon_sym___fastcall] = ACTIONS(1697),
    [anon_sym___thiscall] = ACTIONS(1697),
    [anon_sym___vectorcall] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1712),
    [anon_sym_unsigned] = ACTIONS(1712),
    [anon_sym_long] = ACTIONS(1712),
    [anon_sym_short] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1697),
    [anon_sym_auto] = ACTIONS(1697),
    [anon_sym_register] = ACTIONS(1697),
    [anon_sym_inline] = ACTIONS(1697),
    [anon_sym___inline] = ACTIONS(1697),
    [anon_sym___inline__] = ACTIONS(1697),
    [anon_sym___forceinline] = ACTIONS(1697),
    [anon_sym_thread_local] = ACTIONS(1697),
    [anon_sym___thread] = ACTIONS(1697),
    [anon_sym_const] = ACTIONS(1697),
    [anon_sym_constexpr] = ACTIONS(1697),
    [anon_sym_volatile] = ACTIONS(1697),
    [anon_sym_restrict] = ACTIONS(1697),
    [anon_sym___restrict__] = ACTIONS(1697),
    [anon_sym__Atomic] = ACTIONS(1697),
    [anon_sym__Noreturn] = ACTIONS(1697),
    [anon_sym_noreturn] = ACTIONS(1697),
    [anon_sym_COLON] = ACTIONS(1716),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_STAR_EQ] = ACTIONS(1718),
    [anon_sym_SLASH_EQ] = ACTIONS(1718),
    [anon_sym_PERCENT_EQ] = ACTIONS(1718),
    [anon_sym_PLUS_EQ] = ACTIONS(1718),
    [anon_sym_DASH_EQ] = ACTIONS(1718),
    [anon_sym_LT_LT_EQ] = ACTIONS(1718),
    [anon_sym_GT_GT_EQ] = ACTIONS(1718),
    [anon_sym_AMP_EQ] = ACTIONS(1718),
    [anon_sym_CARET_EQ] = ACTIONS(1718),
    [anon_sym_PIPE_EQ] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_DASH_GT] = ACTIONS(1699),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [sym_identifier] = ACTIONS(1720),
    [anon_sym_LPAREN2] = ACTIONS(1723),
    [anon_sym_BANG] = ACTIONS(1723),
    [anon_sym_TILDE] = ACTIONS(1723),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_STAR] = ACTIONS(1723),
    [anon_sym_AMP] = ACTIONS(1723),
    [anon_sym_SEMI] = ACTIONS(1723),
    [anon_sym___extension__] = ACTIONS(1727),
    [anon_sym_extern] = ACTIONS(1727),
    [anon_sym___attribute__] = ACTIONS(1727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(1723),
    [anon_sym_signed] = ACTIONS(1727),
    [anon_sym_unsigned] = ACTIONS(1727),
    [anon_sym_long] = ACTIONS(1727),
    [anon_sym_short] = ACTIONS(1727),
    [anon_sym_static] = ACTIONS(1727),
    [anon_sym_auto] = ACTIONS(1727),
    [anon_sym_register] = ACTIONS(1727),
    [anon_sym_inline] = ACTIONS(1727),
    [anon_sym___inline] = ACTIONS(1727),
    [anon_sym___inline__] = ACTIONS(1727),
    [anon_sym___forceinline] = ACTIONS(1727),
    [anon_sym_thread_local] = ACTIONS(1727),
    [anon_sym___thread] = ACTIONS(1727),
    [anon_sym_const] = ACTIONS(1727),
    [anon_sym_constexpr] = ACTIONS(1727),
    [anon_sym_volatile] = ACTIONS(1727),
    [anon_sym_restrict] = ACTIONS(1727),
    [anon_sym___restrict__] = ACTIONS(1727),
    [anon_sym__Atomic] = ACTIONS(1727),
    [anon_sym__Noreturn] = ACTIONS(1727),
    [anon_sym_noreturn] = ACTIONS(1727),
    [sym_primitive_type] = ACTIONS(1727),
    [anon_sym_enum] = ACTIONS(1727),
    [anon_sym_struct] = ACTIONS(1727),
    [anon_sym_union] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1725),
    [anon_sym_switch] = ACTIONS(1725),
    [anon_sym_case] = ACTIONS(1725),
    [anon_sym_default] = ACTIONS(1725),
    [anon_sym_while] = ACTIONS(1725),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1725),
    [anon_sym_return] = ACTIONS(1725),
    [anon_sym_break] = ACTIONS(1725),
    [anon_sym_continue] = ACTIONS(1725),
    [anon_sym_goto] = ACTIONS(1725),
    [anon_sym___try] = ACTIONS(1725),
    [anon_sym___leave] = ACTIONS(1725),
    [anon_sym_DASH_DASH] = ACTIONS(1723),
    [anon_sym_PLUS_PLUS] = ACTIONS(1723),
    [anon_sym_sizeof] = ACTIONS(1725),
    [anon_sym___alignof__] = ACTIONS(1725),
    [anon_sym___alignof] = ACTIONS(1725),
    [anon_sym__alignof] = ACTIONS(1725),
    [anon_sym_alignof] = ACTIONS(1725),
    [anon_sym__Alignof] = ACTIONS(1725),
    [anon_sym_offsetof] = ACTIONS(1725),
    [anon_sym__Generic] = ACTIONS(1725),
    [anon_sym_asm] = ACTIONS(1725),
    [anon_sym___asm__] = ACTIONS(1725),
    [sym_number_literal] = ACTIONS(1723),
    [anon_sym_L_SQUOTE] = ACTIONS(1723),
    [anon_sym_u_SQUOTE] = ACTIONS(1723),
    [anon_sym_U_SQUOTE] = ACTIONS(1723),
    [anon_sym_u8_SQUOTE] = ACTIONS(1723),
    [anon_sym_SQUOTE] = ACTIONS(1723),
    [anon_sym_L_DQUOTE] = ACTIONS(1723),
    [anon_sym_u_DQUOTE] = ACTIONS(1723),
    [anon_sym_U_DQUOTE] = ACTIONS(1723),
    [anon_sym_u8_DQUOTE] = ACTIONS(1723),
    [anon_sym_DQUOTE] = ACTIONS(1723),
    [sym_true] = ACTIONS(1725),
    [sym_false] = ACTIONS(1725),
    [anon_sym_NULL] = ACTIONS(1725),
    [anon_sym_nullptr] = ACTIONS(1725),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [sym_string_literal] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1705),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym___extension__] = ACTIONS(1697),
    [anon_sym_extern] = ACTIONS(1697),
    [anon_sym___attribute__] = ACTIONS(1697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1710),
    [anon_sym___declspec] = ACTIONS(1697),
    [anon_sym___based] = ACTIONS(1697),
    [anon_sym___cdecl] = ACTIONS(1697),
    [anon_sym___clrcall] = ACTIONS(1697),
    [anon_sym___stdcall] = ACTIONS(1697),
    [anon_sym___fastcall] = ACTIONS(1697),
    [anon_sym___thiscall] = ACTIONS(1697),
    [anon_sym___vectorcall] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1712),
    [anon_sym_unsigned] = ACTIONS(1712),
    [anon_sym_long] = ACTIONS(1712),
    [anon_sym_short] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1697),
    [anon_sym_auto] = ACTIONS(1697),
    [anon_sym_register] = ACTIONS(1697),
    [anon_sym_inline] = ACTIONS(1697),
    [anon_sym___inline] = ACTIONS(1697),
    [anon_sym___inline__] = ACTIONS(1697),
    [anon_sym___forceinline] = ACTIONS(1697),
    [anon_sym_thread_local] = ACTIONS(1697),
    [anon_sym___thread] = ACTIONS(1697),
    [anon_sym_const] = ACTIONS(1697),
    [anon_sym_constexpr] = ACTIONS(1697),
    [anon_sym_volatile] = ACTIONS(1697),
    [anon_sym_restrict] = ACTIONS(1697),
    [anon_sym___restrict__] = ACTIONS(1697),
    [anon_sym__Atomic] = ACTIONS(1697),
    [anon_sym__Noreturn] = ACTIONS(1697),
    [anon_sym_noreturn] = ACTIONS(1697),
    [anon_sym_COLON] = ACTIONS(1732),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_STAR_EQ] = ACTIONS(1718),
    [anon_sym_SLASH_EQ] = ACTIONS(1718),
    [anon_sym_PERCENT_EQ] = ACTIONS(1718),
    [anon_sym_PLUS_EQ] = ACTIONS(1718),
    [anon_sym_DASH_EQ] = ACTIONS(1718),
    [anon_sym_LT_LT_EQ] = ACTIONS(1718),
    [anon_sym_GT_GT_EQ] = ACTIONS(1718),
    [anon_sym_AMP_EQ] = ACTIONS(1718),
    [anon_sym_CARET_EQ] = ACTIONS(1718),
    [anon_sym_PIPE_EQ] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_DASH_GT] = ACTIONS(1699),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [sym_string_literal] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1705),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym___extension__] = ACTIONS(1697),
    [anon_sym_extern] = ACTIONS(1697),
    [anon_sym___attribute__] = ACTIONS(1697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1710),
    [anon_sym___declspec] = ACTIONS(1697),
    [anon_sym___based] = ACTIONS(1697),
    [anon_sym___cdecl] = ACTIONS(1697),
    [anon_sym___clrcall] = ACTIONS(1697),
    [anon_sym___stdcall] = ACTIONS(1697),
    [anon_sym___fastcall] = ACTIONS(1697),
    [anon_sym___thiscall] = ACTIONS(1697),
    [anon_sym___vectorcall] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1712),
    [anon_sym_unsigned] = ACTIONS(1712),
    [anon_sym_long] = ACTIONS(1712),
    [anon_sym_short] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1697),
    [anon_sym_auto] = ACTIONS(1697),
    [anon_sym_register] = ACTIONS(1697),
    [anon_sym_inline] = ACTIONS(1697),
    [anon_sym___inline] = ACTIONS(1697),
    [anon_sym___inline__] = ACTIONS(1697),
    [anon_sym___forceinline] = ACTIONS(1697),
    [anon_sym_thread_local] = ACTIONS(1697),
    [anon_sym___thread] = ACTIONS(1697),
    [anon_sym_const] = ACTIONS(1697),
    [anon_sym_constexpr] = ACTIONS(1697),
    [anon_sym_volatile] = ACTIONS(1697),
    [anon_sym_restrict] = ACTIONS(1697),
    [anon_sym___restrict__] = ACTIONS(1697),
    [anon_sym__Atomic] = ACTIONS(1697),
    [anon_sym__Noreturn] = ACTIONS(1697),
    [anon_sym_noreturn] = ACTIONS(1697),
    [anon_sym_COLON] = ACTIONS(1734),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_STAR_EQ] = ACTIONS(1718),
    [anon_sym_SLASH_EQ] = ACTIONS(1718),
    [anon_sym_PERCENT_EQ] = ACTIONS(1718),
    [anon_sym_PLUS_EQ] = ACTIONS(1718),
    [anon_sym_DASH_EQ] = ACTIONS(1718),
    [anon_sym_LT_LT_EQ] = ACTIONS(1718),
    [anon_sym_GT_GT_EQ] = ACTIONS(1718),
    [anon_sym_AMP_EQ] = ACTIONS(1718),
    [anon_sym_CARET_EQ] = ACTIONS(1718),
    [anon_sym_PIPE_EQ] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_DASH_GT] = ACTIONS(1699),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [sym_string_literal] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1705),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1736),
    [anon_sym___extension__] = ACTIONS(1697),
    [anon_sym_extern] = ACTIONS(1697),
    [anon_sym___attribute__] = ACTIONS(1697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1710),
    [anon_sym___declspec] = ACTIONS(1697),
    [anon_sym___based] = ACTIONS(1697),
    [anon_sym___cdecl] = ACTIONS(1697),
    [anon_sym___clrcall] = ACTIONS(1697),
    [anon_sym___stdcall] = ACTIONS(1697),
    [anon_sym___fastcall] = ACTIONS(1697),
    [anon_sym___thiscall] = ACTIONS(1697),
    [anon_sym___vectorcall] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1712),
    [anon_sym_unsigned] = ACTIONS(1712),
    [anon_sym_long] = ACTIONS(1712),
    [anon_sym_short] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1697),
    [anon_sym_auto] = ACTIONS(1697),
    [anon_sym_register] = ACTIONS(1697),
    [anon_sym_inline] = ACTIONS(1697),
    [anon_sym___inline] = ACTIONS(1697),
    [anon_sym___inline__] = ACTIONS(1697),
    [anon_sym___forceinline] = ACTIONS(1697),
    [anon_sym_thread_local] = ACTIONS(1697),
    [anon_sym___thread] = ACTIONS(1697),
    [anon_sym_const] = ACTIONS(1697),
    [anon_sym_constexpr] = ACTIONS(1697),
    [anon_sym_volatile] = ACTIONS(1697),
    [anon_sym_restrict] = ACTIONS(1697),
    [anon_sym___restrict__] = ACTIONS(1697),
    [anon_sym__Atomic] = ACTIONS(1697),
    [anon_sym__Noreturn] = ACTIONS(1697),
    [anon_sym_noreturn] = ACTIONS(1697),
    [anon_sym_COLON] = ACTIONS(1716),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_STAR_EQ] = ACTIONS(1718),
    [anon_sym_SLASH_EQ] = ACTIONS(1718),
    [anon_sym_PERCENT_EQ] = ACTIONS(1718),
    [anon_sym_PLUS_EQ] = ACTIONS(1718),
    [anon_sym_DASH_EQ] = ACTIONS(1718),
    [anon_sym_LT_LT_EQ] = ACTIONS(1718),
    [anon_sym_GT_GT_EQ] = ACTIONS(1718),
    [anon_sym_AMP_EQ] = ACTIONS(1718),
    [anon_sym_CARET_EQ] = ACTIONS(1718),
    [anon_sym_PIPE_EQ] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_DASH_GT] = ACTIONS(1699),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [sym_string_literal] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1705),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1736),
    [anon_sym___extension__] = ACTIONS(1697),
    [anon_sym_extern] = ACTIONS(1697),
    [anon_sym___attribute__] = ACTIONS(1697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1710),
    [anon_sym___declspec] = ACTIONS(1697),
    [anon_sym___based] = ACTIONS(1697),
    [anon_sym___cdecl] = ACTIONS(1697),
    [anon_sym___clrcall] = ACTIONS(1697),
    [anon_sym___stdcall] = ACTIONS(1697),
    [anon_sym___fastcall] = ACTIONS(1697),
    [anon_sym___thiscall] = ACTIONS(1697),
    [anon_sym___vectorcall] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1712),
    [anon_sym_unsigned] = ACTIONS(1712),
    [anon_sym_long] = ACTIONS(1712),
    [anon_sym_short] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1697),
    [anon_sym_auto] = ACTIONS(1697),
    [anon_sym_register] = ACTIONS(1697),
    [anon_sym_inline] = ACTIONS(1697),
    [anon_sym___inline] = ACTIONS(1697),
    [anon_sym___inline__] = ACTIONS(1697),
    [anon_sym___forceinline] = ACTIONS(1697),
    [anon_sym_thread_local] = ACTIONS(1697),
    [anon_sym___thread] = ACTIONS(1697),
    [anon_sym_const] = ACTIONS(1697),
    [anon_sym_constexpr] = ACTIONS(1697),
    [anon_sym_volatile] = ACTIONS(1697),
    [anon_sym_restrict] = ACTIONS(1697),
    [anon_sym___restrict__] = ACTIONS(1697),
    [anon_sym__Atomic] = ACTIONS(1697),
    [anon_sym__Noreturn] = ACTIONS(1697),
    [anon_sym_noreturn] = ACTIONS(1697),
    [anon_sym_COLON] = ACTIONS(1739),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_STAR_EQ] = ACTIONS(1718),
    [anon_sym_SLASH_EQ] = ACTIONS(1718),
    [anon_sym_PERCENT_EQ] = ACTIONS(1718),
    [anon_sym_PLUS_EQ] = ACTIONS(1718),
    [anon_sym_DASH_EQ] = ACTIONS(1718),
    [anon_sym_LT_LT_EQ] = ACTIONS(1718),
    [anon_sym_GT_GT_EQ] = ACTIONS(1718),
    [anon_sym_AMP_EQ] = ACTIONS(1718),
    [anon_sym_CARET_EQ] = ACTIONS(1718),
    [anon_sym_PIPE_EQ] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_DASH_GT] = ACTIONS(1699),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [sym_string_literal] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1705),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1736),
    [anon_sym___extension__] = ACTIONS(1697),
    [anon_sym_extern] = ACTIONS(1697),
    [anon_sym___attribute__] = ACTIONS(1697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1710),
    [anon_sym___declspec] = ACTIONS(1697),
    [anon_sym___based] = ACTIONS(1697),
    [anon_sym___cdecl] = ACTIONS(1697),
    [anon_sym___clrcall] = ACTIONS(1697),
    [anon_sym___stdcall] = ACTIONS(1697),
    [anon_sym___fastcall] = ACTIONS(1697),
    [anon_sym___thiscall] = ACTIONS(1697),
    [anon_sym___vectorcall] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1712),
    [anon_sym_unsigned] = ACTIONS(1712),
    [anon_sym_long] = ACTIONS(1712),
    [anon_sym_short] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1697),
    [anon_sym_auto] = ACTIONS(1697),
    [anon_sym_register] = ACTIONS(1697),
    [anon_sym_inline] = ACTIONS(1697),
    [anon_sym___inline] = ACTIONS(1697),
    [anon_sym___inline__] = ACTIONS(1697),
    [anon_sym___forceinline] = ACTIONS(1697),
    [anon_sym_thread_local] = ACTIONS(1697),
    [anon_sym___thread] = ACTIONS(1697),
    [anon_sym_const] = ACTIONS(1697),
    [anon_sym_constexpr] = ACTIONS(1697),
    [anon_sym_volatile] = ACTIONS(1697),
    [anon_sym_restrict] = ACTIONS(1697),
    [anon_sym___restrict__] = ACTIONS(1697),
    [anon_sym__Atomic] = ACTIONS(1697),
    [anon_sym__Noreturn] = ACTIONS(1697),
    [anon_sym_noreturn] = ACTIONS(1697),
    [anon_sym_COLON] = ACTIONS(1732),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_STAR_EQ] = ACTIONS(1718),
    [anon_sym_SLASH_EQ] = ACTIONS(1718),
    [anon_sym_PERCENT_EQ] = ACTIONS(1718),
    [anon_sym_PLUS_EQ] = ACTIONS(1718),
    [anon_sym_DASH_EQ] = ACTIONS(1718),
    [anon_sym_LT_LT_EQ] = ACTIONS(1718),
    [anon_sym_GT_GT_EQ] = ACTIONS(1718),
    [anon_sym_AMP_EQ] = ACTIONS(1718),
    [anon_sym_CARET_EQ] = ACTIONS(1718),
    [anon_sym_PIPE_EQ] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_DASH_GT] = ACTIONS(1699),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [sym_string_literal] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1705),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym___extension__] = ACTIONS(1697),
    [anon_sym_extern] = ACTIONS(1697),
    [anon_sym___attribute__] = ACTIONS(1697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1710),
    [anon_sym___declspec] = ACTIONS(1697),
    [anon_sym___based] = ACTIONS(1697),
    [anon_sym___cdecl] = ACTIONS(1697),
    [anon_sym___clrcall] = ACTIONS(1697),
    [anon_sym___stdcall] = ACTIONS(1697),
    [anon_sym___fastcall] = ACTIONS(1697),
    [anon_sym___thiscall] = ACTIONS(1697),
    [anon_sym___vectorcall] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1712),
    [anon_sym_unsigned] = ACTIONS(1712),
    [anon_sym_long] = ACTIONS(1712),
    [anon_sym_short] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1697),
    [anon_sym_auto] = ACTIONS(1697),
    [anon_sym_register] = ACTIONS(1697),
    [anon_sym_inline] = ACTIONS(1697),
    [anon_sym___inline] = ACTIONS(1697),
    [anon_sym___inline__] = ACTIONS(1697),
    [anon_sym___forceinline] = ACTIONS(1697),
    [anon_sym_thread_local] = ACTIONS(1697),
    [anon_sym___thread] = ACTIONS(1697),
    [anon_sym_const] = ACTIONS(1697),
    [anon_sym_constexpr] = ACTIONS(1697),
    [anon_sym_volatile] = ACTIONS(1697),
    [anon_sym_restrict] = ACTIONS(1697),
    [anon_sym___restrict__] = ACTIONS(1697),
    [anon_sym__Atomic] = ACTIONS(1697),
    [anon_sym__Noreturn] = ACTIONS(1697),
    [anon_sym_noreturn] = ACTIONS(1697),
    [anon_sym_COLON] = ACTIONS(1741),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_STAR_EQ] = ACTIONS(1718),
    [anon_sym_SLASH_EQ] = ACTIONS(1718),
    [anon_sym_PERCENT_EQ] = ACTIONS(1718),
    [anon_sym_PLUS_EQ] = ACTIONS(1718),
    [anon_sym_DASH_EQ] = ACTIONS(1718),
    [anon_sym_LT_LT_EQ] = ACTIONS(1718),
    [anon_sym_GT_GT_EQ] = ACTIONS(1718),
    [anon_sym_AMP_EQ] = ACTIONS(1718),
    [anon_sym_CARET_EQ] = ACTIONS(1718),
    [anon_sym_PIPE_EQ] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_DASH_GT] = ACTIONS(1699),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [sym_string_literal] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1705),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym___extension__] = ACTIONS(1697),
    [anon_sym_extern] = ACTIONS(1697),
    [anon_sym___attribute__] = ACTIONS(1697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1710),
    [anon_sym___declspec] = ACTIONS(1697),
    [anon_sym___based] = ACTIONS(1697),
    [anon_sym___cdecl] = ACTIONS(1697),
    [anon_sym___clrcall] = ACTIONS(1697),
    [anon_sym___stdcall] = ACTIONS(1697),
    [anon_sym___fastcall] = ACTIONS(1697),
    [anon_sym___thiscall] = ACTIONS(1697),
    [anon_sym___vectorcall] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1712),
    [anon_sym_unsigned] = ACTIONS(1712),
    [anon_sym_long] = ACTIONS(1712),
    [anon_sym_short] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1697),
    [anon_sym_auto] = ACTIONS(1697),
    [anon_sym_register] = ACTIONS(1697),
    [anon_sym_inline] = ACTIONS(1697),
    [anon_sym___inline] = ACTIONS(1697),
    [anon_sym___inline__] = ACTIONS(1697),
    [anon_sym___forceinline] = ACTIONS(1697),
    [anon_sym_thread_local] = ACTIONS(1697),
    [anon_sym___thread] = ACTIONS(1697),
    [anon_sym_const] = ACTIONS(1697),
    [anon_sym_constexpr] = ACTIONS(1697),
    [anon_sym_volatile] = ACTIONS(1697),
    [anon_sym_restrict] = ACTIONS(1697),
    [anon_sym___restrict__] = ACTIONS(1697),
    [anon_sym__Atomic] = ACTIONS(1697),
    [anon_sym__Noreturn] = ACTIONS(1697),
    [anon_sym_noreturn] = ACTIONS(1697),
    [anon_sym_COLON] = ACTIONS(1739),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_STAR_EQ] = ACTIONS(1718),
    [anon_sym_SLASH_EQ] = ACTIONS(1718),
    [anon_sym_PERCENT_EQ] = ACTIONS(1718),
    [anon_sym_PLUS_EQ] = ACTIONS(1718),
    [anon_sym_DASH_EQ] = ACTIONS(1718),
    [anon_sym_LT_LT_EQ] = ACTIONS(1718),
    [anon_sym_GT_GT_EQ] = ACTIONS(1718),
    [anon_sym_AMP_EQ] = ACTIONS(1718),
    [anon_sym_CARET_EQ] = ACTIONS(1718),
    [anon_sym_PIPE_EQ] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_DASH_GT] = ACTIONS(1699),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [sym_string_literal] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1705),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1736),
    [anon_sym___extension__] = ACTIONS(1697),
    [anon_sym_extern] = ACTIONS(1697),
    [anon_sym___attribute__] = ACTIONS(1697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1710),
    [anon_sym___declspec] = ACTIONS(1697),
    [anon_sym___based] = ACTIONS(1697),
    [anon_sym___cdecl] = ACTIONS(1697),
    [anon_sym___clrcall] = ACTIONS(1697),
    [anon_sym___stdcall] = ACTIONS(1697),
    [anon_sym___fastcall] = ACTIONS(1697),
    [anon_sym___thiscall] = ACTIONS(1697),
    [anon_sym___vectorcall] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1712),
    [anon_sym_unsigned] = ACTIONS(1712),
    [anon_sym_long] = ACTIONS(1712),
    [anon_sym_short] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1697),
    [anon_sym_auto] = ACTIONS(1697),
    [anon_sym_register] = ACTIONS(1697),
    [anon_sym_inline] = ACTIONS(1697),
    [anon_sym___inline] = ACTIONS(1697),
    [anon_sym___inline__] = ACTIONS(1697),
    [anon_sym___forceinline] = ACTIONS(1697),
    [anon_sym_thread_local] = ACTIONS(1697),
    [anon_sym___thread] = ACTIONS(1697),
    [anon_sym_const] = ACTIONS(1697),
    [anon_sym_constexpr] = ACTIONS(1697),
    [anon_sym_volatile] = ACTIONS(1697),
    [anon_sym_restrict] = ACTIONS(1697),
    [anon_sym___restrict__] = ACTIONS(1697),
    [anon_sym__Atomic] = ACTIONS(1697),
    [anon_sym__Noreturn] = ACTIONS(1697),
    [anon_sym_noreturn] = ACTIONS(1697),
    [anon_sym_COLON] = ACTIONS(1741),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_STAR_EQ] = ACTIONS(1718),
    [anon_sym_SLASH_EQ] = ACTIONS(1718),
    [anon_sym_PERCENT_EQ] = ACTIONS(1718),
    [anon_sym_PLUS_EQ] = ACTIONS(1718),
    [anon_sym_DASH_EQ] = ACTIONS(1718),
    [anon_sym_LT_LT_EQ] = ACTIONS(1718),
    [anon_sym_GT_GT_EQ] = ACTIONS(1718),
    [anon_sym_AMP_EQ] = ACTIONS(1718),
    [anon_sym_CARET_EQ] = ACTIONS(1718),
    [anon_sym_PIPE_EQ] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_DASH_GT] = ACTIONS(1699),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [sym_string_literal] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(834),
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1705),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym___extension__] = ACTIONS(1697),
    [anon_sym_extern] = ACTIONS(1697),
    [anon_sym___attribute__] = ACTIONS(1697),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1710),
    [anon_sym___declspec] = ACTIONS(1697),
    [anon_sym___based] = ACTIONS(1697),
    [anon_sym___cdecl] = ACTIONS(1697),
    [anon_sym___clrcall] = ACTIONS(1697),
    [anon_sym___stdcall] = ACTIONS(1697),
    [anon_sym___fastcall] = ACTIONS(1697),
    [anon_sym___thiscall] = ACTIONS(1697),
    [anon_sym___vectorcall] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1712),
    [anon_sym_unsigned] = ACTIONS(1712),
    [anon_sym_long] = ACTIONS(1712),
    [anon_sym_short] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1697),
    [anon_sym_auto] = ACTIONS(1697),
    [anon_sym_register] = ACTIONS(1697),
    [anon_sym_inline] = ACTIONS(1697),
    [anon_sym___inline] = ACTIONS(1697),
    [anon_sym___inline__] = ACTIONS(1697),
    [anon_sym___forceinline] = ACTIONS(1697),
    [anon_sym_thread_local] = ACTIONS(1697),
    [anon_sym___thread] = ACTIONS(1697),
    [anon_sym_const] = ACTIONS(1697),
    [anon_sym_constexpr] = ACTIONS(1697),
    [anon_sym_volatile] = ACTIONS(1697),
    [anon_sym_restrict] = ACTIONS(1697),
    [anon_sym___restrict__] = ACTIONS(1697),
    [anon_sym__Atomic] = ACTIONS(1697),
    [anon_sym__Noreturn] = ACTIONS(1697),
    [anon_sym_noreturn] = ACTIONS(1697),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_STAR_EQ] = ACTIONS(1718),
    [anon_sym_SLASH_EQ] = ACTIONS(1718),
    [anon_sym_PERCENT_EQ] = ACTIONS(1718),
    [anon_sym_PLUS_EQ] = ACTIONS(1718),
    [anon_sym_DASH_EQ] = ACTIONS(1718),
    [anon_sym_LT_LT_EQ] = ACTIONS(1718),
    [anon_sym_GT_GT_EQ] = ACTIONS(1718),
    [anon_sym_AMP_EQ] = ACTIONS(1718),
    [anon_sym_CARET_EQ] = ACTIONS(1718),
    [anon_sym_PIPE_EQ] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_DASH_GT] = ACTIONS(1699),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1182),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_based_modifier] = STATE(1974),
    [sym_ms_call_modifier] = STATE(1273),
    [sym__declarator] = STATE(1433),
    [sym__abstract_declarator] = STATE(1519),
    [sym_parenthesized_declarator] = STATE(1370),
    [sym_abstract_parenthesized_declarator] = STATE(1497),
    [sym_attributed_declarator] = STATE(1370),
    [sym_pointer_declarator] = STATE(1370),
    [sym_abstract_pointer_declarator] = STATE(1497),
    [sym_function_declarator] = STATE(1370),
    [sym_abstract_function_declarator] = STATE(1497),
    [sym_array_declarator] = STATE(1370),
    [sym_abstract_array_declarator] = STATE(1497),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_variadic_parameter] = STATE(1574),
    [sym_parameter_list] = STATE(1484),
    [sym_parameter_declaration] = STATE(1574),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1745),
    [anon_sym_RPAREN] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(1749),
    [anon_sym_STAR] = ACTIONS(1751),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___based] = ACTIONS(1753),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [sym_type_qualifier] = STATE(739),
    [sym__expression] = STATE(1102),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(892),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(892),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(892),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym__type_definition_type_repeat1] = STATE(739),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_LPAREN2] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym___extension__] = ACTIONS(1763),
    [anon_sym_RBRACK] = ACTIONS(1765),
    [anon_sym_const] = ACTIONS(1763),
    [anon_sym_constexpr] = ACTIONS(1763),
    [anon_sym_volatile] = ACTIONS(1763),
    [anon_sym_restrict] = ACTIONS(1763),
    [anon_sym___restrict__] = ACTIONS(1763),
    [anon_sym__Atomic] = ACTIONS(1763),
    [anon_sym__Noreturn] = ACTIONS(1763),
    [anon_sym_noreturn] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [sym_type_qualifier] = STATE(739),
    [sym__expression] = STATE(1101),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(892),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(892),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(892),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym__type_definition_type_repeat1] = STATE(739),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_LPAREN2] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1769),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym___extension__] = ACTIONS(1763),
    [anon_sym_RBRACK] = ACTIONS(1771),
    [anon_sym_const] = ACTIONS(1763),
    [anon_sym_constexpr] = ACTIONS(1763),
    [anon_sym_volatile] = ACTIONS(1763),
    [anon_sym_restrict] = ACTIONS(1763),
    [anon_sym___restrict__] = ACTIONS(1763),
    [anon_sym__Atomic] = ACTIONS(1763),
    [anon_sym__Noreturn] = ACTIONS(1763),
    [anon_sym_noreturn] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [sym_type_qualifier] = STATE(469),
    [sym__expression] = STATE(1100),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(892),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(892),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(892),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym__type_definition_type_repeat1] = STATE(469),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_LPAREN2] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym___extension__] = ACTIONS(1763),
    [anon_sym_RBRACK] = ACTIONS(1775),
    [anon_sym_const] = ACTIONS(1763),
    [anon_sym_constexpr] = ACTIONS(1763),
    [anon_sym_volatile] = ACTIONS(1763),
    [anon_sym_restrict] = ACTIONS(1763),
    [anon_sym___restrict__] = ACTIONS(1763),
    [anon_sym__Atomic] = ACTIONS(1763),
    [anon_sym__Noreturn] = ACTIONS(1763),
    [anon_sym_noreturn] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [sym_type_qualifier] = STATE(471),
    [sym__expression] = STATE(1106),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(892),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(892),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(892),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym__type_definition_type_repeat1] = STATE(471),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_LPAREN2] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym___extension__] = ACTIONS(1763),
    [anon_sym_RBRACK] = ACTIONS(1779),
    [anon_sym_const] = ACTIONS(1763),
    [anon_sym_constexpr] = ACTIONS(1763),
    [anon_sym_volatile] = ACTIONS(1763),
    [anon_sym_restrict] = ACTIONS(1763),
    [anon_sym___restrict__] = ACTIONS(1763),
    [anon_sym__Atomic] = ACTIONS(1763),
    [anon_sym__Noreturn] = ACTIONS(1763),
    [anon_sym_noreturn] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [sym_type_qualifier] = STATE(464),
    [sym__expression] = STATE(1097),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(892),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(892),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(892),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym__type_definition_type_repeat1] = STATE(464),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_LPAREN2] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym___extension__] = ACTIONS(1763),
    [anon_sym_RBRACK] = ACTIONS(1783),
    [anon_sym_const] = ACTIONS(1763),
    [anon_sym_constexpr] = ACTIONS(1763),
    [anon_sym_volatile] = ACTIONS(1763),
    [anon_sym_restrict] = ACTIONS(1763),
    [anon_sym___restrict__] = ACTIONS(1763),
    [anon_sym__Atomic] = ACTIONS(1763),
    [anon_sym__Noreturn] = ACTIONS(1763),
    [anon_sym_noreturn] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [sym_type_qualifier] = STATE(739),
    [sym__expression] = STATE(1103),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(892),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(892),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(892),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym__type_definition_type_repeat1] = STATE(739),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_LPAREN2] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1785),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym___extension__] = ACTIONS(1763),
    [anon_sym_RBRACK] = ACTIONS(1787),
    [anon_sym_const] = ACTIONS(1763),
    [anon_sym_constexpr] = ACTIONS(1763),
    [anon_sym_volatile] = ACTIONS(1763),
    [anon_sym_restrict] = ACTIONS(1763),
    [anon_sym___restrict__] = ACTIONS(1763),
    [anon_sym__Atomic] = ACTIONS(1763),
    [anon_sym__Noreturn] = ACTIONS(1763),
    [anon_sym_noreturn] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [sym_type_qualifier] = STATE(473),
    [sym__expression] = STATE(1114),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(892),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(892),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(892),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym__type_definition_type_repeat1] = STATE(473),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_LPAREN2] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym___extension__] = ACTIONS(1763),
    [anon_sym_RBRACK] = ACTIONS(1791),
    [anon_sym_const] = ACTIONS(1763),
    [anon_sym_constexpr] = ACTIONS(1763),
    [anon_sym_volatile] = ACTIONS(1763),
    [anon_sym_restrict] = ACTIONS(1763),
    [anon_sym___restrict__] = ACTIONS(1763),
    [anon_sym__Atomic] = ACTIONS(1763),
    [anon_sym__Noreturn] = ACTIONS(1763),
    [anon_sym_noreturn] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [sym_type_qualifier] = STATE(739),
    [sym__expression] = STATE(1111),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(892),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(892),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(892),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym__type_definition_type_repeat1] = STATE(739),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_LPAREN2] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1793),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym___extension__] = ACTIONS(1763),
    [anon_sym_RBRACK] = ACTIONS(1795),
    [anon_sym_const] = ACTIONS(1763),
    [anon_sym_constexpr] = ACTIONS(1763),
    [anon_sym_volatile] = ACTIONS(1763),
    [anon_sym_restrict] = ACTIONS(1763),
    [anon_sym___restrict__] = ACTIONS(1763),
    [anon_sym__Atomic] = ACTIONS(1763),
    [anon_sym__Noreturn] = ACTIONS(1763),
    [anon_sym_noreturn] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [sym_type_qualifier] = STATE(465),
    [sym__expression] = STATE(1091),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(892),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(892),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(892),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym__type_definition_type_repeat1] = STATE(465),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_LPAREN2] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1797),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym___extension__] = ACTIONS(1763),
    [anon_sym_RBRACK] = ACTIONS(1799),
    [anon_sym_const] = ACTIONS(1763),
    [anon_sym_constexpr] = ACTIONS(1763),
    [anon_sym_volatile] = ACTIONS(1763),
    [anon_sym_restrict] = ACTIONS(1763),
    [anon_sym___restrict__] = ACTIONS(1763),
    [anon_sym__Atomic] = ACTIONS(1763),
    [anon_sym__Noreturn] = ACTIONS(1763),
    [anon_sym_noreturn] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [sym_type_qualifier] = STATE(739),
    [sym__expression] = STATE(1090),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(892),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(892),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(892),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym__type_definition_type_repeat1] = STATE(739),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_LPAREN2] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1801),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym___extension__] = ACTIONS(1763),
    [anon_sym_RBRACK] = ACTIONS(1803),
    [anon_sym_const] = ACTIONS(1763),
    [anon_sym_constexpr] = ACTIONS(1763),
    [anon_sym_volatile] = ACTIONS(1763),
    [anon_sym_restrict] = ACTIONS(1763),
    [anon_sym___restrict__] = ACTIONS(1763),
    [anon_sym__Atomic] = ACTIONS(1763),
    [anon_sym__Noreturn] = ACTIONS(1763),
    [anon_sym_noreturn] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [sym__expression] = STATE(1019),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_initializer_list] = STATE(1669),
    [sym_initializer_pair] = STATE(1669),
    [sym_subscript_designator] = STATE(1421),
    [sym_subscript_range_designator] = STATE(1421),
    [sym_field_designator] = STATE(1421),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_initializer_pair_repeat1] = STATE(1421),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_COMMA] = ACTIONS(1807),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1811),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1813),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [sym__expression] = STATE(1042),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_initializer_list] = STATE(1710),
    [sym_initializer_pair] = STATE(1710),
    [sym_subscript_designator] = STATE(1421),
    [sym_subscript_range_designator] = STATE(1421),
    [sym_field_designator] = STATE(1421),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_initializer_pair_repeat1] = STATE(1421),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1815),
    [anon_sym_LBRACK] = ACTIONS(1811),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1813),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [sym__expression] = STATE(1042),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_initializer_list] = STATE(1710),
    [sym_initializer_pair] = STATE(1710),
    [sym_subscript_designator] = STATE(1421),
    [sym_subscript_range_designator] = STATE(1421),
    [sym_field_designator] = STATE(1421),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_initializer_pair_repeat1] = STATE(1421),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1811),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1813),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [sym__expression] = STATE(1042),
    [sym__expression_not_binary] = STATE(711),
    [sym__string] = STATE(711),
    [sym_conditional_expression] = STATE(711),
    [sym_assignment_expression] = STATE(711),
    [sym_pointer_expression] = STATE(840),
    [sym_unary_expression] = STATE(711),
    [sym_binary_expression] = STATE(711),
    [sym_update_expression] = STATE(711),
    [sym_cast_expression] = STATE(711),
    [sym_sizeof_expression] = STATE(711),
    [sym_alignof_expression] = STATE(711),
    [sym_offsetof_expression] = STATE(711),
    [sym_generic_expression] = STATE(711),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_gnu_asm_expression] = STATE(711),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(840),
    [sym_initializer_list] = STATE(1710),
    [sym_initializer_pair] = STATE(1710),
    [sym_subscript_designator] = STATE(1421),
    [sym_subscript_range_designator] = STATE(1421),
    [sym_field_designator] = STATE(1421),
    [sym_char_literal] = STATE(711),
    [sym_concatenated_string] = STATE(711),
    [sym_string_literal] = STATE(686),
    [sym_null] = STATE(711),
    [aux_sym_initializer_pair_repeat1] = STATE(1421),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1811),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1813),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [sym_preproc_def] = STATE(495),
    [sym_preproc_function_def] = STATE(495),
    [sym_preproc_call] = STATE(495),
    [sym_preproc_if_in_field_declaration_list] = STATE(495),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(495),
    [sym_preproc_else_in_field_declaration_list] = STATE(1842),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1842),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1842),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(495),
    [sym_field_declaration] = STATE(495),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(495),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [sym_preproc_def] = STATE(495),
    [sym_preproc_function_def] = STATE(495),
    [sym_preproc_call] = STATE(495),
    [sym_preproc_if_in_field_declaration_list] = STATE(495),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(495),
    [sym_preproc_else_in_field_declaration_list] = STATE(1840),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1840),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1840),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(495),
    [sym_field_declaration] = STATE(495),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(495),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [sym_preproc_def] = STATE(479),
    [sym_preproc_function_def] = STATE(479),
    [sym_preproc_call] = STATE(479),
    [sym_preproc_if_in_field_declaration_list] = STATE(479),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(479),
    [sym_preproc_else_in_field_declaration_list] = STATE(1790),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1790),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1790),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(479),
    [sym_field_declaration] = STATE(479),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(479),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [sym_preproc_def] = STATE(478),
    [sym_preproc_function_def] = STATE(478),
    [sym_preproc_call] = STATE(478),
    [sym_preproc_if_in_field_declaration_list] = STATE(478),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(478),
    [sym_preproc_else_in_field_declaration_list] = STATE(1827),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1827),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1827),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(478),
    [sym_field_declaration] = STATE(478),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(478),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [sym_preproc_def] = STATE(492),
    [sym_preproc_function_def] = STATE(492),
    [sym_preproc_call] = STATE(492),
    [sym_preproc_if_in_field_declaration_list] = STATE(492),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(492),
    [sym_preproc_else_in_field_declaration_list] = STATE(1829),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1829),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1829),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(492),
    [sym_field_declaration] = STATE(492),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(492),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [sym_preproc_def] = STATE(488),
    [sym_preproc_function_def] = STATE(488),
    [sym_preproc_call] = STATE(488),
    [sym_preproc_if_in_field_declaration_list] = STATE(488),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(488),
    [sym_preproc_else_in_field_declaration_list] = STATE(1871),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1871),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1871),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(488),
    [sym_field_declaration] = STATE(488),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(488),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [sym_preproc_def] = STATE(495),
    [sym_preproc_function_def] = STATE(495),
    [sym_preproc_call] = STATE(495),
    [sym_preproc_if_in_field_declaration_list] = STATE(495),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(495),
    [sym_preproc_else_in_field_declaration_list] = STATE(1896),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1896),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1896),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(495),
    [sym_field_declaration] = STATE(495),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(495),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [sym_preproc_def] = STATE(484),
    [sym_preproc_function_def] = STATE(484),
    [sym_preproc_call] = STATE(484),
    [sym_preproc_if_in_field_declaration_list] = STATE(484),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(484),
    [sym_preproc_else_in_field_declaration_list] = STATE(1797),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1797),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1797),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(484),
    [sym_field_declaration] = STATE(484),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(484),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [sym_preproc_def] = STATE(495),
    [sym_preproc_function_def] = STATE(495),
    [sym_preproc_call] = STATE(495),
    [sym_preproc_if_in_field_declaration_list] = STATE(495),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(495),
    [sym_preproc_else_in_field_declaration_list] = STATE(1779),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1779),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1779),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(495),
    [sym_field_declaration] = STATE(495),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(495),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1851),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [sym_preproc_def] = STATE(489),
    [sym_preproc_function_def] = STATE(489),
    [sym_preproc_call] = STATE(489),
    [sym_preproc_if_in_field_declaration_list] = STATE(489),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(489),
    [sym_preproc_else_in_field_declaration_list] = STATE(1884),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1884),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1884),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(489),
    [sym_field_declaration] = STATE(489),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(489),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [sym_preproc_def] = STATE(495),
    [sym_preproc_function_def] = STATE(495),
    [sym_preproc_call] = STATE(495),
    [sym_preproc_if_in_field_declaration_list] = STATE(495),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(495),
    [sym_preproc_else_in_field_declaration_list] = STATE(1888),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1888),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1888),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(495),
    [sym_field_declaration] = STATE(495),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(495),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1855),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [sym_preproc_def] = STATE(495),
    [sym_preproc_function_def] = STATE(495),
    [sym_preproc_call] = STATE(495),
    [sym_preproc_if_in_field_declaration_list] = STATE(495),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(495),
    [sym_preproc_else_in_field_declaration_list] = STATE(1889),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1889),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1889),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(495),
    [sym_field_declaration] = STATE(495),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(495),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [sym_preproc_def] = STATE(495),
    [sym_preproc_function_def] = STATE(495),
    [sym_preproc_call] = STATE(495),
    [sym_preproc_if_in_field_declaration_list] = STATE(495),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(495),
    [sym_preproc_else_in_field_declaration_list] = STATE(1970),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1970),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1970),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(495),
    [sym_field_declaration] = STATE(495),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(495),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [sym_preproc_def] = STATE(490),
    [sym_preproc_function_def] = STATE(490),
    [sym_preproc_call] = STATE(490),
    [sym_preproc_if_in_field_declaration_list] = STATE(490),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(490),
    [sym_preproc_else_in_field_declaration_list] = STATE(1996),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1996),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1996),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(490),
    [sym_field_declaration] = STATE(490),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(490),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [sym_preproc_def] = STATE(495),
    [sym_preproc_function_def] = STATE(495),
    [sym_preproc_call] = STATE(495),
    [sym_preproc_if_in_field_declaration_list] = STATE(495),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(495),
    [sym_preproc_else_in_field_declaration_list] = STATE(2002),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2002),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2002),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(495),
    [sym_field_declaration] = STATE(495),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(495),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [sym_preproc_def] = STATE(486),
    [sym_preproc_function_def] = STATE(486),
    [sym_preproc_call] = STATE(486),
    [sym_preproc_if_in_field_declaration_list] = STATE(486),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(486),
    [sym_preproc_else_in_field_declaration_list] = STATE(1849),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1849),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1849),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(486),
    [sym_field_declaration] = STATE(486),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(486),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [aux_sym_preproc_def_token1] = ACTIONS(1821),
    [aux_sym_preproc_if_token1] = ACTIONS(1823),
    [aux_sym_preproc_if_token2] = ACTIONS(1865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1827),
    [aux_sym_preproc_else_token1] = ACTIONS(1829),
    [aux_sym_preproc_elif_token1] = ACTIONS(1831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1833),
    [sym_preproc_directive] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1182),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_ms_call_modifier] = STATE(1377),
    [sym__abstract_declarator] = STATE(1519),
    [sym_abstract_parenthesized_declarator] = STATE(1497),
    [sym_abstract_pointer_declarator] = STATE(1497),
    [sym_abstract_function_declarator] = STATE(1497),
    [sym_abstract_array_declarator] = STATE(1497),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym_variadic_parameter] = STATE(1574),
    [sym_parameter_list] = STATE(1484),
    [sym_parameter_declaration] = STATE(1574),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1745),
    [anon_sym_RPAREN] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(1867),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1104),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [sym_preproc_def] = STATE(495),
    [sym_preproc_function_def] = STATE(495),
    [sym_preproc_call] = STATE(495),
    [sym_preproc_if_in_field_declaration_list] = STATE(495),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(495),
    [sym__declaration_modifiers] = STATE(758),
    [sym__declaration_specifiers] = STATE(1294),
    [sym_attribute_specifier] = STATE(758),
    [sym_attribute_declaration] = STATE(758),
    [sym_ms_declspec_modifier] = STATE(758),
    [sym_storage_class_specifier] = STATE(758),
    [sym_type_qualifier] = STATE(758),
    [sym__type_specifier] = STATE(797),
    [sym_sized_type_specifier] = STATE(839),
    [sym_enum_specifier] = STATE(839),
    [sym_struct_specifier] = STATE(839),
    [sym_union_specifier] = STATE(839),
    [sym__field_declaration_list_item] = STATE(495),
    [sym_field_declaration] = STATE(495),
    [sym_macro_type_specifier] = STATE(839),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(495),
    [aux_sym__declaration_specifiers_repeat1] = STATE(758),
    [aux_sym_sized_type_specifier_repeat1] = STATE(823),
    [sym_identifier] = ACTIONS(1871),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [aux_sym_preproc_if_token1] = ACTIONS(1877),
    [aux_sym_preproc_if_token2] = ACTIONS(1880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [aux_sym_preproc_else_token1] = ACTIONS(1880),
    [aux_sym_preproc_elif_token1] = ACTIONS(1880),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1880),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1880),
    [sym_preproc_directive] = ACTIONS(1885),
    [anon_sym___extension__] = ACTIONS(1888),
    [anon_sym_extern] = ACTIONS(1891),
    [anon_sym___attribute__] = ACTIONS(1894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1897),
    [anon_sym___declspec] = ACTIONS(1900),
    [anon_sym_signed] = ACTIONS(1903),
    [anon_sym_unsigned] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_static] = ACTIONS(1891),
    [anon_sym_auto] = ACTIONS(1891),
    [anon_sym_register] = ACTIONS(1891),
    [anon_sym_inline] = ACTIONS(1891),
    [anon_sym___inline] = ACTIONS(1891),
    [anon_sym___inline__] = ACTIONS(1891),
    [anon_sym___forceinline] = ACTIONS(1891),
    [anon_sym_thread_local] = ACTIONS(1891),
    [anon_sym___thread] = ACTIONS(1891),
    [anon_sym_const] = ACTIONS(1888),
    [anon_sym_constexpr] = ACTIONS(1888),
    [anon_sym_volatile] = ACTIONS(1888),
    [anon_sym_restrict] = ACTIONS(1888),
    [anon_sym___restrict__] = ACTIONS(1888),
    [anon_sym__Atomic] = ACTIONS(1888),
    [anon_sym__Noreturn] = ACTIONS(1888),
    [anon_sym_noreturn] = ACTIONS(1888),
    [sym_primitive_type] = ACTIONS(1906),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_struct] = ACTIONS(1912),
    [anon_sym_union] = ACTIONS(1915),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1918), 1,
      anon_sym_RPAREN,
    ACTIONS(1920), 1,
      anon_sym___extension__,
    STATE(686), 1,
      sym_string_literal,
    STATE(1020), 1,
      sym__expression,
    STATE(1675), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [115] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1922), 1,
      anon_sym_RPAREN,
    ACTIONS(1924), 1,
      anon_sym___extension__,
    STATE(686), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym__expression,
    STATE(1621), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [230] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1926), 1,
      anon_sym___extension__,
    STATE(686), 1,
      sym_string_literal,
    STATE(1063), 1,
      sym__expression,
    STATE(1726), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [342] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1928), 1,
      anon_sym_RPAREN,
    STATE(686), 1,
      sym_string_literal,
    STATE(1050), 1,
      sym__expression,
    STATE(1861), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [451] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1930), 1,
      anon_sym_SEMI,
    STATE(686), 1,
      sym_string_literal,
    STATE(1083), 1,
      sym__expression,
    STATE(1961), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [560] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1932), 1,
      anon_sym_SEMI,
    STATE(686), 1,
      sym_string_literal,
    STATE(1060), 1,
      sym__expression,
    STATE(1955), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [669] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1934), 1,
      anon_sym_COLON,
    STATE(686), 1,
      sym_string_literal,
    STATE(1027), 1,
      sym__expression,
    STATE(2006), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [778] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1936), 1,
      anon_sym_COLON,
    STATE(686), 1,
      sym_string_literal,
    STATE(1078), 1,
      sym__expression,
    STATE(1814), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [887] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1938), 1,
      anon_sym_RPAREN,
    STATE(686), 1,
      sym_string_literal,
    STATE(1034), 1,
      sym__expression,
    STATE(1816), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [996] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1360), 1,
      anon_sym_LBRACE,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(714), 1,
      sym_initializer_list,
    STATE(723), 1,
      sym_string_literal,
    STATE(725), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1105] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1360), 1,
      anon_sym_LBRACE,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1046), 1,
      sym__expression,
    STATE(1740), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1214] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1360), 1,
      anon_sym_LBRACE,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(714), 1,
      sym_initializer_list,
    STATE(725), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1321] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1360), 1,
      anon_sym_LBRACE,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(714), 1,
      sym_initializer_list,
    STATE(723), 1,
      sym_string_literal,
    STATE(725), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1428] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1956), 1,
      anon_sym_COLON,
    STATE(686), 1,
      sym_string_literal,
    STATE(1072), 1,
      sym__expression,
    STATE(2018), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1537] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1360), 1,
      anon_sym_LBRACE,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(714), 1,
      sym_initializer_list,
    STATE(890), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1644] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1962), 1,
      anon_sym_RPAREN,
    STATE(686), 1,
      sym_string_literal,
    STATE(1076), 1,
      sym__expression,
    STATE(1848), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1753] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1964), 1,
      anon_sym_RPAREN,
    STATE(686), 1,
      sym_string_literal,
    STATE(1037), 1,
      sym__expression,
    STATE(1857), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1862] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1966), 1,
      anon_sym_SEMI,
    STATE(686), 1,
      sym_string_literal,
    STATE(1084), 1,
      sym__expression,
    STATE(1967), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1971] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1360), 1,
      anon_sym_LBRACE,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1057), 1,
      sym__expression,
    STATE(1734), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2080] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1968), 1,
      anon_sym_COLON,
    STATE(686), 1,
      sym_string_literal,
    STATE(1059), 1,
      sym__expression,
    STATE(1891), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2189] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1360), 1,
      anon_sym_LBRACE,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(714), 1,
      sym_initializer_list,
    STATE(890), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2298] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_COLON,
    STATE(686), 1,
      sym_string_literal,
    STATE(1061), 1,
      sym__expression,
    STATE(1913), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2407] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_RPAREN,
    STATE(686), 1,
      sym_string_literal,
    STATE(1030), 1,
      sym__expression,
    STATE(1890), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2516] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1974), 1,
      anon_sym_RPAREN,
    STATE(686), 1,
      sym_string_literal,
    STATE(1031), 1,
      sym__expression,
    STATE(1920), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2625] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_SEMI,
    STATE(686), 1,
      sym_string_literal,
    STATE(1049), 1,
      sym__expression,
    STATE(1843), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2734] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1978), 1,
      anon_sym_SEMI,
    STATE(686), 1,
      sym_string_literal,
    STATE(1036), 1,
      sym__expression,
    STATE(1924), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2843] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1980), 1,
      anon_sym_SEMI,
    STATE(686), 1,
      sym_string_literal,
    STATE(1044), 1,
      sym__expression,
    STATE(1909), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2952] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1360), 1,
      anon_sym_LBRACE,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1039), 1,
      sym__expression,
    STATE(1732), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3061] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1360), 1,
      anon_sym_LBRACE,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(714), 1,
      sym_initializer_list,
    STATE(725), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3170] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1982), 1,
      anon_sym_COLON,
    STATE(686), 1,
      sym_string_literal,
    STATE(1073), 1,
      sym__expression,
    STATE(1995), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3279] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(1984), 1,
      anon_sym_SEMI,
    STATE(686), 1,
      sym_string_literal,
    STATE(1047), 1,
      sym__expression,
    STATE(1963), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3388] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_RBRACK,
    STATE(686), 1,
      sym_string_literal,
    STATE(880), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3492] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1013), 1,
      sym__expression,
    STATE(1584), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3598] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    ACTIONS(1988), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1990), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1994), 1,
      sym_preproc_directive,
    ACTIONS(1996), 1,
      anon_sym_RBRACE,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1300), 1,
      sym__declaration_specifiers,
    ACTIONS(1992), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(533), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [3706] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    ACTIONS(1998), 1,
      anon_sym_RBRACK,
    STATE(686), 1,
      sym_string_literal,
    STATE(880), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3810] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1871), 1,
      sym_identifier,
    ACTIONS(1880), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(1894), 1,
      anon_sym___attribute__,
    ACTIONS(1897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1900), 1,
      anon_sym___declspec,
    ACTIONS(1906), 1,
      sym_primitive_type,
    ACTIONS(1909), 1,
      anon_sym_enum,
    ACTIONS(1912), 1,
      anon_sym_struct,
    ACTIONS(1915), 1,
      anon_sym_union,
    ACTIONS(2000), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2003), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2009), 1,
      sym_preproc_directive,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1293), 1,
      sym__declaration_specifiers,
    ACTIONS(2006), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(1903), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(531), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(1888), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(1891), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [3918] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1871), 1,
      sym_identifier,
    ACTIONS(1894), 1,
      anon_sym___attribute__,
    ACTIONS(1897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1900), 1,
      anon_sym___declspec,
    ACTIONS(1906), 1,
      sym_primitive_type,
    ACTIONS(1909), 1,
      anon_sym_enum,
    ACTIONS(1912), 1,
      anon_sym_struct,
    ACTIONS(1915), 1,
      anon_sym_union,
    ACTIONS(2012), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2015), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2021), 1,
      sym_preproc_directive,
    ACTIONS(2024), 1,
      anon_sym_RBRACE,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1300), 1,
      sym__declaration_specifiers,
    ACTIONS(2018), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(1903), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(532), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(1888), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(1891), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [4026] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    ACTIONS(1988), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1990), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1994), 1,
      sym_preproc_directive,
    ACTIONS(2026), 1,
      anon_sym_RBRACE,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1300), 1,
      sym__declaration_specifiers,
    ACTIONS(1992), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(532), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [4134] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    ACTIONS(2028), 1,
      anon_sym_RBRACK,
    STATE(686), 1,
      sym_string_literal,
    STATE(880), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4238] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    ACTIONS(2030), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2032), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2034), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(2038), 1,
      sym_preproc_directive,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1293), 1,
      sym__declaration_specifiers,
    ACTIONS(2036), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(543), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [4346] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    ACTIONS(2040), 1,
      anon_sym_RBRACK,
    STATE(686), 1,
      sym_string_literal,
    STATE(880), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4450] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    ACTIONS(2042), 1,
      anon_sym_RBRACK,
    STATE(686), 1,
      sym_string_literal,
    STATE(880), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4554] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1040), 1,
      sym__expression,
    STATE(1803), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4660] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    ACTIONS(2044), 1,
      anon_sym_RBRACK,
    STATE(686), 1,
      sym_string_literal,
    STATE(880), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4764] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1048), 1,
      sym__expression,
    STATE(1785), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4870] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    ACTIONS(2046), 1,
      anon_sym_RBRACK,
    STATE(686), 1,
      sym_string_literal,
    STATE(880), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4974] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    ACTIONS(2048), 1,
      anon_sym_RBRACK,
    STATE(686), 1,
      sym_string_literal,
    STATE(880), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5078] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    ACTIONS(2030), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2032), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2038), 1,
      sym_preproc_directive,
    ACTIONS(2050), 1,
      aux_sym_preproc_if_token2,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1293), 1,
      sym__declaration_specifiers,
    ACTIONS(2036), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(531), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [5186] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    ACTIONS(2052), 1,
      anon_sym_RBRACK,
    STATE(686), 1,
      sym_string_literal,
    STATE(880), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5290] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    ACTIONS(2054), 1,
      anon_sym_RBRACK,
    STATE(686), 1,
      sym_string_literal,
    STATE(880), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5394] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(2056), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(883), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5497] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(730), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5600] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(730), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5701] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(734), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5802] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1105), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5905] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(724), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6006] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(2058), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(729), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6107] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(734), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6208] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(997), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6311] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(960), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6414] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(961), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6517] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(722), 1,
      sym__expression,
    STATE(723), 1,
      sym_string_literal,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6620] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(962), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6723] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(963), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6826] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(964), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6929] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(965), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7032] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(966), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7135] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(967), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7238] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(968), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7341] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(969), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7444] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(974), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7547] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(975), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7650] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(805), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7751] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(722), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7852] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(971), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7955] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(976), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8058] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(783), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8159] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(959), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8262] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(788), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8363] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(790), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8464] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(791), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8565] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(970), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8668] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(792), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8769] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(794), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8870] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(801), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8971] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(803), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9072] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(992), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9175] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(766), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9276] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(887), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9377] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(767), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9478] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(768), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9579] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(769), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9680] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(770), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9781] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(771), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9882] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(772), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9983] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(773), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10084] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(774), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10185] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1092), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10288] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(775), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10389] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(977), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10492] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1104), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10595] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1113), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10698] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(776), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10799] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(730), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10902] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(1942), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(724), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11005] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1679), 1,
      anon_sym_sizeof,
    ACTIONS(1940), 1,
      sym_identifier,
    ACTIONS(2060), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(729), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1675), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1677), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1946), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(800), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11108] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1054), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11211] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1024), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11314] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(983), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11417] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1077), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11520] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(995), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11623] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(973), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11726] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(722), 1,
      sym__expression,
    STATE(723), 1,
      sym_string_literal,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11827] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(785), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11928] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(730), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12029] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1022), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12132] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(1952), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(724), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12233] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1372), 1,
      anon_sym_sizeof,
    ACTIONS(2062), 1,
      anon_sym_LPAREN2,
    STATE(723), 1,
      sym_string_literal,
    STATE(729), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1944), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1954), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12334] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1087), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12437] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1053), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12540] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1056), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12643] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(887), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12746] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1058), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12849] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1062), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12952] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13055] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1065), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13158] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1067), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13261] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1068), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13364] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1069), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13467] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1071), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13570] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1023), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13673] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1082), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13776] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(1028), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13879] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(881), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13980] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(870), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14081] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(868), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14182] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(869), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14283] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(876), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14384] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(871), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14485] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(872), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14586] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(874), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14687] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(875), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14788] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(885), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14889] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(886), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14990] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(879), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15091] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(882), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15192] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(2064), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(883), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15293] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1075), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15396] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1098), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15499] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1096), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15602] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1032), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15705] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1107), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15808] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1108), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15911] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(987), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16014] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(879), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16117] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1655), 1,
      anon_sym_sizeof,
    ACTIONS(1958), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(880), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1653), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1960), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16218] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1689), 1,
      sym_identifier,
    ACTIONS(1695), 1,
      anon_sym_sizeof,
    ACTIONS(1757), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(882), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1693), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1761), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1767), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(892), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16321] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(722), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16424] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(993), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16527] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(982), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16630] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(724), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16733] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    ACTIONS(2066), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(729), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16836] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1021), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16939] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1350), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_sizeof,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    STATE(686), 1,
      sym_string_literal,
    STATE(789), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1354), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1356), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1950), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(711), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17040] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1681), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1094), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(840), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(711), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17143] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_const,
    ACTIONS(1701), 1,
      anon_sym_LPAREN2,
    ACTIONS(1707), 1,
      anon_sym_STAR,
    ACTIONS(1714), 1,
      anon_sym_EQ,
    STATE(662), 1,
      sym_string_literal,
    STATE(834), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1736), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(2068), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1710), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(1718), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1705), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1699), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [17231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 1,
      sym_identifier,
    STATE(667), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2074), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2072), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17302] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2076), 1,
      sym_identifier,
    STATE(663), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2083), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2081), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2079), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17373] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    ACTIONS(2086), 1,
      anon_sym_LBRACE,
    STATE(744), 1,
      sym_ms_call_modifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1145), 1,
      sym__declaration_specifiers,
    STATE(323), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [17474] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
    STATE(740), 1,
      sym_ms_call_modifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1143), 1,
      sym__declaration_specifiers,
    STATE(317), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [17575] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    ACTIONS(2090), 1,
      anon_sym_LBRACE,
    STATE(747), 1,
      sym_ms_call_modifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1149), 1,
      sym__declaration_specifiers,
    STATE(142), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [17676] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2092), 1,
      sym_identifier,
    STATE(663), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2096), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2094), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17747] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    ACTIONS(2098), 1,
      anon_sym_LBRACE,
    STATE(742), 1,
      sym_ms_call_modifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1144), 1,
      sym__declaration_specifiers,
    STATE(407), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [17848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(662), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1705), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1699), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2100), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2102), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [17979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2104), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2106), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [18042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2108), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2110), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2112), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2114), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2116), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2118), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2120), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2122), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2126), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2128), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2130), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2132), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2134), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2138), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2142), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2144), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2146), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1683), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [18721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1673), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1671), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [18780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2150), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2148), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [18839] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2162), 1,
      anon_sym___attribute__,
    ACTIONS(2165), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2168), 1,
      anon_sym___declspec,
    ACTIONS(2154), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(685), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2156), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2159), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(2152), 17,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [18910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 1,
      sym_identifier,
    STATE(662), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2175), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2173), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2150), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19034] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(355), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(727), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2179), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2183), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2187), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2189), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2191), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2195), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19416] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1745), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1747), 1,
      anon_sym_RPAREN,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1182), 1,
      sym__declaration_specifiers,
    STATE(1574), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2199), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19566] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(423), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(727), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2203), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19716] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(497), 1,
      anon_sym_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(383), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(727), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19808] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(497), 1,
      anon_sym_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(388), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(713), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19900] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(425), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(719), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2207), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20050] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(148), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(706), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20142] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1745), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2209), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_RPAREN,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1182), 1,
      sym__declaration_specifiers,
    STATE(1526), 1,
      sym_variadic_parameter,
    STATE(1574), 1,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20236] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(414), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(696), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2215), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20386] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(134), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(727), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20478] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(146), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(712), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2219), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2223), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2227), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2229), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2231), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20802] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(143), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(727), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20894] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(497), 1,
      anon_sym_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(326), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(727), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2233), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2235), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2237), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2239), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21102] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(320), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(727), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [21194] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(374), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(688), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [21286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2241), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2243), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21344] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(410), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(727), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [21436] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(497), 1,
      anon_sym_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(344), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(698), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [21528] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(365), 1,
      sym_compound_statement,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(716), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [21620] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2245), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2247), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [21687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(662), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2175), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2173), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [21748] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2257), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2259), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [21815] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2261), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2263), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [21882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2267), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [21939] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      sym_identifier,
    ACTIONS(2278), 1,
      anon_sym___attribute__,
    ACTIONS(2281), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2284), 1,
      anon_sym___declspec,
    ACTIONS(2287), 1,
      anon_sym_LBRACE,
    ACTIONS(2292), 1,
      sym_primitive_type,
    ACTIONS(2295), 1,
      anon_sym_enum,
    ACTIONS(2298), 1,
      anon_sym_struct,
    ACTIONS(2301), 1,
      anon_sym_union,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1153), 1,
      sym__declaration_specifiers,
    STATE(727), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(2289), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2272), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2275), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2304), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2306), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22085] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2308), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2310), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22152] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2312), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2314), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [22217] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1745), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2316), 1,
      sym_identifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1182), 1,
      sym__declaration_specifiers,
    STATE(1756), 1,
      sym_variadic_parameter,
    STATE(1772), 1,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22308] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1745), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1182), 1,
      sym__declaration_specifiers,
    STATE(1772), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2318), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
  [22454] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2322), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2324), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2326), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2328), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2332), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22635] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_EQ,
    STATE(662), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2336), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1705), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1699), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22700] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_EQ,
    STATE(662), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1718), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1705), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1699), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(739), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2342), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2338), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(2340), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [22823] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1272), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22905] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1252), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22987] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1269), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23069] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1260), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23151] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1271), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23233] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1234), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23315] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1245), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23397] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(797), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1270), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(758), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23479] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2349), 1,
      anon_sym_LBRACE,
    STATE(796), 1,
      sym_field_declaration_list,
    STATE(831), 1,
      sym_attribute_specifier,
    ACTIONS(2347), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2345), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [23540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2351), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23593] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2349), 1,
      anon_sym_LBRACE,
    STATE(779), 1,
      sym_field_declaration_list,
    STATE(809), 1,
      sym_attribute_specifier,
    ACTIONS(2357), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2355), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [23654] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2349), 1,
      anon_sym_LBRACE,
    STATE(804), 1,
      sym_field_declaration_list,
    STATE(842), 1,
      sym_attribute_specifier,
    ACTIONS(2361), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2359), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [23715] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_EQ,
    ACTIONS(1734), 1,
      anon_sym_COLON,
    STATE(662), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1718), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1705), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1699), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2363), 38,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23831] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_EQ,
    ACTIONS(1741), 1,
      anon_sym_COLON,
    STATE(662), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1718), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1705), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1699), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23894] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_EQ,
    ACTIONS(2367), 1,
      anon_sym_COLON,
    STATE(662), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1718), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1705), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1699), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23957] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2349), 1,
      anon_sym_LBRACE,
    STATE(786), 1,
      sym_field_declaration_list,
    STATE(820), 1,
      sym_attribute_specifier,
    ACTIONS(2371), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2369), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [24018] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2349), 1,
      anon_sym_LBRACE,
    STATE(793), 1,
      sym_field_declaration_list,
    STATE(825), 1,
      sym_attribute_specifier,
    ACTIONS(2375), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2373), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [24079] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(782), 1,
      sym__type_specifier,
    STATE(823), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(685), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2351), 38,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24211] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_EQ,
    ACTIONS(1739), 1,
      anon_sym_COLON,
    STATE(662), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1718), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1705), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1699), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24274] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_EQ,
    ACTIONS(1732), 1,
      anon_sym_COLON,
    STATE(662), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1718), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1705), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1699), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24337] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_EQ,
    ACTIONS(1716), 1,
      anon_sym_COLON,
    STATE(662), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1718), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1705), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1699), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2379), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2377), 38,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1683), 38,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1673), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1671), 38,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24556] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2247), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [24620] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2385), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2387), 1,
      anon_sym_PIPE,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(2391), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2245), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2393), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2397), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2399), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2247), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [24702] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2387), 1,
      anon_sym_PIPE,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(2391), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2245), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2393), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2397), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2399), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2247), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [24782] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(2391), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2393), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2397), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2399), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2245), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2247), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [24860] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2391), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2393), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2397), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2399), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2247), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [24936] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2393), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2397), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2399), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2247), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [25010] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2397), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2399), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2247), 21,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [25082] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2399), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2247), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [25150] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2247), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [25216] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2385), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2387), 1,
      anon_sym_PIPE,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(2391), 1,
      anon_sym_AMP,
    ACTIONS(2405), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2407), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2393), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2397), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2399), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2403), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2401), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [25302] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2385), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2387), 1,
      anon_sym_PIPE,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(2391), 1,
      anon_sym_AMP,
    ACTIONS(2405), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2407), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2393), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2397), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2399), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2411), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2409), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [25388] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2385), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2387), 1,
      anon_sym_PIPE,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(2391), 1,
      anon_sym_AMP,
    ACTIONS(2405), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2407), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2393), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2397), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2399), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2415), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2413), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [25474] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2417), 1,
      anon_sym_EQ,
    STATE(662), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2419), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1705), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1699), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [25534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(824), 1,
      sym_attribute_specifier,
    ACTIONS(2423), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2421), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [25589] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2415), 1,
      anon_sym_EQ,
    ACTIONS(2429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2435), 1,
      anon_sym_CARET,
    ACTIONS(2437), 1,
      anon_sym_AMP,
    ACTIONS(2447), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2425), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2439), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2441), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2443), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2427), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2413), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(837), 1,
      sym_attribute_specifier,
    ACTIONS(2451), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2449), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [25729] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2455), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(787), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2453), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25792] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2245), 1,
      anon_sym_EQ,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2435), 1,
      anon_sym_CARET,
    ACTIONS(2437), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2425), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2439), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2441), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2443), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2427), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2247), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(811), 1,
      sym_attribute_specifier,
    ACTIONS(2459), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2457), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [25928] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2403), 1,
      anon_sym_EQ,
    ACTIONS(2429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2435), 1,
      anon_sym_CARET,
    ACTIONS(2437), 1,
      anon_sym_AMP,
    ACTIONS(2447), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2425), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2439), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2441), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2443), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2427), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2401), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(843), 1,
      sym_attribute_specifier,
    ACTIONS(2463), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2461), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [26068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2467), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(685), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2465), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26131] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2245), 1,
      anon_sym_EQ,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2435), 1,
      anon_sym_CARET,
    ACTIONS(2437), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2425), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2439), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2441), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2443), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2427), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2247), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26210] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2411), 1,
      anon_sym_EQ,
    ACTIONS(2429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2433), 1,
      anon_sym_PIPE,
    ACTIONS(2435), 1,
      anon_sym_CARET,
    ACTIONS(2437), 1,
      anon_sym_AMP,
    ACTIONS(2447), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2425), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2439), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2441), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2443), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2427), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2409), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26295] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2435), 1,
      anon_sym_CARET,
    ACTIONS(2437), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2245), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2425), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2439), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2441), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2443), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2427), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2247), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26372] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2437), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2425), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2439), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2441), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2443), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2245), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2427), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2247), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26447] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2425), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2439), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2441), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2443), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2427), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2247), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(819), 1,
      sym_attribute_specifier,
    ACTIONS(2471), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2469), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [26575] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2425), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2441), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2443), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2427), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2247), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(822), 1,
      sym_attribute_specifier,
    ACTIONS(2475), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2473), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [26701] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(844), 1,
      sym_attribute_specifier,
    ACTIONS(2479), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2477), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [26756] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2483), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(798), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2481), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26819] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2487), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(685), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2485), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(799), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2493), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2491), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2489), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [26937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_EQ,
    ACTIONS(2336), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1705), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1699), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [26992] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2425), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2445), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2427), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2247), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(829), 1,
      sym_attribute_specifier,
    ACTIONS(2498), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2496), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27114] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2425), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2427), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2247), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(830), 1,
      sym_attribute_specifier,
    ACTIONS(2502), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2500), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27234] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2427), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2247), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(807), 1,
      sym_attribute_specifier,
    ACTIONS(2506), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2504), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2510), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2508), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2514), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2512), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2516), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(838), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2524), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2522), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2520), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [27556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2526), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(841), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2534), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2532), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2530), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [27660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 1,
      sym_primitive_type,
    STATE(799), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2493), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2539), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2536), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [27716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2544), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2542), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(826), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2550), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2548), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2546), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [27820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2552), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2556), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2560), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2564), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2568), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2572), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2576), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28170] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      sym_identifier,
    ACTIONS(2589), 1,
      sym_primitive_type,
    STATE(813), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2587), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2583), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2585), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [28228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2593), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2591), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2597), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2595), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(799), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2601), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2599), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [28382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2607), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2605), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28432] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_LPAREN2,
    STATE(834), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1712), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1710), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(1697), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [28488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2612), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2618), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2616), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2620), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2626), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2624), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2628), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(799), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2634), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2632), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [28792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2636), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2642), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2640), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2644), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(799), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2650), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2648), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [28996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2546), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_EQ,
    ACTIONS(1718), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1705), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1699), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(799), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2654), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2652), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [29154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2658), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2656), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2662), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2660), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2666), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2664), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1340), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2668), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2674), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2672), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2676), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2680), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2686), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2684), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2690), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2688), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1244), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1280), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1236), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1344), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1314), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1312), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2692), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2696), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2700), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2706), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2704), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2710), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2708), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2712), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30186] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2716), 1,
      anon_sym_SEMI,
    ACTIONS(2483), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(798), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2481), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [30248] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2718), 1,
      anon_sym_SEMI,
    ACTIONS(2483), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(798), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2481), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [30310] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2724), 1,
      anon_sym___attribute__,
    ACTIONS(2727), 1,
      anon_sym_LBRACE,
    ACTIONS(2729), 1,
      anon_sym_COLON,
    STATE(832), 1,
      sym_attribute_specifier,
    STATE(899), 1,
      sym_enumerator_list,
    ACTIONS(2722), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2720), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [30368] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2731), 1,
      anon_sym_SEMI,
    ACTIONS(2483), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(798), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2481), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [30430] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1104), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2733), 1,
      anon_sym_SEMI,
    ACTIONS(2483), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(798), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2481), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [30492] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2245), 1,
      anon_sym_EQ,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2741), 1,
      anon_sym_PIPE,
    ACTIONS(2743), 1,
      anon_sym_CARET,
    ACTIONS(2745), 1,
      anon_sym_AMP,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2749), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2751), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2247), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30569] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2743), 1,
      anon_sym_CARET,
    ACTIONS(2745), 1,
      anon_sym_AMP,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2245), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2749), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2751), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2247), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30644] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2245), 1,
      anon_sym_EQ,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2741), 1,
      anon_sym_PIPE,
    ACTIONS(2743), 1,
      anon_sym_CARET,
    ACTIONS(2745), 1,
      anon_sym_AMP,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(2757), 1,
      anon_sym_AMP_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2749), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2751), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2247), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30723] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2749), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2751), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2247), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30794] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2749), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2751), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2247), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30863] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      anon_sym_LBRACE,
    ACTIONS(2763), 1,
      anon_sym___attribute__,
    STATE(817), 1,
      sym_attribute_specifier,
    STATE(916), 1,
      sym_enumerator_list,
    ACTIONS(2761), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2759), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [30918] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2247), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30983] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2247), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31046] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2745), 1,
      anon_sym_AMP,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2749), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2751), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2245), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2247), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31119] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 2,
      anon_sym___attribute__,
      sym_identifier,
    ACTIONS(2773), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2776), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2769), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2771), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
  [31172] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2415), 1,
      anon_sym_EQ,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2741), 1,
      anon_sym_PIPE,
    ACTIONS(2743), 1,
      anon_sym_CARET,
    ACTIONS(2745), 1,
      anon_sym_AMP,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(2757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2780), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2749), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2751), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2413), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31255] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2312), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2314), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [31312] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2322), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31371] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2245), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2247), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31432] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2257), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2259), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31491] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2308), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2310), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 2,
      anon_sym___attribute__,
      sym_identifier,
    ACTIONS(2789), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2792), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2785), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2787), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
  [31603] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2403), 1,
      anon_sym_EQ,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2741), 1,
      anon_sym_PIPE,
    ACTIONS(2743), 1,
      anon_sym_CARET,
    ACTIONS(2745), 1,
      anon_sym_AMP,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(2757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2780), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2749), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2751), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2401), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31686] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2411), 1,
      anon_sym_EQ,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2741), 1,
      anon_sym_PIPE,
    ACTIONS(2743), 1,
      anon_sym_CARET,
    ACTIONS(2745), 1,
      anon_sym_AMP,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(2757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2780), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2749), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2751), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2409), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31769] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2245), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2247), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31828] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_LPAREN2,
    ACTIONS(1751), 1,
      anon_sym_STAR,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1316), 1,
      sym__declarator,
    STATE(1476), 1,
      sym__abstract_declarator,
    STATE(1484), 1,
      sym_parameter_list,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(2796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1001), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31907] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_LPAREN2,
    ACTIONS(1751), 1,
      anon_sym_STAR,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1305), 1,
      sym__declarator,
    STATE(1459), 1,
      sym__abstract_declarator,
    STATE(1484), 1,
      sym_parameter_list,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2804), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(888), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1002), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2261), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2263), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2326), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2328), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [32091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2417), 1,
      anon_sym_EQ,
    ACTIONS(2419), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1705), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1699), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [32141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2304), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2306), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [32187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2106), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2104), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2102), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2100), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2332), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [32325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2267), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [32371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1340), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2810), 1,
      anon_sym___attribute__,
    STATE(818), 1,
      sym_attribute_specifier,
    ACTIONS(2808), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2806), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [32465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1244), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1280), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1236), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1340), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1344), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1314), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1312), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2710), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2708), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2690), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2688), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2692), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2680), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2686), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2684), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2379), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(668), 1,
      sym_string_literal,
    ACTIONS(2813), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2377), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2690), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2688), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2696), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2700), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2706), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2704), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2819), 1,
      anon_sym___attribute__,
    STATE(833), 1,
      sym_attribute_specifier,
    ACTIONS(2817), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2815), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [33238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2710), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2708), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2696), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2712), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2680), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2668), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2686), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2684), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2674), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2672), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2676), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1244), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2700), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2712), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2670), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2668), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2674), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2672), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1280), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1236), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1344), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2706), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2704), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2379), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(665), 1,
      sym_string_literal,
    ACTIONS(2813), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2377), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1312), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2379), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(666), 1,
      sym_string_literal,
    ACTIONS(2813), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2377), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2379), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(664), 1,
      sym_string_literal,
    ACTIONS(2813), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2377), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym___attribute__,
    STATE(836), 1,
      sym_attribute_specifier,
    ACTIONS(2824), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2822), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [34244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2676), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2692), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1138), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1170), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1180), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1182), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1116), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1118), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1134), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1138), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1134), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1116), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1118), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1164), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1166), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1170), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [34774] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1356), 1,
      sym__type_declarator,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1086), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2841), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2839), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34886] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_COMMA,
    ACTIONS(2846), 1,
      anon_sym_RPAREN,
    STATE(834), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1656), 1,
      aux_sym__old_style_parameter_list_repeat1,
    ACTIONS(1710), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1712), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1697), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [34941] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1357), 1,
      sym__type_declarator,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(951), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35010] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1357), 1,
      sym__type_declarator,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35079] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1355), 1,
      sym__type_declarator,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(955), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1093), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35148] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_LPAREN2,
    STATE(834), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1710), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2849), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1712), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1697), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [35198] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_LPAREN2,
    ACTIONS(2859), 1,
      anon_sym_LBRACK,
    STATE(834), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1710), 2,
      anon_sym_COMMA,
      anon_sym_STAR,
    ACTIONS(2852), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1712), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1697), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [35250] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2864), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2870), 1,
      anon_sym_SLASH,
    ACTIONS(2872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2874), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2876), 1,
      anon_sym_PIPE,
    ACTIONS(2878), 1,
      anon_sym_CARET,
    ACTIONS(2880), 1,
      anon_sym_AMP,
    ACTIONS(2890), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2866), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2884), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2886), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2862), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [35327] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2415), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2870), 1,
      anon_sym_SLASH,
    ACTIONS(2872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2874), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2876), 1,
      anon_sym_PIPE,
    ACTIONS(2878), 1,
      anon_sym_CARET,
    ACTIONS(2880), 1,
      anon_sym_AMP,
    ACTIONS(2890), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2866), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2884), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2886), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2413), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [35404] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2870), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2245), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2247), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [35459] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2245), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2870), 1,
      anon_sym_SLASH,
    ACTIONS(2874), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2876), 1,
      anon_sym_PIPE,
    ACTIONS(2878), 1,
      anon_sym_CARET,
    ACTIONS(2880), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2866), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2884), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2886), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 8,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      sym_identifier,
  [35532] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2245), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2870), 1,
      anon_sym_SLASH,
    ACTIONS(2876), 1,
      anon_sym_PIPE,
    ACTIONS(2878), 1,
      anon_sym_CARET,
    ACTIONS(2880), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2866), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2884), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2886), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [35603] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2870), 1,
      anon_sym_SLASH,
    ACTIONS(2878), 1,
      anon_sym_CARET,
    ACTIONS(2880), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2245), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2866), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2884), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2886), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [35672] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2870), 1,
      anon_sym_SLASH,
    ACTIONS(2880), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2245), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2866), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2884), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2886), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [35739] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2870), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2866), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2884), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2886), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2245), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2247), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [35804] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2870), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2866), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2884), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2886), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2245), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2247), 12,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [35867] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2870), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2866), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2245), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2247), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [35926] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2870), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2866), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2245), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2247), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [35983] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2411), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2870), 1,
      anon_sym_SLASH,
    ACTIONS(2872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2874), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2876), 1,
      anon_sym_PIPE,
    ACTIONS(2878), 1,
      anon_sym_CARET,
    ACTIONS(2880), 1,
      anon_sym_AMP,
    ACTIONS(2890), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2866), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2884), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2886), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2409), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [36060] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2403), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2870), 1,
      anon_sym_SLASH,
    ACTIONS(2872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2874), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2876), 1,
      anon_sym_PIPE,
    ACTIONS(2878), 1,
      anon_sym_CARET,
    ACTIONS(2880), 1,
      anon_sym_AMP,
    ACTIONS(2890), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2866), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2884), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2886), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [36137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1132), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36177] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2413), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [36251] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2245), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [36315] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2245), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [36377] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2245), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2247), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [36435] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2245), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2247), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [36491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1168), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1132), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2920), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2918), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2922), 1,
      anon_sym_typedef,
    ACTIONS(2351), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36653] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [36721] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [36795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1138), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1136), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2924), 1,
      anon_sym_typedef,
    ACTIONS(2351), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1138), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1136), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36917] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2245), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2247), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [36971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1164), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2926), 1,
      anon_sym_typedef,
    ACTIONS(2351), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2787), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1118), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1116), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37133] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2409), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [37207] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [37277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1180), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37317] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [37385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1118), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1116), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37425] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [37491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1168), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2930), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2934), 1,
      anon_sym_typedef,
    ACTIONS(2351), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37613] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_LPAREN2,
    ACTIONS(1751), 1,
      anon_sym_STAR,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1311), 1,
      sym__declarator,
    STATE(1466), 1,
      sym__abstract_declarator,
    STATE(1484), 1,
      sym_parameter_list,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(2936), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37676] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_LPAREN2,
    ACTIONS(1751), 1,
      anon_sym_STAR,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1316), 1,
      sym__declarator,
    STATE(1476), 1,
      sym__abstract_declarator,
    STATE(1484), 1,
      sym_parameter_list,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(2796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37739] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_STAR,
    ACTIONS(2798), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1459), 1,
      sym__abstract_declarator,
    STATE(1484), 1,
      sym_parameter_list,
    ACTIONS(2940), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2942), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1004), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1128), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2804), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2938), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37804] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_STAR,
    ACTIONS(2798), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1476), 1,
      sym__abstract_declarator,
    STATE(1484), 1,
      sym_parameter_list,
    ACTIONS(2940), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2942), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1126), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2796), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2938), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37869] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2944), 1,
      sym_identifier,
    ACTIONS(2946), 1,
      anon_sym_LPAREN2,
    ACTIONS(2948), 1,
      anon_sym_STAR,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1333), 1,
      sym__field_declarator,
    STATE(1874), 1,
      sym_ms_based_modifier,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1139), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1407), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37929] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1316), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1131), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37989] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1311), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1138), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(2956), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [38087] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1316), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1007), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1131), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38147] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1305), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1006), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38207] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2944), 1,
      sym_identifier,
    ACTIONS(2946), 1,
      anon_sym_LPAREN2,
    ACTIONS(2948), 1,
      anon_sym_STAR,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1346), 1,
      sym__field_declarator,
    STATE(1874), 1,
      sym_ms_based_modifier,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1137), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1407), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38267] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2944), 1,
      sym_identifier,
    ACTIONS(2946), 1,
      anon_sym_LPAREN2,
    ACTIONS(2948), 1,
      anon_sym_STAR,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1346), 1,
      sym__field_declarator,
    STATE(1874), 1,
      sym_ms_based_modifier,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1005), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1137), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1407), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38327] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2960), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [38401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(2964), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [38439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(2968), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [38477] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2944), 1,
      sym_identifier,
    ACTIONS(2946), 1,
      anon_sym_LPAREN2,
    ACTIONS(2948), 1,
      anon_sym_STAR,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1344), 1,
      sym__field_declarator,
    STATE(1874), 1,
      sym_ms_based_modifier,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1011), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1141), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1407), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(2972), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [38575] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1088), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(2981), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1018), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2978), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2976), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2974), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [38621] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2984), 1,
      anon_sym_COMMA,
    ACTIONS(2986), 1,
      anon_sym_RBRACE,
    STATE(705), 1,
      sym_argument_list,
    STATE(1658), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38696] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2988), 1,
      anon_sym_COMMA,
    ACTIONS(2990), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    STATE(1685), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38771] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2992), 1,
      anon_sym_COMMA,
    ACTIONS(2994), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    STATE(1602), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38846] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2996), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [38917] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2988), 1,
      anon_sym_COMMA,
    ACTIONS(2998), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    STATE(1581), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38992] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2988), 1,
      anon_sym_COMMA,
    ACTIONS(3000), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    STATE(1660), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39067] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2988), 1,
      anon_sym_COMMA,
    ACTIONS(3002), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    STATE(1684), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39142] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1669), 1,
      anon_sym_enum,
    ACTIONS(3004), 1,
      sym_identifier,
    ACTIONS(3008), 1,
      sym_primitive_type,
    STATE(1192), 1,
      sym__type_specifier,
    STATE(1262), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1279), 1,
      sym__type_definition_type,
    STATE(1099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3006), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39198] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3010), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39270] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2409), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39342] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1669), 1,
      anon_sym_enum,
    ACTIONS(3004), 1,
      sym_identifier,
    ACTIONS(3008), 1,
      sym_primitive_type,
    STATE(1192), 1,
      sym__type_specifier,
    STATE(1262), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1284), 1,
      sym__type_definition_type,
    STATE(1099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3006), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39398] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3038), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39470] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3040), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39542] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2862), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39612] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3042), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39684] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39756] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1819), 1,
      sym_identifier,
    ACTIONS(3046), 1,
      anon_sym_enum,
    STATE(1123), 1,
      sym__type_specifier,
    STATE(1132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1854), 1,
      sym_type_descriptor,
    STATE(1109), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1667), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39812] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3048), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39884] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39956] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1669), 1,
      anon_sym_enum,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(1123), 1,
      sym__type_specifier,
    STATE(1132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2016), 1,
      sym_type_descriptor,
    STATE(1110), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1667), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40012] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3052), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [40082] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3054), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40154] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3056), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40226] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3058), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [40296] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1819), 1,
      sym_identifier,
    ACTIONS(3046), 1,
      anon_sym_enum,
    STATE(1123), 1,
      sym__type_specifier,
    STATE(1132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1982), 1,
      sym_type_descriptor,
    STATE(1109), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1667), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40352] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3060), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40424] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3062), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40496] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3064), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [40566] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3066), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40638] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3068), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40710] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3070), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40782] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3072), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40854] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1669), 1,
      anon_sym_enum,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(1123), 1,
      sym__type_specifier,
    STATE(1132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1945), 1,
      sym_type_descriptor,
    STATE(1110), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1667), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40910] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1669), 1,
      anon_sym_enum,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(1123), 1,
      sym__type_specifier,
    STATE(1132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1997), 1,
      sym_type_descriptor,
    STATE(1110), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1667), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40966] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2413), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41038] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    ACTIONS(3074), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3076), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41112] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1669), 1,
      anon_sym_enum,
    ACTIONS(3004), 1,
      sym_identifier,
    ACTIONS(3008), 1,
      sym_primitive_type,
    STATE(1192), 1,
      sym__type_specifier,
    STATE(1262), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1283), 1,
      sym__type_definition_type,
    STATE(1099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3006), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [41168] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2245), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2247), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41220] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3078), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [41290] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41358] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3080), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41430] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3082), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41502] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3084), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41574] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41640] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3086), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [41710] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41776] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41840] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1669), 1,
      anon_sym_enum,
    ACTIONS(3004), 1,
      sym_identifier,
    ACTIONS(3008), 1,
      sym_primitive_type,
    STATE(1192), 1,
      sym__type_specifier,
    STATE(1262), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1278), 1,
      sym__type_definition_type,
    STATE(1099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3006), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [41896] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2245), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41958] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2245), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2247), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42018] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2245), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2247), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42074] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1669), 1,
      anon_sym_enum,
    ACTIONS(3004), 1,
      sym_identifier,
    ACTIONS(3008), 1,
      sym_primitive_type,
    STATE(1192), 1,
      sym__type_specifier,
    STATE(1262), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1282), 1,
      sym__type_definition_type,
    STATE(1099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3006), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [42130] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2245), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2247), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42184] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3088), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42256] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3090), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42328] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1669), 1,
      anon_sym_enum,
    ACTIONS(3004), 1,
      sym_identifier,
    ACTIONS(3008), 1,
      sym_primitive_type,
    STATE(1192), 1,
      sym__type_specifier,
    STATE(1262), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1280), 1,
      sym__type_definition_type,
    STATE(1099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3006), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [42384] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3092), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [42454] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3094), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42526] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3096), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [42596] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3098), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42668] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1669), 1,
      anon_sym_enum,
    ACTIONS(3004), 1,
      sym_identifier,
    ACTIONS(3008), 1,
      sym_primitive_type,
    STATE(1192), 1,
      sym__type_specifier,
    STATE(1262), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1276), 1,
      sym__type_definition_type,
    STATE(1099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3006), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [42724] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3100), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42796] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1669), 1,
      anon_sym_enum,
    ACTIONS(3004), 1,
      sym_identifier,
    ACTIONS(3008), 1,
      sym_primitive_type,
    STATE(1192), 1,
      sym__type_specifier,
    STATE(1262), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1281), 1,
      sym__type_definition_type,
    STATE(1099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3006), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [42852] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_DASH_GT,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(2755), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2401), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42924] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3102), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42996] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3104), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43068] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    ACTIONS(3106), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43140] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1359), 1,
      sym__type_declarator,
    STATE(1796), 1,
      sym_ms_based_modifier,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [43193] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(3108), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3112), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3110), 21,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [43297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3116), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3114), 21,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [43332] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_RBRACK,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43401] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_RBRACK,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43470] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    ACTIONS(3118), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43539] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1357), 1,
      sym__type_declarator,
    STATE(1796), 1,
      sym_ms_based_modifier,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [43592] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(3120), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43661] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1356), 1,
      sym__type_declarator,
    STATE(1796), 1,
      sym_ms_based_modifier,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [43714] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(3122), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43783] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2042), 1,
      anon_sym_RBRACK,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43852] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(3124), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43921] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1669), 1,
      anon_sym_enum,
    ACTIONS(3004), 1,
      sym_identifier,
    ACTIONS(3008), 1,
      sym_primitive_type,
    STATE(1172), 1,
      sym__type_specifier,
    STATE(1262), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3006), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [43974] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2052), 1,
      anon_sym_RBRACK,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44043] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2048), 1,
      anon_sym_RBRACK,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44112] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2028), 1,
      anon_sym_RBRACK,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44181] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2044), 1,
      anon_sym_RBRACK,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44250] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    ACTIONS(3126), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44319] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(3128), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44388] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2046), 1,
      anon_sym_RBRACK,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44457] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(3130), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44526] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(3132), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44595] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1819), 1,
      sym_identifier,
    ACTIONS(3046), 1,
      anon_sym_enum,
    STATE(1124), 1,
      sym__type_specifier,
    STATE(1132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1667), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [44648] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1669), 1,
      anon_sym_enum,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(1124), 1,
      sym__type_specifier,
    STATE(1132), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1667), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(839), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [44701] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1998), 1,
      anon_sym_RBRACK,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2340), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3134), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2338), 10,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44809] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    ACTIONS(3137), 1,
      anon_sym_COMMA,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44878] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_RBRACK,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LPAREN2,
    ACTIONS(3016), 1,
      anon_sym_SLASH,
    ACTIONS(3018), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3020), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3022), 1,
      anon_sym_PIPE,
    ACTIONS(3024), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_AMP,
    ACTIONS(3036), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3012), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3014), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3028), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3030), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3032), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44947] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(2251), 1,
      anon_sym_LBRACK,
    ACTIONS(2896), 1,
      anon_sym_SLASH,
    ACTIONS(2898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2902), 1,
      anon_sym_PIPE,
    ACTIONS(2904), 1,
      anon_sym_CARET,
    ACTIONS(2906), 1,
      anon_sym_AMP,
    ACTIONS(2916), 1,
      anon_sym_QMARK,
    STATE(705), 1,
      sym_argument_list,
    ACTIONS(2253), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2255), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2892), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2894), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2910), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2912), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2914), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_SEMI,
    ACTIONS(2229), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2231), 18,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [45049] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2727), 1,
      anon_sym_LBRACE,
    STATE(817), 1,
      sym_attribute_specifier,
    STATE(1119), 1,
      sym_enumerator_list,
    ACTIONS(2761), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2759), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [45091] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2727), 1,
      anon_sym_LBRACE,
    ACTIONS(3141), 1,
      anon_sym_COLON,
    STATE(832), 1,
      sym_attribute_specifier,
    STATE(1121), 1,
      sym_enumerator_list,
    ACTIONS(2722), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
    ACTIONS(2720), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [45135] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(833), 1,
      sym_attribute_specifier,
    ACTIONS(2817), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2815), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [45171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(836), 1,
      sym_attribute_specifier,
    ACTIONS(2824), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2822), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [45207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(818), 1,
      sym_attribute_specifier,
    ACTIONS(2808), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2806), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [45243] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_STAR,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1462), 1,
      sym__abstract_declarator,
    STATE(1484), 1,
      sym_parameter_list,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3143), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2938), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45290] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_STAR,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1460), 1,
      sym__abstract_declarator,
    STATE(1484), 1,
      sym_parameter_list,
    STATE(1122), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3145), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2938), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45337] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_STAR,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1468), 1,
      sym__abstract_declarator,
    STATE(1484), 1,
      sym_parameter_list,
    STATE(1125), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3147), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2938), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45384] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_STAR,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1471), 1,
      sym__abstract_declarator,
    STATE(1484), 1,
      sym_parameter_list,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3149), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2938), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45431] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_STAR,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1466), 1,
      sym__abstract_declarator,
    STATE(1484), 1,
      sym_parameter_list,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2936), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2938), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45478] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1288), 1,
      sym_ms_call_modifier,
    STATE(1442), 1,
      sym__type_declarator,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [45527] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_STAR,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1476), 1,
      sym__abstract_declarator,
    STATE(1484), 1,
      sym_parameter_list,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2796), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2938), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45574] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(702), 1,
      sym__old_style_function_declarator,
    STATE(1317), 1,
      sym_ms_call_modifier,
    STATE(1363), 1,
      sym__declarator,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1449), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1681), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [45628] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(717), 1,
      sym__old_style_function_declarator,
    STATE(1309), 1,
      sym_ms_call_modifier,
    STATE(1360), 1,
      sym__declarator,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1475), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1605), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [45682] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45726] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 1,
      sym_primitive_type,
    ACTIONS(3153), 1,
      sym_identifier,
    STATE(1133), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3155), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2583), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2585), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(799), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2489), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(2493), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2539), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2536), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45800] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(704), 1,
      sym__old_style_function_declarator,
    STATE(1315), 1,
      sym_ms_call_modifier,
    STATE(1368), 1,
      sym__declarator,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1473), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1676), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [45854] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1316), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 1,
      anon_sym_LPAREN2,
    STATE(1008), 1,
      sym_preproc_argument_list,
    ACTIONS(3161), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3157), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45932] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2944), 1,
      sym_identifier,
    ACTIONS(2946), 1,
      anon_sym_LPAREN2,
    ACTIONS(2948), 1,
      anon_sym_STAR,
    STATE(1333), 1,
      sym__field_declarator,
    STATE(1874), 1,
      sym_ms_based_modifier,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1407), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45976] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1319), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46020] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2944), 1,
      sym_identifier,
    ACTIONS(2946), 1,
      anon_sym_LPAREN2,
    ACTIONS(2948), 1,
      anon_sym_STAR,
    STATE(1342), 1,
      sym__field_declarator,
    STATE(1874), 1,
      sym_ms_based_modifier,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1407), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46064] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(720), 1,
      sym__old_style_function_declarator,
    STATE(1303), 1,
      sym_ms_call_modifier,
    STATE(1358), 1,
      sym__declarator,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1453), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1632), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [46118] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2944), 1,
      sym_identifier,
    ACTIONS(2946), 1,
      anon_sym_LPAREN2,
    ACTIONS(2948), 1,
      anon_sym_STAR,
    STATE(1346), 1,
      sym__field_declarator,
    STATE(1874), 1,
      sym_ms_based_modifier,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1407), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46162] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1314), 1,
      sym_ms_call_modifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1432), 1,
      sym__declarator,
    STATE(1490), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1761), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [46213] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1309), 1,
      sym_ms_call_modifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1386), 1,
      sym__declarator,
    STATE(1475), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1605), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [46264] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1315), 1,
      sym_ms_call_modifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1383), 1,
      sym__declarator,
    STATE(1473), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1676), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [46315] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1303), 1,
      sym_ms_call_modifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1385), 1,
      sym__declarator,
    STATE(1453), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1632), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [46366] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3175), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1152), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [46409] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1312), 1,
      sym_ms_call_modifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1432), 1,
      sym__declarator,
    STATE(1473), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1676), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [46460] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3189), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3193), 1,
      anon_sym_PIPE,
    ACTIONS(3195), 1,
      anon_sym_CARET,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    STATE(1566), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3183), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3199), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3203), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3205), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46515] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1317), 1,
      sym_ms_call_modifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1379), 1,
      sym__declarator,
    STATE(1449), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1681), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [46566] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1308), 1,
      sym_ms_call_modifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1432), 1,
      sym__declarator,
    STATE(1444), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1607), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [46617] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1318), 1,
      sym_ms_call_modifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1432), 1,
      sym__declarator,
    STATE(1475), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1605), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [46668] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3189), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3193), 1,
      anon_sym_PIPE,
    ACTIONS(3195), 1,
      anon_sym_CARET,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    STATE(1591), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3183), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3199), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3203), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3205), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46723] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1302), 1,
      sym_ms_call_modifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1432), 1,
      sym__declarator,
    STATE(1451), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1624), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [46774] = 5,
    ACTIONS(3157), 1,
      anon_sym_LF,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      sym_comment,
    STATE(1226), 1,
      sym_preproc_argument_list,
    ACTIONS(3161), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46807] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3189), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3193), 1,
      anon_sym_PIPE,
    ACTIONS(3195), 1,
      anon_sym_CARET,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    ACTIONS(3213), 1,
      anon_sym_RPAREN,
    STATE(1567), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3183), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3199), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3203), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3205), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46862] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1306), 1,
      sym_ms_call_modifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1432), 1,
      sym__declarator,
    STATE(1449), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1681), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [46913] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3215), 1,
      anon_sym_RPAREN,
    ACTIONS(3217), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1155), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [46956] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1320), 1,
      sym_ms_call_modifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1432), 1,
      sym__declarator,
    STATE(1453), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1632), 1,
      sym_init_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47007] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3219), 1,
      anon_sym_RPAREN,
    ACTIONS(3221), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1148), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47050] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3223), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1199), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47090] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3183), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3205), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3227), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [47126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3183), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3227), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47160] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3239), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1258), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47200] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3243), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1264), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2241), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2243), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47268] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3245), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1191), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3249), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3247), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3253), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3251), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47368] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3255), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1240), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47408] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3257), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1253), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47448] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3259), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1230), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1168), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3261), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47520] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3265), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1267), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47560] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3267), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1232), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47600] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3269), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1233), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47640] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3271), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1235), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47680] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3273), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1268), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47720] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3275), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1248), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47760] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3277), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1249), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47800] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3279), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1257), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47840] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3281), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1261), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47880] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_LPAREN2,
    ACTIONS(1751), 1,
      anon_sym_STAR,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1398), 1,
      sym__declarator,
    STATE(1484), 1,
      sym_parameter_list,
    STATE(1488), 1,
      sym__abstract_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(3283), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [47928] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3285), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1263), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47968] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3287), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1266), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48008] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3289), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1222), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3291), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1244), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48088] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3293), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1227), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48128] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3183), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3203), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3205), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3227), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3225), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [48168] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3295), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1220), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48208] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3297), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1256), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3301), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3299), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1218), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3303), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3309), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3307), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48336] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3311), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1195), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3227), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3227), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3225), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48436] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3193), 1,
      anon_sym_PIPE,
    ACTIONS(3195), 1,
      anon_sym_CARET,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    ACTIONS(3183), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3199), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3203), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3205), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3225), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [48484] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3189), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3193), 1,
      anon_sym_PIPE,
    ACTIONS(3195), 1,
      anon_sym_CARET,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    ACTIONS(3183), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3199), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3203), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3205), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3313), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [48534] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3193), 1,
      anon_sym_PIPE,
    ACTIONS(3195), 1,
      anon_sym_CARET,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    ACTIONS(3183), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3199), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3203), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3205), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3225), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [48580] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3195), 1,
      anon_sym_CARET,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3183), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3199), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3203), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3205), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3225), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [48626] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3315), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1229), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48666] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3317), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1196), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48706] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    ACTIONS(3227), 1,
      anon_sym_PIPE,
    ACTIONS(3183), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3199), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3203), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3205), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3225), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [48750] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3319), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1197), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48790] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3321), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1241), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48830] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3323), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1200), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48870] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3325), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1203), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48910] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3327), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1217), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48950] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3329), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1238), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48990] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3331), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1188), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49030] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3333), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1243), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3335), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1161), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49110] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3337), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1162), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49150] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3339), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1246), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3231), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_defined,
    ACTIONS(3341), 1,
      sym_number_literal,
    ACTIONS(3235), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3237), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3241), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1251), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49230] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_identifier,
    ACTIONS(3167), 1,
      anon_sym_LPAREN2,
    ACTIONS(3169), 1,
      anon_sym_defined,
    ACTIONS(3343), 1,
      sym_number_literal,
    ACTIONS(3171), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3177), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1198), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49270] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3183), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3199), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3203), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3205), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3227), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3225), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [49312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3347), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3345), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [49344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3351), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3349), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49372] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_LF,
    ACTIONS(3359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [49417] = 3,
    ACTIONS(2243), 1,
      anon_sym_LF,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(2241), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49444] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3375), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [49489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(799), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2601), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3377), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2599), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [49520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1223), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2548), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3380), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2546), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [49551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(799), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2650), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3383), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2648), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [49582] = 3,
    ACTIONS(2956), 1,
      anon_sym_LF,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(2954), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49609] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3189), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3193), 1,
      anon_sym_PIPE,
    ACTIONS(3195), 1,
      anon_sym_CARET,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    ACTIONS(3386), 1,
      anon_sym_RPAREN,
    ACTIONS(3183), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3199), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3203), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3205), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49658] = 3,
    ACTIONS(2968), 1,
      anon_sym_LF,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(2966), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49685] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3388), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [49730] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [49775] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LF,
    ACTIONS(3309), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49802] = 4,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_LF,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3227), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49831] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_LF,
    ACTIONS(3227), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49858] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(721), 1,
      sym__old_style_function_declarator,
    STATE(1351), 1,
      sym_ms_call_modifier,
    STATE(1380), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [49901] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_LF,
    ACTIONS(3227), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [49946] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LF,
    ACTIONS(3249), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49973] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(799), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2654), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3392), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2652), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [50004] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3395), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50049] = 3,
    ACTIONS(2964), 1,
      anon_sym_LF,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(2962), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50076] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3397), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50121] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3399), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50166] = 3,
    ACTIONS(2972), 1,
      anon_sym_LF,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(2970), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50193] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3401), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50238] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3403), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50283] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(707), 1,
      sym__old_style_function_declarator,
    STATE(1325), 1,
      sym_ms_call_modifier,
    STATE(1378), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [50326] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3405), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(799), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2539), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3407), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2536), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [50402] = 10,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_LF,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3227), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50443] = 9,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_LF,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3227), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50482] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LF,
    ACTIONS(3351), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50509] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50554] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(699), 1,
      sym__old_style_function_declarator,
    STATE(1353), 1,
      sym_ms_call_modifier,
    STATE(1384), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [50597] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3299), 1,
      anon_sym_LF,
    ACTIONS(3301), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50624] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_STAR,
    ACTIONS(2609), 1,
      anon_sym_LPAREN2,
    STATE(1255), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1697), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [50657] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(799), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2634), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3416), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2632), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [50688] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3419), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50733] = 8,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3227), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [50770] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3421), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1225), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2522), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3423), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2520), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [50846] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(700), 1,
      sym__old_style_function_declarator,
    STATE(1335), 1,
      sym_ms_call_modifier,
    STATE(1376), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [50889] = 7,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3227), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [50924] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 1,
      sym_identifier,
    ACTIONS(3432), 1,
      sym_primitive_type,
    STATE(1247), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2583), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3429), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2585), 10,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [50959] = 6,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3227), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50992] = 12,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3435), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51037] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1237), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2532), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3437), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2530), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [51068] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_LF,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3227), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51099] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_SLASH,
    ACTIONS(3189), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3193), 1,
      anon_sym_PIPE,
    ACTIONS(3195), 1,
      anon_sym_CARET,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    ACTIONS(3440), 1,
      anon_sym_RPAREN,
    ACTIONS(3183), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3185), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3199), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3201), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3203), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3205), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51148] = 11,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_LF,
    ACTIONS(3363), 1,
      anon_sym_PIPE,
    ACTIONS(3365), 1,
      anon_sym_CARET,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3227), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3355), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3369), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3371), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51191] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1335), 1,
      sym_ms_call_modifier,
    STATE(1392), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [51231] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1325), 1,
      sym_ms_call_modifier,
    STATE(1395), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [51271] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1353), 1,
      sym_ms_call_modifier,
    STATE(1403), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [51311] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1351), 1,
      sym_ms_call_modifier,
    STATE(1413), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [51351] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_LPAREN2,
    ACTIONS(1751), 1,
      anon_sym_STAR,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1439), 1,
      sym__declarator,
    STATE(1484), 1,
      sym_parameter_list,
    STATE(1532), 1,
      sym__abstract_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [51395] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1326), 1,
      sym_ms_call_modifier,
    STATE(1433), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [51435] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2944), 1,
      sym_identifier,
    ACTIONS(2946), 1,
      anon_sym_LPAREN2,
    ACTIONS(2948), 1,
      anon_sym_STAR,
    STATE(1343), 1,
      sym_ms_call_modifier,
    STATE(1424), 1,
      sym__field_declarator,
    STATE(1874), 1,
      sym_ms_based_modifier,
    STATE(1407), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [51475] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1367), 1,
      sym__type_declarator,
    STATE(1540), 1,
      sym__type_definition_declarators,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [51516] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 1,
      anon_sym_const,
    ACTIONS(2727), 1,
      anon_sym_LBRACE,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(3444), 1,
      anon_sym_COLON,
    STATE(832), 1,
      sym_attribute_specifier,
    STATE(1121), 1,
      sym_enumerator_list,
    ACTIONS(2722), 11,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [51551] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1367), 1,
      sym__type_declarator,
    STATE(1553), 1,
      sym__type_definition_declarators,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [51592] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1367), 1,
      sym__type_declarator,
    STATE(1521), 1,
      sym__type_definition_declarators,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [51633] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1367), 1,
      sym__type_declarator,
    STATE(1516), 1,
      sym__type_definition_declarators,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [51674] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1367), 1,
      sym__type_declarator,
    STATE(1543), 1,
      sym__type_definition_declarators,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [51715] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1367), 1,
      sym__type_declarator,
    STATE(1529), 1,
      sym__type_definition_declarators,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [51756] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1367), 1,
      sym__type_declarator,
    STATE(1525), 1,
      sym__type_definition_declarators,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [51797] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1367), 1,
      sym__type_declarator,
    STATE(1506), 1,
      sym__type_definition_declarators,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [51838] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3447), 1,
      sym_identifier,
    ACTIONS(3451), 1,
      anon_sym_LBRACK,
    STATE(1292), 1,
      sym_gnu_asm_expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1296), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3449), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [51872] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1390), 1,
      sym__type_declarator,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [51910] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3447), 1,
      sym_identifier,
    ACTIONS(3451), 1,
      anon_sym_LBRACK,
    STATE(1289), 1,
      sym_gnu_asm_expression,
    STATE(1327), 1,
      sym_attribute_specifier,
    STATE(1440), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(3453), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1296), 2,
      sym_preproc_call_expression,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3449), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [51950] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    ACTIONS(2837), 1,
      sym_primitive_type,
    STATE(1435), 1,
      sym__type_declarator,
    STATE(1796), 1,
      sym_ms_based_modifier,
    ACTIONS(2835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1438), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [51988] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3447), 1,
      sym_identifier,
    ACTIONS(3459), 1,
      anon_sym_LBRACK,
    STATE(1327), 1,
      sym_attribute_specifier,
    STATE(1427), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(3455), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3461), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1298), 2,
      sym_preproc_call_expression,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3457), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [52025] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(3465), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3467), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3469), 1,
      aux_sym_preproc_elif_token1,
    STATE(1336), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1337), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1437), 1,
      sym_enumerator,
    ACTIONS(3471), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1907), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(1959), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [52064] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(3467), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3469), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3473), 1,
      aux_sym_preproc_if_token2,
    STATE(1348), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1349), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1437), 1,
      sym_enumerator,
    ACTIONS(3471), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1931), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(1949), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [52103] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3447), 1,
      sym_identifier,
    ACTIONS(3459), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1298), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3457), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [52132] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2944), 1,
      sym_identifier,
    ACTIONS(2946), 1,
      anon_sym_LPAREN2,
    ACTIONS(2948), 1,
      anon_sym_STAR,
    ACTIONS(3475), 1,
      anon_sym_SEMI,
    STATE(1324), 1,
      sym__field_declarator,
    STATE(1582), 1,
      sym__field_declaration_declarator,
    STATE(1833), 1,
      sym_attribute_specifier,
    STATE(1874), 1,
      sym_ms_based_modifier,
    STATE(1407), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [52173] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2944), 1,
      sym_identifier,
    ACTIONS(2946), 1,
      anon_sym_LPAREN2,
    ACTIONS(2948), 1,
      anon_sym_STAR,
    ACTIONS(3477), 1,
      anon_sym_SEMI,
    STATE(1324), 1,
      sym__field_declarator,
    STATE(1595), 1,
      sym__field_declaration_declarator,
    STATE(1874), 1,
      sym_ms_based_modifier,
    STATE(1918), 1,
      sym_attribute_specifier,
    STATE(1407), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [52214] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(3467), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3469), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3479), 1,
      aux_sym_preproc_if_token2,
    STATE(1328), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1329), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1437), 1,
      sym_enumerator,
    ACTIONS(3471), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1788), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(2005), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [52253] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3447), 1,
      sym_identifier,
    ACTIONS(3459), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1299), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3457), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [52282] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(3467), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3469), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3481), 1,
      aux_sym_preproc_if_token2,
    STATE(1340), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1341), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1437), 1,
      sym_enumerator,
    ACTIONS(3471), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1962), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(1971), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [52321] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3447), 1,
      sym_identifier,
    ACTIONS(3485), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1299), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3483), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [52350] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3487), 1,
      sym_identifier,
    ACTIONS(3492), 1,
      anon_sym___attribute__,
    ACTIONS(3495), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1299), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3490), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [52379] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2944), 1,
      sym_identifier,
    ACTIONS(2946), 1,
      anon_sym_LPAREN2,
    ACTIONS(2948), 1,
      anon_sym_STAR,
    ACTIONS(3497), 1,
      anon_sym_SEMI,
    STATE(1324), 1,
      sym__field_declarator,
    STATE(1654), 1,
      sym__field_declaration_declarator,
    STATE(1873), 1,
      sym_attribute_specifier,
    STATE(1874), 1,
      sym_ms_based_modifier,
    STATE(1407), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [52420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    STATE(1301), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3499), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [52446] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1452), 1,
      sym__declaration_declarator,
    STATE(1465), 1,
      sym__declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [52483] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1400), 1,
      sym__declarator,
    STATE(1454), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [52520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 1,
      anon_sym_LPAREN2,
    STATE(1008), 1,
      sym_preproc_argument_list,
    ACTIONS(3506), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3508), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [52545] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3510), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [52574] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1458), 1,
      sym__declaration_declarator,
    STATE(1465), 1,
      sym__declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [52611] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(3516), 1,
      sym_identifier,
    ACTIONS(3518), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3522), 1,
      anon_sym_RBRACE,
    ACTIONS(3520), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1689), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1855), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1350), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [52644] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1446), 1,
      sym__declaration_declarator,
    STATE(1465), 1,
      sym__declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [52681] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1396), 1,
      sym__declarator,
    STATE(1455), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [52718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(2785), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [52739] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3524), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [52768] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1450), 1,
      sym__declaration_declarator,
    STATE(1465), 1,
      sym__declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [52805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2776), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(2769), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [52826] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1465), 1,
      sym__declarator,
    STATE(1491), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [52863] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1416), 1,
      sym__declarator,
    STATE(1450), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [52900] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3526), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [52929] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1418), 1,
      sym__declarator,
    STATE(1458), 1,
      sym__declaration_declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [52966] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1455), 1,
      sym__declaration_declarator,
    STATE(1465), 1,
      sym__declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [53003] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3528), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [53032] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    ACTIONS(3151), 1,
      sym_identifier,
    STATE(1370), 1,
      sym_function_declarator,
    STATE(1454), 1,
      sym__declaration_declarator,
    STATE(1465), 1,
      sym__declarator,
    STATE(1561), 1,
      sym__function_declaration_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1389), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [53069] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(3516), 1,
      sym_identifier,
    ACTIONS(3518), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3530), 1,
      anon_sym_RBRACE,
    ACTIONS(3520), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1767), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1999), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1307), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [53102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3532), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3534), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [53123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3538), 1,
      anon_sym_LBRACK,
    STATE(1301), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3536), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [53147] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3540), 1,
      anon_sym_COMMA,
    ACTIONS(3544), 1,
      anon_sym_LBRACK,
    ACTIONS(3546), 1,
      anon_sym_COLON,
    STATE(1411), 1,
      sym_parameter_list,
    STATE(1514), 1,
      sym_bitfield_clause,
    STATE(1517), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(3542), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1366), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53183] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1394), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53212] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1439), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3550), 1,
      anon_sym___attribute__,
    ACTIONS(3506), 2,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(3548), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3553), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(3508), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53266] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3516), 1,
      sym_identifier,
    ACTIONS(3555), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3557), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3559), 1,
      aux_sym_preproc_elif_token1,
    STATE(1417), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1778), 1,
      sym_enumerator,
    ACTIONS(3561), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1846), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [53297] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(3563), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3565), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3567), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3569), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1410), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1858), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [53326] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3479), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3516), 1,
      sym_identifier,
    ACTIONS(3557), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3559), 1,
      aux_sym_preproc_elif_token1,
    STATE(1328), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1778), 1,
      sym_enumerator,
    ACTIONS(3561), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2005), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [53357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(3565), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3567), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3571), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3569), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1329), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1788), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [53386] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3516), 1,
      sym_identifier,
    ACTIONS(3557), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3559), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3573), 1,
      aux_sym_preproc_if_token2,
    STATE(1348), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1778), 1,
      sym_enumerator,
    ACTIONS(3561), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1931), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [53417] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3544), 1,
      anon_sym_LBRACK,
    STATE(1411), 1,
      sym_parameter_list,
    STATE(1366), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3575), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [53444] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3516), 1,
      sym_identifier,
    ACTIONS(3557), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3559), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3577), 1,
      aux_sym_preproc_if_token2,
    STATE(1340), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1778), 1,
      sym_enumerator,
    ACTIONS(3561), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1962), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [53475] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1405), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53504] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3516), 1,
      sym_identifier,
    ACTIONS(3557), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3559), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3579), 1,
      aux_sym_preproc_if_token2,
    STATE(1417), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1778), 1,
      sym_enumerator,
    ACTIONS(3561), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1921), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [53535] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(3565), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3567), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3581), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3569), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1410), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1938), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [53564] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3516), 1,
      sym_identifier,
    ACTIONS(3557), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3559), 1,
      aux_sym_preproc_elif_token1,
    STATE(1336), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1778), 1,
      sym_enumerator,
    ACTIONS(3561), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1907), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [53595] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(3565), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3567), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3583), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3569), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1337), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1959), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [53624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3516), 1,
      sym_identifier,
    ACTIONS(3557), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3559), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3585), 1,
      aux_sym_preproc_if_token2,
    STATE(1417), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1778), 1,
      sym_enumerator,
    ACTIONS(3561), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1897), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [53655] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(3565), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3567), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3587), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3569), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1410), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1900), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [53684] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3544), 1,
      anon_sym_LBRACK,
    STATE(1411), 1,
      sym_parameter_list,
    STATE(1366), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3589), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [53711] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2944), 1,
      sym_identifier,
    ACTIONS(2946), 1,
      anon_sym_LPAREN2,
    ACTIONS(2948), 1,
      anon_sym_STAR,
    STATE(1423), 1,
      sym__field_declarator,
    STATE(1874), 1,
      sym_ms_based_modifier,
    STATE(1407), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [53740] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3544), 1,
      anon_sym_LBRACK,
    STATE(1411), 1,
      sym_parameter_list,
    STATE(1366), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3591), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [53767] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2944), 1,
      sym_identifier,
    ACTIONS(2946), 1,
      anon_sym_LPAREN2,
    ACTIONS(2948), 1,
      anon_sym_STAR,
    STATE(1347), 1,
      sym__field_declarator,
    STATE(1874), 1,
      sym_ms_based_modifier,
    STATE(1407), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [53796] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3544), 1,
      anon_sym_LBRACK,
    STATE(1411), 1,
      sym_parameter_list,
    STATE(1366), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3593), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [53823] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3544), 1,
      anon_sym_LBRACK,
    ACTIONS(3546), 1,
      anon_sym_COLON,
    STATE(1411), 1,
      sym_parameter_list,
    STATE(1599), 1,
      sym_bitfield_clause,
    STATE(1366), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3595), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [53854] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3516), 1,
      sym_identifier,
    ACTIONS(3557), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3559), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3597), 1,
      aux_sym_preproc_if_token2,
    STATE(1417), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1778), 1,
      sym_enumerator,
    ACTIONS(3561), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1903), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [53885] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(3565), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3567), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3599), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3569), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1410), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1942), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [53914] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3601), 1,
      sym_identifier,
    ACTIONS(3604), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3610), 1,
      sym_preproc_directive,
    ACTIONS(3613), 1,
      anon_sym_RBRACE,
    ACTIONS(3607), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1807), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1350), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [53943] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1409), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [53972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3615), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    ACTIONS(3617), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1558), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [53997] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2950), 1,
      anon_sym_LPAREN2,
    ACTIONS(2952), 1,
      anon_sym_STAR,
    STATE(1402), 1,
      sym__declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    STATE(1370), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [54026] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3621), 1,
      anon_sym_LBRACK,
    STATE(1559), 1,
      sym_gnu_asm_input_operand,
    STATE(1930), 1,
      sym_string_literal,
    ACTIONS(3619), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54050] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3625), 1,
      anon_sym_LBRACK,
    STATE(1430), 1,
      sym_parameter_list,
    STATE(1382), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3623), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [54076] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3625), 1,
      anon_sym_LBRACK,
    STATE(1430), 1,
      sym_parameter_list,
    STATE(1382), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3627), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [54102] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3625), 1,
      anon_sym_LBRACK,
    STATE(1430), 1,
      sym_parameter_list,
    STATE(1382), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3629), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [54128] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(497), 1,
      anon_sym_LBRACE,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3631), 1,
      anon_sym_LPAREN2,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    STATE(343), 1,
      sym_compound_statement,
    STATE(999), 1,
      sym__old_style_parameter_list,
    STATE(1287), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3625), 1,
      anon_sym_LBRACK,
    STATE(1430), 1,
      sym_parameter_list,
    STATE(1382), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3635), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [54186] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3631), 1,
      anon_sym_LPAREN2,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    STATE(356), 1,
      sym_compound_statement,
    STATE(999), 1,
      sym__old_style_parameter_list,
    STATE(1287), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3639), 1,
      anon_sym_LBRACK,
    ACTIONS(3637), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_LBRACK,
    ACTIONS(3641), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54254] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3631), 1,
      anon_sym_LPAREN2,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    STATE(144), 1,
      sym_compound_statement,
    STATE(999), 1,
      sym__old_style_parameter_list,
    STATE(1287), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_LBRACK,
    ACTIONS(3645), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_LBRACK,
    ACTIONS(3649), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3655), 1,
      anon_sym_LBRACK,
    STATE(1301), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3653), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [54344] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3625), 1,
      anon_sym_LBRACK,
    ACTIONS(3657), 1,
      anon_sym_COMMA,
    STATE(1430), 1,
      sym_parameter_list,
    STATE(1531), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(3659), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1382), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54374] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3631), 1,
      anon_sym_LPAREN2,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    STATE(413), 1,
      sym_compound_statement,
    STATE(999), 1,
      sym__old_style_parameter_list,
    STATE(1287), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3663), 1,
      anon_sym_LBRACK,
    ACTIONS(3661), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3665), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54442] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3671), 1,
      anon_sym_LBRACK,
    STATE(1551), 1,
      sym_gnu_asm_output_operand,
    STATE(1864), 1,
      sym_string_literal,
    ACTIONS(3669), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      anon_sym_LBRACK,
    ACTIONS(3673), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      sym_identifier,
    ACTIONS(3681), 1,
      sym_system_lib_string,
    STATE(1935), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3679), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3683), 1,
      sym_identifier,
    ACTIONS(3685), 1,
      sym_system_lib_string,
    STATE(1862), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3679), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3615), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1578), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54547] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3631), 1,
      anon_sym_LPAREN2,
    STATE(424), 1,
      sym_compound_statement,
    STATE(999), 1,
      sym__old_style_parameter_list,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54576] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 1,
      anon_sym_STAR,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1484), 1,
      sym_parameter_list,
    STATE(1532), 1,
      sym__abstract_declarator,
    STATE(1497), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
  [54601] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3631), 1,
      anon_sym_LPAREN2,
    STATE(145), 1,
      sym_compound_statement,
    STATE(999), 1,
      sym__old_style_parameter_list,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54630] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    STATE(144), 1,
      sym_compound_statement,
    STATE(1287), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54659] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3631), 1,
      anon_sym_LPAREN2,
    STATE(361), 1,
      sym_compound_statement,
    STATE(999), 1,
      sym__old_style_parameter_list,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3615), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1683), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3689), 1,
      anon_sym_LBRACK,
    STATE(1301), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3687), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [54730] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    STATE(413), 1,
      sym_compound_statement,
    STATE(1287), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54759] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(497), 1,
      anon_sym_LBRACE,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3631), 1,
      anon_sym_LPAREN2,
    STATE(386), 1,
      sym_compound_statement,
    STATE(999), 1,
      sym__old_style_parameter_list,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54788] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(497), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    STATE(343), 1,
      sym_compound_statement,
    STATE(1287), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54817] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    STATE(356), 1,
      sym_compound_statement,
    STATE(1287), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3691), 1,
      sym_identifier,
    ACTIONS(3693), 1,
      sym_system_lib_string,
    STATE(1969), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3679), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3695), 1,
      sym_identifier,
    ACTIONS(3697), 1,
      sym_system_lib_string,
    STATE(1879), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3679), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3665), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(3699), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [54907] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3625), 1,
      anon_sym_LBRACK,
    STATE(1430), 1,
      sym_parameter_list,
    STATE(1382), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3701), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [54932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3615), 1,
      sym_identifier,
    STATE(686), 1,
      sym_string_literal,
    STATE(1680), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54953] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(424), 1,
      sym_compound_statement,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3705), 1,
      anon_sym_LBRACK,
    ACTIONS(3703), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [54995] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(149), 1,
      sym_compound_statement,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55021] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(145), 1,
      sym_compound_statement,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55047] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(380), 1,
      sym_compound_statement,
    STATE(1287), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3709), 1,
      anon_sym_LBRACK,
    ACTIONS(3707), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55089] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(1285), 1,
      sym_parameter_list,
    ACTIONS(3711), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3713), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55129] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(497), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(382), 1,
      sym_compound_statement,
    STATE(1287), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55171] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(497), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_compound_statement,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55197] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(497), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(386), 1,
      sym_compound_statement,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3723), 1,
      anon_sym_LBRACK,
    ACTIONS(3721), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55239] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(409), 1,
      sym_compound_statement,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3671), 1,
      anon_sym_LBRACK,
    STATE(1646), 1,
      sym_gnu_asm_output_operand,
    STATE(1864), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3727), 1,
      anon_sym_LBRACK,
    ACTIONS(3725), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3731), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3733), 1,
      anon_sym_EQ,
    ACTIONS(3729), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [55319] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(342), 1,
      sym_compound_statement,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3735), 1,
      sym_identifier,
    ACTIONS(3740), 1,
      aux_sym_preproc_elif_token1,
    STATE(1410), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(3738), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [55365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3744), 1,
      anon_sym_LBRACK,
    ACTIONS(3742), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3748), 1,
      anon_sym_LBRACK,
    ACTIONS(3746), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55397] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(361), 1,
      sym_compound_statement,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3621), 1,
      anon_sym_LBRACK,
    STATE(1608), 1,
      sym_gnu_asm_input_operand,
    STATE(1930), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3752), 1,
      anon_sym_LBRACK,
    ACTIONS(3750), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [55459] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(422), 1,
      sym_compound_statement,
    STATE(1287), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      sym_identifier,
    ACTIONS(3759), 1,
      aux_sym_preproc_elif_token1,
    STATE(1417), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1778), 1,
      sym_enumerator,
    ACTIONS(3757), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [55507] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(133), 1,
      sym_compound_statement,
    STATE(1287), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_LBRACK,
    ACTIONS(3761), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [55548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_LBRACK,
    ACTIONS(3765), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [55563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_LBRACK,
    ACTIONS(3769), 1,
      anon_sym_EQ,
    ACTIONS(3771), 1,
      anon_sym_DOT,
    STATE(1429), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [55582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_LBRACK,
    ACTIONS(3773), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [55597] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3544), 1,
      anon_sym_LBRACK,
    ACTIONS(3777), 1,
      anon_sym_RPAREN,
    STATE(1411), 1,
      sym_parameter_list,
    STATE(1366), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55620] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3544), 1,
      anon_sym_LBRACK,
    ACTIONS(3779), 1,
      anon_sym_RPAREN,
    STATE(1411), 1,
      sym_parameter_list,
    STATE(1366), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3783), 1,
      anon_sym___attribute__,
    STATE(1425), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3781), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [55660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3788), 1,
      anon_sym_LBRACK,
    ACTIONS(3786), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [55675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    STATE(1425), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3790), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [55692] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2349), 1,
      anon_sym_LBRACE,
    ACTIONS(3792), 1,
      sym_identifier,
    STATE(781), 1,
      sym_field_declaration_list,
    STATE(1481), 1,
      sym_attribute_specifier,
    STATE(1604), 1,
      sym_ms_declspec_modifier,
  [55717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_LBRACK,
    ACTIONS(3797), 1,
      anon_sym_EQ,
    ACTIONS(3799), 1,
      anon_sym_DOT,
    STATE(1429), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [55736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      anon_sym_LBRACK,
    ACTIONS(3802), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [55751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      anon_sym_LBRACK,
    ACTIONS(3806), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [55766] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    STATE(1287), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55789] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3810), 1,
      anon_sym_RPAREN,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3814), 1,
      anon_sym_LBRACK,
    ACTIONS(3812), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [55827] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3625), 1,
      anon_sym_LBRACK,
    ACTIONS(3816), 1,
      anon_sym_RPAREN,
    STATE(1430), 1,
      sym_parameter_list,
    STATE(1382), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3820), 1,
      anon_sym_LBRACK,
    ACTIONS(3818), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [55865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_COMMA,
    ACTIONS(3826), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3822), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [55882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3830), 1,
      anon_sym_LBRACK,
    ACTIONS(3828), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [55897] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    ACTIONS(3832), 1,
      anon_sym_RPAREN,
    STATE(1285), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    STATE(1425), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3455), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [55937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACK,
    ACTIONS(3834), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [55952] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3625), 1,
      anon_sym_LBRACK,
    ACTIONS(3838), 1,
      anon_sym_RPAREN,
    STATE(1430), 1,
      sym_parameter_list,
    STATE(1382), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3842), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [55989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(3846), 1,
      anon_sym_SEMI,
    STATE(1613), 1,
      sym_gnu_asm_expression,
    STATE(1614), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3848), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [56009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3852), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [56023] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(3854), 1,
      anon_sym_SEMI,
    STATE(1618), 1,
      sym_gnu_asm_expression,
    STATE(1619), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3848), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [56043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1789), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3858), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [56071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(3860), 1,
      anon_sym_SEMI,
    STATE(1572), 1,
      sym_gnu_asm_expression,
    STATE(1573), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3848), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [56091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(3862), 1,
      anon_sym_SEMI,
    STATE(1663), 1,
      aux_sym_declaration_repeat1,
    STATE(1671), 1,
      sym_gnu_asm_expression,
    ACTIONS(3848), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [56111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(3864), 1,
      anon_sym_SEMI,
    STATE(1625), 1,
      sym_gnu_asm_expression,
    STATE(1626), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3848), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [56131] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(3866), 1,
      anon_sym_SEMI,
    STATE(1628), 1,
      sym_gnu_asm_expression,
    STATE(1629), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3848), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [56151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(3868), 1,
      anon_sym_SEMI,
    STATE(1633), 1,
      sym_gnu_asm_expression,
    STATE(1634), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3848), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [56171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(3870), 1,
      anon_sym_SEMI,
    STATE(1636), 1,
      sym_gnu_asm_expression,
    STATE(1637), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3848), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [56191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(3872), 1,
      anon_sym_SEMI,
    STATE(1640), 1,
      sym_gnu_asm_expression,
    STATE(1648), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3848), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [56211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3874), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [56225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3858), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [56239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(3876), 1,
      anon_sym_SEMI,
    STATE(1586), 1,
      sym_gnu_asm_expression,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3848), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [56259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_LBRACK,
    STATE(1482), 1,
      sym_parameter_list,
    ACTIONS(3878), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_LBRACK,
    STATE(1482), 1,
      sym_parameter_list,
    ACTIONS(3882), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3884), 1,
      anon_sym_LPAREN2,
    STATE(1477), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3886), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [56311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_LBRACK,
    STATE(1482), 1,
      sym_parameter_list,
    ACTIONS(3888), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3892), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [56343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3894), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3896), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [56357] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(1287), 1,
      sym_parameter_list,
    STATE(1323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_LBRACK,
    STATE(1482), 1,
      sym_parameter_list,
    ACTIONS(3898), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3900), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3902), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [56409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_LBRACK,
    STATE(1482), 1,
      sym_parameter_list,
    ACTIONS(3904), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3908), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [56441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3757), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [56455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_LBRACK,
    STATE(1482), 1,
      sym_parameter_list,
    ACTIONS(3910), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3914), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [56487] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(3916), 1,
      anon_sym_SEMI,
    STATE(1571), 1,
      aux_sym_declaration_repeat1,
    STATE(1677), 1,
      sym_gnu_asm_expression,
    ACTIONS(3848), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [56507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1805), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(3918), 1,
      anon_sym_SEMI,
    STATE(1665), 1,
      sym_gnu_asm_expression,
    STATE(1666), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3848), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [56541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_LBRACK,
    STATE(1482), 1,
      sym_parameter_list,
    ACTIONS(3920), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3922), 1,
      anon_sym_LPAREN2,
    STATE(1479), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3886), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [56575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(662), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    STATE(1479), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3926), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [56605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3914), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [56619] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2349), 1,
      anon_sym_LBRACE,
    ACTIONS(3929), 1,
      sym_identifier,
    STATE(802), 1,
      sym_field_declaration_list,
    STATE(1642), 1,
      sym_ms_declspec_modifier,
  [56638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3931), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56649] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(3933), 1,
      aux_sym_preproc_if_token2,
    STATE(1437), 1,
      sym_enumerator,
    STATE(1549), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1550), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [56668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3935), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3937), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3939), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3941), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_LBRACK,
    STATE(1482), 1,
      sym_parameter_list,
    ACTIONS(3711), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [56729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3943), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1714), 1,
      sym_gnu_asm_expression,
    ACTIONS(3848), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(3945), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [56755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1757), 1,
      sym_gnu_asm_expression,
    ACTIONS(3848), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(3947), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [56770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3949), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56781] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2349), 1,
      anon_sym_LBRACE,
    ACTIONS(3951), 1,
      sym_identifier,
    STATE(784), 1,
      sym_field_declaration_list,
    STATE(1589), 1,
      sym_ms_declspec_modifier,
  [56800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3953), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    ACTIONS(3957), 1,
      anon_sym_COLON_COLON,
    STATE(1693), 1,
      sym_argument_list,
    ACTIONS(3955), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [56828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3959), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3961), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3963), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3965), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3967), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [56883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3969), 1,
      anon_sym___except,
    ACTIONS(3971), 1,
      anon_sym___finally,
    STATE(174), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [56897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(3973), 1,
      anon_sym_SEMI,
    STATE(1425), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [56911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(3975), 1,
      anon_sym_SEMI,
    STATE(1425), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [56925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(3977), 1,
      anon_sym_SEMI,
    STATE(1425), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [56939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3979), 1,
      anon_sym_COMMA,
    STATE(1505), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(3982), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [56953] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(3984), 1,
      anon_sym_SEMI,
    STATE(1528), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [56967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3986), 1,
      anon_sym_COMMA,
    STATE(1507), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(3989), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3991), 1,
      anon_sym_COMMA,
    STATE(1523), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(3993), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56995] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(3995), 1,
      anon_sym_DQUOTE,
    ACTIONS(3997), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3999), 1,
      sym_escape_sequence,
    STATE(1513), 1,
      aux_sym_string_literal_repeat1,
  [57011] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_DQUOTE,
    ACTIONS(4003), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4005), 1,
      sym_escape_sequence,
    STATE(1530), 1,
      aux_sym_string_literal_repeat1,
  [57027] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4007), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4011), 1,
      sym_preproc_arg,
    STATE(1773), 1,
      sym_preproc_params,
  [57043] = 4,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4013), 1,
      anon_sym_SQUOTE,
    STATE(1562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4015), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [57057] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4017), 1,
      anon_sym_DQUOTE,
    ACTIONS(4019), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4021), 1,
      sym_escape_sequence,
    STATE(1563), 1,
      aux_sym_string_literal_repeat1,
  [57073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3540), 1,
      anon_sym_COMMA,
    STATE(1538), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4023), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57087] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4025), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4027), 1,
      sym_preproc_arg,
    STATE(1691), 1,
      sym_preproc_params,
  [57103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4029), 1,
      anon_sym_SEMI,
    STATE(1522), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [57117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3540), 1,
      anon_sym_COMMA,
    STATE(1539), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4031), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4033), 1,
      anon_sym___except,
    ACTIONS(4035), 1,
      anon_sym___finally,
    STATE(78), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [57145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_LBRACK,
    ACTIONS(4037), 1,
      anon_sym_RPAREN,
    STATE(1482), 1,
      sym_parameter_list,
  [57161] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4041), 1,
      sym_preproc_arg,
    STATE(1760), 1,
      sym_preproc_params,
  [57177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4043), 1,
      anon_sym_SEMI,
    STATE(1524), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [57191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4045), 1,
      anon_sym_SEMI,
    STATE(1425), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [57205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_COMMA,
    STATE(1523), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4050), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4052), 1,
      anon_sym_SEMI,
    STATE(1425), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [57233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4054), 1,
      anon_sym_SEMI,
    STATE(1503), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [57247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4056), 1,
      anon_sym_COMMA,
    ACTIONS(4058), 1,
      anon_sym_RPAREN,
    STATE(1612), 1,
      aux_sym_parameter_list_repeat1,
    STATE(1656), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [57263] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4060), 1,
      anon_sym_DQUOTE,
    ACTIONS(4062), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4064), 1,
      sym_escape_sequence,
    STATE(1542), 1,
      aux_sym_string_literal_repeat1,
  [57279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4066), 1,
      anon_sym_SEMI,
    STATE(1425), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [57293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4068), 1,
      anon_sym_SEMI,
    STATE(1504), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [57307] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4019), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4021), 1,
      sym_escape_sequence,
    ACTIONS(4070), 1,
      anon_sym_DQUOTE,
    STATE(1563), 1,
      aux_sym_string_literal_repeat1,
  [57323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      anon_sym_COMMA,
    STATE(1505), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4072), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_LBRACK,
    ACTIONS(4074), 1,
      anon_sym_RPAREN,
    STATE(1482), 1,
      sym_parameter_list,
  [57353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4076), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [57363] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4078), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4080), 1,
      sym_preproc_arg,
    STATE(1729), 1,
      sym_preproc_params,
  [57379] = 4,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_SQUOTE,
    STATE(1562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4015), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [57393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(4084), 1,
      aux_sym_preproc_if_token2,
    STATE(1550), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [57407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    STATE(1770), 1,
      sym_argument_list,
    ACTIONS(4086), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [57421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3540), 1,
      anon_sym_COMMA,
    STATE(1539), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4088), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_COMMA,
    STATE(1539), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4093), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4095), 1,
      anon_sym_SEMI,
    STATE(1544), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [57463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4097), 1,
      anon_sym___except,
    ACTIONS(4099), 1,
      anon_sym___finally,
    STATE(250), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [57477] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4019), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4021), 1,
      sym_escape_sequence,
    ACTIONS(4101), 1,
      anon_sym_DQUOTE,
    STATE(1563), 1,
      aux_sym_string_literal_repeat1,
  [57493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4103), 1,
      anon_sym_SEMI,
    STATE(1545), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [57507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4105), 1,
      anon_sym_SEMI,
    STATE(1425), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [57521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4107), 1,
      anon_sym_SEMI,
    STATE(1425), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [57535] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4109), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4111), 1,
      sym_preproc_arg,
    STATE(1705), 1,
      sym_preproc_params,
  [57551] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4113), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4115), 1,
      sym_preproc_arg,
    STATE(1739), 1,
      sym_preproc_params,
  [57567] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4119), 1,
      sym_preproc_arg,
    STATE(1762), 1,
      sym_preproc_params,
  [57583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3516), 1,
      sym_identifier,
    ACTIONS(4121), 1,
      aux_sym_preproc_if_token2,
    STATE(1417), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1778), 1,
      sym_enumerator,
  [57599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(4123), 1,
      aux_sym_preproc_if_token2,
    STATE(1410), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [57613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4125), 1,
      anon_sym_COMMA,
    STATE(1555), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4127), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym_COMMA,
    STATE(1552), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4132), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4134), 1,
      anon_sym_SEMI,
    STATE(1502), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [57655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4136), 1,
      anon_sym___except,
    ACTIONS(4138), 1,
      anon_sym___finally,
    STATE(174), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [57669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4125), 1,
      anon_sym_COMMA,
    STATE(1552), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4140), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4142), 1,
      anon_sym___except,
    ACTIONS(4144), 1,
      anon_sym___finally,
    STATE(231), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [57697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COMMA,
    STATE(1507), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4148), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3991), 1,
      anon_sym_COMMA,
    STATE(1508), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4150), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COMMA,
    STATE(1557), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4152), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3516), 1,
      sym_identifier,
    ACTIONS(3933), 1,
      aux_sym_preproc_if_token2,
    STATE(1549), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1778), 1,
      sym_enumerator,
  [57755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4154), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [57765] = 4,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_SQUOTE,
    STATE(1562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4158), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [57779] = 5,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4161), 1,
      anon_sym_DQUOTE,
    ACTIONS(4163), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4166), 1,
      sym_escape_sequence,
    STATE(1563), 1,
      aux_sym_string_literal_repeat1,
  [57795] = 4,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_SQUOTE,
    STATE(1562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4015), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [57809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4171), 1,
      anon_sym_COMMA,
    ACTIONS(4174), 1,
      anon_sym_RPAREN,
    STATE(1565), 1,
      aux_sym_parameter_list_repeat1,
  [57822] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    ACTIONS(4176), 1,
      anon_sym_RPAREN,
    STATE(1673), 1,
      aux_sym_preproc_argument_list_repeat1,
  [57835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    ACTIONS(4178), 1,
      anon_sym_RPAREN,
    STATE(1673), 1,
      aux_sym_preproc_argument_list_repeat1,
  [57848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4180), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [57861] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_COMMA,
    ACTIONS(4184), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1606), 1,
      aux_sym_attribute_declaration_repeat1,
  [57874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4186), 1,
      anon_sym_COMMA,
    ACTIONS(4189), 1,
      anon_sym_RPAREN,
    STATE(1570), 1,
      aux_sym_generic_expression_repeat1,
  [57887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4191), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [57900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4193), 1,
      anon_sym_SEMI,
    STATE(1588), 1,
      aux_sym_declaration_repeat1,
  [57913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4195), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [57926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_COMMA,
    ACTIONS(4199), 1,
      anon_sym_RPAREN,
    STATE(1612), 1,
      aux_sym_parameter_list_repeat1,
  [57939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4201), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [57952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4203), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [57961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4205), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4207), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_COMMA,
    ACTIONS(4209), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1652), 1,
      aux_sym_attribute_declaration_repeat1,
  [57992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4211), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_COMMA,
    ACTIONS(4213), 1,
      anon_sym_RPAREN,
    STATE(1662), 1,
      aux_sym_argument_list_repeat1,
  [58018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4215), 1,
      anon_sym_SEMI,
    STATE(1877), 1,
      sym_attribute_specifier,
  [58031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4217), 1,
      anon_sym_COMMA,
    ACTIONS(4219), 1,
      anon_sym_RPAREN,
    STATE(1593), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [58044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [58053] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    STATE(1535), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4221), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [58064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4223), 1,
      anon_sym_SEMI,
    STATE(1592), 1,
      aux_sym_declaration_repeat1,
  [58077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4225), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4227), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_LBRACE,
    ACTIONS(4229), 1,
      sym_identifier,
    STATE(806), 1,
      sym_field_declaration_list,
  [58116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4231), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    ACTIONS(4233), 1,
      anon_sym_RPAREN,
    STATE(1673), 1,
      aux_sym_preproc_argument_list_repeat1,
  [58142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4235), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_COMMA,
    ACTIONS(4240), 1,
      anon_sym_RPAREN,
    STATE(1593), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [58168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4244), 1,
      anon_sym_SEMI,
    STATE(1794), 1,
      sym_attribute_specifier,
  [58190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4246), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_COMMA,
    ACTIONS(4250), 1,
      anon_sym_RPAREN,
    STATE(1674), 1,
      aux_sym_preproc_params_repeat1,
  [58212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4255), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [58234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      anon_sym_LBRACE,
    ACTIONS(4259), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_enumerator_list,
  [58247] = 4,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4261), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4263), 1,
      anon_sym_LPAREN2,
    STATE(1870), 1,
      sym_preproc_argument_list,
  [58260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2992), 1,
      anon_sym_COMMA,
    ACTIONS(4265), 1,
      anon_sym_RPAREN,
    STATE(1570), 1,
      aux_sym_generic_expression_repeat1,
  [58273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4267), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_LBRACE,
    ACTIONS(4269), 1,
      sym_identifier,
    STATE(802), 1,
      sym_field_declaration_list,
  [58295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4271), 1,
      anon_sym_SEMI,
    STATE(1670), 1,
      aux_sym_declaration_repeat1,
  [58308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_COMMA,
    ACTIONS(4276), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1606), 1,
      aux_sym_attribute_declaration_repeat1,
  [58321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4278), 1,
      anon_sym_SEMI,
    STATE(1616), 1,
      aux_sym_declaration_repeat1,
  [58334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4280), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      anon_sym_LBRACE,
    ACTIONS(4282), 1,
      sym_identifier,
    STATE(938), 1,
      sym_enumerator_list,
  [58356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3058), 1,
      anon_sym_RBRACE,
    ACTIONS(4284), 1,
      anon_sym_COMMA,
    STATE(1610), 1,
      aux_sym_initializer_list_repeat1,
  [58369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4289), 1,
      anon_sym_RPAREN,
    ACTIONS(4287), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [58380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_COMMA,
    ACTIONS(4291), 1,
      anon_sym_RPAREN,
    STATE(1565), 1,
      aux_sym_parameter_list_repeat1,
  [58393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4293), 1,
      anon_sym_SEMI,
    STATE(1620), 1,
      aux_sym_declaration_repeat1,
  [58406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4295), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_COMMA,
    ACTIONS(4297), 1,
      anon_sym_RPAREN,
    STATE(1597), 1,
      aux_sym_preproc_params_repeat1,
  [58432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4299), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4217), 1,
      anon_sym_COMMA,
    ACTIONS(4301), 1,
      anon_sym_RPAREN,
    STATE(1583), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [58458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4303), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [58471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4305), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4307), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_COMMA,
    ACTIONS(3002), 1,
      anon_sym_RPAREN,
    STATE(1684), 1,
      aux_sym_argument_list_repeat1,
  [58510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      anon_sym_LBRACE,
    ACTIONS(4309), 1,
      sym_identifier,
    STATE(1120), 1,
      sym_enumerator_list,
  [58523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4311), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4313), 1,
      anon_sym_SEMI,
    STATE(1627), 1,
      aux_sym_declaration_repeat1,
  [58549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4315), 1,
      anon_sym_SEMI,
    STATE(1630), 1,
      aux_sym_declaration_repeat1,
  [58562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4317), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4319), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4321), 1,
      anon_sym_SEMI,
    STATE(1631), 1,
      aux_sym_declaration_repeat1,
  [58601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4323), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4325), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4327), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_SEMI,
    STATE(1635), 1,
      aux_sym_declaration_repeat1,
  [58653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4331), 1,
      anon_sym_SEMI,
    STATE(1638), 1,
      aux_sym_declaration_repeat1,
  [58666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4333), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4335), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4337), 1,
      anon_sym_SEMI,
    STATE(1639), 1,
      aux_sym_declaration_repeat1,
  [58705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4339), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4341), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4343), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4345), 1,
      anon_sym_SEMI,
    STATE(1580), 1,
      aux_sym_declaration_repeat1,
  [58757] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    STATE(1564), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4347), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [58768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_LBRACE,
    ACTIONS(4349), 1,
      sym_identifier,
    STATE(795), 1,
      sym_field_declaration_list,
  [58781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4351), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [58790] = 4,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LPAREN2,
    ACTIONS(4353), 1,
      aux_sym_preproc_include_token2,
    STATE(1870), 1,
      sym_preproc_argument_list,
  [58803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4355), 1,
      anon_sym_RPAREN,
    ACTIONS(4357), 1,
      anon_sym_COLON,
    STATE(1664), 1,
      sym_gnu_asm_clobber_list,
  [58816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4359), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4361), 1,
      anon_sym_RPAREN,
    ACTIONS(4363), 1,
      anon_sym_COLON,
    STATE(1667), 1,
      sym_gnu_asm_input_operand_list,
  [58838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4365), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4367), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58864] = 4,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LPAREN2,
    ACTIONS(4369), 1,
      aux_sym_preproc_include_token2,
    STATE(1870), 1,
      sym_preproc_argument_list,
  [58877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_COMMA,
    ACTIONS(4371), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1569), 1,
      aux_sym_attribute_declaration_repeat1,
  [58890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_COMMA,
    ACTIONS(4373), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1606), 1,
      aux_sym_attribute_declaration_repeat1,
  [58903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4375), 1,
      sym_identifier,
    STATE(1741), 1,
      sym_variadic_parameter,
  [58916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym___attribute__,
    ACTIONS(4377), 1,
      anon_sym_SEMI,
    STATE(1800), 1,
      sym_attribute_specifier,
  [58929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [58938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4381), 1,
      anon_sym_COMMA,
    ACTIONS(4383), 1,
      anon_sym_RPAREN,
    STATE(1672), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [58951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_COMMA,
    ACTIONS(4385), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1668), 1,
      aux_sym_attribute_declaration_repeat1,
  [58964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 1,
      anon_sym_RBRACE,
    ACTIONS(4387), 1,
      anon_sym_COMMA,
    STATE(1610), 1,
      aux_sym_initializer_list_repeat1,
  [58977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4389), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [58990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_COMMA,
    ACTIONS(4391), 1,
      anon_sym_RPAREN,
    STATE(1662), 1,
      aux_sym_argument_list_repeat1,
  [59003] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    STATE(1512), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4393), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [59014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3086), 1,
      anon_sym_RPAREN,
    ACTIONS(4395), 1,
      anon_sym_COMMA,
    STATE(1662), 1,
      aux_sym_argument_list_repeat1,
  [59027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4398), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [59040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_RPAREN,
    ACTIONS(4402), 1,
      anon_sym_COLON,
    STATE(1985), 1,
      sym_gnu_asm_goto_list,
  [59053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4404), 1,
      anon_sym_SEMI,
    STATE(1659), 1,
      aux_sym_declaration_repeat1,
  [59066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4406), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [59079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4357), 1,
      anon_sym_COLON,
    ACTIONS(4408), 1,
      anon_sym_RPAREN,
    STATE(1678), 1,
      sym_gnu_asm_clobber_list,
  [59092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_COMMA,
    ACTIONS(4410), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1606), 1,
      aux_sym_attribute_declaration_repeat1,
  [59105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      anon_sym_COMMA,
    ACTIONS(2986), 1,
      anon_sym_RBRACE,
    STATE(1658), 1,
      aux_sym_initializer_list_repeat1,
  [59118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4412), 1,
      anon_sym_SEMI,
    STATE(1598), 1,
      aux_sym_declaration_repeat1,
  [59131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4414), 1,
      anon_sym_SEMI,
    STATE(1649), 1,
      aux_sym_declaration_repeat1,
  [59144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4416), 1,
      anon_sym_COMMA,
    ACTIONS(4419), 1,
      anon_sym_RPAREN,
    STATE(1672), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [59157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_RPAREN,
    ACTIONS(4421), 1,
      anon_sym_COMMA,
    STATE(1673), 1,
      aux_sym_preproc_argument_list_repeat1,
  [59170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_COMMA,
    ACTIONS(4427), 1,
      anon_sym_RPAREN,
    STATE(1674), 1,
      aux_sym_preproc_params_repeat1,
  [59183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_COMMA,
    ACTIONS(2990), 1,
      anon_sym_RPAREN,
    STATE(1685), 1,
      aux_sym_argument_list_repeat1,
  [59196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4429), 1,
      anon_sym_SEMI,
    STATE(1590), 1,
      aux_sym_declaration_repeat1,
  [59209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4431), 1,
      anon_sym_SEMI,
    STATE(1568), 1,
      aux_sym_declaration_repeat1,
  [59222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4402), 1,
      anon_sym_COLON,
    ACTIONS(4433), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_gnu_asm_goto_list,
  [59235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4363), 1,
      anon_sym_COLON,
    ACTIONS(4435), 1,
      anon_sym_RPAREN,
    STATE(1645), 1,
      sym_gnu_asm_input_operand_list,
  [59248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4437), 1,
      anon_sym_RPAREN,
    ACTIONS(4439), 1,
      anon_sym_COLON,
    STATE(1647), 1,
      sym_gnu_asm_output_operand_list,
  [59261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_COMMA,
    ACTIONS(4441), 1,
      anon_sym_SEMI,
    STATE(1575), 1,
      aux_sym_declaration_repeat1,
  [59274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4443), 1,
      anon_sym_EQ,
    ACTIONS(3729), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4439), 1,
      anon_sym_COLON,
    ACTIONS(4445), 1,
      anon_sym_RPAREN,
    STATE(1679), 1,
      sym_gnu_asm_output_operand_list,
  [59298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_COMMA,
    ACTIONS(3000), 1,
      anon_sym_RPAREN,
    STATE(1662), 1,
      aux_sym_argument_list_repeat1,
  [59311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_COMMA,
    ACTIONS(2998), 1,
      anon_sym_RPAREN,
    STATE(1662), 1,
      aux_sym_argument_list_repeat1,
  [59324] = 4,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_LPAREN2,
    ACTIONS(4447), 1,
      aux_sym_preproc_include_token2,
    STATE(1870), 1,
      sym_preproc_argument_list,
  [59337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_LPAREN2,
    STATE(1694), 1,
      sym_parenthesized_expression,
  [59347] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4451), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4453), 1,
      sym_preproc_arg,
  [59357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    ACTIONS(4457), 1,
      anon_sym_RBRACE,
  [59367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1556), 1,
      sym_compound_statement,
  [59377] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4459), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4461), 1,
      sym_preproc_arg,
  [59387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    STATE(87), 1,
      sym_compound_statement,
  [59397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [59405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(172), 1,
      sym_compound_statement,
  [59415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN2,
    STATE(336), 1,
      sym_parenthesized_expression,
  [59425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN2,
    STATE(339), 1,
      sym_parenthesized_expression,
  [59435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    STATE(222), 1,
      sym_compound_statement,
  [59445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_LBRACE,
    STATE(243), 1,
      sym_compound_statement,
  [59455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    STATE(110), 1,
      sym_compound_statement,
  [59465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4467), 1,
      sym_identifier,
    ACTIONS(4469), 1,
      anon_sym_LPAREN2,
  [59475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_LPAREN2,
    STATE(1994), 1,
      sym_parenthesized_expression,
  [59485] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4471), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4473), 1,
      sym_preproc_arg,
  [59495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN2,
    STATE(403), 1,
      sym_parenthesized_expression,
  [59505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4276), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [59513] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4475), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4477), 1,
      sym_preproc_arg,
  [59523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_LPAREN2,
    STATE(1764), 1,
      sym_parenthesized_expression,
  [59533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    STATE(208), 1,
      sym_compound_statement,
  [59543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    STATE(123), 1,
      sym_compound_statement,
  [59553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4479), 1,
      sym_identifier,
    ACTIONS(4481), 1,
      anon_sym_LPAREN2,
  [59563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3058), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4483), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59579] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4485), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4487), 1,
      sym_preproc_arg,
  [59589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4489), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3947), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [59605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN2,
    STATE(328), 1,
      sym_parenthesized_expression,
  [59615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1501), 1,
      sym_compound_statement,
  [59625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_LPAREN2,
    STATE(1956), 1,
      sym_parenthesized_expression,
  [59635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_LBRACE,
    STATE(255), 1,
      sym_compound_statement,
  [59645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    STATE(1863), 1,
      sym_argument_list,
  [59655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN2,
    STATE(353), 1,
      sym_parenthesized_expression,
  [59665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 1,
      sym_identifier,
    STATE(1651), 1,
      sym_attribute,
  [59675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN2,
    STATE(376), 1,
      sym_parenthesized_expression,
  [59685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_LPAREN2,
    STATE(1708), 1,
      sym_parenthesized_expression,
  [59695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN2,
    STATE(377), 1,
      sym_parenthesized_expression,
  [59705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(184), 1,
      sym_compound_statement,
  [59715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3086), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_LPAREN2,
    STATE(1731), 1,
      sym_parenthesized_expression,
  [59733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1518), 1,
      sym_compound_statement,
  [59743] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4493), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4495), 1,
      sym_preproc_arg,
  [59753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 1,
      sym_identifier,
    STATE(1704), 1,
      sym_attribute,
  [59763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(252), 1,
      sym_compound_statement,
  [59773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3052), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_LPAREN2,
    STATE(1841), 1,
      sym_parenthesized_expression,
  [59791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3078), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [59799] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4497), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4499), 1,
      sym_preproc_arg,
  [59809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN2,
    STATE(362), 1,
      sym_parenthesized_expression,
  [59819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(295), 1,
      sym_compound_statement,
  [59829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_LPAREN2,
    STATE(1698), 1,
      sym_parenthesized_expression,
  [59839] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4501), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4503), 1,
      sym_preproc_arg,
  [59849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3064), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4419), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1541), 1,
      sym_compound_statement,
  [59875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2249), 1,
      anon_sym_LPAREN2,
    STATE(1928), 1,
      sym_argument_list,
  [59885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_LPAREN2,
    STATE(1707), 1,
      sym_parenthesized_expression,
  [59895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_LPAREN2,
    STATE(1780), 1,
      sym_parenthesized_expression,
  [59905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    STATE(184), 1,
      sym_compound_statement,
  [59915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_LPAREN2,
    STATE(1699), 1,
      sym_parenthesized_expression,
  [59925] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4505), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4507), 1,
      sym_preproc_arg,
  [59935] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4509), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4511), 1,
      sym_preproc_arg,
  [59945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4427), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_LPAREN2,
    STATE(1774), 1,
      sym_parenthesized_expression,
  [59963] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4513), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4515), 1,
      sym_preproc_arg,
  [59973] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4517), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4519), 1,
      sym_preproc_arg,
  [59983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [59991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4523), 1,
      sym_identifier,
    ACTIONS(4525), 1,
      anon_sym_RPAREN,
  [60001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4527), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [60017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1554), 1,
      sym_compound_statement,
  [60027] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4532), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4534), 1,
      sym_preproc_arg,
  [60037] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4536), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4538), 1,
      sym_preproc_arg,
  [60047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3945), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [60055] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4540), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4542), 1,
      sym_preproc_arg,
  [60065] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4544), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4546), 1,
      sym_preproc_arg,
  [60075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(208), 1,
      sym_compound_statement,
  [60085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 1,
      sym_identifier,
    STATE(1579), 1,
      sym_attribute,
  [60095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN2,
    STATE(349), 1,
      sym_parenthesized_expression,
  [60105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_RBRACE,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
  [60115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_LPAREN2,
    STATE(1697), 1,
      sym_parenthesized_expression,
  [60125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN2,
    STATE(350), 1,
      sym_parenthesized_expression,
  [60135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [60143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 1,
      sym_identifier,
    STATE(1657), 1,
      sym_attribute,
  [60153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4174), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60161] = 3,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4550), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4552), 1,
      sym_preproc_arg,
  [60171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_LBRACE,
    STATE(275), 1,
      sym_compound_statement,
  [60181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_while,
  [60188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4556), 1,
      anon_sym_RPAREN,
  [60195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_SEMI,
  [60202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_COMMA,
  [60209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4560), 1,
      aux_sym_preproc_if_token2,
  [60216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_SEMI,
  [60223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym_RPAREN,
  [60230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4566), 1,
      anon_sym_RPAREN,
  [60237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4568), 1,
      sym_identifier,
  [60244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4570), 1,
      sym_identifier,
  [60251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3068), 1,
      anon_sym_RPAREN,
  [60258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 1,
      aux_sym_preproc_if_token2,
  [60265] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4574), 1,
      aux_sym_preproc_include_token2,
  [60272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4576), 1,
      aux_sym_preproc_if_token2,
  [60279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_LPAREN2,
  [60286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4580), 1,
      aux_sym_preproc_if_token2,
  [60293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_while,
  [60300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_COLON,
  [60307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_RPAREN,
  [60314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_SEMI,
  [60321] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4590), 1,
      aux_sym_preproc_include_token2,
  [60328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_STAR,
  [60335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      aux_sym_preproc_if_token2,
  [60342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4596), 1,
      sym_identifier,
  [60349] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4598), 1,
      aux_sym_preproc_include_token2,
  [60356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_SEMI,
  [60363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_RPAREN,
  [60370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      sym_identifier,
  [60377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 1,
      anon_sym_RPAREN,
  [60384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      sym_identifier,
  [60391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LPAREN2,
  [60398] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4610), 1,
      aux_sym_preproc_include_token2,
  [60405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
  [60412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4612), 1,
      anon_sym_LPAREN2,
  [60419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_RPAREN,
  [60426] = 2,
    ACTIONS(2964), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3211), 1,
      sym_comment,
  [60433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
  [60440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_LPAREN2,
  [60447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4620), 1,
      anon_sym_SEMI,
  [60454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3098), 1,
      anon_sym_COLON,
  [60461] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4622), 1,
      aux_sym_preproc_include_token2,
  [60468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3044), 1,
      anon_sym_RPAREN,
  [60475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4624), 1,
      anon_sym_SEMI,
  [60482] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4626), 1,
      aux_sym_preproc_include_token2,
  [60489] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4628), 1,
      aux_sym_preproc_include_token2,
  [60496] = 2,
    ACTIONS(2102), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3211), 1,
      sym_comment,
  [60503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4630), 1,
      aux_sym_preproc_if_token2,
  [60510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_SEMI,
  [60517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4634), 1,
      aux_sym_preproc_if_token2,
  [60524] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4636), 1,
      aux_sym_preproc_include_token2,
  [60531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4638), 1,
      aux_sym_preproc_if_token2,
  [60538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4640), 1,
      aux_sym_preproc_if_token2,
  [60545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4642), 1,
      aux_sym_preproc_if_token2,
  [60552] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4644), 1,
      aux_sym_preproc_include_token2,
  [60559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4646), 1,
      aux_sym_preproc_if_token2,
  [60566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4648), 1,
      sym_identifier,
  [60573] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4650), 1,
      aux_sym_preproc_include_token2,
  [60580] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4652), 1,
      aux_sym_preproc_include_token2,
  [60587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 1,
      anon_sym_SEMI,
  [60594] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4656), 1,
      aux_sym_preproc_include_token2,
  [60601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2986), 1,
      anon_sym_RBRACE,
  [60608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4658), 1,
      sym_identifier,
  [60615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4660), 1,
      sym_identifier,
  [60622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      sym_primitive_type,
  [60629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4664), 1,
      sym_identifier,
  [60636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4666), 1,
      aux_sym_preproc_if_token2,
  [60643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_SEMI,
  [60650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4670), 1,
      aux_sym_preproc_if_token2,
  [60657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 1,
      anon_sym_SEMI,
  [60664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_COLON,
  [60671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      sym_identifier,
  [60678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 1,
      aux_sym_preproc_if_token2,
  [60685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4678), 1,
      anon_sym_RPAREN,
  [60692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3094), 1,
      anon_sym_RPAREN,
  [60699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4680), 1,
      aux_sym_preproc_if_token2,
  [60706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3056), 1,
      anon_sym_SEMI,
  [60713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_SEMI,
  [60720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_RPAREN,
  [60727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4686), 1,
      anon_sym_SEMI,
  [60734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4688), 1,
      anon_sym_COLON,
  [60741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_RBRACE,
  [60748] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4690), 1,
      aux_sym_preproc_include_token2,
  [60755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
  [60762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 1,
      aux_sym_preproc_if_token2,
  [60769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4694), 1,
      aux_sym_preproc_if_token2,
  [60776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4696), 1,
      sym_identifier,
  [60783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3072), 1,
      anon_sym_RPAREN,
  [60790] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4369), 1,
      aux_sym_preproc_include_token2,
  [60797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 1,
      anon_sym_RPAREN,
  [60804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4700), 1,
      anon_sym_LPAREN2,
  [60811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4702), 1,
      sym_identifier,
  [60818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4704), 1,
      sym_identifier,
  [60825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4706), 1,
      anon_sym_RBRACK,
  [60832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 1,
      anon_sym_LPAREN2,
  [60839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4710), 1,
      aux_sym_preproc_if_token2,
  [60846] = 2,
    ACTIONS(2956), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3211), 1,
      sym_comment,
  [60853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 1,
      aux_sym_preproc_if_token2,
  [60860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      aux_sym_preproc_if_token2,
  [60867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4716), 1,
      anon_sym_SEMI,
  [60874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_STAR,
  [60881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_RBRACE,
  [60888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      sym_identifier,
  [60895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4724), 1,
      anon_sym_SEMI,
  [60902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 1,
      sym_identifier,
  [60909] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4353), 1,
      aux_sym_preproc_include_token2,
  [60916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4728), 1,
      anon_sym_RPAREN,
  [60923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 1,
      anon_sym_RPAREN,
  [60930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4732), 1,
      anon_sym_RBRACK,
  [60937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      sym_identifier,
  [60944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      aux_sym_preproc_if_token2,
  [60951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_RPAREN,
  [60958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_RPAREN,
  [60965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4742), 1,
      sym_identifier,
  [60972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4744), 1,
      aux_sym_preproc_if_token2,
  [60979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4746), 1,
      aux_sym_preproc_if_token2,
  [60986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3038), 1,
      anon_sym_RPAREN,
  [60993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3080), 1,
      anon_sym_COLON,
  [61000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 1,
      ts_builtin_sym_end,
  [61007] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4750), 1,
      aux_sym_preproc_include_token2,
  [61014] = 2,
    ACTIONS(2106), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3211), 1,
      sym_comment,
  [61021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_RBRACE,
  [61028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4754), 1,
      aux_sym_preproc_if_token2,
  [61035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4756), 1,
      aux_sym_preproc_if_token2,
  [61042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 1,
      sym_primitive_type,
  [61049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4760), 1,
      sym_identifier,
  [61056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4762), 1,
      aux_sym_preproc_if_token2,
  [61063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4764), 1,
      sym_identifier,
  [61070] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4766), 1,
      aux_sym_preproc_include_token2,
  [61077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4768), 1,
      aux_sym_preproc_if_token2,
  [61084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4770), 1,
      sym_identifier,
  [61091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_RPAREN,
  [61098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_RPAREN,
  [61105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      aux_sym_preproc_if_token2,
  [61112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_RPAREN,
  [61119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_SEMI,
  [61126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_COLON,
  [61133] = 2,
    ACTIONS(2968), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3211), 1,
      sym_comment,
  [61140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
  [61147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3084), 1,
      anon_sym_COLON,
  [61154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_SEMI,
  [61161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_SEMI,
  [61168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4788), 1,
      sym_identifier,
  [61175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 1,
      sym_identifier,
  [61182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_SEMI,
  [61189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3106), 1,
      anon_sym_SEMI,
  [61196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3040), 1,
      anon_sym_RPAREN,
  [61203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4794), 1,
      aux_sym_preproc_if_token2,
  [61210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_COLON,
  [61217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 1,
      anon_sym_RPAREN,
  [61224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3048), 1,
      anon_sym_SEMI,
  [61231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4800), 1,
      sym_identifier,
  [61238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_SEMI,
  [61245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4804), 1,
      anon_sym_SEMI,
  [61252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_STAR,
  [61259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3100), 1,
      anon_sym_SEMI,
  [61266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      anon_sym_LPAREN2,
  [61273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      aux_sym_preproc_if_token2,
  [61280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3042), 1,
      anon_sym_SEMI,
  [61287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_LPAREN2,
  [61294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_RBRACE,
  [61301] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4261), 1,
      aux_sym_preproc_include_token2,
  [61308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4816), 1,
      aux_sym_preproc_if_token2,
  [61315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4818), 1,
      sym_identifier,
  [61322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      aux_sym_preproc_if_token2,
  [61329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4822), 1,
      anon_sym_RPAREN,
  [61336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_LPAREN2,
  [61343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_RPAREN,
  [61350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 1,
      aux_sym_preproc_if_token2,
  [61357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4830), 1,
      anon_sym_LPAREN2,
  [61364] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4832), 1,
      aux_sym_preproc_include_token2,
  [61371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_RPAREN,
  [61378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4836), 1,
      anon_sym_RPAREN,
  [61385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      sym_identifier,
  [61392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 1,
      sym_identifier,
  [61399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4842), 1,
      aux_sym_preproc_if_token2,
  [61406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_RBRACE,
  [61413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4846), 1,
      anon_sym_SEMI,
  [61420] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4848), 1,
      aux_sym_preproc_include_token2,
  [61427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4850), 1,
      sym_identifier,
  [61434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_SEMI,
  [61441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_SEMI,
  [61448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 1,
      anon_sym_SEMI,
  [61455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_SEMI,
  [61462] = 2,
    ACTIONS(2972), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3211), 1,
      sym_comment,
  [61469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      aux_sym_preproc_if_token2,
  [61476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 1,
      sym_identifier,
  [61483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3102), 1,
      anon_sym_SEMI,
  [61490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 1,
      aux_sym_preproc_if_token2,
  [61497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3066), 1,
      anon_sym_SEMI,
  [61504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      sym_identifier,
  [61511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_SEMI,
  [61518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      aux_sym_preproc_if_token2,
  [61525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 1,
      anon_sym_SEMI,
  [61532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      sym_identifier,
  [61539] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4447), 1,
      aux_sym_preproc_include_token2,
  [61546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4870), 1,
      aux_sym_preproc_if_token2,
  [61553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      aux_sym_preproc_if_token2,
  [61560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4874), 1,
      sym_identifier,
  [61567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      sym_identifier,
  [61574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4878), 1,
      anon_sym_STAR,
  [61581] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4880), 1,
      aux_sym_preproc_include_token2,
  [61588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4882), 1,
      sym_identifier,
  [61595] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4884), 1,
      aux_sym_preproc_include_token2,
  [61602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 1,
      sym_identifier,
  [61609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 1,
      anon_sym_LPAREN2,
  [61616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 1,
      aux_sym_preproc_if_token2,
  [61623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      aux_sym_preproc_if_token2,
  [61630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_COLON,
  [61637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 1,
      sym_identifier,
  [61644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4898), 1,
      anon_sym_RPAREN,
  [61651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_RPAREN,
  [61658] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4902), 1,
      aux_sym_preproc_include_token2,
  [61665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      aux_sym_preproc_if_token2,
  [61672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_RPAREN,
  [61679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4908), 1,
      aux_sym_preproc_if_token2,
  [61686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 1,
      anon_sym_RPAREN,
  [61693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 1,
      aux_sym_preproc_if_token2,
  [61700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_RPAREN,
  [61707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4916), 1,
      sym_identifier,
  [61714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 1,
      anon_sym_SEMI,
  [61721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 1,
      anon_sym_COLON,
  [61728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 1,
      aux_sym_preproc_if_token2,
  [61735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 1,
      anon_sym_COMMA,
  [61742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 1,
      anon_sym_LPAREN2,
  [61749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_RBRACE,
  [61756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 1,
      anon_sym_RBRACE,
  [61763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_while,
  [61770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 1,
      aux_sym_preproc_if_token2,
  [61777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4932), 1,
      aux_sym_preproc_if_token2,
  [61784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4934), 1,
      aux_sym_preproc_if_token2,
  [61791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 1,
      aux_sym_preproc_if_token2,
  [61798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3010), 1,
      anon_sym_COLON,
  [61805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 1,
      anon_sym_SEMI,
  [61812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 1,
      sym_identifier,
  [61819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4942), 1,
      anon_sym_while,
  [61826] = 2,
    ACTIONS(3211), 1,
      sym_comment,
    ACTIONS(4944), 1,
      aux_sym_preproc_include_token2,
  [61833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4946), 1,
      aux_sym_preproc_if_token2,
  [61840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4948), 1,
      anon_sym_RBRACE,
  [61847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4950), 1,
      aux_sym_preproc_if_token2,
  [61854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4952), 1,
      anon_sym_LPAREN2,
  [61861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      aux_sym_preproc_if_token2,
  [61868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 1,
      anon_sym_RPAREN,
  [61875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4958), 1,
      anon_sym_LPAREN2,
  [61882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3088), 1,
      anon_sym_COLON,
  [61889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 1,
      anon_sym_COLON,
  [61896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4962), 1,
      anon_sym_RPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(496)] = 0,
  [SMALL_STATE(497)] = 115,
  [SMALL_STATE(498)] = 230,
  [SMALL_STATE(499)] = 342,
  [SMALL_STATE(500)] = 451,
  [SMALL_STATE(501)] = 560,
  [SMALL_STATE(502)] = 669,
  [SMALL_STATE(503)] = 778,
  [SMALL_STATE(504)] = 887,
  [SMALL_STATE(505)] = 996,
  [SMALL_STATE(506)] = 1105,
  [SMALL_STATE(507)] = 1214,
  [SMALL_STATE(508)] = 1321,
  [SMALL_STATE(509)] = 1428,
  [SMALL_STATE(510)] = 1537,
  [SMALL_STATE(511)] = 1644,
  [SMALL_STATE(512)] = 1753,
  [SMALL_STATE(513)] = 1862,
  [SMALL_STATE(514)] = 1971,
  [SMALL_STATE(515)] = 2080,
  [SMALL_STATE(516)] = 2189,
  [SMALL_STATE(517)] = 2298,
  [SMALL_STATE(518)] = 2407,
  [SMALL_STATE(519)] = 2516,
  [SMALL_STATE(520)] = 2625,
  [SMALL_STATE(521)] = 2734,
  [SMALL_STATE(522)] = 2843,
  [SMALL_STATE(523)] = 2952,
  [SMALL_STATE(524)] = 3061,
  [SMALL_STATE(525)] = 3170,
  [SMALL_STATE(526)] = 3279,
  [SMALL_STATE(527)] = 3388,
  [SMALL_STATE(528)] = 3492,
  [SMALL_STATE(529)] = 3598,
  [SMALL_STATE(530)] = 3706,
  [SMALL_STATE(531)] = 3810,
  [SMALL_STATE(532)] = 3918,
  [SMALL_STATE(533)] = 4026,
  [SMALL_STATE(534)] = 4134,
  [SMALL_STATE(535)] = 4238,
  [SMALL_STATE(536)] = 4346,
  [SMALL_STATE(537)] = 4450,
  [SMALL_STATE(538)] = 4554,
  [SMALL_STATE(539)] = 4660,
  [SMALL_STATE(540)] = 4764,
  [SMALL_STATE(541)] = 4870,
  [SMALL_STATE(542)] = 4974,
  [SMALL_STATE(543)] = 5078,
  [SMALL_STATE(544)] = 5186,
  [SMALL_STATE(545)] = 5290,
  [SMALL_STATE(546)] = 5394,
  [SMALL_STATE(547)] = 5497,
  [SMALL_STATE(548)] = 5600,
  [SMALL_STATE(549)] = 5701,
  [SMALL_STATE(550)] = 5802,
  [SMALL_STATE(551)] = 5905,
  [SMALL_STATE(552)] = 6006,
  [SMALL_STATE(553)] = 6107,
  [SMALL_STATE(554)] = 6208,
  [SMALL_STATE(555)] = 6311,
  [SMALL_STATE(556)] = 6414,
  [SMALL_STATE(557)] = 6517,
  [SMALL_STATE(558)] = 6620,
  [SMALL_STATE(559)] = 6723,
  [SMALL_STATE(560)] = 6826,
  [SMALL_STATE(561)] = 6929,
  [SMALL_STATE(562)] = 7032,
  [SMALL_STATE(563)] = 7135,
  [SMALL_STATE(564)] = 7238,
  [SMALL_STATE(565)] = 7341,
  [SMALL_STATE(566)] = 7444,
  [SMALL_STATE(567)] = 7547,
  [SMALL_STATE(568)] = 7650,
  [SMALL_STATE(569)] = 7751,
  [SMALL_STATE(570)] = 7852,
  [SMALL_STATE(571)] = 7955,
  [SMALL_STATE(572)] = 8058,
  [SMALL_STATE(573)] = 8159,
  [SMALL_STATE(574)] = 8262,
  [SMALL_STATE(575)] = 8363,
  [SMALL_STATE(576)] = 8464,
  [SMALL_STATE(577)] = 8565,
  [SMALL_STATE(578)] = 8668,
  [SMALL_STATE(579)] = 8769,
  [SMALL_STATE(580)] = 8870,
  [SMALL_STATE(581)] = 8971,
  [SMALL_STATE(582)] = 9072,
  [SMALL_STATE(583)] = 9175,
  [SMALL_STATE(584)] = 9276,
  [SMALL_STATE(585)] = 9377,
  [SMALL_STATE(586)] = 9478,
  [SMALL_STATE(587)] = 9579,
  [SMALL_STATE(588)] = 9680,
  [SMALL_STATE(589)] = 9781,
  [SMALL_STATE(590)] = 9882,
  [SMALL_STATE(591)] = 9983,
  [SMALL_STATE(592)] = 10084,
  [SMALL_STATE(593)] = 10185,
  [SMALL_STATE(594)] = 10288,
  [SMALL_STATE(595)] = 10389,
  [SMALL_STATE(596)] = 10492,
  [SMALL_STATE(597)] = 10595,
  [SMALL_STATE(598)] = 10698,
  [SMALL_STATE(599)] = 10799,
  [SMALL_STATE(600)] = 10902,
  [SMALL_STATE(601)] = 11005,
  [SMALL_STATE(602)] = 11108,
  [SMALL_STATE(603)] = 11211,
  [SMALL_STATE(604)] = 11314,
  [SMALL_STATE(605)] = 11417,
  [SMALL_STATE(606)] = 11520,
  [SMALL_STATE(607)] = 11623,
  [SMALL_STATE(608)] = 11726,
  [SMALL_STATE(609)] = 11827,
  [SMALL_STATE(610)] = 11928,
  [SMALL_STATE(611)] = 12029,
  [SMALL_STATE(612)] = 12132,
  [SMALL_STATE(613)] = 12233,
  [SMALL_STATE(614)] = 12334,
  [SMALL_STATE(615)] = 12437,
  [SMALL_STATE(616)] = 12540,
  [SMALL_STATE(617)] = 12643,
  [SMALL_STATE(618)] = 12746,
  [SMALL_STATE(619)] = 12849,
  [SMALL_STATE(620)] = 12952,
  [SMALL_STATE(621)] = 13055,
  [SMALL_STATE(622)] = 13158,
  [SMALL_STATE(623)] = 13261,
  [SMALL_STATE(624)] = 13364,
  [SMALL_STATE(625)] = 13467,
  [SMALL_STATE(626)] = 13570,
  [SMALL_STATE(627)] = 13673,
  [SMALL_STATE(628)] = 13776,
  [SMALL_STATE(629)] = 13879,
  [SMALL_STATE(630)] = 13980,
  [SMALL_STATE(631)] = 14081,
  [SMALL_STATE(632)] = 14182,
  [SMALL_STATE(633)] = 14283,
  [SMALL_STATE(634)] = 14384,
  [SMALL_STATE(635)] = 14485,
  [SMALL_STATE(636)] = 14586,
  [SMALL_STATE(637)] = 14687,
  [SMALL_STATE(638)] = 14788,
  [SMALL_STATE(639)] = 14889,
  [SMALL_STATE(640)] = 14990,
  [SMALL_STATE(641)] = 15091,
  [SMALL_STATE(642)] = 15192,
  [SMALL_STATE(643)] = 15293,
  [SMALL_STATE(644)] = 15396,
  [SMALL_STATE(645)] = 15499,
  [SMALL_STATE(646)] = 15602,
  [SMALL_STATE(647)] = 15705,
  [SMALL_STATE(648)] = 15808,
  [SMALL_STATE(649)] = 15911,
  [SMALL_STATE(650)] = 16014,
  [SMALL_STATE(651)] = 16117,
  [SMALL_STATE(652)] = 16218,
  [SMALL_STATE(653)] = 16321,
  [SMALL_STATE(654)] = 16424,
  [SMALL_STATE(655)] = 16527,
  [SMALL_STATE(656)] = 16630,
  [SMALL_STATE(657)] = 16733,
  [SMALL_STATE(658)] = 16836,
  [SMALL_STATE(659)] = 16939,
  [SMALL_STATE(660)] = 17040,
  [SMALL_STATE(661)] = 17143,
  [SMALL_STATE(662)] = 17231,
  [SMALL_STATE(663)] = 17302,
  [SMALL_STATE(664)] = 17373,
  [SMALL_STATE(665)] = 17474,
  [SMALL_STATE(666)] = 17575,
  [SMALL_STATE(667)] = 17676,
  [SMALL_STATE(668)] = 17747,
  [SMALL_STATE(669)] = 17848,
  [SMALL_STATE(670)] = 17916,
  [SMALL_STATE(671)] = 17979,
  [SMALL_STATE(672)] = 18042,
  [SMALL_STATE(673)] = 18104,
  [SMALL_STATE(674)] = 18166,
  [SMALL_STATE(675)] = 18228,
  [SMALL_STATE(676)] = 18290,
  [SMALL_STATE(677)] = 18352,
  [SMALL_STATE(678)] = 18414,
  [SMALL_STATE(679)] = 18476,
  [SMALL_STATE(680)] = 18538,
  [SMALL_STATE(681)] = 18600,
  [SMALL_STATE(682)] = 18662,
  [SMALL_STATE(683)] = 18721,
  [SMALL_STATE(684)] = 18780,
  [SMALL_STATE(685)] = 18839,
  [SMALL_STATE(686)] = 18910,
  [SMALL_STATE(687)] = 18975,
  [SMALL_STATE(688)] = 19034,
  [SMALL_STATE(689)] = 19126,
  [SMALL_STATE(690)] = 19184,
  [SMALL_STATE(691)] = 19242,
  [SMALL_STATE(692)] = 19300,
  [SMALL_STATE(693)] = 19358,
  [SMALL_STATE(694)] = 19416,
  [SMALL_STATE(695)] = 19508,
  [SMALL_STATE(696)] = 19566,
  [SMALL_STATE(697)] = 19658,
  [SMALL_STATE(698)] = 19716,
  [SMALL_STATE(699)] = 19808,
  [SMALL_STATE(700)] = 19900,
  [SMALL_STATE(701)] = 19992,
  [SMALL_STATE(702)] = 20050,
  [SMALL_STATE(703)] = 20142,
  [SMALL_STATE(704)] = 20236,
  [SMALL_STATE(705)] = 20328,
  [SMALL_STATE(706)] = 20386,
  [SMALL_STATE(707)] = 20478,
  [SMALL_STATE(708)] = 20570,
  [SMALL_STATE(709)] = 20628,
  [SMALL_STATE(710)] = 20686,
  [SMALL_STATE(711)] = 20744,
  [SMALL_STATE(712)] = 20802,
  [SMALL_STATE(713)] = 20894,
  [SMALL_STATE(714)] = 20986,
  [SMALL_STATE(715)] = 21044,
  [SMALL_STATE(716)] = 21102,
  [SMALL_STATE(717)] = 21194,
  [SMALL_STATE(718)] = 21286,
  [SMALL_STATE(719)] = 21344,
  [SMALL_STATE(720)] = 21436,
  [SMALL_STATE(721)] = 21528,
  [SMALL_STATE(722)] = 21620,
  [SMALL_STATE(723)] = 21687,
  [SMALL_STATE(724)] = 21748,
  [SMALL_STATE(725)] = 21815,
  [SMALL_STATE(726)] = 21882,
  [SMALL_STATE(727)] = 21939,
  [SMALL_STATE(728)] = 22028,
  [SMALL_STATE(729)] = 22085,
  [SMALL_STATE(730)] = 22152,
  [SMALL_STATE(731)] = 22217,
  [SMALL_STATE(732)] = 22308,
  [SMALL_STATE(733)] = 22397,
  [SMALL_STATE(734)] = 22454,
  [SMALL_STATE(735)] = 22521,
  [SMALL_STATE(736)] = 22578,
  [SMALL_STATE(737)] = 22635,
  [SMALL_STATE(738)] = 22700,
  [SMALL_STATE(739)] = 22764,
  [SMALL_STATE(740)] = 22823,
  [SMALL_STATE(741)] = 22905,
  [SMALL_STATE(742)] = 22987,
  [SMALL_STATE(743)] = 23069,
  [SMALL_STATE(744)] = 23151,
  [SMALL_STATE(745)] = 23233,
  [SMALL_STATE(746)] = 23315,
  [SMALL_STATE(747)] = 23397,
  [SMALL_STATE(748)] = 23479,
  [SMALL_STATE(749)] = 23540,
  [SMALL_STATE(750)] = 23593,
  [SMALL_STATE(751)] = 23654,
  [SMALL_STATE(752)] = 23715,
  [SMALL_STATE(753)] = 23778,
  [SMALL_STATE(754)] = 23831,
  [SMALL_STATE(755)] = 23894,
  [SMALL_STATE(756)] = 23957,
  [SMALL_STATE(757)] = 24018,
  [SMALL_STATE(758)] = 24079,
  [SMALL_STATE(759)] = 24158,
  [SMALL_STATE(760)] = 24211,
  [SMALL_STATE(761)] = 24274,
  [SMALL_STATE(762)] = 24337,
  [SMALL_STATE(763)] = 24400,
  [SMALL_STATE(764)] = 24452,
  [SMALL_STATE(765)] = 24504,
  [SMALL_STATE(766)] = 24556,
  [SMALL_STATE(767)] = 24620,
  [SMALL_STATE(768)] = 24702,
  [SMALL_STATE(769)] = 24782,
  [SMALL_STATE(770)] = 24860,
  [SMALL_STATE(771)] = 24936,
  [SMALL_STATE(772)] = 25010,
  [SMALL_STATE(773)] = 25082,
  [SMALL_STATE(774)] = 25150,
  [SMALL_STATE(775)] = 25216,
  [SMALL_STATE(776)] = 25302,
  [SMALL_STATE(777)] = 25388,
  [SMALL_STATE(778)] = 25474,
  [SMALL_STATE(779)] = 25534,
  [SMALL_STATE(780)] = 25589,
  [SMALL_STATE(781)] = 25674,
  [SMALL_STATE(782)] = 25729,
  [SMALL_STATE(783)] = 25792,
  [SMALL_STATE(784)] = 25873,
  [SMALL_STATE(785)] = 25928,
  [SMALL_STATE(786)] = 26013,
  [SMALL_STATE(787)] = 26068,
  [SMALL_STATE(788)] = 26131,
  [SMALL_STATE(789)] = 26210,
  [SMALL_STATE(790)] = 26295,
  [SMALL_STATE(791)] = 26372,
  [SMALL_STATE(792)] = 26447,
  [SMALL_STATE(793)] = 26520,
  [SMALL_STATE(794)] = 26575,
  [SMALL_STATE(795)] = 26646,
  [SMALL_STATE(796)] = 26701,
  [SMALL_STATE(797)] = 26756,
  [SMALL_STATE(798)] = 26819,
  [SMALL_STATE(799)] = 26882,
  [SMALL_STATE(800)] = 26937,
  [SMALL_STATE(801)] = 26992,
  [SMALL_STATE(802)] = 27059,
  [SMALL_STATE(803)] = 27114,
  [SMALL_STATE(804)] = 27179,
  [SMALL_STATE(805)] = 27234,
  [SMALL_STATE(806)] = 27297,
  [SMALL_STATE(807)] = 27352,
  [SMALL_STATE(808)] = 27402,
  [SMALL_STATE(809)] = 27452,
  [SMALL_STATE(810)] = 27502,
  [SMALL_STATE(811)] = 27556,
  [SMALL_STATE(812)] = 27606,
  [SMALL_STATE(813)] = 27660,
  [SMALL_STATE(814)] = 27716,
  [SMALL_STATE(815)] = 27766,
  [SMALL_STATE(816)] = 27820,
  [SMALL_STATE(817)] = 27870,
  [SMALL_STATE(818)] = 27920,
  [SMALL_STATE(819)] = 27970,
  [SMALL_STATE(820)] = 28020,
  [SMALL_STATE(821)] = 28070,
  [SMALL_STATE(822)] = 28120,
  [SMALL_STATE(823)] = 28170,
  [SMALL_STATE(824)] = 28228,
  [SMALL_STATE(825)] = 28278,
  [SMALL_STATE(826)] = 28328,
  [SMALL_STATE(827)] = 28382,
  [SMALL_STATE(828)] = 28432,
  [SMALL_STATE(829)] = 28488,
  [SMALL_STATE(830)] = 28538,
  [SMALL_STATE(831)] = 28588,
  [SMALL_STATE(832)] = 28638,
  [SMALL_STATE(833)] = 28688,
  [SMALL_STATE(834)] = 28738,
  [SMALL_STATE(835)] = 28792,
  [SMALL_STATE(836)] = 28842,
  [SMALL_STATE(837)] = 28892,
  [SMALL_STATE(838)] = 28942,
  [SMALL_STATE(839)] = 28996,
  [SMALL_STATE(840)] = 29046,
  [SMALL_STATE(841)] = 29100,
  [SMALL_STATE(842)] = 29154,
  [SMALL_STATE(843)] = 29204,
  [SMALL_STATE(844)] = 29254,
  [SMALL_STATE(845)] = 29304,
  [SMALL_STATE(846)] = 29353,
  [SMALL_STATE(847)] = 29402,
  [SMALL_STATE(848)] = 29451,
  [SMALL_STATE(849)] = 29500,
  [SMALL_STATE(850)] = 29549,
  [SMALL_STATE(851)] = 29598,
  [SMALL_STATE(852)] = 29647,
  [SMALL_STATE(853)] = 29696,
  [SMALL_STATE(854)] = 29745,
  [SMALL_STATE(855)] = 29794,
  [SMALL_STATE(856)] = 29843,
  [SMALL_STATE(857)] = 29892,
  [SMALL_STATE(858)] = 29941,
  [SMALL_STATE(859)] = 29990,
  [SMALL_STATE(860)] = 30039,
  [SMALL_STATE(861)] = 30088,
  [SMALL_STATE(862)] = 30137,
  [SMALL_STATE(863)] = 30186,
  [SMALL_STATE(864)] = 30248,
  [SMALL_STATE(865)] = 30310,
  [SMALL_STATE(866)] = 30368,
  [SMALL_STATE(867)] = 30430,
  [SMALL_STATE(868)] = 30492,
  [SMALL_STATE(869)] = 30569,
  [SMALL_STATE(870)] = 30644,
  [SMALL_STATE(871)] = 30723,
  [SMALL_STATE(872)] = 30794,
  [SMALL_STATE(873)] = 30863,
  [SMALL_STATE(874)] = 30918,
  [SMALL_STATE(875)] = 30983,
  [SMALL_STATE(876)] = 31046,
  [SMALL_STATE(877)] = 31119,
  [SMALL_STATE(878)] = 31172,
  [SMALL_STATE(879)] = 31255,
  [SMALL_STATE(880)] = 31312,
  [SMALL_STATE(881)] = 31371,
  [SMALL_STATE(882)] = 31432,
  [SMALL_STATE(883)] = 31491,
  [SMALL_STATE(884)] = 31550,
  [SMALL_STATE(885)] = 31603,
  [SMALL_STATE(886)] = 31686,
  [SMALL_STATE(887)] = 31769,
  [SMALL_STATE(888)] = 31828,
  [SMALL_STATE(889)] = 31907,
  [SMALL_STATE(890)] = 31986,
  [SMALL_STATE(891)] = 32045,
  [SMALL_STATE(892)] = 32091,
  [SMALL_STATE(893)] = 32141,
  [SMALL_STATE(894)] = 32187,
  [SMALL_STATE(895)] = 32233,
  [SMALL_STATE(896)] = 32279,
  [SMALL_STATE(897)] = 32325,
  [SMALL_STATE(898)] = 32371,
  [SMALL_STATE(899)] = 32416,
  [SMALL_STATE(900)] = 32465,
  [SMALL_STATE(901)] = 32510,
  [SMALL_STATE(902)] = 32555,
  [SMALL_STATE(903)] = 32600,
  [SMALL_STATE(904)] = 32645,
  [SMALL_STATE(905)] = 32690,
  [SMALL_STATE(906)] = 32735,
  [SMALL_STATE(907)] = 32780,
  [SMALL_STATE(908)] = 32825,
  [SMALL_STATE(909)] = 32870,
  [SMALL_STATE(910)] = 32915,
  [SMALL_STATE(911)] = 32960,
  [SMALL_STATE(912)] = 33009,
  [SMALL_STATE(913)] = 33054,
  [SMALL_STATE(914)] = 33099,
  [SMALL_STATE(915)] = 33144,
  [SMALL_STATE(916)] = 33189,
  [SMALL_STATE(917)] = 33238,
  [SMALL_STATE(918)] = 33283,
  [SMALL_STATE(919)] = 33328,
  [SMALL_STATE(920)] = 33373,
  [SMALL_STATE(921)] = 33418,
  [SMALL_STATE(922)] = 33463,
  [SMALL_STATE(923)] = 33508,
  [SMALL_STATE(924)] = 33553,
  [SMALL_STATE(925)] = 33598,
  [SMALL_STATE(926)] = 33643,
  [SMALL_STATE(927)] = 33688,
  [SMALL_STATE(928)] = 33733,
  [SMALL_STATE(929)] = 33778,
  [SMALL_STATE(930)] = 33823,
  [SMALL_STATE(931)] = 33868,
  [SMALL_STATE(932)] = 33913,
  [SMALL_STATE(933)] = 33958,
  [SMALL_STATE(934)] = 34003,
  [SMALL_STATE(935)] = 34052,
  [SMALL_STATE(936)] = 34097,
  [SMALL_STATE(937)] = 34146,
  [SMALL_STATE(938)] = 34195,
  [SMALL_STATE(939)] = 34244,
  [SMALL_STATE(940)] = 34289,
  [SMALL_STATE(941)] = 34334,
  [SMALL_STATE(942)] = 34378,
  [SMALL_STATE(943)] = 34422,
  [SMALL_STATE(944)] = 34466,
  [SMALL_STATE(945)] = 34510,
  [SMALL_STATE(946)] = 34554,
  [SMALL_STATE(947)] = 34598,
  [SMALL_STATE(948)] = 34642,
  [SMALL_STATE(949)] = 34686,
  [SMALL_STATE(950)] = 34730,
  [SMALL_STATE(951)] = 34774,
  [SMALL_STATE(952)] = 34843,
  [SMALL_STATE(953)] = 34886,
  [SMALL_STATE(954)] = 34941,
  [SMALL_STATE(955)] = 35010,
  [SMALL_STATE(956)] = 35079,
  [SMALL_STATE(957)] = 35148,
  [SMALL_STATE(958)] = 35198,
  [SMALL_STATE(959)] = 35250,
  [SMALL_STATE(960)] = 35327,
  [SMALL_STATE(961)] = 35404,
  [SMALL_STATE(962)] = 35459,
  [SMALL_STATE(963)] = 35532,
  [SMALL_STATE(964)] = 35603,
  [SMALL_STATE(965)] = 35672,
  [SMALL_STATE(966)] = 35739,
  [SMALL_STATE(967)] = 35804,
  [SMALL_STATE(968)] = 35867,
  [SMALL_STATE(969)] = 35926,
  [SMALL_STATE(970)] = 35983,
  [SMALL_STATE(971)] = 36060,
  [SMALL_STATE(972)] = 36137,
  [SMALL_STATE(973)] = 36177,
  [SMALL_STATE(974)] = 36251,
  [SMALL_STATE(975)] = 36315,
  [SMALL_STATE(976)] = 36377,
  [SMALL_STATE(977)] = 36435,
  [SMALL_STATE(978)] = 36491,
  [SMALL_STATE(979)] = 36531,
  [SMALL_STATE(980)] = 36571,
  [SMALL_STATE(981)] = 36611,
  [SMALL_STATE(982)] = 36653,
  [SMALL_STATE(983)] = 36721,
  [SMALL_STATE(984)] = 36795,
  [SMALL_STATE(985)] = 36835,
  [SMALL_STATE(986)] = 36877,
  [SMALL_STATE(987)] = 36917,
  [SMALL_STATE(988)] = 36971,
  [SMALL_STATE(989)] = 37011,
  [SMALL_STATE(990)] = 37053,
  [SMALL_STATE(991)] = 37093,
  [SMALL_STATE(992)] = 37133,
  [SMALL_STATE(993)] = 37207,
  [SMALL_STATE(994)] = 37277,
  [SMALL_STATE(995)] = 37317,
  [SMALL_STATE(996)] = 37385,
  [SMALL_STATE(997)] = 37425,
  [SMALL_STATE(998)] = 37491,
  [SMALL_STATE(999)] = 37531,
  [SMALL_STATE(1000)] = 37571,
  [SMALL_STATE(1001)] = 37613,
  [SMALL_STATE(1002)] = 37676,
  [SMALL_STATE(1003)] = 37739,
  [SMALL_STATE(1004)] = 37804,
  [SMALL_STATE(1005)] = 37869,
  [SMALL_STATE(1006)] = 37929,
  [SMALL_STATE(1007)] = 37989,
  [SMALL_STATE(1008)] = 38049,
  [SMALL_STATE(1009)] = 38087,
  [SMALL_STATE(1010)] = 38147,
  [SMALL_STATE(1011)] = 38207,
  [SMALL_STATE(1012)] = 38267,
  [SMALL_STATE(1013)] = 38327,
  [SMALL_STATE(1014)] = 38401,
  [SMALL_STATE(1015)] = 38439,
  [SMALL_STATE(1016)] = 38477,
  [SMALL_STATE(1017)] = 38537,
  [SMALL_STATE(1018)] = 38575,
  [SMALL_STATE(1019)] = 38621,
  [SMALL_STATE(1020)] = 38696,
  [SMALL_STATE(1021)] = 38771,
  [SMALL_STATE(1022)] = 38846,
  [SMALL_STATE(1023)] = 38917,
  [SMALL_STATE(1024)] = 38992,
  [SMALL_STATE(1025)] = 39067,
  [SMALL_STATE(1026)] = 39142,
  [SMALL_STATE(1027)] = 39198,
  [SMALL_STATE(1028)] = 39270,
  [SMALL_STATE(1029)] = 39342,
  [SMALL_STATE(1030)] = 39398,
  [SMALL_STATE(1031)] = 39470,
  [SMALL_STATE(1032)] = 39542,
  [SMALL_STATE(1033)] = 39612,
  [SMALL_STATE(1034)] = 39684,
  [SMALL_STATE(1035)] = 39756,
  [SMALL_STATE(1036)] = 39812,
  [SMALL_STATE(1037)] = 39884,
  [SMALL_STATE(1038)] = 39956,
  [SMALL_STATE(1039)] = 40012,
  [SMALL_STATE(1040)] = 40082,
  [SMALL_STATE(1041)] = 40154,
  [SMALL_STATE(1042)] = 40226,
  [SMALL_STATE(1043)] = 40296,
  [SMALL_STATE(1044)] = 40352,
  [SMALL_STATE(1045)] = 40424,
  [SMALL_STATE(1046)] = 40496,
  [SMALL_STATE(1047)] = 40566,
  [SMALL_STATE(1048)] = 40638,
  [SMALL_STATE(1049)] = 40710,
  [SMALL_STATE(1050)] = 40782,
  [SMALL_STATE(1051)] = 40854,
  [SMALL_STATE(1052)] = 40910,
  [SMALL_STATE(1053)] = 40966,
  [SMALL_STATE(1054)] = 41038,
  [SMALL_STATE(1055)] = 41112,
  [SMALL_STATE(1056)] = 41168,
  [SMALL_STATE(1057)] = 41220,
  [SMALL_STATE(1058)] = 41290,
  [SMALL_STATE(1059)] = 41358,
  [SMALL_STATE(1060)] = 41430,
  [SMALL_STATE(1061)] = 41502,
  [SMALL_STATE(1062)] = 41574,
  [SMALL_STATE(1063)] = 41640,
  [SMALL_STATE(1064)] = 41710,
  [SMALL_STATE(1065)] = 41776,
  [SMALL_STATE(1066)] = 41840,
  [SMALL_STATE(1067)] = 41896,
  [SMALL_STATE(1068)] = 41958,
  [SMALL_STATE(1069)] = 42018,
  [SMALL_STATE(1070)] = 42074,
  [SMALL_STATE(1071)] = 42130,
  [SMALL_STATE(1072)] = 42184,
  [SMALL_STATE(1073)] = 42256,
  [SMALL_STATE(1074)] = 42328,
  [SMALL_STATE(1075)] = 42384,
  [SMALL_STATE(1076)] = 42454,
  [SMALL_STATE(1077)] = 42526,
  [SMALL_STATE(1078)] = 42596,
  [SMALL_STATE(1079)] = 42668,
  [SMALL_STATE(1080)] = 42724,
  [SMALL_STATE(1081)] = 42796,
  [SMALL_STATE(1082)] = 42852,
  [SMALL_STATE(1083)] = 42924,
  [SMALL_STATE(1084)] = 42996,
  [SMALL_STATE(1085)] = 43068,
  [SMALL_STATE(1086)] = 43140,
  [SMALL_STATE(1087)] = 43193,
  [SMALL_STATE(1088)] = 43262,
  [SMALL_STATE(1089)] = 43297,
  [SMALL_STATE(1090)] = 43332,
  [SMALL_STATE(1091)] = 43401,
  [SMALL_STATE(1092)] = 43470,
  [SMALL_STATE(1093)] = 43539,
  [SMALL_STATE(1094)] = 43592,
  [SMALL_STATE(1095)] = 43661,
  [SMALL_STATE(1096)] = 43714,
  [SMALL_STATE(1097)] = 43783,
  [SMALL_STATE(1098)] = 43852,
  [SMALL_STATE(1099)] = 43921,
  [SMALL_STATE(1100)] = 43974,
  [SMALL_STATE(1101)] = 44043,
  [SMALL_STATE(1102)] = 44112,
  [SMALL_STATE(1103)] = 44181,
  [SMALL_STATE(1104)] = 44250,
  [SMALL_STATE(1105)] = 44319,
  [SMALL_STATE(1106)] = 44388,
  [SMALL_STATE(1107)] = 44457,
  [SMALL_STATE(1108)] = 44526,
  [SMALL_STATE(1109)] = 44595,
  [SMALL_STATE(1110)] = 44648,
  [SMALL_STATE(1111)] = 44701,
  [SMALL_STATE(1112)] = 44770,
  [SMALL_STATE(1113)] = 44809,
  [SMALL_STATE(1114)] = 44878,
  [SMALL_STATE(1115)] = 44947,
  [SMALL_STATE(1116)] = 45013,
  [SMALL_STATE(1117)] = 45049,
  [SMALL_STATE(1118)] = 45091,
  [SMALL_STATE(1119)] = 45135,
  [SMALL_STATE(1120)] = 45171,
  [SMALL_STATE(1121)] = 45207,
  [SMALL_STATE(1122)] = 45243,
  [SMALL_STATE(1123)] = 45290,
  [SMALL_STATE(1124)] = 45337,
  [SMALL_STATE(1125)] = 45384,
  [SMALL_STATE(1126)] = 45431,
  [SMALL_STATE(1127)] = 45478,
  [SMALL_STATE(1128)] = 45527,
  [SMALL_STATE(1129)] = 45574,
  [SMALL_STATE(1130)] = 45628,
  [SMALL_STATE(1131)] = 45682,
  [SMALL_STATE(1132)] = 45726,
  [SMALL_STATE(1133)] = 45764,
  [SMALL_STATE(1134)] = 45800,
  [SMALL_STATE(1135)] = 45854,
  [SMALL_STATE(1136)] = 45898,
  [SMALL_STATE(1137)] = 45932,
  [SMALL_STATE(1138)] = 45976,
  [SMALL_STATE(1139)] = 46020,
  [SMALL_STATE(1140)] = 46064,
  [SMALL_STATE(1141)] = 46118,
  [SMALL_STATE(1142)] = 46162,
  [SMALL_STATE(1143)] = 46213,
  [SMALL_STATE(1144)] = 46264,
  [SMALL_STATE(1145)] = 46315,
  [SMALL_STATE(1146)] = 46366,
  [SMALL_STATE(1147)] = 46409,
  [SMALL_STATE(1148)] = 46460,
  [SMALL_STATE(1149)] = 46515,
  [SMALL_STATE(1150)] = 46566,
  [SMALL_STATE(1151)] = 46617,
  [SMALL_STATE(1152)] = 46668,
  [SMALL_STATE(1153)] = 46723,
  [SMALL_STATE(1154)] = 46774,
  [SMALL_STATE(1155)] = 46807,
  [SMALL_STATE(1156)] = 46862,
  [SMALL_STATE(1157)] = 46913,
  [SMALL_STATE(1158)] = 46956,
  [SMALL_STATE(1159)] = 47007,
  [SMALL_STATE(1160)] = 47050,
  [SMALL_STATE(1161)] = 47090,
  [SMALL_STATE(1162)] = 47126,
  [SMALL_STATE(1163)] = 47160,
  [SMALL_STATE(1164)] = 47200,
  [SMALL_STATE(1165)] = 47240,
  [SMALL_STATE(1166)] = 47268,
  [SMALL_STATE(1167)] = 47308,
  [SMALL_STATE(1168)] = 47336,
  [SMALL_STATE(1169)] = 47368,
  [SMALL_STATE(1170)] = 47408,
  [SMALL_STATE(1171)] = 47448,
  [SMALL_STATE(1172)] = 47488,
  [SMALL_STATE(1173)] = 47520,
  [SMALL_STATE(1174)] = 47560,
  [SMALL_STATE(1175)] = 47600,
  [SMALL_STATE(1176)] = 47640,
  [SMALL_STATE(1177)] = 47680,
  [SMALL_STATE(1178)] = 47720,
  [SMALL_STATE(1179)] = 47760,
  [SMALL_STATE(1180)] = 47800,
  [SMALL_STATE(1181)] = 47840,
  [SMALL_STATE(1182)] = 47880,
  [SMALL_STATE(1183)] = 47928,
  [SMALL_STATE(1184)] = 47968,
  [SMALL_STATE(1185)] = 48008,
  [SMALL_STATE(1186)] = 48048,
  [SMALL_STATE(1187)] = 48088,
  [SMALL_STATE(1188)] = 48128,
  [SMALL_STATE(1189)] = 48168,
  [SMALL_STATE(1190)] = 48208,
  [SMALL_STATE(1191)] = 48248,
  [SMALL_STATE(1192)] = 48276,
  [SMALL_STATE(1193)] = 48308,
  [SMALL_STATE(1194)] = 48336,
  [SMALL_STATE(1195)] = 48376,
  [SMALL_STATE(1196)] = 48408,
  [SMALL_STATE(1197)] = 48436,
  [SMALL_STATE(1198)] = 48484,
  [SMALL_STATE(1199)] = 48534,
  [SMALL_STATE(1200)] = 48580,
  [SMALL_STATE(1201)] = 48626,
  [SMALL_STATE(1202)] = 48666,
  [SMALL_STATE(1203)] = 48706,
  [SMALL_STATE(1204)] = 48750,
  [SMALL_STATE(1205)] = 48790,
  [SMALL_STATE(1206)] = 48830,
  [SMALL_STATE(1207)] = 48870,
  [SMALL_STATE(1208)] = 48910,
  [SMALL_STATE(1209)] = 48950,
  [SMALL_STATE(1210)] = 48990,
  [SMALL_STATE(1211)] = 49030,
  [SMALL_STATE(1212)] = 49070,
  [SMALL_STATE(1213)] = 49110,
  [SMALL_STATE(1214)] = 49150,
  [SMALL_STATE(1215)] = 49190,
  [SMALL_STATE(1216)] = 49230,
  [SMALL_STATE(1217)] = 49270,
  [SMALL_STATE(1218)] = 49312,
  [SMALL_STATE(1219)] = 49344,
  [SMALL_STATE(1220)] = 49372,
  [SMALL_STATE(1221)] = 49417,
  [SMALL_STATE(1222)] = 49444,
  [SMALL_STATE(1223)] = 49489,
  [SMALL_STATE(1224)] = 49520,
  [SMALL_STATE(1225)] = 49551,
  [SMALL_STATE(1226)] = 49582,
  [SMALL_STATE(1227)] = 49609,
  [SMALL_STATE(1228)] = 49658,
  [SMALL_STATE(1229)] = 49685,
  [SMALL_STATE(1230)] = 49730,
  [SMALL_STATE(1231)] = 49775,
  [SMALL_STATE(1232)] = 49802,
  [SMALL_STATE(1233)] = 49831,
  [SMALL_STATE(1234)] = 49858,
  [SMALL_STATE(1235)] = 49901,
  [SMALL_STATE(1236)] = 49946,
  [SMALL_STATE(1237)] = 49973,
  [SMALL_STATE(1238)] = 50004,
  [SMALL_STATE(1239)] = 50049,
  [SMALL_STATE(1240)] = 50076,
  [SMALL_STATE(1241)] = 50121,
  [SMALL_STATE(1242)] = 50166,
  [SMALL_STATE(1243)] = 50193,
  [SMALL_STATE(1244)] = 50238,
  [SMALL_STATE(1245)] = 50283,
  [SMALL_STATE(1246)] = 50326,
  [SMALL_STATE(1247)] = 50371,
  [SMALL_STATE(1248)] = 50402,
  [SMALL_STATE(1249)] = 50443,
  [SMALL_STATE(1250)] = 50482,
  [SMALL_STATE(1251)] = 50509,
  [SMALL_STATE(1252)] = 50554,
  [SMALL_STATE(1253)] = 50597,
  [SMALL_STATE(1254)] = 50624,
  [SMALL_STATE(1255)] = 50657,
  [SMALL_STATE(1256)] = 50688,
  [SMALL_STATE(1257)] = 50733,
  [SMALL_STATE(1258)] = 50770,
  [SMALL_STATE(1259)] = 50815,
  [SMALL_STATE(1260)] = 50846,
  [SMALL_STATE(1261)] = 50889,
  [SMALL_STATE(1262)] = 50924,
  [SMALL_STATE(1263)] = 50959,
  [SMALL_STATE(1264)] = 50992,
  [SMALL_STATE(1265)] = 51037,
  [SMALL_STATE(1266)] = 51068,
  [SMALL_STATE(1267)] = 51099,
  [SMALL_STATE(1268)] = 51148,
  [SMALL_STATE(1269)] = 51191,
  [SMALL_STATE(1270)] = 51231,
  [SMALL_STATE(1271)] = 51271,
  [SMALL_STATE(1272)] = 51311,
  [SMALL_STATE(1273)] = 51351,
  [SMALL_STATE(1274)] = 51395,
  [SMALL_STATE(1275)] = 51435,
  [SMALL_STATE(1276)] = 51475,
  [SMALL_STATE(1277)] = 51516,
  [SMALL_STATE(1278)] = 51551,
  [SMALL_STATE(1279)] = 51592,
  [SMALL_STATE(1280)] = 51633,
  [SMALL_STATE(1281)] = 51674,
  [SMALL_STATE(1282)] = 51715,
  [SMALL_STATE(1283)] = 51756,
  [SMALL_STATE(1284)] = 51797,
  [SMALL_STATE(1285)] = 51838,
  [SMALL_STATE(1286)] = 51872,
  [SMALL_STATE(1287)] = 51910,
  [SMALL_STATE(1288)] = 51950,
  [SMALL_STATE(1289)] = 51988,
  [SMALL_STATE(1290)] = 52025,
  [SMALL_STATE(1291)] = 52064,
  [SMALL_STATE(1292)] = 52103,
  [SMALL_STATE(1293)] = 52132,
  [SMALL_STATE(1294)] = 52173,
  [SMALL_STATE(1295)] = 52214,
  [SMALL_STATE(1296)] = 52253,
  [SMALL_STATE(1297)] = 52282,
  [SMALL_STATE(1298)] = 52321,
  [SMALL_STATE(1299)] = 52350,
  [SMALL_STATE(1300)] = 52379,
  [SMALL_STATE(1301)] = 52420,
  [SMALL_STATE(1302)] = 52446,
  [SMALL_STATE(1303)] = 52483,
  [SMALL_STATE(1304)] = 52520,
  [SMALL_STATE(1305)] = 52545,
  [SMALL_STATE(1306)] = 52574,
  [SMALL_STATE(1307)] = 52611,
  [SMALL_STATE(1308)] = 52644,
  [SMALL_STATE(1309)] = 52681,
  [SMALL_STATE(1310)] = 52718,
  [SMALL_STATE(1311)] = 52739,
  [SMALL_STATE(1312)] = 52768,
  [SMALL_STATE(1313)] = 52805,
  [SMALL_STATE(1314)] = 52826,
  [SMALL_STATE(1315)] = 52863,
  [SMALL_STATE(1316)] = 52900,
  [SMALL_STATE(1317)] = 52929,
  [SMALL_STATE(1318)] = 52966,
  [SMALL_STATE(1319)] = 53003,
  [SMALL_STATE(1320)] = 53032,
  [SMALL_STATE(1321)] = 53069,
  [SMALL_STATE(1322)] = 53102,
  [SMALL_STATE(1323)] = 53123,
  [SMALL_STATE(1324)] = 53147,
  [SMALL_STATE(1325)] = 53183,
  [SMALL_STATE(1326)] = 53212,
  [SMALL_STATE(1327)] = 53241,
  [SMALL_STATE(1328)] = 53266,
  [SMALL_STATE(1329)] = 53297,
  [SMALL_STATE(1330)] = 53326,
  [SMALL_STATE(1331)] = 53357,
  [SMALL_STATE(1332)] = 53386,
  [SMALL_STATE(1333)] = 53417,
  [SMALL_STATE(1334)] = 53444,
  [SMALL_STATE(1335)] = 53475,
  [SMALL_STATE(1336)] = 53504,
  [SMALL_STATE(1337)] = 53535,
  [SMALL_STATE(1338)] = 53564,
  [SMALL_STATE(1339)] = 53595,
  [SMALL_STATE(1340)] = 53624,
  [SMALL_STATE(1341)] = 53655,
  [SMALL_STATE(1342)] = 53684,
  [SMALL_STATE(1343)] = 53711,
  [SMALL_STATE(1344)] = 53740,
  [SMALL_STATE(1345)] = 53767,
  [SMALL_STATE(1346)] = 53796,
  [SMALL_STATE(1347)] = 53823,
  [SMALL_STATE(1348)] = 53854,
  [SMALL_STATE(1349)] = 53885,
  [SMALL_STATE(1350)] = 53914,
  [SMALL_STATE(1351)] = 53943,
  [SMALL_STATE(1352)] = 53972,
  [SMALL_STATE(1353)] = 53997,
  [SMALL_STATE(1354)] = 54026,
  [SMALL_STATE(1355)] = 54050,
  [SMALL_STATE(1356)] = 54076,
  [SMALL_STATE(1357)] = 54102,
  [SMALL_STATE(1358)] = 54128,
  [SMALL_STATE(1359)] = 54160,
  [SMALL_STATE(1360)] = 54186,
  [SMALL_STATE(1361)] = 54218,
  [SMALL_STATE(1362)] = 54236,
  [SMALL_STATE(1363)] = 54254,
  [SMALL_STATE(1364)] = 54286,
  [SMALL_STATE(1365)] = 54304,
  [SMALL_STATE(1366)] = 54322,
  [SMALL_STATE(1367)] = 54344,
  [SMALL_STATE(1368)] = 54374,
  [SMALL_STATE(1369)] = 54406,
  [SMALL_STATE(1370)] = 54424,
  [SMALL_STATE(1371)] = 54442,
  [SMALL_STATE(1372)] = 54466,
  [SMALL_STATE(1373)] = 54484,
  [SMALL_STATE(1374)] = 54505,
  [SMALL_STATE(1375)] = 54526,
  [SMALL_STATE(1376)] = 54547,
  [SMALL_STATE(1377)] = 54576,
  [SMALL_STATE(1378)] = 54601,
  [SMALL_STATE(1379)] = 54630,
  [SMALL_STATE(1380)] = 54659,
  [SMALL_STATE(1381)] = 54688,
  [SMALL_STATE(1382)] = 54709,
  [SMALL_STATE(1383)] = 54730,
  [SMALL_STATE(1384)] = 54759,
  [SMALL_STATE(1385)] = 54788,
  [SMALL_STATE(1386)] = 54817,
  [SMALL_STATE(1387)] = 54846,
  [SMALL_STATE(1388)] = 54867,
  [SMALL_STATE(1389)] = 54888,
  [SMALL_STATE(1390)] = 54907,
  [SMALL_STATE(1391)] = 54932,
  [SMALL_STATE(1392)] = 54953,
  [SMALL_STATE(1393)] = 54979,
  [SMALL_STATE(1394)] = 54995,
  [SMALL_STATE(1395)] = 55021,
  [SMALL_STATE(1396)] = 55047,
  [SMALL_STATE(1397)] = 55073,
  [SMALL_STATE(1398)] = 55089,
  [SMALL_STATE(1399)] = 55113,
  [SMALL_STATE(1400)] = 55129,
  [SMALL_STATE(1401)] = 55155,
  [SMALL_STATE(1402)] = 55171,
  [SMALL_STATE(1403)] = 55197,
  [SMALL_STATE(1404)] = 55223,
  [SMALL_STATE(1405)] = 55239,
  [SMALL_STATE(1406)] = 55265,
  [SMALL_STATE(1407)] = 55285,
  [SMALL_STATE(1408)] = 55301,
  [SMALL_STATE(1409)] = 55319,
  [SMALL_STATE(1410)] = 55345,
  [SMALL_STATE(1411)] = 55365,
  [SMALL_STATE(1412)] = 55381,
  [SMALL_STATE(1413)] = 55397,
  [SMALL_STATE(1414)] = 55423,
  [SMALL_STATE(1415)] = 55443,
  [SMALL_STATE(1416)] = 55459,
  [SMALL_STATE(1417)] = 55485,
  [SMALL_STATE(1418)] = 55507,
  [SMALL_STATE(1419)] = 55533,
  [SMALL_STATE(1420)] = 55548,
  [SMALL_STATE(1421)] = 55563,
  [SMALL_STATE(1422)] = 55582,
  [SMALL_STATE(1423)] = 55597,
  [SMALL_STATE(1424)] = 55620,
  [SMALL_STATE(1425)] = 55643,
  [SMALL_STATE(1426)] = 55660,
  [SMALL_STATE(1427)] = 55675,
  [SMALL_STATE(1428)] = 55692,
  [SMALL_STATE(1429)] = 55717,
  [SMALL_STATE(1430)] = 55736,
  [SMALL_STATE(1431)] = 55751,
  [SMALL_STATE(1432)] = 55766,
  [SMALL_STATE(1433)] = 55789,
  [SMALL_STATE(1434)] = 55812,
  [SMALL_STATE(1435)] = 55827,
  [SMALL_STATE(1436)] = 55850,
  [SMALL_STATE(1437)] = 55865,
  [SMALL_STATE(1438)] = 55882,
  [SMALL_STATE(1439)] = 55897,
  [SMALL_STATE(1440)] = 55920,
  [SMALL_STATE(1441)] = 55937,
  [SMALL_STATE(1442)] = 55952,
  [SMALL_STATE(1443)] = 55975,
  [SMALL_STATE(1444)] = 55989,
  [SMALL_STATE(1445)] = 56009,
  [SMALL_STATE(1446)] = 56023,
  [SMALL_STATE(1447)] = 56043,
  [SMALL_STATE(1448)] = 56057,
  [SMALL_STATE(1449)] = 56071,
  [SMALL_STATE(1450)] = 56091,
  [SMALL_STATE(1451)] = 56111,
  [SMALL_STATE(1452)] = 56131,
  [SMALL_STATE(1453)] = 56151,
  [SMALL_STATE(1454)] = 56171,
  [SMALL_STATE(1455)] = 56191,
  [SMALL_STATE(1456)] = 56211,
  [SMALL_STATE(1457)] = 56225,
  [SMALL_STATE(1458)] = 56239,
  [SMALL_STATE(1459)] = 56259,
  [SMALL_STATE(1460)] = 56277,
  [SMALL_STATE(1461)] = 56295,
  [SMALL_STATE(1462)] = 56311,
  [SMALL_STATE(1463)] = 56329,
  [SMALL_STATE(1464)] = 56343,
  [SMALL_STATE(1465)] = 56357,
  [SMALL_STATE(1466)] = 56377,
  [SMALL_STATE(1467)] = 56395,
  [SMALL_STATE(1468)] = 56409,
  [SMALL_STATE(1469)] = 56427,
  [SMALL_STATE(1470)] = 56441,
  [SMALL_STATE(1471)] = 56455,
  [SMALL_STATE(1472)] = 56473,
  [SMALL_STATE(1473)] = 56487,
  [SMALL_STATE(1474)] = 56507,
  [SMALL_STATE(1475)] = 56521,
  [SMALL_STATE(1476)] = 56541,
  [SMALL_STATE(1477)] = 56559,
  [SMALL_STATE(1478)] = 56575,
  [SMALL_STATE(1479)] = 56589,
  [SMALL_STATE(1480)] = 56605,
  [SMALL_STATE(1481)] = 56619,
  [SMALL_STATE(1482)] = 56638,
  [SMALL_STATE(1483)] = 56649,
  [SMALL_STATE(1484)] = 56668,
  [SMALL_STATE(1485)] = 56679,
  [SMALL_STATE(1486)] = 56690,
  [SMALL_STATE(1487)] = 56701,
  [SMALL_STATE(1488)] = 56712,
  [SMALL_STATE(1489)] = 56729,
  [SMALL_STATE(1490)] = 56740,
  [SMALL_STATE(1491)] = 56755,
  [SMALL_STATE(1492)] = 56770,
  [SMALL_STATE(1493)] = 56781,
  [SMALL_STATE(1494)] = 56800,
  [SMALL_STATE(1495)] = 56811,
  [SMALL_STATE(1496)] = 56828,
  [SMALL_STATE(1497)] = 56839,
  [SMALL_STATE(1498)] = 56850,
  [SMALL_STATE(1499)] = 56861,
  [SMALL_STATE(1500)] = 56872,
  [SMALL_STATE(1501)] = 56883,
  [SMALL_STATE(1502)] = 56897,
  [SMALL_STATE(1503)] = 56911,
  [SMALL_STATE(1504)] = 56925,
  [SMALL_STATE(1505)] = 56939,
  [SMALL_STATE(1506)] = 56953,
  [SMALL_STATE(1507)] = 56967,
  [SMALL_STATE(1508)] = 56981,
  [SMALL_STATE(1509)] = 56995,
  [SMALL_STATE(1510)] = 57011,
  [SMALL_STATE(1511)] = 57027,
  [SMALL_STATE(1512)] = 57043,
  [SMALL_STATE(1513)] = 57057,
  [SMALL_STATE(1514)] = 57073,
  [SMALL_STATE(1515)] = 57087,
  [SMALL_STATE(1516)] = 57103,
  [SMALL_STATE(1517)] = 57117,
  [SMALL_STATE(1518)] = 57131,
  [SMALL_STATE(1519)] = 57145,
  [SMALL_STATE(1520)] = 57161,
  [SMALL_STATE(1521)] = 57177,
  [SMALL_STATE(1522)] = 57191,
  [SMALL_STATE(1523)] = 57205,
  [SMALL_STATE(1524)] = 57219,
  [SMALL_STATE(1525)] = 57233,
  [SMALL_STATE(1526)] = 57247,
  [SMALL_STATE(1527)] = 57263,
  [SMALL_STATE(1528)] = 57279,
  [SMALL_STATE(1529)] = 57293,
  [SMALL_STATE(1530)] = 57307,
  [SMALL_STATE(1531)] = 57323,
  [SMALL_STATE(1532)] = 57337,
  [SMALL_STATE(1533)] = 57353,
  [SMALL_STATE(1534)] = 57363,
  [SMALL_STATE(1535)] = 57379,
  [SMALL_STATE(1536)] = 57393,
  [SMALL_STATE(1537)] = 57407,
  [SMALL_STATE(1538)] = 57421,
  [SMALL_STATE(1539)] = 57435,
  [SMALL_STATE(1540)] = 57449,
  [SMALL_STATE(1541)] = 57463,
  [SMALL_STATE(1542)] = 57477,
  [SMALL_STATE(1543)] = 57493,
  [SMALL_STATE(1544)] = 57507,
  [SMALL_STATE(1545)] = 57521,
  [SMALL_STATE(1546)] = 57535,
  [SMALL_STATE(1547)] = 57551,
  [SMALL_STATE(1548)] = 57567,
  [SMALL_STATE(1549)] = 57583,
  [SMALL_STATE(1550)] = 57599,
  [SMALL_STATE(1551)] = 57613,
  [SMALL_STATE(1552)] = 57627,
  [SMALL_STATE(1553)] = 57641,
  [SMALL_STATE(1554)] = 57655,
  [SMALL_STATE(1555)] = 57669,
  [SMALL_STATE(1556)] = 57683,
  [SMALL_STATE(1557)] = 57697,
  [SMALL_STATE(1558)] = 57711,
  [SMALL_STATE(1559)] = 57725,
  [SMALL_STATE(1560)] = 57739,
  [SMALL_STATE(1561)] = 57755,
  [SMALL_STATE(1562)] = 57765,
  [SMALL_STATE(1563)] = 57779,
  [SMALL_STATE(1564)] = 57795,
  [SMALL_STATE(1565)] = 57809,
  [SMALL_STATE(1566)] = 57822,
  [SMALL_STATE(1567)] = 57835,
  [SMALL_STATE(1568)] = 57848,
  [SMALL_STATE(1569)] = 57861,
  [SMALL_STATE(1570)] = 57874,
  [SMALL_STATE(1571)] = 57887,
  [SMALL_STATE(1572)] = 57900,
  [SMALL_STATE(1573)] = 57913,
  [SMALL_STATE(1574)] = 57926,
  [SMALL_STATE(1575)] = 57939,
  [SMALL_STATE(1576)] = 57952,
  [SMALL_STATE(1577)] = 57961,
  [SMALL_STATE(1578)] = 57970,
  [SMALL_STATE(1579)] = 57979,
  [SMALL_STATE(1580)] = 57992,
  [SMALL_STATE(1581)] = 58005,
  [SMALL_STATE(1582)] = 58018,
  [SMALL_STATE(1583)] = 58031,
  [SMALL_STATE(1584)] = 58044,
  [SMALL_STATE(1585)] = 58053,
  [SMALL_STATE(1586)] = 58064,
  [SMALL_STATE(1587)] = 58077,
  [SMALL_STATE(1588)] = 58090,
  [SMALL_STATE(1589)] = 58103,
  [SMALL_STATE(1590)] = 58116,
  [SMALL_STATE(1591)] = 58129,
  [SMALL_STATE(1592)] = 58142,
  [SMALL_STATE(1593)] = 58155,
  [SMALL_STATE(1594)] = 58168,
  [SMALL_STATE(1595)] = 58177,
  [SMALL_STATE(1596)] = 58190,
  [SMALL_STATE(1597)] = 58199,
  [SMALL_STATE(1598)] = 58212,
  [SMALL_STATE(1599)] = 58225,
  [SMALL_STATE(1600)] = 58234,
  [SMALL_STATE(1601)] = 58247,
  [SMALL_STATE(1602)] = 58260,
  [SMALL_STATE(1603)] = 58273,
  [SMALL_STATE(1604)] = 58282,
  [SMALL_STATE(1605)] = 58295,
  [SMALL_STATE(1606)] = 58308,
  [SMALL_STATE(1607)] = 58321,
  [SMALL_STATE(1608)] = 58334,
  [SMALL_STATE(1609)] = 58343,
  [SMALL_STATE(1610)] = 58356,
  [SMALL_STATE(1611)] = 58369,
  [SMALL_STATE(1612)] = 58380,
  [SMALL_STATE(1613)] = 58393,
  [SMALL_STATE(1614)] = 58406,
  [SMALL_STATE(1615)] = 58419,
  [SMALL_STATE(1616)] = 58432,
  [SMALL_STATE(1617)] = 58445,
  [SMALL_STATE(1618)] = 58458,
  [SMALL_STATE(1619)] = 58471,
  [SMALL_STATE(1620)] = 58484,
  [SMALL_STATE(1621)] = 58497,
  [SMALL_STATE(1622)] = 58510,
  [SMALL_STATE(1623)] = 58523,
  [SMALL_STATE(1624)] = 58536,
  [SMALL_STATE(1625)] = 58549,
  [SMALL_STATE(1626)] = 58562,
  [SMALL_STATE(1627)] = 58575,
  [SMALL_STATE(1628)] = 58588,
  [SMALL_STATE(1629)] = 58601,
  [SMALL_STATE(1630)] = 58614,
  [SMALL_STATE(1631)] = 58627,
  [SMALL_STATE(1632)] = 58640,
  [SMALL_STATE(1633)] = 58653,
  [SMALL_STATE(1634)] = 58666,
  [SMALL_STATE(1635)] = 58679,
  [SMALL_STATE(1636)] = 58692,
  [SMALL_STATE(1637)] = 58705,
  [SMALL_STATE(1638)] = 58718,
  [SMALL_STATE(1639)] = 58731,
  [SMALL_STATE(1640)] = 58744,
  [SMALL_STATE(1641)] = 58757,
  [SMALL_STATE(1642)] = 58768,
  [SMALL_STATE(1643)] = 58781,
  [SMALL_STATE(1644)] = 58790,
  [SMALL_STATE(1645)] = 58803,
  [SMALL_STATE(1646)] = 58816,
  [SMALL_STATE(1647)] = 58825,
  [SMALL_STATE(1648)] = 58838,
  [SMALL_STATE(1649)] = 58851,
  [SMALL_STATE(1650)] = 58864,
  [SMALL_STATE(1651)] = 58877,
  [SMALL_STATE(1652)] = 58890,
  [SMALL_STATE(1653)] = 58903,
  [SMALL_STATE(1654)] = 58916,
  [SMALL_STATE(1655)] = 58929,
  [SMALL_STATE(1656)] = 58938,
  [SMALL_STATE(1657)] = 58951,
  [SMALL_STATE(1658)] = 58964,
  [SMALL_STATE(1659)] = 58977,
  [SMALL_STATE(1660)] = 58990,
  [SMALL_STATE(1661)] = 59003,
  [SMALL_STATE(1662)] = 59014,
  [SMALL_STATE(1663)] = 59027,
  [SMALL_STATE(1664)] = 59040,
  [SMALL_STATE(1665)] = 59053,
  [SMALL_STATE(1666)] = 59066,
  [SMALL_STATE(1667)] = 59079,
  [SMALL_STATE(1668)] = 59092,
  [SMALL_STATE(1669)] = 59105,
  [SMALL_STATE(1670)] = 59118,
  [SMALL_STATE(1671)] = 59131,
  [SMALL_STATE(1672)] = 59144,
  [SMALL_STATE(1673)] = 59157,
  [SMALL_STATE(1674)] = 59170,
  [SMALL_STATE(1675)] = 59183,
  [SMALL_STATE(1676)] = 59196,
  [SMALL_STATE(1677)] = 59209,
  [SMALL_STATE(1678)] = 59222,
  [SMALL_STATE(1679)] = 59235,
  [SMALL_STATE(1680)] = 59248,
  [SMALL_STATE(1681)] = 59261,
  [SMALL_STATE(1682)] = 59274,
  [SMALL_STATE(1683)] = 59285,
  [SMALL_STATE(1684)] = 59298,
  [SMALL_STATE(1685)] = 59311,
  [SMALL_STATE(1686)] = 59324,
  [SMALL_STATE(1687)] = 59337,
  [SMALL_STATE(1688)] = 59347,
  [SMALL_STATE(1689)] = 59357,
  [SMALL_STATE(1690)] = 59367,
  [SMALL_STATE(1691)] = 59377,
  [SMALL_STATE(1692)] = 59387,
  [SMALL_STATE(1693)] = 59397,
  [SMALL_STATE(1694)] = 59405,
  [SMALL_STATE(1695)] = 59415,
  [SMALL_STATE(1696)] = 59425,
  [SMALL_STATE(1697)] = 59435,
  [SMALL_STATE(1698)] = 59445,
  [SMALL_STATE(1699)] = 59455,
  [SMALL_STATE(1700)] = 59465,
  [SMALL_STATE(1701)] = 59475,
  [SMALL_STATE(1702)] = 59485,
  [SMALL_STATE(1703)] = 59495,
  [SMALL_STATE(1704)] = 59505,
  [SMALL_STATE(1705)] = 59513,
  [SMALL_STATE(1706)] = 59523,
  [SMALL_STATE(1707)] = 59533,
  [SMALL_STATE(1708)] = 59543,
  [SMALL_STATE(1709)] = 59553,
  [SMALL_STATE(1710)] = 59563,
  [SMALL_STATE(1711)] = 59571,
  [SMALL_STATE(1712)] = 59579,
  [SMALL_STATE(1713)] = 59589,
  [SMALL_STATE(1714)] = 59597,
  [SMALL_STATE(1715)] = 59605,
  [SMALL_STATE(1716)] = 59615,
  [SMALL_STATE(1717)] = 59625,
  [SMALL_STATE(1718)] = 59635,
  [SMALL_STATE(1719)] = 59645,
  [SMALL_STATE(1720)] = 59655,
  [SMALL_STATE(1721)] = 59665,
  [SMALL_STATE(1722)] = 59675,
  [SMALL_STATE(1723)] = 59685,
  [SMALL_STATE(1724)] = 59695,
  [SMALL_STATE(1725)] = 59705,
  [SMALL_STATE(1726)] = 59715,
  [SMALL_STATE(1727)] = 59723,
  [SMALL_STATE(1728)] = 59733,
  [SMALL_STATE(1729)] = 59743,
  [SMALL_STATE(1730)] = 59753,
  [SMALL_STATE(1731)] = 59763,
  [SMALL_STATE(1732)] = 59773,
  [SMALL_STATE(1733)] = 59781,
  [SMALL_STATE(1734)] = 59791,
  [SMALL_STATE(1735)] = 59799,
  [SMALL_STATE(1736)] = 59809,
  [SMALL_STATE(1737)] = 59819,
  [SMALL_STATE(1738)] = 59829,
  [SMALL_STATE(1739)] = 59839,
  [SMALL_STATE(1740)] = 59849,
  [SMALL_STATE(1741)] = 59857,
  [SMALL_STATE(1742)] = 59865,
  [SMALL_STATE(1743)] = 59875,
  [SMALL_STATE(1744)] = 59885,
  [SMALL_STATE(1745)] = 59895,
  [SMALL_STATE(1746)] = 59905,
  [SMALL_STATE(1747)] = 59915,
  [SMALL_STATE(1748)] = 59925,
  [SMALL_STATE(1749)] = 59935,
  [SMALL_STATE(1750)] = 59945,
  [SMALL_STATE(1751)] = 59953,
  [SMALL_STATE(1752)] = 59963,
  [SMALL_STATE(1753)] = 59973,
  [SMALL_STATE(1754)] = 59983,
  [SMALL_STATE(1755)] = 59991,
  [SMALL_STATE(1756)] = 60001,
  [SMALL_STATE(1757)] = 60009,
  [SMALL_STATE(1758)] = 60017,
  [SMALL_STATE(1759)] = 60027,
  [SMALL_STATE(1760)] = 60037,
  [SMALL_STATE(1761)] = 60047,
  [SMALL_STATE(1762)] = 60055,
  [SMALL_STATE(1763)] = 60065,
  [SMALL_STATE(1764)] = 60075,
  [SMALL_STATE(1765)] = 60085,
  [SMALL_STATE(1766)] = 60095,
  [SMALL_STATE(1767)] = 60105,
  [SMALL_STATE(1768)] = 60115,
  [SMALL_STATE(1769)] = 60125,
  [SMALL_STATE(1770)] = 60135,
  [SMALL_STATE(1771)] = 60143,
  [SMALL_STATE(1772)] = 60153,
  [SMALL_STATE(1773)] = 60161,
  [SMALL_STATE(1774)] = 60171,
  [SMALL_STATE(1775)] = 60181,
  [SMALL_STATE(1776)] = 60188,
  [SMALL_STATE(1777)] = 60195,
  [SMALL_STATE(1778)] = 60202,
  [SMALL_STATE(1779)] = 60209,
  [SMALL_STATE(1780)] = 60216,
  [SMALL_STATE(1781)] = 60223,
  [SMALL_STATE(1782)] = 60230,
  [SMALL_STATE(1783)] = 60237,
  [SMALL_STATE(1784)] = 60244,
  [SMALL_STATE(1785)] = 60251,
  [SMALL_STATE(1786)] = 60258,
  [SMALL_STATE(1787)] = 60265,
  [SMALL_STATE(1788)] = 60272,
  [SMALL_STATE(1789)] = 60279,
  [SMALL_STATE(1790)] = 60286,
  [SMALL_STATE(1791)] = 60293,
  [SMALL_STATE(1792)] = 60300,
  [SMALL_STATE(1793)] = 60307,
  [SMALL_STATE(1794)] = 60314,
  [SMALL_STATE(1795)] = 60321,
  [SMALL_STATE(1796)] = 60328,
  [SMALL_STATE(1797)] = 60335,
  [SMALL_STATE(1798)] = 60342,
  [SMALL_STATE(1799)] = 60349,
  [SMALL_STATE(1800)] = 60356,
  [SMALL_STATE(1801)] = 60363,
  [SMALL_STATE(1802)] = 60370,
  [SMALL_STATE(1803)] = 60377,
  [SMALL_STATE(1804)] = 60384,
  [SMALL_STATE(1805)] = 60391,
  [SMALL_STATE(1806)] = 60398,
  [SMALL_STATE(1807)] = 60405,
  [SMALL_STATE(1808)] = 60412,
  [SMALL_STATE(1809)] = 60419,
  [SMALL_STATE(1810)] = 60426,
  [SMALL_STATE(1811)] = 60433,
  [SMALL_STATE(1812)] = 60440,
  [SMALL_STATE(1813)] = 60447,
  [SMALL_STATE(1814)] = 60454,
  [SMALL_STATE(1815)] = 60461,
  [SMALL_STATE(1816)] = 60468,
  [SMALL_STATE(1817)] = 60475,
  [SMALL_STATE(1818)] = 60482,
  [SMALL_STATE(1819)] = 60489,
  [SMALL_STATE(1820)] = 60496,
  [SMALL_STATE(1821)] = 60503,
  [SMALL_STATE(1822)] = 60510,
  [SMALL_STATE(1823)] = 60517,
  [SMALL_STATE(1824)] = 60524,
  [SMALL_STATE(1825)] = 60531,
  [SMALL_STATE(1826)] = 60538,
  [SMALL_STATE(1827)] = 60545,
  [SMALL_STATE(1828)] = 60552,
  [SMALL_STATE(1829)] = 60559,
  [SMALL_STATE(1830)] = 60566,
  [SMALL_STATE(1831)] = 60573,
  [SMALL_STATE(1832)] = 60580,
  [SMALL_STATE(1833)] = 60587,
  [SMALL_STATE(1834)] = 60594,
  [SMALL_STATE(1835)] = 60601,
  [SMALL_STATE(1836)] = 60608,
  [SMALL_STATE(1837)] = 60615,
  [SMALL_STATE(1838)] = 60622,
  [SMALL_STATE(1839)] = 60629,
  [SMALL_STATE(1840)] = 60636,
  [SMALL_STATE(1841)] = 60643,
  [SMALL_STATE(1842)] = 60650,
  [SMALL_STATE(1843)] = 60657,
  [SMALL_STATE(1844)] = 60664,
  [SMALL_STATE(1845)] = 60671,
  [SMALL_STATE(1846)] = 60678,
  [SMALL_STATE(1847)] = 60685,
  [SMALL_STATE(1848)] = 60692,
  [SMALL_STATE(1849)] = 60699,
  [SMALL_STATE(1850)] = 60706,
  [SMALL_STATE(1851)] = 60713,
  [SMALL_STATE(1852)] = 60720,
  [SMALL_STATE(1853)] = 60727,
  [SMALL_STATE(1854)] = 60734,
  [SMALL_STATE(1855)] = 60741,
  [SMALL_STATE(1856)] = 60748,
  [SMALL_STATE(1857)] = 60755,
  [SMALL_STATE(1858)] = 60762,
  [SMALL_STATE(1859)] = 60769,
  [SMALL_STATE(1860)] = 60776,
  [SMALL_STATE(1861)] = 60783,
  [SMALL_STATE(1862)] = 60790,
  [SMALL_STATE(1863)] = 60797,
  [SMALL_STATE(1864)] = 60804,
  [SMALL_STATE(1865)] = 60811,
  [SMALL_STATE(1866)] = 60818,
  [SMALL_STATE(1867)] = 60825,
  [SMALL_STATE(1868)] = 60832,
  [SMALL_STATE(1869)] = 60839,
  [SMALL_STATE(1870)] = 60846,
  [SMALL_STATE(1871)] = 60853,
  [SMALL_STATE(1872)] = 60860,
  [SMALL_STATE(1873)] = 60867,
  [SMALL_STATE(1874)] = 60874,
  [SMALL_STATE(1875)] = 60881,
  [SMALL_STATE(1876)] = 60888,
  [SMALL_STATE(1877)] = 60895,
  [SMALL_STATE(1878)] = 60902,
  [SMALL_STATE(1879)] = 60909,
  [SMALL_STATE(1880)] = 60916,
  [SMALL_STATE(1881)] = 60923,
  [SMALL_STATE(1882)] = 60930,
  [SMALL_STATE(1883)] = 60937,
  [SMALL_STATE(1884)] = 60944,
  [SMALL_STATE(1885)] = 60951,
  [SMALL_STATE(1886)] = 60958,
  [SMALL_STATE(1887)] = 60965,
  [SMALL_STATE(1888)] = 60972,
  [SMALL_STATE(1889)] = 60979,
  [SMALL_STATE(1890)] = 60986,
  [SMALL_STATE(1891)] = 60993,
  [SMALL_STATE(1892)] = 61000,
  [SMALL_STATE(1893)] = 61007,
  [SMALL_STATE(1894)] = 61014,
  [SMALL_STATE(1895)] = 61021,
  [SMALL_STATE(1896)] = 61028,
  [SMALL_STATE(1897)] = 61035,
  [SMALL_STATE(1898)] = 61042,
  [SMALL_STATE(1899)] = 61049,
  [SMALL_STATE(1900)] = 61056,
  [SMALL_STATE(1901)] = 61063,
  [SMALL_STATE(1902)] = 61070,
  [SMALL_STATE(1903)] = 61077,
  [SMALL_STATE(1904)] = 61084,
  [SMALL_STATE(1905)] = 61091,
  [SMALL_STATE(1906)] = 61098,
  [SMALL_STATE(1907)] = 61105,
  [SMALL_STATE(1908)] = 61112,
  [SMALL_STATE(1909)] = 61119,
  [SMALL_STATE(1910)] = 61126,
  [SMALL_STATE(1911)] = 61133,
  [SMALL_STATE(1912)] = 61140,
  [SMALL_STATE(1913)] = 61147,
  [SMALL_STATE(1914)] = 61154,
  [SMALL_STATE(1915)] = 61161,
  [SMALL_STATE(1916)] = 61168,
  [SMALL_STATE(1917)] = 61175,
  [SMALL_STATE(1918)] = 61182,
  [SMALL_STATE(1919)] = 61189,
  [SMALL_STATE(1920)] = 61196,
  [SMALL_STATE(1921)] = 61203,
  [SMALL_STATE(1922)] = 61210,
  [SMALL_STATE(1923)] = 61217,
  [SMALL_STATE(1924)] = 61224,
  [SMALL_STATE(1925)] = 61231,
  [SMALL_STATE(1926)] = 61238,
  [SMALL_STATE(1927)] = 61245,
  [SMALL_STATE(1928)] = 61252,
  [SMALL_STATE(1929)] = 61259,
  [SMALL_STATE(1930)] = 61266,
  [SMALL_STATE(1931)] = 61273,
  [SMALL_STATE(1932)] = 61280,
  [SMALL_STATE(1933)] = 61287,
  [SMALL_STATE(1934)] = 61294,
  [SMALL_STATE(1935)] = 61301,
  [SMALL_STATE(1936)] = 61308,
  [SMALL_STATE(1937)] = 61315,
  [SMALL_STATE(1938)] = 61322,
  [SMALL_STATE(1939)] = 61329,
  [SMALL_STATE(1940)] = 61336,
  [SMALL_STATE(1941)] = 61343,
  [SMALL_STATE(1942)] = 61350,
  [SMALL_STATE(1943)] = 61357,
  [SMALL_STATE(1944)] = 61364,
  [SMALL_STATE(1945)] = 61371,
  [SMALL_STATE(1946)] = 61378,
  [SMALL_STATE(1947)] = 61385,
  [SMALL_STATE(1948)] = 61392,
  [SMALL_STATE(1949)] = 61399,
  [SMALL_STATE(1950)] = 61406,
  [SMALL_STATE(1951)] = 61413,
  [SMALL_STATE(1952)] = 61420,
  [SMALL_STATE(1953)] = 61427,
  [SMALL_STATE(1954)] = 61434,
  [SMALL_STATE(1955)] = 61441,
  [SMALL_STATE(1956)] = 61448,
  [SMALL_STATE(1957)] = 61455,
  [SMALL_STATE(1958)] = 61462,
  [SMALL_STATE(1959)] = 61469,
  [SMALL_STATE(1960)] = 61476,
  [SMALL_STATE(1961)] = 61483,
  [SMALL_STATE(1962)] = 61490,
  [SMALL_STATE(1963)] = 61497,
  [SMALL_STATE(1964)] = 61504,
  [SMALL_STATE(1965)] = 61511,
  [SMALL_STATE(1966)] = 61518,
  [SMALL_STATE(1967)] = 61525,
  [SMALL_STATE(1968)] = 61532,
  [SMALL_STATE(1969)] = 61539,
  [SMALL_STATE(1970)] = 61546,
  [SMALL_STATE(1971)] = 61553,
  [SMALL_STATE(1972)] = 61560,
  [SMALL_STATE(1973)] = 61567,
  [SMALL_STATE(1974)] = 61574,
  [SMALL_STATE(1975)] = 61581,
  [SMALL_STATE(1976)] = 61588,
  [SMALL_STATE(1977)] = 61595,
  [SMALL_STATE(1978)] = 61602,
  [SMALL_STATE(1979)] = 61609,
  [SMALL_STATE(1980)] = 61616,
  [SMALL_STATE(1981)] = 61623,
  [SMALL_STATE(1982)] = 61630,
  [SMALL_STATE(1983)] = 61637,
  [SMALL_STATE(1984)] = 61644,
  [SMALL_STATE(1985)] = 61651,
  [SMALL_STATE(1986)] = 61658,
  [SMALL_STATE(1987)] = 61665,
  [SMALL_STATE(1988)] = 61672,
  [SMALL_STATE(1989)] = 61679,
  [SMALL_STATE(1990)] = 61686,
  [SMALL_STATE(1991)] = 61693,
  [SMALL_STATE(1992)] = 61700,
  [SMALL_STATE(1993)] = 61707,
  [SMALL_STATE(1994)] = 61714,
  [SMALL_STATE(1995)] = 61721,
  [SMALL_STATE(1996)] = 61728,
  [SMALL_STATE(1997)] = 61735,
  [SMALL_STATE(1998)] = 61742,
  [SMALL_STATE(1999)] = 61749,
  [SMALL_STATE(2000)] = 61756,
  [SMALL_STATE(2001)] = 61763,
  [SMALL_STATE(2002)] = 61770,
  [SMALL_STATE(2003)] = 61777,
  [SMALL_STATE(2004)] = 61784,
  [SMALL_STATE(2005)] = 61791,
  [SMALL_STATE(2006)] = 61798,
  [SMALL_STATE(2007)] = 61805,
  [SMALL_STATE(2008)] = 61812,
  [SMALL_STATE(2009)] = 61819,
  [SMALL_STATE(2010)] = 61826,
  [SMALL_STATE(2011)] = 61833,
  [SMALL_STATE(2012)] = 61840,
  [SMALL_STATE(2013)] = 61847,
  [SMALL_STATE(2014)] = 61854,
  [SMALL_STATE(2015)] = 61861,
  [SMALL_STATE(2016)] = 61868,
  [SMALL_STATE(2017)] = 61875,
  [SMALL_STATE(2018)] = 61882,
  [SMALL_STATE(2019)] = 61889,
  [SMALL_STATE(2020)] = 61896,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 17),
  [169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 40),
  [171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 17),
  [173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 40),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(457),
  [202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1388),
  [205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1916),
  [208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1211),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1917),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(553),
  [231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(112),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(985),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1074),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(936),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1771),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(952),
  [255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(33),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(823),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(763),
  [264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(759),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(815),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1428),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1493),
  [279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1766),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1723),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(647),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1922),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1769),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(402),
  [297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2014),
  [300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(501),
  [303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1851),
  [306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1853),
  [309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1925),
  [312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1728),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1912),
  [318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(656),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(657),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1933),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1808),
  [330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1812),
  [333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1461),
  [336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(711),
  [339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1585),
  [342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1527),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(711),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(693),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(456),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1387),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1836),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1201),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1837),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1749),
  [419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(242),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1000),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1066),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(934),
  [431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(30),
  [434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1695),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1768),
  [442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(614),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2019),
  [448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1696),
  [451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(401),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1979),
  [457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1813),
  [463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1817),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1845),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1716),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1914),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(458),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1373),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1968),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1215),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1948),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1702),
  [549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(232),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(989),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1079),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(937),
  [561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(37),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1722),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1738),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(648),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1724),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(348),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2017),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(526),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1926),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1927),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1953),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1742),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1951),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(461),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1374),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1993),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1189),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1866),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1712),
  [651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(553),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(981),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1029),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(911),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1771),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(952),
  [684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(27),
  [687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(823),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(763),
  [693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(759),
  [696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(815),
  [699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1428),
  [705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1493),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1727),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(550),
  [717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1910),
  [720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1720),
  [723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(329),
  [726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1940),
  [729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(521),
  [732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2007),
  [738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1783),
  [741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(656),
  [744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(657),
  [747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1933),
  [750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1808),
  [753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1812),
  [756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1461),
  [759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1116),
  [762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1585),
  [765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1527),
  [768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1116),
  [771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(693),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 9),
  [778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(460),
  [781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(553),
  [795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(112),
  [798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(985),
  [801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1074),
  [804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(763),
  [807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1771),
  [813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(33),
  [819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(823),
  [822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(759),
  [825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(815),
  [828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1428),
  [834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1493),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1766),
  [840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1723),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1769),
  [846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(402),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2014),
  [852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(501),
  [855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1851),
  [858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1853),
  [861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1925),
  [864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1728),
  [867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1912),
  [870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(656),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(657),
  [876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1933),
  [879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1808),
  [882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1812),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1461),
  [888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(711),
  [891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1585),
  [894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1527),
  [897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(711),
  [900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(693),
  [903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 9),
  [907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(454),
  [914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(232),
  [917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(989),
  [920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1079),
  [923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(37),
  [926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1722),
  [929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1738),
  [932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1724),
  [935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(348),
  [938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2017),
  [941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(526),
  [944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1926),
  [947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1927),
  [950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1953),
  [953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1742),
  [956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1951),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(459),
  [964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(981),
  [970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1029),
  [973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(27),
  [976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1727),
  [982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1720),
  [985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(329),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1940),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(521),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2007),
  [1000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1783),
  [1003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1690),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1822),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 9),
  [1021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 9),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(452),
  [1030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(242),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1000),
  [1036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1066),
  [1039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(30),
  [1042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1695),
  [1045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1768),
  [1048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1696),
  [1051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(401),
  [1054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1979),
  [1057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [1060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1813),
  [1063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1817),
  [1066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1845),
  [1069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1716),
  [1072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1914),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(455),
  [1088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1703),
  [1091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1736),
  [1094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1998),
  [1097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1758),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 27),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 27),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 85),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 85),
  [1116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 35),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 35),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 8),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 8),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 55),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 55),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 62),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 62),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 64),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 64),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 76),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 76),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 47),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 47),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 8),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 8),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 81),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 81),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 31),
  [1162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 31),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 90),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 90),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 91),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 91),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 76),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 76),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 100),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 100),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 6, 0, 111),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 6, 0, 111),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 28),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 28),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 28),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 28),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 29),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 29),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 47),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 47),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 18),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 18),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 73),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 73),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 4),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 4),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 17),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 17),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 61),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 61),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, 0, 66),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, 0, 66),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 41),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 41),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 16),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 16),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 17),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 17),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 17),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 17),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 40),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 40),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 23),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 23),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 5, 0, 95),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 5, 0, 95),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 67),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 67),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, 0, 68),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, 0, 68),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 71),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 71),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 3, 0, 36),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 3, 0, 36),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 94),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 94),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 97),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 97),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 1, 0, 2),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 1, 0, 2),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 72),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 72),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 40),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 40),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 38),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 38),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 39),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 39),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 57),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 57),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [1378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(762),
  [1381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(444),
  [1384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(547),
  [1387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(547),
  [1390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(553),
  [1393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(242),
  [1396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1765),
  [1399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(30),
  [1402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1695),
  [1405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1768),
  [1408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(614),
  [1411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2019),
  [1414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1696),
  [1417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(401),
  [1420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1979),
  [1423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(522),
  [1426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1813),
  [1429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1817),
  [1432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1845),
  [1435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1716),
  [1438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1914),
  [1441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(656),
  [1444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(657),
  [1447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1933),
  [1450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1808),
  [1453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1812),
  [1456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1461),
  [1459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(711),
  [1462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1585),
  [1465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1527),
  [1468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(711),
  [1471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(693),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [1484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(760),
  [1487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(112),
  [1490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(33),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1766),
  [1496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1723),
  [1499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(647),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1922),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1769),
  [1508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(402),
  [1511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2014),
  [1514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(501),
  [1517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1851),
  [1520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1853),
  [1523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1925),
  [1526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1728),
  [1529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1912),
  [1532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(752),
  [1535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(27),
  [1538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1703),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1727),
  [1544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(644),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1844),
  [1550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1736),
  [1553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(329),
  [1556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1998),
  [1559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(521),
  [1562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1777),
  [1565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2007),
  [1568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1783),
  [1571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1758),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(761),
  [1579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(232),
  [1582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(37),
  [1585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1722),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1738),
  [1591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(648),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1792),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1724),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(348),
  [1603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2017),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(526),
  [1609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1926),
  [1612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1927),
  [1615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1953),
  [1618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1742),
  [1621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1951),
  [1624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(754),
  [1627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(210),
  [1630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1715),
  [1633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(550),
  [1636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1910),
  [1639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1720),
  [1642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1940),
  [1645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1690),
  [1648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1822),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 1, 0, 2),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 1, 0, 2),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [1671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, 0, 1),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_not_binary, 1, 0, 0),
  [1701] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 1), REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(1038),
  [1705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0),
  [1707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, 0, 1), REDUCE(sym__expression_not_binary, 1, 0, 0),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 1),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [1729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 1), REDUCE(sym__expression_not_binary, 1, 0, 0),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 17),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 40),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 40),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 17),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [1871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(828),
  [1874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [1877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1209),
  [1880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [1882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1883),
  [1885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1735),
  [1888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(759),
  [1891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(763),
  [1894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [1897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1721),
  [1900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [1903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(823),
  [1906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(815),
  [1909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [1912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1428),
  [1915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1493),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [1928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 56),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 105),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 40),
  [1964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 84),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 0, 0),
  [1974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 0, 56),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [2000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1973),
  [2003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1214),
  [2006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1937),
  [2009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1759),
  [2012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1947),
  [2015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1171),
  [2018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1887),
  [2021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1753),
  [2024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [2050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [2072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(663),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1527),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [2094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [2096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [2106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [2108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 108),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 108),
  [2112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 124),
  [2114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 124),
  [2116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 125),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 125),
  [2120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 129),
  [2122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 129),
  [2124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 58),
  [2126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 58),
  [2128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 109),
  [2130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 109),
  [2132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 119),
  [2134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 119),
  [2136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 120),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 120),
  [2140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 88),
  [2142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 88),
  [2144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 87),
  [2146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 87),
  [2148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [2154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [2156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(759),
  [2159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(763),
  [2162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [2165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1721),
  [2168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [2175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 69),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 69),
  [2201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 12),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 12),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 13),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 13),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 37),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 37),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 106),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 106),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 57),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 57),
  [2229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [2233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 45),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 45),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [2241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 30),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 30),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [2257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 5),
  [2259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 5),
  [2261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 45),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 45),
  [2265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(828),
  [2272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(759),
  [2275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(763),
  [2278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [2281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1721),
  [2284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0),
  [2289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(823),
  [2292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(815),
  [2295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [2298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1428),
  [2301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1493),
  [2304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 9),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 9),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 5),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 5),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [2318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [2322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 5),
  [2324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 5),
  [2326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [2342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(749),
  [2345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 25),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 25),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 7),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 7),
  [2359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 7),
  [2361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 7),
  [2363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 53),
  [2371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 53),
  [2373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 25),
  [2375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 25),
  [2377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [2379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [2401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 70),
  [2403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 70),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 96),
  [2411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 96),
  [2413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 24),
  [2423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 24),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 8),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 8),
  [2453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 14),
  [2455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 14),
  [2457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 8),
  [2459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 8),
  [2461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 80),
  [2463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 80),
  [2465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 14),
  [2467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 14),
  [2469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 52),
  [2471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 52),
  [2473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 54),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 54),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 52),
  [2479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 52),
  [2481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 3),
  [2483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 3),
  [2485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 3),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 3),
  [2489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(799),
  [2496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 26),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 26),
  [2500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 24),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 24),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 26),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 26),
  [2508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 26),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 26),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 7),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 7),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 14),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 14),
  [2524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [2526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 8),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 8),
  [2530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 15),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 15),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [2536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [2546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, 0, 0),
  [2548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 0),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 50),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 50),
  [2560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 24),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 24),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 52),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 52),
  [2568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 53),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 53),
  [2572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 54),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 54),
  [2580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(812),
  [2583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [2585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [2591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 24),
  [2593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 24),
  [2595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 25),
  [2597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 25),
  [2599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 3),
  [2601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 3),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [2605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [2607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [2609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 1), SHIFT(1038),
  [2612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 26),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 26),
  [2616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 24),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 24),
  [2620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 25),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 25),
  [2624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [2628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 78),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 78),
  [2632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 10),
  [2634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 10),
  [2636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_type_specifier, 4, -1, 59),
  [2638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_type_specifier, 4, -1, 59),
  [2640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [2642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [2644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 8),
  [2646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 8),
  [2648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 14),
  [2650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 14),
  [2652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 15),
  [2654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 15),
  [2656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 7),
  [2658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 7),
  [2660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 6, 0, 80),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 6, 0, 80),
  [2664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 5, 0, 52),
  [2666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 5, 0, 52),
  [2668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 40),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 40),
  [2672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 73),
  [2674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 73),
  [2676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 97),
  [2678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 97),
  [2680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 42),
  [2682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 42),
  [2684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 79),
  [2686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 79),
  [2688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 42),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 42),
  [2692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 17),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 17),
  [2696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 40),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 40),
  [2700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 41),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 41),
  [2704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 17),
  [2706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 17),
  [2708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 79),
  [2710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 79),
  [2712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 72),
  [2714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 72),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [2724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 7), SHIFT(1943),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 50),
  [2761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 50),
  [2763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 50), SHIFT(1943),
  [2766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [2769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [2771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [2773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [2776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0), REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [2787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0), REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [2806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 24),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 24),
  [2810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 24), SHIFT(1943),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 78),
  [2817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 78),
  [2819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 78), SHIFT(1943),
  [2822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [2826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 8), SHIFT(1943),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [2839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [2841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [2843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 1), SHIFT(1653),
  [2846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 1), SHIFT(990),
  [2849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 1), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [2852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__type_specifier, 1, 0, 1),
  [2855] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__type_specifier, 1, 0, 1), SHIFT(1038),
  [2859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__type_specifier, 1, 0, 1),
  [2862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 77),
  [2864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 77),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 4, 0, 0),
  [2920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 4, 0, 0),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_declarator, 2, 0, 34),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_declarator, 2, 0, 34),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [2936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [2944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 13),
  [2956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 13),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 44),
  [2962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [2966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [2974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [2976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [2978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1088),
  [2981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1089),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 82),
  [3040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 83),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [3044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 0, 116),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 103),
  [3052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 114),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 115),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 104),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 63),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [3094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 102),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3, 0, 0),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [3110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [3114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [3134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(759),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [3143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 3),
  [3145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 3),
  [3147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 14),
  [3149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 14),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [3157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [3201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 30),
  [3227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 30),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [3247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [3249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [3251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 14),
  [3253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 14),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [3261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 14),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 14),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 42),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 5),
  [3301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 5),
  [3303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 3),
  [3305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 3),
  [3307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [3309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 3),
  [3347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 3),
  [3349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [3351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [3377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 3), SHIFT(799),
  [3380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, 0, 0), SHIFT(1223),
  [3383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 14), SHIFT(799),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 15), SHIFT(799),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3407] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(799),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [3413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, 0, 1), SHIFT(1255),
  [3416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 10), SHIFT(799),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [3423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 14), SHIFT(1225),
  [3426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1265),
  [3429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1247),
  [3432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1259),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [3437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 15), SHIFT(1237),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [3444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 7), SHIFT(1898),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [3449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 0, 34),
  [3451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 0, 34),
  [3453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 2, 0, 34),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 3, 0, 34),
  [3457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 3, 0, 34),
  [3459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 3, 0, 34),
  [3461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declaration_declarator, 3, 0, 34),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 40),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [3479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 17),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [3483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 4, 0, 34),
  [3485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 4, 0, 34),
  [3487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1304),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0),
  [3492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [3495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [3501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1771),
  [3504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [3506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [3508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [3510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 32),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 89),
  [3526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 60),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 110),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [3532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [3536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [3538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 1, 0, 22),
  [3544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [3548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0),
  [3550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0), REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [3553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 17),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [3559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [3563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 17),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [3567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 17),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 89),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 40),
  [3581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 40),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 40),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [3589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 110),
  [3591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 32),
  [3593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 60),
  [3595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 32),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [3601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1682),
  [3604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1205),
  [3607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1798),
  [3610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1712),
  [3613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [3615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [3619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [3623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 32),
  [3625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [3627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 89),
  [3629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 60),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [3635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 110),
  [3637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 22),
  [3639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 22),
  [3641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [3643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [3645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 92),
  [3647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 92),
  [3649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 22),
  [3651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 22),
  [3653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [3655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [3659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 22),
  [3661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 112),
  [3663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 112),
  [3665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [3667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [3669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [3673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [3675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [3677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [3687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [3689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1, 0, 0),
  [3701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 32),
  [3703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 112),
  [3705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 112),
  [3707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 22),
  [3709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 22),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 35),
  [3713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [3715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [3717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 22),
  [3719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 22),
  [3721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 51),
  [3723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 51),
  [3725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [3727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [3729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [3731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(1408),
  [3738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [3740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [3742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 0, 34),
  [3744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 0, 34),
  [3746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [3748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [3750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 92),
  [3752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 92),
  [3754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1682),
  [3757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [3759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [3761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 112),
  [3763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 112),
  [3765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 21),
  [3767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 21),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [3773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 92),
  [3775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 92),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [3783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [3786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 22),
  [3788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 22),
  [3790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 4, 0, 34),
  [3792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [3794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(602),
  [3797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [3799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1876),
  [3802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 34),
  [3804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 34),
  [3806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [3808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [3814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [3818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 22),
  [3820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 22),
  [3822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [3828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [3830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [3834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [3836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 17),
  [3842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 17),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [3850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 40),
  [3852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 40),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 17),
  [3858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 17),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [3874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [3878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 32),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 19),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [3888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 43),
  [3890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 72),
  [3892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 72),
  [3894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 73),
  [3896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 73),
  [3898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 89),
  [3900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 41),
  [3902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 41),
  [3904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 46),
  [3906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 97),
  [3908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 97),
  [3910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 75),
  [3912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 40),
  [3914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 40),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [3920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 60),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [3924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [3926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1533),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [3931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 34),
  [3933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [3935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 20),
  [3937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 98),
  [3939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [3941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 112),
  [3943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 92),
  [3945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 32),
  [3947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 93),
  [3949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 22),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [3953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [3955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [3959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 74),
  [3961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [3963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [3965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [3967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 22),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [3979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 65), SHIFT_REPEAT(1286),
  [3982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 65),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 117), SHIFT_REPEAT(1414),
  [3989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 117),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 122),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [4023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, 0, 22),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [4031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, 0, 48),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [4047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 127), SHIFT_REPEAT(1375),
  [4050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 127),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [4072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 48),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [4080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [4086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 49),
  [4088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 3, 0, 101),
  [4090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 65), SHIFT_REPEAT(1345),
  [4093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 65),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [4121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 86),
  [4129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 117), SHIFT_REPEAT(1406),
  [4132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 117),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 107),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [4148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 107),
  [4150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 118),
  [4152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 86),
  [4154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1, 0, 11),
  [4156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [4158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1562),
  [4161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [4163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1563),
  [4166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1563),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [4171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(732),
  [4174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [4186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1043),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [4205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 121),
  [4207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 118),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [4219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 128),
  [4221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [4237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 130), SHIFT_REPEAT(1830),
  [4240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 130),
  [4242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 131),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 131),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [4252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 65), SHIFT_REPEAT(1142),
  [4255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 65),
  [4257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 3, 0, 32),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [4263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [4267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 121),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1730),
  [4276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 86),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [4284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(477),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 123),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [4351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 99),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [4359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 86),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [4379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 126),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [4395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(498),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1653),
  [4419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [4421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1216),
  [4424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(1754),
  [4427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [4463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [4483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 1, 0, 0),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [4489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 123),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [4495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [4499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [4503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [4505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [4507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [4513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [4515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [4519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [4525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [4527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [4530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 4, 0, 113),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [4544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [4546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [4548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 49),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 41),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [4646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 41),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [4676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 73),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 73),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [4720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 72),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [4748] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [4752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 17),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [4776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 72),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [4794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 97),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [4814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 40),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 97),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [4844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 41),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [4856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 72),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 41),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [4870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 97),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [4890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 72),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [4908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 73),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 72),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 73),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [4930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 73),
  [4932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 97),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 41),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [4948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 97),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_c(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
